﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RozdeleniNahrvSvatek.ascx.cs" Inherits="KSPortal.Controls.RozdeleniNahrvSvatek" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="aj" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadScriptBlock ID="RadCodeBlock1" runat="server">
    <script type="text/javascript" id="telerikClientEvents1">
//<![CDATA[
        function OnClientClose(sender, args) {
            alert("ale");
            __doPostBack('RadWindow1', "refresh")
        }
  //]]>
    </script>
</telerik:RadScriptBlock>

<%--<telerik:RadWindow ID="RadWindow1" runat="server" Title="[%Proplácení práce ve svátek%]" DestroyOnClose="true" Modal="true" OnClientClose="OnClientClose"
    Width="500" Height="500">
    <ContentTemplate>--%>
    <telerik:RadAjaxPanel runat="server" ID="pan2" >
        <table width="550">
            <tr>
                <td>
                    <wc:TGridView ID="GridView1" runat="server" DataSourceID="" AutoGenerateColumns="False"
                        Width="100%" OnRowDataBound="GridView1_RowDataBound" ShowFooter="True" OnDataBound="GridView1_DataBound">
                        <Columns>                           
                            <asp:BoundField DataField="naz_dne" />
                            <asp:BoundField DataField="datum" HeaderText="[%Datum%]" DataFormatString="{0:&quot;dd.MM.yyyy&quot;}" />
                            <asp:BoundField DataField="prac_str" HeaderText="[%Středisko%]"  />
                            <asp:BoundField DataField="hodiny" HeaderText="[%Hodiny%]"  ItemStyle-HorizontalAlign="Right" FooterStyle-HorizontalAlign="Right" ItemStyle-Width=60 />                            
                            <asp:BoundField DataField="proplatit" HeaderText="[%Proplatit%]" ItemStyle-HorizontalAlign="Right"  FooterStyle-HorizontalAlign="Right"  ItemStyle-Width=60 />
                        </Columns>
                    </wc:TGridView>
                    <asp:ObjectDataSource ID="ds_rozdeleniPrescasu" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="GetPraceSvPodnech" TypeName="KSProgram.Dochazka.RozdeleniPrescasu">
                        <SelectParameters>
                            <asp:Parameter Name="obd" Type="DateTime" />
                            <asp:Parameter Name="os_cislo" Type="Decimal" />
                            <asp:Parameter Name="cislo_pom" Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <asp:ObjectDataSource ID="ds_rozdelenePrescasy" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="GetPraceSvSrozdelenim" TypeName="KSProgram.Dochazka.RozdeleniPrescasu"
                        UpdateMethod="UlozRozdelenePraceSv">
                        <SelectParameters>
                            <asp:Parameter Name="obd" Type="DateTime" />
                            <asp:Parameter Name="os_cislo" Type="Decimal" />
                            <asp:Parameter Name="cislo_pom" Type="Int16" />                            
                            <asp:ControlParameter ControlID="TB_k_proplac_hodin_svatek" DefaultValue="0" Name="hod_svatek"
                                PropertyName="Text" Type="Int16" />
                            <asp:ControlParameter ControlID="TB_k_proplac_minut_svatek" DefaultValue="0" Name="min_svatek"
                                PropertyName="Text" Type="Int16" />
                        </SelectParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="obd" Type="DateTime" />
                            <asp:Parameter Name="os_cislo" Type="Decimal" />
                            <asp:Parameter Name="cislo_pom" Type="Int16" />                            
                            <asp:ControlParameter ControlID="TB_k_proplac_hodin_svatek" DefaultValue="" Name="hod_svatek"
                                PropertyName="Text" Type="Int16" />
                            <asp:ControlParameter ControlID="TB_k_proplac_minut_svatek" DefaultValue="0" Name="min_svatek"
                                PropertyName="Text" Type="Int16" />
                        </UpdateParameters>
                    </asp:ObjectDataSource>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Panel runat="server" ID="pan_skryt">
                        <table width="100%">
                            <tr>
                                <td>
                                </td>
                                <td style="text-align:right">
                                    <asp:Label ID="Label6" runat="server" Text="[%Hodin%]" SkinID="title"></asp:Label>
                                </td>
                                <td style="text-align:right">
                                    <asp:Label ID="Label5" runat="server" Text="[%Minut%]" SkinID="title"></asp:Label>
                                </td>
                            </tr>                           
                            <tr>
                                <td>
                                    <asp:Label ID="Label4" runat="server" Text="[%K proplacení ve svátek%]:" SkinID="title"></asp:Label>
                                </td>
                                <td style="text-align:right;width:40px;">
                                    <telerik:RadNumericTextBox ID="TB_k_proplac_hodin_svatek" runat="server" Width="28px" MaxLength="3" MinValue="0" MaxValue="999"   NumberFormat-DecimalDigits="0"></telerik:RadNumericTextBox>
                                </td>
                                 <td style="text-align:right;width:40px;">                                   
                                     <telerik:RadNumericTextBox ID="TB_k_proplac_minut_svatek" runat="server" Width="28px" MaxLength="2" MinValue="0" MaxValue="999"   NumberFormat-DecimalDigits="0"></telerik:RadNumericTextBox>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <wc:TRadButton ID="LB_rozpocist"  runat="server" OnCommand="LB_rozpocist_Command"
                        Text="[%Rozpočíst%]"></wc:TRadButton>&nbsp;
                    <%--</td>
                 <td>--%>
                    <kspwc:TSaveButton ID="LB_Ulozit"  runat="server" OnCommand="LB_Ulozit_Command"
                        IdPrava="296" ></kspwc:TSaveButton>&nbsp;
                    <%-- </td>
                 <td>--%>
                    <wc:TRadButton ID="LB_Zavrit" runat="server" OnCommand="LB_zavrit"
                        Text="[%Zavřít%]" Visible="False"></wc:TRadButton>
                </td>
            </tr>
        </table>
         </telerik:RadAjaxPanel>
   <%-- </ContentTemplate>
</telerik:RadWindow>--%>
