﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Controls_ZadostObenefit" Codebehind="ZadostObenefit.ascx.cs" %>
<%--<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>--%>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="CheckBoxes,RadioButtons,Select,Textarea,Textbox" EnableRoundedCorners="false" DecorationZoneID="FormView1"/>

<style type="text/css">
    #ctl00_HlavniOblast_UserControl_FormView1_tableitem .RadComboBox
    {
        width:100% !important;
    }
</style>

<asp:ObjectDataSource ID="ObjectDataSource1"  runat="server" 
    OldValuesParameterFormatString="original_{0}" SelectMethod="Retrieve" 
    TypeName="KSProgram.Pozadavky.Pozadavekbenefit" InsertMethod="Insert" 
    oninserting="ObjectDataSource1_Inserting" 
    oninserted="ObjectDataSource1_Inserted" UpdateMethod="Update" 
    onupdating="ObjectDataSource1_Updating">
    <SelectParameters>
        <asp:Parameter Name="id_pozadavku" Type="Int32" DefaultValue="0" />
    </SelectParameters>
    <InsertParameters>
        <asp:Parameter Name="id_poz" Type="Int32" Direction="InputOutput" />
        <asp:Parameter Name="druh" Type="Int32" />
        <asp:Parameter Name="castka" Type="Decimal" />
        <asp:Parameter Name="dodavatel" Type="String" />
        <asp:Parameter Name="objednavka" Type="String" />
        <asp:Parameter Name="duvod" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
        <asp:Parameter Name="adresat" Type="Decimal" />
    </InsertParameters>
    <UpdateParameters>
        <asp:Parameter Name="id_poz" Type="Int32" />       
        <asp:Parameter Name="druh" Type="Int32" />
        <asp:Parameter Name="castka" Type="Decimal" />
        <asp:Parameter Name="dodavatel" Type="String" />
        <asp:Parameter Name="objednavka" Type="String" />
        <asp:Parameter Name="duvod" Type="String" />
        <asp:Parameter Name="vyridit_do" Type="DateTime" />
        <asp:Parameter Name="adresat" Type="Decimal" />
    </UpdateParameters>
</asp:ObjectDataSource>

<asp:FormView runat="server" ID="FormView1"  DataSourceID="ObjectDataSource1" oniteminserted="FormView1_ItemInserted" onitemupdated="FormView1_ItemUpdated"  ondatabound="FormView1_DataBound">
    <ItemTemplate>
        <asp:Table runat="server" ID="tableitem"  SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="2" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Požadavek o čerpání osobního konta%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>

            <asp:TableRow runat="server" ID="TableRow4">
                <asp:TableCell runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" SkinID="DataFieldStyle" ID="TableCell9">
                    <asp:Label ID="Label9" runat="server" Text='<%# ( KSProgram.Funkce.Pracovnik.OsCisloPrijmeniJmeno(Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "os_cislo")))) %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="tableitem_row1">
                <asp:TableCell runat="server" ID="tableitem_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Druh%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="tableitem_row1_cell2" SkinID="DataFieldStyle">
                    <asp:Label ID="osv_data" runat="server" SkinID="DataFieldStyle" Text='<%# KSProgram.Ciselniky.CisSocVyhod.Nazev(Convert.ToInt32(DataBinder.Eval(Container.DataItem, "druh")))%>'></asp:Label></asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="tableitem_row2">
                <asp:TableCell runat="server" ID="tableitem_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="lektor_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Ve výši%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="tableitem_row2_cell2" SkinID="DataFieldStyle">
                    <asp:Label ID="lektor_data" runat="server" SkinID="DataFieldStyle" Text='<%# DataBinder.Eval(Container.DataItem, "castka")%>'></asp:Label>
                     <asp:Label ID="LabelMena" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label> 
                </asp:TableCell>
                    
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label3" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Zůstatek konta%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell6" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="zustatek_item" runat="server" SkinID="DataFieldHeaderStyle" Enabled="false" Text=''></asp:Label>
                    <asp:Label ID="LabelMenaZustatek" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label>                    
                </asp:TableCell>
            </asp:TableRow>


            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell3" SkinID="DataFieldStyle">
                    <asp:Label ID="dodavatel" runat="server" SkinID="DataFieldStyle" Text='<%# Bind("dodavatel")%>'></asp:Label></asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell4" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="Label2" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žádám o vystavení objednávky%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell5" SkinID="DataFieldStyle">
                    <asp:Label ID="dat_do_data" runat="server" SkinID="DataFieldStyle" style="width:75px;" Text='<%# AnoNe(DataBinder.Eval(Container.DataItem, "objednavka"))%>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>        
           
            
            <asp:TableRow  runat="server" ID="TableRowItem3">
            <asp:TableCell   runat="server" ID="TableCellItem7" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                <asp:Label ID="Label3x" runat="server" Text="[%Poznámka%]:"></asp:Label>
            </asp:TableCell>
            <asp:TableCell   runat="server" ID="TableCellItem8" SkinID="DataFieldStyle">
                <asp:Label ID="LabelDuvodx" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"duvod") %>'  Width="200px"></asp:Label>
            </asp:TableCell>
            </asp:TableRow>
            
            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell runat="server" ID="TableCell23" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="Label23" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Vyřešit do%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell24"  SkinID="DataFieldStyle" style="width:75px;">
                    <asp:Label ID="Label24" runat="server" SkinID="DataFieldStyle" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyridit_do"), "d")%>'></asp:Label></asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow9">
                <asp:TableCell runat="server" ID="TableCell19" SkinID="DataFieldHeaderStyle" HorizontalAlign="Right">
                    <asp:Label ID="Label19" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Stav%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell20" SkinID="DataFieldStyle">
                    <asp:Label ID="Label20" runat="server" SkinID="DataFieldStyle" Text='<%# DataBinder.Eval(Container.DataItem, "stav")%>'></asp:Label></asp:TableCell>
            </asp:TableRow>

        </asp:Table>
    </ItemTemplate>
    <InsertItemTemplate>    
        <asp:Table runat="server" ID="tableitem"  SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="2" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Požadavek o čerpání osobního konta%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>

            <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" SkinID="DataFieldStyle" ID="TableCell8">
                    <asp:Label ID="Label_zam" runat="server" Text=""></asp:Label>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow12">
                <asp:TableCell runat="server" ID="TableCell25" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label1" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Druh%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell26" SkinID="DataFieldStyle">
                    <asp:ObjectDataSource runat="server" ID="ods_nabidka_akci" OldValuesParameterFormatString="original_{0}" SelectMethod="Seznam" TypeName="KSProgram.Ciselniky.CisSocVyhod" >
                    <SelectParameters>
                    <asp:Parameter Name="emtpyRow" Direction="Input" DbType="Boolean" DefaultValue="true" />
                     <asp:Parameter Name="jenPortal" Direction="Input" DbType="Boolean" DefaultValue="true" />
                    </SelectParameters>
                    </asp:ObjectDataSource>
                    <kspwc:TRadComboBox runat="server" ID="ddlb_nabidka" AutoPostBack="false" CausesValidation="false"  DataSourceID="ods_nabidka_akci" DataTextField="nazev" DataValueField="id" >
                    </kspwc:TRadComboBox>
                    <asp:RequiredFieldValidator ID="req_druh" ControlToValidate="ddlb_nabidka" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>
            
            <asp:TableRow runat="server" ID="tableinsert_row1">
                <asp:TableCell runat="server" ID="tableinsert_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Ve výši%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row1_cell2" SkinID="DataFieldStyle">                   
                    <telerik:RadNumericTextBox ID="castka_insert"  NumberFormat-DecimalDigits="0" runat="server" Width="100" SkinID="DataFieldStyle" Value='<%# Bind("castka")%>' MaxLength="10"></telerik:RadNumericTextBox>
                    <asp:Label ID="LabelMena" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label>
                    <asp:RequiredFieldValidator ID="req_ve_vysi" ControlToValidate="castka_insert" runat="server" ErrorMessage="RequiredFieldValidator"  Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>


            <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label3" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Zůstatek konta%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell6" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="zustatek_insert" runat="server" SkinID="DataFieldHeaderStyle" Enabled="false" Text=''></asp:Label>
                    <asp:Label ID="LabelMenaZustatek" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label>                    
                </asp:TableCell>
            </asp:TableRow>

             <asp:TableRow runat="server" ID="TableRow_upozorneni" Visible='<%#KSProgram.Pozadavky.Pozadavekbenefit.UpozorneniInsert().Length>0 %>'>
                <asp:TableCell runat="server" ID="TableCell7" SkinID="DataFieldHeaderStyle" HorizontalAlign="right" ColumnSpan="2" Wrap="true">
                    <asp:Label ID="Label_upozorneni_insert" runat="server" SkinID="DataFieldHeaderStyle"  Text='<%#KSProgram.Pozadavky.Pozadavekbenefit.UpozorneniInsert() %>'></asp:Label>
                </asp:TableCell>
              </asp:TableRow>

            <asp:TableRow runat="server" ID="tableinsert_row2">
                <asp:TableCell runat="server" ID="tableinsert_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dodavatel_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row2_cell2"  SkinID="DataFieldStyle">
                    <telerik:RadTextBox ID="dodavatel_insert" MaxLength="40" runat="server" TextMode="SingleLine"  Text='<%# DataBinder.Eval(Container.DataItem, "dodavatel")%>'></telerik:RadTextBox>
                    <asp:RequiredFieldValidator ID="req_dodavatel" ControlToValidate="dodavatel_insert" runat="server" ErrorMessage="RequiredFieldValidator"  Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator><br />
                    <kspwc:TextValidator runat="server" id="TextValidator1" ControlToValidate="dodavatel_insert"></kspwc:TextValidator>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Objednávka%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell3" SkinID="DataFieldStyle" >
                    <kspwc:TRadComboBox ID="objednavka_insert" runat="server" AutoPostBack="false"  CausesValidation="false" Text='<%# DataBinder.Eval(Container.DataItem, "objednavka")%>'>
                        <Items>   
                        <telerik:RadComboBoxItem Text="" Value=""></telerik:RadComboBoxItem>
                        <telerik:RadComboBoxItem Text="ano" Value="a"></telerik:RadComboBoxItem>
                        <telerik:RadComboBoxItem Text="ne" Value="n"></telerik:RadComboBoxItem>                        
                        </Items>
                    </kspwc:TRadComboBox>
                    <asp:RequiredFieldValidator ID="req_objednavka" ControlToValidate="objednavka_insert" runat="server" ErrorMessage="RequiredFieldValidator"  Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>   
                        
            <asp:TableRow runat="server" ID="TableRow14">
                <asp:TableCell runat="server" ID="TCInsert7" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label31" runat="server" Text="[%Poznámka%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TCInsert8" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox ID="duvod_data" runat="server" Text='<%# Bind("duvod") %>' MaxLength="999" TextMode="MultiLine" Width="283px" Height="200"></telerik:RadTextBox><br />
                    <kspwc:TextValidator runat="server" id="val1" ControlToValidate="duvod_data"></kspwc:TextValidator>
                </asp:TableCell>
            </asp:TableRow>
            
            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell  runat="server" ID="TCInsert9"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label10" runat="server" Text="[%Požadované datum vyřízení%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell  runat="server" ID="TCInsert10"  ColumnSpan="2" SkinID="DataFieldStyle">
                    <%--<asp:TextBox ID="TextBoxDatVyrizeniInsert" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyridit_do"), "d") %>' Width="95px"></asp:TextBox>
                    <ajax:CalendarExtender runat="server" ID="CalendarDatVyrizeni" TargetControlID="TextBoxDatVyrizeniInsert" PopupButtonID="ImageButton3i"></ajax:CalendarExtender>
                    <asp:ImageButton ID="ImageButton3i" runat="server" ImageUrl="~/Images/calendar.png" />--%>
                    <kspwc:TRadDatePicker runat="server" id="TextBoxDatVyrizeniInsert" DbSelectedDate='<%# Bind("vyridit_do") %>' ></kspwc:TRadDatePicker>
                    <asp:RequiredFieldValidator ID="req_vyridit_do" ControlToValidate="TextBoxDatVyrizeniInsert" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>

                </asp:TableCell>            
            </asp:TableRow>
                           
        </asp:Table>
    </InsertItemTemplate>
    <EditItemTemplate>
      <asp:Table runat="server" ID="tableitem"  SkinID="RamAPozadi">
            <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell ColumnSpan="2" runat="server" ID="TableCellItem14x" SkinID="TitleRowStyle">
                    <asp:Label ID="Label7x" runat="server" Text="[%Požadavek o čerpání osobního konta%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>

             <asp:TableRow runat="server" ID="TableRow4">
                <asp:TableCell runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Žadatel%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" SkinID="DataFieldStyle" ID="TableCell9">
                    <asp:Label ID="Label9" runat="server" Text='<%# ( KSProgram.Funkce.Pracovnik.OsCisloPrijmeniJmeno(Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "os_cislo")))) %>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="TableRow12">
                <asp:TableCell runat="server" ID="TableCell25" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label1" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Druh%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell26"  SkinID="DataFieldStyle">
                    <%--<asp:ObjectDataSource runat="server" ID="ods_nabidka_akci" OldValuesParameterFormatString="original_{0}" SelectMethod="NabidkaAkci" TypeName="KSProgram.Pozadavky.PozadavekSkol"></asp:ObjectDataSource>--%>
                     <asp:ObjectDataSource runat="server" ID="ods_nabidka_akci" OldValuesParameterFormatString="original_{0}" SelectMethod="Seznam" TypeName="KSProgram.Ciselniky.CisSocVyhod" >
                        <SelectParameters>
                         <asp:Parameter Name="emtpyRow" Direction="Input" DbType="Boolean" DefaultValue="true" />
                         <asp:Parameter Name="jenPortal" Direction="Input" DbType="Boolean" DefaultValue="true" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <kspwc:TRadComboBox runat="server" ID="ddlb_nabidka"  CausesValidation="false"  DataSourceID="ods_nabidka_akci" AutoPostBack="false" DataTextField="nazev" DataValueField="id" SelectedValue='<%# DataBinder.Eval(Container.DataItem, "druh")%>' >
                    </kspwc:TRadComboBox>    
                    <asp:RequiredFieldValidator ID="req_druh" ControlToValidate="ddlb_nabidka" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>
            
            <asp:TableRow runat="server" ID="tableinsert_row1">
                <asp:TableCell runat="server" ID="tableinsert_row1_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="osv_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Ve výši%]:"></asp:Label>
                 </asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row1_cell2" SkinID="DataFieldStyle">         
                    <telerik:RadNumericTextBox ID="castka_edit"  NumberFormat-DecimalDigits="0" runat="server" Width="100" SkinID="DataFieldStyle" DbValue='<%# Bind("castka")%>'></telerik:RadNumericTextBox>
                    <asp:RequiredFieldValidator ID="req_ve_vysi" ControlToValidate="castka_edit" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                     <asp:Label ID="LabelMena" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label>      
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="table_insert_row2">
                <asp:TableCell runat="server" ID="TableCell2" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="Label3" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Zůstatek konta%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell6" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="zustatek_edit" runat="server" SkinID="DataFieldHeaderStyle" Enabled="false" Text=''></asp:Label>
                    <asp:Label ID="LabelMenaZustatek" runat="server" Text='<%# KSProgram.TCastka.SymbolMeny %>'></asp:Label>                    
                </asp:TableCell>
            </asp:TableRow>

            <asp:TableRow runat="server" ID="tableinsert_row2">
                <asp:TableCell runat="server" ID="tableinsert_row2_cell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="lektor_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Dodavatel%]:"></asp:Label></asp:TableCell>
                <asp:TableCell runat="server" ID="tableinsert_row2_cell2" SkinID="DataFieldStyle">
                     <telerik:RadTextBox ID="dodavatel_edit" MaxLength="40" Width="100%" TextMode="SingleLine" runat="server" SkinID="DataFieldStyle" Text='<%# DataBinder.Eval(Container.DataItem, "dodavatel")%>'></telerik:RadTextBox>
                     <kspwc:TextValidator runat="server" id="val3" ControlToValidate="dodavatel_edit"></kspwc:TextValidator>
                    <asp:RequiredFieldValidator ID="req_dodavatel" ControlToValidate="dodavatel_edit" runat="server" ErrorMessage="RequiredFieldValidator" Display="Dynamic" Text="[%Povinná položka%]" ></asp:RequiredFieldValidator>
                 </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow runat="server" ID="TableRow3">
                <asp:TableCell runat="server" ID="TableCell1" SkinID="DataFieldHeaderStyle" HorizontalAlign="right">
                    <asp:Label ID="dat_od_label" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Objednávka%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell3" SkinID="DataFieldStyle" >
                     <kspwc:TRadComboBox ID="objednavka_edit" AutoPostBack="false" CausesValidation="false" runat="server"  SkinID="DataFieldStyle" Text='<%# DataBinder.Eval(Container.DataItem, "objednavka")%>'>
                         <Items>
                        <telerik:RadComboBoxItem Text="" Value=""></telerik:RadComboBoxItem>
                        <telerik:RadComboBoxItem Text="ano" Value="a"></telerik:RadComboBoxItem>
                        <telerik:RadComboBoxItem Text="ne" Value="n"></telerik:RadComboBoxItem>                        
                        </Items>
                    </kspwc:TRadComboBox>

                     <asp:RequiredFieldValidator ID="req_objednavka" ControlToValidate="objednavka_edit" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>     
       
                        
            <asp:TableRow runat="server" ID="TableRow14">
                <asp:TableCell runat="server" ID="TCInsert7" HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label31" runat="server" Text="[%Poznámka%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TCInsert8" ColumnSpan="2" SkinID="DataFieldStyle">
                    <telerik:RadTextBox ID="duvod_data" runat="server" Text='<%# Bind("duvod") %>' MaxLength="999" TextMode="MultiLine" Width="283px" Height="200"></telerik:RadTextBox><br />
                    <kspwc:TextValidator runat="server" id="val2" ControlToValidate="duvod_data"></kspwc:TextValidator>
                </asp:TableCell>
            </asp:TableRow>
            
            <asp:TableRow runat="server" ID="TableRow11">
                <asp:TableCell  runat="server" ID="TCInsert9"  HorizontalAlign="right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label10" runat="server" Text="[%Požadované datum vyřízení%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell  runat="server" ID="TCInsert10"   SkinID="DataFieldStyle">
                    <%--<asp:TextBox ID="TextBoxDatVyrizeniInsert" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyridit_do"), "d") %>' Width="95px"></asp:TextBox>
                    <ajax:CalendarExtender runat="server" ID="CalendarDatVyrizeni" TargetControlID="TextBoxDatVyrizeniInsert" PopupButtonID="ImageButton3i"></ajax:CalendarExtender>
                    <asp:ImageButton ID="ImageButton3i" runat="server" ImageUrl="~/Images/calendar.png" />--%>
                    <kspwc:TRadDatePicker runat="server" ID="TextBoxDatVyrizeniEdit" DbSelectedDate='<%# Bind("vyridit_do") %>'></kspwc:TRadDatePicker>
                    <asp:RequiredFieldValidator ID="req_vyridit_do" ControlToValidate="TextBoxDatVyrizeniEdit" runat="server" ErrorMessage="RequiredFieldValidator" Text="[%Povinná položka%]" Display="Dynamic"></asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>            
            
        </asp:Table>
    </EditItemTemplate>
</asp:FormView>
<asp:CustomValidator ID="CustomValidator1" runat="server" 
    ErrorMessage="CustomValidator" 
    onservervalidate="CustomValidator1_ServerValidate"></asp:CustomValidator>

