﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Data;
using KSProgram.Funkce;
using Telerik.Web.UI;
using KSProgram.Obecne;
using KSPortal.Pozadavky;

public partial class Controls_ZadostOrelev: UserControlPozadavek
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public override void Nacist()
    {
        base.Nacist();

        WorkflowMaster wf = new WorkflowMaster(PozId, "relev", null);
        string val = wf.Get_UN("", "Form1", "Mode");
        //val = "readonly";
        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        if (val == "insert")
            FormView1.ChangeMode(FormViewMode.Insert);
        else if (val == "edit")
        {
            FormView1.ChangeMode(FormViewMode.Edit);
            DataTable pom = Pozadavekrelev.GetDary(PozId, "dary");
            SessionInfo.SetVariable("dary", pom);
            pom = Pozadavekrelev.GetPrace(PozId, "prace");
            SessionInfo.SetVariable("prace", pom);
            pom = Pozadavekrelev.GetCinnost(PozId, "cinnost");
            SessionInfo.SetVariable("cinnost", pom);
            pom = Pozadavekrelev.GetCenpap(PozId, "cenpap");
            SessionInfo.SetVariable("cenpap", pom);
            pom = Pozadavekrelev.GetOsoby(PozId, "osoby");
            SessionInfo.SetVariable("osoby", pom);
            pom = Pozadavekrelev.GetVyslechy(PozId, "vyslechy");
            SessionInfo.SetVariable("vyslechy", pom);
        }
        else
        {
            FormView1.ChangeMode(FormViewMode.ReadOnly);           
        }


        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue =PozId.ToString();
        FormView1.DataSourceID = "ObjectDataSource1";
        FormView1.DataBind();
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        WebControl wc = WebControlHelper.FindControl(this.Page, "PanelCommand") as WebControl;
        if (wc != null)
            wc.Visible = false;
    }
   

    public void FormView1_DataBinding(object sender, EventArgs e)
    {
        //if (FormView1.CurrentMode == FormViewMode.ReadOnly)
        //{
        //    ObjectDataSource s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_dary");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //    s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_prace");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //    s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_cinnost");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //    s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_cenpap");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //    s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_osoby");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //    s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_vyslechy");
        //    s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
        //}
    }

    /// <summary>
    /// Po vložení záznamu
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public new void ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        OnItemInserted(new EventArgs());
    }


    /// <summary>
    /// Po aktualizaci záznamu
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public new void ItemUpdated(object sender, EventArgs e)
    {
        OnItemUpdated(new EventArgs());
    }

    protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        ItemInserted(sender, e);
    }
    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        ItemUpdated(sender, e);
    }
   
    protected void FormView1_DataBound(object sender, EventArgs e)
    {
        OnItemRetrieved(new EventArgs());

        if (FormView1.CurrentMode == FormViewMode.ReadOnly)
        {
            ObjectDataSource s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_dary");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
            s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_prace");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
            s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_cinnost");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
            s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_cenpap");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
            s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_osoby");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();
            s = (ObjectDataSource)WebControlHelper.FindControl(this, "ds_vyslechy");
            s.SelectParameters["id_poz"].DefaultValue = PozId.ToString();

        }
    }
    protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        /*
        TRadDatePicker cal = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxOdEdit");
        e.InputParameters["datum_od"] = (cal.SelectedDate == null ? new DateTime() : Convert.ToDateTime(cal.SelectedDate));

        cal = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniEdit");
        e.InputParameters["vyridit_do"] = (cal.SelectedDate == null ? new DateTime() : Convert.ToDateTime(cal.SelectedDate));

        TextBox box = (TextBox)WebControlHelper.FindControl(this, "TextBoxHodEdit");
        e.InputParameters["doba_hod"] = (box.Text == "" ? 0 : Convert.ToInt32(box.Text));

        box = (TextBox)WebControlHelper.FindControl(this, "TextBoxMinEdit");
        e.InputParameters["doba_min"] = (box.Text == "" ? 0 : Convert.ToInt32(box.Text));

        box = (TextBox)WebControlHelper.FindControl(this, "TextBoxDuvodEdit");
        e.InputParameters["duvod"] = (box.Text == "" ? "" : box.Text.Trim());

        e.InputParameters["id_poz"] = this.PozId;
         * */
    }
    protected void ObjectDataSource1_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        FormView1.ChangeMode(FormViewMode.ReadOnly);
        FormView1.DataBind();
    }
    protected void ImageButton2_Command(object sender, CommandEventArgs e)
    {
        OnItemExit(new EventArgs());
    }
    protected void InsertUlozit_Command(object sender, CommandEventArgs e)
    {
        //FormView1.ChangeMode(FormViewMode.ReadOnly);
    }
    protected void ObjectDataSource1_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
    {
        /*
        TRadDatePicker cal = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxOdInsert");
        e.InputParameters["datum_od"] = (cal.SelectedDate == null ? new DateTime() : Convert.ToDateTime(cal.SelectedDate));

        TextBox box = (TextBox)WebControlHelper.FindControl(this, "TextBoxHodInsert");
        TextBox box2 = (TextBox)WebControlHelper.FindControl(this, "TextBoxMinInsert");
        int hodin=(box.Text == "" ? 0 : Convert.ToInt32(box.Text));
        int minut = (box2.Text == "" ? 0 : Convert.ToInt32(box2.Text));
        e.InputParameters["doba"] = hodin * 60 + minut;

        cal = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert");
        e.InputParameters["vyridit_do"] = (cal.SelectedDate == null ? new DateTime() : Convert.ToDateTime(cal.SelectedDate));


        box = (TextBox)WebControlHelper.FindControl(this, "LabelDuvod");
        e.InputParameters["duvod"] = (box.Text == "" ? String.Empty : box.Text);
         * */
    }

    public override void ChangeMode(FormViewMode mode)
    {
        FormView1.ChangeMode(mode);
    }

    /// <summary>
    /// 
    /// </summary>
    public FormViewMode CurrentMode
    {
        get
        {
            return FormView1.CurrentMode;
        }
    }

    bool saving = false;
    public override void CommandRouter(object sender, CommandEventArgs e, ref bool is_valid)
    {
        saving = true;
        is_valid = true;
        if (e.CommandName.ToString() == "Save")
        {
            this.Page.Validate();
            is_valid = this.Page.IsValid;
            if (is_valid)
            {
                if (FormView1.CurrentMode != FormViewMode.ReadOnly)
                {
                    Pozadavekrelev.Save(PozId, this.Page);
                    if (FormView1.CurrentMode == FormViewMode.Insert)
                        ObjectDataSource1.Insert();
                    else
                        ObjectDataSource1.Update();
                }
            }
        }
    }

    protected void ObjectDataSource1_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        PozId = Convert.ToInt32(e.OutputParameters["id_poz"]);
        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        Nacist();
    }

    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridEditableItem && e.Item.IsInEditMode)
        {
            if (!(e.Item is GridEditFormInsertItem))
            {
                /*
                GridEditableItem item = e.Item as GridEditableItem;
                GridEditManager manager = item.EditManager;
                GridTextBoxColumnEditor editor = manager.GetColumnEditor("CustomerID") as GridTextBoxColumnEditor;
                editor.TextBoxControl.Enabled = false;
                 * */
            }
        }
    }


    protected void RadGrid1_ItemInserted(object source, GridInsertedEventArgs e)
    {
        /*
        if (e.Exception != null)
        {

            e.ExceptionHandled = true;
            SetMessage("Customer cannot be inserted. Reason: " + e.Exception.Message);

        }
        else
        {
            SetMessage("New customer is inserted!");
        }
         * */
    }

    protected void ds_dary_Inserting(object source, ObjectDataSourceMethodEventArgs e)
    {
       // e.InputParameters["id_poz"] = PozId;
    }

    protected void grid_dary_ItemCommand(object sender, GridCommandEventArgs e)
    {
        /*
        if (e.CommandName == "Delete")
        {
            DataTable table = SessionInfo.GetVariable("dary") as DataTable;
            table.Rows.RemoveAt(e.Item.ItemIndex);
        }  
         * */
        _removeRow("dary", e);
    }

    protected void grid_prace_ItemCommand(object sender, GridCommandEventArgs e)
    {
        _removeRow("prace", e);
    }

    protected void grid_cinnost_ItemCommand(object sender, GridCommandEventArgs e)
    {       
         _removeRow("cinnost", e);
    }

    protected void grid_cenpap_ItemCommand(object sender, GridCommandEventArgs e)
    {
         _removeRow("cenpap", e);
    }

    protected void grid_osoby_ItemCommand(object sender, GridCommandEventArgs e)
    {       
          _removeRow("osoby", e);
    }

    protected void grid_vyslechy_ItemCommand(object sender, GridCommandEventArgs e)
    {        
         _removeRow("vyslechy", e);
    }


    private void _removeRow(string klic, GridCommandEventArgs e)
    {
        if (e.CommandName == "Delete")
        {
            DataTable table = SessionInfo.GetVariable(klic) as DataTable;
            if (table != null)
                table.Rows.RemoveAt(e.Item.ItemIndex);
        }
    }


    protected void check_20_Check(object sender, EventArgs e)
    {
        string id = ((CheckBox)sender).ID;
        string dest_id = id;
        string last_letter="";
        if (dest_id.EndsWith("a")) last_letter="b";else last_letter="a";
        dest_id = dest_id.Substring(0, dest_id.Length - 1) + last_letter;

        CheckBox dest_contr=(CheckBox)WebControlHelper.FindControl(this, dest_id);
        dest_contr.Checked = (!((CheckBox)sender).Checked);

        string grid_id="";
        if (id.Contains("2"))
            grid_id="grid_dary";
        else if (id.Contains("3"))
             grid_id="grid_prace";
        else if (id.Contains("4"))
             grid_id="grid_cinnost";
        else if (id.Contains("5"))
             grid_id="grid_cenpap";
        else if (id.Contains("6"))
             grid_id="grid_osoby";
        else if (id.Contains("7"))
             grid_id="grid_vyslechy";


        RadGrid grid=(RadGrid)WebControlHelper.FindControl(this, grid_id);
        grid.Visible=id.EndsWith("b");
        grid.MasterTableView.IsItemInserted = true;
        grid.DataBind();

    }

    protected void val_form_ServerValidator(object sender, ServerValidateEventArgs args)
    {
        if (saving)
        {
            string error = "";
            for (int i = 2; i <= 7; i++)
            {
 
                CheckBox box_n = WebControlHelperProxy.FindControl(this, "check_" + i + "a") as CheckBox;
                CheckBox box_a = WebControlHelperProxy.FindControl(this, "check_" + i + "b") as CheckBox;
                string hodnota = "";
                if (box_n.Checked) hodnota = "n"; else if (box_a.Checked) hodnota = "a";
                if (string.IsNullOrEmpty(hodnota))
                {
                    if (i == 2)
                        error += "Dary,";
                    else if (i == 3)
                        error += "Práce mimo banku,";
                    else if (i == 4)
                        error += "Statutární orgány mimo banku,";
                    else if (i == 5)
                        error += "Investiční aktivity,";
                    else if (i == 6)
                        error += "Blízké osoby,";
                    else if (i == 7)
                        error += "Výslechy,";
                }
                else if (hodnota=="a")
                {
                    DataTable table = null;
                    if (i == 2)
                    {
                        table = SessionInfo.GetVariable("dary") as DataTable;
                    }
                    else if (i == 3)
                    {
                        table = SessionInfo.GetVariable("prace") as DataTable;
                    }
                    else if (i == 4)
                    {
                        table = SessionInfo.GetVariable("cinnost") as DataTable;
                    }
                    else if (i == 5)
                    {
                        table = SessionInfo.GetVariable("cenpap") as DataTable;
                    }
                    else if (i == 6)
                    {
                        table = SessionInfo.GetVariable("osoby") as DataTable;
                    }
                    else if (i == 7)
                    {
                        table = SessionInfo.GetVariable("vyslechy") as DataTable;
                    }
                    if ((table == null) || (table.Rows.Count == 0))
                    {
                        if (i == 2)
                            error += "Dary,";
                        else if (i == 3)
                            error += "Práce mimo banku,";
                        else if (i == 4)
                            error += "Statutární orgány mimo banku,";
                        else if (i == 5)
                            error += "Investiční aktivity,";
                        else if (i == 6)
                            error += "Blízké osoby,";
                        else if (i == 7)
                            error += "Výslechy,";
                    }
                }
            }
            CheckBox box = WebControlHelperProxy.FindControl(this, "check_souhlas") as CheckBox;
            if (!box.Checked)
                error += "Souhlas";

            if (!string.IsNullOrEmpty(error))
            {
                args.IsValid = false;
                ((CustomValidator)sender).ErrorMessage = "Nedostatečně vyplněny záložky: "+error;
            }

            return;
        }
        args.IsValid = true;
    }

    protected void gv_dary_DeleteCommand(object sender, GridCommandEventArgs e)
    {
 
    }

    protected void button_ulozit_OnCommand(object sender, CommandEventArgs e)
    {
        if (e.CommandName == "Save")
        {
            saving = true;
            this.Page.Validate();
            if (Page.IsValid)
            {
                //workfl_proc.FazeZapis(PozId, "potvrzeny", "", 0);
                //PH 19.7.2016
                //workfl_proc.FazeZapis(PozId, "potvrzeny",null,null,null, null, null,null, "", 0);
                WorkflowProces.KrokProcesu(PozId, "potvrzeny", 0, null);//PR 30.9.2016 veškerá logika z FazeZapis přesunuta do KrokProcesu
                Nacist();
            }
        }
        else if (e.CommandName == "Cancel")
        {
            Response.Redirect(Request.RawUrl);

            //Pozadavky_Pozadavky2 poz_page=this.Page as Pozadavky_Pozadavky2;
            //if (poz_page!=null)
            //{
            //    poz_page.LB_NacistSeznam_Command(object sender, CommandEventArgs e)
            //}            
        }
    }
}
