﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DashBoardPanel_Bulletin.ascx.cs" Inherits="KSPortal.DashBoard.DashBoardPanel_Bulletin" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="../Bulletin/BulletinControl.ascx" TagName="BulletinControl" TagPrefix="bc" %>


<style type="text/css">
    .ksBullEditorWindow {
    }

        .ksBullEditorWindow td.rwBodyLeft, .ksBullEditorWindow td.rwBodyRight,
        .ksBullEditorWindow td.rwFooterLeft, .ksBullEditorWindow td.rwFooterCenter, .ksBullEditorWindow td.rwFooterRight {
            background-color: lightgray !important;
        }

    div.ksBullContainer {
        /*max-width: 800px;*/
        /*min-width: 680px;*/
        height: 800px;
        width: 100%;
    }

    div.ksBullEditor {
        /*max-width: 800px;*/
        /*min-width: 720px;*/
        width: 100%;
        height: 100%;
    }

    div.ksBullEditorCommand {
        width: 100%;
    }

    fieldset.ksBlFsEmpty {
        margin: 2px 0 2px 0;
        border-color: lightgray;
        border-style: solid;
        border-width: 1px;
        padding: 4px 4px 4px 8px;
    }

        fieldset.ksBlFsEmpty > div {
            width: 100%;
            position: relative;
        }

            fieldset.ksBlFsEmpty > div > p {
                font-size: 16px !important;
                /*color: #294C7E !important;*/
            }

    .buttonDok {
        background: var(--kscolor1) !important;
        border: none !important;
        color: var(--kscolor1text) !important;
        height: 50px;
        text-align: center !important;
        font-size: 16px !important;
        margin-left: 10%;
        cursor: pointer;
        width: 80%;
    }

    .button1 {
        background-color: var(--kscolor1);
        border: none;
        color: var(--kscolor1text);
        text-align: center;
        text-decoration: none;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
    }

    .floatRight {
        float: right;
        margin-right: 10px;
    }
</style>
<telerik:RadScriptBlock ID="RSB2" runat="server">
    <script type="text/javascript">
        //<![CDATA[

        function RD_Bulletin_ClientDockPositionChanged(sender, args) {

        }

        function ParameterMap(sender, args) {
            //If you want to send a parameter to the select call you can modify the if 
            //statement to check whether the request type is 'read':
            //if (args.get_type() == "read" && args.get_data()) {
            if (args.get_type() != "read" && args.get_data()) {
                args.set_parameterFormat({ customersJSON: kendo.stringify(args.get_data().models) });
            }
        }
        function ParseBull(sender, args) {
            var response = args.get_response().d;
            if (response) {
                args.set_parsedData(response.Data);
            }
        }

        function RW_editor_BeforeShow(sender, args) {
            var poz = $get('<%=P_hidden_holder.ClientID%>').getBoundingClientRect();
            sender.moveTo(poz.left, poz.top);
        }

        function _emptyText() {
            return '<%=KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Žádné oznámení%]")%>';
        }

        function ksShowEditor(id) {
            window.pdfjsLib.GlobalWorkerOptions.workerSrc = './Scripts/pdf.worker.js';

            $.ajax({
                type: "POST",
                url: "./DashBoard/WebMethods.aspx/GetBulletinHtml",
                data: "{id: " + id + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {
                    if (msg.d != null) {
                        if (msg.d == 'neni telo') {
                            // pokud neni telo nic se nezobrazi
                        }
                        else {
                            var button = document.getElementById("<%=Btn_kontrola.ClientID %>");
                            button.style.display = "none";
                            var window = $find("<%=RW_editor.ClientID%>");
                            window.show();

                            if (msg.d.substring(0, 3) == "PDF") {
                                var editor = $get("<%=RE_editor.ClientID%>");
                                editor.style.display = "none";
                                var pdfData = msg.d.substring(3);
                                $("#PdfViewer2")[0].innerHTML = "";

                                $("#PdfViewer2").kendoPDFViewer({
                                    pdfjsProcessing: {
                                        file: {
                                            data: pdfData
                                        }
                                    },
                                    toolbar: {
                                        items: ["pager", "zoom", "toggleSelection", "search", "download", "print"]
                                    },
                                    width: "100%",
                                    height: "640px"
                                }).getKendoPDFViewer();
                                document.getElementById("<%= RPV_Viewer.ClientID%>").style.display = "none";
                                window.setSize(750, 810);
                            }
                            else {
                                var editor = $get("<%=RE_editor.ClientID%>");
                                editor.innerHTML = msg.d;
                                editor.style.display = "block";
                                document.getElementById("<%= RPV_Viewer.ClientID%>").style.display = "none";
                                $("#PdfViewer2")[0].innerHTML = "";
                                document.getElementById("PdfViewer2").style.width = "0px";
                                document.getElementById("PdfViewer2").style.height = "0px";
                                window.setSize(750, 400);
                            }

                            window.Center();
                            setButtonText(id);
                            button.style.display = "grid";
                            id_bull = id;
                        }
                    }
                    else {
                        alert("Chyba: nepodařilo se načíst tělo vývěsky.");
                    }
                }
            });
        }

        function setButtonText(id) {
            var button = $find("<%=Btn_kontrola.ClientID %>");
            $.ajax({
                type: "POST",
                url: "./DashBoard/WebMethods.aspx/GetTextTlacitko",
                data: "{id: " + id + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    button.innerText = "[%Dokument zkontrolován%]";
                },
                error: function (response) {
                    button.innerText = "[%Dokument zkontrolován%]";
                },
                success: function (msg) {

                    button.set_text(msg.d);

                }
            });
        }

        function PdfControled() {
            $.ajax({
                type: "POST",
                url: "./DashBoard/WebMethods.aspx/CallPdfUpdate",
                data: "{id: " + id_bull + "}",
                async: false,
                contentType: "application/json",
                dataType: "json",
                failure: function (response) {
                    //alert("Chyba: " + JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                error: function (response) {
                    //alert("Chyba: ", JSON.parse(response.responseText).Message);
                    alert("Chyba: " + $telerik.$.parseJSON(response.responseText).Message);
                },
                success: function (msg) {


                    var window = $find("<%=RW_editor.ClientID%>");
                    window.close();

                    showLoadingAnimation();
                    location.reload();

                }
            });

        }
        var id_bull = 0;
    </script>

    <script type="text/javascript" src="./Scripts/pdf.js"></script>

    <script>
        function _base64ToArrayBuffer(base64) {
            var binary_string = window.atob(base64);
            var len = binary_string.length;
            var bytes = new Uint8Array(len);
            for (var i = 0; i < len; i++) {
                bytes[i] = binary_string.charCodeAt(i);
            }
            return bytes.buffer;
        }

        function pdfLoad(pdfData) {
            pdfDataByte = _base64ToArrayBuffer(pdfData)
            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page
                    var pageNumber = 1;
                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = "1/" + pdf.numPages;

                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    });
                },
                function (reason) {
                    // PDF loading error
                    console.error(reason);
                });
        };

        function pagePlus() {
            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page

                    var pageNumber = numberofpage + 1;
                    numberofpage = pageNumber;
                    // console.log(pageNumber);

                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = numberofpage + "/" + pdf.numPages;
                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    })
                        .catch(error => "");

                },

                function (reason) {
                    // PDF loading error
                    //      console.error(reason);
                });


        };

        function pageMinus() {

            // Using DocumentInitParameters object to load binary data.
            var loadingTask = pdfjsLib.getDocument({ data: pdfDataByte });
            loadingTask.promise.then(

                function (pdf) {
                    //console.log('PDF loaded');
                    // Fetch the first page
                    var pageNumber = numberofpage - 1;
                    if (pageNumber <= 1) {
                        pageNumber = 1;
                    }
                    //    console.log(pageNumber);
                    numberofpage = pageNumber;
                    pdf.getPage(pageNumber).then(function (page) {
                        //   console.log('Page loaded');
                        var scale = 1;
                        var viewport = page.getViewport({ scale: scale });

                        var stranaDok = $("#stranaCislo")[0];
                        stranaDok.innerHTML = numberofpage + "/" + pdf.numPages;
                        // Prepare canvas using PDF page dimensions
                        var canvas = $("#pdfViewer")[0];
                        var context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;
                        //  console.log(canvas.height, canvas.width);


                        // Render PDF page into canvas context
                        var renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };
                        var renderTask = page.render(renderContext);
                        renderTask.promise.then(function () {
                            // console.log('Page rendered');
                        });
                    }).catch(error => "");;
                },

                function (reason) {
                    // PDF loading error
                    //  console.error(reason);

                });
        };

        function readBulletin(el) {
            el.children[0].style.border = "1px solid var(--kscolor2)";
        };

        function precteneRedirect() {
            location.replace("./Bulletin/BulletinPrectene.aspx");
        }

        pdfDataByte = null;
        numberofpage = 1;
    </script>

</telerik:RadScriptBlock>
<asp:HiddenField runat="server" ID="id_zpr" Value="" />

<div style="width: 100%;">
    <kspwc:TRadButton ID="TRadButton1" runat="server" Text="[%Přečtené%]" AutoPostBack="False" OnClientClicked="precteneRedirect" CssClass="floatRight kstlacitko">
        <Icon PrimaryIconCssClass="fi fi-list"></Icon>
    </kspwc:TRadButton>
</div>


<table style="width: 100%">
    <tr>
        <td style="width: 100%">
            <telerik:RadListView runat="server" ID="RLV_bull" AllowPaging="true" ItemPlaceholderID="ItemsPlaceHolder" ClientDataSourceID="RCDS_bulls"
                DataKeyNames="id" ClientDataKeyNames="id">
                <LayoutTemplate>
                    <div id="ItemsPlaceHolder" runat="server" class="ksBlLv">
                    </div>
                </LayoutTemplate>
                <ClientSettings>
                    <DataBinding>
                        <ItemTemplate>     
                            
                                <a href="javascript:ksShowEditor ? ksShowEditor(#= id #) : ''" onclick="readBulletin(this)" style="text-decoration: none;">
                            <fieldset class="ksBlFs revertShadow" style=" border:  #= Stats[0] ? 'solid 1px var(--kscolor2)' : 'solid 2px lightgrey' #;">
                                <div class="ksBlBullItem">
                                    <div>
                                        <div class="ksBlFoto" style="display: #= id_image ? 'block' : 'none' #; #= id_image ? '' : 'max-height:unset;' #" >
                                            <img style="max-height: 107px; width:auto;" src="#= ImageUrl #" />
                                        </div>
                                        <div>
                                            <p>
                                                #= nadpis #
                                            </p>
                                            <p>
                                                #= telo #
                                            </p>
                                            <i class="fi fi-bell-ring" style="font-size: 20px; position: absolute; right: 15px; top: 0; display: #= Stats[0] ? 'none' : 'block' #;"></i>
                                        </div>
                                    </div>
                                </div>
                                
                            </fieldset>
                                    </a>
                        </ItemTemplate>
                        <EmptyDataTemplate>
                            <fieldset class="ksDbLiFs" style="border:none;">
                                <div>
                                    <p class="zadneBull">
                                        <i class="fi fi-comment-alt"></i>
                                        <label>#=_emptyText()#</label>
                                    </p>
                                </div>
                            </fieldset>
                        </EmptyDataTemplate>
                    </DataBinding>
                </ClientSettings>
            </telerik:RadListView>
        </td>
        <td valign="top">
            <asp:Panel runat="server" ID="P_hidden_holder" CssClass="hidden">
            </asp:Panel>
        </td>
    </tr>
</table>

<telerik:RadWindow runat="server" ID="RW_editor" AutoSize="true" KeepInScreenBounds="true" CssClass="ksBullEditorWindow" Modal="true"
    AutoSizeBehaviors="Height,Width" Behaviors="Close,Maximize,Minimize,Move,Resize" OnClientBeforeShow="RW_editor_BeforeShow"
    ShowContentDuringLoad="false" Height="100%" MinWidth="680px">
    <ContentTemplate>
        <div class="ksBullEditorContainer">
            <div runat="server" id="RE_editor" cssclass="ksBullEditor">
            </div>

            <div id="PdfViewer2" style="width: 100%"></div>

            <br />
            <kspwc:TRadButton runat="server" AutoPostBack="false" ID="Btn_kontrola" Visible="true" CssClass="buttonVyveska" OnClientClicked="PdfControled"></kspwc:TRadButton>
            <telerik:RadPdfViewer runat="server" ID="RPV_Viewer"></telerik:RadPdfViewer>
        </div>
    </ContentTemplate>
</telerik:RadWindow>

<telerik:RadClientDataSource ID="RCDS_bulls" runat="server" AllowBatchOperations="false">
    <ClientEvents OnDataParse="ParseBull" />
    <DataSource>
        <WebServiceDataSourceSettings>
            <Select Url="DashBoard/WebMethods.aspx/GetBulletins" DataType="JSON" RequestType="Post" ContentType="application/json; charset=utf-8" />
        </WebServiceDataSourceSettings>
    </DataSource>
    <Schema>
        <Model ID="id">
            <telerik:ClientDataSourceModelField FieldName="id" DataType="Number" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="nadpis" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="telo" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="ImageUrl" DataType="String" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="id_image" DataType="Number" Editable="False" />
            <telerik:ClientDataSourceModelField FieldName="tlacitko" DataType="String" Editable="False" />
        </Model>
    </Schema>
</telerik:RadClientDataSource>
