﻿using KSProgram.Obecne;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.DashBoard
{
    public partial class DashBoardPanel_Bulletin : DashBoardPanel
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/Bulletin/BullList.css");
            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/Bulletin/BullEditor.css");
            TRegisteredScripts.AddScriptToPage(this.Page, "~/Bulletin/BullEditor.js", "BullControl");
            TRegisteredScripts.AddScriptToPage(this.Page, "~/kendo/js/kendo.all.min.js", "kendo");
            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/kendo/styles/kendo.common.min.css");
            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/Skins/kendoMetro/kendoMetro.css");
            if (!IsPostBack)
            {

            }
        }
        public override string Nadpis => ReadGlobalResource.ZmenaTextu("[%Vývěska%]");

        public override string Name => "Bulletin";

        public override List<int> IdPravaSpojenychAgend => new List<int> { 354 };

        public override int? IdPravaZobrazeni => 404;

    }
}