﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Security.Principal;
using KSProgram.Data;
using KSProgram.Prava;
using KSProgram;
using KSProgram.WebControls;
using System.Collections.Generic;
using KSProgram.Funkce;
using KSProgram.Personal;

namespace KSPortal
{
    public partial class Default : TPage
    {

        protected bool Zobraz
        {
            get
            {
                if (ViewState["zobraz"] == null)
                {
                    ViewState["zobraz"] = Parametry.ParametrCti("SchvalNepritDefault");
                }
                return ViewState["zobraz"].ToString().Trim().ToLower() == "a";
            }
        }

        protected override void OnPreInit(EventArgs e)
        {
            base.OnPreInit(e);
            
            HttpContext.Current.Response.Redirect("~/Default2.aspx");

        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            //if (SpravaUziv.ObsluhaDocasneHeslo(Globals.User) && !Zakaznik.IsCurrent("SPORTISSIMO"))
            //{
            //    HttpContext.Current.Response.Redirect("/KSPortal/Obecne/UzivNastaveni.aspx");
            //}
            SpravaUziv.CheckReturnURL();
            if (Zobraz == false) td_schvalene.Controls.Clear();
            //PR 10.8.2017 Volné pozice
            if (!PravaAkce.PristupPovolen(300))
                TDataListVolnePozice.Visible = false;
        }

        protected string VolnaPoziceBuildURL(Int32 IdVR)
        {
            return KSProgram.VyberovaRizeni.VyberovaRizeni.VolnaPoziceBuildURL(IdVR);
        }
    }
}