﻿using KSPortal.Controls;
using KSProgram;
using KSProgram.Data;
using KSProgram.Dokument;
using KSProgram.Exceptions;
using KSProgram.KSDataAPI;
using KSProgram.Obecne;
using KSProgram.Personal;
using KSProgram.SMSConnector;
using System;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Development
{
    public partial class PdfFormular : TPageZam
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);

            if (!IsPostBack)
            {
                
            }

        }
        protected void SaveButton_Click(object sender, EventArgs e)
        {
           
            Stream stream = RAU_soubor.UploadedFiles[0].InputStream;
            byte[] soubor = null;
            using (var memoryStream = new MemoryStream())
            {
                stream.CopyTo(memoryStream);
                soubor = memoryStream.ToArray();
            };
            stream.Close();

            //PdfReader reader = new PdfReader(soubor);
            StringBuilder sb = new StringBuilder();

            string nazev_souboru = RAU_soubor.UploadedFiles[0].FileName.Replace(".pdf", "_formulare.txt");

            foreach(string polozka in PDF.GetSignFieldKeys(soubor)) //reader.AcroFields.Fields.Keys)
            {
                sb.AppendLine(polozka);
            }

            seznamPoli.Text = sb.ToString().Replace("\r\n", "<br />");
            //File.WriteAllText(nazev_souboru, sb.ToString());

            Attachment.Send(Page, nazev_souboru, Encoding.Default.GetBytes(sb.ToString()));

            

        }

       
    }
}
