﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Dochazka_KontrolaNepritomnosti" CodeBehind="KontrolaNepritomnosti.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TGridView1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TGridView1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <%--<telerik:AjaxSetting AjaxControlID="ObdobiText1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TGridView1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>--%>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="nadpis" runat="server" CssClass="nadpis1" Text="[%Kontrola nepřítomností%]"></asp:Label>--%>

        <kspwc:StrSkupDiv runat="server" ID="StrSkupDiv"></kspwc:StrSkupDiv>

    <%--<table>
        <tr style="padding-left: 20px">
            <td>
                <asp:Label ID="Label1" runat="server" Text="[%Období%]:"></asp:Label>
            </td>
            <td>
                <wc:TRadObdobi ID="ObdobiText1" DateInput-ReadOnly="true" runat="server"
                    OnSelectedDateChanged="ObdobiText1_SelectedDateChanged">
                </wc:TRadObdobi>
            </td>
        </tr>
    </table>--%>
    <br />
    <kspwc:TRadGrid ID="TGridView1" runat="server" MasterTableView-Caption="[%Kontrola nepřítomností%]"
        onrowdatabound="TGridView1_RowDataBound" ShowFooter="True"
        OnItemCreated="TGridView1_ItemCreated"
        OnNeedDataSource="TGridView1_NeedDataSource">
        <MasterTableView AutoGenerateColumns="false" AllowSorting="true" ShowFooter="true" CommandItemDisplay="Top">
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="" Name="pred" HeaderStyle-HorizontalAlign="Center">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%KS mzdy%]" Name="mzdy" HeaderStyle-HorizontalAlign="Center">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%KS docházka%]" Name="dochazka" HeaderStyle-HorizontalAlign="Center">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="" Name="za">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%Prac. pom.%]" Name="prac_pom" HeaderStyle-HorizontalAlign="Center">
                </telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" HeaderText="[%Os. číslo%]" />
                <telerik:GridBoundColumn DataField="cislo_pom" HeaderText="[%Č.P.%]"  />
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]"  />
                <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]"  />
                <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]"  />
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]"  />
                <telerik:GridBoundColumn DataField="kod" HeaderText="[%Kód%]"  />                
                <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název%]"  />
                <telerik:GridDateTimeColumn DataType="System.DateTime" DataField="m_od" DataFormatString="{0:d}" HeaderText="[%od%]" HtmlEncode="False" UniqueName="m_od" ColumnGroupName="mzdy" />
                <telerik:GridDateTimeColumn DataType="System.DateTime" DataField="m_do" DataFormatString="{0:d}" HeaderText="[%do%]" HtmlEncode="False" UniqueName="m_do" ColumnGroupName="mzdy" />

                <telerik:GridNumericColumn DataField="m_dny" HeaderText="[%dny%]" UniqueName="m_dny"
                    DataFormatString="{0:# ##0.0}" Aggregate="Sum" FooterText=" " ColumnGroupName="mzdy">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="m_hodiny" HeaderText="[%hodiny%]" UniqueName="m_hodiny"
                    DataFormatString="{0:# ##0.00}" Aggregate="Sum" FooterText=" " ColumnGroupName="mzdy">
                </telerik:GridNumericColumn>
                <telerik:GridDateTimeColumn DataType="System.DateTime" DataField="d_od" DataFormatString="{0:d}" HeaderText="[%od%]" HtmlEncode="False" ColumnGroupName="dochazka" />
                <telerik:GridDateTimeColumn DataType="System.DateTime" DataField="d_do" DataFormatString="{0:d}" HeaderText="[%do%]" HtmlEncode="False" ColumnGroupName="dochazka" />
                <telerik:GridNumericColumn DataField="d_dny" HeaderText="[%dny%]" UniqueName="d_dny"
                    DataFormatString="{0:# ##0.0}" Aggregate="Sum" FooterText=" " ColumnGroupName="dochazka">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="d_hodiny" HeaderText="[%hodiny%]" UniqueName="d_hodiny"
                    DataFormatString="{0:# ##0.00}" Aggregate="Sum" FooterText=" " ColumnGroupName="dochazka">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="rozdil" HeaderText="[%Rozdíl%]" UniqueName="rozdil" ColumnGroupName="za" />
                <telerik:GridBoundColumn DataField="datum_ukonc" DataFormatString="{0:d}" HeaderText="[%Datum ukončení%]" HtmlEncode="False" ColumnGroupName="prac_pom" />
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" FilterButton-Visible="false"  DateControl="TRadObdobi" StrediskaComboBox-Visible="true">
                    <TRadObdobi runat="server" AutoPostBack="true"></TRadObdobi>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>

</asp:Content>


