﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Funkce;
using KSProgram.Dochazka;
using KSProgram;
using KSProgram.Pozadavky;
using System.Data;
using System.Drawing;
using System.Web.Services;
using Telerik.Web.UI;
using System.Collections;
using KSProgram.WebControls;
using KSProgram.Ciselniky;
using KSProgram.Obecne;
using KSProgram.Data;
using System.Data.Common;

namespace KSProgram.Dochazka
{
    public partial class PorizKalendar : TPage
    {
        public PorizKalendar()
        {
            VisibleSeznamZam = false;
            EnableVisibleSeznamZam = true;
            IdPrava = 163;      
        }

        /// <summary>
        /// 
        /// </summary>
        public bool Form_editable
        {
            get
            {
                return (ViewState["Form_editable"] == null ? false : Convert.ToBoolean(ViewState["Form_editable"]));
            }
            set
            {
                ViewState["Form_editable"] = value;
            }
        }

        DataTable _data = null;
        StrZam _zam = new StrZam();
        bool _nacteno = false;
        Str_workfl_proc _stavProc;


        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

            RadScriptManager.GetCurrent(this).EnablePageMethods = true;

            F_Telerik.AddSkinReferenceLinks(Page);
        }
       

        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            string ls_js="var arr_kody = { ";
            for (int i = 0; i < Globals.DchKody.Polozky.Count; i++)
            {
                DchKod p=(DchKod)Globals.DchKody.Polozky[i];
                //ls_js+=p.Vyr_kod.ToString()+":\""+p.Zpusob+"\"";
                ls_js += "\""+p.Nazev.ToString() + "\":\"" + p.Zpusob + "\"";
                if (i < Globals.DchKody.Polozky.Count)
                    ls_js += ",";
            }         
            ls_js += "};";
            ScriptManager.RegisterClientScriptBlock(this, typeof(Page), "js_kody_arr", ls_js, true); 
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void RadCalendar1_DefaultViewChanged(object sender, Telerik.Web.UI.Calendar.DefaultViewChangedEventArgs e)
        {
            //AddImages(e.NewView);
            _nacteno = false;

           // dsRekapitulace.SelectParameters["os_cislo"].DefaultValue = Globals.OsCislo.ToString();
           // dsRekapitulace.SelectParameters["obdobi"].DefaultValue = e.NewView.CurrentViewBeginDate.ToString();

            //ObjectDataSource ds = (ObjectDataSource)this.FindControlRecursive("dsFond");
            //ds.SelectParameters["os_cislo"].DefaultValue = Globals.OsCislo.ToString();
            //ds.SelectParameters["obdobi"].DefaultValue = RadCalendar1.SelectedDate.ToString();

            //dsRekapitulace.SelectParameters["os_cislo"].DefaultValue = Globals.OsCislo.ToString();
            //dsRekapitulace.SelectParameters["obdobi"].DefaultValue = RadCalendar1.SelectedDate.ToString();
            //dsRekapitulace.DataBind();

        }

        protected  void dsRekapitulace_DataBinding(object sender, EventArgs e)
        {
            

            
        }

        protected void dsFond_DataBinding(object sender, EventArgs e)
        {
           
        }

        /*
        private void AddImages(Telerik.Web.UI.Calendar.View.CalendarView inputView)
        {
            switch (inputView.ViewStartDate.Month)
            {
                case 1:
                case 11:
                case 12:
                    _headerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/header_winter.jpg";
                    _footerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar//footer_winter.jpg";
                    _headerImage.AlternateText = _footerImage.AlternateText = "Winter";
                    break;
                case 2:
                case 3:
                case 4:
                    _headerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/header_spring.jpg";
                    _footerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/footer_spring.jpg";
                    _headerImage.AlternateText = _footerImage.AlternateText = "Spring";
                    break;
                case 5:
                case 6:
                case 7:
                    _headerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/header_summer.jpg";
                    _footerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/footer_summer.jpg";
                    _headerImage.AlternateText = _footerImage.AlternateText = "Summer";
                    break;
                case 8:
                case 9:
                case 10:
                    _headerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/header_autumn.jpg";
                    _footerImage.ImageUrl = "~/Skins/KSLightStyle/Calendar/footer_autumn.jpg";
                    _headerImage.AlternateText = _footerImage.AlternateText = "Autumn";
                    break;
            }
        }
         * */

        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void RadCalendar1_SelectionChanged(object sender, Telerik.Web.UI.Calendar.SelectedDatesEventArgs e)
        {
            //dsDen.SelectParameters["den"].DefaultValue = RadCalendar1.SelectedDate.ToString();
            //dsDen.SelectParameters["os_cislo"].DefaultValue = Globals.OsCisloPomer.OsCislo.ToString();
            //dsDen.SelectParameters["cislo_pom"].DefaultValue = Globals.OsCisloPomer.CisloPom.ToString();
            //RadGrid1.MasterTableView.DataSourceID = "dsDen";
            //RadGrid1.DataSourceID = "dsDen";

            //RadGrid1.DataBind();

            //RadGrid1.MasterTableView.FilterExpression = string.Empty;

            if (e.SelectedDates.Count == 0) return;
            DateTime ld_dat = e.SelectedDates[0].Date;
            if (ld_dat==new DateTime()) return;

            if (Globals.AktObdobiDochazka > new DateTime(ld_dat.Year, ld_dat.Month, 1)) return;

            foreach (GridDataItem it in RadGrid2.MasterTableView.Items)
                it.Edit = false;

            RadGrid2.DataSource = null;
            RadGrid2.Rebind();  

            string script = "function f(){$find(\"" + modalPopup.ClientID + "\").show(); Sys.Application.remove_load(f);}Sys.Application.add_load(f);";
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "modalPopup", script, true);

            //ralpConfiguration.DataBind();
            //modalPopup.DataBind();
        }

       

        protected void dsDen_Deleted(object sender, EventArgs e)
        {
        }

        protected void dsDen_Updated(object sender, EventArgs e)
        {
        }

        protected void dsDen_Updating(object sender, ObjectDataSourceMethodEventArgs e)
        {
        }

        protected void RadGrid1_OnDataBound(object sender, EventArgs e)
        {
            RadGrid gr=(RadGrid)sender;
            foreach (GridDataItem item in gr.Items)
            {
                RadDropDownList list = (RadDropDownList)WebControlHelper.FindControl(item, "kod");
                if (list != null)
                    list.Attributes.Add("OnClientItemSelected", "dd_kod_ItemSelected('" + item.ItemIndex + "')");
            }
        }

        protected void RadCalendar1_DayRender(object sender, Telerik.Web.UI.Calendar.DayRenderEventArgs e)
        {  
            if (Globals.OsCislo == 0) return;
            if (!_nacteno)
            {
                DateTime mesic=new DateTime(e.Day.Date.Year, e.Day.Date.Month, 1);
                if (e.Day.Date.Day > 1)
                    mesic=mesic.AddMonths(1);

                //ObjectDataSource ds = (ObjectDataSource)this.FindControlRecursive("dsFond");
                //ds.SelectParameters["os_cislo"].DefaultValue = Globals.OsCislo.ToString();
                //ds.SelectParameters["obdobi"].DefaultValue = mesic.ToString();

                //dsRekapitulace.SelectParameters["os_cislo"].DefaultValue = Globals.OsCislo.ToString();
                //dsRekapitulace.SelectParameters["obdobi"].DefaultValue = mesic.ToString();


                //TGridView1.DataSourceID = "dsRekapitulace";
                // TGridView1.DataBind();

                
                WorkflowProces proc = new WorkflowProces();
                //Prac_pom pp = new Prac_pom();
                DochazkaFunkce df = new DochazkaFunkce();
                df.NaplnStrukturuStrZam(mesic, Globals.OsCislo, Prac_pom.Platny_Pomer(Globals.OsCislo, mesic), ref _zam);
                _data = KalendarDen.LoadDne(Globals.OsCislo, mesic);
                _nacteno = true;
                _stavProc = proc.GetStav(Globals.OsCislo, "dochazka", mesic);

               // TRadGrid_rekap.Rebind();
            }

            e.Cell.Style.Add(HtmlTextWriterStyle.VerticalAlign, "top");
            e.Cell.Attributes.Add("align", "left");
           
            /*
            e.Day.IsSelectable =
            (
                (PozadavekPrava.KalendarPravoNaDen(Dochazka.SuperUser,
                Convert.ToDateTime(dsRekapitulace.SelectParameters["obdobi"].DefaultValue),
                e.Day.Date) && Form_editable)
             );
                  */
            e.Day.IsSelectable = (Globals.AktObdobiDochazka > new DateTime(e.Day.Date.Year, e.Day.Date.Month, 1));
            Table tabulka = _vytvorTabulku(e.Day.Date);
            e.Cell.Controls.Add(tabulka);           
        }

       

       

        private Table _vytvorTabulku(DateTime datum)
        {
            ParametryDochazky pd = new ParametryDochazky();
            //_citac++;
            Table tabulka = new Table();
            //tabulka.Width = 100;
            //if (_citac > 5) return tabulka;
            tabulka.Style.Add(HtmlTextWriterStyle.BorderCollapse, "collapse");
            tabulka.Style.Add(HtmlTextWriterStyle.Width, "100%");
            //tabulka.Style.Add(HtmlTextWriterStyle.BorderWidth, "0px");
            //tabulka.Style.Add(HtmlTextWriterStyle.BorderColor, "transparent");

            tabulka.Style.Add("cellpadding", "0");
            tabulka.Style.Add("cellspacing", "0");
            tabulka.Attributes.Add("rules !important", "none");

            DataTable data = KalendarDen.DataDenni(ref _zam, datum, ref _data);
            //DataTable data = new DataTable();
            int pocet = data.Rows.Count;
            int pocetx = _data.Rows.Count;

            TableRow th = new TableRow();
            th.Style.Add(HtmlTextWriterStyle.Height, "20");
            th.HorizontalAlign = HorizontalAlign.Center;
            TableCell tc = new TableCell();
            tc.ColumnSpan = 2;
            tc.Text = datum.Day.ToString() + ".";
            tc.Font.Bold = true;
            //if ((datum.Date.DayOfWeek == DayOfWeek.Sunday) || (datum.Date.DayOfWeek == DayOfWeek.Saturday))
            //    tc.ForeColor = Color.FromName("#25A0DA");
            tc.Style.Add(HtmlTextWriterStyle.TextAlign, "Center");
            tabulka.Rows.Add(th);
            th.Cells.Add(tc);

            /*
            foreach (DataRow row in data.Rows)
            {
                TableRow tr = new TableRow();
                tr.Style.Add(HtmlTextWriterStyle.Height, "20");

                tabulka.Rows.Add(tr);

                if (row["kod"] != DBNull.Value)
                {
                    TableCell cell = new TableCell();
                    Label lab1 = new Label();
                    int kod = Convert.ToInt16(row["kod"]);

                    //lab1.Text = CisDchKody.GetZkratku((short)kod);
                    lab1.Text = pd.ZkratkaZKodu(kod);
                    cell.Controls.Add(lab1);
                    tr.Cells.Add(cell);

                    cell = new TableCell();
                    Label lab2 = new Label();
                    if ((row["doba_hod"] != DBNull.Value)||(row["doba_min"]!=DBNull.Value))
                    {
                        if (row["doba_hod"] != DBNull.Value)
                            lab2.Text = row["doba_hod"].ToString();
                        else
                            lab2.Text = "00";
                        lab2.Text += ":";
                        if (row["doba_min"] != DBNull.Value)
                            lab2.Text += row["doba_min"].ToString();
                        else
                            lab2.Text += "00";
                    }
                    else
                    {
                        if ((row["cas_od"]!=DBNull.Value)&&(row["cas_do"]!=DBNull.Value))
                        {
                            DateTime ld_od=Convert.ToDateTime(row["cas_od"]);
                            DateTime ld_do=Convert.ToDateTime(row["cas_do"]);
                            lab2.Text=ld_od.ToString("hh:mm")+"-"+ld_do.ToString("hh:mm");
                        }                        
                    }
                    cell.Controls.Add(lab2);
                    tr.Cells.Add(cell);

                    if (pd.IsKodAbs(kod))
                    {
                        lab1.ForeColor = Color.Red;
                        lab2.ForeColor = Color.Red;
                    }
                    else
                    {
                        lab1.ForeColor = Color.Black;
                        lab2.ForeColor = Color.Black;
                    }
                }
             
            }
             * */

            int citac = 0;
            foreach (DataRow row in data.Rows)
            {
                if (row["kod"] != DBNull.Value)
                {
                    citac++;
                    int kod=Convert.ToInt32(row["kod"]);
                    string hodnota=pd.ZkratkaZKodu(kod);
                    _createRadek(tabulka, "Kód", hodnota, citac);

                    if ((row["doba_hod"] != DBNull.Value) || (row["doba_min"] != DBNull.Value))
                    {
                        if (row["doba_hod"] != DBNull.Value)
                            hodnota = row["doba_hod"].ToString();
                        else
                            hodnota = "00";
                        hodnota += ":";
                        if (row["doba_min"] != DBNull.Value)
                            hodnota += row["doba_min"].ToString();
                        else
                            hodnota += "00";
                    }
                    else
                    {
                        if ((row["cas_od"] != DBNull.Value) && (row["cas_do"] != DBNull.Value))
                        {
                            DateTime ld_od = Convert.ToDateTime(row["cas_od"]);
                            DateTime ld_do = Convert.ToDateTime(row["cas_do"]);
                            hodnota = ld_od.ToString("hh:mm") + "-" + ld_do.ToString("hh:mm");
                        }
                    }
                    _createRadek(tabulka, "[%Hodiny%]", hodnota, citac);

                    hodnota = row["prac_str"].ToString();
                    _createRadek(tabulka, "[%Středisko%]", hodnota, citac);

                    hodnota = row["c_pole2"].ToString();
                    _createRadek(tabulka, "[%Země%]", hodnota, citac);

                    hodnota = row["c_pole1"].ToString();
                    _createRadek(tabulka, "[%Činnost%]", hodnota, citac);
                }
            }

            return tabulka;
            // ViewState.Add(datum.ToString(), tabulka);
        }

        private void _createRadek(Table table, string popisek, string hodnota, int citac)
        {
            string ls_barva= "#e5e5e5"; 
            if ((citac % 2)==0)
                ls_barva = "white";

            TableRow row = new TableRow();

            row.Style.Add(HtmlTextWriterStyle.BackgroundColor, ls_barva);

            table.Rows.Add(row);
            TableCell c_pop = new TableCell();
            row.Cells.Add(c_pop);
            c_pop.Style.Add(HtmlTextWriterStyle.BorderWidth, "0px");

            TableCell c_hod = new TableCell();
            row.Cells.Add(c_hod);
            c_hod.Style.Add(HtmlTextWriterStyle.BorderWidth, "0px");
            c_hod.Style.Add(HtmlTextWriterStyle.TextAlign, "Left");

            Label lab = new Label();
            lab.Text = WebControlHelper.ZmenaTextu(popisek)+":";
            lab.Style.Add(HtmlTextWriterStyle.Padding, "0px");
            lab.Style.Add(HtmlTextWriterStyle.PaddingRight, "5px");

            c_pop.Controls.Add(lab);

            lab=new Label();
            lab.Text=hodnota;
            lab.Style.Add(HtmlTextWriterStyle.Padding, "0px");
            lab.Style.Add(HtmlTextWriterStyle.PaddingRight, "5px");
            c_hod.Controls.Add(lab);

        }

        /*
        [WebMethod]
        public static int GetCount(object as_den)
        {
            DateTime ld_den = GetDateFromString(as_den);
            return KalendarDen.NacistDen(ld_den).Rows.Count;
        }


        [WebMethod]
        public static List<StrPorizeniZazn> GetData(object ao_den)
        {
            DateTime ld_den = GetDateFromString(ao_den);

            return PorizeniDen.NacistDenList(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ld_den);
        }

        [WebMethod]
        public static void SaveData(StrPorizeniZazn data)
        {

        }
         

        public static DateTime GetDateFromString(object ao_den)
        {
            object[] lst = (object[])ao_den;

            return new DateTime(Convert.ToInt32(lst[0]), Convert.ToInt32(lst[1]), Convert.ToInt32(lst[2]));
        }
         * */

        protected void RadGrid1_ItemUpdated(object source, Telerik.Web.UI.GridUpdatedEventArgs e)
        {

            //GridEditableItem item = (GridEditableItem)e.Item;
            //String id = item.GetDataKeyValue("ProductID").ToString();

            //if (e.Exception != null)
            //{
            //    e.KeepInEditMode = true;
            //    e.ExceptionHandled = true;
            //    NotifyUser("Product with ID " + id + " cannot be updated. Reason: " + e.Exception.Message);
            //}
            //else
            //{
            //    NotifyUser("Product with ID " + id + " is updated!");
            //}
        }



        protected void RadGrid1_ItemInserted(object source, GridInsertedEventArgs e)
        {

            //if (e.Exception != null)
            //{
            //    e.ExceptionHandled = true;
            //    NotifyUser("Product cannot be inserted. Reason: " + e.Exception.Message);
            //}
            //else
            //{
            //    NotifyUser("New product is inserted!");
            //}
        }

        protected void RadGrid2_UpdateCommand(object source, GridCommandEventArgs e)
        {
            DateTime ld_den = RadCalendar1.SelectedDate;            

            GridEditableItem editedItem = (GridEditableItem)e.Item;
            string id = (string)editedItem.GetDataKeyValue("id");
            string prac_str = (string)editedItem.GetDataKeyValue("prac_str");
            int kod = Convert.ToInt32(editedItem.GetDataKeyValue("kod"));
            RadDateTimePicker dt_doba=(RadDateTimePicker)editedItem.FindControl("dp_cas_doba");
            DateTime cas_doba = (DateTime)dt_doba.SelectedDate;

            string c_pole2 = ((RadDropDownList)editedItem.FindControl("dd_zeme")).SelectedValue;
            string c_pole1 = ((RadDropDownList)editedItem.FindControl("dd_cinnosti")).SelectedValue;

            Hashtable newValues = new Hashtable();
            e.Item.OwnerTableView.ExtractValuesFromItem(newValues, editedItem);
          
            if (newValues["cas_doba"] != null)
                cas_doba = Convert.ToDateTime(newValues["cas_doba"]);

            if (newValues["prac_str"] != null)
                prac_str = Convert.ToString(newValues["prac_str"]);

            if (newValues["kod"] != null)
                kod = Convert.ToInt32(newValues["kod"]);

            if (newValues["c_pole1"] != null)
                c_pole1 = Convert.ToString(newValues["c_pole1"]);

            if (newValues["c_pole2"] != null)
                c_pole2 = Convert.ToString(newValues["c_pole2"]);

            if (c_pole1 != null) c_pole1 = c_pole1.Trim();
            if (c_pole2 != null) c_pole2 = c_pole2.Trim();

            int? hod_doba=null, min_doba=null;
            if (cas_doba.Hour != 0) hod_doba = cas_doba.Hour;
            if (cas_doba.Minute != 0) min_doba = cas_doba.Minute;

            if (id == "") id = "|";
            string poznamka = null;
            PorizeniDen.UpdateDen(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ld_den, kod, null, null, null, null, hod_doba, min_doba, prac_str, c_pole1, c_pole2, null, null, poznamka, id, id);

            RadGrid2.DataSource = null;
            RadGrid2.Rebind();
            e.Item.Edit = false;
        }

        protected void RadGrid2_InsertCommand(object source, GridCommandEventArgs e)
        {
            DateTime ld_den = RadCalendar1.SelectedDate;

            GridEditableItem editedItem = (GridEditableItem)e.Item;           
            Hashtable newValues = new Hashtable();
            e.Item.OwnerTableView.ExtractValuesFromItem(newValues, editedItem);

            int kod = 0;
            DateTime cas_doba = new DateTime();
            string prac_str = "";            
            if (newValues["kod"] != null)
                kod = Convert.ToInt32(newValues["kod"]);

            if (newValues["cas_doba"] != null)
                cas_doba = Convert.ToDateTime(newValues["cas_doba"]);

            if (newValues["prac_str"] != null)
                prac_str = Convert.ToString(newValues["prac_str"]);

            string c_pole2 = ((RadDropDownList)editedItem.FindControl("dd_zeme")).SelectedValue;
            string c_pole1 = ((RadDropDownList)editedItem.FindControl("dd_cinnosti")).SelectedValue;

            if (newValues["c_pole1"] != null)
                c_pole1 = Convert.ToString(newValues["c_pole1"]);

            if (newValues["c_pole2"] != null)
                c_pole2 = Convert.ToString(newValues["c_pole2"]);

            if (c_pole1 != null) c_pole1 = c_pole1.Trim();
            if (c_pole2 != null) c_pole2 = c_pole2.Trim();

            int? hod_doba = null, min_doba = null;
            if (cas_doba.Hour != 0) hod_doba = cas_doba.Hour;
            if (cas_doba.Minute != 0) min_doba = cas_doba.Minute;
            string poznamka = null;//PH 12.11.2014
            string id = "|";
            PorizeniDen.UpdateDen(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ld_den, kod, null, null, null, null, hod_doba, min_doba, prac_str, c_pole1, c_pole2, null, null, poznamka, id, id);

            RadGrid2.MasterTableView.IsItemInserted = false;
            e.Canceled = true;

            RadGrid2.DataSource = null;
            RadGrid2.Rebind();
                      
            
        }

        protected void RadGrid2_ItemCommand(object source, GridCommandEventArgs e)
        {
            if (e.CommandName == RadGrid.EditCommandName)
            {
                RadGrid2.MasterTableView.IsItemInserted = false;
            }

            if (e.CommandName == RadGrid.InitInsertCommandName)
            {
                RadGrid2.MasterTableView.ClearEditItems();

            }
            
        }

        protected void RadGrid2_NeedDataSource1(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            if (RadCalendar1.SelectedDate > new DateTime())
            {
                //lab_nadpis_dne.Text = RadCalendar1.SelectedDate.ToString("d.MMMM yyyy");
                modalPopup.Title = RadCalendar1.SelectedDate.ToString("d.MMMM yyyy");
                RadGrid2.DataSource = PorizeniDen.NacistDen(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, RadCalendar1.SelectedDate);
            }
            
        }

        protected void RadGrid2_DeleteCommand(object source, GridCommandEventArgs e)
        {
            DateTime ld_den = RadCalendar1.SelectedDate;

            GridEditableItem editedItem = (GridEditableItem)e.Item;
            string id = (string)editedItem.GetDataKeyValue("id");
            PorizeniDen.DeleteZaznam(Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ld_den, id, id);

            RadGrid2.DataSource = null;
            RadGrid2.Rebind();
        }

        protected void RadGrid2_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if ((e.Item is GridEditFormItem) && e.Item.IsInEditMode)
            {
                GridEditFormItem gridEditFormItem = (GridEditFormItem)e.Item;               
                RadDropDownList dropDownList = (RadDropDownList)gridEditFormItem.FindControl("dd_zeme");
                dropDownList.DataSourceID = "dsZeme";                
                dropDownList.DataBind();
                Label lab_zeme = gridEditFormItem.FindControl("lblZeme") as Label;
                dropDownList.SelectedValue = lab_zeme.Text;

                Label lab_cinnost = gridEditFormItem.FindControl("lblCinnost") as Label;                
                dropDownList = (RadDropDownList)gridEditFormItem.FindControl("dd_cinnosti");
                dropDownList.DataSource = CisCinnosti.CinnostiProZemi(lab_zeme.Text);
                dropDownList.DataBind();

                dropDownList.SelectedValue = lab_cinnost.Text;
            }

            if (e.Item is GridEditFormInsertItem || e.Item is GridDataInsertItem)
            {
                DateTime ld_den = RadCalendar1.SelectedDate;
                DochazkaFunkce df = new DochazkaFunkce();
                //Prac_pom pp = new Prac_pom();
                DateTime mesic = new DateTime(ld_den.Date.Year, ld_den.Date.Month, 1);
                df.NaplnStrukturuStrZam(mesic, Globals.OsCislo, Prac_pom.Platny_Pomer(Globals.OsCislo, mesic), ref _zam);

                GridEditFormItem gridInsertFormItem = (GridEditFormItem)e.Item;

                TableCell cell = gridInsertFormItem["dd_stred"];

                RadComboBox list = cell.Controls[0] as RadComboBox;

                RadComboBoxItem it = new RadComboBoxItem();

                list.SelectedValue = _zam.PracPom.Prac_str.Trim();
            }          

        }

        protected void dd_zeme_SelectedIndexChanged(object sender, EventArgs e)
        {           
            string zeme=((RadDropDownList)sender).SelectedValue;        
            RadDropDownList combo = (RadDropDownList)sender;
            GridEditFormItem editform = (GridEditFormItem)combo.NamingContainer;
            RadDropDownList dropDownList=(RadDropDownList)editform.FindControl("dd_cinnosti");
            dropDownList.DataSource = CisCinnosti.CinnostiProZemi(zeme);
            dropDownList.DataBind();    
        }


        /*
        private void _pravaNaTlacitka(DateTime obdobi)
        {
            StrukturaOrganizace str_org = new StrukturaOrganizace();
            WorkflowProces proc = new WorkflowProces();
            Str_workfl_proc st = proc.GetStav(Globals.OsCislo, "dochazka", obdobi);
            int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", obdobi);
            WorkflowMaster wf = new WorkflowMaster(id_poz, "dochazka", null);
            if (id_poz > 0)
            {
                workfl_hl whl = new workfl_hl();
                Str_workfl_hl st_hl = whl.NaplnStrukturu(id_poz);               

                string zmstavu = wf.Get_UN("", "PanelZmenaStavu", "Visible");
                if (zmstavu == "true")
                {
                    dsStavyEdit.SelectParameters[0].DefaultValue = id_poz.ToString();
                    //dsZmenaStavu.InsertParameters[0].DefaultValue = id_poz.ToString();                
                    ddl_zmena_stavu.DataSourceID = "dsStavyEdit";
                }
                PanelZmenaStavu.Visible = (zmstavu == "true");
                if (PanelZmenaStavu.Visible == false)
                    if ((str_org.PrimyNadrizenyExists(Globals.OsCisloAktUser) == false) && (wf.StavPosl != "schvaleny"))
                        PanelZmenaStavu.Visible = true;
            }
            else
                PanelZmenaStavu.Visible = false;

            string editable = wf.Get_UN("", "form_editable", "Enabled");
            Form_editable = (editable == "true");

            //TLinkButton1.Visible = Form_editable;//v budoucnu možná zpřístupnit
        }

        
        decimal _sumHod = 0;
        decimal _sumDny = 0;
        protected void TGridView1_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.Header)
            {
                _sumDny = 0;
                _sumHod = 0;
            }
            else if (e.Row.RowType == DataControlRowType.DataRow)
            {
                decimal dny = Convert.ToDecimal(e.Row.Cells[2].Text);
                decimal hod = Convert.ToDecimal(e.Row.Cells[3].Text);

                _sumDny += dny;
                _sumHod += hod;
            }
            else if (e.Row.RowType == DataControlRowType.Footer)
            {
                e.Row.Cells[2].Text = _sumDny.ToString("N1");
                e.Row.Cells[3].Text = _sumHod.ToString("N2");

            }
        }
        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {
            StrZam zam = new StrZam();
            DateTime dt_od, dt_do;
            string druh_pom, err;
            short cislo_pom;

            //dt_od = RadCalendar1.VisibleDate;
            dt_od=RadCalendar1.FocusedDate.Date;


            dt_do = F_DateTime.EndOfMonth(dt_od);          
            DochazkaFunkce df = new DochazkaFunkce();
            df.NaplnStrukturuStrZam(new DateTime(dt_od.Year, dt_od.Month, 1), Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ref zam);

            //provedu automatické doplnění
            TDataTable data = Dochazka.AutDoplneniNacist(zam, dt_od, dt_do);

            using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
            {
                try
                {                   
                    Dochazka.AutDoplneniUlozit(zam, dt_od, dt_do, data, true, "a");

                    //if (Pozadavek.Exists(Globals.OsCislo, "dochazka", dt_od.Date) == 0)
                    //    Pozadavek.CreatePozadavek(Globals.OsCislo, "dochazka", dt_od.Date);
                    //PH 18.7.2013
                    Pozadavekdochazka.TestAndCreate(Globals.OsCislo, dt_od.Date);
                    SqlPrikaz.Commit();
                }
                catch
                {
                    SqlPrikaz.Rollback();
                    throw;
                }
            }
            RadCalendar1.DataBind();
            //TGridView1.DataBind();
            _pravaNaTlacitka(dt_od);

        }
       
        protected void lb_zmena_stavu_Command(object sender, CommandEventArgs e)
        {
           
            if (Parametry.ParametrCti("PotvrzFondOK").ToLower().Trim() == "a")
            {
                decimal pom = 0;
                decimal hodFond = 0, hodSkut = 0;
                if (Decimal.TryParse(TGridView1.FooterRow.Cells[3].Text, out pom))
                    hodSkut = pom;
                Label lab = (Label)this.FindControlRecursive("FondHodin");
                if (lab != null)
                {
                    if (decimal.TryParse(lab.Text, out pom))
                        hodFond = pom;
                }
                if (hodSkut != hodFond)
                {
                    MessageBox.Alert(Page, "Nelze pokračovat, plánovaný fond nesouhlasí se skutečností. Rozdíl činí " + (hodFond - hodSkut).ToString() + " hodin.");
                    return;
                }
            }
             

            DateTime datum = Convert.ToDateTime(dsRekapitulace.SelectParameters["obdobi"].DefaultValue);

            int id_poz = Pozadavek.Exists(Globals.OsCislo, "dochazka", datum);
            if (!(id_poz > 0)) //PH 7.9.2012
            {
                MessageBox.Alert(Page, "Nelze pokračovat, nejdříve vyplňte docházku, nebo proveďte automatické generování");
                return;
            }
            string stav = ddl_zmena_stavu.SelectedValue.ToString();
            if (string.IsNullOrEmpty(stav))//PH 7.9.2012
            {
                MessageBox.Alert(Page, "Nelze pokračovat, není vybrán žádný stav");
                return;
            }
            //WorkflowProces.KrokProcesu(id_poz, stav, "");
            //PH 19.2.2013
            WorkflowProces.KrokProcesuTrans(id_poz, stav, "", 0);
            _pravaNaTlacitka(datum);
        }

        protected void TRadGrid_rekap_needDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            if (_nacteno)
            {
                TRadGrid_rekap.DataSource = _data;
            }
            
        }
         * */
    }
}