﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="PrideleniModelu.aspx.cs" Inherits="KSPortal.Dochazka.PrideleniModelu" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="KSValidation" Namespace="KSProgram.WebControls.Validation" assembly="WebControls"  %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <style>
        .rgEditPopup .rgHeader
        {
            display:none !important;
        }
        #ctl00_HlavniOblast_gv_polozky
        {
            width:5px!important;
        }       
    </style>
    <script type="text/javascript">
        function popupShowing(sender, eventArgs) {           
            var popUp = eventArgs.get_popUp();           
            popUp.style.left = "268px";
            popUp.style.top = "85px";

            $(popUp).find("input").attr('disabled', 'disable');
            $(popUp).find(".rcbActionButton span").attr('disabled', 'disable');
          
            $telerik.$("[id$='dl_9ic']").get(0).control.disable();
            $telerik.$("[id$='TRadComboBox_nar_svatek']").get(0).control.disable();
            $telerik.$("[id$='combo_jednotka']").get(0).control.disable();
            $telerik.$("[id$='combo_co_s_hodinama']").get(0).control.disable();
            $telerik.$("[id$='combo_pf_jiny']").get(0).control.disable();
            $telerik.$("[id$='combo_pf_jednotka']").get(0).control.disable();

            $telerik.$("[id$='numeric_pr_start_datum']").get(0).control.set_enabled(false);
            $telerik.$("[id$='calendar_pf_pocatek']").get(0).control.set_enabled(false);

            $(popUp).find(".rcCalPopup").css('display', 'none');         
        }
    </script>
    <kspwc:TGridView ID="GV_model_zam" runat="server" AutoGenerateColumns="False" DataSourceID="ds_model" Width="903" 
        ShowHeader="False" DataKeyNames="id" OnRowDataBound="GV_model_zam_RowDataBound" IdPravaEditace="220"
        ShowTitleRow="True" TitleText="[%Přidělený model pracovní doby%]" OnRowUpdated="GV_model_zam_RowUpdated" OnRowCommand="GV_model_zam_RowCommand" OnDataBound="GV_model_zam_DataBound">
        <columns>
                 <asp:CommandField ShowEditButton="True" ButtonType="Image" CancelImageUrl="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-undo.svg" ItemStyle-Width="44" EditImageUrl="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-edit.svg" UpdateImageUrl="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-disk.svg" ControlStyle-Height="20px" />
                <asp:CommandField ButtonType="Image" DeleteImageUrl="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-trash.svg" ShowDeleteButton="True"   ItemStyle-Width="20" ControlStyle-Height="20px" />
                <asp:TemplateField ShowHeader="False">
                    <EditItemTemplate>
                        <asp:ObjectDataSource ID="ds_nabidka_modelu" runat="server" SelectMethod="DbSelect" TypeName="KSProgram.Ciselniky.CisDchModelyPd" OldValuesParameterFormatString="original_{0}"></asp:ObjectDataSource>
                        <asp:DropDownList ID="DropDownList3" runat="server" DataSourceID="ds_nabidka_modelu" DataTextField="cely_nazev" DataValueField="id" SelectedValue='<%# Bind("id") %>' OnSelectedIndexChanged="DropDownList3_SelectedIndexChanged">
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# KSProgram.Ciselniky.CisDchModelyPd.CelyNazevModelu(Convert.ToInt32(DataBinder.Eval(Container.DataItem, "id"))) %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
               
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# KSProgram.Dochazka.ModelyPdZam.ImplModelText((bool)DataBinder.Eval(Container.DataItem, "def_model")) %>'></asp:Label>
                    </ItemTemplate>
                    <ControlStyle BackColor="Transparent" />
                    <ItemStyle BackColor="Transparent" ForeColor="White"  />
                </asp:TemplateField>
            </columns>
    </kspwc:TGridView>
    &nbsp;<br />
    <asp:Label runat="server" ID="lab_model_neni" Visible="false" ForeColor="Red" Text="[%Neexistuje implicitní model prac. doby, prosím nastavit v číselníku modelů prac. doby%]" ></asp:Label>
    <asp:ObjectDataSource ID="ds_model" runat="server" SelectMethod="DbSelect" TypeName="KSProgram.Dochazka.ModelyPdZam"
        DeleteMethod="DbDelete" OldValuesParameterFormatString="old_{0}" UpdateMethod="DbUpdate" >
        <SelectParameters>
                <asp:Parameter Name="os_cislo" Type="Decimal" />
                <asp:Parameter Name="cislo_pom" Type="Int16" />
        </SelectParameters>
        <DeleteParameters>
                <%-- <asp:Parameter Name="os_cislo" Type="Decimal" />
                <asp:Parameter Name="cislo_pom" Type="Int16" />--%>
        </DeleteParameters>
        <UpdateParameters>
            <%--<asp:Parameter Name="os_cislo" Type="Decimal" />
            <asp:Parameter Name="cislo_pom" Type="Int16" />--%>
            <asp:Parameter Name="id" Type="Int32" />
            <asp:Parameter Name="old_id" Type="Int32" />
        </UpdateParameters>
    </asp:ObjectDataSource>
           
    <asp:ObjectDataSource ID="dsModelId" runat="server" SelectMethod="Select" TypeName="KSProgram.Ciselniky.CisDchModelyPd">
        <SelectParameters>
            <asp:ControlParameter ControlID="GV_model_zam" Name="id" Type="Int32" PropertyName="SelectedValue" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <kspwc:TRadGrid  SkinID=""  runat="server" ID="gv_polozky" AutoGenerateColumns="False" DataSourceID="dsModelId"
        Width="10">
       
        <MasterTableView ShowFooter="false" ShowHeader="false" Caption="" TableLayout="Fixed" CommandItemDisplay="None" EditMode="PopUp" DataKeyNames="id" DataSourceID="dsModelId" Width="10">
            <EditFormSettings  UserControlName="d2b_editace.ascx" EditFormType="WebUserControl" PopUpSettings-Modal="false" PopUpSettings-ShowCaptionInEditForm="false" PopUpSettings-KeepInScreenBounds="false" 
                CaptionDataField="nazev">
                <EditColumn UniqueName="EditCommandColumn" >
                </EditColumn>
            </EditFormSettings>
                        
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" ButtonType="ImageButton" Visible="false">
                    <ItemStyle Width="30" />
                    <HeaderStyle Width="30" />
                </telerik:GridEditCommandColumn>

            </Columns>
        </MasterTableView>
        <ClientSettings ClientEvents-OnPopUpShowing="popupShowing"></ClientSettings>
    </kspwc:TRadGrid>   
    <asp:TextBox runat="server" ID="lab_hidden" Visible="false" ></asp:TextBox>
    <KSValidation:GeneralLockValidator runat="server" id="val_gl" ControlToValidate="lab_hidden"></KSValidation:GeneralLockValidator>
</asp:Content>
