﻿using System;
using System.Data;
using KSProgram.WebControls;
using Telerik.Web.UI;
using System.IO;
using Telerik.Web.UI.ImageEditor;
using Telerik.Web.UI.ExportInfrastructure;

namespace KSPortal.Dochazka
{
    public partial class SestavaPrescasu : TPage
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        public SestavaPrescasu()
        {
            IdPrava = 239;
            this.HelpURL = "Port%C3%A1l-Doch%C3%A1zka-Sestavy#Sestava_p.C5.99es.C4.8Das.C5.AF";
        }



        protected void TRadGridSestavaPrescasu_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable table = new DataTable("sestava_prescasu");
            //table = KSProgram.Dochazka.SestPrescas.NacistPrescasy((DateTime)TRDP_datum.SelectedDate, WebControlHelper.GetRadioButtValue(Page, "stredisko", "prac_str"), StrSkupDiv.GetStred());
            table = KSProgram.Dochazka.SestPrescas.NacistPrescasy((DateTime)TRadGridSestavaPrescasu.Datum.SelectedDatum, TRadGridSestavaPrescasu.Strediska.GetValue, StrSkupDiv.GetStred());
            TRadGridSestavaPrescasu.DataSource = table;
        }

        protected void TRadGridSestavaPrescasu_ExportCellFormatting(object sender, ExportCellFormattingEventArgs e)
        {
            if ((e.FormattedColumn.UniqueName == "col_minule")|| (e.FormattedColumn.UniqueName == "col_aktualni") || (e.FormattedColumn.UniqueName == "col_soucet"))
                e.Cell.Style["mso-number-format"] = @"\@";
        }

        protected void TRadGridSestavaPrescasu_ExcelExportCellFormatting(object sender, ExcelExportCellFormattingEventArgs e)
        {
            if ((e.FormattedColumn.UniqueName == "col_minule") || (e.FormattedColumn.UniqueName == "col_aktualni") || (e.FormattedColumn.UniqueName == "col_soucet"))
                e.Cell.Style["mso-number-format"] = @"\@";
        }
    }
}