﻿<%@ Page Language="C#" MasterPageFile="~/main.master" AutoEventWireup="true" Inherits="Dochazka_Uzaverka" CodeBehind="Uzaverka.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <%--<asp:Label ID="nadpis" runat="server" CssClass="nadpis1" Text="[%Uzávěrka%]"></asp:Label>--%>
    <asp:MultiView runat="server" ID="mv">
        <asp:View runat="server" ID="mv0">
            <wca:TitledPanel runat="server" ID="TitledPanel1">
                <TitleTemplate>
                    <asp:Label runat="server" ID="titletempl" Text="[%Měsíční uzávěrka%]"></asp:Label>
                </TitleTemplate>
                <ContentTemplate>
                    <table style="width: 286px;">
                        <tr>
                            <td style="text-align: center;">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label runat="server" ID="popisek" Text="[%Aktuální období%] "></asp:Label>
                                        </td>
                                        <td>
                                            <%--<wca:ObdobiText runat="server" ID="Obdobi"></wca:ObdobiText>--%>

                                            <wc:TRadObdobi runat="server" ID="Obdobi" EnableTyping="False">
                                                <Picker ID="Picker1" runat="server">
                                                    <DateInput ReadOnly="true">
                                                    </DateInput>
                                                </Picker>
                                            </wc:TRadObdobi>
                                            <asp:Label runat="server" ID="ObdobiText" Font-Size="Medium" ForeColor="#990000"></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: center;">
                                <br />
                                <wc:TLinkButton ID="LinkButton1" runat="server" Text="[%Spustit uzávěrku%]" OnCommand="LinkButton1_Command" SkinID="button"></wc:TLinkButton>
                                <br />
                                <br />
                                <asp:Label ID="Label_mess" runat="server"></asp:Label>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </wca:TitledPanel>
        </asp:View>
        <asp:View runat="server" ID="mv1">
            <table>
                <tr>
                    <td>
                        <wc:TRadGrid runat="server" ID="vice_ico" OnNeedDataSource="vice_ico_NeedDataSource" MasterTableView-Caption="[%Uzávěrka%]">
                            <GroupingSettings CaseSensitive="False"></GroupingSettings>

                            <MasterTableView AutoGenerateColumns="false">
                                <Columns>
                                    <telerik:GridBoundColumn DataField="id" HeaderText="Id"></telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název podniku%]"></telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="obdobi" HeaderText="[%Aktuální období%]" DataFormatString="{0:MMMM yyyy}"></telerik:GridBoundColumn>
                                    <telerik:GridTemplateColumn DataField="provest" HeaderText="[%Spustit uzávěrku%]">
                                        <ItemTemplate>
                                            <asp:CheckBox runat="server" ID="check_provest" Visible='<%# Convert.ToBoolean(Eval("pristup")) %>'></asp:CheckBox>
                                            <asp:Label runat="server" ID="lab_nepritup" Style="color: Red;" Text="[%Nepřístupný podnik%]" Visible='<%# !Convert.ToBoolean(Eval("pristup")) %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" />
                                    </telerik:GridTemplateColumn>
                                </Columns>
                            </MasterTableView>
                        </wc:TRadGrid>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right; padding-top: 10px;">
                        <wc:TRadButton ID="LinkButton2" runat="server" Text="[%Spustit uzávěrku%]" OnCommand="LinkButton2_Command"  ></wc:TRadButton>
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>

