﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.Dochazka;
using KSProgram.Data;
using System.Collections.Specialized;
using KSProgram.Funkce;
using System.Drawing;
using System.Security;
using KSProgram.Prava;
using KSProgram.Ciselniky;
using Telerik.Web.UI;
using KSProgram.Obecne;
using KSProgram;

public partial class Dochazka_d2a : TPage
{
    public Dochazka_d2a()
    {
        IdPrava = 62;
        this.HelpURL = "Port%C3%A1l-Doch%C3%A1zka-Parametry";
    }
   
    protected string _TextAnoNeJenDohody(int cislo)
    {
        if (cislo == 0)
            return "[%ne%]";
        else if (cislo == 1)
            return "[%ano%]";
        else if (cislo == 2)
            return "[%jen u dohod%]";

        return "";
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        if (ZamykaniAgend.GeneralZamekIsLocked())
        {
            DetailsView v = WebControlHelperProxy.FindControl(this, "dv_parametry") as DetailsView;

            RadButton button = WebControlHelperProxy.FindControl(v, "edit_button") as RadButton;
            if (button != null)
                button.Enabled = false;

            Page.ClientScript.RegisterStartupScript(this.GetType(), "note_info", String.Format("showNote(\"{0}\");", ZamykaniAgend.GeneralZamekLockedMessage), true);
        }
    }

    protected void rcb_vyb_podniku_DataBound(object sender, EventArgs e)
    {
        DetailsView v = WebControlHelperProxy.FindControl(this, "dv_parametry") as DetailsView;
        v?.DataBind();
        if (!Globals.IsViceIco)
        {           
            Panel pan_podnik = WebControlHelperProxy.FindControl(this, "pan_podnik") as Panel;
            pan_podnik.Visible = false;            
        }
    }
}


