﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Zamestnanec_DokumentyPrijate"
    CodeBehind="DokumentyPrijate.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <style type="text/css">
        .RadForm_Metro {
            background: var(--kscolor2);
            color: var(--kscolor2text);
        }
    </style>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="RDDL_TypDoc"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RDDL_TypDoc">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="RDDL_TypDoc"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" DecorationZoneID="decor" DecoratedControls="All" EnableRoundedCorners="false" />

    <div id="decor" class="ksprvek">
        <table width="100%">
            <tr>
                <td style="padding-top: 10px; text-align: center;" colspan="2">
                    <asp:Label ID="nadpis" runat="server" Text="[%Dokumenty přijaté%]" CssClass="nadpis1"></asp:Label></td>
            </tr>
            <tr>
                <td style="padding-left: 10px; display: flex; flex-direction: row;">
                    <asp:Label ID="Label1" runat="server" CssClass="pozadiText" Text="[%Typ dokumentu%]:"></asp:Label>
                    <asp:ObjectDataSource ID="ODS_DocType" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="TypyDokumentu" TypeName="KSProgram.Dokument.DokumentyPrijate" OnSelecting="ODS_DocType_Selecting"></asp:ObjectDataSource>
                    <%--<asp:DropDownList ID="DDL_TypDoc" runat="server" DataTextField="nazev" DataValueField="id"
                    Width="270px" AppendDataBoundItems="True" AutoPostBack="True" DataSourceID="ODS_DocType">
                    <asp:ListItem Value="">- [%Vše%] -</asp:ListItem>
                    </asp:DropDownList>--%>
                    <telerik:RadDropDownList ID="RDDL_TypDoc" runat="server" DataTextField="nazev" Width="270px" DataValueField="id" ToolTip="[%Dokumenty přijaté%]" AppendDataBoundItems="true" AutoPostBack="true" DataSourceID="ODS_DocType" OnSelectedIndexChanged="RDDL_TypDoc_SelectedIndexChanged">
                        <Items>
                            <telerik:DropDownListItem Value="" Text="- [%Vše%] -" />
                        </Items>
                    </telerik:RadDropDownList>
                </td>
            </tr>
        </table>
        <br />
        <%--<asp:ObjectDataSource ID="ODS_DokPrijate" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="DokumentyPrijateZamestnanec" TypeName="KSProgram.Dokument.DokumentyPrijate"
        InsertMethod="InsertPrijatyDokument" OnInserting="ODS_DokPrijate_Inserting">
        <InsertParameters>
            <asp:Parameter Name="typ_dokumentu" Type="String" />
            <asp:Parameter Name="vystavil" Type="String" />
            <asp:Parameter Name="datum_vystaveni" Type="DateTime" />
            <asp:Parameter Name="poznamka" Type="String" />
            <asp:Parameter Name="datum_prijeti" Type="DateTime" />
            <asp:Parameter Name="nazev_souboru" Type="String" />
            <asp:Parameter Name="data" Type="Byte" />
            <asp:Parameter Name="inserted_id" Type="Int32" Direction="Output" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="RDDL_TypDoc" Name="docType" PropertyName="SelectedValue" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>--%>
        <asp:ObjectDataSource ID="ODS_typy" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="TypyDokumentu" TypeName="KSProgram.Dokument.DokumentyPrijate">
            <SelectParameters>
                <asp:Parameter Type="Int16" Name="vych_hodn_portal" DefaultValue="1" />
            </SelectParameters>
        </asp:ObjectDataSource>


        <kspwc:TRadGrid ID="RadGrid2" runat="server" AutoGenerateColumns="False" OnNeedDataSource="RadGrid2_NeedDataSource"
            AllowSorting="True" OnItemCommand="RadGrid2_ItemCommand" OnInsertCommand="RadGrid2_InsertCommand" ExportSettings-ExportOnlyData="false"
            OnItemCreated="RadGrid2_ItemCreated" CaptionVisible="false"
            OnItemDataBound="RadGrid2_ItemDataBound" IdPravaEditace="343">
            <MasterTableView DataKeyNames="id,id_blob,nazev_souboru,uloziste" AutoGenerateColumns="false"
                CommandItemDisplay="Top" AllowFilteringByColumn="False">
                <%--<CommandItemSettings AddNewRecordText="[%Přidat nový záznam%]" />--%>
                <EditFormSettings>
                    <EditColumn ButtonType="ImageButton"></EditColumn>
                </EditFormSettings>
                <Columns>
                    <%--<telerik:GridDropDownColumn DataSourceID="ODS_typy" ListTextField="nazev" ListValueField="id"
                        UniqueName="typ_dokumentu" SortExpression="typ_dokumentu" HeaderText="[%Typ dokumentu%]"
                        DataField="typ_dokumentu" AllowAutomaticLoadOnDemand="true" AllowVirtualScrolling="true">
                    </telerik:GridDropDownColumn>--%>
                    <telerik:GridTemplateColumn UniqueName="typ_dokumentu" AllowSorting="true" AllowFiltering="true" SortExpression="nazev_typu" DataType="System.String" HeaderText="[%Typ dokumentu%]"
                        DataField="nazev_typu">
                        <ItemTemplate>
                            <%# Eval("nazev_typu") %>
                        </ItemTemplate>
                        <InsertItemTemplate>
                            <kspwc:TRadComboBox runat="server" ID="TRCB_item" DataSourceID="ODS_typy" EnableAutomaticLoadOnDemand="true" EnableVirtualScrolling="true"
                                DataValueField="id" DataTextField="nazev">
                            </kspwc:TRadComboBox>
                            <kspwc:TRequiredValidator runat="server" ID="TRV" ControlToValidate="TRCB_item"></kspwc:TRequiredValidator>
                        </InsertItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridDateTimeColumn UniqueName="datum_prijeti" PickerType="DatePicker" HeaderText="[%Datum přijetí%]" DataType="System.DateTime"
                        DataField="datum_prijeti" DataFormatString="{0:d.M.yyyy}" EditDataFormatString="d.M.yyyy"
                        InsertVisiblityMode="AlwaysHidden">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridBoundColumn UniqueName="vystavil" HeaderText="[%Vystavil%]" DataField="vystavil"
                        MaxLength="50">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn UniqueName="datum_vystaveni" PickerType="DatePicker" DataType="System.DateTime"
                        HeaderText="[%Datum vystavení%]" DataField="datum_vystaveni" DataFormatString="{0:d.M.yyyy}"
                        EditDataFormatString="d.M.yyyy">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridBoundColumn UniqueName="poznamka" HeaderText="[%Poznámka%]" DataField="poznamka"
                        MaxLength="50">
                    </telerik:GridBoundColumn>
                    <telerik:GridAttachmentColumn UploadControlType="RadAsyncUpload" EditFormHeaderTextFormat="Nahrát soubor:"
                        HeaderText="[%Dokument%]" FileNameTextField="nazev_souboru" DataTextField="nazev_souboru"
                        UniqueName="dokument" AllowedFileExtensions="txt,bmp,jpg,png,doc,docx,xml,csv,xls,xlsx,ods,odt,pdf"
                        AttachmentKeyFields="id" ButtonCssClass="no-block-ui">
                    </telerik:GridAttachmentColumn>
                </Columns>
                <%--<telerik:RadAsyncUpload ID="RadAsyncUpload1" runat="server" TemporaryFolder="~/Temp"></telerik:RadAsyncUpload>--%>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GCIC" runat="server" FilterButton-Visible="false" ExportButton-Visible="false">
                        <AddNewItemButton runat="server" IdPrava="343" Visible="true"></AddNewItemButton>
                    </kspwc:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>

        </kspwc:TRadGrid>
    </div>
</asp:Content>
