﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;
using System.Web.Security;
using KSProgram;
using Telerik.Web.UI;
using KSProgram.WebControls;
using KSProgram.Reminder;
using System.Web.Services;
using System.Text;
using KSProgram.Extensions;
using Newtonsoft.Json;
using System.Text.RegularExpressions;
using KSProgram.Exceptions;
using KSProgram.Funkce;
using System.Data;
using KSProgram.Obecne;
using System.Web.UI.HtmlControls;
using System.IO;

namespace KSPortal.Dotazniky
{
    public partial class AnketaZobrazeni : System.Web.UI.UserControl
    {
        public bool Editacni
        {
            get
            {
                object o = ViewState["AL_Editacni"];
                return (bool)(o ?? false);
            }
            set
            {
                ViewState["AL_Editacni"] = value;

            }
        }
        protected override void OnLoad(EventArgs e)
        {
            System.Threading.Thread.CurrentThread.CurrentCulture = System.Threading.Thread.CurrentThread.CurrentUICulture;

            if (Opened1 == false)
            {
                CloseWindow();
            }

        }
        public bool Opened1
        {
            get
            {
                return HF_opened1.Value.ToLower() == "true";
            }
            set
            {
                HF_opened1.Value = value.ToString();
            }
        }

        public int? IdAnke
        {
            get
            {
                object o = ViewState["AC_IdAnke"];
                return (int?)o;
            }
            set
            {
                ViewState["AC_IdAnke"] = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="id"></param>
        public void LoadDotaznik(int id)
        {
            KSProgram.Dotazniky.Dotaznik dotaznik = KSProgram.Dotazniky.Dotaznik.GetBulletins(id, null, null, null).FirstOrDefault();

            string html = dotaznik.LoadHtml();
            HF_idBull.Value = dotaznik.id_telo.ToString();
            DateTime? spusteni = dotaznik.datum_od;
            if (!Editacni) {
                panelTvorbaOtazky.Visible = false;
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "key", "anketaCreate(" + html + ");", true);
            }else
            {
                if(spusteni >= DateTime.Now)
                {
                    ScriptManager.RegisterStartupScript(Page, Page.GetType(), "keyEditacni", "anketaCreateEditace(" + html + ");", true);
                }else
                {
                    panelTvorbaOtazky.Visible = false;
                    ScriptManager.RegisterStartupScript(Page, Page.GetType(), "key", "anketaCreate(" + html + ");", true);
                }
           
            }
            
        }

       
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
        }

       

        public void ShowWindow()
        {
            Opened1 = true;
            RW_editorZobraz.VisibleOnPageLoad = true;
        }

        public void CloseWindow()
        {
            Opened1 = false;
            RW_editorZobraz.VisibleOnPageLoad = false;
        }

        protected void ulozitDotaznik_ServerClick(object sender, EventArgs e)
        {
            string json = HF_json.Value;
            int? idBull = Convert.ToInt32(HF_idBull.Value);
            if (!string.IsNullOrEmpty(json))
            {
                KSProgram.Dotazniky.Stat.Update(json, idBull);
            }
        }

        
    }
}