﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Zamestnanec_Hodnoceni" CodeBehind="Hodnoceni.aspx.cs" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadContent">
    <%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
    <%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
    <%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls.SimpleDataSource"
        TagPrefix="cc1" %>
    <%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajx" %>
    <%@ Register Src="../Hodnoceni/Controls/HodnDoporVzde.ascx" TagName="HodnDoporVzde" TagPrefix="wc" %>
    <%@ Register Src="../Hodnoceni/Controls/HodnSkupinoveCile.ascx" TagName="HodnSkupinoveCile" TagPrefix="wc" %>
    <%@ Register Src="~/Hodnoceni/Controls/Navigace.ascx" TagName="Navigace" TagPrefix="wc" %>

    <style type="text/css">
        td.ksZal > a {
            font-weight: bold;
            color: white !important;
        }
        div.pce_popupControl {
            z-index: 5000 !important;
        }
        table.ks-hod-hla-table > tbody > tr > td {
            vertical-align: top;
        }
        table.ks-hod-hla-bt1 {
            max-width: 600px;
        }
        .KsUnderlineTable tr:nth-child(1) {
            text-align: left !important;
        }
    </style>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <script type="text/javascript">
        function onPopulated(sender, e) {
            var finds = sender.get_completionList().childNodes;
            finds[0].parentElement.style.whiteSpace = 'normal';
            finds[0].parentElement.style.maxHeight = '120px';
            finds[0].parentElement.style.padding = '2px';
            finds[0].parentElement.style.position = 'absolute';
            finds[0].parentElement.style.border = '1px solid #808080';
            finds[0].parentElement.style.overflow = 'auto';
            for (var i = 0; i < finds.length; i++) {
                var find = finds[i];
                find.style.backgroundColor = '#FFFFFF';
                find.style.padding = '2px';
                find.style.whiteSpace = 'normal';
                if (i != (finds.length - 1))
                    find.style.borderBottom = '1px dotted #808080';
            }
        }
        function RB_vyber_click(sender, checked, TB_hodnID, TB_popisID, L_cisloID, L_vyznamID, EXTID) {
            var chboxes = sender.parentElement.parentElement.parentElement.getElementsByTagName('input');
            for (var i = 0; i < chboxes.length; i++) {
                if (chboxes[i] != sender)
                    chboxes[i].checked = false;
            }
            if (checked) {
                if (document.all) {
                    document.getElementById(TB_hodnID).value = document.getElementById(L_cisloID).innerText;
                    document.getElementById(TB_popisID).value = document.getElementById(L_vyznamID).innerText;
                }
                else {
                    document.getElementById(TB_hodnID).value = document.getElementById(L_cisloID).textContent;
                    document.getElementById(TB_popisID).value = document.getElementById(L_vyznamID).textContent;
                }
            }
            else {
                document.getElementById(TB_hodnID).value = '';
                document.getElementById(TB_popisID).value = '';
            }
            $find(EXTID).hidePopup();
        }
    </script>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Panel_content">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Panel_content" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="KSN_navigace">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Panel_content" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TLB_cile">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Panel_content" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TLB_naslednecile">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Panel_content" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="REP_typy_cilu">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Cile" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TGVB_cile">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Cile" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TGVB_naslcile">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Cile_n" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TIB_insert_krit_f">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Cile_n" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TB_nascile_insert">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="P_Cile_n" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Nadpis" runat="server" CssClass="nadpis1" Text="[%Hodnocení%]"></asp:Label>
    <asp:Panel ID="Panel_content" runat="server">
        <wc:Navigace runat="server" ID="KSN_navigace" StatutEditora="1" OnSelectedHlavickaChange="KSN_navigace_SelectedHlavickaChange"/>
        <%--<table>
            <tr>
                <td>
                    <asp:Label ID="Label2" runat="server" Text="[%Zobraz%]: "></asp:Label>
                </td>
                <td>
                    <wc:TRadioButtonList ID="TRBL_zamceno" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="True" OnSelectedIndexChanged="TRBL_zamceno_SelectedIndexChanged">
                        <asp:ListItem Text="[%aktuální hodnocení%]" Value="0" Selected="True"></asp:ListItem>
                        <asp:ListItem Text="[%zamčená hodnocení%]" Value="1"></asp:ListItem>
                    </wc:TRadioButtonList>
                </td>
            </tr>
        </table>--%>
       <%-- <asp:ObjectDataSource ID="DS_prehled" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="Prehled_hla" TypeName="KSProgram.Hodnoceni.Hodnoceni">
            <SelectParameters>
                <asp:ControlParameter Name="zamceno" Type="Int16" ControlID="TRBL_zamceno" PropertyName="SelectedValue" />
            </SelectParameters>
        </asp:ObjectDataSource>--%>
        <%--<wc:TGridView ID="GV_prehled" runat="server" DataKeyNames="id,zamknuto,zv_kom,zv_cil,zv_ncil,zv_slo,zv_mot,zv_sko,zv_roz"
            DataSourceID="DS_prehled" ShowFooterWhenEmpty="False" OnSelectedIndexChanged="GV_prehled_SelectedIndexChanged"
            Width="950px" OnRowDataBound="GV_prehled_RowDataBound">
            <Columns>
                <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/select.png" ShowSelectButton="True"
                    CausesValidation="False" />
                <asp:BoundField DataField="id" HeaderText="[%Id%]" SortExpression="id" Visible="False" />
                <asp:BoundField DataField="nazev_akce" HeaderText="[%Hodnotící akce%]" SortExpression="nazev_akce" />
                <asp:BoundField DataField="prac_misto" HeaderText="[%Pracovní místo%]" SortExpression="prac_misto" />
                <asp:BoundField DataField="obdobi_od" HeaderText="[%Období od%]" SortExpression="obdobi_od"
                    DataFormatString="{0:d}" HtmlEncode="False" />
                <asp:BoundField DataField="obdobi_do" HeaderText="[%Období do%]" SortExpression="obdobi_do"
                    DataFormatString="{0:d}" HtmlEncode="False" />
                <asp:BoundField DataField="hodnotil" HeaderText="[%Hodnotil%]" SortExpression="hodnotil" />
                <asp:BoundField DataField="schvalil" HeaderText="[%Schválil%]" SortExpression="schvalil" />
                <asp:BoundField DataField="datum" HeaderText="[%Datum%]" SortExpression="datum" DataFormatString="{0:d}"
                    HtmlEncode="False" />
                <asp:BoundField DataField="zamknuto" HeaderText="[%Zamknuto%]" SortExpression="zamknuto"
                    Visible="False" />
            </Columns>
        </wc:TGridView>--%>
        <br />
        <%--<wc:TDropDown ID="TDD_hodn" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                                DataValueField="cislo" SelectedValue='<%# Bind("body_obd") %>' Width="100%" OnSelectedIndexChanged="TDD_hodn_SelectedIndexChanged"
                                                Visible="false">
                                            </wc:TDropDown>--%>
        <table runat="server" id="HT_main">
            <tr runat="server" id="row_main" style="display: none;">
                <td>
                    <table>
                        <tr runat="server" id="row_menu">
                            <td runat="server" id="HeaderCell_hlavicka">
                                <wc:TLinkButton ID="TLinkButton1" OnCommand="LinkButton1_Command" runat="server">[%Hlavička hodnocení%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_kompetence">
                                <wc:TLinkButton ID="TLinkButton2" OnCommand="LinkButton2_Command" runat="server">[%Hodnocení kompetencí%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_cile">
                                <wc:TLinkButton ID="TLB_cile" runat="server" OnCommand="TLB_cile_Command">[%Hodnocení cílů%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_naslednecile">
                                <wc:TLinkButton ID="TLB_naslednecile" runat="server" OnCommand="TLB_naslednecile_Command">[%Následné cíle%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_slovni">
                                <wc:TLinkButton ID="TLinkButton3" OnCommand="LinkButton3_Command" runat="server">[%Hodnocení slovní%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_motivace">
                                <wc:TLinkButton ID="TLB_motivace" runat="server" OnCommand="TLB_motivace_Command">[%Osobní motivace%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_vzdelavani">
                                <wc:TLinkButton ID="TLB_vzdelavani" runat="server" OnCommand="TLB_vzdelavani_Command">[%Doporučené vzdělávání%]</wc:TLinkButton>
                            </td>
                            <td runat="server" id="HeaderCell_celkove">
                                <wc:TLinkButton ID="TLB_celkove" runat="server" OnCommand="TLB_celkove_Command">[%Celkové hodnocení%]</wc:TLinkButton>
                            </td>
                            <td class="ksZal">
                                <wc:TLinkButton ID="TBut_Print" runat="server" Text="[%Tisk%] [%Sebehodnocení%]" OnClick="TBut_Print_Click" />
                            </td>
                            <td class="ksZal">
                                <wc:TLinkButton ID="TB_printHodn" runat="server" Text="[%Tisk%] [%Hodnocení%]" OnClick="TBut_Print_Click" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr runat="server" id="row_hlavicka" style="border: 1px solid #33536A; display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="Panel1" runat="server">
                        <br />
                        <asp:ObjectDataSource ID="DS_hlavicka" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Hlavicka" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <%--<asp:Parameter Name="Id" Type="Int32" />--%>
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <wc:TDataList ID="TDL_Hlavicka" runat="server" DataKeyField="id" OnItemDataBound="TDL_Hlavicka_ItemDataBound">
                            <ItemTemplate>
                                <table class="ks-hod-hla-table">
                                    <tr>
                                        <td style="padding: 10px; min-width: 300px;">
                                            <wc:BindTable ID="BindTable1" runat="server">
                                                <Rows>
                                                    <wc:BindRow DataField="nazev_akce" Text="[%Hodnotící akce%]" />
                                                    <wc:BindRow DataField="perioda" Text="[%Perioda%]" />
                                                    <wc:BindRow DataField="zamestnanec" Text="[%Zaměstnanec%]" />
                                                    <wc:BindRow DataField="jiny_duvod" Text="[%Poznámka%]" />
                                                </Rows>
                                            </wc:BindTable>
                                        </td>
                                        <td style="padding: 10px; min-width: 300px;">
                                            <wc:BindTable ID="BindTable2" runat="server">
                                                <Rows>
                                                    <wc:BindRow DataField="cislo_pom" Text="[%Číslo poměru%]" />
                                                    <wc:BindRow DataField="prac_misto" Text="[%Pracovní místo%]" />
                                                    <wc:BindRow DataField="skupina" Text="[%Skupina%]" />
                                                    <wc:BindRow DataField="cis_kat" Text="[%Pracovní kategorie%]" />
                                                </Rows>
                                            </wc:BindTable>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <wc:TCheckBox ID="TCB_obeznamen" runat="server" Text="[%Obeznámen%]" AutoPostBack="True"
                                                            OnCheckedChanged="TCB_obeznamen_CheckedChanged" Enabled='<%# KSN_navigace.Zamknuto.ToString() == "0" && (_params["hla_obeznamen_e"] == "0" || _params["hla_obeznamen_e"] == "1") %>' />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <wc:TCheckBox ID="TCB_souhlasil" runat="server" Text="[%Souhlasil%]" AutoPostBack="True"
                                                            OnCheckedChanged="TCB_obeznamen_CheckedChanged" Enabled='<%# KSN_navigace.Zamknuto.ToString() == "0" && (_params["hla_souhlasil_e"] == "0" || _params["hla_souhlasil_e"] == "1") %>' />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td style="padding: 10px; min-width: 300px;">
                                            <wc:BindTable ID="BindTable4" runat="server">
                                                <Rows>
                                                    <wc:BindRow DataField="hodnotil" Text="[%Hodnotil%]" />
                                                    <wc:BindRow DataField="schvalil" Text="[%Schválil%]" />
                                                    <wc:BindRow DataField="datum" DataFormatString="{0:d}" HtmlEncode="False" Text="[%Datum%]" />
                                                </Rows>
                                            </wc:BindTable>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </wc:TDataList>
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_kompetence" style="border: 1px solid #33536A; display: none;">
                <td style="padding: 0px">
                    
                        <br />
                        <asp:ObjectDataSource ID="ODS_typy_kompetenci" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Typy_kompetenci" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka" Type="Int32" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <telerik:RadTabStrip runat="server" DataTextField="nazev_typu" ID="RTS_typy_kompetenci" DataSourceID="ODS_typy_kompetenci"
                            DataFieldID="typ_kompetenci" DataFieldParentID="parent" SelectedIndex="0" DataValueField="typ_kompetenci" OnTabClick="RTS_typy_kompetenci_TabClick" OnDataBound="RTS_typy_kompetenci_DataBound">
                        </telerik:RadTabStrip>
                        <asp:ObjectDataSource ID="ODS_typ_kompetenci" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Typy_kompetenci" TypeName="KSProgram.Hodnoceni.Hodnoceni" OnSelecting="ODS_typ_kompetenci_Selecting">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka" Type="Int32" />
                                <asp:Parameter Name="Typ" Type="Int32" DefaultValue="-1" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                    <asp:Panel ID="Panel2" runat="server">
                        <asp:Repeater ID="REP_typy_kompetenci" runat="server" OnItemDataBound="REP_typy_kompetenci_ItemDataBound">
                            <ItemTemplate>
                                <asp:Label ID="L_typ_komp" runat="server" Text='<%# Eval("typ_kompetenci") %>' Visible="False"></asp:Label>
                                <asp:ObjectDataSource ID="ODS_kompetence" runat="server" OldValuesParameterFormatString="original_{0}"
                                    SelectMethod="Kompetence" TypeName="KSProgram.Hodnoceni.Hodnoceni" UpdateMethod="Update_Kompetence">
                                    <UpdateParameters>
                                        <asp:Parameter Name="body_poz" Type="Int32" />
                                        <asp:Parameter Name="body_obd" Type="Int32" />
                                        <asp:Parameter Name="poznamka" Type="String" />
                                        <asp:Parameter Name="body_join" Type="Int32" />
                                        <asp:Parameter Name="poznamka_join" Type="String" />
                                        <asp:Parameter Name="original_idp" Type="Int32" />
                                        <asp:Parameter Name="original_sta_edt" Type="Int16" />
                                        <asp:Parameter Name="original_pozadavek" Type="String" />
                                        <asp:Parameter Name="original_body_obd" Type="Object" />
                                        <asp:Parameter Name="original_body_join" Type="Object" />
                                        <asp:Parameter Name="original_poznamka" Type="Object" />
                                    <asp:Parameter Name="original_poznamka_join" Type="Object" />
                                    </UpdateParameters>
                                    <SelectParameters>
                                        <%--<asp:ControlParameter Name="Id" ControlID="GV_prehled" PropertyName="SelectedValue"
                                        Type="Int32" />--%>
                                        <asp:Parameter Name="Id" Type="Int32" />
                                        <asp:Parameter Name="typ_kompetenci" Type="Int32" />
                                        <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                                    </SelectParameters>
                                </asp:ObjectDataSource>
                                <%-- <asp:ObjectDataSource ID="ODS_cisel" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Hodnoty" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:Parameter Name="Id" Type="Int32" />
                                <asp:Parameter Name="typ_kompetenci" Type="Int32" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>--%>
                                <wc:TGridViewBulk ID="TGVB_kompetence" runat="server" ShowFooterWhenEmpty="False"
                                    ShowTitleRow="True" DataKeyNames="idp,sta_edt,pozadavek,body_obd,body_join,poznamka,poznamka_join" DataFields="vyznam,popis,vaha,max_uroven,body_poz,body_obd,poznamka,body_join,poznamka_join"
                                    TeplateControls="TTB_hodnoceni1,EL_komp_poznamka,TTB_hodnoceni2,EL_komp_poznamka2"
                                    OnRowDataBound="TGVB_kompetence_RowDataBound" OnDataBinding="TGVB_kompetence_DataBinding"
                                    OnlyVisibledControls="False" ShowFooter="True">
                                    <Columns>
                                        <%--<asp:BoundField DataField="vyznam" HeaderText="[%Kompetence%]" SortExpression="vyznam" />--%>
                                        <asp:TemplateField HeaderText="[%Kompetence%]" SortExpression="vyznam" FooterText="[%Průměr%]:">
                                            <ItemTemplate>
                                                <asp:Label ID="L_Kompetence" runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <%--<asp:BoundField DataField="popis" HeaderText="[%Popis%]" SortExpression="popis">
                                    <ItemStyle Width="250px" />
                                </asp:BoundField>--%>
                                        <asp:TemplateField HeaderText="[%Popis%]" SortExpression="popis">
                                            <ItemStyle Width="250px" />
                                            <ItemTemplate>
                                                <asp:Label ID="L_Komp_popis" runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Váha%]" SortExpression="vaha">
                                            <ItemTemplate>
                                                <asp:Label ID="L_vaha_cil" runat="server" Text='<%# Eval("vaha") %>'></asp:Label>
                                            </ItemTemplate>
                                            <FooterTemplate>
                                                <asp:Label ID="L_komp_soucet_vah" runat="server"></asp:Label>
                                            </FooterTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Maximum%]">
                                            <ItemTemplate>
                                                <asp:Label ID="L_Max_Pocet" runat="server" Text=""></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Požadováno%]" SortExpression="body_poz">
                                            <ItemStyle Width="100px" />
                                            <ItemTemplate>
                                                <asp:ObjectDataSource ID="ODS_cisel" runat="server" OldValuesParameterFormatString="original_{0}"
                                                    SelectMethod="Cisel_Hodnoty" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                                                    <SelectParameters>
                                                        <asp:Parameter Name="Id" Type="Int32" />
                                                        <asp:Parameter Name="typ_kompetenci" Type="Int32" />
                                                        <asp:Parameter Name="kompetence" Type="String" />
                                                        <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="2" />
                                                    </SelectParameters>
                                                </asp:ObjectDataSource>
                                                <%--<wc:TRadioButtonList ID="TRBL_poz" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                            DataValueField="cislo" SelectedValue='<%# Bind("body_poz") %>' Enabled="False">
                                        </wc:TRadioButtonList>--%>
                                                <wc:TTextBox ID="TTB_hodnoceni3" runat="server" Text='<%# Bind("body_poz") %>' Style="display: none;"></wc:TTextBox>
                                                <wc:TTextBox ID="TTB_popis3" runat="server" ReadOnly="True" Enabled="False" Width="95%" onmousedown="return false;"
                                                    Height="100%"></wc:TTextBox>
                                                <asp:Panel ID="Panel_pop3" runat="server">
                                                    <ajx:PopupControlExtender ID="PCE_hodn3" runat="server" TargetControlID="TTB_popis3"
                                                        PopupControlID="P_pop3" CommitScript="popCommit">
                                                        <Animations>
                                                <OnShow>
                                                    <Sequence>
                                                        <HideAction Visible="true" />
                                                        <StyleAction Attribute="max-width" Value="600px" />
                                                        <StyleAction Attribute="display" Value="block" />
                                                    </Sequence>
                                                </OnShow>
                                                <OnHide>
                                                    <Sequence>
                                                        <StyleAction Attribute="display" Value="none" />
                                                    </Sequence>
                                                </OnHide>
                                                        </Animations>
                                                    </ajx:PopupControlExtender>
                                                    <asp:Panel ID="P_pop3" runat="server" CssClass="pce_popupControl">
                                                        <wc:TGridView ID="TGV_popGridHodn3" runat="server" SkinID="popupGridWiew">
                                                            <Columns>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <%--<wc:TCheckBox ID="RB_vyber3" runat="server" AutoPostBack="True" OnCheckedChanged="RB_vyber_CheckedChanged" />--%>
                                                                        <input runat="server" id="RB_vyber3" type="checkbox" />
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="L_cislo3" runat="server" Text='<%# Bind("cislo") %>' Style="display: none;"></asp:Label>
                                                                        <asp:Label ID="L_vyznam3" runat="server" Text='<%# Bind("vyznam") %>' Font-Bold="True"></asp:Label><br />
                                                                        <asp:Label ID="L_popis3" runat="server" Text='<%# Bind("popis") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                            </Columns>
                                                        </wc:TGridView>
                                                    </asp:Panel>
                                                </asp:Panel>
                                            </ItemTemplate>
                                            <FooterTemplate>
                                                <wc:TLabel runat="server" ID="L_komp_prumer_poz"></wc:TLabel>
                                            </FooterTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Sebehodnocení%]" SortExpression="body_obd">
                                            <ItemStyle Width="100px" />
                                            <ItemTemplate>
                                                <%--<wc:TRadioButtonList ID="TRBL_hodn" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                            DataValueField="cislo" SelectedValue='<%# Bind("body_obd") %>'>
                                        </wc:TRadioButtonList>--%>
                                                <%--<wc:TDropDown ID="TDD_hodn" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                                DataValueField="cislo" SelectedValue='<%# Bind("body_obd") %>' Width="100%" OnSelectedIndexChanged="TDD_hodn_SelectedIndexChanged"
                                                Visible="false">
                                            </wc:TDropDown>--%>
                                                <wc:TTextBox ID="TTB_hodnoceni1" runat="server" Text='<%# Bind("body_obd") %>' Style="display: none;"></wc:TTextBox>
                                                <wc:TTextBox ID="TTB_popis1" runat="server" ReadOnly="True" BackColor="#FFFF66" Width="95%" onmousedown="return false;"
                                                    Height="100%"></wc:TTextBox>
                                                <asp:Panel ID="Panel_pop1" runat="server">
                                                    <ajx:PopupControlExtender ID="PCE_hodn1" runat="server" TargetControlID="TTB_popis1"
                                                        PopupControlID="P_pop1">
                                                        <Animations>
                                                <OnShow>
                                                    <Sequence>
                                                        <HideAction Visible="true" />
                                                        <StyleAction Attribute="max-width" Value="600px" />
                                                        <StyleAction Attribute="display" Value="block" />
                                                    </Sequence>
                                                </OnShow>
                                                <OnHide>
                                                    <Sequence>
                                                        <StyleAction Attribute="display" Value="none" />
                                                    </Sequence>
                                                </OnHide>
                                                        </Animations>
                                                    </ajx:PopupControlExtender>
                                                    <asp:Panel ID="P_pop1" runat="server" CssClass="pce_popupControl">
                                                        <wc:TGridView ID="TGV_popGridHodn1" SkinID="popupGridWiew" runat="server">
                                                            <Columns>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <input runat="server" id="RB_vyber1" type="checkbox" />
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="L_cislo1" runat="server" Text='<%# Bind("cislo") %>' Style="display: none;"></asp:Label>
                                                                        <asp:Label ID="L_vyznam1" runat="server" Text='<%# Bind("vyznam") %>' Font-Bold="True"></asp:Label><br />
                                                                        <asp:Label ID="L_popis1" runat="server" Text='<%# Bind("popis") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                            </Columns>
                                                        </wc:TGridView>
                                                    </asp:Panel>
                                                </asp:Panel>
                                            </ItemTemplate>
                                            <FooterTemplate>
                                                <wc:TLabel runat="server" ID="L_komp_prumer_obd"></wc:TLabel>
                                            </FooterTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka">
                                            <ItemTemplate>
                                                <wc:EditLabel ID="EL_komp_poznamka" runat="server" Text='<%# Bind("poznamka") %>'
                                                    OnTextChanged="EL_komp_poznamka_TextChanged" AutoPostBack="true"></wc:EditLabel>
                                                <%--<wc:TTextBox ID="TB_poznamka" runat="server" Text='<%# Bind("poznamka") %>' BackColor="#FFFF66"
                                            Width="250px" Height="100%" Wrap="True" TextMode="MultiLine" Rows="5"></wc:TTextBox>
                                        <wc:TCustomValidator ID="TCVal_komp_poznamka" runat="server" MaxLength="250" ControlToValidate="TB_poznamka"
                                            ErrorMessage="<br /> [%Poznámka%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic"></wc:TCustomValidator>--%>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Hodnocení%]" SortExpression="body_obd_join">
                                            <ItemStyle Width="100px" />
                                            <ItemTemplate>
                                                <%--<wc:TRadioButtonList ID="TRBL_hodn" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                            DataValueField="cislo" SelectedValue='<%# Bind("body_obd") %>' Visible="False">
                                        </wc:TRadioButtonList>--%>
                                                <%--<wc:TDropDown ID="TDD_hodn" runat="server" DataSourceID="ODS_cisel" DataTextField="vyznam"
                                                DataValueField="cislo" SelectedValue='<%# Bind("body_obd") %>' Width="100%">
                                            </wc:TDropDown>--%>
                                                <wc:TTextBox ID="TTB_hodnoceni2" runat="server" Text='<%# Bind("body_join") %>' Style="display: none;"></wc:TTextBox>
                                                <wc:TTextBox ID="TTB_popis2" runat="server" ReadOnly="True" Enabled="False" Width="95%" onmousedown="return false;"
                                                    Height="100%"></wc:TTextBox>
                                                <asp:Panel ID="Panel_pop2" runat="server">
                                                    <ajx:PopupControlExtender ID="PCE_hodn2" runat="server" TargetControlID="TTB_popis2"
                                                        PopupControlID="P_pop2">
                                                        <Animations>
                                                <OnShow>
                                                    <Sequence>
                                                        <HideAction Visible="true" />
                                                        <StyleAction Attribute="max-width" Value="600px" />
                                                        <StyleAction Attribute="display" Value="block" />
                                                    </Sequence>
                                                </OnShow>
                                                <OnHide>
                                                    <Sequence>
                                                        <StyleAction Attribute="display" Value="none" />
                                                    </Sequence>
                                                </OnHide>
                                                        </Animations>
                                                    </ajx:PopupControlExtender>
                                                    <asp:Panel ID="P_pop2" runat="server" CssClass="pce_popupControl">
                                                        <wc:TGridView ID="TGV_popGridHodn2" runat="server" SkinID="popupGridWiew">
                                                            <Columns>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <input runat="server" id="RB_vyber2" type="checkbox" />
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                                <asp:TemplateField>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="L_cislo2" runat="server" Text='<%# Bind("cislo") %>' Style="display: none;"></asp:Label>
                                                                        <asp:Label ID="L_vyznam2" runat="server" Text='<%# Bind("vyznam") %>' Font-Bold="True"></asp:Label><br />
                                                                        <asp:Label ID="L_popis2" runat="server" Text='<%# Bind("popis") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                            </Columns>
                                                        </wc:TGridView>
                                                    </asp:Panel>
                                                </asp:Panel>
                                            </ItemTemplate>
                                            <FooterTemplate>
                                                <wc:TLabel runat="server" ID="L_komp_prumer_obd_join"></wc:TLabel>
                                            </FooterTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka_join">
                                            <ItemTemplate>
                                                <wc:EditLabel ID="EL_komp_poznamka2" runat="server" Text='<%# Bind("poznamka_join") %>'
                                                    Editable="False"></wc:EditLabel>
                                                <%--<wc:TTextBox ID="TB_poznamka2" runat="server" Text='<%# Bind("poznamka_join") %>'
                                            Width="250px" Height="100%" Wrap="True" TextMode="MultiLine" Rows="5" Enabled="False">
                                        </wc:TTextBox>
                                        <wc:TCustomValidator ID="TCVal_komp_poznamka2" runat="server" MaxLength="250" ControlToValidate="TB_poznamka2"
                                            ErrorMessage="<br />[%Poznámka%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic">
                                        </wc:TCustomValidator>--%>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                </wc:TGridViewBulk>
                                <br />
                            </ItemTemplate>
                            <FooterTemplate>
                                <asp:Label ID="L_komp_sum" runat="server" Text=""></asp:Label><br />
                                <asp:Label ID="L_komp_sum_j" runat="server" Text=""></asp:Label>
                                <br />
                                <br />
                                <asp:LinkButton ID="LBT_kompetence_update" runat="server" SkinID="caption" OnClick="LBT_kompetence_update_Click" ValidationGroup="kom">[%Uložit%]</asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="LBT_kompetence_cancel" runat="server" SkinID="caption" OnClick="LBT_kompetence_cancel_Click" CausesValidation="False">[%Zrušit změny%]</asp:LinkButton>
                            </FooterTemplate>
                        </asp:Repeater>
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_cile" style="display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="P_cile" runat="server">
                        <br />
                        <div runat="server" id="DIV_cile_par">
                            <asp:Label ID="Label3" runat="server" Text="[%Grafické rozložení hodnocení%]: "></asp:Label>
                            <wc:TDropDown ID="TDD_par_cile" runat="server" CausesValidation="False" AutoPostBack="True"
                                OnSelectedIndexChanged="TDD_par_cile_SelectedIndexChanged" Style="width: auto">
                                <asp:ListItem Value="0" Text="[%číselník%]" Selected="False"></asp:ListItem>
                                <asp:ListItem Value="1" Text="[%seznam%]" Selected="True"></asp:ListItem>
                                <%--<asp:ListItem Value="2" Text="[%vertikální seznam%]" Selected="False"></asp:ListItem>--%>
                            </wc:TDropDown>
                            <br />
                            <br />
                        </div>
                        <asp:ObjectDataSource ID="ODS_cisel_cile" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Cile" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter Name="Id" ControlID="KSN_navigace" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <%--<asp:Parameter Name="Id" Type="Int32" />--%>
                                <asp:Parameter Name="typ_cile" Type="Int16" DefaultValue="1" />
                                <asp:Parameter Name="verze_stupnu" Type="Int32" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ODS_cile_krit" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Cile_Krit" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter Name="Druh" Type="Int32" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ODS_cile_krit_f" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Cile_Krit" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter Name="Druh" Type="Int32" DefaultValue="1" />
                                <asp:Parameter Name="jen_pouzivane" DefaultValue="true" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource runat="server" ID="ODS_typy_cilu" SelectMethod="TypyCilu" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                            <asp:Parameter Name="Druh" Type="Int32" DefaultValue="1" />
                            <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <asp:Repeater ID="REP_typy_cilu" runat="server" OnItemDataBound="REP_typy_cilu_ItemDataBound">
                        <ItemTemplate>
                        <asp:ObjectDataSource ID="ODS_cile" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cile" TypeName="KSProgram.Hodnoceni.Hodnoceni" UpdateMethod="Update_cile"
                            DeleteMethod="Delete_cile">
                            <UpdateParameters>
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_druh" Type="Int32" />
                                <asp:Parameter Name="original_pc" Type="Int32" />
                                <asp:Parameter Name="original_pc_join" Type="Int32" />
                                <asp:Parameter Name="original_typ_cilu" Type="Int16" />
                                <asp:Parameter Name="cil" Type="Int32" />
                                <asp:Parameter Name="text" Type="String" />
                                <asp:Parameter Name="vaha" Type="Int32" />
                                <asp:Parameter Name="hodnota" Type="Decimal" />
                                <asp:Parameter Name="hodnoceni" Type="Int32" />
                                <asp:Parameter Name="hodnoceni_join" Type="Int32" />
                                <asp:Parameter Name="termin" Type="DateTime" />
                                <asp:Parameter Name="poznamka" Type="String" />
                                <asp:Parameter Name="poznamka_join" Type="String" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </UpdateParameters>
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter Name="Druh" Type="Int32" DefaultValue="1" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                                <asp:Parameter Name="typ_cile" Type="Int16" />
                            </SelectParameters>
                            <DeleteParameters>
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_druh" Type="Int32" />
                                <asp:Parameter Name="original_pc" Type="Int32" />
                                <asp:Parameter Name="original_pc_join" Type="Int32" />
                                <asp:Parameter Name="original_typ_cilu" Type="Int16" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </DeleteParameters>
                        </asp:ObjectDataSource>
                        <wc:TGridViewBulk ID="TGVB_cile" runat="server" DataKeyNames="idp,druh,pc,pc_join,typ_cilu"
                            ShowFooterWhenEmpty="True" ShowFooter="True" ShowTitleRow="True" DataFields=",cil,text,popis,vaha,vaha_proc,hodnota,termin,zdroj,hodnoceni,plneni,krivka,vysledne_hodnoceni,poznamka,hodnoceni_join,vysledne_hodnoceni_join,poznamka_join,kroky,ocek_vystup"
                            TitleText="[%Hodnocení cílů%]" OnRowDataBound="TGVB_cile_RowDataBound" OnDataBound="TGVB_cile_DataBound"
                            TeplateControls="TDD_cisel_krit,TB_cil_text,TB_vaha_cil,TB_hodnota_cil,RDP_cil_termin,TDD_hodnoceni_cile,TRBL_hodnoceni_cile,TB_hodnoceni_cile,EL_cil_poznamka,TDD_hodnoceni_cile_j,TRBL_hodnoceni_cile_j,TB_hodnoceni_cile_j,EL_cil_poznamka_j,EL_cil_kroky,EL_cil_ocek">
                            <Columns>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <wc:TImageButton ID="TIB_delete_cil" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                            CssClass="rbRemove16 rbPredefinedIcons" OnClick="TIB_delete_cil_Click" ToolTip="[%Smazat%]" ValidationGroup="cil" />
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div style="white-space: nowrap">
                                            <wc:TImageButton ID="TIB_insert_cil_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_insert_cil_f_Click" Visible="False"
                                                ToolTip="[%Uložit%]" ValidationGroup="cil" />
                                            <wc:TImageButton ID="TIB_cancel_cil_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_cancel_cil_f_Click" Visible="False"
                                                ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Název cíle%]" SortExpression="cil">
                                    <ItemTemplate>
                                        <div style="white-space: nowrap">
                                            <wc:TDropDown ID="TDD_cisel_krit" runat="server" DataSourceID="ODS_cile_krit" DataValueField="cislo"
                                                DataTextField="nazev" SelectedValue='<%# Bind("cil") %>' OnSelectedIndexChanged="TDD_cisel_krit_SelectedIndexChanged"
                                                AutoPostBack="True" Style="width: auto">
                                            </wc:TDropDown>
                                            <asp:Label ID="L_Nazev_cile" runat="server" Text=""></asp:Label>
                                            <asp:TextBox ID="TB_insert_krit" runat="server" Text="" Width="250px"></asp:TextBox>
                                            <wc:TImageButton ID="TIB_save_cil" runat="server" ImageUrl="~/Images/TransparentDot.png" ValidationGroup="cil"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_save_cil_Click" ToolTip="[%Uložit nový cíl do číselníku%]" />
                                            <wc:TImageButton ID="TIB_undo_cil" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_undo_cil_Click" ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                            <wc:TCustomValidator ID="TCVal_cil_nazev" runat="server" MaxLength="60" ControlToValidate="TB_insert_krit"
                                                ErrorMessage="<br />[%Název cíle%] [%nesmí být delší než%] 60 [%znaků%]" Display="Dynamic" ValidationGroup="cil">
                                            </wc:TCustomValidator>
                                        </div>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div style="white-space: nowrap">
                                            <asp:Label ID="L_Nazev_cile_f" runat="server" Text="" Visible="false"></asp:Label>
                                            <wc:TDropDown ID="TDD_insert_krit_f" runat="server" DataSourceID="ODS_cile_krit_f"
                                                DataValueField="cislo" DataTextField="nazev" AutoPostBack="True" OnSelectedIndexChanged="TDD_insert_krit_f_SelectedIndexChanged"
                                                Visible="False" Style="width: auto">
                                            </wc:TDropDown>
                                            <asp:TextBox ID="TB_insert_krit_f" runat="server" Text="" Width="250px" Visible="False"></asp:TextBox>
                                            <wc:TImageButton ID="TIB_save_cil_f" runat="server" ImageUrl="~/Images/TransparentDot.png" ValidationGroup="cil"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_save_cil_f_Click" Visible="False"
                                                ToolTip="[%Uložit nový cíl do číselníku%]" />
                                            <wc:TImageButton ID="TIB_undo_cil_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_undo_cil_f_Click" Visible="False" 
                                                ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                            <wc:TCustomValidator ID="TCVal_cil_nazev_f" runat="server" MaxLength="60" ControlToValidate="TB_insert_krit_f"
                                                ErrorMessage="<br />[%Název cíle%] [%nesmí být delší než%] 60 [%znaků%]" Display="Dynamic" ValidationGroup="cil">
                                            </wc:TCustomValidator>
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Cíl%]" SortExpression="text">
                                    <ItemTemplate>
                                        <asp:Label ID="L_cil_text" runat="server" Text='<%# Bind("text") %>'></asp:Label>
                                        <div runat="server" id="DIV_cil_text" style="white-space: nowrap">
                                            <wc:TTextBox ID="TB_cil_text" runat="server" Text='<%# Bind("text") %>' MaxLength="250"
                                                Width="250px" Height="100%" Wrap="True" TextMode="MultiLine" Rows="5" style="white-space: normal">
                                            </wc:TTextBox>
                                            <div runat="server" id="DIV_auto_cil">
                                            </div>
                                            <ajx:AutoCompleteExtender ID="ACE_cil_text" runat="server" TargetControlID="TB_cil_text"
                                                ServiceMethod="SuggestHodnoceniCile" ServicePath="~/PrivateWebServices/AutoCompleteService.asmx"
                                                MinimumPrefixLength="2" FirstRowSelected="True" UseContextKey="True" CompletionListElementID="DIV_auto_cil"
                                                OnClientPopulated="onPopulated" CompletionInterval="500">
                                            </ajx:AutoCompleteExtender>
                                            <%--<wc:TextValidator ID="TCVal_cil_text_checker" runat="server" ControlToValidate="TB_cil_text"
                                            Display="Dynamic"></wc:TextValidator>--%>
                                            <wc:TCustomValidator ID="TCVal_cil_text" runat="server" MaxLength="250" ControlToValidate="TB_cil_text"
                                                ErrorMessage="<br />[%Cíl%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic" ValidationGroup="cil">
                                            </wc:TCustomValidator>
                                            <asp:RequiredFieldValidator ID="RFV_cil_text" runat="server" ControlToValidate="TB_cil_text"
                                                Display="Dynamic" ValidationGroup="cil"></asp:RequiredFieldValidator>
                                        </div>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div runat="server" id="DIV_cil_text_f" style="white-space: nowrap" visible="False">
                                            <wc:TTextBox ID="TB_cil_text_f" runat="server" MaxLength="250" Width="250px" Height="100%"
                                                Wrap="True" TextMode="MultiLine" Rows="5" style="white-space: normal">
                                            </wc:TTextBox>
                                            <div runat="server" id="DIV_auto_cil_f">
                                            </div>
                                            <ajx:AutoCompleteExtender ID="ACE_cil_text_f" runat="server" TargetControlID="TB_cil_text_f"
                                                ServiceMethod="SuggestHodnoceniCile" ServicePath="~/PrivateWebServices/AutoCompleteService.asmx"
                                                MinimumPrefixLength="2" FirstRowSelected="True" UseContextKey="True" CompletionListElementID="DIV_auto_cil_f"
                                                OnClientPopulated="onPopulated" CompletionInterval="500">
                                            </ajx:AutoCompleteExtender>
                                            <%--<wc:TextValidator ID="TCVal_cil_text_checker" runat="server" ControlToValidate="TB_cil_text_f"
                                            Display="Dynamic"></wc:TextValidator>--%>
                                            <wc:TCustomValidator ID="TCVal_cil_text_f" runat="server" MaxLength="250" ControlToValidate="TB_cil_text_f"
                                                ErrorMessage="<br />[%Cíl%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic" ValidationGroup="cil">
                                            </wc:TCustomValidator>
                                            <asp:RequiredFieldValidator ID="RFV_cil_text_f" runat="server" ControlToValidate="TB_cil_text_f"
                                                Display="Dynamic" ValidationGroup="cil"></asp:RequiredFieldValidator>
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Popis%]" SortExpression="popis">
                                    <ItemTemplate>
                                        <wc:EditLabel runat="server" ID="EL_cil_popis"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel runat="server" ID="EL_cil_popis_f"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Váha%]" SortExpression="vaha">
                                    <ItemTemplate>
                                        <asp:Label ID="L_vaha_cil" runat="server" Text='<%# Bind("vaha") %>'></asp:Label>
                                        <asp:TextBox ID="TB_vaha_cil" runat="server" Text='<%# Bind("vaha") %>' Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_vaha_cil" runat="server" ControlToValidate="TB_vaha_cil"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0" ValidationGroup="cil"
                                            SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:TextBox ID="TB_vaha_cil_f" runat="server" Text="" Visible="False" Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_soucet_vah_cil" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_vaha_cil_f" runat="server" ControlToValidate="TB_vaha_cil_f"
                                            Display="Dynamic" ErrorMessage="<br />0 - 100" MaximumValue="100" MinimumValue="0" ValidationGroup="cil"
                                            SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Váha%] %" SortExpression="vaha_proc">
                                    <ItemTemplate>
                                        <asp:Label ID="L_VahaProc_cile" runat="server" Text='<%# Eval("vaha_proc", "{0:0.##}") %>'></asp:Label>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:Label ID="L_VahaProc_cile_f" runat="server"></asp:Label>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Hodnota%]" SortExpression="hodnota">
                                    <ItemTemplate>
                                        <asp:Label ID="L_hodnota_cil" runat="server" Text='<%# Bind("hodnota") %>'></asp:Label>
                                        <asp:TextBox ID="TB_hodnota_cil" runat="server" Text='<%# Bind("hodnota") %>' Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_hodnota_cil" runat="server" ControlToValidate="TB_hodnota_cil"
                                            Display="Dynamic" ErrorMessage='<%# RangeCilMnostviText(Container, "RV_hodnota_cil") %>'
                                            MaximumValue="9999,99" MinimumValue="0" SetFocusOnError="True" Type="Currency" ValidationGroup="cil">
                                        </asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:TextBox ID="TB_hodnota_cil_f" runat="server" Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_hodnota_cil_f" runat="server" ControlToValidate="TB_hodnota_cil_f"
                                            Display="Dynamic" ErrorMessage='<%# RangeCilMnostviText(Container, "RV_hodnota_cil_f") %>'
                                            MaximumValue="9999,99" MinimumValue="0" SetFocusOnError="True" Type="Currency" ValidationGroup="cil">
                                        </asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Termín%]" SortExpression="termin">
                                    <ItemTemplate>
                                        <asp:Label ID="L_cil_termin" runat="server"></asp:Label>
                                        <wc:TRadDatePicker ID="RDP_cil_termin" runat="server" DbSelectedDate='<%# Bind("termin") %>'>
                                        </wc:TRadDatePicker>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:TRadDatePicker ID="RDP_cil_termin_f" runat="server">
                                        </wc:TRadDatePicker>
                                        <asp:Label ID="L_cil_termin_f" runat="server" Visible="False"></asp:Label>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Zdroj%]" SortExpression="zdroj">
                                    <ItemTemplate>
                                        <asp:Label ID="L_zdroj" runat="server" Text='<%# Bind("zdroj") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Sebehodnocení%]" SortExpression="hodnoceni">
                                    <ItemTemplate>
                                        <wc:TDropDown ID="TDD_hodnoceni_cile" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataValueField="cislo" DataTextField="vyznam" OnSelectedIndexChanged="TDD_hodnoceni_cile_SelectedIndexChanged"
                                            Style="width: auto">
                                        </wc:TDropDown>
                                        <wc:TRadioButtonList ID="TRBL_hodnoceni_cile" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataTextField="vyznam" DataValueField="cislo" OnSelectedIndexChanged="TRBL_hodnoceni_cile_SelectedIndexChanged">
                                        </wc:TRadioButtonList>
                                        <asp:TextBox ID="TB_hodnoceni_cile" runat="server" Text='<%# Bind("hodnoceni") %>'
                                            Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_hodnoceni_cile" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_hodn_cile" runat="server" ControlToValidate="TB_hodnoceni_cile"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0"
                                            SetFocusOnError="True" Type="Integer" ValidationGroup="cil"></asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:Label ID="L_prumer_hodn_cile" runat="server"></asp:Label>
                                        <wc:TDropDown ID="TDD_hodnoceni_cile_f" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataValueField="cislo" DataTextField="vyznam" OnSelectedIndexChanged="TDD_hodnoceni_cile_SelectedIndexChanged"
                                            Style="width: auto">
                                        </wc:TDropDown>
                                        <wc:TRadioButtonList ID="TRBL_hodnoceni_cile_f" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataTextField="vyznam" DataValueField="cislo" OnSelectedIndexChanged="TRBL_hodnoceni_cile_SelectedIndexChanged">
                                        </wc:TRadioButtonList>
                                        <asp:TextBox ID="TB_hodnoceni_cile_f" runat="server" Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_hodnoceni_cile_f" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_hodn_cile_f" runat="server" ControlToValidate="TB_hodnoceni_cile_f"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0" ValidationGroup="cil"
                                            SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Plnění%] %" SortExpression="plneni">
                                        <ItemTemplate>
                                            <asp:Label ID="L_plneni_cile" runat="server" Text='<%# Eval("plneni", "{0:0.##}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <FooterTemplate>
                                            <asp:Label ID="L_Vplneni_cile_f" runat="server"></asp:Label>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="[%Křivka%]" SortExpression="krivka">
                                        <ItemTemplate>
                                            <asp:Label ID="L_Krivka_cile" runat="server" Text='<%# Eval("nazev_krivky") %>'></asp:Label>
                                            <telerik:RadToolTip ID="RTT_krivka" runat="server" TargetControlID="L_Krivka_cile" Width="170px">
                                                <asp:Label ID="l_popis" runat="server" Text='<%# Eval("popis_krivky") %>'></asp:Label>
                                            </telerik:RadToolTip>
                                        </ItemTemplate>
                                        <FooterTemplate>
                                            <asp:Label ID="L_Krivka_cile_f" runat="server"></asp:Label>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="[%Výsl. sebehodnocení%]" SortExpression="vysledne_hodnoceni">
                                        <ItemTemplate>
                                            <asp:Label ID="L_VyslHodnoceni_cile" runat="server" Text='<%# Eval("vysledne_hodnoceni", "{0:0.##}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <FooterTemplate>
                                            <asp:Label ID="L_VyslHodnoceni_cile_f" runat="server"></asp:Label>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_cil_poznamka" runat="server" Text='<%# Bind("poznamka") %>' AutoPostBack="true" OnTextChanged="EL_cil_poznamka_TextChanged"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_cil_poznamka_f" runat="server"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Hodnocení%]" SortExpression="hodnoceni_join">
                                    <ItemTemplate>
                                        <wc:TDropDown ID="TDD_hodnoceni_cile_j" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataValueField="cislo" DataTextField="vyznam" OnSelectedIndexChanged="TDD_hodnoceni_cile_SelectedIndexChanged"
                                            Style="width: auto">
                                        </wc:TDropDown>
                                        <wc:TRadioButtonList ID="TRBL_hodnoceni_cile_j" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataTextField="vyznam" DataValueField="cislo" OnSelectedIndexChanged="TRBL_hodnoceni_cile_SelectedIndexChanged">
                                        </wc:TRadioButtonList>
                                        <asp:TextBox ID="TB_hodnoceni_cile_j" runat="server" Text='<%# Bind("hodnoceni_join") %>'
                                            Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_hodnoceni_cile_j" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_hodn_cile_j" runat="server" ControlToValidate="TB_hodnoceni_cile_j"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0"
                                            SetFocusOnError="True" Type="Integer" ValidationGroup="cil"></asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:Label ID="L_prumer_hodn_cile_j" runat="server"></asp:Label>
                                        <wc:TDropDown ID="TDD_hodnoceni_cile_j_f" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataValueField="cislo" DataTextField="vyznam" OnSelectedIndexChanged="TDD_hodnoceni_cile_SelectedIndexChanged"
                                            Style="width: auto">
                                        </wc:TDropDown>
                                        <wc:TRadioButtonList ID="TRBL_hodnoceni_cile_j_f" runat="server" DataSourceID="ODS_cisel_cile"
                                            DataTextField="vyznam" DataValueField="cislo" OnSelectedIndexChanged="TRBL_hodnoceni_cile_SelectedIndexChanged">
                                        </wc:TRadioButtonList>
                                        <asp:TextBox ID="TB_hodnoceni_cile_j_f" runat="server" Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_hodnoceni_cile_j_f" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_hodn_cile_j_f" runat="server" ControlToValidate="TB_hodnoceni_cile_j_f"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0"
                                            SetFocusOnError="True" Type="Integer" ValidationGroup="cil"></asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Výsl. hodnocení%]" SortExpression="vysledne_hodnoceni_join">
                                        <ItemTemplate>
                                            <asp:Label ID="L_VyslHodnoceniJ_cile" runat="server" Text='<%# Eval("vysledne_hodnoceni_join", "{0:0.##}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <FooterTemplate>
                                            <asp:Label ID="L_VyslHodnoceniJ_cile_f" runat="server"></asp:Label>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_cil_poznamka_j" runat="server" Text='<%# Bind("poznamka_join") %>' AutoPostBack="true" OnTextChanged="EL_cil_poznamka_TextChanged"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_cil_poznamka_j_f" runat="server"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Kroky vedoucí k dosažení%]" SortExpression="kroky">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_cil_kroky" runat="server" Text='<%# Bind("kroky") %>' MaxLength="250" AutoPostBack="true" OnTextChanged="EL_cil_poznamka_TextChanged"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_cil_kroky_f" runat="server" MaxLength="250"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Očekávaný výstup%]" SortExpression="ocek_vystup">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_cil_ocek" runat="server" Text='<%# Bind("ocek_vystup") %>' MaxLength="250" AutoPostBack="true" OnTextChanged="EL_cil_poznamka_TextChanged"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_cil_ocek_f" runat="server" MaxLength="250"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </wc:TGridViewBulk>
                             </ItemTemplate>
                    </asp:Repeater>
                        <br />
                        <br />
                        <wc:TButton ID="TB_cile_insert" runat="server" OnClick="TB_cile_insert_Click" Text="[%Vložit nový%] [%cíl%]"  ValidationGroup="cil" />
                        <br />
                        <br />
                        <wc:TButton ID="TB_cile_update" runat="server" OnClick="TB_cile_update_Click" Text="[%Uložit%]" ValidationGroup="cil" />
                        &nbsp;
                        <wc:TButton ID="TB_cile_cancel" runat="server" OnClick="TB_cile_cancel_Click" Text="[%Zrušit změny%]"
                            CausesValidation="False" />
                        <br />
                        <br />
                        <wc:HodnSkupinoveCile runat="server" ID="HodnSkupinoveCile" StatutEditora="2">
                        </wc:HodnSkupinoveCile>
                        <br />
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_naslednecile" style="display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="P_Cile_n" runat="server">
                        <br />
                        <asp:ObjectDataSource ID="ODS_naslcile" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cile" TypeName="KSProgram.Hodnoceni.Hodnoceni" UpdateMethod="Update_cile"
                            DeleteMethod="Delete_cile">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <%--<asp:Parameter Name="Id" Type="Int32" />--%>
                                <asp:Parameter DefaultValue="2" Name="Druh" Type="Int32" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </SelectParameters>
                            <UpdateParameters>
                                <asp:Parameter Name="cil" Type="Int32" />
                                <asp:Parameter Name="text" Type="String" />
                                <asp:Parameter Name="vaha" Type="Int32" />
                                <asp:Parameter Name="hodnota" Type="Decimal" />
                                <asp:Parameter Name="hodnoceni" Type="Int32" />
                                <asp:Parameter Name="hodnoceni_join" Type="Int32" />
                                <asp:Parameter Name="termin" Type="DateTime" />
                                <asp:Parameter Name="poznamka" Type="String" />
                                <asp:Parameter Name="poznamka_join" Type="String" />
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_druh" Type="Int32" />
                                <asp:Parameter Name="original_pc" Type="Int32" />
                                <asp:Parameter Name="original_pc_join" Type="Int32" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </UpdateParameters>
                            <DeleteParameters>
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_druh" Type="Int32" />
                                <asp:Parameter Name="original_pc" Type="Int32" />
                                <asp:Parameter Name="original_pc_join" Type="Int32" />
                                <asp:Parameter Name="sta_edt" Type="Int16" DefaultValue="1" />
                            </DeleteParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ODS_cile_krit_n" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Cile_Krit" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter DefaultValue="2" Name="Druh" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ODS_cile_krit_n_f" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Cile_Krit" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter DefaultValue="2" Name="Druh" Type="Int32" />
                                <asp:Parameter Name="jen_pouzivane" DefaultValue="true" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <wc:TGridViewBulk ID="TGVB_naslcile" runat="server" DataFields=",cil,text,popis,vaha,vaha_proc,hodnota,hodnoceni,termin,zdroj,poznamka,kroky,ocek_vystup"
                            DataKeyNames="idp,druh,pc,pc_join,typ_cilu" ShowFooterWhenEmpty="True" TitleText="[%Následné cíle%]"
                            ShowTitleRow="True" OnRowDataBound="TGVB_naslcile_RowDataBound" ShowFooter="True"
                            OnDataBound="TGVB_naslcile_DataBound" TeplateControls="TDD_cisel_krit_nasl,TB_naslcil_text,TB_vaha_nasl,TB_hodnota_naslcil,RDP_naslcil_termin,EL_naslcil_poznamka,EL_naslcil_kroky,EL_naslcil_ocek">
                            <Columns>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <wc:TImageButton ID="TIB_delete_krit" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                            CssClass="rbRemove16 rbPredefinedIcons" OnClick="TIB_delete_krit_Click" ToolTip="[%Smazat%]" ValidationGroup="ncil" />
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div style="white-space: nowrap">
                                            <wc:TImageButton ID="TIB_insert_krit_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_insert_krit_f_Click" Visible="False"
                                                ToolTip="[%Uložit%]" ValidationGroup="ncil" />
                                            <wc:TImageButton ID="TIB_cancel_krit_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_cancel_krit_f_Click" Visible="False"
                                                ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Název cíle%]" SortExpression="cil">
                                    <ItemTemplate>
                                        <div style="white-space: nowrap">
                                            <wc:TDropDown ID="TDD_cisel_krit_nasl" runat="server" DataSourceID="ODS_cile_krit_n"
                                                DataValueField="cislo" DataTextField="nazev" SelectedValue='<%# Bind("cil") %>'
                                                OnSelectedIndexChanged="TDD_cisel_krit_nasl_SelectedIndexChanged" AutoPostBack="True"
                                                Style="width: auto">
                                            </wc:TDropDown>
                                            <asp:Label ID="L_Nazev_cile_nasl" runat="server" Text=""></asp:Label>
                                            <asp:TextBox ID="TB_insert_krit_nasl" runat="server" Text="" Width="250px"></asp:TextBox>
                                            <wc:TImageButton ID="TIB_save_krit" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_save_krit_Click" ToolTip="[%Uložit nový cíl do číselníku%]" ValidationGroup="ncil" />
                                            <wc:TImageButton ID="TIB_undo_krit" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_undo_krit_Click" ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                            <wc:TCustomValidator ID="TCVal_naslcil_nazev" runat="server" MaxLength="60" ControlToValidate="TB_insert_krit_nasl"
                                                ErrorMessage="<br />[%Název cíle%] [%nesmí být delší než%] 60 [%znaků%]" Display="Dynamic" ValidationGroup="ncil">
                                            </wc:TCustomValidator>
                                        </div>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div style="white-space: nowrap">
                                            <asp:Label ID="L_Nazev_cile_nasl_f" runat="server" Text="" Visible="false"></asp:Label>
                                            <wc:TDropDown ID="TDD_insert_krit_nasl_f" runat="server" DataSourceID="ODS_cile_krit_n_f"
                                                DataValueField="cislo" DataTextField="nazev" AutoPostBack="True" OnSelectedIndexChanged="TDD_insert_krit_nasl_f_SelectedIndexChanged"
                                                Visible="False" Style="width: auto" OnDataBound="TDD_insert_krit_nasl_f_DataBound"
                                                OnTextChanged="TDD_insert_krit_nasl_f_TextChanged">
                                            </wc:TDropDown>
                                            <asp:TextBox ID="TB_insert_krit_nasl_f" runat="server" Text="" Width="250px" Visible="False"></asp:TextBox>
                                            <wc:TImageButton ID="TIB_save_krit_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbSave16 rbPredefinedIcons" OnClick="TIB_save_krit_f_Click" Visible="False" ValidationGroup="ncil"
                                                ToolTip="[%Uložit nový cíl do číselníku%]" />
                                            <wc:TImageButton ID="TIB_undo_krit_f" runat="server" ImageUrl="~/Images/TransparentDot.png"
                                                CssClass="rbCancel16 rbPredefinedIcons" OnClick="TIB_undo_krit_f_Click" Visible="False"
                                                ToolTip="[%Zrušit změny%]" CausesValidation="False" />
                                            <wc:TCustomValidator ID="TCVal_naslcil_nazev_f" runat="server" MaxLength="60" ControlToValidate="TB_insert_krit_nasl_f"
                                                ErrorMessage="<br />[%Název cíle%] [%nesmí být delší než%] 60 [%znaků%]" Display="Dynamic" ValidationGroup="ncil">
                                            </wc:TCustomValidator>
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Cíl%]" SortExpression="text">
                                    <ItemTemplate>
                                        <asp:Label ID="L_naslcil_text" runat="server" Text='<%# Bind("text") %>'></asp:Label>
                                        <div runat="server" id="DIV_naslcil_text" style="white-space: nowrap">
                                            <wc:TTextBox ID="TB_naslcil_text" runat="server" Text='<%# Bind("text") %>' MaxLength="250"
                                                Width="250px" Height="100%" Wrap="True" TextMode="MultiLine" Rows="5" ControlToValidate="TB_naslcil_text" style="white-space: normal">
                                            </wc:TTextBox>
                                            <div runat="server" id="DIV_auto_naslcil">
                                            </div>
                                            <ajx:AutoCompleteExtender ID="ACE_naslcil_text" runat="server" TargetControlID="TB_naslcil_text"
                                                ServiceMethod="SuggestHodnoceniCile" ServicePath="~/PrivateWebServices/AutoCompleteService.asmx"
                                                MinimumPrefixLength="2" FirstRowSelected="True" UseContextKey="True" CompletionListElementID="DIV_auto_naslcil"
                                                OnClientPopulated="onPopulated" CompletionInterval="500">
                                            </ajx:AutoCompleteExtender>
                                            <%--<wc:TextValidator ID="TCVal_naslcil_text_checker" runat="server" ControlToValidate="TB_naslcil_text"
                                            Display="Dynamic"></wc:TextValidator>--%>
                                            <wc:TCustomValidator ID="TCVal_naslcil_text" runat="server" MaxLength="250" ControlToValidate="TB_naslcil_text"
                                                ErrorMessage="<br />[%Cíl%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic" ValidationGroup="ncil">
                                            </wc:TCustomValidator>
                                            <asp:RequiredFieldValidator ID="RFV_naslcil_text" runat="server" ControlToValidate="TB_naslcil_text"
                                                Display="Dynamic" ValidationGroup="ncil">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <div runat="server" id="DIV_naslcil_text_f" style="white-space: nowrap">
                                            <wc:TTextBox ID="TB_naslcil_text_f" runat="server" MaxLength="250" Width="250px"
                                                Height="100%" Wrap="True" TextMode="MultiLine" Rows="5" style="white-space: normal">
                                            </wc:TTextBox>
                                            <div runat="server" id="DIV_auto_naslcil_f">
                                            </div>
                                            <ajx:AutoCompleteExtender ID="ACE_naslcil_text_f" runat="server" TargetControlID="TB_naslcil_text_f"
                                                ServiceMethod="SuggestHodnoceniCile" ServicePath="~/PrivateWebServices/AutoCompleteService.asmx"
                                                MinimumPrefixLength="2" FirstRowSelected="True" UseContextKey="True" CompletionListElementID="DIV_auto_naslcil_f"
                                                OnClientPopulated="onPopulated" CompletionInterval="500">
                                            </ajx:AutoCompleteExtender>
                                            <%--<wc:TextValidator ID="TCVal_naslcil_text_checker_f" runat="server" ControlToValidate="TB_naslcil_text_f"
                                            Display="Dynamic"></wc:TextValidator>--%>
                                            <wc:TCustomValidator ID="TCVal_naslcil_text_f" runat="server" MaxLength="250" ControlToValidate="TB_naslcil_text_f"
                                                ErrorMessage="<br />[%Cíl%] [%nesmí být delší než%] 250 [%znaků%]" Display="Dynamic" ValidationGroup="ncil">
                                            </wc:TCustomValidator>
                                            <asp:RequiredFieldValidator ID="RFV_naslcil_text_f" runat="server" ControlToValidate="TB_naslcil_text_f"
                                                Display="Dynamic" ValidationGroup="ncil">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Popis%]" SortExpression="popis">
                                    <ItemTemplate>
                                        <wc:EditLabel runat="server" ID="EL_naslcil_popis"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel runat="server" ID="EL_naslcil_popis_f"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Váha%]" SortExpression="vaha">
                                    <ItemTemplate>
                                        <asp:Label ID="L_vaha_nasl" runat="server" Text='<%# Bind("vaha") %>'></asp:Label>
                                        <asp:TextBox ID="TB_vaha_nasl" runat="server" Text='<%# Bind("vaha") %>' Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_vaha_nasl" runat="server" ControlToValidate="TB_vaha_nasl"
                                            Display="Dynamic" ErrorMessage="0 - 100" MaximumValue="100" MinimumValue="0" ValidationGroup="ncil"
                                            SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:TextBox ID="TB_vaha_nasl_f" runat="server" Text="" Visible="False" Width="70px"></asp:TextBox>
                                        <asp:Label ID="L_soucet_vah_nasl" runat="server"></asp:Label>
                                        <asp:RangeValidator ID="RV_vaha_nasl_f" runat="server" ControlToValidate="TB_vaha_nasl_f"
                                            Display="Dynamic" ErrorMessage="<br />0 - 100" MaximumValue="100" MinimumValue="0" ValidationGroup="ncil"
                                            SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:BoundField HeaderText="[%Váha%] %" DataField="vaha_proc" SortExpression="vaha_proc" DataFormatString="{0:0.##}"/>
                                <asp:TemplateField HeaderText="[%Hodnota%]" SortExpression="hodnota">
                                    <ItemTemplate>
                                        <asp:Label ID="L_hodnota_naslcil" runat="server" Text='<%# Bind("hodnota") %>'></asp:Label>
                                        <asp:TextBox ID="TB_hodnota_naslcil" runat="server" Text='<%# Bind("hodnota") %>'
                                            Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_hodnota_naslcil" runat="server" ControlToValidate="TB_hodnota_naslcil"
                                            Display="Dynamic" MaximumValue="9999,99" MinimumValue="0" SetFocusOnError="True" ValidationGroup="ncil"
                                            Type="Currency" ErrorMessage='<%# RangeCilMnostviText(Container, "RV_hodnota_naslcil") %>'></asp:RangeValidator>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <asp:TextBox ID="TB_hodnota_naslcil_f" runat="server" Width="70px"></asp:TextBox><br />
                                        <asp:RangeValidator ID="RV_hodnota_naslcil_f" runat="server" ControlToValidate="TB_hodnota_naslcil_f"
                                            Display="Dynamic" ErrorMessage='<%# RangeCilMnostviText(Container, "RV_hodnota_naslcil_f") %>'
                                            MaximumValue="9999,99" MinimumValue="0" SetFocusOnError="True" Type="Currency" ValidationGroup="ncil">
                                        </asp:RangeValidator>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="hodnoceni" HeaderText="[%Hodnocení%]" SortExpression="hodnoceni"
                                    Visible="false" />
                                <asp:TemplateField HeaderText="[%Termín%]" SortExpression="termin">
                                    <ItemTemplate>
                                        <%--                                    <div runat="server" id="DIV_naslcil_termin" style="white-space: nowrap">
                                        <asp:TextBox ID="TB_naslcil_termin" runat="server" Width="70px" OnTextChanged="TB_naslcil_termin_TextChanged"
                                            Text='<%# Bind("termin") %>'></asp:TextBox>
                                        <asp:ImageButton ID="IB_naslcil_termin" runat="server" ImageUrl="~/Images/calendar.png"
                                            ToolTip="[%Kalendář%]" />
                                        <asp:CompareValidator ID="CVal_naslcil_termin" runat="server" ControlToValidate="TB_naslcil_termin"
                                            Display="Dynamic" ErrorMessage="?" Operator="DataTypeCheck" Type="Date">
                                        </asp:CompareValidator>
                                    </div>
                                    <ajx:CalendarExtender runat="server" ID="CE_naslcil_termin" TargetControlID="TB_naslcil_termin"
                                        PopupButtonID="IB_naslcil_termin" Format="d">
                                    </ajx:CalendarExtender>--%>
                                        <wc:TRadDatePicker ID="RDP_naslcil_termin" runat="server" DbSelectedDate='<%# Bind("termin") %>'>
                                        </wc:TRadDatePicker>
                                        <asp:Label ID="L_naslcil_termin" runat="server"></asp:Label>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <%--<div runat="server" id="DIV_naslcil_termin_f" style="white-space: nowrap">
                                        <asp:TextBox ID="TB_naslcil_termin_f" runat="server" Width="70px" OnTextChanged="TB_naslcil_termin_TextChanged"></asp:TextBox>
                                        <asp:ImageButton ID="IB_naslcil_termin_f" runat="server" ImageUrl="~/Images/calendar.png"
                                            ToolTip="[%Kalendář%]" />
                                        <asp:CompareValidator ID="CVal_naslcil_termin_f" runat="server" ControlToValidate="TB_naslcil_termin_f"
                                            Display="Dynamic" ErrorMessage="?" Operator="DataTypeCheck" Type="Date">
                                        </asp:CompareValidator>
                                    </div>
                                    <ajx:CalendarExtender runat="server" ID="CE_naslcil_termin_f" TargetControlID="TB_naslcil_termin_f"
                                        PopupButtonID="IB_naslcil_termin_f" Format="d">
                                    </ajx:CalendarExtender>--%>
                                        <wc:TRadDatePicker ID="RDP_naslcil_termin_f" runat="server">
                                        </wc:TRadDatePicker>
                                        <asp:Label ID="L_naslcil_termin_f" runat="server" Visible="False"></asp:Label>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Zdroj%]" SortExpression="zdroj">
                                    <ItemTemplate>
                                        <asp:Label ID="L_zdroj_nasl" runat="server" Text='<%# Bind("zdroj") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_naslcil_poznamka" runat="server" Text='<%# Bind("poznamka") %>' AutoPostBack="true" OnTextChanged="EL_ciln_poznamka_TextChanged"></wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_naslcil_poznamka_f" runat="server"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Kroky k dosažení%]" SortExpression="kroky">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_naslcil_kroky" runat="server" Text='<%# Bind("kroky") %>'
                                            MaxLength="250" AutoPostBack="true" OnTextChanged="EL_ciln_poznamka_TextChanged">
                                        </wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_naslcil_kroky_f" runat="server" MaxLength="250"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Očekávaný výstup%]" SortExpression="ocek_vystup">
                                    <ItemTemplate>
                                        <wc:EditLabel ID="EL_naslcil_ocek" runat="server" Text='<%# Bind("ocek_vystup") %>'
                                            MaxLength="250" AutoPostBack="true" OnTextChanged="EL_ciln_poznamka_TextChanged">
                                        </wc:EditLabel>
                                    </ItemTemplate>
                                    <FooterTemplate>
                                        <wc:EditLabel ID="EL_naslcil_ocek_f" runat="server" MaxLength="250"></wc:EditLabel>
                                    </FooterTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </wc:TGridViewBulk>
                        <br />
                        <br />
                        <wc:TButton ID="TB_nascile_insert" runat="server" OnClick="TB_nascile_insert_Click"
                            Text="[%Vložit nový%] [%následný cíl%]" ValidationGroup="ncil"/>
                        <br />
                        <br />
                        <wc:TButton ID="TB_nascile_update" runat="server" OnClick="TB_nascile_update_Click"
                            Text="[%Uložit%]" ValidationGroup="ncil" />
                        &nbsp;
                        <wc:TButton ID="TB_nascile_cancel" runat="server" OnClick="TB_nascile_cancel_Click"
                            Text="[%Zrušit změny%]" CausesValidation="False" />
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_slovni" style="border: 1px solid #33536A; display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="Panel5" runat="server">
                        <br />
                        <asp:ObjectDataSource ID="ODS_slovni" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Slovni" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <%--<asp:Parameter Name="Id" Type="Int32" />--%>
                                <asp:Parameter DefaultValue="1" Name="sta_edt" Type="Int16" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <wc:TDataList ID="TDL_slovni" runat="server" EnableTheming="False" Width="950px"
                            OnCancelCommand="TDL_slovni_CancelCommand" OnUpdateCommand="TDL_slovni_UpdateCommand"
                            DataKeyField="pozadavek" OnDataBinding="TDL_slovni_DataBinding" OnItemDataBound="TDL_slovni_ItemDataBound">
                            <HeaderTemplate>
                                [%Sebehodnocení slovní%]
                            </HeaderTemplate>
                            <ItemTemplate>
                                <table width="100%">
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("vyznam") %>' Width="100%" Font-Bold="True"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="L_slovni_popis" runat="server" Text='<%# Bind("popis") %>' Width="100%"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <wc:EditLabel runat="server" ID="EL_slovni_poznamka" Text='<%# Bind("poznamka") %>'
                                                Font-Size="Larger" BorderStyle="Solid" BorderWidth="1px" BorderColor="#666666"
                                                MaxLength="2000" Width="100%" AutoPostBack="True" OnTextChanged="EL_slovni_poznamka_TextChanged"></wc:EditLabel>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                            <FooterTemplate>
                                <asp:LinkButton ID="LBT_slovni_update" runat="server" CommandName="Update" SkinID="caption">[%Uložit%]</asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="LBT_slovni_cancel" runat="server" CommandName="Cancel" SkinID="caption">[%Zrušit změny%]</asp:LinkButton>
                            </FooterTemplate>
                        </wc:TDataList>
                        <br />
                        <br />
                        <asp:ObjectDataSource ID="ODS_slovni2" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Slovni" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter DefaultValue="2" Name="sta_edt" Type="Int16" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <wc:TDataList ID="TDL_slovni2" runat="server" EnableTheming="False" Width="950px"
                            DataKeyField="pozadavek" OnDataBinding="TDL_slovni2_DataBinding" OnItemDataBound="TDL_slovni_ItemDataBound">
                            <HeaderTemplate>
                                [%Hodnocení slovní%]
                            </HeaderTemplate>
                            <ItemTemplate>
                                <table width="100%">
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("vyznam") %>' Width="100%" Font-Bold="True"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="L_slovni_popis" runat="server" Text='<%# Bind("popis") %>' Width="100%"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <wc:EditLabel runat="server" ID="EL_slovni_poznamka" Text='<%# Bind("poznamka") %>'
                                                Font-Size="Larger" BorderStyle="Solid" BorderWidth="1px" BorderColor="#666666"
                                                MaxLength="2000" Width="100%" Editable="False" OnTextChanged="EL_slovni_poznamka_TextChanged"></wc:EditLabel>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </wc:TDataList>
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_motivace" style="display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="Panel6" runat="server">
                        <br />
                        <asp:ObjectDataSource ID="ODS_Motivace" runat="server" OldValuesParameterFormatString="original_{0}"
                            TypeName="KSProgram.Hodnoceni.Hodnoceni" SelectMethod="Motivace" UpdateMethod="Update_Motivace"
                            DeleteMethod="Delete_Motivace">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <%--<asp:Parameter Name="Id" Type="Int32" />--%>
                            </SelectParameters>
                            <UpdateParameters>
                                <asp:Parameter Name="stanovisko" Type="Int16" />
                                <asp:Parameter Name="poznamka" Type="String" />
                                <asp:Parameter Name="termin" Type="DateTime" />
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_pozadavek" Type="Int32" />
                            </UpdateParameters>
                            <DeleteParameters>
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_pozadavek" Type="Int32" />
                            </DeleteParameters>
                        </asp:ObjectDataSource>
                        <wc:TGridViewBulk ID="TGVB_Motivace" runat="server" ShowFooterWhenEmpty="False" DataKeyNames="idp,pozadavek"
                            DataFields="vyznam,popis,stanovisko,poznamka,termin" TitleText="[%Osobní motivace%]"
                            ShowTitleRow="True" TeplateControls="TRBL_mot_stanovisko,EL_mot_poznamka,RDP_mot_termin"
                            OnRowDataBound="TGVB_Motivace_RowDataBound">
                            <Columns>
                                <asp:BoundField DataField="vyznam" HeaderText="[%Motivační faktor%]" SortExpression="vyznam" />
                                <asp:TemplateField HeaderText="[%Popis%]" SortExpression="popis">
                                    <ItemStyle Width="250px" />
                                    <ItemTemplate>
                                        <asp:Label ID="L_mot_popis" runat="server"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Stanovisko%]" SortExpression="stanovisko">
                                    <ItemTemplate>
                                        <wc:TRadioButtonList ID="TRBL_mot_stanovisko" runat="server" SelectedValue='<%# Bind("stanovisko") %>'
                                            RepeatDirection="Horizontal">
                                            <asp:ListItem Text="[%Ano%]" Value="1"></asp:ListItem>
                                            <asp:ListItem Text="[%Ne%]" Value="0"></asp:ListItem>
                                        </wc:TRadioButtonList>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Zdůvodnění, připomínky, návrhy%]" SortExpression="poznamka">
                                    <ItemTemplate>
                                        <wc:EditLabel runat="server" ID="EL_mot_poznamka" Text='<%# Bind("poznamka") %>'></wc:EditLabel>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Termín%]" SortExpression="termin">
                                    <ItemTemplate>
                                        <%--<div style="white-space: nowrap">
                                        <asp:TextBox ID="TB_mot_termin" runat="server" Width="70px" Text='<%# Bind("termin") %>'
                                            OnTextChanged="TB_mot_termin_TextChanged"></asp:TextBox>
                                        <asp:ImageButton ID="IB_mot_termin" runat="server" ImageUrl="~/Images/calendar.png"
                                            ToolTip="[%Kalendář%]" />
                                        <asp:CompareValidator ID="CVal_mot_termin" runat="server" ControlToValidate="TB_mot_termin"
                                            Display="Dynamic" ErrorMessage="?" Operator="DataTypeCheck" Type="Date">
                                        </asp:CompareValidator>
                                        <ajx:CalendarExtender runat="server" ID="CE_mot_termin" TargetControlID="TB_mot_termin"
                                            PopupButtonID="IB_mot_termin" Format="d">
                                        </ajx:CalendarExtender>
                                    </div>--%>
                                        <wc:TRadDatePicker ID="RDP_mot_termin" runat="server" DbSelectedDate='<%# Bind("termin") %>'>
                                        </wc:TRadDatePicker>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </wc:TGridViewBulk>
                        <br />
                        <br />
                        <wc:TButton ID="TB_motivace_update" runat="server" OnClick="TB_motivace_update_Click"
                            Text="[%Uložit%]" />
                        &nbsp;
                        <wc:TButton ID="TB_motivace_cancel" runat="server" OnClick="TB_motivace_cancel_Click"
                            Text="[%Zrušit změny%]" />
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_vzdelavani" style="display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="Panel9" runat="server">
                        <br />
                        <wc:HodnDoporVzde runat="server" ID="DoporuceneVzdelavani" StatutEditora="1" />
                    </asp:Panel>
                </td>
            </tr>
            <tr runat="server" id="row_celkove" style="display: none">
                <td style="padding: 0px">
                    <asp:Panel ID="Panel7" runat="server">
                        <br />
                        <asp:ObjectDataSource ID="ODS_celkove" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="CelkoveHodnoceni" TypeName="KSProgram.Hodnoceni.Hodnoceni" UpdateMethod="Update_celkove">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="KSN_navigace" Name="Id" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter DefaultValue="1" Name="sta_edt" Type="Int16" />
                                <asp:Parameter DefaultValue="false" Name="sloucit" Type="Boolean" />
                            </SelectParameters>
                            <UpdateParameters>
                                <asp:Parameter Name="hodnoceni" Type="Int32" />
                                <asp:Parameter Name="poznamka" Type="String" />
                                <asp:Parameter Name="original_idp" Type="Int32" />
                                <asp:Parameter Name="original_druh" Type="Int32" />
                                <asp:Parameter Name="original_sta_edt" Type="Int32" />
                                <asp:Parameter Name="original_pozadavek" Type="Int32" />
                            </UpdateParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ODS_cisel_celk" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="Cisel_Celkove" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                            <SelectParameters>
                                <asp:ControlParameter Name="Id" ControlID="KSN_navigace" PropertyName="SelectedHlavicka"
                                    Type="Int32" />
                                <asp:Parameter Name="verze_stupnu" Type="Int32" DefaultValue="1" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <wc:TGridViewBulk ID="TGVB_celkove" runat="server" ShowFooterWhenEmpty="False" DataKeyNames="idp,druh,sta_edt,pozadavek"
                            DataFields="vyznam,popis,hodnoceni,poznamka" TitleText="[%Celkové hodnocení%]"
                            ShowTitleRow="True" OnlyVisibledControls="True" TeplateControls="TDD_celk_hodnoceni,EL_celk_poznamka"
                            ShowFooter="False" OnRowDataBound="TGVB_celkove_RowDataBound">
                            <Columns>
                                <asp:BoundField DataField="vyznam" HeaderText="[%Význam%]" SortExpression="vyznam" />
                                <asp:TemplateField HeaderText="[%Popis%]" SortExpression="popis" Visible="False">
                                    <ItemStyle Width="250px" />
                                    <ItemTemplate>
                                        <wc:TLabel ID="L_celk_popis" runat="server" Text='<%# Bind("popis") %>' FormatHtml="True"></wc:TLabel>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Hodnocení%]" SortExpression="hodnoceni">
                                    <ItemTemplate>
                                        <wc:TDropDown ID="TDD_celk_hodnoceni" runat="server" SelectedValue='<%# Bind("hodnoceni") %>'
                                            DataSourceID="ODS_cisel_celk" DataValueField="cislo" DataTextField="vyznam" Style="width: auto">
                                        </wc:TDropDown>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="[%Poznámka%]" SortExpression="poznamka">
                                    <ItemTemplate>
                                        <wc:EditLabel runat="server" ID="EL_celk_poznamka" Text='<%# Bind("poznamka") %>'
                                            Visible="False"></wc:EditLabel>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </wc:TGridViewBulk>
                        <br />
                        <br />
                        <wc:TButton ID="TB_celkove_update" runat="server" OnClick="TB_celkove_update_Click"
                            Text="[%Uložit%]" />
                        &nbsp;
                        <wc:TButton ID="TB_celkove_cancel" runat="server" OnClick="TB_celkove_cancel_Click"
                            Text="[%Zrušit změny%]" />
                    </asp:Panel>
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
