﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="KSPortal.Sestavy.Sestavy_HodnoceniCile" CodeBehind="HodnoceniCile.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .TLB_Vytvor{
            margin-left: 25px;
        }
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="content">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="content" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Label1" runat="server" Text="[%Hodnocení cílů%]" CssClass="nadpis1"></asp:Label>
    <asp:Panel runat="server" ID="content" CssClass="ksprvek">        
        <table style="border-collapse: collapse; border: 1px solid #808080; margin: 15px;" class="HodnoceniToolbar">
            <tr>
                <td style="border-bottom-style: solid; border-width: 1px; border-color: #808080">
                    <asp:Label ID="Label3" runat="server" Text="[%Hodnotící akce%]:"></asp:Label>
                </td>
                <td colspan="2" style="border-bottom-style: solid; border-width: 1px; border-color: #808080">
                    <asp:ObjectDataSource ID="ODS_akce" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="HodnoticiAkce" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                        <SelectParameters>
                            <asp:Parameter Name="zamceno" DbType="Int16" />
                            <asp:Parameter Name="jen_primi" Type="Boolean" DefaultValue="false" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_akce" runat="server" DataSourceID="ODS_akce" DataTextField="nazev"
                        DataValueField="id" OnDataBound="TDD_akce_DataBound" AutoPostBack="True">
                    </wc:TDropDown>
                </td>
                <td style="border-bottom-style: solid; border-width: 1px; border-color: #808080; border-left-style: solid; border-right-style: solid;">
                    <wc:TRadioButtonList ID="RBL_zamceno" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="True" UseSaveSetting="True">
                        <asp:ListItem Selected="True" Value="2">[%Všechny%]</asp:ListItem>
                        <asp:ListItem Selected="False" Value="0">[%Neuzavřeno%]</asp:ListItem>
                        <asp:ListItem Selected="False" Value="1">[%Uzavřeno%]</asp:ListItem>
                    </wc:TRadioButtonList>
                </td>
                <td style="border-bottom-style: solid; border-width: 1px; border-color: #808080">
                    <wc:TRadioButtonList ID="RBL_prumer" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="True" UseSaveSetting="True" OnPreRender="RBL_prumer_PreRender">
                        <asp:ListItem Selected="False" Value="0">[%Průměr%]</asp:ListItem>
                        <asp:ListItem Selected="True" Value="1">[%Vážený průměr%]</asp:ListItem>
                    </wc:TRadioButtonList>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="font-weight: bold">[%Filtr zaměstnanců%]:
                </td>
                <td style="border-width: 1px; border-color: #808080; font-weight: bold; border-right-style: solid; border-left-style: solid;">[%Sčítat zaměstnance%]:
                </td>
                <td style="font-weight: bold">[%Filtr cílů%]:
                </td>
                <td style="border-width: 1px; border-color: #808080; font-weight: bold; border-left-style: solid;">[%Sčítat cíle%]:
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="L_divize" runat="server" Text="[%Divize%]:"></asp:Label><br />
                    <asp:ObjectDataSource ID="ODS_divize" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="cislDivize" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="TDD_akce" Name="Id_ha" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                                Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_divize" runat="server" DataSourceID="ODS_divize" DataTextField="naz_divize"
                        DataValueField="cis_divize" AutoPostBack="True">
                    </wc:TDropDown>
                </td>
                <td>
                    <asp:Label ID="L_stredisko" runat="server" Text="[%Středisko%]:"></asp:Label>
                    <br />
                    <asp:ObjectDataSource ID="ODS_Stredisko" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="cislStredisko" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="TDD_akce" Name="Id_ha" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                                Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_stredisko" runat="server" DataSourceID="ODS_Stredisko" DataTextField="nazev"
                        DataValueField="str" AutoPostBack="True">
                    </wc:TDropDown>
                </td>
                <td rowspan="2" style="border-right-style: solid; border-left-style: solid; border-width: 1px; border-color: #808080">
                    <asp:RadioButtonList ID="RBL_group_zam" runat="server" RepeatColumns="2" AutoPostBack="True"
                        OnPreRender="RBL_group_zam_PreRender">
                        <asp:ListItem Value="4">[%Za všechny%]</asp:ListItem>
                        <asp:ListItem Value="1">[%Po divizích%]</asp:ListItem>
                        <asp:ListItem Value="2">[%Po skupinách středisek%]</asp:ListItem>
                        <asp:ListItem Value="3">[%Po střediscích%]</asp:ListItem>
                        <asp:ListItem Selected="True" Value="0">[%Po zaměstnancích%]</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td>
                    <wc:TRadioButtonList ID="TRBL_druh_cile" runat="server" UseSaveSetting="True" AutoPostBack="True"
                        RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True" Value="1">[%Cíle%]</asp:ListItem>
                        <asp:ListItem Value="2">[%Následné cíle%]</asp:ListItem>
                    </wc:TRadioButtonList>
                </td>
                <td rowspan="2" style="border-left-style: solid; border-width: 1px; border-color: #808080">
                    <asp:RadioButtonList ID="RBL_group_cil" runat="server" AutoPostBack="True" OnPreRender="RBL_group_cil_PreRender">
                        <asp:ListItem Value="1">[%Za hodnocení%]</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">[%Po cílech%]</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="L_skupinaStred" runat="server" Text="[%Skup. středisek%]:"></asp:Label><br />
                    <asp:ObjectDataSource ID="ODS_SkupinaStred" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="cislSkupinaStred" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="TDD_akce" Name="Id_ha" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                                Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_skupinaStred" runat="server" DataSourceID="ODS_SkupinaStred"
                        DataTextField="skup_nazev" DataValueField="skup_str" AutoPostBack="True">
                    </wc:TDropDown>
                </td>
                <td>
                    <asp:Label ID="L_zamestnanec" runat="server" Text="[%Zaměstnanec%]:"></asp:Label><br />
                    <asp:ObjectDataSource ID="ODS_Zamestnanec" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="cislZamestnanec" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="TDD_akce" Name="Id_ha" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                                Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_zamestnanec" runat="server" DataSourceID="ODS_Zamestnanec"
                        DataTextField="jmeno" DataValueField="os_cislo" AutoPostBack="True">
                    </wc:TDropDown>
                </td>
                <td>
                    <asp:Label ID="L_stredisko0" runat="server" Text="[%Cíl%]:"></asp:Label>
                    <br />
                    <asp:ObjectDataSource ID="ODS_cile" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="cislCile" TypeName="KSProgram.Sestavy.DefSestavy_HodnCile">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="TDD_akce" Name="Id_ha" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TDD_zamestnanec" Name="os_cislo" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="TRBL_druh_cile" Name="druh_cile" PropertyName="SelectedValue"
                                Type="String" />
                            <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                                Type="Int16" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TDropDown ID="TDD_cile" runat="server" DataSourceID="ODS_cile" DataTextField="naz_cile"
                        DataValueField="cis_cile">
                    </wc:TDropDown>
                </td>
            </tr>
            <tr>
                <td style="border-top-style: solid; border-width: 1px; border-color: #808080" colspan="5">
                    <asp:Label ID="Label4" runat="server" Text="[%Sloupce%]:"></asp:Label>
                    <wc:TCheckBoxList ID="CBL_show" runat="server" RepeatDirection="Horizontal" OnPreRender="CBL_show_PreRender"
                        UseSaveSetting="False">
                    </wc:TCheckBoxList>
                </td>
            </tr>
        </table>
        <br />
        <wc:TLinkButton runat="server" ID="lb_nacist" Text="[%Vytvořit%]" CssClass="kstlacitko TLB_Vytvor" SkinID="button" OnCommand="lb_nacist_Command"></wc:TLinkButton>
        <br />
        <br />
        <asp:ObjectDataSource ID="ODS_sestava" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="Retrieve" TypeName="KSProgram.Sestavy.DefSestavy_HodnCile">
            <SelectParameters>
                <asp:Parameter Name="Id_ha" Type="String" />
                <asp:Parameter Name="cis_divize" Type="Int32" />
                <asp:Parameter Name="skup_str" Type="Int32" />
                <asp:Parameter Name="str" Type="String" />
                <asp:Parameter Name="os_cislo" Type="String" />
                <asp:Parameter Name="druh_cile" Type="String" />
                <asp:Parameter Name="cil" Type="String" />
                <asp:Parameter Name="groupZam" Type="String" />
                <asp:Parameter Name="groupCil" Type="String" />
                <asp:Parameter Name="zamceno" Type="Int16" />
                <asp:Parameter Name="prumer" Type="String" />
                <asp:Parameter Name="columns" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <%--
    <wc:TGridView ID="TGV_sestava" runat="server" AllowMultiColumnSorting="True" PovolFiltraci="True"
        ShowTitleRow="True" TitleText="[%Hodnocení cílů%]" ControlPanelPosition="TitleRow"
        PovolExport="True" OnPreRender="TGV_sestava_PreRender" AllowPaging="true">
        <Columns>
            <asp:BoundField DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" />
            <asp:BoundField DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
            <asp:BoundField DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
            <asp:BoundField DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
            <asp:BoundField DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
            <asp:BoundField DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
            <asp:BoundField DataField="cil" HeaderText="[%Cíl%]" SortExpression="cil" />
            <asp:BoundField DataField="vaha" HeaderText="[%Váha%]" SortExpression="vaha" />
            <asp:BoundField DataField="mnozstvi" HeaderText="[%Množství%]" SortExpression="mnozstvi" />
            <asp:BoundField DataField="termin" HeaderText="[%Termín%]" SortExpression="termin" DataFormatString="{0:d}" HtmlEncode="False" />
            <asp:BoundField DataField="hodnoceni" HeaderText="[%Hodnocení%]" SortExpression="hodnoceni"
                DataFormatString="{0:N2}" />
                <asp:BoundField DataField="sebehodnoceni" HeaderText="[%Sebehodnocení%]" SortExpression="sebehodnoceni"
                DataFormatString="{0:N2}" />
            <asp:BoundField DataField="dokonceno" HeaderText="[%Hod. hotovo%]" SortExpression="dokonceno" />
            <asp:BoundField DataField="dokonceno_seb" HeaderText="[%Seb. hotovo%]" SortExpression="dokonceno_seb" />
        </Columns>
        <PagerTemplate>
            <wc:PagerNavigationBar runat="server" ID="page_nastaveni" />
        </PagerTemplate>
    </wc:TGridView>
        --%>

        <%-- New --%>
        <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server"
            ShowGroupPanel="True" AllowPaging="True" CssClass="rgMultiHeader"
            AllowSorting="true" AutoGenerateColumns="false"
            AutoFilterControlWidth="true" OnPreRender="TRadGrid_sestava_PreRender">
            <ClientSettings AllowDragToGroup="True">
            </ClientSettings>
            <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
            <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
            <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
            </ExportSettings>
            <MasterTableView CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" FilterControlWidth="45" />
                    <telerik:GridNumericColumn DataType="System.Int16" DataField="cislo_pom" HeaderText="[%Č.p.%]" SortExpression="cislo_pom" FilterControlWidth="45" />
                    <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
                    <telerik:GridBoundColumn DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
                    <telerik:GridBoundColumn DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
                    <telerik:GridBoundColumn DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
                    <telerik:GridBoundColumn DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
                    <telerik:GridBoundColumn DataField="cil" HeaderText="[%Cíl%]" SortExpression="cil" />
                    <telerik:GridNumericColumn DataType="System.Int64" DataField="vaha" HeaderText="[%Váha%]" SortExpression="vaha" FilterControlWidth="45" />
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="mnozstvi" HeaderText="[%Množství%]" SortExpression="mnozstvi" FilterControlWidth="45" />
                    <telerik:GridDateTimeColumn DataFormatString="{0:d.M.yyyy}" DataField="termin" HeaderText="[%Termín%]" SortExpression="termin" />
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="hodnoceni" HeaderText="[%Hodnocení%]" SortExpression="hodnoceni" />
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="sebehodnoceni" HeaderText="[%Sebehodnocení%]" SortExpression="sebehodnoceni" />
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="dokonceno" HeaderText="[%Hod. hotovo%]" SortExpression="dokonceno" />
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="dokonceno_seb" HeaderText="[%Seb. hotovo%]" SortExpression="dokonceno_seb" />
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Visible="False">
                        <ExportButton runat="server" ID="exportbutt" OnExporting="exportbutt_Exporting" />
                    </kspwc:GridCommandItemControl>
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
        <%-- End New --%>
    </asp:Panel>
</asp:Content>
