﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_HodnoceniMotivace" Codebehind="HodnoceniMotivace.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Label1" runat="server" Text="[%Osobní motivace%]" CssClass="nadpis1"></asp:Label>
    <table style="border: 1px solid #808080; border-collapse: collapse" class="ksprvek HodnoceniToolbar">
        <tr>
            <td style="border-width: 1px; border-color: #808080; font-weight: bold; border-right-style: solid;
                ">
                [%Filtr hodnotících akcí%]:
            </td>
            <td colspan="2" style="border-width: 1px; border-color: #808080; font-weight: bold;
                border-right-style: solid;">
                [%Filtr zaměstnanců%]:
            </td>
            <td style="border-width: 1px; border-color: #808080; font-weight: bold;">
                [%Filtr motivace%]:
            </td>
        </tr>
        <tr>
            <td rowspan="2" style="border-right-style: solid; border-width: 1px; border-color: #808080">
                <asp:RadioButtonList ID="RBL_zamceno" runat="server" RepeatDirection="Horizontal"
                    AutoPostBack="True">
                    <asp:ListItem Selected="True" Value="2">[%Všechny%]</asp:ListItem>
                    <asp:ListItem Selected="False" Value="0">[%Neuzavřeno%]</asp:ListItem>
                    <asp:ListItem Selected="False" Value="1">[%Uzavřeno%]</asp:ListItem>
                </asp:RadioButtonList>
                <asp:Panel ID="Panel2" runat="server" Width="100%" Height="100px" ScrollBars="Auto">
                    <asp:ObjectDataSource ID="ODS_akce" runat="server" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="HodnoticiAkce" TypeName="KSProgram.Hodnoceni.Hodnoceni">
                        <SelectParameters>
                            <asp:Parameter Name="zamceno" DbType="Int16" />
                            <asp:Parameter Name="jen_primi" Type="Boolean" DefaultValue="false" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <wc:TGridView ID="TGV_akce" runat="server" DataSourceID="ODS_akce" DataKeyNames="id"
                        AutoGenerateCheckBoxColumn="True" BorderColor="White" AutoPostBack="True">
                        <Columns>
                            <asp:BoundField DataField="id" Visible="False" />
                            <asp:BoundField DataField="nazev" HeaderText="[%Název akce%]" SortExpression="nazev" />
                            <asp:BoundField DataField="obdobi_od" HeaderText="[%Období od%]" SortExpression="obdobi_od"
                                DataFormatString="{0:d}" />
                            <asp:BoundField DataField="obdobi_do" HeaderText="[%Do%]" SortExpression="obdobi_do"
                                DataFormatString="{0:d}" />
                        </Columns>
                    </wc:TGridView>
                </asp:Panel>
            </td>
            <td>
                <asp:Label ID="L_divize" runat="server" Text="[%Divize%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_divize" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislDivize" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" DefaultValue="" />
                        <asp:ControlParameter ControlID="RBL_zamceno" DefaultValue="2" Name="zamceno" PropertyName="SelectedValue"
                            Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_divize" runat="server" DataSourceID="ODS_divize" DataTextField="naz_divize"
                    DataValueField="cis_divize" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td style="border-right-style: solid; border-width: 1px; border-color: #808080">
                <asp:Label ID="L_stredisko" runat="server" Text="[%Středisko%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_Stredisko" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislStredisko" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="RBL_zamceno" DefaultValue="" Name="zamceno" PropertyName="SelectedValue"
                            Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_stredisko" runat="server" DataSourceID="ODS_Stredisko" DataTextField="nazev"
                    DataValueField="str" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td>
                
                <asp:Label ID="L_osvedceni" runat="server" Text="[%Motivační faktor%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_motivace" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislMotivace" TypeName="KSProgram.Sestavy.DefSestavy_HodnMotivace">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="RBL_zamceno" Name="zamceno" PropertyName="SelectedValue"
                            Type="Int16" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_zamestnanec" Name="os_cislo" PropertyName="SelectedValue"
                            Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_motivace" runat="server" DataSourceID="ODS_motivace" DataTextField="vyznam"
                    DataValueField="cislo" Width="250px">
                </wc:TDropDown>
                
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="L_skupinaStred" runat="server" Text="[%Skup. středisek%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_SkupinaStred" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislSkupinaStred" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="RBL_zamceno" DefaultValue="" Name="zamceno" PropertyName="SelectedValue"
                            Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_skupinaStred" runat="server" DataSourceID="ODS_SkupinaStred"
                    DataTextField="skup_nazev" DataValueField="skup_str" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td style="border-right-style: solid; border-width: 1px; border-color: #808080">
                <asp:Label ID="L_zamestnanec" runat="server" Text="[%Zaměstnanec%]:"></asp:Label>
                <br />
                <asp:ObjectDataSource ID="ODS_Zamestnanec" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="cislZamestnanec" TypeName="KSProgram.Sestavy.DefSestavy_HodnKompetence">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="TGV_akce" Name="Id_ha" PropertyName="CheckedKeyValuesWhereIn[0]"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_divize" Name="cis_divize" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_skupinaStred" Name="skup_str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="TDD_stredisko" Name="str" PropertyName="SelectedValue"
                            Type="String" />
                        <asp:ControlParameter ControlID="RBL_zamceno" DefaultValue="" Name="zamceno" PropertyName="SelectedValue"
                            Type="Int16" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <wc:TDropDown ID="TDD_zamestnanec" runat="server" DataSourceID="ODS_Zamestnanec"
                    DataTextField="jmeno" DataValueField="os_cislo" AutoPostBack="True">
                </wc:TDropDown>
            </td>
            <td>
                <asp:Label ID="L_stanovisko" runat="server" Text="[%Stanovisko%]:"></asp:Label>
                <wc:TRadioButtonList ID="TRBL_stanovisko" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem Selected="True" Value="0">[%Všechny%]</asp:ListItem>
                    <asp:ListItem Value="1">[%Ano%]</asp:ListItem>
                    <asp:ListItem Value="2">[%Ne%]</asp:ListItem>
                </wc:TRadioButtonList>
            </td>
        </tr>
        <tr>
            <td colspan="4" style="border-top-style: solid; border-width: 1px; border-color: #808080">
                <asp:Label ID="Label4" runat="server" Text="[%Sloupce%]:"></asp:Label>
                <wc:TCheckBoxList ID="CBL_show" runat="server" RepeatDirection="Horizontal" UseSaveSetting="False">
                </wc:TCheckBoxList>
            </td>
        </tr>
    </table>
    <br />
    <wc:TLinkButton runat="server" ID="lb_nacist" Text="[%Vytvořit%]" CssClass="kstlacitko"
        SkinID="button" OnCommand="lb_nacist_Command"></wc:TLinkButton>
    <br />
    <br />
    <asp:ObjectDataSource ID="ODS_sestava" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="Retrieve" TypeName="KSProgram.Sestavy.DefSestavy_HodnMotivace">
        <SelectParameters>
            <asp:Parameter Name="Id_ha" Type="String" />
            <asp:Parameter Name="cis_divize" Type="Int32" />
            <asp:Parameter Name="skup_str" Type="Int32" />
            <asp:Parameter Name="str" Type="String" />
            <asp:Parameter Name="os_cislo" Type="String" />
            <asp:Parameter Name="mot_faktor" Type="String" />
            <asp:Parameter Name="stanovisko" Type="String" />
            <asp:Parameter Name="zamceno" Type="Int16" />
            <asp:Parameter Name="columns" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <%-- 
    <wc:TGridView ID="TGV_sestava" runat="server" AllowMultiColumnSorting="True" PovolFiltraci="True"
        ShowTitleRow="True" TitleText="[%Osobní motivace%]" ControlPanelPosition="TitleRow"
        PovolExport="True" AllowPaging="True">
        <Columns>
            <asp:BoundField DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" />
            <asp:BoundField DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
            <asp:BoundField DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
            <asp:BoundField DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
            <asp:BoundField DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
            <asp:BoundField DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
            <asp:BoundField DataField="hod_akce" HeaderText="[%Hodn. akce%]" SortExpression="hod_akce" />
            <asp:BoundField DataField="mot_faktor" HeaderText="[%Motivační faktor%]" SortExpression="mot_faktor" />
            <asp:BoundField DataField="stanovisko" HeaderText="[%Stanovisko%]" SortExpression="stanovisko" />
            <asp:BoundField DataField="termin" HeaderText="[%Termín%]" SortExpression="termin"
                DataFormatString="{0:d}" />
            <asp:BoundField DataField="poznamka" HeaderText="[%Poznámka%]" SortExpression="poznamka" />
        </Columns>
        <PagerTemplate>
                <wc:PagerNavigationBar runat="server" ID="page_nastaveni" />
            </PagerTemplate>
    </wc:TGridView>
        --%>
    <%-- NEW --%>
    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" 
                    ShowGroupPanel="True" AllowPaging="True" 
                     AllowSorting="true" AutoGenerateColumns="false"
                    AutoFilterControlWidth="false">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" FilterControlWidth="45" />
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
                <telerik:GridBoundColumn DataField="prac_misto" HeaderText="[%Prac. místo%]" SortExpression="prac_misto" />
                <telerik:GridBoundColumn DataField="divize" HeaderText="[%Divize%]" SortExpression="divize" />
                <telerik:GridBoundColumn DataField="skup_str" HeaderText="[%Skup. středisek%]" SortExpression="skup_str" />
                <telerik:GridBoundColumn DataField="str" HeaderText="[%Středisko%]" SortExpression="str" />
                <telerik:GridBoundColumn DataField="hod_akce" HeaderText="[%Hodn. akce%]" SortExpression="hod_akce" />
                <telerik:GridBoundColumn DataField="mot_faktor" HeaderText="[%Motivační faktor%]" SortExpression="mot_faktor" />
                <telerik:GridBoundColumn DataField="stanovisko" HeaderText="[%Stanovisko%]" SortExpression="stanovisko" />
                <telerik:GridDateTimeColumn DataField="termin" HeaderText="[%Termín%]" SortExpression="termin"
                    DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridBoundColumn DataField="poznamka" HeaderText="[%Poznámka%]" SortExpression="poznamka" />
                
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Enabled="False" RebindButton-Visible="False">
                </kspwc:GridCommandItemControl>        
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
    <%-- NEW END --%>
</asp:Content>
