﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;

public partial class Sestavy_HodnoceniMotivace : TPage
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (CBL_show.Items.Count == 0)
            /*foreach (DataControlField col in TGV_sestava.Columns)
            {
                ListItem item = new ListItem(col.HeaderText);
                item.Value = col.SortExpression;
                item.Selected = true;
                item.Enabled = true;
                CBL_show.Items.Add(item);
            }*/
            foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
            {
                ListItem item = new ListItem(col.HeaderText);
                item.Value = col.SortExpression;
                item.Selected = true;
                item.Enabled = true;
                CBL_show.Items.Add(item);
            }
    }
    public Sestavy_HodnoceniMotivace()
    {
        IdPrava = 107;
    }
    protected void TDD_akce_DataBound(object sender, EventArgs e)
    {
        TDropDown TDD_akce = (TDropDown)sender;
        TDD_akce.SelectedIndex = TDD_akce.Items.Count - 1;
    }
    private Telerik.Web.UI.GridColumn column(string SortExp)
    {
        /*foreach (DataControlField col in TGV_sestava.Columns)
            if (col.SortExpression == SortExp)
                return col;
        return null;*/
        foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
            if (col.SortExpression == SortExp)
                return col;
        return null;
    }
    protected void lb_nacist_Command(object sender, CommandEventArgs e)
    {
        string columns = "";
        foreach (ListItem item in CBL_show.Items)
        {
            column(item.Value).Visible = item.Selected;
            if (item.Selected)
                columns += item.Value + ",";
        }
        //TGV_sestava.DataSourceID = ODS_sestava.ID;
        TRadGrid_sestava.DataSourceID = ODS_sestava.ID;
        ODS_sestava.SelectParameters["Id_ha"].DefaultValue = TGV_akce.CheckedKeyValuesWhereIn[0];
        ODS_sestava.SelectParameters["cis_divize"].DefaultValue = TDD_divize.SelectedItem.Value;
        ODS_sestava.SelectParameters["skup_str"].DefaultValue = TDD_skupinaStred.SelectedItem.Value;
        ODS_sestava.SelectParameters["str"].DefaultValue = TDD_stredisko.SelectedItem.Value;
        ODS_sestava.SelectParameters["os_cislo"].DefaultValue = TDD_zamestnanec.SelectedItem.Value;
        ODS_sestava.SelectParameters["mot_faktor"].DefaultValue = TDD_motivace.SelectedItem.Value;
        ODS_sestava.SelectParameters["stanovisko"].DefaultValue = TRBL_stanovisko.SelectedItem.Value;
        ODS_sestava.SelectParameters["zamceno"].DefaultValue = RBL_zamceno.SelectedItem.Value;
        ODS_sestava.SelectParameters["columns"].DefaultValue = columns;
        //TGV_sestava.DataBind();
        TRadGrid_sestava.DataBind();
    }
}
