﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using Telerik.Web.UI;

namespace KSPortal.JednorazoveFunkce
{
    public partial class InfoBlobDupl : TPage
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        protected void TRG_dupl_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            //TRG_dupl.DataSource = KSProgram.InfoBlob.InfoBlob.GetDuplicity();
            TRG_dupl.DataSource = KSProgram.InfoBlob.InfoBlob.DejDuplicity();
        }

        protected void TRB_oprav_Click(object sender, EventArgs e)
        {
            //int ret = KSProgram.InfoBlob.InfoBlob.OpravDuplicity(2);
            int ret = KSProgram.InfoBlob.InfoBlob.OpravDuplicity(1);
            
            TRG_dupl.Rebind();
            MessageBox.Alert(this.Page, String.Format(WebControlHelper.ZmenaTextu("[%Bylo přeindexováno {0} řádků%]"), ret), WebControlHelper.ZmenaTextu("[%Reindexace%]"), null, null, null);
        }

        protected void TRB_smaz_Click(object sender, EventArgs e)
        {
            MessageBox.Confirm(this.Page, "Opradvdu chcete vymazat duplicitní záznamy?", "Vymazání duplicit", null, null, "vymazDupl");
        }

        protected void TRB_deleteDupl_Click(object sender, EventArgs e)
        {
            KSProgram.InfoBlob.InfoBlob infoBlob = new KSProgram.InfoBlob.InfoBlob();

            int ret = KSProgram.InfoBlob.InfoBlob.OpravDuplicity(0);
            TRG_dupl.Rebind();
            MessageBox.Alert(this.Page, String.Format(WebControlHelper.ZmenaTextu("[%Bylo vymazáno {0} řádků%]"), ret), WebControlHelper.ZmenaTextu("[%Mazání%]"), null, null, null);
        }

        protected void TRG_dupl_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridHeaderItem)
            {
                GridHeaderItem headerItem = (GridHeaderItem)e.Item;

                headerItem["info_md5"].Visible = true;
                headerItem["md5"].Visible = false;
                headerItem["info_status"].Visible = false;
            }

            if (e.Item is GridDataItem)
            {

                GridDataItem dataItem = (GridDataItem)e.Item;

                dataItem["info_md5"].Visible = true;
                dataItem["md5"].Visible = false;
                dataItem["info_status"].Visible = false;

                string st = dataItem["info_status"].Text;

                if (st == "2")
                {
                    dataItem.ForeColor = System.Drawing.Color.Blue;
                }

                if (st == "3")
                {
                    dataItem.ForeColor = System.Drawing.Color.Red;
                }
            }
        }
    }
}