﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using KSProgram.WebControls;
using KSProgram.Data;
using System.IO;
using KSProgram.Obecne;
using Telerik.Web.UI;
using KSProgram.Personal;
using KSProgram.Extensions;
using KSProgram.Prava;
using KSProgram;
using KSProgram.Exceptions;
using System.Collections.Generic;
using KSProgram.Funkce;
using Newtonsoft.Json;
using Resources;

public partial class Manazer_Budgety : TPage
{

    public Manazer_Budgety()
    {
        IdPrava = 394;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            //RadWindow1.Visible = false;
            //RadWindow2.Visible = false;
            //RadWindow3.Visible = false;
        }
        //string nazev = KSProgram.Pozadavky.Pozadavekbudget.getNazevBudgetu(578);
        //List<int> os = KSProgram.Pozadavky.Pozadavekbudget.getIdBudgetuProZamestnance(1, 501);
        //List<int> pom0 = KSProgram.Pozadavky.Pozadavekbudget.getIdBudgetuProZamestnance(1, 501, 0);
        //List<int> pom1 = KSProgram.Pozadavky.Pozadavekbudget.getIdBudgetuProZamestnance(1, 501, 1);
        //List<int> pom2 = KSProgram.Pozadavky.Pozadavekbudget.getIdBudgetuProZamestnance(1, 501, 2);

        //List <OSC_POMER> list = new List<OSC_POMER>();
        //OSC_POMER pom = new OSC_POMER();
        //pom.Os_cislo = 1;
        //pom.Cislo_pom = null;
        //list.Add(pom);

        //OSC_POMER pom2 = new OSC_POMER();
        //pom2.Os_cislo = 1;
        //pom2.Cislo_pom = 0;
        //list.Add(pom2);

        //OSC_POMER pom3 = new OSC_POMER();
        //pom3.Os_cislo = 3;
        //pom3.Cislo_pom = null;
        //list.Add(pom3);


        //List<int> kody = new List<int>() { 501, 578 };

        //List<KSProgram.Pozadavky.Pozadavekbudget.BudgetyProKod> budgety = KSProgram.Pozadavky.Pozadavekbudget.getIdBudgetuProZamestnance(list, kody, DateTime.Now);

        //decimal zustatek1 = KSProgram.Pozadavky.Pozadavekbudget.getZustatekBezGuid(1, "b25c");
        //decimal zustatek2 = KSProgram.Pozadavky.Pozadavekbudget.getZustatekBezGuid(1, "f5e9d480-723c-41d7-82c8-2b9dd168b25c");

        //decimal zustatek = 0, rezervace = 0, cerpano = 0;

        //KSProgram.Pozadavky.Pozadavekbudget.getZustatekARezervace(1, ref zustatek, ref rezervace, ref cerpano);

        //decimal zust2 = KSProgram.Pozadavky.Pozadavekbudget.getZustatekBezGuid(1, null);
    }

    protected override void OnPreRenderComplete(EventArgs e)
    {
        base.OnPreRenderComplete(e);
        RadWindow1.Visible = RadWindow1Field.Value == "true";
        RadWindow2.Visible = RadWindow2Field.Value == "true";
        RadWindow3.Visible = RadWindow3Field.Value == "true";
    }

    protected int? selectedID = null;

    protected void TRadGridBudgety_ItemCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        if (e.CommandName == "showDetail")
        {
            RadWindow1Field.Value = "true";
            GridDataItem dataItem = (GridDataItem)e.Item;
            selectedID = dataItem.GetDataKeyValue("id_budgetu") as int? ?? 0;
            RadWindow1.Title = dataItem.GetDataKeyValue("nazev_budgetu") as string ?? "Transakce v budgetu";
            TRadGridPohyby.Rebind();
            string uskutecneno = nactiDataProGraf(false);
            string rezervace = nactiDataProGraf(true);
            string nazev = getNazevBudgetu(selectedID);
            string datumy = getDatumyTrans(selectedID);
            string script = $"uskutecneno={uskutecneno};rezervace={rezervace};datumy={datumy};";
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "nacti_data", script, true);
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "priprav_graf", "$(document).bind(\"kendo:skinChange\", createChart);", true);
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "nacti_graf", string.Format("createChart('" + nazev + "');"), true);
        }
    }


    protected void TRadGridBudgety_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DateTime dat_od = (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd;
        DateTime? dat_do = (DateTime?)TRadGridBudgety.Datum.SelectedObdobiDo;

        DataTable store = new DataTable();
        store.Columns.Add("id_budgetu", typeof(Int32));
        store.Columns.Add("kod_budgetu", typeof(string));
        store.Columns.Add("nazev_budgetu", typeof(string));
        store.Columns.Add("zust_zacatek", typeof(Int32));
        store.Columns.Add("prijmy", typeof(Int32));
        store.Columns.Add("vydaje", typeof(Int32));
        store.Columns.Add("rezervPrij", typeof(Int32));
        store.Columns.Add("rezervVyd", typeof(Int32));
        store.Columns.Add("zust_konec", typeof(Int32));
        store.Columns.Add("obdobi_od", typeof(DateTime));
        store.Columns.Add("obdobi_do", typeof(DateTime));
        store.Columns.Add("typ_jednotky", typeof(string));
        store.Columns.Add("kod_jednotky", typeof(string));
        store.Columns.Add("typ_podriz_jedn", typeof(string));
        store.Columns.Add("id_nadriz_budgetu", typeof(Int32));
        store.Columns.Add("id_podniku", typeof(Int32));
        store.Columns.Add("aktivita", typeof(string));
        store.Columns.Add("ucel", typeof(String));
        store.Columns.Add("kod_mzdpol", typeof(string));

        DataTable tab = KSProgram.Pozadavky.Pozadavekbudget.NactiBudgety(dat_od, dat_do);

        foreach (DataRow dr in tab.Rows)
        {
            store.Rows.Add(dr.ItemArray);
        }

        TRadGridBudgety.DataSource = store;
    }

    protected void TRadGridPohyby_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable store = new DataTable();
        store.Columns.Add("id_pohybu", typeof(Int32));
        store.Columns.Add("guid", typeof(string));
        store.Columns.Add("agenda", typeof(string));
        store.Columns.Add("id_budgetu", typeof(Int32));
        store.Columns.Add("druh_pohybu", typeof(string));
        store.Columns.Add("id_protibudget", typeof(Int32));
        store.Columns.Add("rezervace", typeof(string));
        store.Columns.Add("id_pozadavku", typeof(Int32));
        store.Columns.Add("castka", typeof(decimal));
        store.Columns.Add("datum_zapisu", typeof(DateTime));
        store.Columns.Add("obdobi", typeof(DateTime));
        store.Columns.Add("os_cislo", typeof(Int32));
        store.Columns.Add("cislo_pom", typeof(Int32));
        store.Columns.Add("popis", typeof(string));

        DataTable tab = KSProgram.Pozadavky.Pozadavekbudget.nactiTransakce(selectedID);

        if (tab != null)
        {
            foreach (DataRow dr in tab.Rows)
            {
                if ((DateTime)dr["datum_zapisu"] >= (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd && (DateTime)dr["datum_zapisu"] <= (DateTime)TRadGridBudgety.Datum.SelectedObdobiDo)
                {
                    store.Rows.Add(dr.ItemArray);
                }
            }
            TRadGridPohyby.DataSource = store;
            DateTime dat_od = (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd;
            DateTime dat_do = (DateTime)TRadGridBudgety.Datum.SelectedObdobiDo;
            TRadGridPohyby.MasterTableView.Caption = "[%Pohyby v budgetu od%] " + dat_od.ToString("dd/MM/yyyy") + " [%do%] " + dat_do.ToString("dd/MM/yyyy");
        }
    }

    protected string nactiDataProGraf(bool iRezevace)
    {
        DataTable tab = KSProgram.Pozadavky.Pozadavekbudget.nactiTransakce(selectedID);
        decimal pocatecni_stav = 0;
        List<string> list = new List<string>() { };
        DateTime dat_od = (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd;


        foreach (DataRow row in tab.Rows)
        {
            if(dat_od > DateTime.Parse(row["datum_zapisu"].ToString().Trim()) && (row["rezervace"].ToString() == "[%Uskutečněno%]" /*|| iRezevace*/))
            {
                pocatecni_stav += (decimal)row["castka"];
            }
        }

        if (!iRezevace) list.Add(Convert.ToInt64(pocatecni_stav).ToString());
        else list.Add(null);

        foreach (DataRow row in tab.Rows)
        {
            if (vRozmezi(DateTime.Parse(row["datum_zapisu"].ToString().Trim())))
            {
                if (row["rezervace"].ToString() != "[%Uskutečněno%]" && iRezevace && list[list.Count - 1] == null)
                {
                    list[list.Count - 1] = Convert.ToInt64(pocatecni_stav).ToString();
                }
                if (row["rezervace"].ToString() == "[%Uskutečněno%]" || iRezevace)
                {
                    pocatecni_stav += decimal.Parse(row["castka"].ToString().Trim());
                }
                if ((row["rezervace"].ToString() != "[%Uskutečněno%]" && iRezevace) || list[list.Count - 1] != null)
                {
                    list.Add(Convert.ToInt64(pocatecni_stav).ToString());
                }
                else
                {
                    list.Add(null);
                }
            }           
        }

        return JsonConvert.SerializeObject(list);
    }

    protected string getNazevBudgetu(int? id)
    {
        string sql = "select nazev_budgetu from budgety where id_budgetu = '" + id + "'";
        string nazev = SqlPrikaz.ExecuteScalarString(sql);
        return nazev.Trim();
    }

    protected string getDatumyTrans(int? id)
    {
        DataTable tab = KSProgram.Pozadavky.Pozadavekbudget.nactiTransakce(id);
        List<string> data = new List<string>();
        DateTime dat_od = (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd;
        data.Add(dat_od.ToString("dd/MM/yyyy"));

        foreach (DataRow row in tab.Rows)
        {
            if (vRozmezi(DateTime.Parse(row["datum_zapisu"].ToString().Trim())))
            {
                DateTime datum = DateTime.Parse(row["datum_zapisu"].ToString().Trim());
                data.Add(datum.ToString("dd/MM/yyyy"));
            }
        }

        return JsonConvert.SerializeObject(data);
    }

    protected bool vRozmezi(DateTime dat)
    {
        DateTime dat_od = (DateTime)TRadGridBudgety.Datum.SelectedObdobiOd;
        DateTime dat_do = (DateTime)TRadGridBudgety.Datum.SelectedObdobiDo;
        return dat_od <= dat && dat <= dat_do;
    }


    protected void TRB_Novy_Click(object sender, EventArgs e)
    {
        RadWindow2Field.Value = "true";

        TDropDownTyp.Items.Clear();
        TDropDownTyp.Items.Add("[%Vyberte typ jednotky%]");
        TDropDownTyp.Items.Add("[%1 - Os.Číslo%]");
        TDropDownTyp.Items.Add("[%2 - Prac. středisko%]");
        TDropDownTyp.Items.Add("[%4 - Divize (Dle Prac. stř.)%]");
        TDropDownTyp.Items.Add("[%5 - Podnik%]");

        if (Zakaznik.IsCurrent("CERTICON")) TableRow10.Visible = false;
    }

    protected void UlozitNovy_Click(object sender, EventArgs e)
    {
        string nazev = RTB_NovyNazev.Text.Trim();
        string kod = RTB_NovyKod.Text.Trim();
        DateTime dat_od = DateTime.Now;
        DateTime dat_do;
        string zust = RTB_NovyZustatek.Text.Trim();

        LabelError.Visible = false;

        if (String.IsNullOrEmpty(kod) || String.IsNullOrEmpty(nazev))
        {
            LabelError.Text = ReadGlobalResource.ZmenaTextu("[%Název i kód musí být zadány%]");
            LabelError.Visible = true;
            return;
        }

        if (TRDP_NovyDatOd.SelectedDate.HasValue)
        {
            dat_od = TRDP_NovyDatOd.SelectedDate.Value;
        }
        if (!TRDP_NovyDatDo.SelectedDate.HasValue)
        {
            dat_do = dat_od;
            dat_do = dat_do.AddYears(1);
        }
        else
        {
            dat_do = TRDP_NovyDatDo.SelectedDate.Value;
        }

        if (String.IsNullOrEmpty(zust.Trim()))
            zust = "0";
        //MiKo oprava pro compiler
        int pom;
        if (!int.TryParse(zust, out pom))
        {
            LabelError.Text = ReadGlobalResource.ZmenaTextu("[%Zůstatek musí být číslo%]");
            LabelError.Visible = true;
            return;
        }

        if(pom < 0)
        {
            LabelError.Text = ReadGlobalResource.ZmenaTextu("[%Zůstatek nesmí být záporný%].");
            LabelError.Visible = true;
            return;
        }

        if (TDropDownTyp.SelectedIndex == 0)
        {
            LabelError.Text = ReadGlobalResource.ZmenaTextu("[%Vyberte prosím typ jednotky%]");
            LabelError.Visible = true;
            return;
        }

        int aktivita = 1;
        if (TDropDownTyp.SelectedIndex == 3 || TDropDownTyp.SelectedIndex == 4) aktivita = 2; //zmena aktivity pro podnik a divize

        int typ_num = TDropDownTyp.SelectedIndex;
        if (typ_num > 2) typ_num++;

        int? id_nad = null, typ_pod = null;
        if (TDropDownPodr.SelectedIndex == 1 && !String.IsNullOrEmpty(TDropDownNadriz1.SelectedValue.Trim()))
        {
            id_nad = int.Parse(TDropDownNadriz1.SelectedValue.Trim());
            typ_pod = typ_num;
        }

        if (kod.Length > 10) kod = kod.Substring(0, 10);
        string kod_jedn = TDropDownKod.Text;

        int ucel = 1;
        if (!Zakaznik.IsCurrent("CERTICON"))
        {
            try
            {
                string uc = RTB_ucel.Text.Trim();
                if (!String.IsNullOrEmpty(uc))
                {
                    ucel = int.Parse(uc);
                }
            }
            catch
            { //TODO zrušit po vytvoření listu účelů
                LabelError.Text = ReadGlobalResource.ZmenaTextu("[%Účel musí být číslo (1,2,3)%]");
                LabelError.Visible = true;
                return;
            }
        }            

        string kod_mzdpol = RTB_kod_mzdpol.Text.Trim();
        kod_mzdpol = String.IsNullOrEmpty(kod_mzdpol) ? "0" : kod_mzdpol;

        int id_bud = NovyBudget(kod, nazev, dat_od, dat_do, typ_num, kod_jedn.Trim(), ViceIco.GetIdPodnikuZamestnance(Globals.OsCisloAktUserNeboZastupovany), aktivita, typ_pod, id_nad, ucel, kod_mzdpol);

        KSProgram.Pozadavky.Pozadavekbudget.UlozPohyb(Guid.NewGuid().ToString(), 0, id_bud, 1, null, 0, null, int.Parse(zust), DateTime.Now, dat_od, null, null, "Vklad při založení.");

        RadWindow2Field.Value = "false";
        RTB_NovyNazev.Text = "";
        RTB_NovyKod.Text = "";
        RTB_NovyZustatek.Text = "";
        RTB_kod_mzdpol.Text = "";
        TRDP_NovyDatOd.SelectedDate = null;
        TRDP_NovyDatDo.SelectedDate = null;
        TDropDownTyp.SelectedIndex = 0;
        TDropDownTyp_SelectedIndexChanged(sender, e);
        TRadGridBudgety.Rebind();
    }

    protected void TDropDownTyp_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownKod.Items.Clear();
        TDropDownNazev.Items.Clear();
        TDropDownKod.Enabled = true;
        TDropDownNazev.Enabled = true;
        TDropDownPodr.SelectedIndex = 0;
        TDropDownPodr.Enabled = true;
        TDropDownNadriz1.Items.Clear();
        TDropDownNadriz2.Items.Clear();

        if (TDropDownTyp.SelectedIndex == 1) // os cislo
        {
            ParametryPrikazu pars = new ParametryPrikazu()
            {
                new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
            };
            DataTable osobniCisla = SqlPrikaz.ExecuteCommand(
                            "SELECT z.os_cislo, z.jmeno, z.prijmeni, z.titul FROM pracovnici z WHERE (z.datum_nastupu <= @k_datu OR z.datum_nastupu IS NULL) AND (z.datum_vystupu >= @k_datu OR z.datum_vystupu IS NULL)", ref pars);
            string titul, jmeno, prij;
            foreach (DataRow r in osobniCisla.Rows)
            {
                titul = "";
                if (r["titul"] != DBNull.Value)
                {
                    titul = (string)r["titul"];
                }
                jmeno = (string)r["jmeno"];
                prij = (string)r["prijmeni"];
                TDropDownKod.Items.Add(r["os_cislo"].ToString());
                TDropDownNazev.Items.Add(titul.Trim() + " " + jmeno.Trim() + " " + prij.Trim());
            }
        }

        if (TDropDownTyp.SelectedIndex == 2) //stredisko
        {
            DataTable str = nactiStrediska();

            foreach (DataRow row in str.Rows)
            {
                TDropDownKod.Items.Add((string)row.ItemArray[0]);
                TDropDownNazev.Items.Add((string)row.ItemArray[1]);
            }
        }

        if (TDropDownTyp.SelectedIndex == 3) //divize
        {
            DataTable div = nactiDivize();
            foreach (DataRow row in div.Rows)
            {
                TDropDownKod.Items.Add(row.ItemArray[0].ToString());
                TDropDownNazev.Items.Add((string)row.ItemArray[1]);
            }
        }

        if (TDropDownTyp.SelectedIndex == 4) //podnik
        {
            int id_pod = ViceIco.GetIdPodnikuZamestnance(Globals.OsCisloAktUserNeboZastupovany);
            string s = ZjistiParMzdy.Get("nazev");
            TDropDownKod.Items.Add(id_pod.ToString());
            TDropDownNazev.Items.Add(s.Trim());
            TDropDownKod.Enabled = false;
            TDropDownNazev.Enabled = false;
            TDropDownNadriz1.Items.Clear();
            TDropDownNadriz2.Items.Clear();
            TDropDownPodr.Enabled = false;
        }
    }

    public static DataTable nactiStrediska()
    {
        KSProgram.Ciselniky.CisStredisko str = new KSProgram.Ciselniky.CisStredisko();
        return str.VsechnaPracStrediskaProPodnik(DateTime.Now.Date, false);
    }

    public static DataTable nactiDivize()
    {
        KSProgram.Ciselniky.CisDivize cis = new KSProgram.Ciselniky.CisDivize();
        return cis.VsechnyDivize();
    }

    protected void TRB_Generuj_Open(object sender, EventArgs e)
    {
        RadWindow3Field.Value = "true";
        TDropDown2_SelectedIndexChanged(sender, e);
    }

    protected void TDropDown2_SelectedIndexChanged(object sender, EventArgs e)
    {
        LabelError2.Visible = false;
        DataTable budgety = KSProgram.Pozadavky.Pozadavekbudget.NactiBudgety(DateTime.Now.Date, null);
        string pom;
        int count = 0;
        if (TDropDown2.SelectedIndex == 0) //divize
        {
            ParametryPrikazu pars = new ParametryPrikazu()
            {
                new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
            };
            DataTable divize = SqlPrikaz.ExecuteCommand(
                            "SELECT DISTINCT cis_divize from stred join (Select DISTINCT z.kmen_str from pracovnici z WHERE (z.datum_nastupu <= @k_datu OR z.datum_nastupu IS NULL) AND (z.datum_vystupu >= @k_datu OR z.datum_vystupu IS NULL)) as kmen on str = kmen.kmen_str", ref pars);
            foreach (DataRow rowdiv in divize.Rows)
            {
                foreach (DataRow rowbud in budgety.Rows)
                {
                    if (rowdiv.ItemArray[0] == DBNull.Value) count++;
                    if ((string)rowbud.ItemArray[11] == "[%Divize(dle Prac. střediska)%]")
                    {
                        pom = rowdiv.ItemArray[0].ToString();
                        if ((string)rowbud.ItemArray[12] == pom.Trim()) count++;
                    }
                }
            }
            if (count >= divize.Rows.Count)
            {
                LabelError2.Visible = true;
                LabelError2.Text = "[%Pro všechny aktivní divize jsou budgety vygenerovány%]";
            }
        }

        if (TDropDown2.SelectedIndex == 1) //stred
        {
            ParametryPrikazu pars = new ParametryPrikazu()
            {
                new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
            };
            DataTable strediska = SqlPrikaz.ExecuteCommand(
                            "SELECT DISTINCT z.kmen_str FROM pracovnici z WHERE (z.datum_nastupu <= @k_datu OR z.datum_nastupu IS NULL) AND (z.datum_vystupu >= @k_datu OR z.datum_vystupu IS NULL)", ref pars);
            foreach (DataRow rowstred in strediska.Rows)
            {
                foreach (DataRow rowbud in budgety.Rows)
                {
                    if ((string)rowbud.ItemArray[11] == "[%Prac. středisko%]")
                    {
                        pom = (string)rowstred.ItemArray[0];
                        if ((string)rowbud.ItemArray[12] == pom.Trim()) count++;
                    }
                }
            }
            if (count >= strediska.Rows.Count)
            {
                LabelError2.Visible = true;
                LabelError2.Text = "[%Pro všechna aktivní střediska jsou budgety vygenerovány%]";
            }
        }
    }

    protected void Generuj_Click(object sender, EventArgs e)
    {
        LabelError2.Visible = false;
        DataTable budgety = KSProgram.Pozadavky.Pozadavekbudget.NactiBudgety(DateTime.Now.Date, null);
        string pom;
        bool existuje = false;
        if (TDropDown2.SelectedIndex == 0) //divize
        {
            ParametryPrikazu pars = new ParametryPrikazu()
            {
                new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
            };
            DataTable divize = SqlPrikaz.ExecuteCommand(
                            "SELECT DISTINCT cis_divize from stred join (Select DISTINCT z.kmen_str from pracovnici z WHERE (z.datum_nastupu <= @k_datu OR z.datum_nastupu IS NULL) AND (z.datum_vystupu >= @k_datu OR z.datum_vystupu IS NULL)) as kmen on str = kmen.kmen_str", ref pars);
            foreach (DataRow rowdiv in divize.Rows)
            {
                foreach (DataRow rowbud in budgety.Rows)
                {
                    if ((string)rowbud.ItemArray[11] == "[%Divize(dle Prac. střediska)%]")
                    {
                        pom = rowdiv.ItemArray[0].ToString();
                        if ((string)rowbud.ItemArray[12] == pom.Trim()) existuje = true;
                    }
                }
                if (existuje || rowdiv.ItemArray[0] == DBNull.Value) existuje = false;
                else
                {
                    ParametryPrikazu pars2 = new ParametryPrikazu()
                    {
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
                    DataTable podnikbud = SqlPrikaz.ExecuteCommand(
                            "SELECT id_budgetu, obdobi_do from budgety where typ_jednotky = 5 and (obdobi_do >= @k_datu OR obdobi_do IS NULL)", ref pars2);
                    int? id_nadraz, typ_pod;
                    if (podnikbud.Rows.Count > 0)
                    {
                        id_nadraz = (int)podnikbud.Rows[0].ItemArray[0];
                        typ_pod = 4;
                    }
                    else
                    {
                        id_nadraz = null;
                        typ_pod = null;
                    }
                    ParametryPrikazu pars3 = new ParametryPrikazu()
                    {
                        new KSParameter("cis_div", DbType.Int32, (int)rowdiv.ItemArray[0])
                    };
                    DataTable div = SqlPrikaz.ExecuteCommand(
                            "SELECT naz_divize from divize where cis_divize = @cis_div", ref pars3);
                    string nazev_div = (string)div.Rows[0].ItemArray[0];

                    DateTime dat_od, dat_do;
                    if (TRadDatePicker1.SelectedDate.HasValue) dat_od = TRadDatePicker1.SelectedDate.Value;
                    else dat_od = DateTime.Now.Date;

                    if (TRadDatePicker2.SelectedDate.HasValue) dat_do = TRadDatePicker2.SelectedDate.Value;
                    else dat_do = dat_od.AddYears(1);

                    NovyBudget("Div" + rowdiv.ItemArray[0].ToString(), "Div budget - " + nazev_div.Trim(), dat_od, dat_do, 4, rowdiv.ItemArray[0].ToString(), ViceIco.GetIdPodnikuZamestnance(Globals.OsCisloAktUserNeboZastupovany), 2, typ_pod, id_nadraz, 1, KSProgram.Pozadavky.Pozadavekbudget.getKodyBudgetu(id_nadraz));
                    existuje = false;
                }
            }
        }

        if (TDropDown2.SelectedIndex == 1) //stred
        {
            ParametryPrikazu pars = new ParametryPrikazu()
            {
                new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
            };
            DataTable strediska = SqlPrikaz.ExecuteCommand(
                            "SELECT DISTINCT z.kmen_str FROM pracovnici z WHERE (z.datum_nastupu <= @k_datu OR z.datum_nastupu IS NULL) AND (z.datum_vystupu >= @k_datu OR z.datum_vystupu IS NULL)", ref pars);
            foreach (DataRow rowstred in strediska.Rows)
            {
                foreach (DataRow rowbud in budgety.Rows)
                {
                    if ((string)rowbud.ItemArray[11] == "[%Prac. středisko%]")
                    {
                        pom = rowstred.ItemArray[0].ToString();
                        if ((string)rowbud.ItemArray[12] == pom.Trim()) existuje = true;
                    }
                }
                if (existuje || rowstred.ItemArray[0] == DBNull.Value) existuje = false;
                else
                {
                    ParametryPrikazu pars2 = new ParametryPrikazu()
                    {
                        new KSParameter("str", DbType.String, rowstred.ItemArray[0].ToString()),
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
                    DataTable divbud = SqlPrikaz.ExecuteCommand(
                            "select id_budgetu, obdobi_do from budgety join (select cis_divize from stred where str = @str) as div on div.cis_divize = kod_jednotky where typ_jednotky = 4 and (obdobi_do >= @k_datu OR obdobi_do IS NULL)", ref pars2);

                    int? id_nadraz, typ_pod;
                    if (divbud.Rows.Count > 0)
                    {
                        if (divbud.Rows[0].ItemArray[0] != DBNull.Value)
                        {
                            id_nadraz = (int)divbud.Rows[0].ItemArray[0];
                            typ_pod = 2;
                        }
                        else
                        {
                            id_nadraz = null;
                            typ_pod = null;
                        }
                    }
                    else
                    {
                        id_nadraz = null;
                        typ_pod = null;
                    }
                    ParametryPrikazu pars3 = new ParametryPrikazu()
                    {
                        new KSParameter("str", DbType.String, rowstred.ItemArray[0].ToString())
                    };
                    DataTable stred = SqlPrikaz.ExecuteCommand(
                            "SELECT nazev from stred where str =  @str", ref pars3);
                    string nazev_stred = (string)stred.Rows[0].ItemArray[0];

                    DateTime dat_od, dat_do;
                    if (TRadDatePicker1.SelectedDate.HasValue) dat_od = TRadDatePicker1.SelectedDate.Value;
                    else dat_od = DateTime.Now.Date;

                    if (TRadDatePicker2.SelectedDate.HasValue) dat_do = TRadDatePicker2.SelectedDate.Value;
                    else dat_do = dat_od.AddYears(1);

                    NovyBudget("Str" + rowstred.ItemArray[0].ToString().Trim(), "Stř budget - " + nazev_stred.Trim(), dat_od, dat_do, 2, rowstred.ItemArray[0].ToString().Trim(), ViceIco.GetIdPodnikuZamestnance(Globals.OsCisloAktUserNeboZastupovany), 1, typ_pod, id_nadraz, 1, KSProgram.Pozadavky.Pozadavekbudget.getKodyBudgetu(id_nadraz));
                    existuje = false;
                }
            }
        }

        RadWindow3Field.Value = "false";
        TRadGridBudgety.Rebind();
    }

    protected int NovyBudget(string kod_bud, string nazev, DateTime obdobi_od, DateTime obdobi_do, int typ_jed, string kod_jed, int id_podniku, int aktivita, int? typ_podriz, int? id_nadriz, int ucel, string kod_mzdpol, string klic_ucelu = null)
    {
        if (kod_bud.Length > 15) kod_bud = kod_bud.Substring(0, 15); //omezeni velikosti kvuli databazi
        if (nazev.Length > 100) nazev = nazev.Substring(0, 100);

        string sql = "insert into budgety (id_budgetu, kod_budgetu, nazev_budgetu, obdobi_od, obdobi_do, typ_jednotky, kod_jednotky, id_podniku, aktivita, typ_podriz_jedn, id_nadriz_budgetu)" +
                  " values({0},@kod_bud,@nazev,@obdobi_od,@obdobi_do,@typ_jed,@kod_jed,@id_podniku,@aktivita,@typ_podriz,@id_nadriz)";
        ParametryPrikazu par = new ParametryPrikazu();
        par.Add(new KSParameter("kod_bud", DbType.String, kod_bud));
        par.Add(new KSParameter("nazev", DbType.String, nazev));
        par.Add(new KSParameter("obdobi_od", DbType.Date, obdobi_od));
        par.Add(new KSParameter("obdobi_do", DbType.Date, obdobi_do));
        par.Add(new KSParameter("typ_jed", DbType.Int32, typ_jed));
        par.Add(new KSParameter("kod_jed", DbType.String, kod_jed));
        par.Add(new KSParameter("id_podniku", DbType.Int32, id_podniku));
        par.Add(new KSParameter("aktivita", DbType.Int16, aktivita));
        if (typ_podriz != null)
        {
            par.Add(new KSParameter("typ_podriz", DbType.Int32, typ_podriz));
        }
        else
        {
            par.Add(new KSParameter("typ_podriz", DbType.Int32, DBNull.Value));
        }

        if (typ_podriz != null)
        {
            par.Add(new KSParameter("id_nadriz", DbType.Int32, id_nadriz));
        }
        else
        {
            par.Add(new KSParameter("id_nadriz", DbType.Int32, DBNull.Value));
        }

        int id_bud = SqlPrikaz.InsertWithSerial(sql, "budgety", "id_budgetu", true, par);

        List<string> kody = kod_mzdpol.Split(',').ToList();

        foreach(string kod in kody)
        {
            try
            {
                int kod_mzd = int.Parse(kod.Trim());
                zalozUcel(id_bud, ucel, kod_mzd, klic_ucelu);
            }
            catch { }
        }

        return id_bud;
    }

    private void zalozUcel(int id_budgetu, int ucel, int kod_mzdpol, string klic_ucelu)
    {
        if(!String.IsNullOrEmpty(klic_ucelu))klic_ucelu = klic_ucelu.Substring(0, 20);

        string sql = "insert into budgety_ucely (id,id_budgetu,ucel,kod_mzdpol,klic_ucelu)" +
                   " values({0},@id_budgetu,@ucel,@kod_mzdpol,@klic_ucelu)";
        ParametryPrikazu par = new ParametryPrikazu();
        par.Add(new KSParameter("id_budgetu", DbType.Int32, id_budgetu));
        par.Add(new KSParameter("ucel", DbType.Int32, ucel));
        par.Add(new KSParameter("kod_mzdpol", DbType.Int32, kod_mzdpol));
        par.Add(new KSParameter("klic_ucelu", DbType.String, klic_ucelu));

        SqlPrikaz.InsertWithSerial(sql, "budgety_ucely", "id", true, par);
    }

    public static string getKodyBudgetu(int? id_budget)
    {
        if (id_budget == null) return "";

        string sql = "select kod_mzdpol from budgety_ucely where id_budgetu=@id_budget";
        ParametryPrikazu par = new ParametryPrikazu();
        par.Add(new KSParameter("id_budget", DbType.Int32, id_budget));

        DataTable tab = SqlPrikaz.ExecuteCommand(sql, ref par);

        string ret = "";

        foreach(DataRow row in tab.Rows)
        {
            if (!String.IsNullOrEmpty(ret)) ret += ",";
            ret += row[0].ToString().Trim();
        }

        return ret;
    }

    protected void TDropDownPodr_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownNadriz1.Items.Clear();
        TDropDownNadriz2.Items.Clear();
        if (TDropDownPodr.SelectedIndex == 1)
        {
            DataTable str;
            string id = TDropDownKod.Text.Trim();

            ParametryPrikazu pars2 = new ParametryPrikazu()
                    {
                        new KSParameter("id", DbType.String, id),
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
            DataTable strbud = SqlPrikaz.ExecuteCommand(
                    "select id_budgetu, nazev_budgetu, obdobi_do from budgety where @id = kod_jednotky and typ_jednotky = 2 and (obdobi_do >= @k_datu OR obdobi_do IS NULL)", ref pars2);
            if (TDropDownTyp.SelectedIndex == 1) //os cislo
            {
                if (strbud.Rows.Count > 0)
                {
                    if (strbud.Rows[0].ItemArray[0] != DBNull.Value)
                    {
                        TDropDownNadriz1.Items.Add(strbud.Rows[0].ItemArray[0].ToString().Trim());
                        TDropDownNadriz2.Items.Add(strbud.Rows[0].ItemArray[1].ToString().Trim());
                    }
                }
                str = SqlPrikaz.ExecuteCommand("select kmen_str from pracovnici where os_cislo = @id", ref pars2); //ulozeni id str pro pridani div budgetu a podniku
                if (str.Rows[0].ItemArray[0] != DBNull.Value)
                {
                    id = str.Rows[0].ItemArray[0].ToString().Trim();
                }
                else
                {
                    id = null;
                }
            }

            if (TDropDownTyp.SelectedIndex == 2 || TDropDownTyp.SelectedIndex == 1) //strediska
            {
                DataTable divbud;
                if (!String.IsNullOrEmpty(id))
                {
                    ParametryPrikazu pars3 = new ParametryPrikazu()
                    {
                        new KSParameter("str", DbType.String, id),
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
                    divbud = SqlPrikaz.ExecuteCommand(
                            "select id_budgetu, nazev_budgetu, obdobi_do from budgety join (select cis_divize from stred where str = @str) as div on div.cis_divize = kod_jednotky where typ_jednotky = 4 and (obdobi_do >= @k_datu OR obdobi_do IS NULL)", ref pars3);
                }
                else
                {
                    ParametryPrikazu pars3 = new ParametryPrikazu()
                    {
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
                    divbud = SqlPrikaz.ExecuteCommand("select id_budgetu, nazev_budgetu, obdobi_do from budgety where typ_jednotky = 4 and (obdobi_do >= @k_datu OR obdobi_do IS NULL", ref pars3);
                }

                if (divbud.Rows.Count > 0)
                {
                    foreach (DataRow row in divbud.Rows)
                    {
                        if (row.ItemArray[0] != DBNull.Value)
                        {
                            TDropDownNadriz1.Items.Add(row.ItemArray[0].ToString().Trim());
                            TDropDownNadriz2.Items.Add(row.ItemArray[1].ToString().Trim());
                        }
                    }
                }

            }

            if (TDropDownTyp.SelectedIndex == 3 || TDropDownTyp.SelectedIndex == 2 || TDropDownTyp.SelectedIndex == 1) // divize
            {
                ParametryPrikazu pars4 = new ParametryPrikazu()
                    {
                        new KSParameter("k_datu", DbType.DateTime, DateTime.Now.Date)
                    };
                DataTable podnikbud = SqlPrikaz.ExecuteCommand(
                        "SELECT id_budgetu, nazev_budgetu, obdobi_do from budgety where typ_jednotky = 5 and (obdobi_do >= @k_datu OR obdobi_do IS NULL)", ref pars4);

                if (podnikbud.Rows.Count > 0)
                {
                    TDropDownNadriz1.Items.Add(podnikbud.Rows[0].ItemArray[0].ToString().Trim());
                    TDropDownNadriz2.Items.Add(podnikbud.Rows[0].ItemArray[1].ToString().Trim());
                }
            }

        }
    }

    protected void TDropDownKod_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownNazev.SelectedIndex = TDropDownKod.SelectedIndex;
        TDropDownPodr_SelectedIndexChanged(sender, e);
    }

    protected void TDropDownNazev_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownKod.SelectedIndex = TDropDownNazev.SelectedIndex;
        TDropDownPodr_SelectedIndexChanged(sender, e);
    }

    protected void TRB_Pozadavek_Click(object sender, EventArgs e)
    {
        Response.Redirect(KSProgram.Pozadavky.Pozadavek.BuildURLPozadavkuTypDetail("budget"));
    }

    protected void TDropDownNadriz1_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownNadriz2.SelectedIndex = TDropDownNadriz1.SelectedIndex;
    }

    protected void TDropDownNadriz2_SelectedIndexChanged(object sender, EventArgs e)
    {
        TDropDownNadriz1.SelectedIndex = TDropDownNadriz2.SelectedIndex;
    }
}