﻿using System;
using System.Data;
using KSProgram.Sestavy;
using KSProgram.WebControls;


public partial class Manazer_StatVzdelStrukt : TSestavaPredek
{
    //slouží pro uložení stavu tláčítka pro Hlavní pracovní poměry
    private bool hlPracPom = false;
    public Manazer_StatVzdelStrukt()
    {
        IdPrava = 41;
        this.HelpURL = "Eviden%C4%8Dn%C3%AD_grafy_%28KS_port%C3%A1l%29";
    }
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            RChart.Visible = false;
            //TRDP_KeDni.SelectedDate = DateTime.Today;
        }
    }

    protected void TRB_Jednotka_CheckedChanged(object sender, EventArgs e)
    {
        Jednotka.Visible = ((TRadButton)sender).Checked;
    }

    //protected void TRB_Vytvorit_Command(object sender, CommandEventArgs e)
    //{
    //    DateTime datDo = Convert.ToDateTime(TRDP_KeDni.SelectedDate);

    //    TRG_Data.Rebind();
    //}

    protected void TRG_Data_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable data = new DataTable();

        if (IsPostBack)
        {
            string jednotky = "";
            if (TRB_Jednotka.Checked) { jednotky = Jednotka.GetStred(); }
            //DateTime keDni = Convert.ToDateTime(TRDP_KeDni.SelectedDate);
            DateTime keDni = (DateTime)TRG_Data.Datum.SelectedDatum;
            //bool hlavniPP = TRCBX_HPP.Checked;
            bool hlavniPP = ((TRadButton)TRG_Data.GetGridCommandItem("hlPracPom", typeof(TRadButton))).Checked;
            hlPracPom = hlavniPP;
            //bool mimoEvid = TRCBX_BezMe.Checked;
            bool mimoEvid = TRG_Data.GetGridCommandItemControl.BezMESButton.Checked;


            KSProgram.Sestavy.DefSestavy_SI010 dataSest = new DefSestavy_SI010();
            data = dataSest.Retrieve(jednotky, keDni, hlavniPP, mimoEvid);

            // Zobrazení dat v grafu
            RChart.DataSource = data;
            RChart.DataBind();
            RChart.Visible = true;
        }

        TRG_Data.DataSource = data;

        //TRG_Data.Visible = (data != null);
        //RChart.Visible = (data != null);
    }

    protected void RChart_PreRender(object sender, EventArgs e)
    {
        Telerik.Web.UI.RadHtmlChart chart = (Telerik.Web.UI.RadHtmlChart)sender;

        // Překlad popisků v grafu
        //chart.ChartTitle.Text = WebControlHelper.ZmenaTextu(Page, "[%Vzdělanostní struktura organizace%]") + " " + WebControlHelper.ZmenaTextu(Page, "[%ke dni%]: ") + ((DateTime)TRDP_KeDni.SelectedDate).ToString("d");
        chart.ChartTitle.Text = WebControlHelper.ZmenaTextu(Page, "[%Vzdělanostní struktura organizace%]") + " " + WebControlHelper.ZmenaTextu(Page, "[%ke dni%]: ") + ((DateTime)TRG_Data.Datum.SelectedDatum).ToString("d");
        chart.PlotArea.Series[0].Name = WebControlHelper.ZmenaTextu(Page, "[%Muži%]");
        chart.PlotArea.Series[1].Name = WebControlHelper.ZmenaTextu(Page, "[%Ženy%]");
        chart.PlotArea.XAxis.TitleAppearance.Text = WebControlHelper.ZmenaTextu(Page, "[%Vzdělání%]");
        chart.PlotArea.YAxis.TitleAppearance.Text = WebControlHelper.ZmenaTextu(Page, "[%Počet zaměstnanců%]");
    }

    /// <summary>
    /// Je třeba tlačítku dát jeho původní stav, protože si jej nepamatuje když je v kontejneru
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void hlPracPom_DataBinding(object sender, EventArgs e)
    {
        ((TRadButton)sender).Checked = hlPracPom;
    }

    /// <summary>
    /// při kliknutí se provede rebind
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void hlPracPom_Click(object sender, EventArgs e)
    {
        TRG_Data.Rebind();
    }
}
