﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Obecne
{
    public partial class PravaRoleUzivatel : TPage
    {
        public PravaRoleUzivatel()
        {
            IdPrava = -1;
        }

        protected void RadComboBoxRole_SelectedIndexChanged(object sender, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
        {
            RadGridUsers.Visible = true;
            RadGridUsers.DataSourceID = "ODS_Users";
            RadGridUsers.DataBind();
        }

        protected void CB_isMember_CheckedChanged(object sender, EventArgs e)
        {
            int roleId = Convert.ToInt32(RadComboBoxRole.SelectedValue);
            CheckBox chk = (CheckBox)sender;
            bool isMember = chk.Checked;
            GridDataItem item = (GridDataItem)chk.NamingContainer;
            string login = item.GetDataKeyValue("login").ToString();
            if (login != null) login = login.Trim();
            KSProgram.Prava.PortalUsers.SetRoleMembership(roleId, login, isMember);
            KSProgram.WebControls.MessageBox.NotifikaceInfoUlozeni();
        }
    }
}