﻿using System;
using KSProgram.Obecne;
using System.Text;
using System.IO;

public partial class Obecne_QRReader : TPage
{

    public Obecne_QRReader()
    {
        IdPrava = -1;
    }

    /// <summary>
    /// 
    /// </summary>
    //protected override void OnInit(EventArgs e)
    //{
    //    base.OnInit(e);
    //    EnableVisibleSeznamZam = false;
    //}


    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (IsPostBack) return;
    }

    protected void btnUpload_Click(object sender, EventArgs e)
    {
        string soubor = null;
        errorLabel.Text = "";
        chyba.InnerHtml = "";
        byte[] soubor_data;
        var data = telerikUpl.UploadedFiles;
        try { 
        var inputstream = data[0].InputStream;

        using (var memoryStream = new MemoryStream())
        {
            inputstream.CopyTo(memoryStream);
           soubor_data = memoryStream.ToArray();
        }

        if (data.Count>0)
        {
            soubor = QrCodeAndZip.ReadQRCode(soubor_data);
            soubor = QrCodeAndZip.Decompress(Convert.FromBase64String(soubor));
            chyba.InnerHtml = soubor;
        }
        }
        catch
        {
            string errorText = ReadGlobalResource.ZmenaTextu("[%Nebyl vybrán soubor nebo QR kód nelze přečíst%]");
            errorLabel.Text = errorText;
        }
    }
}
