﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Obecne_Stylovani"
    CodeBehind="Stylovani.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="kspwc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .main_content_td {
            padding-left: 0 !important;
        }

        .ColorPickerWrapper {
            margin-right: 40px;
        }

        .ColorPickerWrapper, .ColorPickerWrapperBreakline {
            float: left;
            margin-bottom: 25px;
        }

        .ColorPickerWrapperSmallBreakline {
            float: left;
            margin-bottom: 15px;
        }

        .qsf-clear-float {
            clear: both;
        }

        .row {
            display: flex;
            flex-direction: row;
            width: 100%;
        }

        .testBut {
            height: 25px !important;
            text-align: center;
            margin: 5px;
        }

        .RadComboBox_Metro, .RadComboBox {
            display: none !important;
        }

        .ColorPicker {
            border-color: white !important;
            border-width: 0;
            margin: 10px;
        }

        .obalka {
            background: var(--kscolor2);
            border-radius: var(--ksrohy);
            margin-left: 25px;
            margin-bottom: 25px;
            padding-bottom: 10px;
            min-width: 600px;
            width: fit-content;
            height: 100%;
        }

        .radioBut input[type="radio"] {
            margin-left: 10px;
            margin-top: 5px;
        }

        .buttonPotvrdit {
            margin: auto;
            margin-top: 10px;
            width: 80%;
            display: block;
        }

        .presety {
            min-width: 250px;
            width: 100%;
            margin-right: 25px;
            margin-left: 20px;
            justify-content: flex-start;
        }

        .presetImg {
            width: 250px;
            height: auto;
            border: solid 2px black;
            margin: 10px;
            border-radius: 0 !important;
        }

            .presetImg:hover {
                transform: scale(1.5);
            }

        .paddingTop {
            padding-top: 20px;
        }

        .paddingBot {
            padding-bottom: 15px;
        }

        .fakeTextBox {
            height: auto;
            width: 415px;
            background: white;
            color: black;
            border: 0.5px solid;
            border-color: lightgray;
            padding: 5px;
        }

        .nadpisStiny {
            margin-top: 25px;
        }

        .stiny {
            display: flex;
            flex-direction: row;
            /*width: fit-content;
            justify-content: flex-start;*/
        }

        .stin {
            width: 250px;
            margin-left: 20px;
            margin-bottom: 20px;
        }

            .stin:hover, .ikony:hover {
                cursor: pointer;
                transform: scale(1.1);
            }

        .hiddenButton {
            visibility: hidden;
            position: absolute;
        }

        .stin, .presetImg, .ikony {
            transition: 0.5s;
        }

        .ikony {
            width: 250px;
            margin-left: 20px;
            margin-bottom: 20px;
            height: 125px;
            border-radius: var(--ksrohy);
            padding-top: 5px;
            background: white !important;
        }

            .ikony img {
                height: 40px;
                width: 40px;
                margin: 10px;
            }
            
            .ukazkaRohu{
                width: 50px;
                height: 50px;
                border-right: 3px solid black;
                border-top: 3px solid black;
                margin: auto;
                align-self: center;
            }

            .rcpMillionColorsPalette{
                width: 300px !important;
            }
            .ukazkaBarev{
                padding: 10px;
            }
            .ukazkaBarev > div{
                width: 150px;
                padding: 15px 0;
                text-align: center;
                border: 1px solid black;
                margin: 3px;
            }
    </style>
</asp:Content>



<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadColorPicker1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadColorPicker1" />
                    <telerik:AjaxUpdatedControl ControlID="radio" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ButtonPotvrdit">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Error1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="radio">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="ButtonPotvrdit" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ImageButtonRaif">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="ImageButtonRaif" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Label_config">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Label_config" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <%--<telerik:AjaxSetting AjaxControlID="TRB_copy">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Label_copy" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Label_copy">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Label_copy" />
                </UpdatedControls>
            </telerik:AjaxSetting>--%>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadCodeBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents1">

            function zadnyClick() {
                var button = $find("<%=HiddenButtonZadnyStin.ClientID%>");
                button.click(true);
            }
            function lehkyClick() {
                var button = $find("<%=HiddenButtonLehkyStin.ClientID%>");
                button.click(true);
            }
            function stredniClick() {
                var button = $find("<%=HiddenButtonStredniStin.ClientID%>");
                button.click(true);
            }
            function vyraznyClick() {
                var button = $find("<%=HiddenButtonVyraznyStin.ClientID%>");
                button.click(true);
            }
            function brClick() {
                var button = $find("<%=RadButton_br.ClientID%>");
                button.click(true);
            }
            function bsClick() {
                var button = $find("<%=RadButton_bs.ClientID%>");
                button.click(true);
            }
            function rrClick() {
                var button = $find("<%=RadButton_rr.ClientID%>");
                button.click(true);
            }
            function rsClick() {
                var button = $find("<%=RadButton_rs.ClientID%>");
                button.click(true);
            }
            function srClick() {
                var button = $find("<%=RadButton_sr.ClientID%>");
                button.click(true);
            }
            function ssClick() {
                var button = $find("<%=RadButton_ss.ClientID%>");
                button.click(true);
            }
            function ostreClick() {
                var button = $find("<%=HiddenButtonOstreRohy.ClientID%>");
                button.click(true);
            }
            function mirneClick() {
                var button = $find("<%=HiddenButtonMirne.ClientID%>");
                button.click(true);
            }
            function zaobleneClick() {
                var button = $find("<%=HiddenButtonZaoblene.ClientID%>");
                button.click(true);
            }
            function velmiClick() {
                var button = $find("<%=HiddenButtonVelmi.ClientID%>");
                button.click(true);
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />

    <div style="justify-content: flex-start">
        <div class="presety">
            <asp:Label ID="L_Nadpis" runat="server" Text="[%Presety%]" CssClass="nadpis1"></asp:Label>
            <div style="display: flex; flex-direction: row; flex-wrap: wrap; width: 100%">
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton1" runat="server" ImageAlign="Bottom"
                    title="Původní" ImageUrl="~/Images/default.png" OnClick="defaultPreset" />
<%--                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton2" runat="server" ImageAlign="Bottom"
                    title="Původní" ImageUrl="~/Images/plain.png" OnClick="plainWhite" />
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton3" runat="server" ImageAlign="Bottom"
                    title="Light blue" ImageUrl="~/Images/lightBlue.png" OnClick="lightBlue" />--%>
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton2" runat="server" ImageAlign="Bottom"
                    title="Lightweight" ImageUrl="~/Images/lightWeight.png" OnClick="lightWeight" />
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton4" runat="server" ImageAlign="Bottom"
                    title="Greyscale" ImageUrl="~/Images/lightGrey.png" OnClick="lightGrey" />
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton5" runat="server" ImageAlign="Bottom"
                    title="Dark" ImageUrl="~/Images/dark.png" OnClick="darkMode" />
<%--                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton6" runat="server" ImageAlign="Bottom"
                    title="Pastel" ImageUrl="~/Images/pastel.png" OnClick="pastel" />
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton7" runat="server" ImageAlign="Bottom"
                    title="Pastel Green" ImageUrl="~/Images/pastelGreen.png" OnClick="pastelGreen" />
                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButton8" runat="server" ImageAlign="Bottom"
                    title="Orange" ImageUrl="~/Images/orange.png" OnClick="orange" />

                <asp:ImageButton CssClass="presetImg ksprvek" ID="ImageButtonRaif" runat="server" ImageAlign="Bottom"
                    title="Raiffeisenbank" ImageUrl="~/Images/raif.png" OnClick="raif" />--%>
            </div>
            <asp:Label ID="Label2" runat="server" Text="[%Stíny oken%]" CssClass="nadpis1 nadpisStiny"></asp:Label>
            <telerik:RadButton runat="server" ID="HiddenButtonZadnyStin" CssClass="hiddenButton" OnClick="HiddenButtonZadnyStin_Click" />
            <telerik:RadButton runat="server" ID="HiddenButtonLehkyStin" CssClass="hiddenButton" OnClick="HiddenButtonLehkyStin_Click" />
            <telerik:RadButton runat="server" ID="HiddenButtonStredniStin" CssClass="hiddenButton" OnClick="HiddenButtonStredniStin_Click" />
            <telerik:RadButton runat="server" ID="HiddenButtonVyraznyStin" CssClass="hiddenButton" OnClick="HiddenButtonVyraznyStin_Click" />
            <div class="stiny" style="display: flex; flex-direction: row; flex-wrap: wrap; width: 100%">
                <div class="ksprvek stin" style="box-shadow: none;" onclick="zadnyClick()">
                    <div class="rgCaption">[%Žádný stín%]</div>
                    <div style="height: 100px;"></div>
                </div>
                <div class="ksprvek stin" style="box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 20px;" onclick="lehkyClick()">
                    <div class="rgCaption">[%Lehký stín%]</div>
                    <div style="height: 100px;"></div>
                </div>
                <div class="ksprvek stin" style="box-shadow: rgba(0, 0, 0, 0.15) 0px 15px 15px;" onclick="stredniClick()">
                    <div class="rgCaption">[%Střední stín%] (default)</div>
                    <div style="height: 100px;"></div>
                </div>
                <div class="ksprvek stin" style="box-shadow: rgba(0, 0, 0, 0.4) 0px 10px 10px;" onclick="vyraznyClick()">
                    <div class="rgCaption">[%Výrazný stín%]</div>
                    <div style="height: 100px;"></div>
                </div>
            </div>
            <asp:Label ID="Label4" runat="server" Text="[%Zaoblení rohů%]" CssClass="nadpis1"></asp:Label>
            <telerik:RadButton runat="server" ID="HiddenButtonOstreRohy" CssClass="hiddenButton" OnClick="HiddenButtonOstreRohy_Click"/>
            <telerik:RadButton runat="server" ID="HiddenButtonMirne" CssClass="hiddenButton" OnClick="HiddenButtonMirne_Click" />
            <telerik:RadButton runat="server" ID="HiddenButtonZaoblene" CssClass="hiddenButton" OnClick="HiddenButtonZaoblene_Click" />
            <telerik:RadButton runat="server" ID="HiddenButtonVelmi" CssClass="hiddenButton" OnClick="HiddenButtonVelmi_Click" />
            <div class="stiny" style="display: flex; flex-direction: row; flex-wrap: wrap; width: 100%">
                <div class="ksprvek stin" style="border-radius: 0px;" onclick="ostreClick()">
                    <div class="rgCaption" style="border-top-left-radius: 0px; border-top-right-radius: 0px;">[%Osté rohy%]</div>
                    <div style="height: 100px; align-content: center; display: flex;"><div class="ukazkaRohu"></div></div>
                </div>
                <div class="ksprvek stin" style="border-radius: 5px;" onclick="mirneClick()">
                    <div class="rgCaption" style="border-top-left-radius: 5px; border-top-right-radius: 5px;">[%Mírně zaoblené%]</div>
                    <div style="height: 100px; align-content: center; display: flex;"><div class="ukazkaRohu" style="border-top-right-radius: 5px"></div></div>
                </div>
                <div class="ksprvek stin" style="border-radius: 10px;" onclick="zaobleneClick()">
                    <div class="rgCaption" style="border-top-left-radius: 10px; border-top-right-radius: 10px;">[%Zaoblené%]</div>
                    <div style="height: 100px; align-content: center; display: flex;"><div class="ukazkaRohu" style="border-top-right-radius: 10px"></div></div>
                </div>
                <div class="ksprvek stin" style="border-radius: 15px;" onclick="velmiClick()">
                    <div class="rgCaption" style="border-top-left-radius: 15px; border-top-right-radius: 15px;">[%Velmi zaoblené%]</div>
                    <div style="height: 100px; align-content: center; display: flex;"><div class="ukazkaRohu" style="border-top-right-radius: 15px"></div></div>
                </div>
            </div>
            <asp:Label ID="Label3" runat="server" Text="[%Ikony%]" CssClass="nadpis1 nadpisStiny"></asp:Label>
            <telerik:RadButton runat="server" ID="RadButton_br" CssClass="hiddenButton" OnClick="Button1_Click" />
            <telerik:RadButton runat="server" ID="RadButton_bs" CssClass="hiddenButton" OnClick="Button2_Click" />
            <telerik:RadButton runat="server" ID="RadButton_rr" CssClass="hiddenButton" OnClick="Button3_Click" />
            <telerik:RadButton runat="server" ID="RadButton_rs" CssClass="hiddenButton" OnClick="Button4_Click" />
            <telerik:RadButton runat="server" ID="RadButton_sr" CssClass="hiddenButton" OnClick="Button5_Click" />
            <telerik:RadButton runat="server" ID="RadButton_ss" CssClass="hiddenButton" OnClick="Button6_Click" />

            <div style="display: flex; flex-direction: row; flex-wrap: wrap">
                <div class="ikony ksprvek" onclick="brClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-rounded/svg/fi-br-briefcase.svg" alt="" />
                </div>
                <div class="ikony ksprvek" onclick="rrClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-rounded/svg/fi-rr-briefcase.svg" alt="" />
                </div>
                <div class="ikony ksprvek" onclick="srClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-rounded/svg/fi-sr-briefcase.svg" alt="" />
                </div>
                <div class="ikony ksprvek" onclick="bsClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-bold-straight/svg/fi-bs-briefcase.svg" alt="" />
                </div>
                <div class="ikony ksprvek" onclick="rsClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-regular-straight/svg/fi-rs-briefcase.svg" alt="" />
                </div>
                <div class="ikony ksprvek" onclick="ssClick()">
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-users-alt.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-id-badge.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-users.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-settings-sliders.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-inbox-out.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-filter.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-list.svg" alt="" />
                    <img runat="server" src="~/Skins/ikony/uicons-solid-straight/svg/fi-ss-briefcase.svg" alt="" />
                </div>
            </div>
        </div>
        <asp:Label ID="Label1" runat="server" Text="[%Vlastní barvy%]" CssClass="nadpis1"></asp:Label>
        <div style="display: flex; flex-direction: row; flex-wrap: wrap; width: 100%; padding-bottom: 40px;">
            <div class="obalka ksprvek">
                <div class="rgCaption" style="border-top-left-radius: 5px; border-top-right-radius: 5px;">[%Výběr barvy jednotlivých prvků%]</div>
                <div class="row">
                    <div>
                        <telerik:RadColorPicker runat="server" ID="RadColorPicker1" PaletteModes="HSB" CssClass="ColorPicker"
                            KeepInScreenBounds="true" Preset="Default" Localization-ApplyButtonText="[%Vybrat%]">
                        </telerik:RadColorPicker>
                    </div>
                    <div>
                        <asp:RadioButtonList runat="server" ID="radio" class="row radioBut" Width="100%" RepeatLayout="Flow">
                            <asp:ListItem Text="[%Hlavní%]" Value="kscolor1"></asp:ListItem>
                            <asp:ListItem Text="[%Hlavní - text%]" Value="kscolor1text"></asp:ListItem>
                            <asp:ListItem Text="[%Záhlaví%]" Value="kszahlavi"></asp:ListItem>
                            <asp:ListItem Text="[%Záhlaví - text%]" Value="kszahlavitext"></asp:ListItem>
                            <asp:ListItem Text="[%Pozadí oken%]" Value="kscolor2"></asp:ListItem>
                            <asp:ListItem Text="[%Pozadí oken - text%]" Value="kscolor2text"></asp:ListItem>
                            <asp:ListItem Text="[%Horní pruh menu%]" Value="ksmenutop"></asp:ListItem>
                            <asp:ListItem Text="[%Horní pruh menu - text%]" Value="ksmenutoptext"></asp:ListItem>
                            <asp:ListItem Text="[%Dolní pruh menu%]" Value="ksmenu"></asp:ListItem>
                            <asp:ListItem Text="[%Dolní pruh menu - text%]" Value="ksmenutext"></asp:ListItem>
                            <asp:ListItem Text="[%Pozadí%]" Value="kspozadi"></asp:ListItem>
                            <asp:ListItem Text="[%Pozadí - text%]" Value="kspozaditext"></asp:ListItem>
                            <asp:ListItem Text="[%Nadpisy%]" Value="ksnadpis"></asp:ListItem>
                        </asp:RadioButtonList>
                        <asp:Button runat="server" ID="ButtonPotvrdit" Text="[%Potvrdit%]" OnClick="chooseColor" CssClass="buttonPotvrdit kstlacitko" />
                    </div>
                </div>
                <asp:Label ID="Error1" Text="" runat="server" ForeColor="Red" CssClass="ErrorStyl" Visible="false"></asp:Label>
            </div>
            <div class="ksprvek" style="margin-left: 25px;">
                <div class="rgCaption">[%Aktuálně zvolené barvy%]</div>
                <div style="" class="ukazkaBarev">
                    <div style="background: var(--kscolor1); color: var(--kscolor1text);">[%Hlavní%]</div>
                    <div style="background: var(--kscolor2); color: var(--kscolor2text);">[%Pozadí oken%]</div>
                    <div style="background: var(--ksmenutop); color: var(--ksmenutoptext);">[%Horní pruh menu%]</div>
                    <div style="background: var(--ksmenu); color: var(--ksmenutext);">[%Dolní pruh menu%]</div>
                    <div style="background: var(--kspozadi); color: var(--kspozaditext);">[%Pozadí%]</div>
                </div>
            </div>
            <div class="ksprvek" style="margin-left: 25px;">
                <div class="rgCaption" style="">[%Úprava web.config%]</div>
                <div style="padding: 5px;">
                    <asp:Label runat="server" Text="[%Pro změnu stylování při přihlašování, je třeba nahradit staré nastavení novým%]."></asp:Label><br />
                    <asp:Label runat="server" Text="[%Zkopírujte prosím následující text do souboru web.config do části%]"></asp:Label><br />
                    <asp:Label runat="server" Text="'appSettings'"></asp:Label>
                    <br />

                    <div class="fakeTextBox">
                        <asp:Label runat="server" ID="Label_config"></asp:Label>
                    </div>

                    <%--<telerik:RadTextBox runat="server" ID="TB_webconfig" Enabled="false" Width="100%" Height="140px" TextMode="MultiLine" ForeColor="black" Font-Size="12px"></telerik:RadTextBox>--%>

                    <%--<kspwc:TRadButton runat="server" ID="TRB_copy" Text="[%Kopírovat%]" OnClick="TRB_copy_Click"></kspwc:TRadButton>
            <asp:Label ID="Label_copy" Text="[%Zkopírováno do clipboardu%]" runat="server" ForeColor="Green" Visible="false"></asp:Label>--%>
                </div>
            </div>
            <div style="margin-left: 25px;">
                <p class="pozadiText">[%Ukázka textu na pozadí%]</p>
                <p class="pozadiText" style="width: 250px;">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Etiam sapien elit, consequat eget, tristique non, venenatis quis, ante. Nunc dapibus tortor vel mi dapibus sollicitudin. Fusce suscipit libero eget elit. Nullam feugiat, turpis at pulvinar vulputate, erat libero tristique tellus, nec bibendum odio risus sit amet ante. Etiam dictum tincidunt diam. Quisque porta.</p>
            </div>
        </div>
    </div>
</asp:Content>
