﻿using System;
using System.Web.UI;
using KSProgram;
using System.Drawing;
using System.Windows.Forms;
using System.Web;

public partial class Obecne_Stylovani : TPage
{

    public Obecne_Stylovani()
    {
        IdPrava = 392;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);

        if (!IsPostBack)
        {

        }

        //ImageButtonRaif.Visible = Zakaznik.IsCurrent("RAIFFEISENBANK") || Zakaznik.IsCurrent("BLANKYT") || Zakaznik.IsCurrent("KS-PROGRAM");
        //ImageButton6.Visible = Zakaznik.IsCurrent("BLANKYT") || Zakaznik.IsCurrent("KS-PROGRAM");
        //ImageButton7.Visible = Zakaznik.IsCurrent("BLANKYT") || Zakaznik.IsCurrent("KS-PROGRAM");
        //ImageButton8.Visible = Zakaznik.IsCurrent("BLANKYT") || Zakaznik.IsCurrent("KS-PROGRAM");

        string kscolor1, kscolor1text, kscolor2, kscolor2text, ksmenutop, ksmenutoptext, ksmenu, ksmenutext, kspozadi, kspozaditext, ksnadpis, stin, stinMenu;
        Parametry.ParametrCti("kscolor1", out kscolor1);
        Parametry.ParametrCti("kscolor1text", out kscolor1text);
        Parametry.ParametrCti("kscolor2", out kscolor2);
        Parametry.ParametrCti("kscolor2text", out kscolor2text);
        Parametry.ParametrCti("ksmenutop", out ksmenutop);
        Parametry.ParametrCti("ksmenutoptext", out ksmenutoptext);
        Parametry.ParametrCti("ksmenu", out ksmenu);
        Parametry.ParametrCti("ksmenutext", out ksmenutext);
        Parametry.ParametrCti("kspozadi", out kspozadi);
        Parametry.ParametrCti("kspozaditext", out kspozaditext);
        Parametry.ParametrCti("ksnadpis", out ksnadpis);
        Parametry.ParametrCti("stin", out stin);
        Parametry.ParametrCti("stinMenu", out stinMenu);

        //"<!--Barvy portálu před přihlášením--> \n";
        string webconfig = "<add key=\"kscolor1\" value=\"" + kscolor1 + "\" /> \n";
        webconfig += "<add key=\"kscolor1text\" value=\"" + kscolor1text + "\" /> \n";
        webconfig += "<add key=\"kscolor2\" value=\"" + kscolor2 + "\" /> \n";
        webconfig += "<add key=\"kscolor2text\" value=\"" + kscolor2text + "\" /> \n";
        webconfig += "<add key=\"ksmenutop\" value=\"" + ksmenutop + "\" /> \n";
        webconfig += "<add key=\"ksmenutoptext\" value=\"" + ksmenutoptext + "\" /> \n";
        webconfig += "<add key=\"ksmenu\" value=\"" + ksmenu + "\" /> \n";
        webconfig += "<add key=\"ksmenutext\" value=\"" + ksmenutext + "\" /> \n";
        webconfig += "<add key=\"kspozadi\" value=\"" + kspozadi + "\" /> \n";
        webconfig += "<add key=\"kspozaditext\" value=\"" + kspozaditext + "\" /> \n";
        webconfig += "<add key=\"ksnadpis\" value=\"" + ksnadpis + "\" /> \n";
        webconfig += "<add key=\"stin\" value=\"" + stin + "\" /> \n";
        webconfig += "<add key=\"stinMenu\" value=\"" + stinMenu + "\" />";

        Label_config.Text = HttpUtility.HtmlEncode(webconfig).Replace("\n", "<br/>");

    }

    protected void chooseColor(object sender, EventArgs e)
    {
        if (RadColorPicker1.SelectedColor.IsEmpty)
        {
            Error1.Text = "[%Nebyla vybrána žádná barva, nutno stisknout tlačítko 'Vybrat'%]";
            Error1.Visible = true;
            return;
        }
        if (radio.SelectedValue == "")
        {
            Error1.Text = "[%Nebyl vybrán žádný prvek%]";
            Error1.Visible = true;
            return;
        }

        Color clr = RadColorPicker1.SelectedColor;
        Parametry.ParametrUloz(radio.SelectedValue, "rgba(" + clr.R + "," + clr.G + "," + clr.B + "," + clr.A + ")");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void defaultPreset(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#25a0da");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kszahlavi", "#25a0da");
        Parametry.ParametrUloz("kszahlavitext", "white");
        Parametry.ParametrUloz("kscolor2", "white");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#25a0da");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "white");
        Parametry.ParametrUloz("ksmenutext", "grey");
        Parametry.ParametrUloz("kspozadi", "#eee");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#294C7E");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("ksrohy", "10px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void plainWhite(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#25a0da");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kszahlavi", "#25a0da");
        Parametry.ParametrUloz("kszahlavitext", "white");
        Parametry.ParametrUloz("kscolor2", "white");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#25a0da");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "white");
        Parametry.ParametrUloz("ksmenutext", "grey");
        Parametry.ParametrUloz("kspozadi", "white");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#294C7E");
        Parametry.ParametrUloz("stin", "none");
        Parametry.ParametrUloz("stinMenu", "none");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void darkMode(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#30475E");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kszahlavi", "#30475E");
        Parametry.ParametrUloz("kszahlavitext", "white");
        Parametry.ParametrUloz("kscolor2", "#DDDDDD");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#DDDDDD");
        Parametry.ParametrUloz("ksmenutoptext", "rgba(80,80,80,255)");
        Parametry.ParametrUloz("ksmenu", "#30475E");
        Parametry.ParametrUloz("ksmenutext", "white");
        Parametry.ParametrUloz("kspozadi", "#222831");
        Parametry.ParametrUloz("kspozaditext", "white");
        Parametry.ParametrUloz("ksnadpis", "white");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.4) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.4) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void lightBlue(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#1687A7");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kscolor2", "#D3E0EA");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#1687A7");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "#D3E0EA");
        Parametry.ParametrUloz("ksmenutext", "grey");
        Parametry.ParametrUloz("kspozadi", "#F6F5F5");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#276678");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }
    protected void lightGrey(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#a7a7a7");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kszahlavi", "#a7a7a7");
        Parametry.ParametrUloz("kszahlavitext", "white");
        Parametry.ParametrUloz("kscolor2", "#c0c0c0");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#a7a7a7");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "#c0c0c0");
        Parametry.ParametrUloz("ksmenutext", "black");
        Parametry.ParametrUloz("kspozadi", "#dadada");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "black");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.4) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.4) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void pastel(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#8FBDD3");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kscolor2", "#BE8C63");
        Parametry.ParametrUloz("kscolor2text", "white");
        Parametry.ParametrUloz("ksmenutop", "#8FBDD3");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "#BE8C63");
        Parametry.ParametrUloz("ksmenutext", "white");
        Parametry.ParametrUloz("kspozadi", "#E4D1B9");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#A97155");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void pastelGreen(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#94B49F");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kscolor2", "#B4CFB0");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#94B49F");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "#B4CFB0");
        Parametry.ParametrUloz("ksmenutext", "black");
        Parametry.ParametrUloz("kspozadi", "#E5E3C9");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#789395");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void orange(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#ffa101");
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kscolor2", "#fae6b1");
        Parametry.ParametrUloz("kscolor2text", "black");
        Parametry.ParametrUloz("ksmenutop", "#ffa101");
        Parametry.ParametrUloz("ksmenutoptext", "white");
        Parametry.ParametrUloz("ksmenu", "#fae6b1");
        Parametry.ParametrUloz("ksmenutext", "black");
        Parametry.ParametrUloz("kspozadi", "#aed5dd");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#3b5955");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void raif(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#ffed00");
        Parametry.ParametrUloz("kscolor1text", "black");
        Parametry.ParametrUloz("kscolor2", "#9C9C9C");
        Parametry.ParametrUloz("kscolor2text", "white");
        Parametry.ParametrUloz("ksmenutop", "#ffed00");
        Parametry.ParametrUloz("ksmenutoptext", "black");
        Parametry.ParametrUloz("ksmenu", "#9C9C9C");
        Parametry.ParametrUloz("ksmenutext", "white");
        Parametry.ParametrUloz("kspozadi", "#f5f5f5");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "black");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void lightWeight(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("kscolor1", "#213D71"); //#213D71 - Barva z loga KS
        Parametry.ParametrUloz("kscolor1text", "white");
        Parametry.ParametrUloz("kszahlavi", "white");
        Parametry.ParametrUloz("kszahlavitext", "#213D71");
        Parametry.ParametrUloz("kscolor2", "white");
        Parametry.ParametrUloz("kscolor2text", "#484848");
        Parametry.ParametrUloz("ksmenutop", "white");
        Parametry.ParametrUloz("ksmenutoptext", "#4f4f4f");
        Parametry.ParametrUloz("ksmenu", "#213D71"); 
        Parametry.ParametrUloz("ksmenutext", "white");
        Parametry.ParametrUloz("kspozadi", "#f2f2f2");
        Parametry.ParametrUloz("kspozaditext", "black");
        Parametry.ParametrUloz("ksnadpis", "#213D71");
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.1) 0px 20px 20px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.1) 0px 20px 20px");
        Parametry.ParametrUloz("ksrohy", "10px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonZadnyStin_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("stin", "none");
        Parametry.ParametrUloz("stinMenu", "none");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonLehkyStin_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.1) 0px 20px 20px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.1) 0px 20px 20px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonStredniStin_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.15) 0px 15px 15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonVyraznyStin_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("stin", "rgba(0, 0, 0, 0.4) 0px 10px 10px");
        Parametry.ParametrUloz("stinMenu", "inset rgba(0, 0, 0, 0.4) 0px 10px 10px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-bold-rounded");
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-bold-straight");
    }

    protected void Button3_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-regular-rounded");
    }

    protected void Button4_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-regular-straight");
    }

    protected void Button5_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-solid-rounded");
    }

    protected void Button6_Click(object sender, EventArgs e)
    {
        zmenKnihovnu("uicons-solid-straight");
    }

    public void zmenKnihovnu(string nova)
    {
        Parametry.ParametrUloz("ikony", nova);
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonOstreRohy_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("ksrohy", "0px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonMirne_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("ksrohy", "5px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonZaoblene_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("ksrohy", "10px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

    protected void HiddenButtonVelmi_Click(object sender, EventArgs e)
    {
        Parametry.ParametrUloz("ksrohy", "15px");
        Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }
}