﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Zastup_editace.ascx.cs" Inherits="KSPortal.Obecne.Zastup_editace" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadScriptBlock runat="server" ID="dflakjdlfkj">
     <script type="text/javascript" id="telerikClientEvents1">
         //<![CDATA[        
         Sys.Application.add_load(function () {
             KSMaster.combo_prac_misto_zastupovany = $find("<%=combo_prac_misto_zastupovany.ClientID %>");
             KSMaster.combo_prac_misto_zastupce = $find("<%=combo_prac_misto_zastupce.ClientID %>");

             KSMaster.combo_zastupovany = $find("<%=combo_zastupovany.ClientID %>");
             KSMaster.combo_zastupce = $find("<%=combo_zastupce.ClientID %>");

             //KSMaster.cas_od = $find("<%=cas_od.ClientID %>");
             //KSMaster.cas_do = $find("<%=cas_do.ClientID %>");
             KSMaster.combo_role = $find("<%=combo_role.ClientID %>");
             //KSMaster.combo_uziti = $find("<%=combo_uziti.ClientID %>");
             //KSMaster.RadNumericTextBox_poradi = $find("<%=RadNumericTextBox_poradi.ClientID %>");
             //KSMaster.combo_oznam = $find("<%=combo_oznam.ClientID %>");    
         });
         function OnClientSelectedIndexChanged(sender, eventArgs) {           
             var item = eventArgs.get_item();
             var el_id=sender.get_id();           
             if (el_id.indexOf("combo_zastupovany")>-1) {               
                 KSMaster.combo_prac_misto_zastupovany.set_value("");
                 KSMaster.combo_prac_misto_zastupovany.set_text("");
                 KSMaster.combo_role.enable();
                 KSMaster.combo_zastupce.set_value("");
                 KSMaster.combo_zastupce.set_text("");
             }
             else if (el_id.indexOf("combo_prac_misto_zastupovany")>-1) {               
                 KSMaster.combo_zastupovany.set_value("");
                 KSMaster.combo_zastupovany.set_text("");
                 KSMaster.combo_role.set_value("");
                 KSMaster.combo_role.set_text("");
                 var txt = KSMaster.combo_zastupce.get_text();
                 if ((txt == "") || ((txt == null))) {
                     KSMaster.combo_role.disable();
                 }
             }
             if (el_id.indexOf("combo_zastupce")>-1) {
                 KSMaster.combo_prac_misto_zastupce.set_value("");
                 KSMaster.combo_prac_misto_zastupce.set_text("");
                 KSMaster.combo_role.enable();
             }
             else if (el_id.indexOf("combo_prac_misto_zastupce")>-1) {
                 KSMaster.combo_zastupovany.set_value("");
                 KSMaster.combo_zastupovany.set_text("");
                 KSMaster.combo_zastupce.set_value("");
                 KSMaster.combo_zastupce.set_text("");
                 KSMaster.combo_role.set_value("");
                 KSMaster.combo_role.set_text("");
                 KSMaster.combo_role.disable();
             }
         }
         //]]>
    </script>
</telerik:RadScriptBlock>

<table id="table1" cellspacing="2" cellpadding="1" border="0" rules="none" style="border-collapse:collapse;width:100%;">
   
    <tr>
        <td style="vertical-align:top;">
            <table id="Table3" border="0" class="module" style="margin: 10px;width:600px;">
                 <tr>

                    <td>
                        <asp:Label runat="server" ID="label_prac_misto_zastupovany" Text="[%Pracovní místo%]-[%Zastupovaný%]"></asp:Label>
                    </td>
                    <td>
                        <kspwc:TRadComboBox ID="combo_prac_misto_zastupovany" runat="server" SelectedValue='<%# Bind("id_prac_mista") %>' OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"  DataSourceID="ds_prac_mista"  DataTextField="cely_nazev" DataValueField="id" Width="400" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="label_prac_misto_zastupce" Text="[%Pracovní místo%]-[%Zástupce%]"></asp:Label>
                    </td>
                    <td>
                         <kspwc:TRadComboBox ID="combo_prac_misto_zastupce" runat="server" SelectedValue='<%# Bind("id_prac_mista_zastupce") %>'  OnClientSelectedIndexChanged="OnClientSelectedIndexChanged" DataSourceID="ds_prac_mista" DataTextField="cely_nazev" DataValueField="id" Width="400" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>
                <tr>
                  <td>
                        <asp:Label runat="server" ID="Label30" Text="[%Zastupovaný%]"></asp:Label>
                    </td>
                    <td>
                         <kspwc:TRadComboBox ID="combo_zastupovany" runat="server" SelectedValue='<%# Bind("zastupovany") %>'  OnClientSelectedIndexChanged="OnClientSelectedIndexChanged" DataSourceID="ds_zastupovany" DataTextField="cele_jmeno_os_cislo" DataValueField="os_cislo" Width="400" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>
                <tr>
                  <td>
                        <asp:Label runat="server" ID="Label31" Text="[%Zástupce%]"></asp:Label>
                    </td>
                    <td>
                        <kspwc:TRadComboBox ID="combo_zastupce" runat="server" SelectedValue='<%# Bind("zastupce") %>'  OnClientSelectedIndexChanged="OnClientSelectedIndexChanged" DataSourceID="ds_zastupce" DataTextField="cele_jmeno_os_cislo" DataValueField="os_cislo" DataField="zastupce" Width="400" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>
                <tr>
                  <td>
                    <asp:Label runat="server" ID="Label32" Text="[%Čas od%]"></asp:Label>
                </td>
                <td>
                    <telerik:RadDateTimePicker runat="server"  DbSelectedDate='<%# Bind("cas_od") %>'  ID="cas_od" DataFormatString="{0:d.M.yyyy HH:mm}" EditDataFormatString="d.M.yyyy HH:mm" PickerType="DateTimePicker">     
                    </telerik:RadDateTimePicker> 
                    <kspwc:TRequiredValidator runat="server" ID="val_cas_od" ControlToValidate="cas_od" ></kspwc:TRequiredValidator>
                   
               </td>
                </tr>
                 <tr>
                  <td>
                        <asp:Label runat="server" ID="Label33" Text="[%Čas do%]" ></asp:Label>
                    </td>
                    <td>
                        <telerik:RadDateTimePicker runat="server" DbSelectedDate='<%# Bind("cas_do") %>'  ID="cas_do" DataFormatString="{0:d.M.yyyy HH:mm}" EditDataFormatString="d.M.yyyy HH:mm" PickerType="DateTimePicker"></telerik:RadDateTimePicker> 
                    </td>
                </tr>
               <tr>
                  <td>
                        <asp:Label runat="server" ID="Label34" Text="[%Role%]"></asp:Label>
                    </td>
                    <td>
                         <kspwc:TRadComboBox ID="combo_role" runat="server" SelectedValue='<%# Bind("role_id") %>' DataSourceID="ds_role" DataTextField="role1" DataValueField="role_id" DataField="role_id"  >                        
                        </kspwc:TRadComboBox>
                        <asp:CustomValidator ValidateEmptyText="True"  runat="server" ID="cval_combo_role" ControlToValidate="combo_role" Text="[%Povinná položka%]" ErrorMessage="[%Povinná položka%]" OnServerValidate="cval_combo_role_ServerValidate" ></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                <td>
                        <asp:Label runat="server" ID="Label35" Text="[%Užití%]"></asp:Label>
                    </td>
                    <td>
                         <kspwc:TRadComboBox ID="combo_uziti" runat="server" SelectedValue='<%# Bind("uziti") %>' DataSourceID="ds_uziti" DataTextField="popis" DataValueField="hodnota" DataField="uziti" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>
                <tr>
                  <td>
                        <asp:Label runat="server" ID="Label36" Text="[%Priorita%]"></asp:Label>
                    </td>
                    <td>                        
                         <telerik:RadNumericTextBox ID="RadNumericTextBox_poradi" runat="server" Text='<%# Bind("poradi") %>'  Width="28px" NumberFormat-DecimalDigits="0"></telerik:RadNumericTextBox>
                     </td>
                </tr>
                <tr>
                  <td>
                        <asp:Label runat="server" ID="Label1" Text="[%Oznámení%]"></asp:Label>
                    </td>
                    <td>
                         <kspwc:TRadComboBox ID="combo_oznam" runat="server" SelectedValue='<%# Bind("oznam") %>' DataSourceID="ds_oznam" DataTextField="popis" DataValueField="hodnota" DataField="oznam" Width="300" >                        
                        </kspwc:TRadComboBox>
                    </td>
                </tr>

                 <tr>
                  <td>
                        <asp:Label runat="server" ID="Label2" Text="[%Potlačit delegaci%]"></asp:Label>
                    </td>
                    <td>
                         <asp:CheckBox ID="check_potl_delegaci" runat="server" Checked='<%# Bind("potl_delegaci") %>'  DataField="potl_delegaci" >                        
                        </asp:CheckBox>
                    </td>
                </tr>
                

            </table>
        </td>         
     </tr>          
    <tr>
           <td colspan="2" >
               <div style="text-align:center; width:100%;">
                <asp:CustomValidator runat="server" ID="validace" Display="Dynamic" OnServerValidate="validace_ServerValidate" ErrorMessage="[%Chybně vyplněné údaje, nelze pokračovat%]"></asp:CustomValidator>      
               </div>
                        <table style="margin-bottom: 10px;width:100%">
                            <tr>
                                <td >&nbsp;</td>
                                <td style="padding: 4px; text-align:right; ">
                                    <kspwc:TRadButton ID="img_save" CausesValidation="true" runat="server" Text="[%Uložit%]" CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>' Icon-PrimaryIconCssClass="fi fi-disk" />
                                </td>
                                <td style="padding: 4px 4px 4px 0px; width: 80px">
                                    <kspwc:TRadButton ID="img_undu" runat="server" Text="[%Zpět%]" CommandName="Cancel" Icon-PrimaryIconCssClass="fi fi-ban"
                                        CausesValidation="False" />
                                </td>
                            </tr>
                        </table>
                                   
            </td>                    
    </tr>            
</table>
<%--oninserting="ObjectDataSource1_Inserting"--%>
 <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="RetrievePovoleni" TypeName="KSProgram.Pozadavky.Prtl_zastup" DeleteMethod="DeletePovoleni"
        UpdateMethod="UpdatePovoleni" InsertMethod="InsertPovoleni" >
        <SelectParameters>
            <asp:ControlParameter ControlID="check_platne" Name="platne" PropertyName="Checked" Type="Boolean" />
            <asp:Parameter Name="rozsah" Type="String" DefaultValue="all" />
        </SelectParameters>
        <DeleteParameters>
            <asp:ControlParameter ControlID="RadGrid1" Name="id" PropertyName="SelectedValue"
                Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="id_prac_mista" Type="Int32" />
            <asp:Parameter Name="id_prac_mista_zastupce" Type="Int32" />
            <asp:Parameter Name="zastupovany" Type="Decimal" />
            <asp:Parameter Name="zastupce" Type="Decimal" />
            <asp:Parameter Name="cas_od" Type="DateTime" />
            <asp:Parameter Name="cas_do" Type="DateTime" />
            <asp:Parameter Name="role_id" Type="Int32" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_prac_mista" Type="Int32" />
            <asp:Parameter Name="id_prac_mista_zastupce" Type="Int32" />
            <asp:Parameter Name="zastupovany" Type="Decimal" />
            <asp:Parameter Name="zastupce" Type="Decimal" />
            <asp:Parameter Name="cas_od" Type="DateTime" />
            <asp:Parameter Name="cas_do" Type="DateTime" />
            <asp:Parameter Name="role_id" Type="Int32" />
        </UpdateParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_role" runat="server" TypeName="Obecne_Zastup" SelectMethod="_nacistRole"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_prac_mista" runat="server" SelectMethod="SeznamPracMist"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_uziti" runat="server" SelectMethod="SeznamUziti"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ds_oznam" runat="server" SelectMethod="OznamValues"
        TypeName="Obecne_Zastup"></asp:ObjectDataSource>

