﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Data;
using KSProgram.WebControls;

public partial class Pis_VyberovaRizeni : TPage
{
    /// <summary>
    /// Implicitní konstuktor
    /// </summary>
    public Pis_VyberovaRizeni()
    {
        IdPrava = 58;
        this.HelpURL = "V%C3%BDb%C4%9Brov%C3%A1_%C5%99%C3%ADzen%C3%AD_%28KS_port%C3%A1l%29";
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            //string jenProPodrizenePracMista = (Parametry.ParametrCti("VRJenProPodrizenePracMista") == "a") ? "true" : "false";
            //dsVybriz.SelectParameters["aJenProPodrizenePracMista"].DefaultValue = jenProPodrizenePracMista;
        }
    }

    protected void LinkButton1_Command(object sender, CommandEventArgs e)
    {
        string evCislo = ((LinkButton)sender).Text;
        Page.Session.Add("evCislo", evCislo);
        //Response.Redirect("~/Pis/InfoSouhrnUch.aspx"); // MZ 17.2.2016 Zapoznámkováno.

        // MZ 17.2.2016 Doplněno zobrazení v PopUp okně.
        string url = "~/Pis/InfoSouhrnUch.aspx";
        int height = 700;
        int width = 670;
        PopupParam popup = new PopupParam(this, Title, url);
        popup.Status = true;
        popup.Toolbar = false;
        popup.Location = true;
        popup.Menubar = true;
        popup.Titulek = Title;
        popup.Height = height;
        popup.Width = width;
        popup.Show();
    }
    protected void LinkButton2_Command(object sender, CommandEventArgs e)
    {
        string idEtapy = ((LinkButton)sender).CommandArgument;
        Page.Session.Add("idEtapy", idEtapy);
        //Response.Redirect("~/Sestavy/VybrizEtapaHodnoceni.aspx"); // MZ 17.2.2016 Zapoznámkováno.

        // MZ 17.2.2016 Doplněno zobrazení v PopUp okně.
        string url = "~/Sestavy/VybrizEtapaHodnoceni.aspx";
        int height = 700;
        int width = 800;
        PopupParam popup = new PopupParam(this, Title, url);
        popup.Status = true;
        popup.Toolbar = false;
        popup.Location = true;
        popup.Menubar = true;
        popup.Titulek = Title;
        popup.Height = height;
        popup.Width = width;
        popup.Show();
    }

    protected void TRG_vybriz_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        string par = Parametry.ParametrCti("VRJenProPodrizenePracMista"); //PR 15.6.2017 
        bool jenProPodrizenePracMista = (par == "a" || par == "p") ? true : false;
        bool jenProPrimoPodrizene = (par == "p") ? true : false; //PR 30.5.2017 TID=2117
        DataTable table = new DataTable();
        //table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Probihajici(jenProPodrizenePracMista);
        //table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Probihajici(jenProPodrizenePracMista, jenProPrimoPodrizene); //PR 30.5.2017 TID=2117
        if (Zakaznik.IsCurrent("MOR SLEZ KRAJ")) // MZ 8.10.2019
            table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Probihajici(jenProPodrizenePracMista, jenProPrimoPodrizene, true);
        else
            table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Probihajici(jenProPodrizenePracMista, jenProPrimoPodrizene, false);

        TRG_vybriz.DataSource = table;
    }

    protected void TRG_vybriz_SelectedIndexChanged(object sender, EventArgs e)
    {
        TRG_etapy.Rebind();
        TRG_komise.Rebind();
        TRG_uchazeci.Rebind();
    }

    protected void TRG_etapy_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        if (TRG_vybriz.SelectedValue != null)
        {
            ((TRadGrid)sender).Visible = true;
            table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Etapy( (int)TRG_vybriz.SelectedValue );
        }
        ((TRadGrid)sender).DataSource = table;
    }

    protected void TRG_komise_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        
        DataTable table = new DataTable();
        if (TRG_vybriz.SelectedValue != null)
        {
            ((TRadGrid)sender).Visible = true;
            table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Komise((int)TRG_vybriz.SelectedValue);
        }
        ((TRadGrid)sender).DataSource = table;
    }

    protected void TRG_uchazeci_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        if (TRG_vybriz.SelectedValue != null)
        {
            ((TRadGrid)sender).Visible = true;
            table = new KSProgram.VyberovaRizeni.VyberovaRizeni().Uchazeci((int)TRG_vybriz.SelectedValue);
        }
        ((TRadGrid)sender).DataSource = table;
    }
}
