﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Funkce;
using KSProgram;
using System.IO;
using Telerik.Web.UI;
using KSProgram.WebControls;
using KSProgram.Obecne;

namespace KSPortal
{
    public partial class PublicPage : System.Web.UI.MasterPage
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            if (!IsPostBack)
            {
                // Prozatím ne, způsobuje konflikty v kaskádových stylech.
                //F_Telerik.AddSkinReferenceLinks(Page);
            }
        }
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            //pridani overzovaných scriptu a stylu
            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/css/Main.css");
            TRegisteredScripts.AddCssStyleToPage(this.Page, "~/css/stylovani.css");
            //registrace javascriptu
            TRegisteredScripts.AddScriptToPage(this.Page, "~/Scripts/Master.js", "master_javascript");
            string sc = "false";
            if (AppConfiguration.GetAppSetting<bool>("NabizeniHeslaZakazat", false)) sc = "true";
            ScriptManager.RegisterStartupScript(this, this.GetType(), "passwordSavingOff", $"KSMaster.NabizeniHeslaZakazat={sc};", true);

            if (!IsPostBack)
            {
                // zobrazení loga
                //Image logo = (Image)Panel_zam.FindControl("LogoImage");
                //logo.ImageUrl = Zakaznik.GetLogoUrl(false);
                RadButton TIB_logo = (RadButton)Panel_zam.FindControl("TIB_logo");
                TIB_logo.Image.ImageUrl = Zakaznik.GetLogoUrl(false);

                Image I_flag = (Image)P_flags_m.FindControl("I_Flags");
                I_flag.ImageUrl = "~/ImagesN/flag_" + System.Threading.Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName + "_22x14.png";

                // verze
                L_Verze.Text = "[%Verze%]: " + KSProgram.Globals.Verze;

                string logoDir = System.Web.HttpContext.Current.Server.MapPath("~/Images/");

                //video.Visible = false;
                //div_img.Visible = false;
                //if (File.Exists(logoDir + "login_video.mp4"))
                //{
                //    video.Visible = true;
                //    if (Page.AppRelativeTemplateSourceDirectory.Split('/').Count() == 3)
                //    {
                //        video.Attributes["src"] = "../Images/login_video.mp4";
                //    }
                //    else
                //    {
                //        video.Attributes["src"] = "Images/login_video.mp4";
                //    }
                //}
                //else 
                if (File.Exists(logoDir + "login_background.jpg"))
                {
                    div_img.Visible = true;
                    if (Page.AppRelativeTemplateSourceDirectory.Split('/').Count() == 3)
                    {
                        div_img.Style.Add(HtmlTextWriterStyle.BackgroundImage, "../Images/login_background.jpg");
                    }
                    else
                    {
                        div_img.Style.Add(HtmlTextWriterStyle.BackgroundImage, "Images/login_background.jpg");
                    }

                }
                else if (File.Exists(logoDir + "login_background_ks.jpg"))
                {
                    div_img.Visible = true;
                    if (Page.AppRelativeTemplateSourceDirectory.Split('/').Count() == 3)
                    {
                        div_img.Style.Add(HtmlTextWriterStyle.BackgroundImage, "../Images/login_background_ks.jpg");
                    }
                    else
                    {
                        div_img.Style.Add(HtmlTextWriterStyle.BackgroundImage, "Images/login_background_ks.jpg");
                    }
                }
                else
                {
                    div_img.Visible = true;
                }
            }
        }

        protected void TIB_logo_Click(object sender, EventArgs e)
        {
            string url = HttpRuntime.AppDomainAppVirtualPath + "/Login.aspx";

            if (UrlUtility.RemoteFileExists(UrlUtility.ToAbsoluteUrl("~" + url)))
            {
                Response.Redirect(url);
            }
        }

        protected string getCssVar(string var)
        {
            return F_Drawing.GetCssVar(var);
        }
    }
}