﻿$(function () {
    BlockPage();
});

function BlockPage() {
    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(onRequestStart);
    Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onRequestEnd);

    function onRequestStart(sender, args) {
        var elem = args.get_postBackElement();

        var noBlockUI = $(elem).hasClass("no-block-enable-ajax");
        if (noBlockUI) return;

        noBlockUI = $(elem).hasClass("no-block-ui");
        if (noBlockUI) return;

        noBlockUI = $(elem).attr("noBlockUI");
        if (noBlockUI) return;

        if ($.blockUI) $.blockUI({
            message: '<b>' + $('#blockMessage').val() + '...</b>',
            css: {
                width: '250px',
                top: '0px',
                border: 'none',
                padding: '10px',
                backgroundColor: '#000',
                'border-bottom-left-radius': '5px',
                'border-bottom-right-radius': '5px',
                opacity: .5,
                'z-index': 5000,
                color: '#fff'
                
            },
            overlayCSS: { opacity: .1 }
        });
    }

    function onRequestEnd(sender, args) {
        if ($.unblockUI) $.unblockUI();
    }
}