﻿using KSPortal.Obecne;
using KSProgram;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Sestavy
{
    public partial class BenefitniVolno : TPage
    {
        public BenefitniVolno()
        {
            IdPrava = 323;
        }

        protected void TRG_Data_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable table = new DataTable();
            if (IsPostBack)
            {
                table = new KSProgram.Sestavy.DefSestavy_BenefitniVolno().Retrieve(stred.GetStred());
            }
            TRG_Data.DataSource = table;
        }

        protected void Label1_Init(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string ls_bf=Parametry.ParametrCti("BenefitniVolnoNazev");
                if ((!string.IsNullOrEmpty(ls_bf))&&(ls_bf != "Benefitní volno"))
                {
                    ls_bf = KSProgram.Obecne.Slovnik.GetPreklad(ls_bf);
                    if (!string.IsNullOrEmpty(ls_bf))
                        Label1.Text = ls_bf;
                }
            }           
        }
    }
}