﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="KontrolaLimitu.aspx.cs" Inherits="KSPortal.Sestavy.KontrolaLimitu" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <asp:Label ID="Label1" runat="server" Text="[%Kontrola limitů%]" CssClass="nadpis1"></asp:Label>
    
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RG_lim">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RG_lim"  />
                </UpdatedControls>
            </telerik:AjaxSetting>            
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <table class="poor-table ksprvek" style="padding: 10px; margin-bottom: 15px;">
                    <tr>
                        <td>
                            [%Období%]:&nbsp;
                        </td>
                        <td style="padding-right: 10px">
                            <kspwc:TRadMonthYearPicker ID="RadMonthYearPicker1" runat="server" AutoPostBack="False"
                                 ShowPopupOnFocus="True">
                            </kspwc:TRadMonthYearPicker> 
                        </td>
                        <td style="padding-right: 10px">
                            <telerik:RadButton ID="cbx_jen_prekrocene" runat="server" Text="[%jen překročené/nesplněné%]" ButtonType="ToggleButton" ToggleType="CheckBox" AutoPostBack="False" CssClass="pozadiText"></telerik:RadButton>
                        </td>
                        <td style="padding-right: 10px">
                            <telerik:RadButton ID="jen_prime" runat="server"  ToggleType="Radio" ButtonType="ToggleButton" CssClass="pozadiText"
                                GroupName="podminka" AutoPostBack="false" Text="[%Jen přímí podřízení%]" >                               
                            </telerik:RadButton>
                            
                            <telerik:RadButton ID="stredisko" runat="server" ToggleType="Radio" ButtonType="ToggleButton" CssClass="pozadiText"
                                GroupName="podminka" AutoPostBack="false" Text="[%Kmenové středisko%]">                               
                            </telerik:RadButton>
       
                        </td>
                        <td style="padding-right: 10px">
                            <wc:StrSkupDiv ID="strskupdiv" runat="server" TypyStredisek="Kmenová" class="ksprvek"/>
                        </td>
                        
                    </tr>
                </table>
<kspwc:TRadGrid runat="server" ID="RG_lim" AutoGenerateColumns="False" AllowPaging="True"
    AllowSorting="True" OnNeedDataSource="RG_lim_NeedDataSource" PageSize="30" OnItemDataBound="RG_lim_ItemDataBound"
    OnItemCreated="RG_lim_ItemCreated">
    <MasterTableView Caption="" CommandItemDisplay="Top" PageSize="30">
        <CommandItemTemplate>
            <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" > 
                <RebindButton ID ="RebindButton1" runat="server" Visible="true"></RebindButton>
                               
                <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false" ShowExportToExcelBIFFItem="true"/>
            </kspwc:GridCommandItemControl>
            
        </CommandItemTemplate>       
        <Columns>
            <telerik:GridNumericColumn DataField="os_cislo" DataType="System.Decimal" DecimalDigits="0"
                FilterControlAltText="Filter os_cislo column" HeaderText="[%Os. číslo%]" UniqueName="os_cislo" FilterControlWidth="50px">
            </telerik:GridNumericColumn>
            <telerik:GridBoundColumn DataField="prijmeni" FilterControlAltText="Filter prijmeni column" HeaderText="[%Příjmení%]" UniqueName="prijmeni">                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column" HeaderText="[%Jméno%]" UniqueName="jmeno">                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="kmen_str" FilterControlAltText="Filter kmen_str column" HeaderText="[%Km. střed.%]" UniqueName="kmen_str">                
            </telerik:GridBoundColumn>
            <telerik:GridNumericColumn DataField="id" DataType="System.Int32" DecimalDigits="0"
                FilterControlAltText="Filter id column" HeaderText="ID" UniqueName="id" FilterControlWidth="50px">
            </telerik:GridNumericColumn>
            <telerik:GridBoundColumn DataField="nazev" FilterControlAltText="Filter nazev column"
                HeaderText="[%Název%]" UniqueName="nazev">
            </telerik:GridBoundColumn>
            <telerik:GridDateTimeColumn DataField="plati_od" DataType="System.DateTime" FilterControlAltText="Filter plati_od column"
                HeaderText="[%Platí od%]" UniqueName="plati_od" DataFormatString="{0:d.M.yyyy}"
                FilterControlWidth="100px">
            </telerik:GridDateTimeColumn>
            <telerik:GridDateTimeColumn DataField="plati_do" DataType="System.DateTime" FilterControlAltText="Filter plati_do column"
                HeaderText="[%Platí do%]" UniqueName="plati_do" DataFormatString="{0:d.M.yyyy}"
                FilterControlWidth="100px">
            </telerik:GridDateTimeColumn>
            <telerik:GridNumericColumn DataField="limit_obd" DataType="System.Int16" DecimalDigits="0"
                FilterControlAltText="Filter limit_obd column" HeaderText="[%Období%]" UniqueName="limit_obd"
                FilterControlWidth="50px">
            </telerik:GridNumericColumn>
            <telerik:GridBoundColumn DataField="jednotka" FilterControlAltText="Filter jednotka column" HeaderText="[%Jednotka%]" UniqueName="jednotka">                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="min" DataType="System.Decimal" FilterControlAltText="Filter min column"
                HeaderText="[%Min. limit%]" UniqueName="min" >                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="max" DataType="System.Decimal" FilterControlAltText="Filter max column"
                HeaderText="[%Max. limit%]" UniqueName="max" >                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="cerpano" DataType="System.Decimal" FilterControlAltText="Filter cerpano column"
                HeaderText="[%Čerpáno%]" UniqueName="cerpano" >                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="zbyva_do_min" DataType="System.Decimal" FilterControlAltText="Filter zbyva_do_min column"
                HeaderText="[%Do min. lim. zbývá%]" UniqueName="zbyva_do_min">                
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="zbyva_do_max" DataType="System.Decimal" FilterControlAltText="Filter zbyva_do_max column"
                HeaderText="[%Do max. lim. zbývá%]" UniqueName="zbyva_do_max" >                
            </telerik:GridBoundColumn>
            <telerik:GridRowIndicatorColumn></telerik:GridRowIndicatorColumn>
        </Columns>
    </MasterTableView>
</kspwc:TRadGrid>

</asp:Content>

