﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.Personal;
using Telerik.Web.UI;
using KSProgram.WebControls;
using System.Drawing;

namespace KSPortal.Sestavy
{
    public partial class KontrolaLimitu : TPage
    {
        public KontrolaLimitu()
        {
            //IdPrava = ;

        }

        //protected void Page_Load(object sender, EventArgs e)
        //{

        //}

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            if (!IsPostBack)
            {
                RadMonthYearPicker1.SelectedDate = Globals.AktObdobi.AddMonths(-1);
            }
        }
        protected void RG_lim_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DateTime? date = RadMonthYearPicker1.SelectedDate;// RG_lim.Datum.SelectedObdobi;// String.IsNullOrEmpty(HF_obdobi.Text) ? (DateTime?)null : Convert.ToDateTime(HF_obdobi.Text);
            if (date == null)
                date = Globals.AktObdobi.AddMonths(-1);
            string podminka = "";
            //RadRadioButton jen_prime = WebControlHelper.FindControl( RG_lim, "jen_prime") as RadRadioButton;
            //RadRadioButton stredisko = WebControlHelper.FindControl(RG_lim, "stredisko") as RadRadioButton;
            //StrSkupDiv strskupdiv = WebControlHelper.FindControl(RG_lim, "strskupdiv") as StrSkupDiv;
            if (stredisko!=null && stredisko.Checked)
            {
                string s = strskupdiv.GetStred();
                if (!string.IsNullOrEmpty(s))
                    podminka = " pracovnici.kmen_str in (" + s + ") ";
            }
            else
            {
                string primi = Globals.RadkovePrava.GetPristupnaOscislaPrimych();
                if (!string.IsNullOrEmpty(primi))
                    podminka = " pracovnici.os_cislo in (" + primi  + ") ";
            }
            if (!string.IsNullOrEmpty(podminka))
            {
                Limity lim = new Limity();
                List<Limity.LimitStav> ds = lim.Sestava((DateTime)date, podminka, cbx_jen_prekrocene.Checked==null ? false : cbx_jen_prekrocene.Checked.Value);
                RadGrid table = (RadGrid)sender;
                table.DataSource = ds;
            }
        }
        protected void RadMonthYearPicker1_SelectedDateChanged(object sender, Telerik.Web.UI.Calendar.SelectedDateChangedEventArgs e)
        {
            //RadMonthYearPicker rmyp = (RadMonthYearPicker)sender;
            //HF_obdobi.Text = rmyp.SelectedDate.ToString();
            RG_lim.Rebind();
        }
        protected void TRB_filter_CheckedChanged(object sender, EventArgs e)
        {
            TRadButton TRB_filter = (TRadButton)sender;
            if (TRB_filter.Checked)
            {
                RG_lim.AllowFilteringByColumn = true;
            }
            else
            {
                RG_lim.AllowFilteringByColumn = false;
            }
            //RG_lim.Rebind();
        }
        protected void RG_lim_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item.ItemType == GridItemType.CommandItem)
            {
                //RadMonthYearPicker rmyp = (RadMonthYearPicker)e.Item.FindControl("RadMonthYearPicker1");
                ////km 23.5.2016 pokud je HF_obdobi.Text spatně tak se nastaví aktuální období -1 tak jako u nastavení data pri NeedDataSource
                //DateTime? date = String.IsNullOrEmpty(HF_obdobi.Text) ? (DateTime?)null : Convert.ToDateTime(HF_obdobi.Text);
                //if (date == null)
                //    date = Globals.AktObdobi.AddMonths(-1);
                //rmyp.SelectedDate = date;
                

                //TRadButton but = (TRadButton)e.Item.FindControl("TRB_filter");
                //but.Checked = ((TRadGrid)sender).AllowFilteringByColumn;
            }
            if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
            {
                //decimal? min_d = (decimal?)DataBinder.Eval(e.Item.DataItem, "min_dny");
                //decimal? min_h = (decimal?)DataBinder.Eval(e.Item.DataItem, "min_hod");
                //decimal? min_c = (decimal?)DataBinder.Eval(e.Item.DataItem, "min_castka");
                //decimal? max_d = (decimal?)DataBinder.Eval(e.Item.DataItem, "max_dny");
                //decimal? max_h = (decimal?)DataBinder.Eval(e.Item.DataItem, "max_hod");
                //decimal? max_c = (decimal?)DataBinder.Eval(e.Item.DataItem, "max_castka");
                //decimal d = (decimal)DataBinder.Eval(e.Item.DataItem, "dny");
                //decimal h = (decimal)DataBinder.Eval(e.Item.DataItem, "hodiny");
                //decimal c = (decimal)DataBinder.Eval(e.Item.DataItem, "castka");

                //for (int i = 0; i <= 5; i++)
                //{
                //    Table table = (Table)e.Item.FindControl("Table" + i);
                //    if (table != null)
                //    {
                //        if (min_d != null || max_d != null)
                //            table.Rows[0].Visible = true;
                //        if (min_h != null || max_h != null)
                //            table.Rows[1].Visible = true;
                //        if (min_c != null || max_c != null)
                //            table.Rows[2].Visible = true;
                //    }
                //}

                //Table table_c = (Table)e.Item.FindControl("Table3");
                //if ((min_d > d && min_d != null) || (d > max_d && max_d != null))
                //{
                //    table_c.Rows[0].Cells[0].ForeColor = Color.Red;
                //    table_c.Rows[0].Cells[0].Font.Bold = true;
                //}
                //if ((min_h > h && min_h != null) || (h > max_h && max_h != null))
                //{
                //    table_c.Rows[1].Cells[0].ForeColor = Color.Red;
                //    table_c.Rows[1].Cells[0].Font.Bold = true;
                //}
                //if ((min_c > c && min_c != null) || (c > max_c && max_c != null))
                //{
                //    table_c.Rows[2].Cells[0].ForeColor = Color.Red;
                //    table_c.Rows[2].Cells[0].Font.Bold = true;
                //}
                
                bool splneno = (bool)DataBinder.Eval(e.Item.DataItem, "splneno");
                if (!splneno)
                {
                    GridDataItem dataBoundItem = e.Item as GridDataItem;
                    dataBoundItem["cerpano"].ForeColor = Color.Red;
                    dataBoundItem["cerpano"].Font.Bold = true;
                }
            }
        }

        protected void RG_lim_ItemCreated(object sender, GridItemEventArgs e)
        {
            //if (e.Item.ItemType == GridItemType.CommandItem)
            //{
            //    RadMonthYearPicker RMP = (RadMonthYearPicker)e.Item.FindControl("RadMonthYearPicker1");
            //    RMP.Culture = System.Threading.Thread.CurrentThread.CurrentUICulture;
            //}
        }

        protected void TRB_rebind_Click(object sender, EventArgs e)
        {
            RG_lim.Rebind();
        }
    }
}