﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_MimoevidencniStavy" Codebehind="MimoevidencniStavy.aspx.cs" %>

<%@ Register  Assembly="WebControls" Namespace="KSProgram.WebControls" Tagprefix="wc" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" Tagprefix="wca"%>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" Runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="kody">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="kody" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents2">
            function EDcombobox(sender, args) {
                var combobox = $find('<%= kody.ClientID %>');
                if (combobox) {
                    if ( sender._checked)
                        combobox.disable();
                    else
                        combobox.enable();
                }
            }
        </script>
    </telerik:RadScriptBlock>
    <%--<asp:Label ID="Label4" runat="server" Text="[%Přehled zaměstnanců v mimoevidenčním stavu%]" CssClass="nadpis1"></asp:Label>--%>

    <table>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="[%Druh mimoevidenčního stavu%]" CssClass="pozadiText" />
            </td>
            <td>
                 <wc:DdlbMzdovePolozky runat="server" ID="kody" Rows="10" CheckBoxes="true" EnableCheckAllItemsCheckBox="true"
                                Where="kod in (SELECT kod FROM ciselnik WHERE ind_abs = '3' AND kod <> 853)" Width="180px">
                            </wc:DdlbMzdovePolozky>
            </td>
      <%--      <td>
                <kspwc:TRadButton runat="server" ID="stavy_all" Text="[%Všechny mimoevidenční stavy%]" ToggleType="CheckBox" ButtonType="ToggleButton" AutoPostBack="false" OnClientCheckedChanged="EDcombobox"></kspwc:TRadButton>
            </td>--%>
        </tr>
                    
        </table>
        <%-- 
        <wc:TGridView ID="TGridView1" runat="server"  AllowPaging="True"
            IdSestavy="0" PovolFiltraci="False" PovolPoradiSloupcu="False" 
            ShowTitleRow="True"  ControlPanelPosition="TitleRow" PovolExport="true" TitleText="[%Přehled zaměstnanců v mimoevidenčním stavu%]">
            <Columns>
                <asp:BoundField DataField="os_cislo" HeaderText="[%Os. číslo%]" ReadOnly="True" 
                    SortExpression="os_cislo" />
                <asp:BoundField DataField="prijmeni" HeaderText="[%Příjmení%]" ReadOnly="True" 
                    SortExpression="prijmeni" />
                <asp:BoundField DataField="jmeno" HeaderText="[%Jméno%]" ReadOnly="True" 
                    SortExpression="jmeno" />
                <asp:BoundField DataField="titul" HeaderText="[%Titul%]" ReadOnly="True" 
                    SortExpression="titul" />
                <asp:BoundField DataField="kmen_str" HeaderText="[%Kmen. stř.%]" ReadOnly="True" 
                    SortExpression="kmen_str" />
                <asp:BoundField DataField="kod" HeaderText="[%Druh absence%]" ReadOnly="True" 
                    SortExpression="kod" />
                <asp:BoundField DataField="dat_od" DataFormatString="{0:d}" 
                    HeaderText="[%Datum od%]" ReadOnly="True" SortExpression="dat_od" />
                <asp:BoundField DataField="dat_do" DataFormatString="{0:d}" 
                    HeaderText="[%Datum do%]" ReadOnly="True" SortExpression="dat_do" />
            </Columns>
            <PagerTemplate>
                <wc:PagerNavigationBar ID="pager_seznam" runat="server" />
            </PagerTemplate>
        </wc:TGridView>
        --%>
        <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" ShowGroupPanel="True" AllowPaging="True" 
                         AllowSorting="true" AutoGenerateColumns="false" MasterTableView-Caption="[%Přehled zaměstnanců v mimoevidenčním stavu%]"
                        AutoFilterControlWidth="false" OnNeedDataSource="TRadGrid_sestava_NeedDataSource" >
            <ClientSettings AllowDragToGroup="True">
            </ClientSettings>
            <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
            <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
            <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
            </ExportSettings>
            <MasterTableView CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" FilterControlWidth="30px"/>
                    <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]" SortExpression="prijmeni" />
                    <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
                    <telerik:GridBoundColumn DataField="titul" HeaderText="[%Titul%]" SortExpression="titul" />
                    <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]" SortExpression="kmen_str" />
                    <telerik:GridBoundColumn DataField="kod" HeaderText="[%Druh absence%]" SortExpression="kod" />
                    <telerik:GridDateTimeColumn DataField="dat_od" DataFormatString="{0:d.M.yyyy}" HeaderText="[%Datum od%]" SortExpression="dat_od" />
                    <telerik:GridDateTimeColumn DataField="dat_do" DataFormatString="{0:d.M.yyyy}" HeaderText="[%Datum do%]" SortExpression="dat_do" />
                </Columns>
                <CommandItemTemplate>
                    <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" DateControl="TRadObdobiInterval">
                        <ContentTemplate>
                        <div class="gridCommandButton">
                            <kspwc:TRadButton ID="mimoEvStavy" runat="server" AutoPostBack="false" Text="[%Všechny mimoev. stavy%]" ToolTip="[%Všechny mimoevidenční stavy%]" ToggleType="CheckBox" ButtonType="StandardButton" OnClientCheckedChanged="EDcombobox" OnDataBinding="mimoEvStavy_DataBinding"></kspwc:TRadButton>
                        </div>
                            </ContentTemplate>
                    </kspwc:GridCommandItemControl> 
                </CommandItemTemplate>
            </MasterTableView>
        </kspwc:TRadGrid>
    <%--
        <asp:ObjectDataSource ID="ds_sestava" runat="server" 
            OldValuesParameterFormatString="original_{0}" SelectMethod="Retrieve" 
            TypeName="KSProgram.Sestavy.DefSestavy_mn001">
            <SelectParameters>
                <asp:Parameter Name="druh_mimoevstavu" Type="String" />
                <asp:Parameter Name="obdobi_od" Type="DateTime" />
                <asp:Parameter Name="obdobi_do" Type="DateTime" />
                <asp:Parameter Name="vypnoutPrava" Type="Boolean" DefaultValue="false" />                
            </SelectParameters>
        </asp:ObjectDataSource>
        <br />
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate> 
    </ContentTemplate>
    </asp:UpdatePanel>--%>
    
</asp:Content>

