﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="PlanCelkLekProhl.aspx.cs" Inherits="KSPortal.Sestavy.PlanCelkLekProhl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="HlavniOblast" runat="server">
    <script type="text/javascript">
        function OnClientClicked() {
            $.ajax({
                url: KSTEmailForm.BaseUrl + "/Zamestnanec/LekFormProLekare.aspx/SendEmailMessage",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                type: "POST",
                data: myJSON,
                success: OnSuccessSendEmail
            });
            alert("kkkk");
        }     
    </script>

    <telerik:RadAjaxManagerProxy runat="server" ID="ajax_manager">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="trbFormLekar">
                <UpdatedControls>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>

        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<kspwc:TLabel ID="TLabel1" runat="server" Text="[%Plán lékařských prohlídek%]" CssClass="nadpis1"></kspwc:TLabel>--%>
    <div style="margin-bottom:8px; width: fit-content" class="ksprvek">
        <kspwc:StrSkupDiv runat="server" ID="stred"></kspwc:StrSkupDiv>
    </div>
    <asp:ObjectDataSource ID="odsTyp" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="TypLekProhl" TypeName="KSProgram.LekarskaEvidence.LekProhlidky">
        <SelectParameters>
        </SelectParameters>
    </asp:ObjectDataSource>
    <kspwc:TRadGrid ID="TRadGrid1" runat="server" ShowTitleRow="True" DataKeyNames="os_cislo,cislo_pom"
        ShowGroupPanel="True" AllowPaging="True" MasterTableView-Caption="[%Plán lékařských prohlídek%]"
        AllowFilteringByColumn="false" AllowSorting="true" AutoGenerateColumns="false"
        OnNeedDataSource="RadGrid1_NeedDataSource">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" AllowMultiColumnSorting="true" ShowGroupFooter="true" DataKeyNames="os_cislo,cislo_pom">
            <Columns>
                <%--<telerik:GridButtonColumn Text="[%Vyber%]" CommandName="Select" ButtonType="LinkButton"></telerik:GridButtonColumn>--%>
                <telerik:GridBoundColumn DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Os. číslo%]" />
                <telerik:GridBoundColumn DataField="cislo_pom" SortExpression="cislo_pom" HeaderText="[%Č.P.%]" />
                <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" HeaderText="[%Příjmení%]" />
                <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" />
                <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" HeaderText="[%Kmen.středisko%]" />
                <telerik:GridBoundColumn DataField="pr_misto" SortExpression="pr_misto" HeaderText="[%Pr.místo%]" />
                <telerik:GridBoundColumn DataField="prohlidka" SortExpression="prohlidka" HeaderText="[%Prohlídka%]" />
                <telerik:GridDropDownColumn DataField="typ" HeaderText="[%Typ%]" UniqueName="sTyp"
                    FilterControlAltText="Filter sTyp column" DataSourceID="odsTyp" ListTextField="text"
                    ListValueField="zkratka" DropDownControlType="DropDownList">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle HorizontalAlign="Center" />
                    <ColumnValidationSettings EnableRequiredFieldValidation="True">
                        <RequiredFieldValidator Display="Dynamic" ErrorMessage="*" ForeColor="Red"></RequiredFieldValidator>
                    </ColumnValidationSettings>
                </telerik:GridDropDownColumn>
                <telerik:GridBoundColumn DataField="uskutecnena" SortExpression="uskutecnena" HeaderText="[%Datum předchozí%]" DataFormatString="{0:d}" HtmlEncode="False" />
                <telerik:GridNumericColumn DataType="System.Int32" DataField="perioda" SortExpression="perioda" HeaderText="[%Perioda%]" />
                <telerik:GridBoundColumn DataField="termin" SortExpression="termin" HeaderText="[%Datum následující%]" DataFormatString="{0:d}" HtmlEncode="False" />
                <telerik:GridBoundColumn DataField="zdroj" SortExpression="zdroj" HeaderText="[%Zdroj%]" />
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" DateControl="TRadDatePicker">
                    <BezMESButton runat="server" Visible="true" Enabled="true"></BezMESButton>
                    <ExportButton runat="server" ShowExportToPdfItem="false" ShowExportToWordDocxItem="false" ShowExportToExcelMLItem="false" ShowExportToExcelXlsxItem="false" ShowExportToWordItem="false" ShowExportToExcelBIFFItem="false" />
                    <ContentTemplate>
                        <div class="gridCommandButton">
                            <kspwc:TRadButton ID="trbFormLekar" runat="server" Text="[%Formulář pro lékaře%]"
                                AutoPostBack="true" UseSubmitBehavior="false" OnClick="trbFormLekar_Click">
                                <Icon PrimaryIconCssClass=" fi fi-print"></Icon>
                            </kspwc:TRadButton>
                        </div>
                        <div class="gridCommandButton">
                            <kspwc:TCheckBox runat="server" ID="cbxVP" Text="[%Vypustit platné%]" UseSaveSetting="false" AutoPostBack="false" />
                        </div>
                        <div class="gridCommandButton">
                            <kspwc:TCheckBox runat="server" ID="cbxVZBP" Text="[%Vypustit zaměstnance bez požadavku%]" UseSaveSetting="false" AutoPostBack="false" />
                        </div>
                        <div class="gridCommandButton">
                            <kspwc:TCheckBox runat="server" ID="cbxVzdTel" Text="[%Zaměstnavatel - vypustit Vzdání se%]" UseSaveSetting="false" AutoPostBack="false" />
                        </div>
                        <div class="gridCommandButton">
                            <kspwc:TCheckBox runat="server" ID="cbxVzdNec" Text="[%Zaměstnanec - vypustit Vzdání se%]" UseSaveSetting="false" AutoPostBack="false" />
                        </div>
                        <div class="gridCommandButton">
                            <kspwc:TDropDown runat="server" ID="dddwLekar" DataValueField="cislo" DataTextField="komplet" UseSaveSetting="false" OnDataBinding="dddwLekar_DataBinding" />
                        </div>
                    </ContentTemplate>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
        <ClientSettings>
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
    </kspwc:TRadGrid>
</asp:Content>



