﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_PomeryMzd" Codebehind="PomeryMzd.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadPersistenceManagerProxy runat="server" ID="RPMP">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="TRadGrid_sestava" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Pracovní poměry - mzdové údaje%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" ShowGroupPanel="True" AllowPaging="True"  EnableHeaderContextMenu="true" EnableHeaderContextAggregatesMenu="true"
                 AllowSorting="true" AutoGenerateColumns="false" OnItemCommand="TRadGrid_sestava_ItemCommand" MasterTableView-Caption="[%Pracovní poměry - mzdové údaje%]"
                AutoFilterControlWidth="false" AutoFilterWidth="true" ShowFooter="true" OnNeedDataSource="TRadGrid_sestava_NeedDataSource">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupPanel CssClass="gridWidth"></GroupPanel>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top" ShowGroupFooter="true">
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" PracPomeryComboBox-Visible="true">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelBIFFItem="true" ShowExportToExcelHtmlItem="false" />
                    <PracPomeryComboBox runat="server" AutoPostBack="true"></PracPomeryComboBox>
                    <PrimiPodrizeniButton Visible="true" runat="server" AutoPostBack="true"></PrimiPodrizeniButton>
                    <BezMESButton runat="server" Visible="true" AutoPostBack="true"></BezMESButton>
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
            <FooterStyle BackColor="#c9c9c9" Font-Bold="true"></FooterStyle>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="[%Mzdové údaje%]" Name="m"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%Prémie%]" Name="p" ParentGroupName="m"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%Příplatky%]" Name="pr" ParentGroupName="m"></telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <kspwc:GridButtonColumnWithFilteringSorting DataTextField="os_cislo" DataType="System.Decimal"
                    FilterControlAltText="Filter os_cislo column" HeaderText="[%Osobní číslo%]" UniqueName="os_cislo"
                    CommandName="selectZam" DataField="os_cislo" SortExpression="os_cislo">
                    <HeaderStyle Width="20px" />
                </kspwc:GridButtonColumnWithFilteringSorting>
                <telerik:GridNumericColumn DataType="System.Int16" DataField="cislo_pom" HeaderText="[%Č.P.%]" FilterControlAltText="Filter cislo_pom column" SortExpression="cislo_pom"/>
                <telerik:GridBoundColumn DataField="zamestnanec" HeaderText="[%Zaměstnanec%]" SortExpression="zamestnanec" FilterControlAltText="Filter zamestnanec column" FooterText="[%Celkem:%]" DataFormatString="{0}" />
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]" HeaderTooltip="[%Pracovní středisko%]" SortExpression="prac_str" FilterControlAltText="Filter prac_str column" ItemStyle-HorizontalAlign="Center" />
                <telerik:GridBoundColumn DataField="druh_pom" HeaderText="[%Druh p.p.%]" HeaderTooltip="[%Druh pracovního poměru%]" SortExpression="druh_pom" FilterControlAltText="Filter druh_pom column" ItemStyle-HorizontalAlign="Center" />
                <telerik:GridCheckBoxColumn DataField="mes" UniqueName="mes" DataType="System.Boolean" HeaderText="[%MES%]" HeaderTooltip="[%Mimoevidenční stav%]"></telerik:GridCheckBoxColumn>
                <telerik:GridBoundColumn ColumnGroupName="m" DataField="typ_mzdy" HeaderText="[%Typ%]" SortExpression="typ_mzdy" FilterControlAltText="Filter typ_mzdy column"></telerik:GridBoundColumn>
                <telerik:GridNumericColumn ColumnGroupName="m" DataType="System.Int16" DataField="trida" HeaderText="[%Třída%]" FilterControlAltText="Filter trida column" SortExpression="trida" ItemStyle-HorizontalAlign="Center" />
                <telerik:GridNumericColumn ColumnGroupName="m" DataType="System.Int16" DataField="stupen" HeaderText="[%Stupeň%]" FilterControlAltText="Filter stupen column" SortExpression="stupen" ItemStyle-HorizontalAlign="Center" />
                <telerik:GridNumericColumn ColumnGroupName="m" DataType="System.Decimal" DataField="tarif" HeaderText="[%Tarif%]" SortExpression="tarif" DataFormatString="{0:N}" FilterControlAltText="tarif tarif column" Aggregate="Sum" ItemStyle-HorizontalAlign="Right" />
                <telerik:GridNumericColumn ColumnGroupName="m" DataType="System.Decimal" DataField="os_hodn" HeaderText="[%Os. přípl.%]" Aggregate="Sum" SortExpression="os_hodn" FilterControlAltText="Sum os_hodn column" DataFormatString="{0:N}" ItemStyle-HorizontalAlign="Right" />
                <telerik:GridNumericColumn ColumnGroupName="m" DataType="System.Decimal" DataField="prum_dov" HeaderText="[%Pruměr pro PPÚ.%]" Aggregate="Sum" SortExpression="prum_dov" FilterControlAltText="Sum prum_dov column" DataFormatString="{0:N}" ItemStyle-HorizontalAlign="Right" />
                <telerik:GridNumericColumn ColumnGroupName="p" DataType="System.Int16" DataField="typ_premii" UniqueName="typ_premii" HeaderText="[%Typ%]" FilterControlAltText="Filter typ_premii column" SortExpression="typ_premii" ItemStyle-HorizontalAlign="Right"/>
                <telerik:GridBoundColumn ColumnGroupName="p" DataField="vyznam" HeaderText="[%Význam%]" SortExpression="vyznam" FilterControlAltText="Filter vyznam column" />
                <telerik:GridNumericColumn ColumnGroupName="p" DataType="System.Decimal" DataField="prem_cast" UniqueName="prem_cast" HeaderText="[%Částka%]" SortExpression="prem_cast" Aggregate="Sum" DataFormatString="{0:N}" ItemStyle-HorizontalAlign="Right"/>
                <telerik:GridNumericColumn ColumnGroupName="p" DataType="System.Decimal" DataField="premie_proc_ind" UniqueName="premie_proc_ind" HeaderText="[%%%]" SortExpression="premie_proc_ind" DataFormatString="{0:0}" ItemStyle-HorizontalAlign="Right"/>
                <telerik:GridNumericColumn ColumnGroupName="pr" DataType="System.Decimal" DataField="pripl_vedeni" UniqueName="pripl_vedeni" HeaderText="[%Za vedení%]" FilterControlAltText="Filter pripl_vedeni column" SortExpression="pripl_vedeni" Aggregate="Sum" DataFormatString="{0:N}" />
                <telerik:GridNumericColumn ColumnGroupName="pr" DataType="System.Decimal" DataField="pripl_zvlastni" UniqueName="pripl_zvlastni" HeaderText="[%Zvláštní%]" FilterControlAltText="Filter pripl_zvlastni column" SortExpression="pripl_zvlastni" Aggregate="Sum" DataFormatString="{0:N}" />
                <telerik:GridDateTimeColumn DataField="datum_nastupu" HeaderText="[%Dat. nástupu%]" SortExpression="datum_nastupu" FilterControlAltText="Filter datum_nastupu column" DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridDateTimeColumn DataField="datum_ukonc" DataFormatString="{0:d.M.yyyy}" HeaderText="[%Dat. ukonč.%]" FilterControlAltText="Filter datum_ukonc column" SortExpression="datum_ukonc" />
                <telerik:GridDateTimeColumn DataField="datum_plan_odch" UniqueName="datum_plan_odch" DataFormatString="{0:d.M.yyyy}" HeaderText="[%Dat. plán. odchodu%]" FilterControlAltText="Filter datum_plan_odch column" SortExpression="datum_plan_odch" />
            </Columns>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
