﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="ScObsazVozidel.aspx.cs" Inherits="KSPortal.Sestavy.ScObsazVozidel" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
            .padClass {
                padding-left: 2px !important;
                padding-right: 2px !important;
            }
    </style>
    <script language="javascript" type="text/javascript">        
        function ImgClick(spz, den) {
            __doPostBack('reloadRadWinEdit', spz + "," + den);
        }

    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRGrid">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRGrid" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RG_polozky_dne">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RG_polozky_dne" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Label1" runat="server" Text="[%Přehled využití firemních vozidel%]" CssClass="nadpis1"></asp:Label>
    <br />
    <div style="margin-bottom:8px; width: fit-content">
        <div class="ksprvek">
        <wc:StrSkupDiv ID="StrSkupDiv" runat="server" Aplikovat_Prava="False" TypyStredisek="Všechna"></wc:StrSkupDiv>
            </div>
        <telerik:RadButton ID="cbx_vcetne_pridelenych" runat="server" ButtonType="ToggleButton" ToggleType="CheckBox" AutoPostBack="false"
            Text="[%Včetně vozidel trvale přidělených konkrétním zaměstnancům%]" CssClass="pozadiText" ></telerik:RadButton>
    </div>
    <kspwc:TRadGrid runat="server" ID="TRGrid" OnNeedDataSource="TRGrid_NeedDataSource" AutoGenerateColumns="false" OnItemCreated="TRGrid_ItemCreated"
        HeaderStyle-CssClass="padClass" AllowSorting="true" AllowPaging="False" UseSaveSetting="false">
        <PagerStyle Mode="NextPrevNumericAndAdvanced" ></PagerStyle>
        <ClientSettings>
            <%--<ClientEvents OnRowClick = "RowClick" />--%>
        </ClientSettings>
        <MasterTableView DataKeyNames="spz" ClientDataKeyNames="spz" CommandItemDisplay="Top" Caption=" " >
            <Columns>
                <telerik:GridBoundColumn DataField="spz" HeaderText="[%SPZ%]" SortExpression="spz"><ItemStyle CssClass="padClass" /></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název%]" SortExpression="nazev"><ItemStyle CssClass="padClass" /></telerik:GridBoundColumn> 
                <telerik:GridBoundColumn DataField="druh" HeaderText="[%Druh%]" SortExpression="druh"><ItemStyle CssClass="padClass" /></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="stred" HeaderText="[%Střed.%]" SortExpression="stred"><ItemStyle CssClass="padClass" /></telerik:GridBoundColumn>
                <%--
                <telerik:GridImageColumn UniqueName="i_1" DataImageUrlFields="d_1" DataAlternateTextField="d_1t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_2" DataImageUrlFields="d_2" DataAlternateTextField="d_2t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_3" DataImageUrlFields="d_3" DataAlternateTextField="d_3t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_4" DataImageUrlFields="d_4" DataAlternateTextField="d_4t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_5" DataImageUrlFields="d_5" DataAlternateTextField="d_5t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_6" DataImageUrlFields="d_6" DataAlternateTextField="d_6t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_7" DataImageUrlFields="d_7" DataAlternateTextField="d_7t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_8" DataImageUrlFields="d_8" DataAlternateTextField="d_8t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_9" DataImageUrlFields="d_9" DataAlternateTextField="d_9t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_10" DataImageUrlFields="d_10" DataAlternateTextField="d_10t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_11" DataImageUrlFields="d_11" DataAlternateTextField="d_11t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_12" DataImageUrlFields="d_12" DataAlternateTextField="d_12t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_13" DataImageUrlFields="d_13" DataAlternateTextField="d_13t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_14" DataImageUrlFields="d_14" DataAlternateTextField="d_14t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_15" DataImageUrlFields="d_15" DataAlternateTextField="d_15t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_16" DataImageUrlFields="d_16" DataAlternateTextField="d_16t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_17" DataImageUrlFields="d_17" DataAlternateTextField="d_17t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_18" DataImageUrlFields="d_18" DataAlternateTextField="d_18t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_19" DataImageUrlFields="d_19" DataAlternateTextField="d_19t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_20" DataImageUrlFields="d_20" DataAlternateTextField="d_20t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_21" DataImageUrlFields="d_21" DataAlternateTextField="d_21t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_22" DataImageUrlFields="d_22" DataAlternateTextField="d_22t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_23" DataImageUrlFields="d_23" DataAlternateTextField="d_23t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_24" DataImageUrlFields="d_24" DataAlternateTextField="d_24t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_25" DataImageUrlFields="d_25" DataAlternateTextField="d_25t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_26" DataImageUrlFields="d_26" DataAlternateTextField="d_26t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_27" DataImageUrlFields="d_27" DataAlternateTextField="d_27t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_28" DataImageUrlFields="d_28" DataAlternateTextField="d_28t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_29" DataImageUrlFields="d_29" DataAlternateTextField="d_29t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_30" DataImageUrlFields="d_30" DataAlternateTextField="d_30t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                <telerik:GridImageColumn UniqueName="i_31" DataImageUrlFields="d_31" DataAlternateTextField="d_31t" AllowFiltering="false" HeaderStyle-HorizontalAlign="Center"><ItemStyle CssClass="padClass" /></telerik:GridImageColumn>
                --%>
                <telerik:GridTemplateColumn UniqueName="i_1" DataField="d_1">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_1" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_1") %>' />
                        <asp:HoverMenuExtender ID="hme_1" runat="server" TargetControlID="img_1" PopupControlID="pnl_1" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_1t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_1" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_1t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_1t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_2" DataField="d_2">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_2" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_2") %>' />
                        <asp:HoverMenuExtender ID="hme_2" runat="server" TargetControlID="img_2" PopupControlID="pnl_2" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_2t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_2" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC"
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_2t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_2t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_3" DataField="d_3">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_3" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_3") %>' />
                        <asp:HoverMenuExtender ID="hme_3" runat="server" TargetControlID="img_3" PopupControlID="pnl_3" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_3t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_3" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_3t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_3t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_4" DataField="d_4">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_4" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_4") %>' />
                        <asp:HoverMenuExtender ID="hme_4" runat="server" TargetControlID="img_4" PopupControlID="pnl_4" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_4t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_4" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_4t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_4t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_5" DataField="d_5">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_5" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_5") %>' />
                        <asp:HoverMenuExtender ID="hme_5" runat="server" TargetControlID="img_5" PopupControlID="pnl_5" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_5t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_5" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_5t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_5t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_6" DataField="d_6">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_6" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_6") %>' />
                        <asp:HoverMenuExtender ID="hme_6" runat="server" TargetControlID="img_6" PopupControlID="pnl_6" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_6t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_6" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_6t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_6t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_7" DataField="d_7">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_7" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_7") %>' />
                        <asp:HoverMenuExtender ID="hme_7" runat="server" TargetControlID="img_7" PopupControlID="pnl_7" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_7t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_7" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_7t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_7t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_8" DataField="d_8">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_8" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_8") %>' />
                        <asp:HoverMenuExtender ID="hme_8" runat="server" TargetControlID="img_8" PopupControlID="pnl_8" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_8t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_8" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_8t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_8t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_9" DataField="d_9">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_9" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_9") %>' />
                        <asp:HoverMenuExtender ID="hme_9" runat="server" TargetControlID="img_9" PopupControlID="pnl_9" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_9t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_9" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_9t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_9t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_10" DataField="d_10">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_10" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_10") %>' />
                        <asp:HoverMenuExtender ID="hme_10" runat="server" TargetControlID="img_10" PopupControlID="pnl_10" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_10t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_10" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_10t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_10t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_11" DataField="d_11">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_11" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_11") %>' />
                        <asp:HoverMenuExtender ID="hme_11" runat="server" TargetControlID="img_11" PopupControlID="pnl_11" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_11t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_11" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_11t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_11t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_12" DataField="d_12">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_12" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_12") %>' />
                        <asp:HoverMenuExtender ID="hme_12" runat="server" TargetControlID="img_12" PopupControlID="pnl_12" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_12t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_12" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_12t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_12t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_13" DataField="d_13">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_13" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_13") %>' />
                        <asp:HoverMenuExtender ID="hme_13" runat="server" TargetControlID="img_13" PopupControlID="pnl_13" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_13t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_13" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_13t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_13t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_14" DataField="d_14">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_14" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_14") %>' />
                        <asp:HoverMenuExtender ID="hme_14" runat="server" TargetControlID="img_14" PopupControlID="pnl_14" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_14t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_14" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_14t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_14t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_15" DataField="d_15">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_15" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_15") %>' />
                        <asp:HoverMenuExtender ID="hme_15" runat="server" TargetControlID="img_15" PopupControlID="pnl_15" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_15t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_15" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_15t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_15t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_16" DataField="d_16">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_16" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_16") %>' />
                        <asp:HoverMenuExtender ID="hme_16" runat="server" TargetControlID="img_16" PopupControlID="pnl_16" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_16t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_16" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_16t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_16t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_17" DataField="d_17">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_17" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_17") %>' />
                        <asp:HoverMenuExtender ID="hme_17" runat="server" TargetControlID="img_17" PopupControlID="pnl_17" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_17t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_17" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_17t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_17t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_18" DataField="d_18">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_18" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_18") %>' />
                        <asp:HoverMenuExtender ID="hme_18" runat="server" TargetControlID="img_18" PopupControlID="pnl_18" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_18t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_18" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_18t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_18t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_19" DataField="d_19">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_19" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_19") %>' />
                        <asp:HoverMenuExtender ID="hme_19" runat="server" TargetControlID="img_19" PopupControlID="pnl_19" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_19t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_19" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_19t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_19t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_20" DataField="d_20">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_20" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_20") %>' />
                        <asp:HoverMenuExtender ID="hme_20" runat="server" TargetControlID="img_20" PopupControlID="pnl_20" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_20t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_20" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_20t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_20t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_21" DataField="d_21">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_21" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_21") %>' />
                        <asp:HoverMenuExtender ID="hme_21" runat="server" TargetControlID="img_21" PopupControlID="pnl_21" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_21t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_21" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_21t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_21t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_22" DataField="d_22">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_22" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_22") %>' />
                        <asp:HoverMenuExtender ID="hme_22" runat="server" TargetControlID="img_22" PopupControlID="pnl_22" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_22t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_22" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_22t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_22t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_23" DataField="d_23">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_23" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_23") %>' />
                        <asp:HoverMenuExtender ID="hme_23" runat="server" TargetControlID="img_23" PopupControlID="pnl_23" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_23t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_23" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_23t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_23t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_24" DataField="d_24">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_24" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_24") %>' />
                        <asp:HoverMenuExtender ID="hme_24" runat="server" TargetControlID="img_24" PopupControlID="pnl_24" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_24t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_24" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_24t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_24t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_25" DataField="d_25">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_25" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_25") %>' />
                        <asp:HoverMenuExtender ID="hme_25" runat="server" TargetControlID="img_25" PopupControlID="pnl_25" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_25t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_25" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_25t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_25t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_26" DataField="d_26">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_26" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_26") %>' />
                        <asp:HoverMenuExtender ID="hme_26" runat="server" TargetControlID="img_26" PopupControlID="pnl_26" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_26t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_26" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_26t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_26t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_27" DataField="d_27">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_27" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_27") %>' />
                        <asp:HoverMenuExtender ID="hme_27" runat="server" TargetControlID="img_27" PopupControlID="pnl_27" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_27t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_27" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_27t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_27t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_28" DataField="d_28">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_28" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_28") %>' />
                        <asp:HoverMenuExtender ID="hme_28" runat="server" TargetControlID="img_28" PopupControlID="pnl_28" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_28t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_28" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_28t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_28t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_29" DataField="d_29">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_29" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_29") %>' />
                        <asp:HoverMenuExtender ID="hme_29" runat="server" TargetControlID="img_29" PopupControlID="pnl_29" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_29t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_29" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_29t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_29t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_30" DataField="d_30">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_30" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_30") %>' />
                        <asp:HoverMenuExtender ID="hme_30" runat="server" TargetControlID="img_30" PopupControlID="pnl_30" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_30t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_30" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_30t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_30t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn UniqueName="i_31" DataField="d_31">
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle CssClass="padClass" />
                    <ItemTemplate>
                        <asp:Image runat="server" ID="img_31" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "d_31") %>' />
                        <asp:HoverMenuExtender ID="hme_31" runat="server" TargetControlID="img_31" PopupControlID="pnl_31" PopupPosition="Bottom" OffsetY="10" OffsetX="20" 
                            Enabled='<%# !DataBinder.Eval(Container.DataItem, "d_31t").Equals(DBNull.Value) %>' />
                        <asp:Panel ID="pnl_31" runat="server" Style="visibility: hidden;" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" BackColor="#FFFFCC" 
                            Visible='<%# !DataBinder.Eval(Container.DataItem, "d_31t").Equals(DBNull.Value) %>' >
                           <%# DataBinder.Eval(Container.DataItem, "d_31t") %>
                        </asp:Panel>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                
                
                <telerik:GridRowIndicatorColumn></telerik:GridRowIndicatorColumn> <%--tohle tu musí být, jinak havaruje export--%>
            
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server" DateControl="TRadObdobi" ExportButton-ShowExportToExcelBIFFItem="true" ExportButton-ShowExportToCsvItem="false" ExportButton-ShowExportToExcelHtmlItem="false">
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>

    <asp:HiddenField ID="HF_spz" runat="server" />
    <asp:ObjectDataSource ID="ODS_polozky" runat="server" OldValuesParameterFormatString="original_{0}"
             SelectMethod="BlokaceSelect" InsertMethod="BlokaceInsert" UpdateMethod="BlokaceUpdate" DeleteMethod="BlokaceDelete" TypeName="KSProgram.Sluzebky.SlcVozidla" >
                <SelectParameters>
                    <asp:ControlParameter Name="spz" Type="String" DefaultValue="" ControlID="HF_spz" PropertyName="Value" />
                    <asp:Parameter Name="dat_od" Type="DateTime" />
                    <asp:Parameter Name="dat_do" Type="DateTime" />
                </SelectParameters>
                <InsertParameters>
                    <asp:ControlParameter Name="spz" Type="String" DefaultValue="" ControlID="HF_spz" PropertyName="Value" />
                    <asp:Parameter Name="dat_od" Type="DateTime" />  
                    <asp:Parameter Name="dat_do" Type="DateTime" />     
                    <asp:Parameter Name="duvod" Type="String" />
                    <asp:Parameter Name="poznamka" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="original_id" Type="Int32" />                      
                    <asp:Parameter Name="dat_od" Type="DateTime" />    
                    <asp:Parameter Name="dat_do" Type="DateTime" />
                    <asp:Parameter Name="duvod" Type="String" />
                    <asp:Parameter Name="poznamka" Type="String" />
                </UpdateParameters>
                <DeleteParameters>                    
                    <asp:Parameter Name="original_id" Type="Int32" />
                </DeleteParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="ODS_duvody" runat="server"
                SelectMethod="BlokaceDuvody" TypeName="KSProgram.Sluzebky.SlcVozidla">
            </asp:ObjectDataSource>

    <telerik:RadWindow KeepInScreenBounds="true" ID="RadWinEdit" runat="server" AutoSize="False" 
        Height="600" Width="1000" InitialBehaviors="Resize" VisibleStatusbar="False" 
        Behaviors="Resize, Close, Maximize, Move, Reload" DestroyOnClose="False" Modal="True">
        <ContentTemplate>
            
            <kspwc:TRadGrid ID="RG_polozky_dne" runat="server" DataSourceID="ODS_polozky" AutoGenerateColumns="false" 
                AllowAutomaticDeletes="True" AllowAutomaticInserts="True" AllowAutomaticUpdates="True"
                OnItemCreated="RG_polozky_dne_ItemCreated" OnItemCommand="RG_polozky_dne_ItemCommand" >
                <MasterTableView  AutoGenerateColumns="False" DataKeyNames="id" CommandItemDisplay="Top">                    
                    <Columns>
                        <telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn">
                        </telerik:GridEditCommandColumn>                        
                        
                        <telerik:GridBoundColumn UniqueName="id" HeaderText="[%ID%]" DataField="id" Visible="false" Display="false" ReadOnly="true" DataType="System.Int32">
                        </telerik:GridBoundColumn>
                        <telerik:GridDropDownColumn UniqueName="duvod" HeaderText="[%Důvod%]" DataField="duvod" DataSourceID="ODS_duvody" ListTextField="text" ListValueField="value"
                             AllowAutomaticLoadOnDemand="false" AllowVirtualScrolling="false">
                            <ColumnValidationSettings EnableRequiredFieldValidation="true">
                                <RequiredFieldValidator ForeColor="Red" ErrorMessage="[%Povinná položka%]"></RequiredFieldValidator>
                            </ColumnValidationSettings>
                        </telerik:GridDropDownColumn>
                        <telerik:GridBoundColumn UniqueName="poznamka" HeaderText="[%Poznámka%]" DataField="poznamka" MaxLength="100" ItemStyle-Width="150px">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn UniqueName="vlozil_jmeno" HeaderText="[%Vložil%]" DataField="vlozil_jmeno" ReadOnly="true">
                        </telerik:GridBoundColumn>
                        <telerik:GridDateTimeColumn UniqueName="dat_od" HeaderText="[%Datum počátku%]"
                            DataField="dat_od" DataType="System.DateTime" DataFormatString="{0:dd.MM.yyyy HH:mm}" EditDataFormatString="dd.MM.yyyy HH:mm" PickerType="DateTimePicker" ItemStyle-Width="90px">
                            <ColumnValidationSettings EnableRequiredFieldValidation="true">
                                <RequiredFieldValidator ForeColor="Red" ErrorMessage="[%Povinná položka%]"></RequiredFieldValidator>
                            </ColumnValidationSettings>
                        </telerik:GridDateTimeColumn>                
                        <telerik:GridDateTimeColumn UniqueName="dat_do" HeaderText="[%Datum konce%]" 
                            DataField="dat_do" DataType="System.DateTime" DataFormatString="{0:dd.MM.yyyy HH:mm}" EditDataFormatString="dd.MM.yyyy HH:mm" PickerType="DateTimePicker" ItemStyle-Width="90px">
                            <ColumnValidationSettings EnableRequiredFieldValidation="true">
                                <RequiredFieldValidator ForeColor="Red" ErrorMessage="[%Povinná položka%]"></RequiredFieldValidator>                                
                            </ColumnValidationSettings>
                        </telerik:GridDateTimeColumn>
                        <telerik:GridButtonColumn UniqueName="Btn_Ukonci" CommandName="Ukonci" ButtonType="LinkButton" Text="[%Ukonči%]" />

                        <telerik:GridButtonColumn CommandName="Delete" ButtonType="ImageButton" Text="[%Smazat%]" />
                    </Columns>
                    <CommandItemTemplate>
                        <kspwc:GridCommandItemControl ID="GCIC" runat="server" AddNewItemButton-Visible="true" FilterButton-Visible="false" ExportButton-Visible="false">
                        </kspwc:GridCommandItemControl>
                    </CommandItemTemplate>
                </MasterTableView>
            </kspwc:TRadGrid>
            
        </ContentTemplate>
    </telerik:RadWindow>

</asp:Content>
