﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using Telerik.Web.UI;
using System.Drawing;

namespace KSPortal.Sestavy
{
    public partial class SestJubilea : TPage
    {
        public SestJubilea()
        {
            IdPrava = 225;
            //this.AutomatickyUlozitNastaveni = true;
            this.HelpURL = "Jubilea_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
            VerzeStranky = "1.1";
        }



        protected void TRG_jubilea_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            List<KSProgram.Jubilea.Jubileum> data = new List<KSProgram.Jubilea.Jubileum>() { };

            if (IsPostBack)
            {
                DateTime dat_od = (DateTime)TRG_jubilea.Datum.SelectedObdobiOd;
                DateTime dat_do = (DateTime)TRG_jubilea.Datum.SelectedObdobiDo;

                if (dat_od > dat_do)
                {
                    DateTime pom = dat_od;
                    dat_od = dat_do;
                    dat_do = pom;
                }
                data = KSProgram.Jubilea.GetJubilea(dat_od, dat_do, null);
            }
            TRG_jubilea.DataSource = data;
        }

        protected void TRG_jubilea_ItemDataBound(object sender, GridItemEventArgs e)
        {
            //Nastavení zbarvení datů, která jsou důležitá
            if (e.Item is GridDataItem)
            {
                bool prac_v_intervalu = (bool)DataBinder.Eval(e.Item.DataItem, "prac_v_intervalu");
                if (prac_v_intervalu)
                {
                    ((GridDataItem)e.Item)["datum_nastupu"].ForeColor = KSProgram.Funkce.F_Drawing.UpravBarvuNaSvetlost(Color.Red, 65);
                    ((GridDataItem)e.Item)["datum_nastupu"].Font.Bold = true;
                    ((GridDataItem)e.Item)["roky_zam"].ForeColor = KSProgram.Funkce.F_Drawing.UpravBarvuNaSvetlost(Color.Red, 65);
                    ((GridDataItem)e.Item)["roky_zam"].Font.Bold = true;
                }
                bool ziv_v_intervalu = (bool)DataBinder.Eval(e.Item.DataItem, "ziv_v_intervalu");
                if (ziv_v_intervalu)
                {
                    ((GridDataItem)e.Item)["datum_narozeni"].ForeColor = KSProgram.Funkce.F_Drawing.UpravBarvuNaSvetlost(Color.Blue, 65);
                    ((GridDataItem)e.Item)["datum_narozeni"].Font.Bold = true;
                    ((GridDataItem)e.Item)["vek"].ForeColor = KSProgram.Funkce.F_Drawing.UpravBarvuNaSvetlost(Color.Blue, 65);
                    ((GridDataItem)e.Item)["vek"].Font.Bold = true;
                }
            }
        }
    }
}