﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Personal_SeznamZam"
    CodeBehind="SeznamZam.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents1">
            function showContextMenu(sender, args) {
                var element = sender.get_element();
                var contextMenu = $find("<%= RadContextMenu1.ClientID %>");
                if (contextMenu) {
                    var currentLocation = $telerik.getBounds(element);
                    contextMenu.showAt(currentLocation.x, currentLocation.y + currentLocation.height);
                }
            }
        </script>
    </telerik:RadScriptBlock>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Seznam zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>
    <div>
        <div style="float: left; padding-right: 5px">
            <asp:ObjectDataSource ID="ODS_podnik" runat="server" OldValuesParameterFormatString="original_{0}"
                SelectMethod="StromStredisek" TypeName="KSProgram.Obecne.StrukturaOrganizace"></asp:ObjectDataSource>
            <kspwc:TreeControl ID="TC_Podnik" runat="server" CssClass="tiskHide" DataSourceID="ODS_podnik"
                Width="300px" HeaderText="<span style='color: var(--kscolor1);'>.</span>" OnSelectedItemChanged="TC_Podnik_SelectedItemChanged"
                StartingExpandDepth="1" OnItemCreated="TC_Podnik_ItemCreated" Visible="False">
            </kspwc:TreeControl>
        </div>
        <div style="float: left">

            <asp:ObjectDataSource ID="ODS_Zamestnanci" runat="server" OldValuesParameterFormatString="original_{0}"
                SelectMethod="Zamestnanci" TypeName="KSProgram.Seznamy">
                <SelectParameters>
                    <asp:Parameter DefaultValue="" Name="strediska" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <telerik:RadContextMenu ID="RadContextMenu1" runat="server"
                OnItemClick="RadContextMenu1_ItemClick" OnLoad="RadContextMenu1_Load">
                <Items>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/OsUdaje.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/PracPomer.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/Dovolena.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/Poznamky.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/PracMistoZam.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Zamestnanec/PrubZam.aspx">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" Target="_self" Value="Dokumenty/DokumentyPrijate.aspx">
                    </telerik:RadMenuItem>
                </Items>
            </telerik:RadContextMenu>
            <kspwc:TRadGrid ID="RadGrid1" runat="server" AutoGenerateColumns="False" GroupPanelPosition="Top" ShowGroupPanel="True" EnableHeaderContextMenu="true" EnableHeaderContextAggregatesMenu="true"
                DataSourceID="ODS_Zamestnanci" AllowPaging="True" AutoFilterControlWidth="true" AutoFilterWidth="true" MasterTableView-Caption="[%Seznam zaměstnanců%]"
                AllowSorting="True" OnItemCommand="RadGrid1_ItemCommand" OnItemCreated="RadGrid1_ItemCreated">
                <ClientSettings AllowDragToGroup="True">
                </ClientSettings>
                <GroupingSettings ShowUnGroupButton="true" />
                <MasterTableView CommandItemDisplay="Top" DataSourceID="ODS_Zamestnanci" ShowGroupFooter="true" ShowFooter="true"
                    DataKeyNames="os_cislo">
                    <Columns>
                        <telerik:GridTemplateColumn AllowFiltering="False" AllowSorting="False"
                            UniqueName="LinkColumn">
                            <ItemTemplate>
                                <telerik:RadButton ID="Button1" runat="server" OnClientClicked="showContextMenu"
                                    UseSubmitBehavior="False" AutoPostBack="true" CausesValidation="False" ButtonType="StandardButton"
                                    CommandName="ShowContextMenu" Width="26px">
                                    <Icon PrimaryIconCssClass="fi fi-list ksicon16" />
                                </telerik:RadButton>
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridImageColumn DataImageUrlFields="foto" UniqueName="foto" ItemStyle-CssClass="img-round" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="36px" AllowFiltering="false">
                        </telerik:GridImageColumn>
                        <telerik:GridTemplateColumn DataField="os_cislo" FilterListOptions="VaryByDataType"
                            HeaderText="[%Os. číslo%]" SortExpression="os_cislo" UniqueName="os_cislo" DataType="System.Decimal" AllowFiltering="true">
                            <ItemTemplate>
                                <asp:LinkButton ID="LinkButton1" runat="server" CommandName="Select" Text='<%# Eval("os_cislo") %>'></asp:LinkButton>
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridBoundColumn DataField="prijmeni" FilterControlAltText="Filter prijmeni column" DataType="System.String" FilterListOptions="VaryByDataType"
                            HeaderText="[%Příjmení%]" SortExpression="prijmeni" UniqueName="prijmeni">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column" DataType="System.String"
                            HeaderText="[%Jméno%]" SortExpression="jmeno" UniqueName="jmeno">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="titul" FilterControlAltText="Filter titul column" DataType="System.String"
                            HeaderText="[%Titul%]" SortExpression="titul" UniqueName="titul">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ulice_trv" FilterControlAltText="Filter ulice_trv column" DataType="System.String"
                            HeaderText="[%Ulice%]" SortExpression="ulice_trv" UniqueName="ulice_trv">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="misto_trv" FilterControlAltText="Filter misto_trv column" DataType="System.String"
                            HeaderText="[%Místo%]" SortExpression="misto_trv" UniqueName="misto_trv">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="kmen_str" FilterControlAltText="Filter kmen_str column" DataType="System.String"
                            HeaderText="[%Kmenové středisko%]" SortExpression="kmen_str" UniqueName="kmen_str">
                        </telerik:GridBoundColumn>
                        <telerik:GridDateTimeColumn DataField="datum_nastupu" FilterControlAltText="Filter datum_nastupu column"
                            HeaderText="[%Datum nástupu%]" SortExpression="datum_nastupu" UniqueName="datum_nastupu" DataType="System.DateTime"
                            DataFormatString="{0:d}">
                        </telerik:GridDateTimeColumn>
                        <telerik:GridDateTimeColumn DataField="datum_vystupu" FilterControlAltText="Filter datum_vystupu column"
                            HeaderText="[%Datum výstupu%]" SortExpression="datum_vystupu" UniqueName="datum_vystupu" DataType="System.DateTime"
                            DataFormatString="{0:d}">
                        </telerik:GridDateTimeColumn>
                    </Columns>
                    <CommandItemTemplate>
                        <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                            <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false" ShowExportToExcelBIFFItem="true" />
                            <PrimiPodrizeniButton ID="PrimiPodrizeniButton1" runat="server" Visible="true">
                            </PrimiPodrizeniButton>
                            <BezMESButton ID="BezMESButton1" runat="server" Visible="true">
                            </BezMESButton>
                        </kspwc:GridCommandItemControl>
                    </CommandItemTemplate>
                </MasterTableView>
            </kspwc:TRadGrid>
        </div>
    </div>
</asp:Content>
