﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="SouhrnKvalifPozadavku.aspx.cs" Inherits="KSPortal.Sestavy.SouhrnKvalifPozadavku" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy runat="server" ID="ajax_manager">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<kspwc:TLabel ID="TLabel1" runat="server" Text="[%Souhrn kvalifikačních požadavků%]" CssClass="nadpis1"></kspwc:TLabel>--%>
    <div style="margin-bottom:8px; width: fit-content" class="ksprvek">
        <kspwc:StrSkupDiv runat="server" ID="stred" />
    </div>

<%--    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="SouhrnKvalifPozadavku" OnDataBinding="ObjectDataSource1_DataBinding" TypeName="KSProgram.Vzdelavani.PlanVzdelavani">
        <SelectParameters>
            <asp:Parameter Name="asDate1" Type="DateTime" />
            <asp:Parameter Name="asDate2" Type="DateTime" />
            <asp:Parameter Name="asStred" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>--%>
    <kspwc:TRadGrid ID="TRadGrid1" runat="server" ShowTitleRow="True" DataKeyNames="id_poz" AutoFilterControlWidth="false" AutoFilterWidth="true"
        ShowGroupPanel="True" AllowPaging="True" AllowFilteringByColumn="false" AllowSorting="true" MasterTableView-Caption="[%Souhrn kvalifikačních požadavků%]"
        AutoGenerateColumns="false" OnNeedDataSource="RadGrid1_NeedDataSource" >  <%--OnDataBinding="RadGrid1_DataBinding"--%> 
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <ColumnGroups>
                <telerik:GridColumnGroup Name="zam" HeaderText="[%Zaměstnanec%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="akt" HeaderText="[%Vzdělávací aktivita%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="pln" HeaderText="[%Plnění%]"></telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <telerik:GridBoundColumn DataField="pov_funkce" SortExpression="pov_funkce" HeaderText="[%Číslo p.m.%]" ColumnGroupName="zam" />
                <telerik:GridNumericColumn DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Os. číslo%]" DecimalDigits="0" DataType="System.Decimal" ColumnGroupName="zam"></telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" HeaderText="[%Příjmení%]" ColumnGroupName="zam" />
                <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" ColumnGroupName="zam" />
                <telerik:GridBoundColumn DataField="profese" SortExpression="profese" HeaderText="[%Profese%]" ColumnGroupName="zam" />
                <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" HeaderText="[%Kmen.středisko%]" ColumnGroupName="zam" />
                <telerik:GridBoundColumn DataField="osv" SortExpression="osv" HeaderText="[%Číslo%]" ColumnGroupName="akt"/>
                <telerik:GridBoundColumn DataField="osvedceni" SortExpression="osvedceni" HeaderText="[%Název%]" ColumnGroupName="akt" />
                <telerik:GridBoundColumn DataField="typ" SortExpression="typ" HeaderText="[%Typ%]" ColumnGroupName="akt" />
                <telerik:GridBoundColumn DataField="splnil" SortExpression="splnil" HeaderText="[%Splnil%]" ColumnGroupName="pln" />
                <telerik:GridDateTimeColumn DataField="datum_ukonceni" SortExpression="datum_ukonceni"
                    HeaderText="[%Platí do%]" DataFormatString="{0:d}" DataType="System.DateTime" ColumnGroupName="pln"></telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn DataField="duvod" SortExpression="duvod" HeaderText="[%Důvod výjimky%]" ColumnGroupName="pln" />
                <%--<telerik:GridBoundColumn DataField="duvod_splneni" SortExpression="duvod" HeaderText="[%Důvod splnění%]" />--%>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Enabled="true"
                    RebindButton-Visible="true">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="true"
                        ShowExportToExcelMLItem="false" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
           
</asp:Content>
