﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_TelSeznam" CodeBehind="TelSeznam.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .white_content {
            /*Styl pro vyskakovaci okno */
            display: none;
            width: 100%;
            height: auto;
            background-color: white;
            z-index: 1002;
            overflow: auto;
            padding-top: 10px;
            float: initial;
        }

        /*taby*/

        /* Style the list */
        ul.tab {
            list-style-type: none;
            margin: 0;
            padding: 0;
            overflow: hidden;
            padding-left: 34%;
            background-color: #f1f1f1;
        }

            /* Float the list items side by side */
            ul.tab li {
                float: left;
            }

                /* Style the links inside the list items */
                ul.tab li a {
                    display: inline-block;
                    color: black;
                    text-align: center;
                    padding: 7px 8px;
                    text-decoration: none;
                    transition: 0.3s;
                    font-size: 12px;
                    cursor: pointer;
                }

                    /* Change background color of links on hover */
                    ul.tab li a:hover {
                        background-color: #ddd;
                    }

                    /* Create an active/current tablink class */
                    ul.tab li a:focus, .active {
                        background-color: var(--kscolor1);
                        color: var(--kscolor1text) !important;
                    }

        /* Style the tab content */
        .tabcontent {
            display: none;
            padding: 6px 12px;
            border-top: none;
            width: 90%;
            height: 200px;
        }

        td.img-round img{
            /*border-radius: 50%;*/
        }

        .no-block-ui .rbIcon::before{
            width: 24px !important;
            height: 24px !important;
            font-size: 24px !important;
        }

        .QRKod{
            margin-top: 5px;
        }
    </style>


</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadScriptBlock ID="RSB_kontakty" runat="server">

        <script type="text/javascript" id="java_scripts_kontakty">
            function QrCodeClickOpen(sender, args) {
                if (document.getElementById('light_' + args._commandArgument).style.display == 'block')
                    document.getElementById('light_' + args._commandArgument).style.display = 'none';
                else
                    document.getElementById('light_' + args._commandArgument).style.display = 'block';
            }

            function openTab(sender, tabName) {
                // Declare all variables
                var i, tabcontent, tablinks, elem;

                // Get all elements with class="tabcontent" and hide them
                tabcontent = document.getElementsByClassName("tabcontent");
                for (i = 0; i < tabcontent.length; i++) {
                    tabcontent[i].style.display = "none";
                }

                // Get all elements with class="tablinks" and remove the class "active"
                tablinks = document.getElementsByClassName("tablinks");
                for (i = 0; i < tablinks.length; i++) {
                    tablinks[i].className = tablinks[i].className.replace(" active", "");
                }

                // Show the current tab, and add an "active" class to the link that opened the tab
                elem = document.getElementById(tabName);
                document.getElementById(tabName).style.display = "block";
                sender.currentTarget.className += " active";
            }

            <%--function toggleFiltr(sender, args) {
                //Komentar viz TRBFiltr_DataBinding
                var button = sender;
                var div = document.getElementById('filtr_div');

                var hiddenField = document.getElementById('<%= FiltrHiddenField.ClientID %>');
                if (button._checked) {
                    div.style.display = 'block';
                    hiddenField.value = 'True';
                }
                else {
                    div.style.display = 'none';
                    hiddenField.value = 'False';
                }
            }--%>

            function zmenSirku(className)
            {
                var elList = document.getElementsByClassName(className);
                width = 0;
                for (i = 0; i < elList.length; i++)
                {
                    if (elList[i].clientWidth > width) width = elList[i].clientWidth;
                }
                $("."+className).css("width", width + "px");
            }

            function zarovnejObsah(sender, args)
            {
                zmenSirku('tel_kam');
                zmenSirku('tel_cislo');
            }

            //function StartScript() {
            //    //toggleFiltr();
            //}
            //Sys.Application.add_load(StartScript);

        </script>
    </telerik:RadScriptBlock>


    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <telerik:RadPersistenceManagerProxy runat="server" ID="RPMP">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="RadGrid1" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>

    <%--<asp:HiddenField ID="FiltrHiddenField" runat="server" />--%>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Kontakty zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>

    <%-- Kvůli možnosti expand radku s detailem, je nutno na tlacisko pro export navazat skutecny postback jinak se export nepovede --%>
   <%-- <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" PostBackControls="ExportButton1">--%>
        <asp:ObjectDataSource ID="ObjectDataSource3" runat="server" SelectMethod="CiselnikTypuKontaktu"
            TypeName="KSProgram.Sestavy.DefSestavy_TelSeznam"></asp:ObjectDataSource>
                    <%--<div style="max-width: 500px;">
                        <div style="float: left; width: 100%;">
                            <div style="float: left; width: auto">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label8" runat="server" Text="[%Jméno%]"></asp:Label>
                                        </td>
                                        <td>
                                            <kspwc:TTextBox ID="TTB_jmeno" runat="server" Width="150"></kspwc:TTextBox>
                                        </td>

                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label9" runat="server" Text="[%Příjmení%]"></asp:Label>
                                        </td>
                                        <td>
                                            <kspwc:TTextBox ID="TTB_prijmeni" runat="server" Width="150"></kspwc:TTextBox>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div style="float: left; width: auto; padding-top: 5px">
                                <table>
                                    <tr>
                                        <td>
                                            <kspwc:TRadButton ID="TCB_archiv" runat="server" Text="[%Včetně ukončených poměrů%]" ToggleType="CheckBox" UseSaveSetting="true" ButtonType="ToggleButton" AutoPostBack="false">
                                            </kspwc:TRadButton>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <kspwc:TRadButton ID="TCB_mimoevid" runat="server" Text="[%Včetně mimoevidenčních stavů%]" ToggleType="CheckBox" UseSaveSetting="true" ButtonType="ToggleButton" AutoPostBack="false">
                                            </kspwc:TRadButton>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div style="float: left; max-width: 500px; padding-top: 10px; display: none" id="filtr_div">
                            
                            <asp:Repeater ID="Repeater1" runat="server" DataSourceID="ObjectDataSource3" OnItemDataBound="Repeater1_ItemDataBound">
                                <ItemTemplate>
                                    <div style="float: left; width: 140px">
                                        <asp:HiddenField ID="HiddenField1" runat="server" />
                                        <kspwc:TRadButton ID="RadButton1" runat="server" ToggleType="CheckBox" ButtonType="ToggleButton" AutoPostBack="false">
                                        </kspwc:TRadButton>
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                        </div>
                    </div>--%>
                    <kspwc:TRadGrid  ID="RadGrid1" runat="server" ShowStatusBar="false" AutoGenerateColumns="False" AllowSorting="True" AllowMultiRowSelection="False" OnItemCommand="RadGrid1_ItemCommand"
                        ExportSettings-ExportOnlyData="true" IgnorePaging="true" OnExcelMLExportRowCreated="RadGrid1_ExcelMLExportRowCreated" UseSaveSetting="true" AutoFilterWidth="true"
                        AllowPaging="true" OnNeedDataSource="RadGrid1_NeedDataSource" ShowHeader="true" ShowFooter="false" OnItemCreated="RadGrid1_ItemCreated">
                        <ClientSettings>
                            <ClientEvents OnGridCreated="zarovnejObsah" />
                        </ClientSettings>
                        <MasterTableView  DataKeyNames="os_cislo" CommandItemDisplay="Top" HierarchyLoadMode="ServerBind" GroupLoadMode="Server" Caption="[%Kontakty zaměstnanců%]">
                            <PagerStyle PageSizes="10,30,50,100,200" />
                            <CommandItemTemplate>
                                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" ExportButton-Visible="false">
                                    <%--<ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false" ShowExportToCsvItem="false" ShowExportToExcelBIFFItem="false" ShowExportToPdfItem="false"
                                        ShowExportToExcelMLItem="true" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" ShowExportToExcelXlsxItem="False" />--%>
                                    <BezMESButton runat="server" Visible="true"></BezMESButton>
                                    <ContentTemplate>
                                        <%--<div class="gridCommandButton">--%>
                                        <%-- Tlačítko pro zobrazení filtru, v template se ztraci jeho stav tak se ukládá v hiddenfield a OnDataBinding slouzí pro nastaveni jeho stavu --%>
                                        <%--<kspwc:TRadButton ID="TRBFiltr" runat="server" Text="[%Filtr%]" Icon-PrimaryIconUrl="~/Images/filter.png" AutoPostBack="false" ToggleType="CheckBox" ButtonType="StandardButton" OnClientCheckedChanged="toggleFiltr" OnDataBinding="TRBFiltr_DataBinding"></kspwc:TRadButton>
                                        </div>--%>
                                        <kspwc:TRadComboBox runat="server" ID="TRCB_tel_kam" DataTextField="tel_kam" DataValueField="tel_kam" DataSourceID="ObjectDataSource3" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="[%Typy kontaktů%]" OnItemDataBound="TRCB_tel_kam_ItemDataBound" CssClass="gridCommandButton"></kspwc:TRadComboBox>
                                    </ContentTemplate>
                                </kspwc:GridCommandItemControl>
                            </CommandItemTemplate>
                            <NestedViewTemplate>
                                <asp:Panel runat="server" ID="InnerContainer" Visible="false">
                                    <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" OldValuesParameterFormatString="original_{0}"
                                        SelectMethod="Kontakty" TypeName="KSProgram.Sestavy.DefSestavy_TelSeznam">
                                        <SelectParameters>
                                            <asp:Parameter Type="Decimal" Name="os_cislo" />
                                            <asp:Parameter Type="String" Name="tel_kam" />
                                            <asp:Parameter Type="Boolean" Name="pouze_povolene" DefaultValue="true" />
                                        </SelectParameters>
                                    </asp:ObjectDataSource>
                                    <fieldset class="itemFieldset" id="fieldset_id">
                                        <legend><%#Eval("titul")%> <%#Eval("jmeno")%> <%#Eval("prijmeni")%>
                                        </legend>
                                        <div>
                                            <div>
                                                <div style="float: left;">
                                                    <%--<telerik:RadBinaryImage runat="server" ID="RadBinaryImage1" AutoAdjustImageControlSize="true" Visible="false" Width="63px" Height="95px" ResizeMode="Fit" />--%>
                                                    <kspwc:TBinaryImage runat="server" ID="RadBinaryImage1" AutoAdjustImageControlSize="true" Visible="false" Width="100px" Height="100px" ResizeMode="Fit" CssClass="profileImg" />
                                                </div>
                                                <div style="float: left;">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <table>
                                                                    <tr>
                                                                        <td style="width: 45%">
                                                                            <asp:Label ID="Label3" runat="server" Text="[%Titul%]:" Font-Bold="true"></asp:Label>
                                                                        </td>
                                                                        <td><%#Eval("titul")%></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="width: 45%">
                                                                            <asp:Label ID="l_jmeno" runat="server" Text="[%Jméno%]:" Font-Bold="true"></asp:Label>
                                                                        </td>
                                                                        <td><%#Eval("jmeno")%></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="width: 45%">
                                                                            <asp:Label ID="l_prijmeni" runat="server" Text="[%Příjmení%]:" Font-Bold="true"></asp:Label>
                                                                        </td>
                                                                        <td><%#Eval("prijmeni")%></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td colspan="2" style="width: 45%">
                                                                            <kspwc:TRadButton ID="vCard_button" runat="server" BorderStyle="None" CssClass="no-block-ui" ButtonType="LinkButton" Icon-PrimaryIconCssClass="fi fi-id-badge" OnClick="vCard_button_Click" CommandArgument='<%# Eval("os_cislo") %>' AutoPostBack="true" Width="32" Height="32" ToolTip="[%Vizitka%]"></kspwc:TRadButton>
                                                                            <kspwc:TRadButton ID="qr_button" runat="server" BorderStyle="None" Image-ImageUrl="~/Images/qr_icon.png" Width="32" Height="32" OnClientClicked="QrCodeClickOpen" CommandArgument='<%# Eval("os_cislo") %>' AutoPostBack="false" CssClass="QRKod" ToolTip="[%Zobrazit QR kód%]"></kspwc:TRadButton>
                                                                        </td>
                                                                    </tr>

                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                                <div id="div_kontakt" style="float: left; padding-top: 6px; padding-left: 10px; max-width:calc(100%-250px); min-width: 300px">
                                                    <asp:Repeater ID="rep_test" runat="server">
                                                        <ItemTemplate>
                                                            <div style="clear:left">
                                                            <div id="div_tel_kam" class="tel_kam" style="float: left; padding-right: 2px; padding-bottom: 4px; max-width:300px">
                                                                <asp:Label ID="rep_label" runat="server" Text='<%#Eval("tel_kam")%>' Font-Bold="true"></asp:Label>:
                                                            </div>
                                                            <div id="div_tel_cislo" class="tel_cislo" style="float: left; padding-right: 8px; padding-bottom: 4px; max-width:300px">
                                                                <asp:Label ID="per_label" runat="server" Text='<%#Eval("tel_cislo")%>' Visible='<%# Eval("tel_cislo").ToString().IndexOf("@") == -1 ? true : false %>'></asp:Label>
                                                                <asp:HyperLink ID="per_link" runat="server" Text='<%#Eval("tel_cislo")%>' NavigateUrl='<%# "mailto:" + Eval("tel_cislo") %>' Visible='<%# Eval("tel_cislo").ToString().IndexOf("@") == -1 ? false : true %>' ></asp:HyperLink>
                                                            </div>
                                                            <div id="div_tel_pozn" class="tel_pozn" style="float: left; padding-right: 5px; padding-bottom: 4px;white-space: normal; ">
                                                                <asp:Label ID="pozn_label" runat="server" Style="font-style:italic" Text='<%#Eval("poznamka")%>'></asp:Label>                                                                
                                                            </div>   
                                                            </div>                                                                                                             
                                                        </ItemTemplate>                                                        
                                                    </asp:Repeater>
                                                </div>
                                                <div id='<%# "light_" + Eval("os_cislo") %>' class="white_content">
                                                    <div style="width: 98%; height: auto;">
                                                        <div>
                                                            <ul class="tab">
                                                                <li><a class="tablinks active" onclick='<%# "openTab(event,\"tab1_" + Eval("os_cislo") + "\")" %>'>VCard</a></li>
                                                                <li><a class="tablinks" onclick='<%# "openTab(event,\"tab2_" + Eval("os_cislo") + "\")" %>'>MeCard</a></li>
                                                            </ul>
                                                        </div>
                                                        <div id='<%# "tab1_" + Eval("os_cislo") %>' class="tabcontent" style="display: block">
                                                            <center>
                                                                <telerik:RadBarcode runat="server" ID="RadBarcodeVCard" Type="QRCode" Width="100%" ToolTip="QRCode format VCard" QRCodeSettings-ECI="Windows1250" QRCodeSettings-Mode="Byte" Visible="true">
                                                                    <QRCodeSettings AutoIncreaseVersion="true" />
                                                                </telerik:RadBarcode>
                                                            </center>
                                                        </div>

                                                        <div id='<%# "tab2_" + Eval("os_cislo") %>' class="tabcontent">
                                                            <center>
                                                                <telerik:RadBarcode runat="server" ID="RadBarcodeMeCard" Type="QRCode" Width="100%" ToolTip="QRCode format MeCard" QRCodeSettings-ECI="Windows1250" QRCodeSettings-Mode="Byte" Visible="true">
                                                                    <QRCodeSettings AutoIncreaseVersion="true" />
                                                                </telerik:RadBarcode>
                                                            </center>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                    </fieldset>
                                </asp:Panel>
                            </NestedViewTemplate>
                            <Columns>
                                <telerik:GridImageColumn DataImageUrlFields="image" UniqueName="foto" ItemStyle-CssClass="img-round"  ItemStyle-HorizontalAlign="Center" ItemStyle-Width="36px" AllowFiltering="false">
                                </telerik:GridImageColumn>
                                <telerik:GridNumericColumn DataField="os_cislo" UniqueName="kod" DataType="System.Decimal" HeaderText="[%Os. číslo%]" ItemStyle-Width="30"></telerik:GridNumericColumn>

                                <telerik:GridTemplateColumn HeaderText="[%Jméno%]" ItemStyle-CssClass="rgColumn-768-show" FooterStyle-CssClass="rgColumn-768-show" HeaderStyle-CssClass="rgColumn-768-show" Visible="false">
                                    <ItemTemplate>
                                        <asp:Label ID="labelX" Text='<%# Eval("titul") + " " + Eval("jmeno") + " " + Eval("prijmeni") %>' runat="server"></asp:Label>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridBoundColumn DataField="titul" UniqueName="titul" DataType="System.String" HeaderText="[%Titul%]" ItemStyle-Width="40" ItemStyle-CssClass="rgColumn-768-hide" FooterStyle-CssClass="rgColumn-768-hide" HeaderStyle-CssClass="rgColumn-768-hide"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="jmeno" UniqueName="jmeno" DataType="System.String" HeaderText="[%Jméno%]" ItemStyle-CssClass="rgColumn-768-hide" FooterStyle-CssClass="rgColumn-768-hide" HeaderStyle-CssClass="rgColumn-768-hide"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="prijmeni" UniqueName="prijmeni" DataType="System.String" HeaderText="[%Příjmení%]" ItemStyle-CssClass="rgColumn-768-hide" FooterStyle-CssClass="rgColumn-768-hide" HeaderStyle-CssClass="rgColumn-768-hide"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="kmen_str" UniqueName="kmen_str" DataType="System.String" HeaderText="[%Kmen. stř.%]" ItemStyle-Width="80"></telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="nazev" UniqueName="nazev" DataType="System.String" HeaderText="[%Název střediska%]" ItemStyle-CssClass="rgColumn-360-hide" FooterStyle-CssClass="rgColumn-360-hide" HeaderStyle-CssClass="rgColumn-360-hide"></telerik:GridBoundColumn>
                                <telerik:GridHyperLinkColumn DataTextField="email" HeaderText="[%E-mail do práce%]" DataNavigateUrlFields="email" DataNavigateUrlFormatString="mailto:{0}" UniqueName="email"></telerik:GridHyperLinkColumn>
                                <telerik:GridBoundColumn DataField="telefon" HeaderText="[%Telefon do práce%]" UniqueName="telefon"></telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn ItemStyle-Width="32" AllowFiltering="false">
                                    <ItemTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    <kspwc:TRadButton ID="vCard_button" runat="server" BorderStyle="None" CssClass="no-block-ui" ToolTip="[%Vizitka%]" ButtonType="LinkButton" Icon-PrimaryIconCssClass="fi fi-id-badge" OnClick="vCard_button_Click" CommandArgument='<%# Eval("os_cislo") %>' AutoPostBack="true" Width="32" Height="32" BackColor="Transparent"></kspwc:TRadButton>
                                                </td>
                                                <td>
                                                    <kspwc:TRadButton ID="portalMSG_button" runat="server" BorderStyle="None" Icon-PrimaryIconCssClass="fi fi-envelope" ToolTip="[%Portálová zpráva%]" CssClass="no-block-ui" OnClick="portalMSG_button_Click" CommandArgument='<%# Eval("prtl_os") %>' AutoPostBack="true" Width="32" Height="32" Visible='<%# Eval("prtl_os") == DBNull.Value ? false : true %>' BackColor="Transparent"></kspwc:TRadButton>
                                                </td>
                                            </tr>
                                        </table>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                            </Columns>

                        </MasterTableView>
                    </kspwc:TRadGrid>
    <%--</telerik:RadAjaxPanel>--%>
</asp:Content>
