﻿using KSProgram.Dochazka;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.ZakSpec
{
    public partial class ExportGroupM : TPage
    {

        public ExportGroupM()
        {
            IdPrava = 285;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);          

            if (!Page.IsPostBack)
            {                
                TRObdobi.SelectedDate = ParametryDochazky.OBDOBI_PRO_SESTAVY;
            }           
        }

        protected void TRadGrid1_GridExporting(object sender, GridExportingArgs e)
        {
            
        }

        protected void TRadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
        {
            if (e.CommandName == RadGrid.ExportToCsvCommandName)
            {
                TRadGrid1.ShowHeader = false;
                TRadGrid1.Rebind();
            }          
        }

        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {
            TRadGrid1.MasterTableView.CommandItemSettings.ShowExportToCsvButton = true;
            TRadGrid1.MasterTableView.CommandItemSettings.ShowExportToExcelButton = true;            
            TRadGrid1.ExportSettings.FileName = "Dovolená-" + ((DateTime)TRObdobi.SelectedDate).ToString("yyyyMM");
            TRadGrid1.MasterTableView.Caption = "Export dovolené";

            TRadGrid1.Visible = true;
            TRadGrid1.DataBind();

        }
    }
}