﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="ISoSSExport.aspx.cs" Inherits="KSPortal.ZakSpec.ISoSSExport" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript" id="telerikClientEvents1">
        function FileUploaded(sender, args) {
            var control = document.getElementById("<%=L_ExtFile.ClientID %>");
            control.style.display = "none";
        }
        function CheckResult(args) {
            if (args) {
                var button = $get("<%=TRB_KontrolaVysledkuAkce.ClientID %>");
                button.click(true);
            }
        }
        function PerformAction(args) {
            if (args) {
                var button = $get("<%=TRB_VyberAkceProvedeni.ClientID %>");
                button.click(true);
            }
        }
    </script>
    <%--<style type="text/css">
        div.RadComboBoxDropDown .rcbCheckBox, div.RadComboBoxDropDown .rcbCheckAllItemsCheckBox
        {
            vertical-align: middle !important;
            float: left !important;
            margin: 0 !important;
            padding: 0 5px 0 0 !important;
            line-height: 14px !important;
        }
    </style>--%>
    <style type="text/css">
        .ruBrowse {
            background-position: 0 -46px !important;
            width: 100px !important;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="LBTN_XMLSoubor">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="LBTN_XMLSoubor" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRG_Data">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_Data" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRG_Error">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_Error" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <%--<telerik:AjaxSetting AjaxControlID="TRB_KontrolaVysledku">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RAU_VyslSoubor" UpdatePanelCssClass="" />
                    <telerik:AjaxUpdatedControl ControlID="TRG_VysledekPrenosu" />
                </UpdatedControls>
            </telerik:AjaxSetting>--%>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <div>
        <table runat="server" id="HT_main" style="border: 1px solid #E5E5E5; border-collapse: collapse;">
            <tr>
                <td>
                    <%--************--%>
                    <%--Záložky okna--%>
                    <%--************--%>
                    <asp:Label ID="L_NazevForm" runat="server" Text="Přenos RSZ" Font-Bold="True" Font-Size="Medium" ForeColor="#0066cc"></asp:Label>
                    <telerik:RadTabStrip runat="server" ID="RTS_Prenosy" SelectedIndex="0" MultiPageID="RMP_ISoSS"
                        OnTabClick="RTS_Prenosy_TabClick">
                        <Tabs>
                            <%--<telerik:RadTab Text="Přenos RSZ" Width="200px">
                                <Tabs>--%>
                                    <telerik:RadTab Text="Přehled" PageViewID="RPV_RSZ_Prehled" Selected="true">
                                    </telerik:RadTab>
                                    <telerik:RadTab Text="Export" PageViewID="RPV_RSZ_Export">
                                    </telerik:RadTab>
                                    <telerik:RadTab Text="Potvrzení změn" PageViewID="RPV_RSZ_Potvrzeni">
                                    </telerik:RadTab>
                                <%--</Tabs>
                            </telerik:RadTab>--%>
                            <telerik:RadTab Text="Přenos EOSM" Width="200px" PageViewID="RPV_Nastaveni" Visible="false">
                            </telerik:RadTab>
                            <telerik:RadTab Text="Nastavení" Width="200px" PageViewID="RPV_Nastaveni" Visible="false">
                            </telerik:RadTab>
                        </Tabs>
                    </telerik:RadTabStrip>
                    <table cellspacing="10px">
                        <tr>
                            <td>
                                <br />
                                <telerik:RadMultiPage runat="server" ID="RMP_ISoSS">
                                    <%--**********--%>
                                    <%--RSZ export--%>
                                    <%--**********--%>
                                    <telerik:RadPageView runat="server" ID="RPV_RSZ_Export">
                                        <asp:Panel ID="Panel1" runat="server" Visible="false">
                                            <table>
                                                <tr>
                                                    <td valign="top">Soubor s externími údaji:
                                                    </td>
                                                    <td valign="top">
                                                        <asp:Label ID="L_ExtFile" runat="server" Visible="false" Font-Bold="true"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <telerik:RadAsyncUpload ID="RAU_ExtFile" runat="server" MaxFileInputsCount="1" OnFileUploaded="RAU_ExtFile_FileUploaded"
                                                            TemporaryFolder="~/Temp" OnClientFileUploaded="FileUploaded" Font-Bold="true"
                                                            Localization-Select="Vybrat soubor" AllowedFileExtensions=".csv" Localization-Remove="Zrušit Soubor"
                                                            HideFileInput="true" TemporaryFileExpiration="04:00:00">
                                                        </telerik:RadAsyncUpload>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel>
                                        <table>
                                            <tr>
                                                <td>
                                                    <kspwc:TRadButton ID="TRB_Nacist" runat="server" Text="Načíst data" OnClick="TRB_Nacist_Click"
                                                        Visible="false">
                                                    </kspwc:TRadButton>
                                                </td>
                                                <td>
                                                    <kspwc:TRadButton ID="TRB_CreateXML" runat="server" Text="Vytvořit XML" OnClick="TRB_CreateXML_Click">
                                                    </kspwc:TRadButton>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="L_TextDavka" runat="server" Visible="false" Font-Size="Small"></asp:Label>
                                                </td>
                                                <td>
                                                    <kspwc:TLinkButton ID="LBTN_XMLSoubor" runat="server" Text="" CssClass="no-block-ui"
                                                        Font-Bold="true" Font-Size="Medium" ForeColor="Blue" OnClick="LBTN_XMLSoubor_Click"></kspwc:TLinkButton>
                                                </td>
                                                <td>
                                                    <kspwc:TRadButton ID="TRB_SmazatDavku" runat="server" Text="Smazat dávku" OnClick="TRB_SmazatDavku_Click">
                                                    </kspwc:TRadButton>
                                                </td>
                                            </tr>
                                        </table>
                                        <br />
                                        <kspwc:TRadGrid ID="TRG_DataZamIns" runat="server" OnNeedDataSource="TRG_DataZamIns_NeedDataSource"
                                            OnItemDataBound="TRG_DataZamIns_ItemDataBound">
                                            <MasterTableView Caption="Data pro export do ISoSS" CommandItemDisplay="Top" AllowSorting="true">
                                                <CommandItemTemplate>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <kspwc:ExportGridButton ID="ExportGridButton1" runat="server" ShowExportToPdfItem="False" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </CommandItemTemplate>
                                            </MasterTableView>
                                        </kspwc:TRadGrid>
                                        <kspwc:TRadGrid ID="TRG_DataZamUpdt" runat="server" Visible="true" OnNeedDataSource="TRG_DataZamUpdt_NeedDataSource"
                                            AutoGenerateColumns="false">
                                            <GroupingSettings CaseSensitive="False"
                                                CollapseAllTooltip="Collapse all groups" />
                                            <MasterTableView AllowSorting="true" Caption="Data pro export do ISoSS"
                                                CommandItemDisplay="Top"
                                                DataKeyNames="Id, OpatreniDruh, OpatreniDuvod, OpatreniUcinnostDatum">
                                                <Columns>
                                                    <telerik:GridNumericColumn DataField="IdZmeny" HeaderText="IdZmeny" HeaderButtonType="TextButton" SortExpression="IdZmeny"></telerik:GridNumericColumn>
                                                    <telerik:GridNumericColumn DataField="OpatreniCislo" DataType="System.Int32"
                                                        HeaderButtonType="TextButton" HeaderText="OpatreniCislo"
                                                        SortExpression="OpatreniCislo">
                                                    </telerik:GridNumericColumn>
                                                    <telerik:GridTemplateColumn DataField="OpatreniDruh"
                                                        HeaderButtonType="TextButton" HeaderText="OpatreniDruh"
                                                        SortExpression="OpatreniDruh">
                                                        <ItemTemplate>
                                                            <telerik:RadTextBox ID="RNTB_OpatreniDruh" runat="server" AutoPostBack="True"
                                                                CssClass="povinne-pole" OnTextChanged="RTB_OpatreniDruh_TextChanged"
                                                                Text='<%# Eval("OpatreniDruh")%>' Width="100%">
                                                            </telerik:RadTextBox>
                                                        </ItemTemplate>
                                                    </telerik:GridTemplateColumn>
                                                    <telerik:GridTemplateColumn DataField="OpatreniDuvod"
                                                        HeaderButtonType="TextButton" HeaderText="OpatreniDuvod"
                                                        SortExpression="OpatreniDuvod">
                                                        <ItemTemplate>
                                                            <telerik:RadTextBox ID="RTB_OpatreniDuvod" runat="server" AutoPostBack="True"
                                                                CssClass="povinne-pole" OnTextChanged="RTB_OpatreniDuvod_TextChanged"
                                                                Text='<%# Eval("OpatreniDuvod")%>' Width="100%">
                                                            </telerik:RadTextBox>
                                                        </ItemTemplate>
                                                    </telerik:GridTemplateColumn>
                                                    <telerik:GridTemplateColumn DataField="OpatreniUcinnostDatum"
                                                        DataType="System.DateTime"
                                                        FilterControlAltText="Filter OpatreniUcinnostDatum column"
                                                        HeaderText="OpatreniUcinnostDatum" SortExpression="OpatreniUcinnostDatum"
                                                        UniqueName="OpatreniUcinnostDatum">
                                                        <ItemTemplate>
                                                            <kspwc:TRadDatePicker ID="TRDP_OpatreniUcinnostDatum" runat="server"
                                                                CssClass="povinne-pole" DbSelectedDate='<%# Bind("OpatreniUcinnostDatum") %>'
                                                                OnSelectedDateChanged="TRDP_OpatreniUcinnostDatum_SelectedDateChanged">
                                                            </kspwc:TRadDatePicker>
                                                        </ItemTemplate>
                                                        <ItemStyle HorizontalAlign="Right" />
                                                    </telerik:GridTemplateColumn>
                                                    <%--<telerik:GridBoundColumn DataField="OpatreniDruh" HeaderButtonType="TextButton" 
                                                        HeaderText="OpatreniDruh" SortExpression="OpatreniDruh"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="OpatreniDuvod" HeaderButtonType="TextButton" 
                                                        HeaderText="OpatreniDuvod" SortExpression="OpatreniDuvod"></telerik:GridBoundColumn>
                                                    <telerik:GridDateTimeColumn DataField="OpatreniUcinnostDatum" 
                                                        DataFormatString="{0:dd.MM.yyyy}" DataType="System.DateTime" 
                                                        HeaderButtonType="TextButton" HeaderText="OpatreniUcinnostDatum" 
                                                        SortExpression="OpatreniUcinnostDatum">
                                                    </telerik:GridDateTimeColumn>--%>
                                                    <telerik:GridBoundColumn DataField="OpatreniTyp" HeaderButtonType="TextButton"
                                                        HeaderText="OpatreniTyp" SortExpression="OpatreniTyp">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="ZamestnanecIdExterni"
                                                        HeaderButtonType="TextButton" HeaderText="ZamestnanecIdExterni"
                                                        SortExpression="ZamestnanecIdExterni">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="ZamestnanecId"
                                                        HeaderButtonType="TextButton" HeaderText="ZamestnanecId"
                                                        SortExpression="ZamestnanecId">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="TitulPred" HeaderButtonType="TextButton"
                                                        HeaderText="TitulPred" SortExpression="TitulPred">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="TitulZa" HeaderButtonType="TextButton"
                                                        HeaderText="TitulZa" SortExpression="TitulZa">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="UradSluzebniId"
                                                        HeaderButtonType="TextButton" HeaderText="UradSluzebniId"
                                                        SortExpression="UradSluzebniId">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="PusobisteSluzebniStat"
                                                        HeaderButtonType="TextButton" HeaderText="PusobisteSluzebniStat"
                                                        SortExpression="PusobisteSluzebniStat">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="PusobisteSluzebniRegion"
                                                        HeaderButtonType="TextButton" HeaderText="PusobisteSluzebniRegion"
                                                        SortExpression="PusobisteSluzebniRegion">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="PusobisteSluzebniObec"
                                                        HeaderButtonType="TextButton" HeaderText="PusobisteSluzebniObec"
                                                        SortExpression="PusobisteSluzebniObec">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="OznaceniSluzebni"
                                                        HeaderButtonType="TextButton" HeaderText="OznaceniSluzebni"
                                                        SortExpression="OznaceniSluzebni">
                                                    </telerik:GridBoundColumn>
                                                    <%--<telerik:GridBoundColumn DataField="MistoSluzebniId"
                                                        HeaderButtonType="TextButton" HeaderText="MistoSluzebniId"
                                                        SortExpression="MistoSluzebniId">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="MistoSluzebniNazev"
                                                        HeaderButtonType="TextButton" HeaderText="MistoSluzebniNazev"
                                                        SortExpression="MistoSluzebniNazev">
                                                    </telerik:GridBoundColumn>--%>
                                                    <telerik:GridBoundColumn DataField="Typ" HeaderButtonType="TextButton"
                                                        HeaderText="Typ" SortExpression="Typ">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridDateTimeColumn DataField="TrvaniDoDatum"
                                                        DataFormatString="{0:dd.MM.yyyy}" DataType="System.DateTime"
                                                        HeaderButtonType="TextButton" HeaderText="TrvaniDoDatum"
                                                        SortExpression="TrvaniDoDatum">
                                                    </telerik:GridDateTimeColumn>
                                                    <telerik:GridBoundColumn DataField="SluzbaOborId" HeaderButtonType="TextButton"
                                                        HeaderText="SluzbaOborId" SortExpression="SluzbaOborId">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="ZkouskaUredniId"
                                                        HeaderButtonType="TextButton" HeaderText="ZkouskaUredniId"
                                                        SortExpression="ZkouskaUredniId">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Trida" HeaderButtonType="TextButton"
                                                        HeaderText="Trida" SortExpression="Trida">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Stupen" HeaderButtonType="TextButton"
                                                        HeaderText="Stupen" SortExpression="Stupen">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="UvazekZkraceni"
                                                        HeaderButtonType="TextButton" HeaderText="UvazekZkraceni"
                                                        SortExpression="UvazekZkraceni">
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridRowIndicatorColumn></telerik:GridRowIndicatorColumn>
                                                </Columns>
                                                <CommandItemTemplate>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <kspwc:ExportGridButton ID="ExportGridButton1" runat="server"
                                                                    ShowExportToPdfItem="False" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </CommandItemTemplate>
                                            </MasterTableView>
                                        </kspwc:TRadGrid>
                                        <br />
                                        <kspwc:TRadGrid ID="TRG_Error" runat="server" OnNeedDataSource="TRG_Error_NeedDataSource">
                                            <MasterTableView Caption="Výpis chyb" AllowSorting="true">
                                                <CommandItemTemplate>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <kspwc:ExportGridButton ID="ExportGridButton2" runat="server" ShowExportToPdfItem="False" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </CommandItemTemplate>
                                            </MasterTableView>
                                        </kspwc:TRadGrid>
                                    </telerik:RadPageView>
                                    <%--***********--%>
                                    <%--RSZ přehled--%>
                                    <%--***********--%>
                                    <telerik:RadPageView runat="server" ID="RPV_RSZ_Prehled" Selected="true">
                                        <fieldset>
                                            <legend>Stav přenosu</legend>
                                            <kspwc:TLabel ID="L_StavPrenosu" runat="server" Text="" Font-Size="Medium"></kspwc:TLabel>
                                        </fieldset>
                                        <br />
                                        <%--<table>
                                            <tr>
                                                <td>Počet záznamů v dávce:</td>
                                                <td><telerik:RadNumericTextBox runat="server" ID="RNT_DavkaPocet" ShowSpinButtons="true" NumberFormat-DecimalDigits="0" Width="70"></telerik:RadNumericTextBox></td>
                                            </tr>
                                        </table>--%>
                                        <kspwc:TRadGrid ID="TRG_Prehled" runat="server" OnNeedDataSource="TRG_Prehled_NeedDataSource" OnItemDataBound="TRG_Prehled_ItemDataBound" AutoGenerateColumns="false"
                                            AllowMultiRowSelection="true">
                                            <MasterTableView Caption="Přehled změn" AllowSorting="true" DataKeyNames="IdZmeny">
                                                <%--<Columns>
                                            <telerik:GridDropDownColumn DataField="priorita" HeaderButtonType="TextButton" HeaderText="Priorita" SortExpression="priorita"></telerik:GridDropDownColumn>
                                            <telerik:GridBoundColumn></telerik:GridBoundColumn>
                                                <telerik:GridButtonColumn CommandName="Delete" Text="Smazat" ButtonType="ImageButton" UniqueName="DeleteColumn" />
                                                <telerik:GridButtonColumn CommandName="Delete" ButtonType="ImageButton" ConfirmText="Opravdu chcete smazat záznam?" ConfirmDialogType="RadWindow" ConfirmTitle="Mazání úkolu" ConfirmDialogWidth="330" ConfirmDialogHeight="100" />
                                            </Columns>--%>
                                                <Columns>
                                                    <%--<telerik:GridBoundColumn DataField="IdZmeny", typeof(Int32));--%>
                                                    <telerik:GridClientSelectColumn UniqueName="ClientSelectColumn1"></telerik:GridClientSelectColumn>
                                                    <telerik:GridNumericColumn DataField="IdZmeny" HeaderText="IdZmeny" HeaderButtonType="TextButton" SortExpression="IdZmeny"></telerik:GridNumericColumn>
                                                    <telerik:GridBoundColumn DataField="DatumZmeny" HeaderText="DatumZmeny" HeaderButtonType="TextButton" SortExpression="DatumZmeny"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Druh" HeaderText="Druh" HeaderButtonType="TextButton" SortExpression="Druh"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Tabulka" HeaderText="Tabulka" HeaderButtonType="TextButton" SortExpression="Tabulka"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Sloupec" HeaderText="Sloupec" HeaderButtonType="TextButton" SortExpression="Sloupec"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="OldHodnota" HeaderText="OldHodnota" HeaderButtonType="TextButton" SortExpression="OldHodnota"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="NewHodnota" HeaderText="NewHodnota" HeaderButtonType="TextButton" SortExpression="NewHodnota"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="OsCislo" HeaderText="Os. číslo" HeaderButtonType="TextButton" SortExpression="OsCislo"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="CisloPom" HeaderText="Č. p." HeaderButtonType="TextButton" SortExpression="CisloPom"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="EvidCislo" HeaderText="Evidenční čislo" HeaderButtonType="TextButton" SortExpression="EvidCislo"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Jmeno" HeaderText="Jméno" HeaderButtonType="TextButton" SortExpression="Jmeno"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Prijmeni" HeaderText="Příjmení" HeaderButtonType="TextButton" SortExpression="Prijmeni"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="IdDavky" HeaderText="IdDavky" HeaderButtonType="TextButton" SortExpression="IdDavky"></telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="Text" HeaderText="Text" HeaderButtonType="TextButton" SortExpression="Text"></telerik:GridBoundColumn>
                                                    <telerik:GridNumericColumn DataField="Priorita" HeaderText="Priorita" HeaderButtonType="TextButton" SortExpression="Priorita"></telerik:GridNumericColumn>
                                                    <%--<telerik:GridCheckBoxColumn DataField="Export" HeaderText="Export" HeaderButtonType="TextButton" SortExpression="Export"></telerik:GridCheckBoxColumn>--%>

                                                    <%--<telerik:GridButtonColumn CommandName="Delete" ButtonType="ImageButton" ConfirmText="Opravdu chcete smazat záznam?" ConfirmDialogType="RadWindow" ConfirmTitle="Mazání záznamu" ConfirmDialogWidth="330" ConfirmDialogHeight="100" />--%>
                                                    <%--<telerik:GridBoundColumn DataField="Priorita", typeof(Int16));--%>
                                                </Columns>
                                            </MasterTableView>
                                            <ClientSettings>
                                                <Selecting AllowRowSelect="true"></Selecting>
                                            </ClientSettings>
                                        </kspwc:TRadGrid>
                                        <br />
                                        <%--<kspwc:TLabel runat="server" ID="L_Vyber" Text="Pro vybrané záznamy:"></kspwc:TLabel>--%>
                                        <telerik:RadDropDownList runat="server" ID="RDDL_VyberAkce" Width="220" EnableDirectionDetection="true">
                                        </telerik:RadDropDownList>
                                        <kspwc:TRadButton runat="server" ID="TRB_VyberAkce" Text="Provést" OnClick="TRB_VyberAkce_Click" />
                                        <kspwc:TRadButton ID="TRB_VyberAkceProvedeni" runat="server" Text="Test" CssClass="hidden" OnClick="TRB_VyberAkceProvedeni_Click"></kspwc:TRadButton>
                                        <br />
                                        <%--Funkcionalita zatím není naprogramována!--%>
                                    </telerik:RadPageView>
                                    <%--*************--%>
                                    <%--RSZ potvrzeni--%>
                                    <%--*************--%>
                                    <telerik:RadPageView ID="RPV_RSZ_Potvrzeni" runat="server">
                                        <div>
                                            <table>
                                                <tr>
                                                    <td valign="top">Soubor s výsledkem exportu:
                                                    </td>
                                                    <td valign="top">
                                                        <asp:Label ID="L_VyslSoubor" runat="server" Visible="false" Font-Bold="true"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <telerik:RadAsyncUpload ID="RAU_VyslSoubor" runat="server" MaxFileInputsCount="1"
                                                            OnFileUploaded="RAU_VyslSoubor_FileUploaded" TemporaryFolder="~/Temp" OnClientFileUploaded="FileUploaded"
                                                            Font-Bold="true" Localization-Select="Vybrat soubor" AllowedFileExtensions=".xml"
                                                            Localization-Remove="Zrušit Soubor" HideFileInput="true" TemporaryFileExpiration="04:00:00">
                                                        </telerik:RadAsyncUpload>
                                                    </td>
                                                </tr>
                                            </table>
                                            <kspwc:TRadButton ID="TRB_KontrolaVysledku" runat="server" Text="Kontrola výsledku exportu"
                                                OnClick="TRB_KontrolaVysledku_Click">
                                            </kspwc:TRadButton>
                                            <kspwc:TRadButton ID="TRB_KontrolaVysledkuAkce" runat="server" Text="Test" CssClass="hidden" OnClick="TRB_KontrolaVysledkuAkce_Click">
                                            </kspwc:TRadButton>
                                            <br />
                                            <br />
                                            <asp:Label ID="L_Vysledek" runat="server" Text="Výsledek exportu" Font-Bold="true"
                                                Font-Size="Medium"></asp:Label>
                                            <br />
                                            <kspwc:TRadGrid ID="TRG_VysledekPrenosu" runat="server" OnNeedDataSource="TRG_VysledekPrenosu_NeedDataSource"
                                                OnItemDataBound="TRG_VysledekPrenosu_ItemDataBound">
                                                <MasterTableView Caption="Výsledek přenosu" AllowSorting="true">
                                                </MasterTableView>
                                                <%--<ClientSettings>
                                                                <Resizing AllowColumnResize="True" AllowRowResize="false" ResizeGridOnColumnResize="false"
                                                                    ClipCellContentOnResize="True" EnableRealTimeResize="false" AllowResizeToFit="True" />
                                                            </ClientSettings>--%>
                                            </kspwc:TRadGrid>
                                            <%--<kspwc:TLinkButton ID="LBTN_Test" runat="server" Text="[%Kontrola výsledku exportu%]" OnClick="LBTN_Test_Click"></kspwc:TLinkButton>--%>
                                        </div>
                                    </telerik:RadPageView>
                                    <%--*********--%>
                                    <%--Nastavení--%>
                                    <%--*********--%>
                                    <telerik:RadPageView ID="RPV_Nastaveni" runat="server">
                                        Funkcionalita zatím není naprogramována!
                                    </telerik:RadPageView>
                                </telerik:RadMultiPage>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <br />
    </div>
</asp:Content>
