﻿using KSProgram;
using KSProgram.Extensions;
using KSProgram.Obecne;
using KSProgram.ZakSpec;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.ZakSpec
{
    public partial class ImportShoppy : TPage
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (!IsPostBack)
            {
                dat_od.SelectedDate = ViceIco.ObdobiPodnikuPodleZamestnance(Globals.OsCisloAktUser).Date;
                dat_do.SelectedDate = ((DateTime)dat_od.SelectedDate).PosledniDen().Date;
            }           
        }

        public ImportShoppy()
        {
            IdPrava = 344;
        }

        protected void vytvorit_Click(object sender, EventArgs e)
        {
            DateTime ld_od = (DateTime)dat_od.SelectedDate;
            DateTime ld_do = (DateTime)dat_do.SelectedDate;
            foreach(ButtonListItem it in check_box_list.Items)
            {
                if (it.Selected)
                {
                    DchImportCalpra import = new DchImportCalpra(it.Value, ld_od, ld_do);
                    import.Import();
                }
            }
        }
    }
}