﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram;
using Telerik.Web.UI;

public partial class ZakSpec_PomeryNadrizeny : TSestavaPredek
{
    public ZakSpec_PomeryNadrizeny()
    {
        IdPrava = 227;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
    }

    protected void RadButton_CheckedChanged(object sender, EventArgs e)
    {
        RadButton rb = sender as RadButton;
        if (rb.Checked)
        {
            dsSestava.SelectParameters["vyber"].DefaultValue = rb.Value;
        }
    }

    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == "selectZam")
        {
            GridDataItem item = (GridDataItem)e.Item;
            if (item != null)
            {
                LinkButton link = (LinkButton)item["os_cislo"].Controls[0];
                OsCisloZmena.Nastavit(this, Convert.ToDecimal(link.Text));
                ObnovAktZam();
                Response.Redirect("~/Zamestnanec/PracPomer.aspx");
            }
        }
    }
}
