﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using System.Data;

namespace KSPortal.ZakSpec
{
    public partial class SestavaOverovaniZkr : TPage
    {
        private bool _plna_verze
        {
            get
            {
                return (ViewState["plna_verze"] != null ? Convert.ToBoolean(ViewState["plna_verze"]) : false);
            }
            set
            {
                ViewState["plna_verze"] = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public SestavaOverovaniZkr()
        {
            IdPrava = 175;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            /*
            if (!IsPostBack)
            {
                DateTime ldt_akt = new DateTime(DateTime.Now.Date.Year, DateTime.Now.Date.Month, 1);
                obdobi_od.SetDefaultObdobi(ldt_akt);
                obdobi_do.SetDefaultObdobi(ldt_akt);
                TGridView1.Visible = false;
                TGridView1.AllowFilteringByColumn = false;
                butt_filtrace.Visible = false;
                butt_filtrace.Checked = false;
            }
            */
        }

        /*
        protected void LinkButton1_Command(object sender, EventArgs e)
        {
            TGridView1.Visible = true;
            
            butt_filtrace.Visible = true;
            ObjectDataSource1.SelectParameters[0].DefaultValue = obdobi_od.SelectedValue.ToString();
            ObjectDataSource1.SelectParameters[1].DefaultValue = obdobi_do.SelectedValue.ToString();
            ObjectDataSource1.SelectParameters[2].DefaultValue = TRadButton_plna_verze.Checked.ToString();
            TGridView1.DataSourceID = "ObjectDataSource1";

            bool plna=TRadButton_plna_verze.Checked;
            

            bool plna = true;

            TGridView1.MasterTableView.GetColumn("spolecnost_1").Visible = plna;
            TGridView1.MasterTableView.GetColumn("kontakt_dne_1").Visible = plna;
            TGridView1.MasterTableView.GetColumn("reference_1").Visible = plna;
              
            TGridView1.MasterTableView.GetColumn("spolecnost_1b").Visible = plna;
            TGridView1.MasterTableView.GetColumn("kontakt_dne_1b").Visible = plna;
            TGridView1.MasterTableView.GetColumn("reference_1b").Visible = plna;

            TGridView1.MasterTableView.GetColumn("datum_2").Visible = plna;
            TGridView1.MasterTableView.GetColumn("vysledek_2").Visible = plna;

            TGridView1.MasterTableView.GetColumn("vysledek_3").Visible = plna;

            TGridView1.MasterTableView.GetColumn("datum_4").Visible = plna;
            TGridView1.MasterTableView.GetColumn("nalezen_4").Visible = plna;
            TGridView1.MasterTableView.GetColumn("informace_4").Visible = plna;  

            TGridView1.MasterTableView.GetColumn("insolvence_datum_5").Visible = plna;
            TGridView1.MasterTableView.GetColumn("insolvence_5").Visible = plna;
            TGridView1.MasterTableView.GetColumn("insolvence_detail_5").Visible = plna; 
            TGridView1.MasterTableView.GetColumn("exekuce_datum_5").Visible = plna;
            TGridView1.MasterTableView.GetColumn("exekuce_5").Visible = plna;
            TGridView1.MasterTableView.GetColumn("exekuce_detail_5").Visible = plna;  

            TGridView1.MasterTableView.GetColumn("datum_6").Visible = plna;
            TGridView1.MasterTableView.GetColumn("detail_6").Visible = plna;     

            TGridView1.MasterTableView.GetColumn("obchod_datum_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("obchod_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("obchod_detail_7").Visible = plna; 
            TGridView1.MasterTableView.GetColumn("obchod_konflikt_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_datum_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_detail_7").Visible = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_konflikt_7").Visible = plna;      

            TGridView1.MasterTableView.GetColumn("fr_9").Visible = plna;
            TGridView1.MasterTableView.GetColumn("fr_datum_9").Visible = plna;
            TGridView1.MasterTableView.GetColumn("fr_riziko_9").Visible = plna; 
            TGridView1.MasterTableView.GetColumn("fr_riz_podr_9").Visible = plna;   

            TGridView1.DataBind();
        }
        */
        protected bool _plna()
        {
            return false;
        }

        protected void TRB_ch_CheckedChanged(object sender, EventArgs e)
        {
            TRadButton TRB_ch = (TRadButton)sender;
            if (TRB_ch.Checked)
            {
                TGridView1.AllowFilteringByColumn = true;
            }
            else
            {
                TGridView1.AllowFilteringByColumn = false;
            }
            TGridView1.Rebind();
        }

        protected void TGridView1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable table = new DataTable();
            if (IsPostBack)
            {               
                _plna_verze = ((TRadButton)TGridView1.GetGridCommandItem("TRadButton_plna_verze", typeof(TRadButton))).Checked;
                //ViewState["plna_verze"] = plna;
                //if (ViewState["plna_verze"] != null)
                //    plna = Convert.ToBoolean(ViewState["plna_verze"]);
                table = new KSProgram.Sestavy.DefSestavy_overovani_zkr().Retrieve((DateTime)TGridView1.Datum.SelectedObdobiOd, (DateTime)TGridView1.Datum.SelectedObdobiDo, _plna_verze);
            }
            TGridView1.DataSource = table;
        }

        protected void TRadButton_plna_verze_DataBinding(object sender, EventArgs e)
        {
            ((TRadButton)sender).Checked = _plna_verze;          
        }

        private void _prepni_sloupce(bool plna)
        {
            TGridView1.MasterTableView.GetColumn("spolecnost_1").Display = plna;
            TGridView1.MasterTableView.GetColumn("kontakt_dne_1").Display = plna;
            TGridView1.MasterTableView.GetColumn("reference_1").Display = plna;

            TGridView1.MasterTableView.GetColumn("spolecnost_1b").Display = plna;
            TGridView1.MasterTableView.GetColumn("kontakt_dne_1b").Display = plna;
            TGridView1.MasterTableView.GetColumn("reference_1b").Display = plna;

            TGridView1.MasterTableView.GetColumn("datum_2").Display = plna;
            TGridView1.MasterTableView.GetColumn("vysledek_2").Display = plna;

            TGridView1.MasterTableView.GetColumn("vysledek_3").Display = plna;

            TGridView1.MasterTableView.GetColumn("datum_4").Display = plna;
            TGridView1.MasterTableView.GetColumn("nalezen_4").Display = plna;
            TGridView1.MasterTableView.GetColumn("informace_4").Display = plna;

            TGridView1.MasterTableView.GetColumn("insolvence_datum_5").Display = plna;
            TGridView1.MasterTableView.GetColumn("insolvence_5").Display = plna;
            TGridView1.MasterTableView.GetColumn("insolvence_detail_5").Display = plna;
            TGridView1.MasterTableView.GetColumn("exekuce_datum_5").Display = plna;
            TGridView1.MasterTableView.GetColumn("exekuce_5").Display = plna;
            TGridView1.MasterTableView.GetColumn("exekuce_detail_5").Display = plna;

            TGridView1.MasterTableView.GetColumn("datum_6").Display = plna;
            TGridView1.MasterTableView.GetColumn("detail_6").Display = plna;

            TGridView1.MasterTableView.GetColumn("obchod_datum_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("obchod_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("obchod_detail_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("obchod_konflikt_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_datum_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_detail_7").Display = plna;
            TGridView1.MasterTableView.GetColumn("zivnost_konflikt_7").Display = plna;

            TGridView1.MasterTableView.GetColumn("fr_9").Display = plna;
            TGridView1.MasterTableView.GetColumn("fr_datum_9").Display = plna;
            TGridView1.MasterTableView.GetColumn("fr_riziko_9").Display = plna;
            TGridView1.MasterTableView.GetColumn("fr_riz_podr_9").Display = plna;
        }

        protected void TGridView1_DataBound(object sender, EventArgs e)
        {
            _prepni_sloupce(_plna_verze);
        }
    }
}