﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="SestavaPrehledPoLidech.aspx.cs" Inherits="KSPortal.ZakSpec.UkolyOdmeny.SestavaPrehledPoLidech" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManager2" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RB_zam">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RPG_main" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RB_str">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RPG_main" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RDDL_roky">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RPG_main" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_ExportTo">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRB_ExportTo" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RPG_main">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RPG_main" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadPersistenceManagerProxy ID="RadPersistenceManagerProxy1" runat="server">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="RPG_main" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>
    <table>
        <tr>
            <td>
                <kspwc:TRadButton ID="RB_zam" runat="server" ToggleType="Radio" ButtonType="StandardButton"
                    GroupName="StandardButton" AutoPostBack="true" Checked="true" CommandName="zam"
                    OnCommand="RB_Command">
                    <ToggleStates>
                        <telerik:RadButtonToggleState Text="[%Odměny na zaměstnance%]" PrimaryIconCssClass="fi fi-cross-circle">
                        </telerik:RadButtonToggleState>
                        <telerik:RadButtonToggleState Text="[%Odměny na zaměstnance%]" PrimaryIconCssClass="fi fi-circle">
                        </telerik:RadButtonToggleState>
                    </ToggleStates>
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="RB_str" runat="server" ToggleType="Radio" Checked="false" GroupName="StandardButton"
                    ButtonType="StandardButton" AutoPostBack="true" CommandName="stred" OnCommand="RB_Command">
                    <ToggleStates>
                        <telerik:RadButtonToggleState Text="[%Odměny po střediscích%]" PrimaryIconCssClass="fi fi-cross-circle">
                        </telerik:RadButtonToggleState>
                        <telerik:RadButtonToggleState Text="[%Odměny po střediscích%]" PrimaryIconCssClass="fi fi-circle">
                        </telerik:RadButtonToggleState>
                    </ToggleStates>
                </kspwc:TRadButton>
            </td>
            <td>
                <asp:ObjectDataSource ID="ODS_roky" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="CiselnikRoku" TypeName="KSProgram.ZakSpec.UkolyOdmeny"></asp:ObjectDataSource>
                <telerik:RadDropDownList ID="RDDL_roky" runat="server" DataSourceID="ODS_roky" DataTextField="text"
                    DataValueField="value" AutoPostBack="True" 
                    ondatabound="RDDL_roky_DataBound" 
                    onselectedindexchanged="RDDL_roky_SelectedIndexChanged">
                </telerik:RadDropDownList>
            </td>
            <td>
                <kspwc:TRadButton ID="TRB_ExportTo" runat="server" OnClick="TRB_export_Click" Text="Export">
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="TRB_save_set" runat="server" Text="[%Uložit nastavení%]" OnClick="TRB_save_set_Click">
                    <Icon PrimaryIconCssClass="fi fi-disk"></Icon>
                </kspwc:TRadButton>
            </td>
            <td>
                <kspwc:TRadButton ID="TRadButton1" runat="server" Text="[%Vymazat nastavení%]" OnClick="TRB_rem_set_Click">
                    <Icon PrimaryIconCssClass="fi fi-trash"></Icon>
                </kspwc:TRadButton>
            </td>
        </tr>
    </table>
    <telerik:RadPivotGrid ID="RPG_main" runat="server" AllowSorting="True" EnableConfigurationPanel="True"
        EnableZoneContextMenu="True" OnNeedDataSource="RPG_main_NeedDataSource" Width="1024px"
        Height="800px" OnPivotGridCellExporting="RPG_main_PivotGridCellExporting" AggregatesLevel="2"
        >
        <Fields>
            <telerik:PivotGridRowField Caption="[%Odbor%]" DataField="odbor" UniqueName="odbor">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Oddělení%]" DataField="oddeleni" UniqueName="oddeleni">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Název oddělení%]" DataField="oddeleni_nazev" UniqueName="oddeleni_nazev">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Prac. kateg.%]" DataField="prac_kateg" UniqueName="prac_kateg">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Os. číslo%]" DataField="os_cislo" UniqueName="os_cislo">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Zaměstnanec%]" DataField="zamestnanec" UniqueName="zamestnanec">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Č. pom.%]" DataField="cislo_pom" UniqueName="cislo_pom">
            </telerik:PivotGridRowField>
            <telerik:PivotGridColumnField Caption="[%Rok%]" DataField="rok"
                UniqueName="rok">
            </telerik:PivotGridColumnField>
            <telerik:PivotGridColumnField Caption="[%Prostředky%]" DataField="por_prostredky"
                UniqueName="por_prostredky">
            </telerik:PivotGridColumnField>
            <telerik:PivotGridRowField Caption="[%ID úkolu%]" DataField="id_cis_ukoly" UniqueName="id_cis_ukoly">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Typ odměny%]" DataField="typ_odmeny" UniqueName="typ_odmeny">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Název úkolu%]" DataField="nazev" UniqueName="nazev">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Termín%]" DataField="termin" UniqueName="termin"  DataFormatString="{0:d.M.yyyy}" TotalFormatString="{0:d.M.yyyy}">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Období plán%]" DataField="obdobi_plan" UniqueName="obdobi_plan"  DataFormatString="{0:M.yyyy}" TotalFormatString="{0:M.yyyy}">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Období%]" DataField="obdobi" UniqueName="obdobi" DataFormatString="{0:M.yyyy}" TotalFormatString="{0:M.yyyy}">
            </telerik:PivotGridRowField>
            <telerik:PivotGridRowField Caption="[%Zadal%]" DataField="zadal" UniqueName="zadal">
            </telerik:PivotGridRowField>
            <telerik:PivotGridAggregateField CalculationExpression="" Caption="[%Nasmlouváno%]"
                DataField="nasmlouvano" DataFormatString="{0:#,##0}" GrandTotalAggregateFormatString=""
                TotalFormatString="{0:#,##0}" UniqueName="nasmlouvano">
                <TotalFormat Axis="Rows" Level="0" SortOrder="Ascending" TotalFunction="NoCalculation" />
            </telerik:PivotGridAggregateField>
            <telerik:PivotGridAggregateField CalculationExpression="" Caption="[%Vyplaceno%]"
                DataField="vyplaceno" DataFormatString="{0:#,##0}" GrandTotalAggregateFormatString=""
                TotalFormatString="{0:#,##0}" UniqueName="vyplaceno">
                <TotalFormat Axis="Rows" Level="0" SortOrder="Ascending" TotalFunction="NoCalculation" />
            </telerik:PivotGridAggregateField>
            <telerik:PivotGridAggregateField CalculationExpression="" Caption="[%Zbývá vyplatit%]"
                DataField="zbyva" DataFormatString="{0:#,##0}" GrandTotalAggregateFormatString=""
                TotalFormatString="{0:#,##0}" UniqueName="zbyva">
                <TotalFormat Axis="Rows" Level="0" SortOrder="Ascending" TotalFunction="NoCalculation" />
            </telerik:PivotGridAggregateField>
            <telerik:PivotGridAggregateField CalculationExpression="" Caption="[%Navrženo%]"
                DataField="navrzeno" DataFormatString="{0:#,##0}" GrandTotalAggregateFormatString=""
                TotalFormatString="{0:#,##0}" UniqueName="navrzeno">
                <TotalFormat Axis="Rows" Level="0" SortOrder="Ascending" TotalFunction="NoCalculation" />
            </telerik:PivotGridAggregateField>
        </Fields>
        <ClientSettings EnableFieldsDragDrop="True">
            <Scrolling AllowVerticalScroll="True" />
        </ClientSettings>
        <ConfigurationPanelSettings LayoutType="OneByFour" Position="Right" DefaultDeferedLayoutUpdate="True">
        </ConfigurationPanelSettings>
        <ExportSettings IgnorePaging="True" />
    </telerik:RadPivotGrid>
</asp:Content>
