﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using KSProgram.ZakSpec;
using Telerik.Web.UI;
using KSProgram.WebControls;

namespace KSPortal.ZakSpec.UkolyOdmeny
{
    public partial class SestavaRekapitulace : TPage
    {
        public SestavaRekapitulace()
        {
            IdPrava = 194;
            EnableVisibleSeznamZam = false;
        }

        //protected override void Page_Load(object sender, EventArgs e)
        //{
        //    base.Page_Load(sender, e);

        //    if (!IsPostBack)
        //    {
        //    }
        //}

        protected void TRadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable data = new DataTable();
            UkolyOdmeny2 ukoly = new UkolyOdmeny2();
            data = KSProgram.ZakSpec.UkolyOdmeny2.SestRekapitulace();
            //DataTable sortedDT = data;

            //if (data != null)
            //{
            //    DataView dv = data.DefaultView;
            //    dv.Sort = "por_prostredky desc, odbor asc, oddeleni asc";
            //    sortedDT = dv.ToTable();
            //}

            TRadGrid1.DataSource = data; // sortedDT;
        }

        protected void TRadGrid1_PreRender(object sender, EventArgs e)
        {
            UkolyOdmeny2 uo = new UkolyOdmeny2();
            UkolyOdmeny2.OsobaInfo osoba = uo.GetOsobaInfo();
            bool visibleOdbor = true;
            
            if (osoba.TypOsoby == UkolyOdmeny2.TypyOsob.VedouciOddeleni)
            {
                visibleOdbor = false;
            }

            TRadGrid1.MasterTableView.GetColumn("odbor").Visible = visibleOdbor;
            TRadGrid1.MasterTableView.GetColumn("limit_odbor").Visible = visibleOdbor;

            for (int i = 0; i < TRadGrid1.MasterTableView.GroupByExpressions.Count - 1; i++)
            {
                if (TRadGrid1.MasterTableView.GroupByExpressions[i].GroupByFields[0].FieldName == "ID")
                {
                    TRadGrid1.MasterTableView.GroupByExpressions.RemoveAt(i);
                }
            }

            GridGroupByExpression ex = new GridGroupByExpression();

            if (visibleOdbor)
            {
                GridGroupByExpression ex1 = new GridGroupByExpression();
                GridGroupByField fOdbor = new GridGroupByField();
                fOdbor.FieldName = "odbor";
                fOdbor.HeaderText = WebControlHelper.ZmenaTextu("[%Odbor%]");
                ex1.GroupByFields.Add(fOdbor);
                ex1.SelectFields.Add(fOdbor);
                TRadGrid1.MasterTableView.GroupByExpressions.Add(ex1);
            }

            GridGroupByField fProstredky = new GridGroupByField();
            fProstredky.FieldName = "por_prostredky";
            fProstredky.HeaderText = WebControlHelper.ZmenaTextu("[%Prostředky%]");
            //fProstredky.SortOrder = GridSortOrder.Descending;
            //fProstredky.SetSortOrder(GridSortOrder.Descending.ToString());
            
            ex.GroupByFields.Add(fProstredky);
            ex.SelectFields.Add(fProstredky);

            TRadGrid1.MasterTableView.GroupByExpressions.Add(ex);

            TRadGrid1.Rebind();
        }
    }
}