﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Zamestnanec
{
    /// <summary>
    /// Stránka pro tisk cestovního příkazu PR 15.4.2014 
    /// </summary>
    public partial class CestPrikazPrint : TPopUpPage
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            int ec = Convert.ToInt32(Session["cp_evcis"]);
            CP.EvCislo = ec;
            CP.PozId = 0; //PR 21.5.2018 
            CP.Nacist();
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            //ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "window.print()", true); //nefunguje - vykreslí se jen vertikální čára vlevo
            //PR 10.08.2020 
            //ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "window.setTimeout(function() { window.print(); }, 500);", true); //funguje, ale raději to níže
            ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "Sys.Application.add_load(function() {window.setTimeout(function() { window.print(); }, 500);});", true);
        
        }
    }
}