﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="EvidenceUrazu.aspx.cs" Inherits="KSPortal.Zamestnanec.EvidenceUrazu" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="wca" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="uc" TagName="poz_prilohy" Src="~/Controls/PrilohyManager.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../css/EvidenceUrazu.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HlavniOblast">
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">

            function RowDblClick(sender, eventArgs) {

                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());

            }

            function onPopUpShowing(sender, args) {

                args.get_popUp().className += " popUpEditForm";
            }
            function onLoadRadTimePicker2(sender, args) {
                RadTimePicker2 = sender;
            }

        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Evidence úrazů%]" CssClass="nadpis1"></asp:Label>--%>
    <div style="padding-bottom: 30px; max-width: 1024px">
        <kspwc:TRadGrid ID="trgUrazyZamestnance" runat="server" AllowPaging="True" ShowFooter="True" OnPreRender="trgUrazyZamestnance_PreRender"
            IdPravaEditace="206" AllowSorting="True" AutoGenerateColumns="False" ShowStatusBar="True" NotifikaceDisable="true"
            PageSize="50" OnNeedDataSource="trgUrazyZamestnance_NeedDataSource" OnUpdateCommand="trgUrazyZamestnance_UpdateCommand"
            OnEditCommand="trgUrazyZamestnance_EditCommand" OnInsertCommand="trgUrazyZamestnance_InsertCommand"
            OnItemDataBound="trgUrazyZamestnance_ItemDataBound" MasterTableView-Caption="[%Evidence úrazů%]"
            OnItemCommand="trgUrazyZamestnance_ItemCommand" OnDeleteCommand="trgUrazyZamestnance_DeleteCommand"
            OnItemCreated="trgUrazyZamestnance_ItemCreated" OnSelectedIndexChanged="trgUrazyZamestnance_SelectedIndexChanged">
            <MasterTableView Width="100%" CommandItemDisplay="Top" DataKeyNames="ident,cinn_id,dr_pr_id,dr_zran_id,popis_id,predpis_id,opatreni_id,vyjadreni_id,os_cislo" ClientDataKeyNames="os_cislo"
                HierarchyLoadMode="Conditional" EditMode="PopUp">
                <EditFormSettings>
                    <EditColumn UniqueName="EditCommandColumn1" FilterControlAltText="Filter EditCommandColumn1 column">
                    </EditColumn>
                    <FormStyle BackColor="Red"></FormStyle>
                    <FormCaptionStyle BackColor="Red"></FormCaptionStyle>
                    <FormTableItemStyle BackColor="Red"></FormTableItemStyle>
                    <FormTableAlternatingItemStyle BackColor="Red"></FormTableAlternatingItemStyle>
                    <FormTableButtonRowStyle BackColor="Red"></FormTableButtonRowStyle>
                    <PopUpSettings Modal="true" ScrollBars="Vertical" Height="700px" />
                </EditFormSettings>
                <Columns>
                    <telerik:GridEditCommandColumn ButtonType="ImageButton" ItemStyle-Width="30px" HeaderStyle-Width="30px">
                        <HeaderStyle Width="30px"></HeaderStyle>
                        <ItemStyle Width="30px"></ItemStyle>
                    </telerik:GridEditCommandColumn>
                    <telerik:GridButtonColumn CommandName="Delete" ButtonType="ImageButton" ItemStyle-Width="30px"
                        HeaderStyle-Width="30px" ConfirmText="[%Opravdu chcete smazat záznam%]?" ConfirmDialogType="RadWindow"
                        ConfirmTitle="[%Mazání záznamu o úrazu%]" ConfirmDialogWidth="330" ConfirmDialogHeight="100">
                        <HeaderStyle Width="30px"></HeaderStyle>
                        <ItemStyle Width="30px"></ItemStyle>
                    </telerik:GridButtonColumn>
                    <telerik:GridNumericColumn DataField="evid_cis" DecimalDigits="2" FilterControlAltText="Filter colevid column"
                        HeaderText="[%Evidenční číslo záznamu%]" UniqueName="cEvidCis">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="cislo_urazu" HeaderText="[%Evidenční číslo úrazu%]"
                        UniqueName="sCisloUrazu" FilterControlAltText="Filter sCisloUrazu column">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="stred" HeaderText="[%Středisko%]" UniqueName="sStred"
                        FilterControlAltText="Filter sStred column">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="misto" HeaderText="[%Místo%]" UniqueName="sMisto"
                        FilterControlAltText="Filter sMisto column">
                    </telerik:GridBoundColumn>
                    <telerik:GridCheckBoxColumn DataField="pravid_prac_bool" DataType="System.boolean" FilterControlAltText="Filter pravid_prac column"
                        HeaderText="[%Pravidelné pracoviště%]" UniqueName="pravid_prac">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridCheckBoxColumn>
                    <%--<telerik:GridTemplateColumn DataField="pravid_prac" FilterControlAltText="Filter TemplateColumn column"
                        HeaderText='Pravidelné pracoviště' UniqueName="tcPravidPrac" HeaderStyle-Wrap="true"
                        HeaderStyle-Width="80">
                        <ItemTemplate>
                            <telerik:RadButton ID="rbPravidPrac" runat="server" ToggleType="CheckBox" Checked='<%# Eval("pravid_prac")==DBNull.Value ? false : (Eval("pravid_prac").ToString().Trim()=="a"?true:false)%>'
                                Height="16px" Width="40px" ReadOnly="true">
                                <ToggleStates>
                                    <telerik:RadButtonToggleState Text="[%Ano%]" PrimaryIconCssClass="rbToggleCheckboxChecked"
                                        Value="true"></telerik:RadButtonToggleState>
                                    <telerik:RadButtonToggleState Text="[%Ne%]" PrimaryIconCssClass="rbToggleCheckbox"
                                        Value="false"></telerik:RadButtonToggleState>
                                </ToggleStates>
                            </telerik:RadButton>
                        </ItemTemplate>
                        <HeaderStyle Wrap="True" Width="80px"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" Width="100px" />
                    </telerik:GridTemplateColumn>--%>
                    <%-- <telerik:GridTemplateColumn DataField="kvalif" FilterControlAltText="Filter TemplateColumn column" 
                        HeaderText='Kvalifikace' UniqueName="tcKvalif" HeaderStyle-Wrap="true" HeaderStyle-Width="80">
                        <ItemTemplate>
                            <telerik:RadButton ID="rbKvalif" runat="server" ToggleType="CheckBox" Checked='<%# Eval("kvalif")==DBNull.Value ? false : (Eval("kvalif").ToString().Trim()=="a"?true:false)%>'
                                Height="16px" Width="40px" ReadOnly="true">
                                <ToggleStates>
                                    <telerik:RadButtonToggleState Text="[%Ano%]" PrimaryIconCssClass="rbToggleCheckboxChecked"
                                        Value="true"></telerik:RadButtonToggleState>
                                    <telerik:RadButtonToggleState Text="[%Ne%]" PrimaryIconCssClass="rbToggleCheckbox"
                                        Value="false"></telerik:RadButtonToggleState>
                                </ToggleStates>
                            </telerik:RadButton>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" />
                    </telerik:GridTemplateColumn>--%>
                    <telerik:GridBoundColumn DataField="datum" HeaderText="[%Datum%]" UniqueName="sDatum"
                        FilterControlAltText="Filter sDatum column" DataFormatString="{0:d.M.yyyy}">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="hodina" HeaderText="[%Hodina%]" UniqueName="sHodina"
                        FilterControlAltText="Filter sHodina column" DataFormatString="{0:t}">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="zac_smeny" HeaderText="[%Začátek směny%]" UniqueName="sZacSmeny"
                        FilterControlAltText="Filter sZacSmeny column" DataFormatString="{0:t}">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridBoundColumn>
                    <telerik:GridNumericColumn DataField="poc_osob" HeaderText="[%Počet zraněných osob%]" UniqueName="sPocOsob"
                        FilterControlAltText="Filter sPocOsob column">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridNumericColumn>
                </Columns>
                <EditFormSettings UserControlName="~/Controls/FormularUrazu.ascx" EditFormType="WebUserControl"
                    FormCaptionStyle-BackColor="Red" FormStyle-BackColor="Red" FormTableAlternatingItemStyle-BackColor="Red"
                    FormTableItemStyle-BackColor="Red" FormTableButtonRowStyle-BackColor="Red">
                    <EditColumn UniqueName="EditCommandColumn1">
                    </EditColumn>
                </EditFormSettings>
                <CommandItemTemplate>

                    <kspwc:TRadButton ID="TRB_add" runat="server" Text="[%Vložit nový%]" CommandName="InitInsert">
                        <Icon PrimaryIconCssClass="fi fi-add"></Icon>
                    </kspwc:TRadButton>

                    <kspwc:TRadButton ID="TRB_ch" runat="server" OnCheckedChanged="TRB_ch_CheckedChanged"
                        Text="[%Filtr%]" ToggleType="CheckBox" Icon-PrimaryIconCssClass="fi fi-filter">
                    </kspwc:TRadButton>

                    <kspwc:TRadButton ID="TRB_rebind" runat="server" Text="[%Načíst%]" CommandName="RebindGrid">
                        <Icon PrimaryIconCssClass="fi fi-rotate-right"></Icon>
                    </kspwc:TRadButton>
                    <kspwc:TRadButton ID="TRB_print" runat="server" Text="[%Tisk%]" CommandName="PrintForm">
                        <Icon PrimaryIconCssClass="fi fi-print"></Icon>
                    </kspwc:TRadButton>
                    <%--<kspwc:TRadButton ID="TRB_prilohy" runat="server" Text="[%Přílohy%]" CommandName="Prilohy">
                        </kspwc:TRadButton>--%>
                    <%-- <kspwc:TRadButton ID="TRB_prilohy" AutoPostBack="false" runat="server" Text="[%Příloha%]" OnClientClicked="showPrilohu" Visible="false">
                        </kspwc:TRadButton>--%>
                </CommandItemTemplate>
            </MasterTableView>
            <ClientSettings EnablePostBackOnRowClick="true">
                <Selecting AllowRowSelect="true"></Selecting>
                <ClientEvents OnRowDblClick="RowDblClick" OnPopUpShowing="onPopUpShowing"></ClientEvents>
                <Scrolling AllowScroll="True" UseStaticHeaders="True" />
            </ClientSettings>
            <%--<GroupingSettings ShowUnGroupButton="True" />--%>
        </kspwc:TRadGrid>
        <asp:ObjectDataSource ID="odsUrazyZamestnance" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="UrazyZamestnance" TypeName="KSProgram.LekarskaEvidence.Uraz">
            <SelectParameters>
                <asp:Parameter Name="Ident" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <%--<asp:ObjectDataSource ID="ODS_str" runat="server" TypeName="KSProgram.Ciselniky.CisStredisko"
            SelectMethod="VsechnaStrediska" EnableCaching="False" OldValuesParameterFormatString="original_{0}">
            <SelectParameters>
                <asp:Parameter Name="datumOd" Type="DateTime" />
                <asp:Parameter Name="datumDo" Type="DateTime" />
            </SelectParameters>
        </asp:ObjectDataSource>--%>

        <%--PŘÍLOHY--%>
        <br />
        <asp:Table runat="server" ID="pan_prilohy" Width="550">
            <%--<asp:TableRow>
                <asp:TableCell runat="server" SkinID="TitleRowStyle">
                    <asp:Label runat="server" ID="title_prilohy" Text="[%Přílohy%]"></asp:Label>
                </asp:TableCell>
            </asp:TableRow>--%>
            <asp:TableRow>
                <asp:TableCell runat="server">
                    <uc:poz_prilohy ID="uc_prilohy" runat="server" Vlastnik="uraz_form" />
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
        <div style="height: 10px;"></div>
        <%--KONEC PŘÍLOH--%>
    </div>
</asp:Content>
