﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Collections.Specialized;
using KSProgram.WebControls;
using System.Data;
using Telerik.Web.UI;

namespace KSPortal.Zamestnanec
{
    public partial class LekFormProLekare : System.Web.UI.Page
    {

        private decimal _osCislo; // MiKo Přepsáno na decimal
        private Int16? _cisloPom;
        private Int32 _idPracMist;
        private bool _vzdTel;
        private bool _vzdNec;
        private string _vybLek;
        private string _flags;
        private DateTime _referencniDatum;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                TIB_logo.ImageUrl = Zakaznik.GetLogoUrl(true);
            }

            RB_Zpet.NavigateUrl = Request.UrlReferrer.ToString();
            //lPodnikData.Text = Zakaznik.GetNazev();
            //lLekar.Text = "Mudr František Trčálek";

            //QueryStringCrypto qc = new QueryStringCrypto();
            //NameValueCollection coll = qc.DecryptRequestQuery();
            //_osCislo = Convert.ToDecimal(coll["osCislo"]); // MiKo přepsáno na decimal
            //_cisloPom = (coll["cisloPom"] == null) ? (Int16?)null : Convert.ToInt16(coll["aCisloPom"]);
            //if (_osCislo == 0 || _cisloPom == null) return;
            ////otáčím hodnotu parametrů aby bylo dodržena logika z tlusťocha a přitom mohl parametry 
            //_vzdTel = !Convert.ToBoolean(coll["vzdTel"]);
            //_vzdNec = !Convert.ToBoolean(coll["vzdNec"]);
            //_vybLek = coll["vybLek"];
            //_flags = coll["flags"];
            //_referencniDatum = Convert.ToDateTime(coll["referencniDatum"]);


            _osCislo = Convert.ToDecimal(Session["lek_os_cislo"]);
            _cisloPom = Convert.ToInt16(Session["lek_cislo_pom"]);
            _vzdTel = Convert.ToBoolean(Session["lek_vzd_tel"]);
            _vzdNec = Convert.ToBoolean(Session["lek_vzd_nec"]);
            _vybLek = Convert.ToString(Session["lek_vyb_lek"]);
            _flags = Convert.ToString(Session["lek_flags"]);
            _referencniDatum = Convert.ToDateTime(Session["lek_referencni_datum"]);


            if (_osCislo > 0)
            {
                odsHlavicka.SelectParameters["aOsCislo"].DefaultValue = _osCislo.ToString();
                odsHlavicka.SelectParameters["aCisloPom"].DefaultValue = _cisloPom.ToString();
                odsHlavicka.SelectParameters["aVzdTel"].DefaultValue = _vzdTel.ToString();
                odsHlavicka.SelectParameters["aVzdNec"].DefaultValue = _vzdNec.ToString();
                odsHlavicka.SelectParameters["aVybLek"].DefaultValue = _vybLek;
                odsHlavicka.SelectParameters["aFlags"].DefaultValue = _flags;
                odsHlavicka.SelectParameters["aReferencniDatum"].DefaultValue = _referencniDatum.ToString();
                rHlavicka.DataSource = odsHlavicka;
                rHlavicka.DataBind();
                rPaticka.DataSource = odsHlavicka;
                rPaticka.DataBind();
                //rddlLekar.DataSource = odsLekar;
                //rddlLekar.DataBind();
            }
        }

        protected override void OnPreRenderComplete(EventArgs e)
        {
            base.OnPreRenderComplete(e);

            //bobf 13.6.2019 doplním do hlavičky Výslednou kategorii rizika
            string columnName = "";
            string columnValue = "";
            if (TRadGrid1.Columns.Count > 1) columnName = TRadGrid1.Columns[1].UniqueName;
            if (columnName != "" && TRadGrid1.Items.Count > 0) columnValue = TRadGrid1.Items[0][columnName].Text;

            if (rHlavicka.Items.Count > 0)
            {
                Label lVyslKategRizika = (Label)rHlavicka.Items[0].FindControl("lVyslKategRizikaD");
                lVyslKategRizika.Text = columnValue;
            }

            //provádím lokalizaci položek
            WebControlHelper.ProjdiControls(this, string.Empty, WebControlHelper.ZmenaTextu);
        }

        protected void TRadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DateTime referencniDatum = DateTime.Today;
            if (_osCislo == 0) return;

            KSProgram.LekarskaEvidence.LekProhlidky pCLP = new KSProgram.LekarskaEvidence.LekProhlidky();
            DataTable dtH = KSProgram.LekarskaEvidence.LekProhlidky.FormProLekareTelo(_osCislo, _cisloPom, _idPracMist, _flags, referencniDatum);
            TRadGrid1.DataSource = KSProgram.LekarskaEvidence.LekProhlidky.FormProLekareTelo(_osCislo, _cisloPom, _idPracMist, _flags, referencniDatum);

        }

        protected void rHlavicka_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            _idPracMist = (Int32)DataBinder.Eval(e.Item.DataItem, "id_pracmist");

        }
    }
}