﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Collections;
using KSProgram.LekarskaEvidence;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Funkce;
using KSProgram.Data;

namespace KSPortal.Zamestnanec
{
    public partial class LekProhlDodatecne : TPage
    {
        public LekProhlDodatecne()
        {
            IdPrava = 260;
            EnableVisibleSeznamZam = true;

        }


        //protected void Page_Load(object sender, EventArgs e)
        //{

        //}


        protected void trgDodatecneProhlidky_OnNeedDataSource(object source, GridNeedDataSourceEventArgs e)
        {
            string resultString = "";
            DataTable ltblDodatecneZam = DodProhlidky.DodatecneZam(ref resultString);
            trgDodatecneProhlidky.DataSource = ltblDodatecneZam;
            if (resultString.Trim() != "") MessageBox.Alert(this.Page, resultString);
        }

        protected void trgDodatecneProhlidky_OnItemUpdated(object sender, GridUpdatedEventArgs e)
        {
            //if (e.Item.OwnerTableView.Name == "Cinn")
            //{
            //    TRG_doba_proj.Rebind();
            //}

            if (e.Exception != null)
            {
                MessageBox.Alert(Page, e.Exception.InnerException.Message, WebControlHelper.ZmenaTextu("[%Update se nezdařil%]"));
                e.ExceptionHandled = true;
            }
        }


        protected void rddlDrProh_OnSelectedIndexChanged(object sender, EventArgs e)
        {
            int liDrProh = Convert.ToInt32((sender as RadDropDownList).SelectedValue);
            RadNumericTextBox rntbCetnost = ((GridEditFormItem)((System.Web.UI.Control)(sender)).BindingContainer).FindControl("rntbCetnost") as RadNumericTextBox;
            Int32? liCetnost = SqlPrikaz.ExecuteScalarInt32("select cetnost from dr_proh where cislo = " + liDrProh.ToString());
            rntbCetnost.DbValue = liCetnost;
        }

        protected void trgDodatecneProhlidky_OnDeleteCommand(object sender, GridCommandEventArgs e)
        {

            //int liId = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["id"]);
            int liId = Convert.ToInt32((e.Item as GridDataItem).OwnerTableView.DataKeyValues[e.Item.ItemIndex]["id"]);
            DodProhlidky.DeleteDodatecne(liId);

        }


        //protected void trgDodatecneProhlidky_OnDeleteCommand(object sender, GridCommandEventArgs e)
        //{

        //    //int liId = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["id"]);
        //    int liId = Convert.ToInt32((e.Item as GridDataItem).OwnerTableView.DataKeyValues[e.Item.ItemIndex]["id"]);
        //    UskProhlidky.DeleteUskutecnene(liId);

        //}


        protected void trbUloz_OnCheckedChanged(Object sender, EventArgs e)
        {
            RadButton clickedButton = (RadButton)sender;
            string message = clickedButton.Checked ? "checked" : "unchecked" + Environment.NewLine;
            // EventLogConsole1.LoggedEvents.Add("OnCheckedChanged: The checkbox is " + message + ".");
        }

        protected void trgDodatecneProhlidky_OnInsertCommand(object sender, GridCommandEventArgs e)
        {

            GridEditFormItem editFormItem = e.Item as GridEditFormItem;

            RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
            RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
            TRadDatePicker trdpDatum = editFormItem.FindControl("trdpDatum") as TRadDatePicker;
            RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
            TRadButton trbPocitPeriodu = editFormItem.FindControl("trbPocitPeriodu") as TRadButton;
            TRadButton trbPotlPlanovani = editFormItem.FindControl("trbPotlPlanovani") as TRadButton;
            RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;

            int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
            string lsVstup = string.IsNullOrEmpty(rddlVstup.SelectedValue) ? null : rddlVstup.SelectedValue;
            DateTime? ldtDatum = trdpDatum.SelectedDate;
            string lsPotlPeriod = trbPocitPeriodu.Checked ? "A" : "N";
            string lsPredNastup = trbPotlPlanovani.Checked ? "A" : "N";
            string lsVyjimka = "";
            string lsPoznamka = string.IsNullOrEmpty(tbPoznamka.Text) ? null : tbPoznamka.Text.Trim();

            DodProhlidky.InsertDodatecne(Globals.OsCislo, Globals.OsCisloPomer.CisloPom, liDrProh, ldtDatum, lsPotlPeriod, lsPredNastup, lsVstup, lsVyjimka, lsPoznamka);

        }

        protected void trgDodatecneProhlidky_OnUpdateCommand(object sender, GridCommandEventArgs e)
        {

            GridEditFormItem editFormItem = e.Item as GridEditFormItem;

            int liId = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["id"]);
            //Decimal ldcOsCislo = Convert.ToDecimal(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["os_cislo"]);
            //int liCisPom = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["cislo_pom"]);

            RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
            RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
            RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
            TRadDatePicker trdpDatum = editFormItem.FindControl("trdpDatum") as TRadDatePicker;
            TRadButton trbPocitPeriodu = editFormItem.FindControl("trbPocitPeriodu") as TRadButton;
            TRadButton trbPotlPlanovani = editFormItem.FindControl("trbPotlPlanovani") as TRadButton;
            RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;

            int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
            string lsVstup = string.IsNullOrEmpty(rddlVstup.SelectedValue) ? null : rddlVstup.SelectedValue;
            string lsPotlPeriod = trbPocitPeriodu.Checked ? "A" : "N";
            string lsPredNastup = trbPotlPlanovani.Checked ? "A" : "N";
            string lsPoznamka = string.IsNullOrEmpty(tbPoznamka.Text) ? null : tbPoznamka.Text.Trim();
            DateTime? ldtDatum = trdpDatum.SelectedDate;

            DodProhlidky.UpdateDodatecne(liId, liDrProh, lsPotlPeriod, lsPredNastup, ldtDatum, lsPoznamka, lsVstup);

        }


        protected void trgDodatecneProhlidky_OnItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
            {
                GridEditFormItem editFormItem = e.Item as GridEditFormItem;

                RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
                RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
                TRadDatePicker trdpDatum = editFormItem.FindControl("trdpDatum") as TRadDatePicker;
                RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
                TRadButton trbPocitPeriodu = editFormItem.FindControl("trbPocitPeriodu") as TRadButton;
                TRadButton trbPotlPlanovani = editFormItem.FindControl("trbPotlPlanovani") as TRadButton;
                RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;

                GridDataItem parentItem = editFormItem.ParentItem;
                if (parentItem != null)
                {
                    Int32 liId = (Int32)DataBinder.Eval(parentItem.DataItem, "id");
                    decimal ldcOsCislo = (decimal)DataBinder.Eval(parentItem.DataItem, "os_cislo");
                    Int16? liCisloPom = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "cislo_pom") ? (Int16?)null : Convert.ToInt16(DataBinder.Eval(parentItem.DataItem, "cislo_pom"));
                    Int32 liDrProh = (Int32)DataBinder.Eval(parentItem.DataItem, "dr_proh");
                    string lsVstup = DataBinder.Eval(parentItem.DataItem, "vstup").ToString();
                    Int32? liCetnost = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "cetnost") ? (Int32?)null : Convert.ToInt32(DataBinder.Eval(parentItem.DataItem, "cetnost"));
                    DateTime? ldtDatum = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "datum") ? (DateTime?)null : (DateTime)DataBinder.Eval(parentItem.DataItem, "datum");
                    string lsPotlPeriod = DataBinder.Eval(parentItem.DataItem, "period").ToString();
                    string lsPotlPlan = DataBinder.Eval(parentItem.DataItem, "vyjimka").ToString();
                    string lsPoznamka = DataBinder.Eval(parentItem.DataItem, "poznamka").ToString();

                    rddlDrProh.SelectedValue = liDrProh.ToString();
                    rddlVstup.SelectedValue = lsVstup;
                    rntbCetnost.Value = liCetnost;
                    trbPocitPeriodu.Checked = lsPotlPeriod == "A";
                    trbPotlPlanovani.Checked = lsPotlPlan == "A";
                    trbPotlPlanovani.Value = lsPotlPlan;
                    trdpDatum.SelectedDate = ldtDatum;
                    tbPoznamka.Text = lsPoznamka;
                }
                else//jedná se o insert
                {
                    //Int32? liVek = F_RodneCislo.Vek(Globals.OsCislo, DateTime.Now);
                    //rntbVek.Value = liVek;
                    int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
                    Int32? liCetnost = SqlPrikaz.ExecuteScalarInt32("select cetnost from dr_proh where cislo = " + liDrProh.ToString());
                    rntbCetnost.DbValue = liCetnost; 
                }

            }
        }

    }
}