﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Collections;
using KSProgram.LekarskaEvidence;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Funkce;
using KSProgram.Data;
using System.Web.Services;
using KSProgram.Extensions;
using KSProgram.Prava;

namespace KSPortal.Zamestnanec
{
    public partial class LekProhlUskutecnene : TPage
    {
        
        public LekProhlUskutecnene()
        {

            IdPrava = 242;
            EnableVisibleSeznamZam = true;
        }

        //protected void Page_Load(object sender, EventArgs e)
        //{

        //}

        protected void trgUskutecneneProhlidky_OnNeedDataSource(object source, GridNeedDataSourceEventArgs e)
        {
            string resultString = "";
            DataTable ltblUskutecneneZam = UskProhlidky.UskutecneneZam(ref resultString);
            trgUskutecneneProhlidky.DataSource = ltblUskutecneneZam;
            if (resultString.Trim() != "") MessageBox.Alert(this.Page, resultString);
        }

        protected void trgUskutecneneProhlidky_OnItemUpdated(object sender, GridUpdatedEventArgs e)
        {
            //if (e.Item.OwnerTableView.Name == "Cinn")
            //{
            //    TRG_doba_proj.Rebind();
            //}

            if (e.Exception != null)
            {
                MessageBox.Alert(Page, e.Exception.InnerException.Message, WebControlHelper.ZmenaTextu("[%Update se nezdařil%]"));
                e.ExceptionHandled = true;
            }
        }


        protected void rddlDrProh_OnSelectedIndexChanged(object sender, EventArgs e)
        {
            //int liDrProh = Convert.ToInt32((sender as RadDropDownList).SelectedValue);
            //RadNumericTextBox rntbCetnost = ((GridEditFormItem)((System.Web.UI.Control)(sender)).BindingContainer).FindControl("rntbCetnost") as RadNumericTextBox;
            //Int32? liCetnost = SqlPrikaz.ExecuteScalarInt32("select cetnost from dr_proh where cislo = " + liDrProh.ToString());
            //rntbCetnost.DbValue = liCetnost;


        }


        protected void trbUloz_OnCheckedChanged(Object sender, EventArgs e)
        {
            RadButton clickedButton = (RadButton)sender;
            string message = clickedButton.Checked ? "checked" : "unchecked" + Environment.NewLine;
            // EventLogConsole1.LoggedEvents.Add("OnCheckedChanged: The checkbox is " + message + ".");
        }



        
        protected void trdpPlatna_SelectedDateChanged(Object sender, EventArgs e)
        {
            DateTime? dtPlatna = (sender as TRadDatePicker).SelectedDate;
            TRadDatePicker trdpUskutecnena = ((GridEditFormItem)((System.Web.UI.Control)(sender)).BindingContainer).FindControl("trdpUskutecnena") as TRadDatePicker;
            trdpUskutecnena.SelectedDate = dtPlatna;
        }

        protected void rddlVstup_SelectedIndexChanged(Object sender, EventArgs e)
        {
            string lsVstup = (sender as RadDropDownList).SelectedText.Trim().ToUpper();
            TLabel tlCetnost = ((GridEditFormItem)((System.Web.UI.Control)(sender)).BindingContainer).FindControl("tlCetnost") as TLabel;
            if (lsVstup == "TEST") tlCetnost.Text = "[% Četnost (dny) %]";
            else tlCetnost.Text = "[% Četnost (měsíce) %]";
        }


        protected void trgUskutecneneProhlidky_OnInsertCommand(object sender, GridCommandEventArgs e)
        {

            GridEditFormItem editFormItem = e.Item as GridEditFormItem;

            RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
            RadDropDownList rddlPlatce = editFormItem.FindControl("rddlPlatce") as RadDropDownList;
            RadDropDownList rddlVysledek = editFormItem.FindControl("rddlVysledek") as RadDropDownList;
            RadDropDownList rddlLekar = editFormItem.FindControl("rddlLekar") as RadDropDownList;
            RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
            TRadDatePicker trdpPlatna = editFormItem.FindControl("trdpPlatna") as TRadDatePicker;
            RadNumericTextBox rntbCastka = editFormItem.FindControl("rntbCastka") as RadNumericTextBox;
            RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
            TRadButton trbPotlPeriody = editFormItem.FindControl("trbPotlPeriody") as TRadButton;
            TRadButton trbPredNastupem = editFormItem.FindControl("trbPredNastupem") as TRadButton;
            TRadDatePicker trdpUskutecnena = editFormItem.FindControl("trdpUskutecnena") as TRadDatePicker;
            RadNumericTextBox rntbVek = editFormItem.FindControl("rntbVek") as RadNumericTextBox;
            RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;

            int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
            int? liPlatce = string.IsNullOrEmpty(rddlPlatce.SelectedValue) ? 0 : Convert.ToInt32(rddlPlatce.SelectedValue);
            string lsVysledek = string.IsNullOrEmpty(rddlVysledek.SelectedValue) ? null : rddlVysledek.SelectedValue;
            int? liLekar = string.IsNullOrEmpty(rddlLekar.SelectedValue) ? 0 : Convert.ToInt32(rddlLekar.SelectedValue);
            string lsVstup = string.IsNullOrEmpty(rddlVstup.SelectedValue) ? null : rddlVstup.SelectedValue.Trim();
            DateTime? ldtPlatna = trdpPlatna.SelectedDate;
            decimal? ldcCastka = Convert.ToDecimal(rntbCastka.Value);
            string lsPotlPeriod = trbPotlPeriody.Checked ? "A" : "N";
            string lsPredNastup = trbPredNastupem.Checked ? "A" : "N";
            DateTime? ldtUskutecnena = trdpUskutecnena.SelectedDate;
            string lsPoznamka = string.IsNullOrEmpty(tbPoznamka.Text) ? null : tbPoznamka.Text.Trim();

            if (lsVstup == null)
            {
                MessageBox.Alert(this.Page, "Není vyplněn typ. Pokud máte nabídku typů prázdnou, zřejmě nemáte právo editace.");
            }
            else
            {
                UskProhlidky.InsertUskutecnene(Globals.OsCislo, Globals.OsCisloPomer.CisloPom, liDrProh, lsVysledek, lsPotlPeriod, lsPredNastup, ldtPlatna, liPlatce, liLekar, ldcCastka, lsPoznamka, lsVstup, ldtUskutecnena);
            }
        }

        protected void trgUskutecneneProhlidky_OnUpdateCommand(object sender, GridCommandEventArgs e)
        {

            GridEditFormItem editFormItem = e.Item as GridEditFormItem;

            int liId = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["id"]);
            //Decimal ldcOsCislo = Convert.ToDecimal(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["os_cislo"]);
            //int liCisPom = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["cislo_pom"]);

            RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
            RadDropDownList rddlPlatce = editFormItem.FindControl("rddlPlatce") as RadDropDownList;
            RadDropDownList rddlVysledek = editFormItem.FindControl("rddlVysledek") as RadDropDownList;
            RadDropDownList rddlLekar = editFormItem.FindControl("rddlLekar") as RadDropDownList;
            RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
            TRadDatePicker trdpPlatna = editFormItem.FindControl("trdpPlatna") as TRadDatePicker;
            RadNumericTextBox rntbCastka = editFormItem.FindControl("rntbCastka") as RadNumericTextBox;
            RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
            TRadButton trbPotlPeriody = editFormItem.FindControl("trbPotlPeriody") as TRadButton;
            TRadButton trbPredNastupem = editFormItem.FindControl("trbPredNastupem") as TRadButton;
            TRadDatePicker trdpUskutecnena = editFormItem.FindControl("trdpUskutecnena") as TRadDatePicker;
            RadNumericTextBox rntbVek = editFormItem.FindControl("rntbVek") as RadNumericTextBox;
            RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;

            int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
            int? liPlatce = string.IsNullOrEmpty(rddlPlatce.SelectedValue) ? 0 : Convert.ToInt32(rddlPlatce.SelectedValue);
            string lsVysledek = string.IsNullOrEmpty(rddlVysledek.SelectedValue) ? null : rddlVysledek.SelectedValue;
            int? liLekar = string.IsNullOrEmpty(rddlLekar.SelectedValue) ? 0 : Convert.ToInt32(rddlLekar.SelectedValue);
            string lsVstup = string.IsNullOrEmpty(rddlVstup.SelectedValue) ? null : rddlVstup.SelectedValue;
            DateTime? ldtPlatna = trdpPlatna.SelectedDate;
            decimal? ldcCastka = Convert.ToDecimal(rntbCastka.Value);
            string lsPotlPeriod = trbPotlPeriody.Checked ? "A" : "N";
            string lsPredNastup = trbPredNastupem.Checked ? "A" : "N";
            DateTime? ldtUskutecnena = trdpUskutecnena.SelectedDate;
            string lsPoznamka = string.IsNullOrEmpty(tbPoznamka.Text) ? null : tbPoznamka.Text.Trim();

            UskProhlidky.UpdateUskutecnene(liId, liDrProh, lsVysledek, lsPotlPeriod, lsPredNastup, ldtPlatna, liPlatce, liLekar, ldcCastka, lsPoznamka, lsVstup, ldtUskutecnena);

        }

        protected void trgUskutecneneProhlidky_OnDeleteCommand(object sender, GridCommandEventArgs e)
        {

            //int liId = Convert.ToInt32(editFormItem.OwnerTableView.DataKeyValues[editFormItem.ItemIndex]["id"]);
            int liId = Convert.ToInt32((e.Item as GridDataItem).OwnerTableView.DataKeyValues[e.Item.ItemIndex]["id"]);
            UskProhlidky.DeleteUskutecnene(liId);

        }

        protected void trgUskutecneneProhlidky_OnItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            
            bool pravoZbytek = PravaAkce.PristupPovolen(243);
            bool pravoTest = PravaAkce.PristupPovolen(387);

            if ( !pravoTest || !pravoZbytek)
            {
                if (e.Item is GridDataItem)
                {
                    // Načtu typ prohlídky - typ = "t" jde o COVID test
                    string hodnotaVstupu = ((string)DataBinder.Eval(e.Item.DataItem, "vstup")).Trim().ToLower();
                    // Pokud nemám právo na test zneviditelním editaci a mazání pro testy
                    if ( !pravoTest )
                    {
                        if (hodnotaVstupu == "t")
                        {
                            GridDataItem item = e.Item as GridDataItem;
                            item["editColumn"].FindControlRecursive<ImageButton>().ForEach(x => x.Visible = false);
                            item["deleteColumn"].FindControlRecursive<LinkButton>().ForEach(x => x.Visible = false);
                        }
                    }
                    // Pokud nemám právo na zbytek typů zneviditelním editaci a mazání pro všechny jiné než testy
                    if (!pravoZbytek)
                    {
                        if (hodnotaVstupu != "t")
                        {
                            GridDataItem item = e.Item as GridDataItem;
                            item["editColumn"].FindControlRecursive<ImageButton>().ForEach(x => x.Visible = false);
                            item["deleteColumn"].FindControlRecursive<LinkButton>().ForEach(x => x.Visible = false);
                        }
                    }
                }
            }

            if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
            {
                GridEditFormItem editFormItem = e.Item as GridEditFormItem;

                RadDropDownList rddlDrProh = editFormItem.FindControl("rddlDrProh") as RadDropDownList;
                RadDropDownList rddlPlatce = editFormItem.FindControl("rddlPlatce") as RadDropDownList;
                RadDropDownList rddlVysl = editFormItem.FindControl("rddlVysledek") as RadDropDownList;
                RadDropDownList rddlLekar = editFormItem.FindControl("rddlLekar") as RadDropDownList;
                RadDropDownList rddlVstup = editFormItem.FindControl("rddlVstup") as RadDropDownList;
                TRadDatePicker trdpPlatna = editFormItem.FindControl("trdpPlatna") as TRadDatePicker;
                RadNumericTextBox rntbCastka = editFormItem.FindControl("rntbCastka") as RadNumericTextBox;
                RadNumericTextBox rntbCetnost = editFormItem.FindControl("rntbCetnost") as RadNumericTextBox;
                TRadButton trbPotlPeriody = editFormItem.FindControl("trbPotlPeriody") as TRadButton;
                TRadButton trbPredNastupem = editFormItem.FindControl("trbPredNastupem") as TRadButton;
                TRadDatePicker trdpUskutecnena = editFormItem.FindControl("trdpUskutecnena") as TRadDatePicker;
                RadNumericTextBox rntbVek = editFormItem.FindControl("rntbVek") as RadNumericTextBox;
                RadTextBox tbPoznamka = editFormItem.FindControl("tbPoznamka") as RadTextBox;
                TLabel tlCetnost = editFormItem.FindControl("tlCetnost") as TLabel;

                GridDataItem parentItem = editFormItem.ParentItem;
                if (parentItem != null)
                {
                    Int32 liId = (Int32)DataBinder.Eval(parentItem.DataItem, "id");
                    decimal ldcOsCislo = (decimal)DataBinder.Eval(parentItem.DataItem, "os_cislo");
                    //Int16? liCisloPom = Convert.ToInt16(DataBinder.Eval(parentItem.DataItem, "cislo_pom"));
                    Int16? liCisloPom = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "cislo_pom") ? (Int16?)null : Convert.ToInt16(DataBinder.Eval(parentItem.DataItem, "cislo_pom"));
                    Int32 liDrProh = (Int32)DataBinder.Eval(parentItem.DataItem, "dr_proh");
                    Int32? liPlatce = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "platce") ? (Int32?)null : Convert.ToInt32(DataBinder.Eval(parentItem.DataItem, "platce"));
                    string lsVysl = DataBinder.Eval(parentItem.DataItem, "vysl").ToString();
                    Int32? liLekar = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "lekar") ? (Int32?)null : Convert.ToInt32(DataBinder.Eval(parentItem.DataItem, "lekar"));
                    string lsVstup = DataBinder.Eval(parentItem.DataItem, "vstup").ToString();
                    DateTime ldtPlatna = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "datum") ? DateTime.MinValue : Convert.ToDateTime(DataBinder.Eval(parentItem.DataItem, "datum"));
                    decimal ldcCastka = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "castka") ? 0 : Convert.ToDecimal(DataBinder.Eval(parentItem.DataItem, "castka"));
                    Int32? liCetnost = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "cetnost") ? (Int32?)null : Convert.ToInt32(DataBinder.Eval(parentItem.DataItem, "cetnost"));
                    string lsPotlPeriod = DataBinder.Eval(parentItem.DataItem, "potl_period").ToString();
                    string lsPredNastup = DataBinder.Eval(parentItem.DataItem, "pred_nastup").ToString();
                    DateTime ldtUskutecnena = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "uskutecnena") ? DateTime.MinValue : Convert.ToDateTime(DataBinder.Eval(parentItem.DataItem, "uskutecnena"));
                    //Int32? liVek = DBNull.Value == DataBinder.Eval(parentItem.DataItem, "vek") ? (Int32?)null : Convert.ToInt32(DataBinder.Eval(parentItem.DataItem, "vek"));
                    Int32? liVek = F_RodneCislo.Vek(ldcOsCislo, ldtPlatna);
                    string lsPoznamka = DataBinder.Eval(parentItem.DataItem, "poznamka").ToString();

                    rddlDrProh.SelectedValue = liDrProh.ToString();
                    rddlPlatce.SelectedValue = liPlatce.ToString();
                    rddlVysl.SelectedValue = lsVysl;
                    rddlLekar.SelectedValue = liLekar.ToString();
                    rddlVstup.SelectedValue = lsVstup;
                    trdpPlatna.SelectedDate = ldtPlatna;
                    rntbCastka.Value = (double)ldcCastka;
                    rntbCetnost.Value = liCetnost;
                    trbPotlPeriody.Checked = lsPotlPeriod == "A";
                    trbPredNastupem.Checked = lsPredNastup == "A";
                    trbPredNastupem.Value = lsPredNastup;
                    trdpUskutecnena.SelectedDate = ldtUskutecnena;
                    rntbVek.Text = liVek.ToString();
                    tbPoznamka.Text = lsPoznamka;
                    if (lsVstup.Trim().ToUpper() == "T") tlCetnost.Text = "[% Četnost (dny) %]";
                    else tlCetnost.Text = "[% Četnost (měsíce) %]";
                }
                else//jedná se o insert
                {
                    int liDrProh = Convert.ToInt32(rddlDrProh.SelectedValue);
                    Int32 prCetnost = 0, prLekar=0;
                    decimal prCastka = 0;
                    string prVstup = "";
                    ParametryPrikazu par = new ParametryPrikazu();
                    SqlPrikaz.AddInParametr(par, "liDrProh", DbType.Int32, liDrProh);
                    string liSQL = "SELECT cetnost,castka,lekar,vstup FROM dr_proh WHERE cislo=@liDrProh";
                    try
                    {
                        using (IDataReader reader = SqlPrikaz.ExecuteReader(liSQL, par))
                        {
                            if (reader.Read())
                            {
                                prCastka = GetNullOrData.GetDecimal(reader, "castka", 0);
                                prCetnost = GetNullOrData.GetInt32(reader, "cetnost",0);
                                prLekar = GetNullOrData.GetInt32(reader, "lekar", 0);
                                prVstup = GetNullOrData.GetString(reader, "vstup", "");
                            }
                            reader.Close();
                        }
                    }
                    catch
                    {
                        
                    }
                    //Int32? liCetnost = SqlPrikaz.ExecuteScalarInt32("select cetnost from dr_proh where cislo = " + liDrProh.ToString());                   
                    rntbCetnost.DbValue = prCetnost;
                    Int32? liVek = F_RodneCislo.Vek(Globals.OsCislo, DateTime.Now);
                    rntbVek.Value = liVek;
                    rntbCastka.DbValue = prCastka;
                    rddlLekar.SelectedValue = prLekar.ToString(); //SelectLekar(liDrProh).ToString();
                    if (prVstup.ToUpper()=="T") tlCetnost.Text = "[% Četnost (dny) %]";
                    else tlCetnost.Text = "[% Četnost (měsíce) %]";
                }

            }
        }


        #region WEB METHODS
        [WebMethod]
        public static int? SelectCastka(int id)
        {
            Int32? liCastka = SqlPrikaz.ExecuteScalarInt32("select castka from dr_proh where cislo = " + id.ToString());
           return liCastka;            
        }

        [WebMethod]
        public static int? SelectLekar(int id)
        {
            Int32? liLekar = SqlPrikaz.ExecuteScalarInt32("select lekar from dr_proh where cislo = " + id.ToString());
            if (liLekar == null) liLekar = 4;
            return liLekar; 
        }

        [WebMethod]
        public static int? SelectCetnost(int id)
        {
            Int32? liCetnost = SqlPrikaz.ExecuteScalarInt32("select cetnost from dr_proh where cislo = " + id.ToString());
            return liCetnost; 
        }

        [WebMethod]
        public static string SelectVstup(int id)
        {
            string lsVstup = SqlPrikaz.ExecuteScalarString("select vstup from dr_proh where cislo = " + id.ToString());
            return lsVstup.Trim().ToUpper();
        }
        #endregion
    }
}