﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.WebControls;
using KSProgram;
using KSProgram.Prava;

public partial class OsUdaje : TPageZam
{
    public OsUdaje()
    {
        IdPrava = 1;
        this.HelpURL = "Osobn%C3%AD_%C3%BAdaje_%28KS_port%C3%A1l%29";
    }

    protected override void OnPreInit(EventArgs e)
    {
        //base.MasterPageFile = "~/Resp.Master";
        base.OnPreInit(e);
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        //pokud dotyčná osoba nemá rodinné příslušníky, tak se nezobrazí 
       
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);

        if (!IsPostBack)
        {
            if (Parametry.ParametrCti("PrávoNaSkupinyOU") == "a" || Zakaznik.IsCurrent("PPF") || Zakaznik.IsCurrent("VARROC")) //MiKo 28.8.2019 Pridan parametr
            {
                if (!PravaAkce.PristupPovolen(166)) //osobní udaje
                {
                    P_os.Visible = false;
                }
                if (!PravaAkce.PristupPovolen(167)) //vzdělaání
                {
                    P_vz.Visible = false;
                }
                if (!PravaAkce.PristupPovolen(168)) //jazyk
                {
                    P_ja.Visible = false;
                }
                if (!PravaAkce.PristupPovolen(169)) //kontakty
                {
                    P_ko.Visible = false;
                }
                if (!PravaAkce.PristupPovolen(170)) //rodinní přísl.
                {
                    P_ro.Visible = false;
                }
            }
        }
    }


    protected string _preloz(object o_vyraz)
    {
        string vyraz = "";
        try
        {
            vyraz = Convert.ToString(o_vyraz);
            vyraz = "[%" + vyraz.Trim() + "%]";
        }
        catch
        {
        }
        return WebControlHelper.ZmenaTextu(this.Page, vyraz);
    }

    protected void RodPrislRepeat_PreRender(object sender, EventArgs e)
    {
        if (RodPrislRepeat.Items.Count == 0)
            P_ro.CssClass = "hidden";
        else
            P_ro.CssClass = "";
    }
}
