﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="PlanCelkLekProhl.aspx.cs" Inherits="KSPortal.Zamestnanec.PlanCelkLekProhl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy runat="server" ID="ajax_manager">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="tchbAP">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<kspwc:TLabel ID="TLabel1" runat="server" Text="[%Plán lékařských prohlídek%]" CssClass="nadpis1"></kspwc:TLabel>--%>
    <table style="border-collapse: collapse;">
        <tr>
            <td>
                <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="PozadovaneAll" TypeName="KSProgram.LekarskaEvidence.PlanCelkLekProhl"></asp:ObjectDataSource>
                <asp:ObjectDataSource ID="odsTyp" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="TypLekProhl" TypeName="KSProgram.LekarskaEvidence.LekProhlidky">
                    <SelectParameters>
                    </SelectParameters>
                </asp:ObjectDataSource>
                <kspwc:TRadGrid ID="TRadGrid1" runat="server" ShowTitleRow="True" DataKeyNames="id_poz"
                    ShowGroupPanel="True" AllowPaging="True" MasterTableView-Caption="[%Plán lékařských prohlídek%]"
                    AllowFilteringByColumn="false" AllowSorting="true" AutoGenerateColumns="false"
                    OnNeedDataSource="RadGrid1_NeedDataSource">
                    <ClientSettings AllowDragToGroup="True">
                    </ClientSettings>
                    <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
                    <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
                    <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
                    </ExportSettings>
                    <MasterTableView CommandItemDisplay="Top">
                        <Columns>
                            <telerik:GridNumericColumn DataField="cislo_pom" SortExpression="cislo_pom" HeaderText="[%Č.P.%]" />
                            <telerik:GridBoundColumn DataField="prohlidka" SortExpression="prohlidka" HeaderText="[%Prohlídka%]" />
                            <telerik:GridDropDownColumn DataField="typ" HeaderText="[%Typ%]" UniqueName="sTyp"
                                FilterControlAltText="Filter sTyp column" DataSourceID="odsTyp" ListTextField="text"
                                ListValueField="zkratka" DropDownControlType="DropDownList">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" />
                                <ColumnValidationSettings EnableRequiredFieldValidation="True">
                                    <RequiredFieldValidator Display="Dynamic" ErrorMessage="*" ForeColor="Red"></RequiredFieldValidator>
                                </ColumnValidationSettings>
                            </telerik:GridDropDownColumn>
                            <telerik:GridBoundColumn DataField="uskutecnena" SortExpression="uskutecnena" HeaderText="[%Datum předchozí%]"
                                DataFormatString="{0:d}" HtmlEncode="False" />
                            <telerik:GridNumericColumn DataField="perioda" SortExpression="perioda" HeaderText="[%Perioda%]" />
                            <telerik:GridBoundColumn DataField="termin" SortExpression="termin" HeaderText="[%Datum následující%]"
                                DataFormatString="{0:d}" HtmlEncode="False" />
                            <telerik:GridBoundColumn DataField="zdroj" SortExpression="zdroj" HeaderText="[%Zdroj%]" />
                            <telerik:GridBoundColumn DataField="poznamka" HeaderText="[%Poznámka%]" />
                        </Columns>
                        <CommandItemTemplate>
                            <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" RebindButton-Enabled="True" DateControl="TRadDatePicker"
                                RebindButton-Visible="True">
                                <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="false"
                                    ShowExportToExcelMLItem="false" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" />
                                <ContentTemplate>
                                    <div class="gridCommandButton">
                                        <kspwc:TRadButton ID="TRBAktP" runat="server" Text="[%Aktuální poměr%]" OnCheckedChanged="TRBAktP_CheckedChanged" ButtonType="StandardButton" ToggleType="CheckBox" OnDataBinding="TRBAktP_DataBinding" Icon-PrimaryIconCssClass="fi fi-briefcase"></kspwc:TRadButton>
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TRadButton ID="trbFormLekar" runat="server" Text="[%Formulář pro lékaře%]"
                                            OnClick="trbFormLekar_OnClick" AutoPostBack="True" UseSubmitBehavior="false" Icon-PrimaryIconCssClass="fi fi-form">
                                        </kspwc:TRadButton>
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TCheckBox runat="server" ID="cbxVP" Text="[%Vypustit platné%]" UseSaveSetting="false" AutoPostBack="false" />
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TCheckBox runat="server" ID="cbxVZBP" Text="[%Vypustit zaměstnance bez požadavku%]" UseSaveSetting="false" AutoPostBack="false" />
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TCheckBox runat="server" ID="cbxVzdTel" Text="[%Zaměstnavatel - vypustit Vzdání se%]" UseSaveSetting="false" AutoPostBack="false" />
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TCheckBox runat="server" ID="cbxVzdNec" Text="[%Zaměstnanec - vypustit Vzdání se%]" UseSaveSetting="false" AutoPostBack="false" />
                                    </div>
                                    <div class="gridCommandButton">
                                        <kspwc:TDropDown runat="server" ID="dddwLekar" DataValueField="cislo" DataTextField="komplet" UseSaveSetting="true" OnDataBinding="dddwLekar_DataBinding" />
                                    </div>
                                </ContentTemplate>
                            </kspwc:GridCommandItemControl>
                        </CommandItemTemplate>
                    </MasterTableView>
                </kspwc:TRadGrid>
            </td>
        </tr>
    </table>
</asp:Content>
