﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Sluzebky;
using System.Data;
using KSProgram.Data;
using System.Globalization;
using KSProgram;
using System.ComponentModel;
using KSProgram.PracovniMista;
using KSProgram.Prava;
using System.Collections.Specialized;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using KSProgram.Pozadavky;
using KSProgram.Obecne;
using System.Web.Services;
using KSProgram.Security;
using KSProgram.Extensions;
using KSProgram.Funkce;
using KSProgram.Exceptions;

public partial class Zamestnanec_SluzebniCesty : TPage
{
    public Zamestnanec_SluzebniCesty()
    {
        IdPrava = 99;
        this.HelpURL = "Slu%C5%BEebn%C3%AD_cesty_%28KS_port%C3%A1l%29";
    }

    [WebMethod(EnableSession = true)]
    public static WebMethodResult GetEvCisloSpolucestujiciho(decimal os_cislo, string dat_od)
    {//[ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        WebMethodResult result = new WebMethodResult();
        int ll_ec, i, rok = 1900, mesic = 1, den = 1; string ls_cil, ls_ucel; DateTime ld_datod; string ls_casod; decimal ldc_spolu;
        try
        {
            dat_od = InputChecker.Text(dat_od, "GetEvCisloSpolucestujiciho(..,dat_od)");
            i = dat_od.IndexOf('.');
            if (i >= 0)
            {
                den = int.Parse(dat_od.Substring(0, i));
                dat_od = dat_od.Substring(i + 1);
                i = dat_od.IndexOf('.');
                if (i >= 0)
                {
                    mesic = int.Parse(dat_od.Substring(0, i));
                    dat_od = dat_od.Substring(i + 1);
                    rok = int.Parse(dat_od);
                }
            }
            ld_datod = new DateTime(rok, mesic, den);
            string podm = "dat_od>=" + SqlPrikaz.ValueToString(ld_datod) + " and par_ev_cislo is null and (spolu1=" + os_cislo + " or spolu2=" + os_cislo + " or spolu3=" + os_cislo + " or spolu4=" + os_cislo
            + " or spolu5=" + os_cislo + " or spolu6=" + os_cislo + " or spolu7=" + os_cislo
            + " or spolu8=" + os_cislo + " or spolu9=" + os_cislo + " or spolu10=" + os_cislo + ")";

            string sql = "select ev_cislo, os_cislo, cil, ucel, dat_od, cas_od from sluz_cesty where " + podm + "union select ev_cislo, os_cislo, cil, ucel, dat_od, cas_od from workfl_sluz_cesty where " + podm + " order by 5,6";
            using (IDataReader reader = SqlPrikaz.ExecuteReader(sql))
            {
                while (reader.Read())
                {
                    ll_ec = reader.GetInt32(0);
                    ldc_spolu = reader.GetDecimal(1);
                    ls_cil = GetNullOrData.GetString(reader, 2, true);
                    ls_ucel = GetNullOrData.GetString(reader, 3, true);
                    ld_datod = GetNullOrData.GetDateTime(reader, 4).Value;
                    ls_casod = GetNullOrData.GetString(reader, 5, true);

                    if (Pozadaveksluzc.CestaJeStornovana(ll_ec)) continue; //cizi cesta je stornovana, takze nic

                    //otestuji, zda jiz tuto cestu nemam
                    podm = "os_cislo=" + SqlPrikaz.ValueToString(os_cislo) + " and dat_od=" + SqlPrikaz.ValueToString(ld_datod) + " and cil=" + SqlPrikaz.ValueToString(ls_cil);
                    int p = SqlPrikaz.ExecuteScalarInt32("select max(ev_cislo) from workfl_sluz_cesty where " + podm, 0);
                    if (p > 0)
                    {
                        if (!Pozadaveksluzc.CestaJeStornovana(p)) //PR 29.8.2016 a pokud neni stornovana (pokud je stornovana, tak odkaz zobrazim)
                            continue;
                    }
                    p = SqlPrikaz.ExecuteScalarInt32("select max(ev_cislo) from sluz_cesty where " + podm, 0);
                    if (p > 0)
                    {
                        if (!Pozadaveksluzc.CestaJeStornovana(p)) //PR 29.8.2016 a pokud neni stornovana (pokud je stornovana, tak odkaz zobrazim)
                            continue;
                    }
                    result.value = ll_ec;
                    result.info = ReadGlobalResource.ZmenaTextu("[%Předvyplnit dle požadavku spolucestujícího%]" + ": (" + SlcHlavicka.ZkraceneJmeno(ldc_spolu) + ") " + ls_cil + " - " + ls_ucel + " " + ld_datod.ToString("d.M.yyyy") + " " + ls_casod + " ...");
                    return result;
                }
            }
        }
        catch (Exception)
        { }
        return result;
    }

    void CP_HlavickaInserted(object sender, EventArgs e)
    {
        //PR 9.3.2017 zrušeno, kvůli zálohám - už se neuloží
        //GV_SlcSeznam2.Rebind();
        //GV_SlcSeznam2.FindRowByKeyValue(CP.EvCislo.ToString()); //musi byt nastaveno FindDataKeyName
    }


    void CP_HlavickaUpdated(object sender, EventArgs e)
    {

    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        //PR 20.12.2013 přesunuto z constructoru
        //-------------------------
        VisibleFindZam = true;
        EnableVisibleSeznamZam = true;
        //VisibleSeznamZam = true; 
        VisibleToLoggedUser = true;
        //-------------------------

        if (!IsPostBack)
        {
            //ObdobiOd.SetDefaultObdobi(Globals.AktObdobi);  //SetDefaultObdobi(Globals.AktObdobi);
            //ObdobiDo.SetDefaultObdobi(DateTime.Now.AddMonths(1));
            TRADObdobi.SelectedDateOd = DateTime.Now.AddMonths(-1);//PR 04.06.2021 původně byl začátek roku, to se pak těm, co jezdí každý den, načítá zbytečně moc dat
            TRADObdobi.SelectedDateDo = DateTime.Now.AddMonths(1);
            //PR 4.12.2012 poslovenštění, TLabely jsou řešeny vlastností TextSK, zbytek musím dořešit zde
            
        }
        if (CP != null)
        {
                CP.HlavickaInserted += new EventHandler(CP_HlavickaInserted);
                CP.HlavickaUpdated += new EventHandler(CP_HlavickaUpdated);
        }
        if (UC_ZmenaStavu != null && UC_ZmenaStavu.Visible)
            UC_ZmenaStavu.UCPozadavek = UC_Zadost;
    }
    protected override void Page_PreRender(object sender, EventArgs e)
    {
        base.Page_PreRender(sender, e);
        //Page.Form.Attributes.Add("enctype", "multipart/form-data");
        
        //ScriptManager.GetCurrent(this).RegisterPostBackControl(LV_Nahrady);//PR 30.7.2013 
    }

    protected override void Page_PreRenderComplete(object sender, System.EventArgs e)
    {
        base.Page_PreRenderComplete(sender, e);
        //PR 27.9.2013 přeplácnu IE=EmulateIE7 za IE=EmulateIE9, aby se při enteru TTextBoxu s DisableEnterKey nepřenačetla stránka
        /* //PR 16.12.2013 docasne vypnuto (nevim jestli kvuli tomu neblbne form decorator - asi ne)
         * HtmlHead head = ((Page)sender).Header;
        LiteralControl lit = new LiteralControl("<meta http-equiv=\"X-UA-Compatible\" content=\"IE=EmulateIE9\" />");
        head.Controls.AddAt(0, lit);*/
    }

    private Control FindControlRecursive(Control rootControl, string controlID)
    {
        if (rootControl.ID == controlID) return rootControl;

        foreach (Control controlToSearch in rootControl.Controls)
        {
            Control controlToReturn =
                FindControlRecursive(controlToSearch, controlID);
            if (controlToReturn != null) return controlToReturn;
        }
        return null;
    }

    /*private void ReplaceTextInControl(Control rootControl, string oldtext, string newtext)
    {
        if (rootControl is Label)
        {
            if ((rootControl as Label).Text.Equals(oldtext))
            {
                (rootControl as Label).Text = newtext;
                return;
            }
        }

        foreach (Control controlToSearch in rootControl.Controls)
        {
            ReplaceTextInControl(controlToSearch, oldtext, newtext);
            //if (controlToReturn != null) return ;
        }        
    }*/



    protected override void TPage_OsCisloChanged(object sender, OsCisloChangedEventArgs args)
    {
        //PR 29.3.2013 zmizlo tlačítko Nový, které je v EmptyDataTable FV_SlcHlavicka.Visible = false;//PR 25.1.2013

        GV_SlcSeznam2.Rebind();
        //PR 2.5.2014 //GV_SlcSeznam.SelectedIndex = -1;
        /*LV_Prubeh.Visible = false;//PR 25.1.2013 
        GV_SlcStravne.Visible = false;//PR 25.1.2013
        LV_Nahrady.Visible = false;//PR 25.1.2013
        */
        //CP.Visible = false;
        //CP.EditaceCancel();//PR 27.6.2012 aby se hlavicka prepla do ReadOnly-modu
        //CP.EvCislo = 0;
        //CP.Nacist();
        //UC_Zadost.Visible = false;
        //UC_Zadost.PozId = 0;        
        //UC_Zadost.Nacist();
        //UC_ZmenaStavu.Visible = false;
        //UC_ZmenaStavu.PozId = 0;
        //UC_ZmenaStavu.Nacist();
        //PanelCommand.Visible = false;
        Nacti(null, null);
        base.TPage_OsCisloChanged(sender, args);
    } 

    protected void Nacti(int? ev_cislo, int? id_poz )
    {
        if (id_poz.HasValue && id_poz.Value > 0)
        {
            //if (PravaAkce.PristupPovolen(182)) //ma pravo na pozdavky/Sluzebni cesty
            //    ev_cislo = null; //nenacitat do CP, ale do Zadosti
            //else
            //    id_poz = null; //nenacitat do Zadosti, ale do CP
            //PR 30.10.2019 to právo je jen na vytvoření požadavku, viz mailová komunikace s PH
            ev_cislo = null;
        }
        if (ev_cislo == null)
            ev_cislo = 0;
        if (id_poz == null)
            id_poz = 0;
         
        CP.Visible = ev_cislo.Value > 0;
        CP.EditaceCancel();
        CP.EvCislo = ev_cislo.Value;
        if (ev_cislo.Value > 0)
            CP.Nacist();
        else
            CP.UnBind();//PR 30.8.2017 

        UC_Zadost.Visible = id_poz.Value > 0;
        UC_Zadost.PozId = id_poz.Value;
        //nacist s PozId=0 sice zpusobi prepnuti do InsertModu, ale aspon databind zrusi drive nactena data z jineho CP.
        //Ale pri osč. externisty vyvolá hlášení neplatné osč!!!
        if (id_poz.Value > 0)
            UC_Zadost.Nacist();
        else
            UC_Zadost.UnBind();

        UC_ZmenaStavu.Visible = id_poz.Value > 0;
        UC_ZmenaStavu.PozId = id_poz.Value;
        UC_ZmenaStavu.UCPozadavek = UC_Zadost; //musi byt v PageLoad, zde je jen pro jistotu
        UC_ZmenaStavu.Nacist();
        
        PanelCommand.Visible = ev_cislo.Value > 0 || id_poz.Value > 0;
    }

    protected void GV_SlcSeznam_SelectedIndexChanged(object sender, EventArgs e)
    {
        //PR 29.3.2013 poznámka:pokud je seznam prazdny, tak tento event neni volan, takze zde prakticky funguje jen zviditelneni
        /*FV_SlcHlavicka.Visible = (GV_SlcSeznam.SelectedIndex >= 0);//PR 25.1.2013
        LV_Prubeh.Visible = FV_SlcHlavicka.Visible;
        GV_SlcStravne.Visible = LV_Prubeh.Visible;
        LV_Nahrady.Visible = LV_Prubeh.Visible;*/
        //PR 27.6.2012 změním mód na pohled, aby nešlo zeditovat a uložit vyúčtované CP (HID=18312)

        //PR 23.3.2017 UC ZmenaStavu 
        //int? ev_cislo = null;
        //int? id_poz = null;
        //if (GV_SlcSeznam2.SelectedValues != null)
        //{
        //    object o_ec = GV_SlcSeznam2.SelectedValues["ev_cislo"];
        //    ev_cislo = o_ec == System.DBNull.Value ? null : (int?)o_ec;
        //    object o_id_poz = GV_SlcSeznam2.SelectedValues["id_poz"];
        //    id_poz = o_id_poz == System.DBNull.Value ? null : (int?)o_id_poz;
        //}

        //Nacti(ev_cislo, id_poz);

        //PR 03.06.2021 kvůli AlowMultiRowSelect předěláno načtení na tlačítko, 
        //aby se při výběru cest pro mazání zbytečně nenačítal CP, na který kliknu.
    }


    protected void GV_SlcSeznam2_ItemCommand(object source, GridCommandEventArgs e)
    {

        if (e.CommandName == "NovaSC") //Nová SC bez workflow
        {
            NovaSC();
        }
        else if (e.CommandName == "NovyPozadavek") //Požádat o SC //PR 23.3.2017 UC ZmenaStavu  
        {
            NovyPozadavek();
        }
        else if (e.CommandName == "Smazat") //PR 02.06.2021   
        {
            SmazatVybrane();
            GV_SlcSeznam2.Rebind();
        }
        else if (e.CommandName == "detail" && e.Item is GridDataItem) //PR 03.06.2021 
        {
            GridDataItem dataItem = (e.Item as GridDataItem);

            int? ev_cislo = null;
            int? id_poz = null;            
            
            object o_ec = dataItem.GetDataKeyValue("ev_cislo");
            object o_id_poz = dataItem.GetDataKeyValue("id_poz");

            ev_cislo = o_ec == System.DBNull.Value ? null : (int?)o_ec;
            id_poz = o_id_poz == System.DBNull.Value ? null : (int?)o_id_poz;

            Nacti(ev_cislo, id_poz);

            GV_SlcSeznam2.AllowMultiRowSelection = false;
            dataItem.Selected = true; //aby bylo vizuálně zřetelné na který řádek uživatel kliknul
            GV_SlcSeznam2.AllowMultiRowSelection = true;
        }
    }

    protected void NovaSC()
    {
        CP.Visible = true;
        CP.tabulka = "sluz_cesty";   //bez workflow
        CP.Novy();
        UC_Zadost.Visible = false;
        UC_Zadost.PozId = 0;
        UC_ZmenaStavu.Visible = false;
        UC_ZmenaStavu.PozId = 0;
        PanelCommand.Visible = true;
    }

    protected void NovyPozadavek()
    {
        //PR 29.10.2019 parametr nakonec neuvolněn, stačí, že si odeberou právo na vytvoření nového požadavku na SC
        //SlcExtImport", "n", "Import SC přes WS, možné hodnoty: n - nevyužívá se, a - schová tlačítko pro vytvoření nového požadavku na SC, nebo hodnota začínající http s adresou pro přesměrování na jinou stránku, nebo libovolný text, který se zobrazí po kliknutí"
        //string SlcExtImport = Parametry.ParametrCti("SlcExtImport");
        //if (SlcExtImport != "" && SlcExtImport != "n")
        //{
        //    if (SlcExtImport == "a")
        //    {
        //        MessageBox.Alert(Page, ReadGlobalResource.ZmenaTextu("[%Vytváření požadavků na služební cesty je pro vaši společnost zablokována, neboť probíhá přes jiný systém!%]"));
        //        return;
        //    }
        //    else if (SlcExtImport.StartsWith("http"))
        //    {
        //        if (SlcExtImport.Contains("?"))
        //            SlcExtImport += "&";
        //        else
        //            SlcExtImport += "?";
        //        SlcExtImport += "ReturnToUrl=" + HttpUtility.UrlEncode(UrlUtility.ToAbsoluteUrl("~/Zamestnanec/SluzebniCesty.aspx"));
        //        Response.Redirect(SlcExtImport);
        //        return;
        //    }
        //    else if (SlcExtImport.Length > 1)
        //    {
        //        MessageBox.Alert(Page, SlcExtImport);
        //        return;
        //    }
        //}

        if (Zakaznik.IsCurrent("VARROC"))
            MessageBox.Alert(Page, ReadGlobalResource.ZmenaTextu("[%Vytváření požadavků na služební cesty je pro vaši společnost zablokována, neboť probíhá přes jiný systém!%]"));
        else
        {
            //Response.Redirect(Pozadavek.BuildURLPozadavkuTypDetail("sluzc")); přesměrování na stránku požadavků
            CP.Visible = false;
            CP.EditaceCancel();
            CP.EvCislo = 0;
            UC_Zadost.Visible = true;
            UC_Zadost.PozId = 0;
            UC_Zadost.Nacist();
            UC_ZmenaStavu.Visible = true;
            UC_ZmenaStavu.PozId = 0;
            UC_ZmenaStavu.UCPozadavek = UC_Zadost;
            UC_ZmenaStavu.Nacist();
            PanelCommand.Visible = true;
        }
    }

    protected void GV_SlcSeznam2_DataBound(object sender, EventArgs e)
    {
        //není nutné bych řekl:
        //CP.EditaceCancel();
        //CP.EvCislo = GV_SlcSeznam2.SelectedValue == null ? 0 : (int)GV_SlcSeznam2.SelectedValue;
        //CP.Nacist();

        //if (CP.PozId != null)
        //{
        //    UC_ZmenaStavu.PozId = CP.PozId.Value;
        //    UC_ZmenaStavu.Visible = true;
        //    UC_ZmenaStavu.Nacist();
        //}
        //else
        //{
        //    UC_ZmenaStavu.Visible = false;
        //    UC_ZmenaStavu.PozId = 0;
        //}
    }

    protected void RB_save_Click(object sender, EventArgs e)
    {
        bool ulozeno = false;
        if (CP.Visible)
            ulozeno = CP.Uloz();
        else if (UC_Zadost.Visible)
        {
            UC_ZmenaStavu.UCPozadavek = UC_Zadost; //pro jistotu
            ulozeno = UC_ZmenaStavu.Ulozit(); //Vola ulozeni i v UC_Zadost
            if (ulozeno)
            {
                UC_Zadost.Nacist();
                UC_ZmenaStavu.Nacist();//PR 08.06.2021 
            }
        }
        if (ulozeno)
            GV_SlcSeznam2.Rebind(); //aby se udaje zmene (cil, stav) aktualizovaly      
    }

    protected void RB_cancel_Click(object sender, EventArgs e)
    {
        if (CP.Visible)
        {
            CP.EditaceCancel();
            //if (CP.EvCislo == 0)
                Nacti(null, null);
        }
        else if (UC_Zadost.Visible)
        {
            //Toto nepouziva ani PozadavekDetail, ten jen schova/zrusi UC
            //bool is_valid = true;
            //UC_Zadost.CommandRouter(sender, new CommandEventArgs("Cancel", null), ref is_valid);
            UC_ZmenaStavu.Zrusit();
            //if (UC_Zadost.PozId == 0)
                Nacti(null, null);
        }
        PanelCommand.Visible = false;
    }

    protected void RCM_copySC_ItemClick(object sender, RadMenuEventArgs e)
    {
        //PR 11.03.2020 HID=3375 Hromadné vytvoření cest

        if (ZamykaniAgend.Zamceno(Agenda.Evidence__Služební_cesty__Cestovní_příkazy))
        {
            MessageBox.Alert(Page, WebControlHelper.ZmenaTextu("[%Editace%] [%je zakázána%], [%agenda%] [%Cestovní příkazy%] [%je uzamčena pro editaci%]!"));
            return;
        }

        //zjisteni vybranne SC
        if (GV_SlcSeznam2.SelectedValues == null)
        {
            MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Není vybrána žádná SC%]!"));
            return;
        }        
        object o_ec = GV_SlcSeznam2.SelectedValues["ev_cislo"];
        if (o_ec == System.DBNull.Value)
        {
            MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Není vybrána žádná SC%]!"));
            return;
        }
        int vzor_ev_cislo = (int)o_ec;
        object o_id_poz = GV_SlcSeznam2.SelectedValues["id_poz"];        

        bool sWF = o_id_poz != System.DBNull.Value;                

        if (e.Item.Value == "1") //1x, termín zadám ručně
        {
            if (!sWF) //puvodni SC je bez workflow, tak nova bude taky
            {
                NovaSC();
                CP.vyplHlavDle = vzor_ev_cislo;//PR 18.03.2020 //FV_SlcHlavicka_VyplnHlavDle(vzor_ev_cislo);
            }
            else //jako WF pozadavek
            {
                NovyPozadavek();
                UC_Zadost.CestPrikaz.vyplHlavDle = vzor_ev_cislo;//PR 18.03.2020FV_SlcHlavicka_VyplnHlavDle(vzor_ev_cislo);
            }
            
        }
        //else if (e.Item.Value == "2") //do všech následujících pracovních dní měsíce
        else if (e.Item.Value == "2" || e.Item.Value == "3") //2 - do všech následujících pracovních dní měsíce, 3 - do všech následujících dní měsíce
        {
            bool lb_iMimoPracovni = e.Item.Value == "3";
            DataTableSlcHlavicka dtVzor = SlcHlavicka.Select("sluz_cesty", vzor_ev_cislo);
            if (dtVzor.Rows.Count == 0) dtVzor = SlcHlavicka.Select("workfl_sluz_cesty", vzor_ev_cislo);
            if (dtVzor.Rows.Count != 1)
                return;
            DataRow vzor = dtVzor.Rows[0];
            //PR 01.06.2021 průběh a stravné
            DataTableSlcPrubeh dtVzorPrub = SlcPrubeh.Select(vzor_ev_cislo, /*pocetPrazdnychRadku*/0);
            DataTableSlcStravne dtVzorStrav = SlcStravne.Select(vzor_ev_cislo);
            DataTableSlcNahrady dtVzorNahrady = SlcNahrady.Select(vzor_ev_cislo, 0, 0, "druh IN ('0st','0kp','0jz','0jp')");

            int new_ev_cislo = 0, new_id_poz = 0;
            decimal vzor_os_cislo = (decimal)(vzor["os_cislo"]);
            //rozkopirovane cesty budu zakladat pro OC, ktere je u zdrojove SC (kdyz to bude spravce rozkopirovavat nekomu jinemu)
            //kdybych to zakladal nekomu jinemu ..., to vlastne nejde, na teto strance se zobrazuji cesty pouze 1 pracovnika vybraneho z plovouciho seznamu
            decimal new_os_cislo = vzor_os_cislo;
            //bool stejneOC = vzor_os_cislo == new_os_cislo;

            DateTime dat_od_vzor = (DateTime)vzor["dat_od"];
            DateTime dat_do_vzor = (DateTime)vzor["dat_do"];
            long dnuSC = F_DateTime.DaysAfter(dat_od_vzor, dat_do_vzor) + 1;
            string druh_dopr = (vzor["druh_dopr"] is string) ? (string)vzor["druh_dopr"] : "";
            //if (!stejneOC) //pokud cestovatel neni vlastnikem vozu, musim zmenit AUV na AUC
            //{
            //    //AUC - automobil spolucestujícího, pro AUV bude nyní povinnost vyplnit SPZ, PHM a prum. spotrebu.
            //    if (string.IsNullOrEmpty(SlcCisDruhDopr.Nazev("AUC")) == false)
            //    {
            //        if (druh_dopr.Contains("AUV"))
            //            druh_dopr = druh_dopr.Replace("AUV", "AUC");
            //        else if (druh_dopr.Contains("AUC"))
            //        {
            //            if (dt.Rows[0]["spz"] is string && SlcVozidla.VlastnikOrUzivatel(dt.Rows[0]["spz"] as string) == vydavatel)
            //            {
            //                druh_dopr = druh_dopr.Replace("AUC", "AUV");
            //            }
            //        }
            //    }
            //}
            string spz = (vzor["spz"] is string) ? (string)vzor["spz"] : "";

            //if (!stejneOC) //PR 11.03.2020 pokud to neni moje SC, ale spolucestujiciho, tak se misto me jako spolucestujiciho dosadi OC cestovatele kopirovane SC
            //{
            //    bool swap_spolu = false;                
            //    for (int i = 1; i <= 10; i++)
            //    {
            //        if (vzor["spolu" + i] is decimal)
            //        {
            //            if ((decimal)(vzor["spolu" + i]) == new_os_cislo)
            //            {
            //                swap_spolu = true;
            //                (vzor["spolu" + i]) = vzor_os_cislo;
            //            }
            //        }
            //    }
            //    if (swap_spolu)
            //    {
            //        string spolucestujici = "";
            //        for (int i = 1; i <= 10; i++)
            //        {
            //            if (vzor["spolu" + i] is decimal)
            //                if (spolucestujici.Length > 0) spolucestujici += ", ";
            //            spolucestujici += SlcHlavicka.ZkraceneJmeno((decimal)(vzor["spolu" + i]));
            //        }
            //        if (spolucestujici.Length > 120) spolucestujici = spolucestujici.Substring(0, 120);
            //        vzor["spolucestujici"] = spolucestujici;
            //    }
            //}

            vzor["souhl_dne"] = (Globals.OsCisloAktUserNeboZastupovany == new_os_cislo) ? (object)DateTime.Today : (object)DBNull.Value;
            vzor["povolil_dne"] = DBNull.Value;
            vzor["povolil_osc"] = DBNull.Value;
            vzor["pzn"] = DBNull.Value;
            string zdroj = "H"; //Hromadné vložení
            string tabulka = (sWF == true) ? "workfl_sluz_cesty" : "sluz_cesty";

            string error, errors = "";
            int pocetOK = 0, pocetErr = 0;
            try
            {
                //DateTime dB = dat_od.PrvniDen(); od 1. dne mesice
                DateTime dB = dat_do_vzor.AddDays(1);//do vsech nasledujicich dnu mesice od vybrane SC
                DateTime dE = dat_do_vzor.PosledniDen();
                bool lb_zadnaScCelyMesic = SlcFunkce.of_TerminVolny(new_os_cislo, new_ev_cislo, dB, (string)vzor["cas_od"], dE, (string)vzor["cas_do"], out error);
                bool lb_vuzVolnyCelyMesic;
                if (string.IsNullOrEmpty(spz))
                    lb_vuzVolnyCelyMesic = true;
                else
                    lb_vuzVolnyCelyMesic = SlcVozidla.of_VozidloVolne(spz, new_os_cislo, new_ev_cislo, dB, (string)vzor["cas_od"], dE, (string)vzor["cas_do"], out error);
                int li_pocetPozCelyMesic = Pozadavek.PrekrivajiciPozadavky(0, dB, dE);
                DateTime dat_do_prev = dat_do_vzor.AddDays(-1);
                while (dB <= dE)
                {
                    StrPlanovaciKalendar den = KSProgram.Funkce.PlanovaciKalendar.GetDenInfo(dB);
                    if ((den.PracDen && !den.Svatek) || lb_iMimoPracovni)
                    {
                        if (dnuSC > 1 && den.datum < dat_do_prev) //predesla SC konci az za aktualnim dnem, preskocim tento den 
                            continue;
                        DateTime dat_od = den.datum;
                        DateTime dat_do = dat_od.AddDays(dnuSC - 1);
                        int dnu_delta = (dat_od - dat_od_vzor).Days;
                        vzor["dat_od"] = dat_od;
                        vzor["dat_do"] = dat_do;
                        new_ev_cislo = 0;
                        //kontrola jen v ramci tabulky sluz_cesty, tj. zafunguje, ikdyž cesta není požadavkem   
                        if (!lb_zadnaScCelyMesic && !SlcFunkce.of_TerminVolny(new_os_cislo, new_ev_cislo, dat_od, (string)vzor["cas_od"], dat_do, (string)vzor["cas_do"], out error))
                        {
                            pocetErr++;
                            errors += "<br/>" + ReadGlobalResource.ZmenaTextu(error);
                        }
                        else if (!lb_vuzVolnyCelyMesic && !string.IsNullOrEmpty(spz) && !SlcVozidla.of_VozidloVolne(spz, new_os_cislo, new_ev_cislo, dat_od, (string)vzor["cas_od"], dat_do, (string)vzor["cas_do"], out error))
                        {
                            pocetErr++;
                            errors += "<br/>" + ReadGlobalResource.ZmenaTextu(error);
                        }
                        //PR 11.05.2021 HID=56519 kontrola na překrytí s jinými požadavky
                        else if (li_pocetPozCelyMesic > 0 && Pozadavek.PrekrivajiciPozadavky(0, dat_od, dat_do) > 0)
                        {
                            error = "[%V termínu {0} je již evidován jiný požadavek%]";
                            pocetErr++;
                            errors += "<br/>" + ReadGlobalResource.ZmenaTextu(error, dat_od.ToString() + " " + dat_od.ToString());
                        }
                        else
                        {
                            SlcHlavicka.Insert(out new_ev_cislo, tabulka, zdroj, vzor);
                            if (sWF) //jako WF pozadavek
                            {
                                //muze to dlouho trvat:
                                //mozna bych mohl insertnout WF stav pretizenou metodou s potlacenim odeslani mailu a nasledne odeslat nadrizenemu pouze 1 mail,
                                // v tom mailu bych nedaval url na detail, ale na Pozdavky2.aspx a do argumentu bych dal, ktere pozadavky se maji predvybrat
                                //nebo proste musi mit nastaveno odesilani mailu pres AS
                                new_id_poz = 0;
                                Pozadaveksluzc.Insert(ref new_id_poz, new_os_cislo, dat_od, dat_do, (string)vzor["cil"], (string)vzor["ucel"], druh_dopr,
                                    tabulka, new_ev_cislo, /*vyridit_do*/null, /*adresat*/0, /*novy_stav*/"", /*duvod*/"");
                            }
                            //PR 01.06.2021 HID=56700 nakonec si vynutili i kopirovani prubehu a stravneho, coz by nebylo pri referencni integrite mozne,
                            //pokud sc neni jiz v tabulce sluz_cesty (ale jen v workfl_sluz_cesty).
                            foreach (DataRow row in dtVzorPrub.Rows)
                            {
                                Int32 radek = (int)row["radek"];
                                Int32 poradi = (int)row["poradi"];//PR 17.01.2022 nový sloupec kvůli HID=59112
                                String udalost = (string)row["udalost"]; 
                                DateTime datum = (DateTime)row["datum"];
                                datum = datum.AddDays(dnu_delta);
                                String cas = (string)row["cas"];
                                String misto = GetNullOrData.GetString(row["misto"]);
                                String zeme_od = GetNullOrData.GetString(row["zeme_od"]); 
                                String zeme_do = GetNullOrData.GetString(row["zeme_do"]); 
                                String dopr_prost = GetNullOrData.GetString(row["dopr_prost"]);
                                Decimal? km_mesto = GetNullOrData.GetDecimal(row["km_mesto"]); 
                                Decimal? km_mimo = GetNullOrData.GetDecimal(row["km_mimo"]); 
                                Decimal? km_komb = GetNullOrData.GetDecimal(row["km_komb"]); 
                                Decimal? vzdalenost = GetNullOrData.GetDecimal(row["vzdalenost"]);
                                SlcPrubeh.Insert(new_ev_cislo, radek, poradi, udalost, datum, cas, misto, zeme_od, zeme_do, dopr_prost, km_mesto, km_mimo, km_komb, vzdalenost);
                            }
                            //stravne bych mohl vygenerovat dle prubehu, ale muze tam byt kraceni za S,O,V, takze to tez zkopiruji
                            foreach (DataRow row in dtVzorStrav.Rows)
                            {
                                DateTime datum = (DateTime)row["datum"];
                                datum = datum.AddDays(dnu_delta);
                                Decimal hodin = (Decimal)row["hodin"]; 
                                String zeme = GetNullOrData.GetString(row["zeme"]);
                                String mena = GetNullOrData.GetString(row["mena"]);
                                Decimal strav_pred_krac = (Decimal)row["strav_pred_krac"]; 
                                Boolean kraceni_s = (Boolean)row["kraceni_s"]; 
                                Boolean kraceni_o = (Boolean)row["kraceni_o"]; 
                                Boolean kraceni_v = (Boolean)row["kraceni_v"]; 
                                Decimal strav_po_krac = (Decimal)row["strav_po_krac"]; 
                                Decimal strav_zvys = (Decimal)row["strav_zvys"];
                                Decimal kapesne = (Decimal)row["kapesne"]; 
                                Decimal kapes_zvys = (Decimal)row["kapes_zvys"];
                                String pozn = GetNullOrData.GetString(row["pozn"]);

                                SlcStravne.Insert(new_ev_cislo, datum, hodin, zeme, mena,
                                    strav_pred_krac, kraceni_s, kraceni_o, kraceni_v, strav_po_krac, strav_zvys,
                                    kapesne, kapes_zvys, pozn);
                            }
                            //zkopiruji sumy stravne a jizdne za AUV v nahradach                            
                            if (dtVzorNahrady.Rows.Count > 0)
                            {
                                for (int ll_row = 0; ll_row < dtVzorNahrady.Rows.Count; ll_row++)
                                {
                                    int id = 0;
                                    DataRow row = dtVzorNahrady.Rows[ll_row];
                                    DateTime datum = (DateTime)row["datum"];
                                    datum = datum.AddDays(dnu_delta);
                                    SlcNahrady.InsertEx(out id, new_ev_cislo, datum, (String)row["druh"], (String)row["pl"], (String)row["pozn"], (Decimal?)row["vydaj"], (String)row["vydaj_mena"], (Decimal?)row["nahrada"], (Decimal?)row["nahrada_zvys"], (String)row["dphkod"], (Decimal?)row["naklad"], 0, null, null, null, null, null);
                                }
                            }

                            //PR 07.06.2021 přepočítám slc_nahrady.nakl_tuz a dph_tuz a sluz_cesty.naklady, který se zobrazuje v seznamu SC
                            DateTime? ld_kurzkeDni = SlcFunkce.of_kurz_ke_dni(new_ev_cislo);
                            SlcZauct.zauct_prepocti(new_ev_cislo, ld_kurzkeDni, ref error);

                            pocetOK++;
                        }
                        dat_do_prev = dat_do;
                        dB = dat_do.AddDays(1); //den po konci aktualne vytvorene cesty
                    }
                    else //neni to pracovni den, preskocim den
                        dB = dB.AddDays(1);
                }
            }
            catch (Exception ex)
            {
                errors += "<br/>Exception " + ex.GetType().ToString() + ": " + ex.Message;
            }
            string m = "";
            if (pocetOK > 0)
                m = ReadGlobalResource.ZmenaTextu("[%Bylo vytvořeno {0} služebních cest.%]", pocetOK);
            if (pocetErr > 0)
                m += ReadGlobalResource.ZmenaTextu("[%Nebylo vytvořeno {0} služebních cest z těchto důvodů:%]", pocetErr);
            m += errors;
            MessageBox.Alert(Page, m);

            GV_SlcSeznam2.Rebind();//PR 03.06.2021 
        }

    }

    protected void SmazatVybrane()
    {
        int? ev_cislo = null;
        int? id_poz = null;

        if (ZamykaniAgend.Zamceno(Agenda.Evidence__Služební_cesty__Cestovní_příkazy))
        {
            MessageBox.Alert(Page, WebControlHelper.ZmenaTextu("[%Editace%] [%je zakázána%], [%agenda%] [%Cestovní příkazy%] [%je uzamčena pro editaci%]!"));
            return;
        }

        //zjisteni vybranne SC
        if (GV_SlcSeznam2.SelectedValues == null)
        {
            MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Není vybrána žádná SC%]!"));
            return;
        }
        object o_ec = GV_SlcSeznam2.SelectedValues["ev_cislo"];
        if (o_ec == System.DBNull.Value)
        {
            MessageBox.Alert(this, WebControlHelper.ZmenaTextu("[%Není vybrána žádná SC%]!"));
            return;
        }

        foreach (GridDataItem dataItem in GV_SlcSeznam2.SelectedItems)
        {
            o_ec = dataItem.GetDataKeyValue("ev_cislo");
            object o_id_poz = dataItem.GetDataKeyValue("id_poz");

            ev_cislo = o_ec == System.DBNull.Value ? null : (int?)o_ec;
            id_poz = o_id_poz == System.DBNull.Value ? null : (int?)o_id_poz;

            if (SlcZalohy.GetPocetVyplacenych(ev_cislo.Value)>0)
            {
                MessageBox.Alert(this, ReadGlobalResource.ZmenaTextu("[%Nelze smazat%]: [%Cestovní příkaz%] {0} - [%vyplacena záloha%]!", ev_cislo.Value));
            }
            else if (SlcFunkce.JeVyuctovana(ev_cislo.Value))  
            {
                MessageBox.Alert(this, ReadGlobalResource.ZmenaTextu("[%Nelze smazat%]: [%Cestovní příkaz%] {0} - [%již byl vyúčtován%]!", ev_cislo.Value));
            }
            else
            {
                if (id_poz.HasValue && id_poz.Value > 0)
                {
                    Pozadaveksluzc poz = new Pozadaveksluzc();
                    poz.DeleteBase(id_poz.Value);
                }
                else
                    SlcFunkce.DeleteAllData(ev_cislo.Value);
            }
        }
    }
}
