﻿using KSProgram;
using KSProgram.Bulletin;
using KSProgram.Funkce;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Bulletin
{
    public partial class BulletinSestava : TPage
    {

        public BulletinSestava()
        {
            this.IdPrava = 363;
            this.AutomatickyUlozitNastaveni = true;
            this.VerzeStranky = "4";
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        protected void CheckBox_CheckedChanged(object sender, EventArgs e)
        {
            TCheckBox checkBox = sender as TCheckBox;
            TRadGrid1.Rebind();
        }

        protected void TRadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
        {
            DateTime dat_od = (DateTime)TRadGrid1.Datum.SelectedObdobiOd;
            DateTime dat_do = (DateTime)TRadGrid1.Datum.SelectedObdobiDo;

            DataTable table = KSProgram.Bulletin.Bulletin.GetBulletinSestava(dat_od, dat_do);

            TRadGrid1.DataSource = table;
        }
    }
}