﻿using KSProgram;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.Controls
{
    public partial class GridSkoliciAkce : System.Web.UI.UserControl
    {
        public bool ZaVybraneOsobniCislo
        {
            get
            {
                return (ViewState[this.GetType().FullName + "os_cislo"] == null ? false : Convert.ToBoolean(ViewState[this.GetType().FullName + "os_cislo"]));
            }
            set
            {
                ViewState[this.GetType().FullName + "os_cislo"] = value;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            string akreditace = KSProgram.Funkce.Parametr_cti.Get("akreditace_osv");
            if (akreditace == "a")
            {
                //TGridView1.Columns[6].Visible = true;
                TradGridSkolAkceZam.Columns[10].Visible = true;
            }
            if(ZaVybraneOsobniCislo)
            {
                TradGridSkolAkceZam.Columns[0].Visible = false;
                TradGridSkolAkceZam.Columns[1].Visible = false;
                TradGridSkolAkceZam.Columns[2].Visible = false;
                TradGridSkolAkceZam.Columns[3].Visible = false;
            }
        }

        /// <summary>
        /// KM 6.11.2015
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void TradGridSkolAkceZam_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            TradGridSkolAkceZam.DataSource = new KSProgram.Vzdelavani.SkoliciAkce().SkolAkceZam(ZaVybraneOsobniCislo ? (decimal?)Globals.OsCislo : null);
        }

        public void Rebind()
        {
            TradGridSkolAkceZam.Rebind();
        }

        /// <summary>
        /// KM 6.11.2015
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void TradGridSkolAkceZam_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            if (e.Item is GridDataItem)
            {
                GridDataItem dataItem = (GridDataItem)e.Item;
                object obj = (bool)((System.Data.DataRowView)dataItem.DataItem).Row["probehla"];
                if (obj != null && obj != DBNull.Value)
                {
                    if ((bool)obj)
                    {
                        if (dataItem["plneni"].Text == "nesplnil")
                            dataItem.ForeColor = System.Drawing.Color.Red;
                        //else 
                        //    dataItem.ForeColor = System.Drawing.Color.Gray;
                    }
                }
            }
        }
    }
}