﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Sestavy;
using System.Globalization;
using System.Drawing;

public partial class Controls_SchvaleneNeprit : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void TGridView1_RowCreated(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.Header)
        {
            DateTimeFormatInfo info = DateTimeFormatInfo.GetInstance(CultureInfo.CurrentUICulture);
            GridView g = (GridView)sender;
            int citac = 0;
            DateTime den = DateTime.Now.Date;
            DateTime posl=den.AddDays(SchvaleneNeprit.Pocetdni - 1);
            while (den <= posl)
            {
                int d=den.Day;
                g.Columns[citac + 3].Visible = true;
                g.Columns[citac + 3].HeaderText = d.ToString() + ". " + info.GetAbbreviatedDayName(den.Date.DayOfWeek);
                g.Columns[citac + 3].ItemStyle.Width = 60;
                g.Columns[citac + 3].ItemStyle.HorizontalAlign = HorizontalAlign.Center;
                g.Columns[citac + 3].HeaderStyle.HorizontalAlign = HorizontalAlign.Center;

                if ((den.DayOfWeek == DayOfWeek.Saturday) || (den.DayOfWeek == DayOfWeek.Sunday))
                    g.Columns[citac + 3].HeaderStyle.ForeColor = Color.Red;
                
                citac++;
                den=den.AddDays(1);
            }            
        }
    }   
}