﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Controls
{
    public partial class VyhledaniZam : System.Web.UI.UserControl
    {   
        /// <summary>
        /// Nastavení zda v seznamu aplikovat práva
        /// </summary>
        public bool Prava { get; set; }       

        protected void Page_Load(object sender, EventArgs e)
        {
            ScriptManager.RegisterStartupScript(Page, Page.GetType(), "startup_rcb_VyhledaniZamPrava", string.Format("rcb_VyhledaniZamPrava = "+this.Prava.ToString().ToLower()+";"), true);
        }

        public decimal? GetSelectedOscislo
        {
            get
            {
                string val = RadComboBox_zam.SelectedValue;
                string[] arr = val.Split(new char[] { '_' });
                decimal os_cislo;
                if ((arr.Length == 2) && (decimal.TryParse(arr[1], out os_cislo)))
                    return os_cislo;

                return null;
            }

        }
        public int? GetIdPracmista
        {
            get
            {
                string val = RadComboBox_zam.SelectedValue;
                string[] arr = val.Split(new char[] { '_' });
                int id_pm;
                if ((arr.Length == 2) && (int.TryParse(arr[1], out id_pm)))
                    return id_pm;

                return null;
            }

        }
    }
}