﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Controls_ZadostOdochazka" Codebehind="ZadostOdochazka.ascx.cs" %>
<%@ Register assembly="WebControls" namespace="KSProgram.WebControls" tagprefix="wc" %>
<div style="white-space:nowrap;padding-bottom:10px;">
<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
        HeaderText="[%Žádost o schválení docházky%]" Height="50px" Width="125px" 
        DataKeyNames="os_cislo,cislo_pom,obdobi" ondatabound="DetailsView1_DataBound" 
        onitemcreated="DetailsView1_ItemCreated">
    <Fields>
        <%--<asp:BoundField DataField="os_cislo" HeaderText="[%Žadatel%]:" />--%>
        <asp:TemplateField  HeaderText="[%Žadatel%]:">
        <ItemTemplate>
             <asp:Label ID="Label9" runat="server" Text='<%# ( KSProgram.Funkce.Pracovnik.OsCisloPrijmeniJmeno(Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "os_cislo")))) %>'></asp:Label>
        </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField DataField="cislo_pom" HeaderText="[%Číslo poměru%]:" />
        <asp:BoundField DataField="obdobi" DataFormatString="{0:M.yyyy}" HeaderText="[%Období%]:" />
        <asp:TemplateField HeaderText="[%Plánovaný fond%]:">
            <%--<EditItemTemplate>
                <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("fond") %>'></asp:TextBox>
            </EditItemTemplate>
            <InsertItemTemplate>
                <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("fond") %>'></asp:TextBox>
            </InsertItemTemplate>--%>
            <ItemTemplate>
                <asp:Label runat="server" ID="LabelFondDnyPopis" Text="[%Dny%]:"></asp:Label>
                <asp:Label ID="LabelFondDnu" runat="server" Text='<%# Bind("fond_dny","{0:N1}") %>'></asp:Label>
                <asp:Label runat="server" ID="LabelFondHodinPopis" Text="[%Hodiny%]:"></asp:Label>
                <asp:Label ID="LabelFondHodin" runat="server" Text='<%# Bind("fond_hod", "{0:N2}") %>'></asp:Label>                
            </ItemTemplate>
            <HeaderStyle Wrap="False" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="[%Vykázáno%]:">
            <EditItemTemplate>
                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("vykazano") %>'></asp:TextBox>
            </EditItemTemplate>
            <InsertItemTemplate>
                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("vykazano") %>'></asp:TextBox>
            </InsertItemTemplate>
            <ItemTemplate>
                <wc:TGridView ID="TGridView1" runat="server" DataSourceID="ObjectDataSource2" onrowdatabound="TGridView1_RowDataBound" ShowFooter="True">
                    <Columns>
                        <asp:BoundField DataField="kod">
                            <ItemStyle HorizontalAlign="Right" />
                        </asp:BoundField>
                        <asp:BoundField DataField="nazev" />
                        <asp:BoundField DataField="dny" HeaderText="[%Dny%]" DataFormatString="{0:N1}">
                            <FooterStyle HorizontalAlign="Right" />
                            <ItemStyle HorizontalAlign="Right" />
                        </asp:BoundField>
                        <asp:BoundField DataField="hodiny" HeaderText="[%Hodiny%]" DataFormatString="{0:N2}">
                            <FooterStyle HorizontalAlign="Right" />
                            <ItemStyle HorizontalAlign="Right" />
                        </asp:BoundField>
                    </Columns>
                </wc:TGridView>
                <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" OldValuesParameterFormatString="original_{0}" SelectMethod="RetrieveRekapPozDochazka" TypeName="KSProgram.Dochazka.SesumujMesic">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DetailsView1" Name="os_cislo" PropertyName="DataKey[0]" Type="Decimal" />
                        <asp:ControlParameter ControlID="DetailsView1" Name="cislo_pom" PropertyName="DataKey[1]" Type="Int16" />
                        <asp:ControlParameter ControlID="DetailsView1" Name="obdobi" PropertyName="DataKey[2]" Type="DateTime" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="[%Rozdíl proti fondu%]" >
            <ItemTemplate>
                <asp:Label runat="server" ID="LabelRozdilDnyPopis" Text="[%Dny%]:"></asp:Label>
                <asp:Label ID="LabelRozdilDnu" runat="server" Text=''></asp:Label>
                <asp:Label runat="server" ID="LabelRozdilHodinPopis" Text="[%Hodiny%]:"></asp:Label>
                <asp:Label ID="LabelRozdilHodin" runat="server" Text=''></asp:Label>                
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="[%Pracovní list%]" >
            <ItemTemplate >
               <asp:ImageButton ID="img_1praclist" runat="server" ImageUrl="~/Images/v_list.png" ToolTip="[%Tvorba pracovního listu%]" OnCommand="img_1praclist_Command" BorderColor="White"
                            BorderStyle="Solid" BorderWidth="1px" />                                        
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="[%Měsíční sumace%]" >
            <ItemTemplate >
               <asp:ImageButton ID="img_mes_sumace" runat="server" ImageUrl="~/Images/v_list.png" ToolTip="[%Měsíční sumace%]" OnCommand="img_mes_sumace_Command" BorderColor="White"
                            BorderStyle="Solid" BorderWidth="1px" />                                        
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="[%Aktuální stav a datum změny stavu%]:">
            <EditItemTemplate>
                <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("stav") %>'></asp:TextBox>
            </EditItemTemplate>
            <InsertItemTemplate>
                <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("stav") %>'></asp:TextBox>
            </InsertItemTemplate>
            <ItemTemplate>
                <asp:Label ID="Label1" runat="server" Text='<%# Bind("stav") %>'></asp:Label>
                &nbsp;<asp:Label ID="Label2" runat="server" Text='<%# KSProgram.Funkce.F_DateTime.DateTimeToString(DataBinder.Eval(Container.DataItem,"vyriz_datum"), "d") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <%--<asp:BoundField DataField="faze_text" HeaderText="[%Fáze%]:" />--%>
    </Fields>
</asp:DetailsView>
</div>
<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}" SelectMethod="Retrieve" TypeName="KSProgram.Pozadavky.Pozadavekdochazka">
    <SelectParameters>
        <asp:Parameter Name="id_pozadavku" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
