﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using KSProgram.Data;
using Telerik.Web.UI;

public partial class Controls_ZadostOskol : UserControlPozadavek
{

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public override void Nacist()
    {
        base.Nacist();

        WorkflowMaster wf = new WorkflowMaster(PozId, PozadavekTyp.skol.ToString(), null);
        string val = wf.Get_UN("", "Form1", "Mode");

        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        if (val == "insert")
            FormView1.ChangeMode(FormViewMode.Insert);
        else if (val == "edit")
            FormView1.ChangeMode(FormViewMode.Edit);
        else
            FormView1.ChangeMode(FormViewMode.ReadOnly);

        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        FormView1.DataSourceID = "ObjectDataSource1";
        FormView1.DataBind();
    }

    /// <summary>
    /// Po vložení záznamu
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public new void ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        OnItemInserted(new EventArgs());
    }

    public new void ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        OnItemUpdated(new EventArgs());
    }

    protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        ItemInserted(sender, e);
    }
    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        ItemUpdated(sender, e);
    }


    protected void ImageButton2_Command(object sender, CommandEventArgs e)
    {
        OnItemExit(new EventArgs());
    }

    //public override void Vlozit()
    //{
    //    //FormView1.ChangeMode(FormViewMode.Insert);
    //}

    //public override void Editovat()
    //{
    //    //throw new NotImplementedException();
    //}

    public override void ChangeMode(FormViewMode mode)
    {
        FormView1.ChangeMode(mode);
    }


    protected void ddlb_nabidka_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (((TRadComboBox)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue != null)
        {
            string str = ((TRadComboBox)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue;
            if (!(string.IsNullOrEmpty(str)))
            {
                ObjectDataSource1.SelectParameters["cislo_akce"].DefaultValue = Convert.ToInt32(str).ToString();
                FormView1.DataSourceID = ObjectDataSource1.ID;
            }
        }
        FormView1.DataBind();
    }


    protected void FormView1_DataBound(object sender, EventArgs e)
    {
        FormView v = (FormView)sender;
        DataView dv = (DataView)ObjectDataSource1.Select();
        DataTable tb = dv.ToTable();
        if ((v.CurrentMode == FormViewMode.Insert) || ((v.CurrentMode == FormViewMode.Edit)))
        {
            Label lab = ((Label)WebControlHelper.FindControl(v, "osv_data"));
            if (lab != null)
            {
                DateTime dat_od = new DateTime();
                if (tb.Rows[0]["dat_od"] != DBNull.Value)
                    dat_od = (DateTime)tb.Rows[0]["dat_od"];

                DateTime dat_do = new DateTime();
                if (tb.Rows[0]["dat_do"] != DBNull.Value)
                    dat_od = (DateTime)tb.Rows[0]["dat_do"];

                lab.Text = tb.Rows[0]["osv_nazev"].ToString();
                ((Label)WebControlHelper.FindControl(v, "lektor_data")).Text = tb.Rows[0]["lektor"].ToString();
                if (dat_od > new DateTime())
                    ((Label)WebControlHelper.FindControl(v, "dat_od_data")).Text = dat_od.ToString("d");
                ((Label)WebControlHelper.FindControl(v, "cas_od_data")).Text = tb.Rows[0]["cas_od"].ToString();

                if (dat_do > new DateTime())
                    ((Label)WebControlHelper.FindControl(v, "dat_do_data")).Text = dat_do.ToString("d");
                ((Label)WebControlHelper.FindControl(v, "cas_do_data")).Text = tb.Rows[0]["cas_do"].ToString();
                ((Label)WebControlHelper.FindControl(v, "ucebna_data")).Text = tb.Rows[0]["ucebna"].ToString();
                ((Label)WebControlHelper.FindControl(v, "max_prihlasenych_data")).Text = tb.Rows[0]["max_prihlasenych"].ToString();
                ((Label)WebControlHelper.FindControl(v, "prihlasenych_data")).Text = tb.Rows[0]["prihlasenych"].ToString();


                ((TRadComboBox)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue = tb.Rows[0]["cislo"].ToString();
            }

        }
        TGridView grid = (TGridView)WebControlHelper.FindControl(this, "TGridView1");
        ObjectDataSource obsah = (ObjectDataSource)WebControlHelper.FindControl(this, "ODS_ObsahAkce");
        obsah.SelectParameters["pCislo"].DefaultValue = tb.Rows[0]["cislo"].ToString();
        grid.DataBind();
        OnItemRetrieved(new EventArgs());
    }
    protected void ObjectDataSource1_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
    {
        e.InputParameters["id_poz"] = "0";
        e.InputParameters["p_cislo"] = ((TRadComboBox)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue.ToString();
        e.InputParameters["duvod"] = ((RadTextBox)WebControlHelper.FindControl(this, "duvod_data")).Text;

        //e.InputParameters["vyridit_do"] = ((TextBox)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert")).Text;
        //PH 19.8.2011
        TRadDatePicker box = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert");
        e.InputParameters["vyridit_do"] = (box.SelectedDate == null ? new DateTime() : Convert.ToDateTime(box.SelectedDate));

        //((ObjectDataSource)sender).InsertParameters["id_poz"].DefaultValue = "0";
        //((ObjectDataSource)sender).InsertParameters["p_cislo"].DefaultValue = ((DropDownList)WebControlHelper.FindControl(this, "ddl_nabidka")).SelectedValue.ToString();
        //((ObjectDataSource)sender).InsertParameters["duvod"].DefaultValue = ((TextBox)WebControlHelper.FindControl(this, "duvod_data")).Text;
        //((ObjectDataSource)sender).InsertParameters["vyridit_do"].DefaultValue = ((TextBox)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert")).Text;
        e.Cancel = false;
    }


    /// <summary>
    /// Sem směřují všechny commandy z pozadavky.aspx
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public override void CommandRouter(object sender, CommandEventArgs e, ref bool is_valid)
    {
        is_valid = true;
        if (e.CommandName.ToString() == "Save")
        {
            this.Page.Validate();
            is_valid = this.Page.IsValid;
            if (is_valid)
            {
                if (FormView1.CurrentMode != FormViewMode.ReadOnly)
                {
                    if (FormView1.CurrentMode == FormViewMode.Insert)
                        ObjectDataSource1.Insert();
                    else
                        ObjectDataSource1.Update();
                }
            }
        }
    }

    protected void ObjectDataSource1_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        PozId = Convert.ToInt32(e.OutputParameters["id_poz"]);
        ObjectDataSource1.SelectParameters["id_pozadavku"].DefaultValue = PozId.ToString();
        Nacist();
    }

    protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        e.InputParameters["id_poz"] = PozId;
        //e.InputParameters["p_cislo"] = ((DropDownList)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue.ToString();
        e.InputParameters["p_cislo"] = ((TRadComboBox)WebControlHelper.FindControl(this, "ddlb_nabidka")).SelectedValue.ToString();
        e.InputParameters["duvod"] = ((RadTextBox)WebControlHelper.FindControl(this, "duvod_data")).Text;

        TRadDatePicker box = (TRadDatePicker)WebControlHelper.FindControl(this, "TextBoxDatVyrizeniInsert");
        e.InputParameters["vyridit_do"] = (box.SelectedDate == null ? new DateTime() : Convert.ToDateTime(box.SelectedDate));
        e.Cancel = false;
    }

    public void OpakovanePrihlaseni_validate(object sender, ServerValidateEventArgs e)
    {
        e.IsValid = true;
        if (PozId == 0)
        {
            decimal os_cislo = PozadavekZpracovaniAbstract.VydavatelProNovyPoz();
            TRadComboBox list = WebControlHelper.FindControl(this, "ddlb_nabidka") as TRadComboBox;
            if (list != null)
            {
                int sk_akce = Convert.ToInt32(list.SelectedValue);
                Pozadavekskol sk = new Pozadavekskol(PozId);
                e.IsValid = (!sk.JizPrihlasen(sk_akce, os_cislo));                
            }
        }
    }
    /*
    public static string NazevAkce(object nazev, object dat_od)
    {
        string n = null;
        DateTime? d = null;
        if ((nazev == null) || (nazev == DBNull.Value)) return string.Empty;

        n = nazev.ToString().Trim();
        if ((dat_od != null) && (dat_od != DBNull.Value)) d = Convert.ToDateTime(dat_od);

        return Pozadavekskol.NazevAkce(n, d);
    }
    */
}
