﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ZmppvInnerPrint.ascx.cs" Inherits="KSPortal.Controls.ZmppvInnerPrint" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="WfPrintPodpisy.ascx" TagName="WfPrintPodpisy" TagPrefix="wpp" %>
<style type="text/css">
    .ksZmppvPrint {
    }

    table.ksZmppvPrint {
        border-collapse: collapse;
        color: black;
        width: 700px;
    }

        table.ksZmppvPrint > thead > tr > th {
            padding: 10px;
            font-size: large;
            border: 1px solid black;
        }

        table.ksZmppvPrint > tbody > tr > td {
            padding: 5px;
            border: 1px solid black;
        }
        table.ksZmppvPrint > tfoot > tr > td {
            text-align: right;
            border: none;
        }

    td.ksZmppvPrint_header {
        font-weight: bold;
    }

    td.ksZmppvPrint_group_header {
        background-color: lightgray;
    }


    @media print {
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    }

</style>
<table class="ksZmppvPrint">
    <thead>
        <tr>
            <th colspan="3">
                <asp:Label runat="server" ID="L_header" Text="[%Změna pracovněprávního vztahu%]"></asp:Label>
            </th>
        </tr>
    </thead>
    <tbody>
        <asp:Repeater runat="server" ID="R_rows_ev">
            <HeaderTemplate>
                <tr>
                    <td colspan="3" class="ksZmppvPrint_group_header">[%Evidenční údaje%]
                    </td>
                </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td class="ksZmppvPrint_header">
                        <label><%# Eval("header") %></label>
                    </td>
                    <td colspan="2">
                        <label><%# Eval("value") %></label>
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
        <asp:Repeater runat="server" ID="R_rows_pom">
            <HeaderTemplate>
                <tr>
                    <td colspan="3" class="ksZmppvPrint_group_header">[%Údaje o pracovním poměru%]
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="ksZmppvPrint_header">
                        <label>[%Dosavadní%]</label>
                    </td>
                    <td class="ksZmppvPrint_header">
                        <label>[%Nové%]</label>
                    </td>
                </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td class="ksZmppvPrint_header">
                        <label><%# Eval("header") %></label>
                    </td>
                    <td>
                        <label><%# Eval("old_value") %></label>
                    </td>
                    <td>
                        <label><%# Eval("value") %></label>
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </tbody>
    <tfoot>
        <tr>
            <td></td>
            <td></td>
            <td>
                <asp:Label runat="server" ID="L_footer" Text="F-0040"></asp:Label>
            </td>
        </tr>
    </tfoot>
</table>
[%Touto změnou pozbývá plastnost Vaše předchozí pracovní a mzdové zařazení%].
<br />
[%Výše základní mzdy daného tarifního stupně je uvedena v platné Kolektivní smlouvě.%].
<br />
<br />
<wpp:WfPrintPodpisy runat="server" ID="WPP_podpisy"></wpp:WfPrintPodpisy>
<asp:Label runat="server" ID="translace" Visible="false">[%Uzel%] [%Útvar, provoz%] [%Tarifní třída%] [%Tarifní stupeň%] [%Autonomní tým%] [%Rozvrh prac. doby - kalendář%][%Změna pracovního a mzdového zařazení pro kategorii%] </asp:Label>
