﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DashBoardPanel_Warnigs.ascx.cs" Inherits="KSPortal.DashBoard.DashBoardPanel_Warnigs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>



<style type="text/css">
    fieldset.ksDbWarFs {
        margin: 2px 0 2px 0;
        border-color: lightgray;
        border-style: solid;
        border-width: 1px;
        padding: 4px 4px 4px 8px;
    }

        fieldset.ksDbWarFs > div {
            width: 100%;
            position: relative;
        }

            fieldset.ksDbWarFs > div > p {
                font-size: 16px !important;
                /*color: #294C7E !important;*/
            }
</style>

<style type="text/css">
    .buttonText {
        border: none;
        background: transparent;
    }

        .buttonText:hover {
            color: cornflowerblue;
        }

    .buttonTextAdd {
        border: none;
        background: transparent;
    }

        .buttonTextAdd:hover {
            color: black;
            background: lightgray;
            border: 1px solid lightgray;
        }
</style>

<telerik:RadScriptBlock ID="RSB_warns" runat="server">
    <script type="text/javascript">
        //<![CDATA[

        function RD_Warnigs_ClientDockPositionChanged(sender, args) {

        }

        function ParameterMap(sender, args) {
            //If you want to send a parameter to the select call you can modify the if 
            //statement to check whether the request type is 'read':
            //if (args.get_type() == "read" && args.get_data()) {
            if (args.get_type() != "read" && args.get_data()) {
                args.set_parameterFormat({ customersJSON: kendo.stringify(args.get_data().models) });
            }
        }
        function Parse(sender, args) {
            var response = args.get_response().d;
            if (response) {
                args.set_parsedData(response.Data);
            }
        }

        function _emptyText() {
            return '<%=KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Žádné oznámení%]")%>';
        }

    </script>


    <script type="text/javascript">
        //<![CDATA[

        function RD_Bulletin_ClientDockPositionChanged(sender, args) {

        }

        function ParameterMap(sender, args) {
            //If you want to send a parameter to the select call you can modify the if 
            //statement to check whether the request type is 'read':
            //if (args.get_type() == "read" && args.get_data()) {
            if (args.get_type() != "read" && args.get_data()) {
                args.set_parameterFormat({ customersJSON: kendo.stringify(args.get_data().models) });
            }
        }
        function Parse(sender, args) {
            var response = args.get_response().d;
            if (response) {
                args.set_parsedData(response.Data);
            }
        }

        function _emptyText2() {
            return '<%=KSProgram.Obecne.ReadGlobalResource.ZmenaTextu("[%Žádné ankety k vyplnění%]")%>';
        }             
    </script>
</telerik:RadScriptBlock>

<telerik:RadListView runat="server" ID="RLV_bull" AllowPaging="false" ItemPlaceholderID="ItemsPlaceHolder1" ClientDataSourceID="RCDS_warnigs">
    <LayoutTemplate>
        <div id="ItemsPlaceHolder1" runat="server">
        </div>
    </LayoutTemplate>
    <ClientSettings>
        <DataBinding>
            <ItemTemplate>
                <fieldset class="ksDbWarFs">
                    <div>
                        <p>#= message #</p>
                    </div>
                </fieldset>
            </ItemTemplate>
            <EmptyDataTemplate>
                <fieldset class="ksDbLiFs" style="border:none;">
                                <div>
                                    <p class="zadneBull">
                                        <i class="fi fi-megaphone"></i>
                                        <label>#=_emptyText()#</label>
                                    </p>
                                </div>
                            </fieldset>
            </EmptyDataTemplate>
        </DataBinding>
    </ClientSettings>
</telerik:RadListView>

<telerik:RadClientDataSource ID="RCDS_warnigs" runat="server" AllowBatchOperations="false">
    <ClientEvents OnDataParse="Parse" />
    <DataSource>
        <WebServiceDataSourceSettings>
            <Select Url="DashBoard/WebMethods.aspx/GetWarnigs" DataType="JSON" RequestType="Post" ContentType="application/json; charset=utf-8" />
        </WebServiceDataSourceSettings>
    </DataSource>
    <Schema>
        <Model>
            <telerik:ClientDataSourceModelField FieldName="message" DataType="String" Editable="False" />
        </Model>
    </Schema>
</telerik:RadClientDataSource>

<asp:HiddenField runat="server" ID="id_zpr" Value="" />
<asp:HiddenField runat="server" ID="HF_anonymni" />
<asp:HiddenField runat="server" ID="HF_nazevAnkety" />