﻿using KSProgram.Data;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Obecne
{
    public partial class GenPozadavku : TPage
    {
        private static readonly Random _getrandom = new Random();
        private static int MaxIdPoz = 2147483647; //maximální hodnota pro generování id požadavku
        private static int MinIdPoz = 1000000000; //minimální hodnota pro generování id požadavku

        protected void generuj_onClick(object sender, EventArgs args)
        {
            if (ntb.Value!=null)
            {
                long pocet = Convert.ToInt64(ntb.Value);

                using (IDataReader reader = SqlPrikaz.ExecuteReader("select id_poz from workfl_hl"))
                {
                    while (reader.Read())
                    {
                        int id_poz = GetNullOrData.GetInt32(reader, 0, 0);
                        int citac = 0;
                        while (citac<pocet)
                        {
                            int new_id_poz= _getRandOfIdPoz();
                            string sql="INSERT INTO workfl_hl( id_poz,os_cislo, cislo_pom, id_diu, typ,agenda, id_master, last_notif, id_org_stru, url_odkaz, exter_zpr_kdy, druh_pom_j)"+
                                                    "SELECT   "+new_id_poz+ ",os_cislo, cislo_pom, id_diu, typ,agenda, id_master, last_notif, id_org_stru, 'generovano', exter_zpr_kdy, druh_pom_j from  workfl_hl where id_poz="+id_poz;
                            SqlPrikaz.ExecuteNonQuery(sql);


                            
                            /*
                            using (IDataReader reader2 = SqlPrikaz.ExecuteReader("select id from workfl_absence where id_poz=" + id_poz))
                            {
                                while (reader2.Read())
                                {
                                    int id = GetNullOrData.GetInt32(reader2, 0, 0);
                                    sql = "INSERT INTO workfl_absence(id, os_cislo ,cislo_pom ,dch_kod,mzd_kod, dat_od, dat_do, cas_od, cas_do, doba, dny, hodiny, stav, sys_stav, popis, id_poz, workfl_proc_id, archiv) " +
                                        "select {0}, os_cislo ,cislo_pom ,dch_kod,mzd_kod, dat_od, dat_do, cas_od, cas_do, doba, dny, hodiny, stav, sys_stav, popis, "+new_id_poz+", workfl_proc_id, archiv from workfl_absence where id=" + id;
                                    SqlPrikaz.InsertWithSerial(sql, "workfl_absence", "id");
                                }
                            }
                            */

                            using (IDataReader reader2 = SqlPrikaz.ExecuteReader("select id from workfl_adresati where id_poz=" + id_poz))
                            {
                                while (reader2.Read())
                                {
                                    int id = GetNullOrData.GetInt32(reader2, 0, 0);
                                    sql = "INSERT INTO workfl_adresati(id, id_nadriz, id_poz, stav, adresat) " +
                                        "select {0},id_nadriz, "+new_id_poz+", stav, adresat from workfl_adresati where id="+id;
                                    SqlPrikaz.InsertWithSerial(sql, "workfl_adresati", "id");
                                 }
                            }

                            sql = "INSERT INTO workfl_hodnoty (id_poz, klic, hodnota, cas ) " +
                                             "select "+new_id_poz+", klic, hodnota, cas from workfl_hodnoty where id_poz=" + id_poz;
                            SqlPrikaz.ExecuteNonQuery(sql);

                            /*
                            sql = "INSERT INTO workfl_plandovol (os_cislo, cislo_pom, id_poz, datum, prizn, hodiny ) " +
                                             "select os_cislo, cislo_pom, " + new_id_poz + ", datum, prizn, hodiny from workfl_plandovol where id_poz=" + id_poz;
                            SqlPrikaz.ExecuteNonQuery(sql);
                            */

                            using (IDataReader reader2 = SqlPrikaz.ExecuteReader("select id from workfl_proc where id_poz=" + id_poz))
                            {
                                while (reader2.Read())
                                {
                                    int id = GetNullOrData.GetInt32(reader2, 0, 0);

                                    sql = "INSERT INTO workfl_proc (id,id_poz,poradi,stav,sys_stav,substav,faze,resitel,duvod,adresat,vyraz, faze_akt,validace,akce,adresat_neupr,oznam,archiv,datum,cas,zapsal) " +
                                    "select {0},"+new_id_poz+",poradi,stav,sys_stav,substav,faze,resitel,duvod,adresat,vyraz, faze_akt,validace,akce,adresat_neupr,oznam,archiv,datum,cas,zapsal from workfl_proc where id="+id;
                                    SqlPrikaz.InsertWithSerial(sql, "workfl_proc", "id");
                                }
                            }

                            using (IDataReader reader2 = SqlPrikaz.ExecuteReader("select id from workfl_zazn where id_poz=" + id_poz))
                            {
                                while (reader2.Read())
                                {
                                    int id = GetNullOrData.GetInt32(reader2, 0, 0);

                                    sql = "INSERT INTO workfl_zazn (id,id_poz,klic,datum1 ,datum2,string1,string2,string3,string4,string5,string6,string7,string8,string9,string10,string11,castka1,castka2,celcislo1,celcislo2,decimal1) " +
                                    "select {0}," + new_id_poz + ",klic,datum1,datum2,string1,string2,string3,string4,string5,string6,string7,string8,string9,string10,string11,castka1,castka2,celcislo1,celcislo2,decimal1 from workfl_zazn where id=" + id;
                                    SqlPrikaz.InsertWithSerial(sql, "workfl_zazn", "id");
                                }
                            }



                            using (IDataReader reader2 = SqlPrikaz.ExecuteReader("select id from workfl_body where id_poz=" + id_poz))
                            {
                                while (reader2.Read())
                                {
                                    int id = GetNullOrData.GetInt32(reader2, 0, 0);

                                    sql = "INSERT INTO workfl_body (id, id_poz, verze, doba,pul_den, datum_od, datum_do, id_vazba, obdobi, obdobi_do, archiv, datum, zapsal) " +
                                    "select {0}," + new_id_poz + ", verze, doba,pul_den, datum_od, datum_do, id_vazba, obdobi, obdobi_do, archiv, datum, zapsal from workfl_body where id=" + id;
                                    SqlPrikaz.InsertWithSerial(sql, "workfl_body", "id");
                                }
                            }                           

                            citac++;
                        }
                    }
                }
            }
        }

        private static int _getRandOfIdPoz()
        {
            int id = 0;
            int id_pom = 0;
            do
            {
                id = _getrandom.Next(MinIdPoz, MaxIdPoz);
                //kontroluju jestli číslo již náhodou neexistuje
                id_pom = SqlPrikaz.ExecuteScalarInt32("select id_poz from workfl_hl where id_poz=" + SqlPrikaz.ValueToString(id), 0);
            }
            while (id == id_pom);

            return id;
        }
    }
}