﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using KSProgram.Dochazka;
using KSProgram.Funkce;
using KSProgram.Ciselniky;
using System.Data;
using Telerik.Web.UI;
using KSProgram.Prava;
using static KSProgram.Funkce.WebControlHelperProxy;
using KSProgram.WebControls;
using KSProgram.Data;
using KSProgram.Pozadavky;

namespace KSPortal.Dochazka
{
    public partial class DchPomucky : TPageZam
    {
        /// <summary>
        /// 
        /// </summary>
        public DchPomucky()
        {
            IdPrava = 189;
            this.HelpURL = "Pom%C5%AFcky_%28Nastaven%C3%AD_doch%C3%A1zky%29";
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            if (!IsPostBack)
            {
                /*
                obdobi_od.SetDefaultObdobi(Globals.AktObdobi);
                obdobi_do.SetDefaultObdobi(Globals.AktObdobi);

                obdobi_od.SetMaxObdobi(Globals.AktObdobi);
                obdobi_do.SetMaxObdobi(Globals.AktObdobi);
                 * */
                //PH 16.11.2015
                obdobi_od.SelectedDate=Globals.AktObdobi;
                obdobi_do.SelectedDate=Globals.AktObdobi;

                obdobi_od.Picker.MaxDate = Globals.AktObdobi;
                obdobi_do.Picker.MaxDate = Globals.AktObdobi;

                TRadObdobi1.SelectedDate = Globals.AktObdobi;
                TRadObdobi1.Picker.MaxDate = Globals.AktObdobi;

                Label lab = WebControlHelperProxy.FindControl(this, "lab_zam") as Label;
                lab.DataBind();               
                //button_smazat_uzaverku.Text = string.Format("[%Zrušení uzávěrky za období%]: {0}", Globals.AktObdobiDochazka.ToString("MMMM yyyy"));
            }
        }

        protected void button1_Command(object sender, CommandEventArgs e)
        {
            //RadWindow1.VisibleOnPageLoad = true;  
            if (check_all.Checked)
                _prepocetVse();
            else
                _prepocet();
        }

        
        protected void butt_ok_Command(object sender, EventArgs e)
        {
           // RadWindow1.VisibleOnPageLoad = false;
            if (check_all.Checked)
                _prepocetVse();
            else
                _prepocet();
        }

        protected void button_smazat_uzaverku_Command(object sender, EventArgs e)
        {
            int citac = 0;
            foreach (GridDataItem item in vice_ico.Items)
            {
                CheckBox box = (CheckBox)item.FindControl("check_provest");
                if (box.Checked)
                {
                    DateTime obdobi = Convert.ToDateTime(item["obdobi"].Text);
                    int id_podniku = Convert.ToInt32(item["id"].Text);
                    
                    Dch_Uzaverka.Delete(obdobi, id_podniku);
                    citac++;
                }
            }
            vice_ico.Rebind();
            if (citac > 0)
                lab_hotovo.Text = "[%Hotovo%]. [%Zrušena uzávěrka pro podniků%]: " + citac.ToString();
            else
                lab_hotovo.Text = "[%Nebyl vybrán žádný podnik%]";
        }
         

        protected void butt_cancel_Command(object sender, EventArgs e)
        {
           // RadWindow1.VisibleOnPageLoad = false;
        }

        private void _prepocetDetail(decimal os_cislo, short cislo_pom, DateTime ld_od, DateTime ld_do)
        {
            DateTime ld_pom = ld_od;
           // ld_pom = ld_pom.AddMonths(-1);//musím o měsíc zpět. Pokud jsou přesčasy špatně např v lednu tak musím začít od prosince
            DateTime ld_konec = ld_do;
            while (ld_pom <= ld_konec)
            {
                DateTime nasl_obdobi = ld_pom.AddMonths(1);

                DochazkaFunkce f = new DochazkaFunkce();
                StrZam zam = new StrZam();
                f.NaplnStrukturuStrZam(ld_pom, os_cislo, cislo_pom, ref zam);

                if (zam.PracPom.Typ_kal == null) goto dalsi;

                StrParDochazkyPrenos prenos = Globals.ParDochazky.ParametryPrenosu;
                ParametryDochazky.GetParametryPrenosuZam(ld_pom, ref zam, ref prenos);
                Dch_Uzaverka.PrevodPrescasu(ld_pom, nasl_obdobi, os_cislo, cislo_pom, ref zam);

                dalsi:
                ld_pom = ld_pom.AddMonths(1);
            }
        }

        private void _prepocet()
        {
            decimal os_cislo = Globals.OsCisloPomer.OsCislo;
            short cislo_pom = Globals.OsCisloPomer.CisloPom;

            DateTime ld_pom=(DateTime)obdobi_od.SelectedDate;
            ld_pom = ld_pom.AddMonths(-1);//musím o měsíc zpět. Pokud jsou přesčasy špatně např v lednu tak musím začít od prosince
            DateTime ld_konec = (DateTime)obdobi_do.SelectedDate;

            _prepocetDetail(os_cislo, cislo_pom, ld_pom, ld_konec);
 
            /*
            while (ld_pom <= ld_konec)
            {
                DateTime nasl_obdobi = ld_pom.AddMonths(1);

                DochazkaFunkce f = new DochazkaFunkce();
                StrZam zam = new StrZam();
                f.NaplnStrukturuStrZam(ld_pom, os_cislo, cislo_pom, ref zam);
                StrParDochazkyPrenos prenos = Globals.ParDochazky.ParametryPrenosu;
                ParametryDochazky.GetParametryPrenosuZam(ld_pom,ref zam, ref prenos);
                Dch_Uzaverka.PrevodPrescasu(ld_pom, nasl_obdobi, os_cislo, cislo_pom, ref zam);

                ld_pom = ld_pom.AddMonths(1);
            }
             * */
        }

        protected void check_all_CheckedChanged(object sender, EventArgs e)
        {
            lab_zam.Visible = (!check_all.Checked);
            Label2.Visible = lab_zam.Visible;
        }

        private void _prepocetVse()
        {
            DateTime ld_pom = (DateTime)obdobi_od.SelectedDate;
            ld_pom = ld_pom.AddMonths(-1);//musím o měsíc zpět. Pokud jsou přesčasy špatně např v lednu tak musím začít od prosince
            DateTime ld_konec = (DateTime)obdobi_do.SelectedDate;

            List<OSC_POMER> _pomery = Dch_Uzaverka.PomeryProUzaverku(null, ld_konec);
            foreach (OSC_POMER pp in _pomery)
            {
                _prepocetDetail(pp.Os_cislo, (short)pp.Cislo_pom, ld_pom, ld_konec);
            }
        }

        protected string _celeJmeno()
        {
            return KSProgram.Funkce.Pracovnik.OsCisloCeleJmeno(Globals.OsCisloPomer.OsCislo) + " číslo poměru: " + Globals.OsCisloPomer.CisloPom.ToString() ;
        }

        protected void button_modely_Command(object sender, CommandEventArgs e)
        {
            CisDchModelyPd.InsertStareZalohy();
        }


        protected void vice_ico_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable table = Dch_Uzaverka.PodnikyProZruseniUzaverky();
            if (table != null)
                vice_ico.DataSource = table;
        }

        protected void TL_zpracovat_Command(object sender, EventArgs e)
        {        
            DateTime ld_obdobi=(DateTime)TRadObdobi1.SelectedDate;

            ParametryDochazky pd = new ParametryDochazky();
            StrParDochazkyPrenos parPrenos = new StrParDochazkyPrenos();
            ParametryDochazky.GetParametryPrenosu(ref parPrenos);
           
             PrenosDochazky.ZpracujZamestnance(ref pd, Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, ld_obdobi, ref parPrenos);
            label_zpracovat.Text = "[%Hotovo%]";
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            if (ZamykaniAgend.GeneralZamekIsLocked())
            {
                Page.ClientScript.RegisterStartupScript(this.GetType(), "note_info", String.Format("showNote(\"{0}\");", ZamykaniAgend.GeneralZamekLockedMessage), true);
                WebControlHelper.DisableControls(RadMultiPage1);
            }
        }

        protected void b_proved_Click(object sender, EventArgs e)
        {
            DateTime dt_obdobi = (DateTime)obdobi.SelectedDate;
            string sql = "SELECT H.os_cislo, H.cislo_pom, H.id_poz " +
                           " from workfl_hl H, workfl_proc P, workfl_body B " +
                            " where H.typ = 'dovol' " +
                            " and H.id_poz = P.id_poz " +
                            " and P.id_poz = B.id_poz " +
                            " and B.datum_od >= @obdobi " +
                            " and P.sys_stav = 'o' " +
                            " and(select count(*) from workfl_absence A where A.id_poz = H.id_poz and A.os_cislo=H.os_cislo and A.cislo_pom=H.cislo_pom and A.sys_stav = 'o') = 0";

            ParametryPrikazu par = new ParametryPrikazu()
            {
                new KSParameter("obdobi", DbType.Date, dt_obdobi)
            };
            using (IDataReader reader = SqlPrikaz.ExecuteReader(sql, par))
            {
                while (reader.Read())
                {
                    decimal ldc_os_cislo = GetNullOrData.GetDecimal(reader, 0, 0);
                    short cislo_pom = GetNullOrData.GetInt16(reader, 1, -1);
                    int id_poz = GetNullOrData.GetInt32(reader, 2, 0);

                    ParametryPrikazu par2 = new ParametryPrikazu()
                    {
                        new KSParameter("os_cislo", DbType.Decimal, ldc_os_cislo),
                        new KSParameter("cislo_pom", DbType.Int16, cislo_pom),
                        new KSParameter("id_poz", DbType.Int32, id_poz),
                        new KSParameter("cas_od", DbType.String, F_DateTime.DateTimeToString17(dt_obdobi))
                    };
                    SqlPrikaz.ExecuteNonQuery("delete from dch_casy where os_cislo=@os_cislo and cislo_pom=@cislo_pom and id_poz=@id_poz and cas>=@cas_od and operace='w'", true, par2);
                    
                    Str_pozadavek str = Pozadavek.NaplnStrukturyPozadavku(id_poz);

                    Pozadavekdovol dov = new Pozadavekdovol(id_poz);
                    dov.ZmenaStavuRouter(this, str);
                    dov.zapsat(this, str);
                }
            }
        }

        protected void obdobi_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                ((TRadObdobi)sender).SelectedDate = Globals.AktObdobi;            
            }
        }
    }
}