﻿using KSProgram.Sestavy;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KSPortal.Dochazka
{
    public partial class DochSestavaKodyStred : TSestavaPredek
    {
        bool jen_kody_fond;
        public DochSestavaKodyStred()
        {
            IdPrava = 406;
        }       

        protected void TRadGrid_sestava_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            DataTable table = new DataTable();
            if (IsPostBack)
            {
                TRadButton butt = TRadGrid_sestava.GetGridCommandItem("jen_kody_fond", typeof(TRadButton)) as TRadButton;
                if (butt != null)
                {
                    jen_kody_fond = butt.Checked;
                    table = new DefSestavyKodyStred().Retrieve((DateTime)TRadGrid_sestava.Datum.SelectedObdobi, StrSkupDiv.GetStred(), butt.Checked);
                }
            }
            TRadGrid_sestava.DataSource = table;
        }

        protected void jen_kody_fond_Click(object sender, EventArgs e)
        {
            jen_kody_fond = ((TRadButton)TRadGrid_sestava.GetGridCommandItem("jen_kody_fond", typeof(TRadButton))).Checked;
            TRadGrid_sestava.Rebind();
        }

        protected void jen_kody_fond_DataBinding(object sender, EventArgs e)
        {
            ((TRadButton)sender).Checked = jen_kody_fond;
        }
    }
}