﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="Zpracovani.aspx.cs" EnableEventValidation="false" Inherits="KSPortal.Dochazka.Zpracovani" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadCodeBlock runat="server" ID="rcb">
        <script type="text/javascript">
            var rok = 0;
            var mes = 0;
            var message_zpracovani = "";
            (function (global, undefined) {
                var ZPRDOCH = window.ZPRDOCH = window.ZPRDOCH || {},
                    progressBar,
                    CITAC = 0,
                    PROGRESS_BAR_STEP = 0.0,
                    DATA = {},
                    POCET = 0;

                ZPRDOCH.progressBar_load = function (sender, args) {
                    progressBar = sender;
                    $('#progressWrapper').css('visibility', 'hidden');
                }
                ZPRDOCH.zpracDoch = function (js) {
                    progressBar.set_value(0);

                    PROGRESS_BAR_STEP = 100 / js.Data.length;
                    setTimeout(ZPRDOCH.zprZam(js), 0);
                }
                ZPRDOCH.zprZam = function (js) {
                    if (js.Data.length == 0) {
                        radalert(message_zpracovani + ': ' + POCET, 280, 145, "", null, null);
                        zpracovavam(false);
                        return;
                    }
                    $('#progressWrapper').css('visibility', 'visible');
                    zpracovavam(true);

                    DATA = js.Data;
                    POCET = js.Data.length;

                    next();
                }

                function next() {
                    if (CITAC < POCET) {
                        zpracDochZam(DATA[CITAC].oc, DATA[CITAC].cp, rok + "x" + mes);
                    }
                    CITAC++;
                }


                function zpracZamOk(result) {

                    if (result.d == "OK") {
                        setTimeout(progressBar.set_value(CITAC * PROGRESS_BAR_STEP), 0);
                        if (CITAC === POCET) {
                            CITAC = 0;
                            zpracovavam(false);
                            $find("<%= gvSumace.ClientID %>").get_masterTableView().rebind();
                            radalert(message_zpracovani + ': ' + POCET, 280, 145, "", null, null);
                        }
                        else {
                            next();
                        }
                    }
                    else
                        alert(result.d);
                    return result.d;
                }
                function zpracZamFails(error) {
                    alert(error);
                }

                function zpracovavam(sw) {
                    var sw_tl = "none";
                    var sw_tl_n = "block";
                    if (sw) {
                        sw_tl = "none"; sw_tl_n = "block";
                    }
                    else {
                        sw_tl = "block"; sw_tl_n = "none";
                    }
                    $('#tlacitko').css('display', sw_tl);
                    $('#tlacitko_nahrada').css('display', sw_tl_n);
                }

                function zpracDochZam(os_cislo, cislo_pom, obdobi) {
                    var d = [];
                    var item = { "os_cislo": os_cislo, "cislo_pom": cislo_pom, "obdobi": obdobi };
                    d.push(item);
                    var data_send = JSON.stringify(d);
                    $.ajax({
                        type: "POST",
                        url: "Zpracovani.aspx/ZpracDochZam",
                        data: "{data:'" + data_send + "'}",
                        async: true,
                        contentType: "application/json",
                        dataType: "json",
                        error: function (xhr, ajaxOptions, thrownError) {
                            alert(xhr.status);
                            alert(xhr.responseText);
                            alert(thrownError);
                        },
                        success: function (msg) {

                            zpracZamOk(msg);
                        }
                    });
                }

                function updateProgress(val) {
                    $('#progressWrapper').css('display', 'block');
                    progressBar.set_value(val);
                }
            })(window);
        </script>
    </telerik:RadCodeBlock>

    <asp:Label ID="nadpis" runat="server" CssClass="nadpis1" Text="[%Zpracování%]"></asp:Label>
    <%--<kspwca:ObdobiText runat="server" id="NabidkaObdobi" EnablePostBack="true" 
        onclick="NabidkaObdobi_Click"  ></kspwca:ObdobiText>--%>
    <div style="padding: 10px; margin-bottom: 25px;" class="ksprvek">
        <kspwc:TRadObdobi runat="server" ID="NabidkaObdobi" AutoPostBack="true" OnSelectedDateChanged="NabidkaObdobi_SelectedDateChanged">
            <Picker ID="Picker1" runat="server">
                <DateInput ReadOnly="true">
                </DateInput>
            </Picker>
        </kspwc:TRadObdobi>
        <br />
        <asp:Panel ID="panelZprac" runat="server" Style="margin-bottom: 10px; color: var(--kscolor2text)">
            <asp:RadioButton ID="rb_zpracAll_podniky" runat="server" Text="[%Pro vybrané podniky%]"
                AutoPostBack="True" OnCheckedChanged="rb_zpracAll_podniky_CheckedChanged" />
            <asp:RadioButton ID="rb_zpracAll" runat="server" Text="[%Pro všechny zaměstnance%]"
                AutoPostBack="True" OnCheckedChanged="rb_zpracAll_CheckedChanged" />
            <asp:RadioButton ID="rb_zpracOznac" runat="server" Text="[%Pro vybraného zaměstnance%]"
                AutoPostBack="True" Checked="True" OnCheckedChanged="rb_zpracOznac_CheckedChanged" />
            <asp:RadioButton ID="rb_jednotka" runat="server" Text="[%Pro vybranou jednotku%]"
                AutoPostBack="True" OnCheckedChanged="rb_jednotka_CheckedChanged" />
            <asp:RadioButton ID="rb_jen_prime" runat="server" Text="[%Přímí podřízení%]"
                AutoPostBack="True" OnCheckedChanged="rb_jen_prime_CheckedChanged" />
        </asp:Panel>
        <kspwc:StrSkupDiv runat="server" Podniky="BezPodniku" ID="skd_jednotka" Style="margin-bottom: 10px" />
        <%--  <br />--%>
        <wc:TRadGrid runat="server" ID="vice_ico" OnNeedDataSource="vice_ico_NeedDataSource">
            <GroupingSettings CaseSensitive="False"></GroupingSettings>

            <MasterTableView AutoGenerateColumns="false" Caption="[%Výběr podniků%]">
                <Columns>
                    <telerik:GridBoundColumn DataField="id" HeaderText="Id"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název podniku%]"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="obdobi" HeaderText="[%Aktuální období%]" DataFormatString="{0:MMMM yyyy}">
                        <ItemStyle HorizontalAlign="Center" />
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn DataField="provest" HeaderText="[%Zpracovat%]">
                        <ItemTemplate>
                            <asp:CheckBox runat="server" ID="check_provest" Visible='<%# Convert.ToBoolean(Eval("obdobi_ok")) && Convert.ToBoolean(Eval("pristup")) %>'></asp:CheckBox>
                            <asp:Label runat="server" ID="lab_nepritup" Style="color: Red;" Text="[%Jiné období%]" Visible='<%# !Convert.ToBoolean(Eval("obdobi_ok")) %>'></asp:Label>
                            <asp:Label runat="server" ID="Label1" Style="color: Red;" Text="[%Nepřístupný podnik%]" Visible='<%# !Convert.ToBoolean(Eval("pristup")) %>'></asp:Label>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" />
                        <HeaderStyle HorizontalAlign="Center" />
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </wc:TRadGrid>
    </div>

    <kspwc:TRadGrid runat="server" AutoGenerateColumns="False" ID="gvSumace" CellSpacing="-1"
        OnNeedDataSource="gvSumace_NeedDataSource">
        <MasterTableView Caption="[%Zpracovaná data pro mzdy%]">
            <Columns>
                <telerik:GridBoundColumn DataField="cislo_pom" HeaderText="[%Číslo poměru%]">
                    <ItemStyle HorizontalAlign="Right" Wrap="false" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kod" HeaderText="[%Kód%]">
                    <ItemStyle HorizontalAlign="Left" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prac_str" HeaderText="[%Prac. stř.%]">
                    <ItemStyle HorizontalAlign="Left" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="dat_od" DataFormatString="{0:d}" HeaderText="[%Dat. od%]" />
                <telerik:GridBoundColumn DataField="dat_do" DataFormatString="{0:d}" HeaderText="[%Dat. do%]" />
                <telerik:GridBoundColumn DataField="dny" HeaderText="[%Dny%]">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="hodiny" HeaderText="[%Hodiny%]">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="castka" HeaderText="[%Částka%]" DataFormatString="{0:N0}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridBoundColumn>
            </Columns>
        </MasterTableView>
    </kspwc:TRadGrid>
    <asp:ObjectDataSource ID="dsSumace" runat="server" SelectMethod="NactiSesumovanePolozky"
        TypeName="KSProgram.Dochazka.PrenosDochazky" OldValuesParameterFormatString="original_{0}">
        <SelectParameters>

            <asp:Parameter Name="os_cislo" Type="Decimal" />
            <asp:Parameter Name="cislo_pom" Type="Int16" />
            <asp:ControlParameter ControlID="NabidkaObdobi" Name="obd" PropertyName="SelectedDate" Type="DateTime" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:Panel runat="server" ID="panel1">
        <table>
            <tr>
                <td>
                    <%-- <asp:Panel ID="panelZprac" runat="server">
                        <asp:RadioButton ID="rb_zpracAll" runat="server" Text="[%Pro všechny zaměstnance%]"
                            AutoPostBack="True" OnCheckedChanged="rb_zpracAll_CheckedChanged" />
                        <asp:RadioButton ID="rb_zpracOznac" runat="server" Text="[%Pro vybraného zaměstnance%]"
                            AutoPostBack="True" Checked="True" OnCheckedChanged="rb_zpracOznac_CheckedChanged" /><br />
                    </asp:Panel>--%>
                    <br />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <table>

                        <tr>
                            <td style="text-align: center;">
                                <div id="tlacitko">
                                    <kspwc:TLinkButton ID="LB_Zpracovat" runat="server" Width="100" SkinID="button" OnCommand="LB_Zpracovat_Command2" CssClass="kstlacitko"
                                        IdPrava="20" Text="[%Zpracovat%]"></kspwc:TLinkButton>
                                </div>
                                <div id="tlacitko_nahrada" style="display: none">
                                    <kspwc:TLinkButton Enabled="false" ID="TLinkButton1" Width="100" runat="server" SkinID="button" Text="[%Zpracovávám%]..."></kspwc:TLinkButton>
                                </div>

                                <%--OnClientClicking="LB_Zpracovat_Clicking" OnClientClicked="LB_Zpracovat_Clicked"   IdPrava="20"--%>
                                <%--<telerik:RadButton ID="LB_Zpracovat" SingleClick="true" SingleClickText="[Zpracovávám]..." runat="server" AutoPostBack="true" SkinID="button" Text="[%Zpracovat%]"  OnClientLoad="ZPRDOCH.LB_Zpracovat_clientLoad"    OnClick="LB_Zpracovat_Command2"></telerik:RadButton>--%>
                            </td>
                            <td style="">
                                <kspwc:TLinkButton ID="LB_Rekapitulace" runat="server" SkinID="button" PostBackUrl="DochRekapPrenos.aspx" OnClick="LB_Rekapitulace_Click" OnClientClick="window.document.forms[0].target='_blank';" CssClass="kstlacitko"
                                    IdPrava="159" Text="[%Rekapitulace přenesených dat%]"></kspwc:TLinkButton>
                                <%--<kspwc:TRadButton ID="LB_Rekapitulace" runat="server" SkinID="button" Text="[%Rekapitulace přenesených dat%]" PostBackUrl="DochRekapPrenos.aspx" OnClientClick="window.document.forms[0].target='_blank';"
                                    IdPrava="159"></kspwc:TRadButton>--%>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <div id="progressWrapper">
                                    <telerik:RadProgressBar EnableViewState="false" ChunksCount="10" ID="rpbFormCompleteness" runat="server" BarType="Percent" ShowLabel="false">
                                        <ClientEvents OnLoad="ZPRDOCH.progressBar_load" />
                                        <AnimationSettings Duration="300" EnableChunkAnimation="true" />
                                    </telerik:RadProgressBar>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:Label ID="lb_zpracovat_end" runat="server" EnableViewState="False" ForeColor="Red"></asp:Label>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
