﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram.Dochazka;
using KSProgram.Data;
using System.Collections.Specialized;
using KSProgram.Funkce;
using System.Drawing;
using KSProgram;
using System.Collections.Generic;
using KSProgram.WebControls;
using System.Data.Common;
using System.Security;
using KSProgram.Prava;
using KSProgram.Extensions;

public partial class Dochazka_d1 : TPage
{
    protected override void Page_Load(object sender, EventArgs e)
    {


        //if (!Zakaznik.IsCurrent("PPU"))//PH 29.11.2012, PH 13.3.2013 zapoznámkováno
        //{
            //dvDetailDneEditace.DataSourceID = "";
        //}
         

        base.Page_Load(sender, e);
        if (!Page.IsPostBack)
        {
            
      
            NabidkaObdobi.SetDefaultObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY);
            NabidkaObdobi.SetMinObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY.AddMonths(Globals.ParDochazky.Mes_zpet * -1));
            NabidkaObdobi.SetMaxObdobi(ParametryDochazky.OBDOBI_PRO_SESTAVY.AddMonths(Globals.ParDochazky.Mes_vpred));
            ZmenaObdobi();
        }
        //LinkButt_rozd_presc.Visible = ParametryDochazky.ROZDEL_PRESCAS_ENABLE;
    }

    public Dochazka_d1()
    {
        FindGridViewId = "SeznamZam";
        IdPrava = 16;
    }

    /*
    public static string GetKonecZacatekSmeny(object container, string ahod, string amin)
    {
        object hod = DataBinder.Eval(container, ahod);
        object min = DataBinder.Eval(container, amin);
        if (!(((hod == null) || (hod == DBNull.Value)) && ((min == null) || (min == DBNull.Value))))
        {
            short? hods = GetNullOrData.GetInt16(hod);
            short? mins = GetNullOrData.GetInt16(min);
            if (hods == null) hods = 0;
            if (mins == null) mins = 0;
            return Cas_na_min.GetCas(hods * 60 + mins);
        }
        return "";
    }
     * */

    protected override void Page_LoadComplete(object sender, EventArgs e)
    {
        DateTime obd = new DateTime();
        if (!IsPostBack)
        {
            //PH 28.11.2013 ošetření práv
            //-------------------------
            int tab = Convert.ToInt16(Request.QueryString["tab"]);
            if (tab==1)
            {
                if (!PravaAkce.PristupPovolen(87))
                    throw new SecurityException("Nemáte právo přístupu.");
            }
            else if(tab==2)
            {
                 if (!PravaAkce.PristupPovolen(15))
                    throw new SecurityException("Nemáte právo přístupu.");
            }
            else if (tab==3)
            {
                 if (!PravaAkce.PristupPovolen(18))
                    throw new SecurityException("Nemáte právo přístupu.");
            }
                /*
            else if (tab == 4)//PH 10.12.2013
            {
                if (!PravaAkce.PristupPovolen(20))
                    throw new SecurityException("Nemáte právo přístupu.");
            }*/
                /* PH 11.2.2014 přemístěno do PrideleniModelu.aspx
            else if (tab == 6)
            {
                if (!PravaAkce.PristupPovolen(24))
                    throw new SecurityException("Nemáte právo přístupu.");
            }
                 * */
            else
            {
                throw new SecurityException("Nemáte právo přístupu.");
            }
            //-----------------------
            mv1.SetActiveView(mv1.Views[tab]);

            String[] pom = (String[])Session["sortSeznamZam"];
            if (pom != null)
            {
                SortDirection dir;
                if (pom[1] == "Ascending") { dir = SortDirection.Ascending; } else { dir = SortDirection.Descending; }
                SeznamZam.Sort(pom[0], dir);
                SeznamZam.FindRowByKeyValue();
            }

            /*
            if (SeznamZam.Rows.Count > 0)
            {
                if (Session["selectedRowSeznamZam"] != null)
                {
                    int index = (int)Session["selectedRowSeznamZam"];
                    SeznamZam.SelectedIndex = index;
                }
                else
                {
                    SeznamZam.SelectedIndex = 0;
                }
                ZamestChanged(SeznamZam.SelectedIndex);
               
            }
             * */
            if (Session["obdobi"] != null)
            {
                
                obd=(DateTime)Session["obdobi"];
                NabidkaObdobi.SetDefaultObdobi(obd);
            }
            else
            {
                obd = DateTime.Now;
                NabidkaObdobi.SetDefaultObdobi(obd);
            }
 
        }
        else
        {
            Session["obdobi"] = NabidkaObdobi.SelectedValue;
        }
    }
    
    /*
    protected void NastaveniKalendaru()
    {
        DateTime prvni = NabidkaObdobi.SelectedValue;
        DateTime posledni = F_DateTime.PosledniDen(prvni);

        Calendar1.TodaysDate = prvni;
        Calendar2.TodaysDate = posledni;
        Calendar3.TodaysDate = prvni;

        Calendar1.SelectedDate = prvni;
        Calendar2.SelectedDate = posledni;
        Calendar3.SelectedDate = prvni;

        Calendar1_SelectionChanged(Calendar1, null);
        Calendar2_SelectionChanged(Calendar2, null);
        Calendar3_SelectionChanged(Calendar3, null);

    }
     * */

    protected void ZmenaObdobi()
    {
        DateTime obd = NabidkaObdobi.SelectedValue;
        Session["obdobi"] = obd;
        
        //NastaveniKalendaru();

        if (SeznamZam.Rows.Count > -1)
        {
            //SeznamZam.SelectedIndex = 0;
            //ZamestChanged(0);
            SeznamZam.FindDataKeyValue = Globals.OsCislo.ToString();
            SeznamZam.FindRowByKeyValue();
            //SeznamZam.NastavRowAndPage();
            ZamestChanged(SeznamZam.SelectedIndex);
        }
    }

    protected void m1_MenuItemClick(object sender, MenuEventArgs e)
    {
        if (e.Item.Value == "m1_zjednodusene")
        {
            mv1.SetActiveView(mv1.Views[0]);
        }
        else if (e.Item.Value == "m1_celyMesic")
        {
            mv1.SetActiveView(mv1.Views[1]);
        }
        else if (e.Item.Value == "m1_automaticky")
        {
            mv1.SetActiveView(mv1.Views[2]);
        }
        else if (e.Item.Value == "m1_rucni")
        {
            mv1.SetActiveView(mv1.Views[3]);
        }
        //else if (e.Item.Value == "m1_zprac")
        //{
        //    mv1.SetActiveView(mv1.Views[4]);
        //}
        else if (e.Item.Value == "m1_rozdily")
        {
            mv1.SetActiveView(mv1.Views[5]);
        }
        else if (e.Item.Value == "m1_polozky")
        {
            mv1.SetActiveView(mv1.Views[6]);
        }
    }
    /*
    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {
        DateTime dt_od=Calendar1.SelectedDate;
        //DateTime pom = Calendar2.SelectedDate;
        //pom = Calendar2.TodaysDate;
        //bool p=Calendar2.EnableViewState;
        LabelOd.Text = "[%Od%]: " + dt_od.ToString("d.M.yyyy");
        WebControlHelper.ZmenaTextu(LabelOd);
        Calendar1.TodaysDate = dt_od;
    }
    protected void Calendar2_SelectionChanged(object sender, EventArgs e)
    {
        DateTime dt_do = Calendar2.SelectedDate;
        DateTime pm = Calendar1.SelectedDate;
        LabelDo.Text = "[%Do%]: " + dt_do.ToString("d.M.yyyy");
        WebControlHelper.ZmenaTextu(LabelDo);
        Calendar2.TodaysDate = dt_do;
    }
     * */

    int fond = 0, odprac = 0, absence = 0, rozdil = 0, /*prescas = 0,*/ ranni = 0, odpoledni = 0, nocni = 0; /*pohotovost = 0*/
    protected void SumaceMesic_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        object objsv=DataBinder.Eval(e.Row.DataItem, "svatek");
        bool svatek=false;
        if (objsv!=DBNull.Value)
        {
            svatek = Convert.ToBoolean(DataBinder.Eval(e.Row.DataItem, "svatek"));
        }
        if (e.Row.RowType == DataControlRowType.Header)
        {
            fond = 0; odprac = 0; absence = 0; rozdil = 0; ranni = 0; odpoledni = 0; nocni = 0;
        }
        else if (e.Row.RowType == DataControlRowType.DataRow)
        {
            //z datumu vložím jen číslo dne
            //--------------------------------------------------
            DateTime den=Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "den"));
            LinkButton lnkbt =(LinkButton) e.Row.Cells[0].FindControl("LinkButtonDen");
            if (lnkbt != null) { lnkbt.Text = den.Day.ToString(); }
            //------------------------------------------------

            if (svatek)
            {
                e.Row.Cells[0].ForeColor = Color.Red;
                e.Row.Cells[1].ForeColor = e.Row.Cells[0].ForeColor;
            }
            //else if ((e.Row.Cells[1].Text == "So") || (e.Row.Cells[1].Text == "Ne"))
            else if ((den.DayOfWeek==DayOfWeek.Saturday) || (den.DayOfWeek==DayOfWeek.Sunday))
            {
                e.Row.Cells[0].ForeColor = Color.Blue;
                e.Row.Cells[1].ForeColor = e.Row.Cells[0].ForeColor;
            }
            

            //provádím konverzi na čas ve formátu hh:mm a zároveň sumuju položky
            //-------------------------------------------------------------------
            int pom=0;            

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "fond"));
            e.Row.Cells[2].Text=Cas_na_min.GetCas(pom);
            fond += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odprac"));
            e.Row.Cells[3].Text = Cas_na_min.GetCas(pom);
            odprac += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "ranni"));
            e.Row.Cells[4].Text = Cas_na_min.GetCas(pom);
            ranni += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odpoledni"));
            e.Row.Cells[5].Text = Cas_na_min.GetCas(pom);
            odpoledni += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "nocni"));
            e.Row.Cells[6].Text = Cas_na_min.GetCas(pom);
            nocni += pom;

            //pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "pohotovost"));
            //e.Row.Cells[10].Text = Cas_na_min.GetCas(pom);
            //pohotovost += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "absence"));
            e.Row.Cells[7].Text = Cas_na_min.GetCas(pom);
            absence += pom;

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "rozdil"));
            e.Row.Cells[8].Text = Cas_na_min.GetCas(pom);
            rozdil += pom;

            //touhle podmínkou poznám jestli jsem v editačním režimu
            if (e.Row.FindControl("TextBox4") == null)
            {
                if (DataBinder.Eval(e.Row.DataItem, "cas_od") != DBNull.Value)
                {
                    den = Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "cas_od"));
                    e.Row.Cells[11].Text = den.ToString("HH:mm");
                }
                if (DataBinder.Eval(e.Row.DataItem, "cas_do") != DBNull.Value)
                {
                    den = Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "cas_do"));
                    e.Row.Cells[12].Text = den.ToString("HH:mm");
                }
            }
           
        }
        else if (e.Row.RowType == DataControlRowType.Footer)
        {
            e.Row.Cells[2].Text = Cas_na_min.GetCas(fond);
            e.Row.Cells[3].Text = Cas_na_min.GetCas(odprac);
            e.Row.Cells[4].Text = Cas_na_min.GetCas(ranni);
            e.Row.Cells[5].Text = Cas_na_min.GetCas(odpoledni);
            e.Row.Cells[6].Text = Cas_na_min.GetCas(nocni);
            e.Row.Cells[7].Text = Cas_na_min.GetCas(absence);
            e.Row.Cells[8].Text = Cas_na_min.GetCas(rozdil);
            //e.Row.Cells[10].Text = Cas_na_min.GetCas(pohotovost);
        }
    }

    protected void ZamestChanged(int index)
    {
        if (SeznamZam != null)
        {
            if (SeznamZam.SelectedDataKey != null)
            {
                decimal os_cislo = Convert.ToDecimal(SeznamZam.SelectedDataKey[0]);
                short cislo_pom = Convert.ToInt16(SeznamZam.SelectedDataKey[1]);
                string prijmeni = SeznamZam.SelectedDataKey[2].ToString();
                string jmeno = SeznamZam.SelectedDataKey[3].ToString();
                //Globals.OsCislo = os_cislo;
                //PH 8.1.2010
                OsCisloZmena.Nastavit(this, Convert.ToDecimal(os_cislo));

                SeznamZam.FindDataKeyValue = Globals.OsCislo.ToString();
                //SeznamZam.FindRowByKeyValue();
                SeznamZam.NastavRowAndPage();
            }
        }
    }

    protected void SeznamZam_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "OznacZaznam")
        {
            int index = Convert.ToInt32(e.CommandArgument);
            if (index > -1)
            {
                SeznamZam.SelectedIndex = index;
                ZamestChanged(index);
                //Session["selectedRowSeznamZam"] = SeznamZam.SelectedIndex;
            }
        }
    }
    protected void SeznamZam_RowCreated(object sender, GridViewRowEventArgs e)
    {
        // GridViewCommandEventArgs třída neobsahuje vlastnost,
        // která indikuje který řádek by stisknut. Použiju tlačítkovou vlastnost
        // CommandArgument do které vložím index řádku
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            // Získám odkaz na LinkButton z prvního sloupce .
            LinkButton oznacZazn = (LinkButton)e.Row.Cells[0].FindControl("LinkButtonOsCislo");

            // Nastavím vlastnost CommandArgument controlu LinkButton indexem řádku.
            oznacZazn.CommandArgument = e.Row.RowIndex.ToString();
        }
    }
    /*
    protected void Calendar3_SelectionChanged(object sender, EventArgs e)
    {
        DateTime dt_dat = Calendar3.SelectedDate;
        //LabelDatum.Text = "Datum: " + dt_dat.ToString("d.M.yyyy");
        gvSumDne.TitleText = "[%Sumace dne%]: " + dt_dat.ToString("d.M.yyyy");
        Calendar3.TodaysDate = dt_dat;
    }
    */
    protected void NabidkaObdobi_SelectedIndexChanged(object sender, EventArgs e)
    {
       // Session["obdobi"] = NabidkaObdobi.Text;
        ZmenaObdobi();
    }

    //protected void NabidkaObdobi_DataBound(object sender, EventArgs e)
    //{
    //    //ZmenaObdobi();
    //}
    /*
    protected void gen_all_CheckedChanged(object sender, EventArgs e)
    {
        gen_jeden.Checked = false;
    }
    protected void gen_jeden_CheckedChanged(object sender, EventArgs e)
    {
        gen_all.Checked = false;
    }
     * */
    protected void mv1_ActiveViewChanged(object sender, EventArgs e)
    {
        
        //při přepínání mezi View budu vypínat ViewState u těch controls které jsou na neviditelném view a které jsou invisible.
        //u aktivního View to bude naopak
        //-----------------------------------------------------------------
        //int mes, rok;
        DateTime prvni = NabidkaObdobi.SelectedValue;
        DateTime posledni = prvni.PosledniDen();

        //int index=mv1.ActiveViewIndex;
        //for(int i=0;i<mv1.Views.Count;i++)
        //{
        //    View active=mv1.Views[i];
        //    foreach (Control ctrl in active.Controls)
        //    {
        //        ctrl.EnableViewState = (i==index);
        //    }
        //}
        //----------------------------------------------------------------
        //nejdříve vypnu viewstata u všech control a potom jej budu výběrově zapínat
        /*
        for (int i = 0; i < mv1.Views.Count; i++)
        {
            View active = mv1.Views[i];
            foreach (Control ctrl in active.Controls)
            {
                ctrl.EnableViewState = false;
            }
        }
        */
        if (mv1.ActiveViewIndex == 1)
        {
            //měsíční sumace v_sumace
            
        }
        else if (mv1.ActiveViewIndex == 2)
        { 
            /*
            //v_automaticky
            Calendar1.EnableViewState = true;
            Calendar2.EnableViewState = true;

            Calendar1.TodaysDate = prvni;
            Calendar2.TodaysDate = posledni;

            Calendar1.SelectedDate = prvni;
            Calendar2.SelectedDate = posledni;

            Calendar1_SelectionChanged(Calendar1, null);
            Calendar2_SelectionChanged(Calendar2, null);
             * */
        }
        else if (mv1.ActiveViewIndex == 3)
        {
            /*
            //v_rucne
            //Calendar3.EnableViewState = true;
            Calendar3.TodaysDate = prvni;
            Calendar3.SelectedDate = prvni;
            Calendar3_SelectionChanged(Calendar3, null);
             * */
        }
        else if (mv1.ActiveViewIndex == 4)
        { /*v_zprac*/}
        else if (mv1.ActiveViewIndex == 5)
        { /*v_rozidly*/}
        else if (mv1.ActiveViewIndex == 6)
        { 
            /*nastavení modelů*/
            SkryjNastPrescasu();
        }
    }
    /*
    protected void lnkProvest_Command(object sender, CommandEventArgs e)
    {
        int kod = Convert.ToInt32(Globals.ParDochazky.KodPrac);
        if (kod == 0)
        {
            lbl_problem.Text = "[%Nelze generovat. U jednoho kódu musí být vyplněna identifikace 'příchod'%]";
            return;
        }

        DateTime dt_od = Calendar1.SelectedDate;
        DateTime dt_do = Calendar2.SelectedDate;

        StrZam zam = new StrZam();
        if (gen_all.Checked)
        {
            for (int i = 0; i < SeznamZam.PageCount; i++)
            {
                SeznamZam.PageIndex = i;
                SeznamZam.DataBind();
                foreach (DataKey dks in SeznamZam.DataKeys)
                {
                    decimal os_cislo = (decimal)dks[0];
                    short cislo_pom = (short)dks[1];

                    //do struktury doplním údaje nutné pro další zpracování
                    DochazkaFunkce df = new DochazkaFunkce();
                    df.NaplnStrukturuStrZam(new DateTime(dt_od.Year, dt_od.Month, 1), os_cislo, cislo_pom, ref zam);

                    //provedu automatické doplnění
                    TDataTable data = Dochazka.AutDoplneniNacist(zam, dt_od, dt_do);

                    using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
                    {
                        try
                        {
                            //Dochazka.AutDoplneniUlozit(zam, dt_od, dt_do, data, false);
                            //PH 29.3.2013
                            Dochazka.AutDoplneniUlozit(zam, dt_od, dt_do, data, true, "a");
                            SqlPrikaz.Commit();
                        }
                        catch
                        {
                            SqlPrikaz.Rollback();
                            throw;
                        }
                    }

                }
            }
        }
        else if (gen_jeden.Checked)
        {
            int index = SeznamZam.SelectedIndex;
            IOrderedDictionary pol = SeznamZam.DataKeys[index].Values;
            decimal os_cislo = (decimal)pol["os_cislo"];
            short cislo_pom = (short)pol["cislo_pom"];

            //do struktury doplním údaje nutné pro další zpracování
            DochazkaFunkce df = new DochazkaFunkce();
            df.NaplnStrukturuStrZam(new DateTime(dt_od.Year, dt_od.Month, 1), os_cislo, cislo_pom, ref zam);

            //provedu automatické doplnění
            TDataTable data = Dochazka.AutDoplneniNacist(zam, dt_od, dt_do);

            using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
            {
                try
                {
                    Dochazka.AutDoplneniUlozit(zam, dt_od, dt_do, data, true, "a");
                    SqlPrikaz.Commit();
                }
                catch
                {
                    SqlPrikaz.Rollback();
                    throw;
                }
            }
        }
    }
    */

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        SeznamZam.Visible = false;
    }
    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        SeznamZam.Visible = true;
    }
   
    /*
    protected void detailDne_RowEditing(object sender, GridViewEditEventArgs e)
    {

        e.Cancel = true;
        if (!detailDne.EditaceZakazana)
        {
            detailDne.Visible = false;
            dvDetailDneEditace.Visible = true;
            dvDetailDneEditace.DefaultMode = DetailsViewMode.Edit;
            dvDetailDneEditace.EnableViewState = true;
            dvDetailDneEditace.PageIndex = e.NewEditIndex;

            LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
        }
    }
    protected void LBdetailDneKonec_Command(object sender, CommandEventArgs e)
    {
        detailDne.Visible = true;
        dvDetailDneEditace.Visible = false;
        dvDetailDneEditace.EnableViewState = false;

        LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
    }
     
    protected void LBdetailDneSmazat_Command(object sender, CommandEventArgs e)
    {
        dsDen.Delete();
    }
   
    protected void LBdetailDneUlozit_Command(object sender, CommandEventArgs e)
    {
        dsDen.Update();
    }
  
    protected void LB_pridat_Command(object sender, CommandEventArgs e)
    {
        detailDne.Visible = false;

        dvDetailDneEditace.Visible = true;

        dvDetailDneEditace.DefaultMode = DetailsViewMode.Insert;

        dvDetailDneEditace.EnableViewState = true;

        dvDetailDneEditace.DataBind();

        TextBox lbl=(TextBox)dvDetailDneEditace.Rows[0].FindControl("lblcas");
        lbl.Text = Calendar3.SelectedDate.ToString();

        LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
    }
     
    protected void dsDen_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        if (dvDetailDneEditace.DefaultMode == DetailsViewMode.Insert) { dvDetailDneEditace.DefaultMode = DetailsViewMode.Edit; }
    }
    protected void lbProhlizeni_Command(object sender, CommandEventArgs e)
    {
        detailDne.Visible = true;
        detailDne.DataBind();
        gvSumDne.DataBind();      

        dvDetailDneEditace.Visible = false;
        dvDetailDneEditace.EnableViewState = false;
        LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
    }
     
    protected void LinkButton1_Command(object sender, CommandEventArgs e)
    {
        int index = SeznamZam.SelectedIndex;
        IOrderedDictionary pol = SeznamZam.DataKeys[index].Values;
        decimal os_cislo = (decimal)pol["os_cislo"];
        short cislo_pom = (short)pol["cislo_pom"];

        StrZam zam = new StrZam();

        DateTime datum = new DateTime();//Calendar3.SelectedDate;
        datum = Calendar3.SelectedDate;

        //do struktury doplním údaje nutné pro další zpracování
        DochazkaFunkce df = new DochazkaFunkce();
        df.NaplnStrukturuStrZam(new DateTime(datum.Year, datum.Month, 1), os_cislo, cislo_pom, ref zam);

        //provedu automatické doplnění
        TDataTable data = Dochazka.AutDoplneniNacist(zam, datum, datum);

        using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
        {
            try
            {
                //Dochazka.AutDoplneniUlozit(zam, datum, datum, data, false);
                //PH 29.3.2013
                Dochazka.AutDoplneniUlozit(zam, datum, datum, data, true, "a");
                SqlPrikaz.Commit();
            }
            catch
            {
                SqlPrikaz.Rollback();
                throw;
            }
        }
    

         dvDetailDneEditace.Visible = false;
        dvDetailDneEditace.EnableViewState = false;

        detailDne.Visible = true;
        dsSumDen.DataBind();
        detailDne.DataBind();

        LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
    }
     * */
    protected void dvDetailDneEditace_ModeChanged(object sender, EventArgs e)
    {
        //if (dvDetailDneEditace.CurrentMode == DetailsViewMode.Insert)
        //{
        //    dvDetailDneEditace.DataBind();
        //}
    }
    /*
    protected void dsDen_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        detailDne.Visible = true;

        dvDetailDneEditace.Visible = false;
        dvDetailDneEditace.EnableViewState = false;
        dvDetailDneEditace.DataBind();
        LB_Prohlizeni.Visible = dvDetailDneEditace.Visible;
    }

    protected void LB_smazat_vse_Command(object sender, CommandEventArgs e)
    {
        DateTime datum = Calendar3.SelectedDate;

        long os_cislo = Convert.ToInt64(SeznamZam.SelectedDataKey[0]);
        short cislo_pom = Convert.ToInt16(SeznamZam.SelectedDataKey[1]);

        using (DbConnection conn = SqlPrikaz.CreateConnectionWithTrans())
        {
            try
            {
                Dch_Casy.DbDelete(os_cislo, cislo_pom, datum, datum, false);
                SqlPrikaz.Commit();
            }
            catch
            {
                SqlPrikaz.Rollback();
                throw;
            }
        }


        dsSumDen.DataBind();

        dvDetailDneEditace.DataBind();
        detailDne.DataBind();
    }
    */
      
    //protected void dsMesic_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    //{
    //    dsMesic.DataBind();
    //}
    protected void gvSumDne_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            int pom = 0;
            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "fond"));
            e.Row.Cells[0].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odprac"));
            e.Row.Cells[1].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "ranni"));
            e.Row.Cells[2].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "odpoledni"));
            e.Row.Cells[3].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "nocni"));
            e.Row.Cells[4].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "absence"));
            e.Row.Cells[5].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "rozdil"));
            e.Row.Cells[6].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "prescas"));
            e.Row.Cells[7].Text = Cas_na_min.GetCas(pom);

            pom = Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "pohotovost"));
            e.Row.Cells[8].Text = Cas_na_min.GetCas(pom);
        }
    }
   
    protected void SumaceMesic_RowCreated(object sender, GridViewRowEventArgs e)
    {
      
        // GridViewCommandEventArgs třída neobsahuje vlastnost,
        // která indikuje který řádek by stisknut. Použiju tlačítkovou vlastnost
        // CommandArgument do které vložím index řádku
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            // Získám odkaz na LinkButton z prvního sloupce .
            LinkButton oznacZazn = (LinkButton)e.Row.Cells[0].FindControl("LinkButtonDen");

            if (oznacZazn != null)
            {
                // Nastavím vlastnost CommandArgument controlu LinkButton indexem řádku.
                oznacZazn.CommandArgument = e.Row.RowIndex.ToString();
            }
        }
    }
     
    /*
    protected void SumaceMesic_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName=="detailDne")
        {
            int index=Convert.ToInt32(e.CommandArgument);
            if (index > -1)
            {
                DataKey key=SumaceMesic.DataKeys[index];
                DateTime den =(DateTime) key.Value;
                mv1.SetActiveView(mv1.Views[3]);
                NastaveniKalendaru();
                Calendar3.SelectedDate = den;
            }
        }
    }
    */
    protected void LB_prepni_mesic_Command(object sender, CommandEventArgs e)
    {
        mv1.SetActiveView(mv1.Views[1]);
        //SumaceMesic.DataBind();
    }
     /*
    protected void mesicRekap_DataBound(object sender, EventArgs e)
    {
        //int pom = Convert.ToInt32(mesicRekap.Row., "fond"));
        ////int pom = Convert.ToInt32(DataBinder.Eval(mesicRekap.Row.DataItem, "fond"));
        //Label label=(Label)mesicRekap.Row.FindControl("fd_dny");
        //label.Text = Cas_na_min.GetCas(pom);
    }
     * */

    //protected void LB_Zpracovat_Command(object sender, CommandEventArgs e)
    //{
    //    ParametryDochazky pd = new ParametryDochazky();
    //    DateTime obd = NabidkaObdobi.SelectedValue;
    //    //načtu hodnoty parametrů
    //    StrParDochazkyPrenos parPrenos = new StrParDochazkyPrenos();
    //    ParametryDochazky.GetParametryPrenosu(ref parPrenos);
    //    if (rb_zpracOznac.Checked)
    //    {
    //        DataKey dk = SeznamZam.SelectedDataKey;
    //        if (dk != null)
    //        {
    //            decimal os_cislo = (decimal)dk[0];
    //            short cislo_pom = (short)dk[1];

    //            PrenosDochazky.ZpracujZamestnance(ref pd, os_cislo, cislo_pom, obd, ref parPrenos);
    //        }
    //        else
    //        {
    //            MessageBox.Alert(this, "V seznamu není vybrán žádný zaměstnanec");
    //            return;
    //        }
    //    }
    //    else if (rb_zpracAll.Checked)
    //    {
    //        for (int i = 0; i < SeznamZam.PageCount; i++)
    //        {
    //            SeznamZam.PageIndex = i;
    //            SeznamZam.DataBind();
    //            foreach (DataKey dks in SeznamZam.DataKeys)
    //            {
    //                decimal os_cislo = (decimal)dks[0];
    //                short cislo_pom = (short)dks[1];
    //                PrenosDochazky.ZpracujZamestnance(ref pd,os_cislo, cislo_pom, obd, ref parPrenos);
    //            }
    //        }
    //    }        
    //    gvSumace.DataBind();
    //    lb_zpracovat_end.Text = "[%Zpracování dokončeno%]";
    //}

    /*
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            object dat = DataBinder.Eval(e.Row.DataItem, "dat_od");
            if (dat != DBNull.Value) { e.Row.Cells[2].Text = Convert.ToDateTime(dat).ToString("d.M.yyyy"); }

            dat = DataBinder.Eval(e.Row.DataItem, "dat_do");
            if (dat != DBNull.Value) { e.Row.Cells[3].Text = Convert.ToDateTime(dat).ToString("d.M.yyyy"); }
        }
    }
     * */
    /*
    protected void rb_zpracAll_CheckedChanged(object sender, EventArgs e)
    {
        rb_zpracOznac.Checked = false;
    }
    protected void rb_zpracOznac_CheckedChanged(object sender, EventArgs e)
    {
        rb_zpracAll.Checked = false;
    }
     * */
     
    protected void SeznamZam_Sorted(object sender, EventArgs e)
    {
        Session["sortSeznamZam"] = new String[] { SeznamZam.SortExpression, SeznamZam.SortDirection.ToString()};
    }
    protected void img_1praclist_Command(object sender, CommandEventArgs e)
    {
        
        DataKey dk = SeznamZam.SelectedDataKey;
        decimal os_cislo = (decimal)dk[0];
        short cislo_pom = (short)dk[1];

        List<decimal> os_cisla = new List<decimal>();
        os_cisla.Add(os_cislo);
        List<short> cisla_pom = new List<short>();
        cisla_pom.Add(cislo_pom);


        DateTime ld_datum = NabidkaObdobi.SelectedValue;
        PracListCollection prListy = new PracListCollection(os_cisla, cisla_pom, ld_datum);

        TiskParam tisk = new TiskParam(this, "Pracovní list");
        tisk.Print(prListy, false);
        //if (SumaceMesic.Visible)
        //{
        //    SumaceMesic.DataBind();
        //}
    }
    protected void LinkButt_rozd_presc_Command(object sender, CommandEventArgs e)
    {
        DateTime ld_datum = NabidkaObdobi.SelectedValue;

        DataKey dk = SeznamZam.SelectedDataKey;
        decimal os_cislo = (decimal)dk[0];
        short cislo_pom = (short)dk[1];
        Session["prescasy_obdobi"] = ld_datum;
        Session["prescasy_os_cislo"] = os_cislo;
        Session["prescasy_cislo_pom"] = cislo_pom;
        PopupParam popup = new PopupParam(this, "Rozdělení přesčasů", "RozdeleniPrescasu.aspx");
        popup.Status = false;
        popup.Toolbar = false;
        popup.Menubar = false;
        popup.Titulek = "Rozdělení přesčasů";
        popup.Height = 400;
        popup.Width = 400;
        //PopupParam popup = new PopupParam(this, "Rozdělení přesčasů", @"../sestava.aspx");
        
        popup.Show();
        //tisk.Print(prListy, false);
        //if (SumaceMesic.Visible)
        //{
        //    SumaceMesic.DataBind();
        //}
    }
    /*
    protected void dvDetailDneEditace_ItemUpdated(object sender, DetailsViewUpdatedEventArgs e)
    {
        lbProhlizeni_Command(null, null);
    }
     * */

    private void SkryjNastPrescasu()
    {
        //img_1praclist.Visible=false;
        LinkButton2.Visible=false;
        //ImageButton1.Visible=false;
        //LinkButt_rozd_presc.Visible = false; //PH 2.5.2013
    }
    /*
    protected void GV_model_zam_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GV_model_zam.SelectedIndex = 0;
    }
     * */

    protected void NabidkaObdobi_Click(object sender, EventArgs e)
    {
        ZmenaObdobi();
    }
    /*
    protected void GV_model_zam_RowUpdated(object sender, GridViewUpdatedEventArgs e)
    {
        GV_model_zam.DataBind();
        tdModelyPd.DataBind();
    }
     * */
    /*
    protected string Doba(object hod, object min)
    {
        if (hod == null)
            hod = 0;
        if (hod == DBNull.Value)
            hod = 0;

        if (min == null)
            min = 0;
        if (min == DBNull.Value)
            min = 0;

        return KSProgram.Funkce.Cas_na_min.GetCas(Convert.ToInt16(hod) * 60 + Convert.ToInt16(min));
    }
     * */
}
