﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Hodnoceni;
using KSProgram.Data;
using System.Data;
using KSProgram.Vzdelavani;
using KSProgram;
using KSProgram.Mathematics;
using System.Web.UI.DataVisualization.Charting;
using System.Drawing;
using KSProgram.Funkce;

public partial class Sestavy_Hodnoceni : TPopUpPage
{
    private Int32 Id;
    private Int32 Id_ha;
    private Decimal Os_cislo;

    //průměry
    decimal prumer_komp;
    //decimal suma_komp_all = 0;
    int rows_komp_all = 0;
    VazenyPrumer komp_prum_obd = new VazenyPrumer();
    decimal prumer_cile;
    int soucet_vah_cilu;
    int soucet_vah_naslcilu;
    decimal prumer_poz;
    Int64 soucet_vah_komp;
    Int64 soucet_vah_komp_obd;

    //parametry
    private ParamsH _params;
    private string sta_edt;
    //private string par_popis;
    //private string par_max_pocet;
    //private string par_poz_pocet;
    //private string par_cile_insert;
    //private string par_cile_cisel;
    //private string par_cile_popis;
    //private string par_cile_poznamka;
    //private string par_cile_ocek;
    //private string par_cile_cil;
    //private string par_komp_suma;
    //private string par_komp_sumak;
    //private string par_komp_poz_e;
    //private string par_komp_vaha_v;
    //private string par_poznamka;
    //private string par_rozv_poznamka_v;
    //private string par_cile_mnozstvi_v;
    //private string par_cile_vaha_v;
    //private string par_mot_termin_v;
    //private string zv_kom;
    //private string zv_cil;
    //private string zv_ncil;
    //private string zv_slo;
    //private string zv_mot;
    //private string zv_roz;
    //private string zv_sko;
    //private string zv_cel;

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        Id = Convert.ToInt32(Session["hodnoceni_id"]);

        _params = (ParamsH)Session["ParamsH"];

        sta_edt = (string)Session["sta_edt"];
        //par_popis = (string)Session["par_popis"];
        //par_max_pocet = (string)Session["par_max_pocet"];
        //par_poz_pocet = (string)Session["par_poz_pocet"];
        //par_cile_insert = (string)Session["par_cile_insert"];
        //par_cile_cisel = (string)Session["par_cile_cisel"];
        //par_cile_popis = (string)Session["par_cile_popis"];
        //par_cile_poznamka = (string)Session["par_cile_poznamka"];
        //par_cile_ocek = (string)Session["par_cile_ocek"];
        //par_cile_cil = (string)Session["par_cile_cil"];
        //par_komp_suma = (string)Session["par_komp_suma"];
        //par_komp_sumak = (string)Session["par_komp_sumak"];
        //par_komp_poz_e = (string)Session["par_komp_poz_e"];
        //par_komp_vaha_v = (string)Session["par_komp_vaha_v"];
        //par_poznamka = (string)Session["par_poznamka"];
        //par_rozv_poznamka_v = (string)Session["par_rozv_poznamka_v"];
        //par_cile_mnozstvi_v = (string)Session["par_cile_mnozstvi_v"];
        //par_cile_vaha_v = (string)Session["par_cile_vaha_v"];
        //par_mot_termin_v = (string)Session["par_mot_termin_v"];
        if (sta_edt == "1")
        {
            _params["syst_zal_kom_v"] = _params["syst_zal_seb_kom_v"];
            _params["syst_zal_cil_v"] = _params["syst_zal_seb_cil_v"];
            _params["syst_zal_ncil_v"] = _params["syst_zal_seb_ncil_v"];
            _params["syst_zal_slo_v"] = _params["syst_zal_seb_slo_v"];
            _params["syst_zal_mot_v"] = _params["syst_zal_seb_mot_v"];
            _params["syst_zal_roz_v"] = _params["syst_zal_seb_roz_v"];
            _params["syst_zal_sko_v"] = _params["syst_zal_seb_sko_v"];
            _params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] = _params["syst_zal_seb_cel_v", Hodnoceni.GetIdHa(Id)];
        }
        else
        {
            //_params["syst_zal_kom_v"] = (string)Session["zv_kom"];
            //_params["syst_zal_cil_v"] = (string)Session["zv_cil"];
            //_params["syst_zal_ncil_v"] = (string)Session["zv_ncil"];
            //_params["syst_zal_slo_v"] = (string)Session["zv_slo"];
            //_params["syst_zal_mot_v"] = (string)Session["zv_mot"];
            //_params["syst_zal_roz_v"] = (string)Session["zv_roz"];
            //_params["syst_zal_sko_v"] = (string)Session["zv_sko"];
            //_params["syst_zal_cel_v"] = (string)Session["zv_cel"];
        }
        Session.Remove("hodnoceni_id");
        Session.Remove("sta_edt");
        Session.Remove("ParamH");

        if (_params["syst_zal_kom_v"] == "1")
        {
            DIV_kom.Visible = true;
            ODS_typy_kompetenci.SelectParameters["Id"].DefaultValue = Id.ToString();
            ODS_typy_kompetenci.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            REP_typy_kompetenci.DataSourceID = "ODS_typy_kompetenci";
        }
        else DIV_kom.Visible = false;
        if (_params["syst_zal_cil_v"] == "1")
        {
            DIV_cil.Visible = true;
            ODS_cile.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_cile.DataSourceID = "ODS_cile";
        }
        else DIV_cil.Visible = false;
        if (_params["syst_zal_ncil_v"] == "1")
        {
            DIV_ncil.Visible = true;
            ODS_naslcile.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_naslcile.DataSourceID = "ODS_naslcile";
        }
        else DIV_ncil.Visible = false;
        if (_params["syst_zal_slo_v"] == "1")
        {
            DIV_slo.Visible = true;
            ODS_slovni.SelectParameters["Id"].DefaultValue = Id.ToString();
            ODS_slovni.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            REP_slovni.DataSourceID = "ODS_slovni";
        }
        else DIV_slo.Visible = false;
        if (_params["syst_zal_mot_v"] == "1")
        {
            DIV_mot.Visible = true;
            ODS_Motivace.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_Motivace.DataSourceID = "ODS_Motivace";
        }
        else DIV_mot.Visible = false;
        if (_params["syst_zal_sko_v"] == "1" && sta_edt == "2")
        {
            DIV_sko.Visible = true;
            ODS_Skoleni.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_Skoleni.DataSourceID = "ODS_Skoleni";
        }
        else DIV_sko.Visible = false;
        if (_params["syst_zal_roz_v"] == "1" && sta_edt == "2")
        {
            DIV_roz.Visible = true;
            ODS_Vzdelavani.SelectParameters["Id"].DefaultValue = Id.ToString();
            TGV_DopVzde.DataSourceID = "ODS_Vzdelavani";
        }
        else DIV_roz.Visible = false;
        if (_params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] == "1")
        {
            DIV_cel.Visible = true;
            ODS_celkove.SelectParameters["Id"].DefaultValue = Id.ToString();
            ODS_celkove.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            TGV_celkove.DataSourceID = "ODS_celkove";
        }
        else DIV_cel.Visible = false;
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        if (Zakaznik.GetCustomer() == "KU ZLIN" ||
            Zakaznik.GetCustomer() == "MESTO MOST")
        {
            this.ClientScript.RegisterClientScriptBlock(this.GetType(), "print1" + this.Title, "window.print()", true);
            ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "window.print()", true);
        }

    }
    public Sestavy_Hodnoceni()
    {
    }

    #region Hlavicka

    protected void FV_hlavicka_DataBinding(object sender, EventArgs e)
    {
        DS_hlavicka.SelectParameters["Id"].DefaultValue = Id.ToString();
    }
    protected void FV_hlavicka_DataBound(object sender, EventArgs e)
    {
        FormView FV_hla = (FormView)sender;
        if (FV_hla.DataItem != null)
        {
            Label LabelNazevAkce = (Label)FV_hla.FindControl("LabelNazevAkce");
            if (sta_edt == "1")
                LabelNazevAkce.Text = "[%Záznamový list sebehodnocení%]";
            else LabelNazevAkce.Text = "[%Záznamový list hodnocení%]";

            object ob_id_ha = DataBinder.Eval(FV_hla.DataItem, "id_ha");
            if (ob_id_ha != DBNull.Value)
                Id_ha = (Int32)ob_id_ha;
            object ob_os_cislo = DataBinder.Eval(FV_hla.DataItem, "os_cislo");
            if (ob_os_cislo != DBNull.Value)
                Os_cislo = Convert.ToDecimal(ob_os_cislo);

            object ob_obeznamen = DataBinder.Eval(FV_hla.DataItem, "obeznamen");
            ((Label)FV_hla.FindControl("TL_obeznamen")).Text = ob_obeznamen == (object)0 ? "[%Ne%]" : "[%Ano%]";
            object ob_souhlasil = DataBinder.Eval(FV_hla.DataItem, "souhlasil");
            ((Label)FV_hla.FindControl("TL_souhlasil")).Text = ob_souhlasil == (object)0 ? "[%Ne%]" : "[%Ano%]";
            object ob_zamknuto = DataBinder.Eval(FV_hla.DataItem, "zamknuto");
            ((Label)FV_hla.FindControl("TL_zamknuto")).Text = ob_zamknuto == (object)0 ? "[%Ne%]" : "[%Ano%]";
        }
    }

    #endregion

    #region Kompetence

    protected void REP_typy_kompetenci_DataBinding(object sender, EventArgs e)
    {
        
    }
    protected void REP_typy_kompetenci_ItemDataBound(object sender, RepeaterItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
        {
            string typ = ((System.Data.DataRowView)e.Item.DataItem).Row["typ_kompetenci"].ToString();
            ObjectDataSource ODS = (ObjectDataSource)e.Item.FindControl("ODS_kompetence");
            ODS.SelectParameters["typ_kompetenci"].DefaultValue = typ;
            ODS.SelectParameters["Id"].DefaultValue = Id.ToString();
            ODS.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
            TGridView TGV = (TGridView)e.Item.FindControl("TGV_kompetence");
            TGV.TitleText = ((System.Data.DataRowView)e.Item.DataItem).Row["nazev_typu"].ToString();
            TGV.DataSourceID = "ODS_kompetence";
        }
        if(e.Item.ItemType==ListItemType.Footer)
        {
            Control DIV_kom_f = e.Item.FindControl("DIV_kom_footer");
            if (_params["komp_sumy_v"] == "1")
                DIV_kom_f.Visible = true;
            else DIV_kom_f.Visible = false;

            //chart
            //string par_chart_v = SqlPrikaz.ExecuteScalarString("SELECT hodnota FROM hz_parametry WHERE polozka = 'syst_sest_graf_v'", "1");
            //par_chart_v = par_chart_v == null ? "1" : par_chart_v.Trim();
            Control DIV_char_f = e.Item.FindControl("DIV_chart_footer");
            if (_params["syst_sest_graf_v"] != "0")
            {
                DIV_char_f.Visible = true;
                ObjectDataSource ODS = (ObjectDataSource)e.Item.FindControl("ODS_chart");
                ODS.SelectParameters["Id_ha"].DefaultValue = Id_ha.ToString();
                ODS.SelectParameters["os_cislo"].DefaultValue = Os_cislo.ToString();
                ODS.SelectParameters["groupZam"].DefaultValue = "0";
                ODS.SelectParameters["groupKom"].DefaultValue = "0";
                ODS.SelectParameters["zamceno"].DefaultValue = "2";
                ODS.SelectParameters["procenta"].DefaultValue = "False";
                ODS.SelectParameters["columns"].DefaultValue = "typ_kompetenci,kompetence,body_poz,body_obd_sebe,body_obd,vaha";
                Chart CHART = (Chart)e.Item.FindControl("ChartKompetence");
                CHART.Series["SeriesBodyObd"].YValueMembers = sta_edt == "1" ? "body_obd_sebe" : "body_obd";
                CHART.DataSourceID = ODS.ID;
            }
            else
            {
                DIV_char_f.Visible = false;
            }
        }

    }
    protected void ChartKompetence_DataBound(object sender, EventArgs e)
    {
        int alpha = 200; // Průhlednost
        string[] typCompColor = { "#99FF99", "#FFFF99", "#FFCC99", "#FFFFFF", "#808080" };

        Chart chart = (Chart)sender;

        // MaxY grafu
        // ----------
        double maxYvalue = 0;
        foreach (Series series in chart.Series)
            foreach (DataPoint point in series.Points)
            {
                if (series.Name == "SeriesBodyPoz" || series.Name == "SeriesBodyObd")
                {
                    if (point.YValues[0] > maxYvalue) maxYvalue = point.YValues[0];
                }
            }

        // Podbarvení grafu podle 'Typ kompetence'
        // ---------------------------------------
        double yValue = maxYvalue + 2;
        chart.ChartAreas["ChartArea1"].AxisY.Maximum = yValue;

        // Podbarvení grafu + Nastavení legendy
        int index = -1;
        double lastYValue = 0;
        string text = "";
        Color barva;
        foreach (DataPoint point in chart.Series["SeriesIDTypKompetenci"].Points)
        {
            if (index == -1 || lastYValue != point.YValues[0])
            {
                index++;
                lastYValue = point.YValues[0];
                if (index > 3) index = 4;
                // Doplnění do legendy
                barva = ColorTranslator.FromHtml(typCompColor[index]);
                text = SqlPrikaz.ExecuteScalarString("SELECT nazev_typu FROM kompetence_typy WHERE typ_kompetenci = " + Convert.ToInt32(lastYValue), "");
                chart.Legends["LegendTypKompetenci"].CustomItems.Add(barva, text);
            }
            point.YValues[0] = yValue; // Nastavení velikosti podkladu
            point.Color = Color.FromArgb(alpha, ColorTranslator.FromHtml(typCompColor[index])); // Podbarvení grafu
        }

        // Označení kompetence červenou barvou v případě 'váha = 0'
        // --------------------------------------------------------
        index = 0;
        foreach (DataPoint point in chart.Series["SeriesVaha"].Points)
        {
            CustomLabel label = new CustomLabel();
            label.Text = point.AxisLabel;
            chart.ChartAreas[0].AxisX.CustomLabels.Add(label);
            if (point.YValues[0] == 0) label.ForeColor = Color.Red;
            index++;
        }

        // Zapnutí legendy
        // ---------------
        if (maxYvalue > 0)
        {
            chart.Legends["LegendUroven"].Enabled = true;
            chart.Legends["LegendTypKompetenci"].Enabled = true;
        }
    }
    protected void TGV_kompetence_DataBinding(object sender, EventArgs e)
    {
        //string par_komp_poz_tisk_p = SqlPrikaz.ExecuteScalarString("SELECT hodnota FROM hz_parametry WHERE polozka = 'komp_tiskpoznamka_p'", "0");
        //par_komp_poz_tisk_p = par_komp_poz_tisk_p == null ? "0" : par_komp_poz_tisk_p.Trim();
        //string par_komp_popis_tisk_p = SqlPrikaz.ExecuteScalarString("SELECT hodnota FROM hz_parametry WHERE polozka = 'komp_tiskpopis_p'", "0");
        //par_komp_popis_tisk_p = par_komp_popis_tisk_p == null ? "0" : par_komp_popis_tisk_p.Trim();

        TGridView table = (TGridView)sender;
        //if (par_popis == "1")
        //    table.Columns[0].Visible = true;
        //else
        //    table.Columns[0].Visible = false;
        //if (par_max_pocet == "1")
        //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = true;
        //else
        //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = false;
        if (_params["komp_popis_v"] == "0" || _params["komp_tiskpopis_p"] != "0")
            table.Columns[1].Visible = false;
        else
            table.Columns[1].Visible = true;
        if (_params["komp_vaha_v"] == "1")
            table.Columns[2].Visible = true;
        else
            table.Columns[2].Visible = false;
        if (_params["komp_poz_v"] == "1")
            table.Columns[4].Visible = true;
        else
            table.Columns[4].Visible = false;
        if (_params["komp_poznamka_v"] == "0" || _params["komp_tiskpoznamka_p"] != "0")
            table.Columns[5].Visible = false;
        else
            table.Columns[5].Visible = true;
        if (_params["komp_sumys_v"] == "0")
            table.ShowFooter = false;
        else
            table.ShowFooter = true;
    }
    protected void TGV_kompetence_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            prumer_komp = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
            prumer_poz = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_poz");
            soucet_vah_komp = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
            soucet_vah_komp_obd = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah_obd");
            Label L_hodn = (Label)e.Row.FindControl("LabelDbHodnoceni");
            Label L_poz = (Label)e.Row.FindControl("LabelDbPozadavek");
            object poz = DataBinder.Eval(e.Row.DataItem, "body_poz");
            if (poz != DBNull.Value)
                L_poz.Text = Hodnoceni.GetPopisStupneKompetenci((short)poz);
            object obd = DataBinder.Eval(e.Row.DataItem, "body_obd");
            if (obd != DBNull.Value)
                L_hodn.Text = Hodnoceni.GetPopisStupneKompetenci((short)obd);
            Label L_poznamka = (Label)e.Row.FindControl("L_komp_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
        if (e.Row.RowType == DataControlRowType.Footer)
        {//zápis průměrů kompetencí
            decimal prumer_komp_round = Math.Round(prumer_komp, 2);
            decimal prumer_poz_round = Math.Round(prumer_poz, 2);
            table.Columns[0].FooterText = "[%Průměr%]:";
            table.Columns[3].FooterText = prumer_komp_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_komp_round, "[%bod%]", "[%body%]", "[%bodů%]");
            table.Columns[4].FooterText = prumer_poz_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_poz_round, "[%bod%]", "[%body%]", "[%bodů%]");
            table.Columns[2].FooterText = soucet_vah_komp.ToString();
            //suma_komp_all += prumer_komp * table.Rows.Count;
            rows_komp_all += table.Rows.Count;
            komp_prum_obd.Add((Double)soucet_vah_komp_obd, (Double)prumer_komp);
            if (rows_komp_all != 0)
            {
                Label L_komp_sum = (Label)WebControlHelper.FindControl(REP_typy_kompetenci, "L_komp_sum");
                if (L_komp_sum != null && _params["komp_sumy_v"] == "1")
                {
                    Decimal prum = Math.Round(komp_prum_obd.Value == null ? 0 : (decimal)komp_prum_obd.Value, 2);
                    L_komp_sum.Text = "[%Celkový průměr hodnocení kompetencí:%] " + prum + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prum, "[%bod%]", "[%body%]", "[%bodů%]");
                }
            }
        }
    }

    #endregion

    #region Cíle

    protected void TGV_cile_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["cile_poznamka_v"] == "0")
            table.Columns[7].Visible = false;
        else
            table.Columns[7].Visible = true;
        if (_params["cile_cil_dddw", Id_ha] == "0")
        {
            table.Columns[1].Visible = false;
            table.Columns[0].Visible = true;
        }
        else
        {
            table.Columns[1].Visible = true;
            table.Columns[0].Visible = false;
        }
        if (_params["cile_ocek_vystup_v"] == "0")
            table.Columns[8].Visible = false;
        else
            table.Columns[8].Visible = true;
        if (_params["cile_mnozstvi_v", Id_ha] == "0")
            table.Columns[4].Visible = false;
        else
            table.Columns[4].Visible = true;
        if (_params["cile_vaha_v", Id_ha] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
        if (_params["cile_popis_v"] == "0")
            table.Columns[2].Visible = false;
        else
            table.Columns[2].Visible = true;
    }
    protected void TGV_cile_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        TGridView table = (TGridView)sender;
        if (r.RowType == DataControlRowType.DataRow)
        {
            bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
            if (!empty)
            {
                Label L_hodn = (Label)r.FindControl("L_hodnoceni_cile");
                Label L_hodn_t = (Label)r.FindControl("L_hodnoceni_cile_text");
                if (_params["cile_hod_dddw", Id_ha] == "1")
                {
                    object h = DataBinder.Eval(e.Row.DataItem, "hodnoceni");
                    int? hodnoceni = h == DBNull.Value ? null : ((int?)h);
                    L_hodn_t.Text = Hodnoceni.GetPopisStupneCilu(hodnoceni);
                    L_hodn.Visible = false;
                }
                else L_hodn_t.Visible = false;

                prumer_cile = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                soucet_vah_cilu = (int)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
            }
            else e.Row.Visible = false;
        }
        if (r.RowType == DataControlRowType.Footer)
        {
            r.Cells[0].Text = "[%Součet vah%], [%Vážený průměr%]:";
            r.Cells[1].Text = "[%Součet vah%], [%Vážený průměr%]:";
            r.Cells[2].Text = soucet_vah_cilu.ToString();
            decimal prumer_cile_round = Math.Round(prumer_cile, 2);
            r.Cells[4].Text = prumer_cile_round.ToString() + " " +
                KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_cile_round, "[%bod%]", "[%body%]", "[%bodů%]");
        }
    }

    #endregion

    #region Následné Cíle

    protected void TGV_naslcile_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["cile_poznamka_v"] == "0")
            table.Columns[6].Visible = false;
        else
            table.Columns[6].Visible = true;
        if (_params["cile_cil_dddw", Id_ha] == "0")
        {
            table.Columns[1].Visible = false;
            table.Columns[0].Visible = true;
        }
        else
        {
            table.Columns[1].Visible = true;
            table.Columns[0].Visible = false;
        }
        if (_params["cile_ocek_vystup_v"] == "0")
            table.Columns[7].Visible = false;
        else
            table.Columns[7].Visible = true;
        if (_params["cile_mnozstvi_v", Id_ha] == "0")
            table.Columns[4].Visible = false;
        else
            table.Columns[4].Visible = true;
        if (_params["cile_vaha_v", Id_ha] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
        if (_params["cile_popis_v"] == "0")
            table.Columns[2].Visible = false;
        else
            table.Columns[2].Visible = true;
    }
    protected void TGV_naslcile_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        if (r.RowType == DataControlRowType.DataRow)
        {
            bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
            if (!empty)
            {
                //prumer_naslcille = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                soucet_vah_naslcilu = (int)DataBinder.Eval(r.DataItem, "soucet_vah");
            }
            else r.Visible = false;

        }
        if (r.RowType == DataControlRowType.Footer)
        {

            r.Cells[0].Text = "[%Součet vah%]";
            r.Cells[1].Text = "[%Součet vah%]";
            r.Cells[2].Text = soucet_vah_naslcilu.ToString();

        }
    }

    #endregion

    #region Slovní

    protected void REP_slovni_DataBinding(object sender, EventArgs e)
    {
        
    }
    protected void REP_slovni_ItemDataBound(object sender, RepeaterItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
        {
            Label TB_poznamka = (Label)e.Item.FindControl("TB_poznamka");
            string text = ((System.Data.DataRowView)e.Item.DataItem).Row["poznamka"].ToString();
            if (!string.IsNullOrEmpty(text))
            {
                text = text.Replace("\r\n", "<br>");
                text = text.Replace("\n", "<br>");
                TB_poznamka.Text = text;
            }
        }
    }
    
    #endregion

    #region Motivace

    protected void TGV_Motivace_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["mot_termin_v"] == "0")
            table.Columns[3].Visible = false;
        else
            table.Columns[3].Visible = true;
    }
    protected void TGV_Motivace_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow r = e.Row;
        TGridView table = (TGridView)sender;
        if (r.RowType == DataControlRowType.DataRow)
        {
            Int16 stanovisko = (Int16)DataBinder.Eval(r.DataItem, "stanovisko");
            Label L_stanovisko = (Label)r.FindControl("L_stanovisko");
            if (stanovisko == 0)
                L_stanovisko.Text = "Ne";
            else L_stanovisko.Text = "Ano";

            Label L_poznamka = (Label)e.Row.FindControl("L_mot_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }

    #endregion

    #region Hodnocení vzdělávání

    protected void TGV_Skoleni_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["rozv_poznamka_v"] == "0")
            table.Columns[5].Visible = false;
        else
            table.Columns[5].Visible = true;
    }
    protected void TGV_Skoleni_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            string skoleni = ((System.Data.DataRowView)e.Row.DataItem).Row["cis_osve"].ToString();
            decimal os_cislo = (decimal)FV_hlavicka.DataKey[0];
            DateTime datum_od = (DateTime)FV_hlavicka.DataKey[1];
            DateTime datum_do = (DateTime)FV_hlavicka.DataKey[2];
            Label L_term = (Label)e.Row.FindControl("LabelDbSplneno");
            object T = ((System.Data.DataRowView)e.Row.DataItem).Row["absolvovano"];
            if (T == null || T == DBNull.Value)
                L_term.Text = "Ne";
            else L_term.Text = ((DateTime)T).ToShortDateString();
            string stano = ((System.Data.DataRowView)e.Row.DataItem).Row["splneno"].ToString();
            Label L_Stano = (Label)e.Row.FindControl("LabelDbSplnilo");
            if (stano == "a")
                L_Stano.Text = "Ano";
            else L_Stano.Text = "Ne";

            Label L_poznamka = (Label)e.Row.FindControl("L_sko_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "doporuceni");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }

    #endregion

    #region Doporučené vzdělávání

    protected void TGV_DopVzde_DataBinding(object sender, EventArgs e)
    {
        TGridView table = (TGridView)sender;
        if (_params["rozv_poznamka_v"] == "0")
        {
            table.Columns[2].Visible = false;
            table.Columns[3].Visible = false;
        }
        else
        {
            table.Columns[2].Visible = true;
            table.Columns[3].Visible = true;
        }
    }
    protected void TGV_DopVzde_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            Label L_zpusob = (Label)e.Row.FindControl("L_rozv_zpusob");
            string zpusob = ((System.Data.DataRowView)e.Row.DataItem).Row["zpusob"].ToString();
            string zpusob_text = SqlPrikaz.ExecuteScalarString("SELECT vyznam FROM univ_cisel WHERE id = 31 AND cislo = '" + zpusob + "'", true);
            L_zpusob.Text = zpusob_text;

            Label L_poznamka = (Label)e.Row.FindControl("L_vzde_poznamka");
            object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
            if (o_ponamka != DBNull.Value)
                L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
        }
    }
    #endregion

    #region Celkové hodnocení

    protected void TGV_celkove_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        TGridView table = (TGridView)sender;
        GridViewRow row = e.Row;
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            object o_priznak = DataBinder.Eval(e.Row.DataItem, "priznak");
            if (o_priznak != null && o_priznak != DBNull.Value)
                if ((int)o_priznak == 2)
                    e.Row.Font.Bold = true;
        }
    }

    #endregion
    
}
