﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Obecne;
using KSProgram.Hodnoceni;
namespace KSPortal.Sestavy
{
    public partial class Sestavy_HodnoceniCile : TPage
    {
        private ParamsH _params;
        public Sestavy_HodnoceniCile()
        {
            IdPrava = 105;
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (CBL_show.Items.Count == 0)
            {
                /*foreach (DataControlField col in TGV_sestava.Columns)
                {
                    ListItem item = new ListItem(col.HeaderText);
                    item.Value = col.SortExpression;
                    item.Selected = true;
                    item.Enabled = true;
                    CBL_show.Items.Add(item);
                }*/

                foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
                {
                    ListItem item = new ListItem(col.HeaderText);
                    item.Value = col.SortExpression;
                    item.Selected = true;
                    item.Enabled = true;
                    CBL_show.Items.Add(item);
                }
            }
            _params = new ParamsH();
        }
        protected void TDD_akce_DataBound(object sender, EventArgs e)
        {
            //TDropDown TDD_akce = (TDropDown)sender;
            //TDD_akce.SelectedIndex = TDD_akce.Items.Count - 1;
        }
        protected void CBL_show_PreRender(object sender, EventArgs e)
        {
            viditelnostZam();
            viditelnostCil();
            viditelnostHodn();
            viditelnostDok();
            viditelnostPrum();
            viditelnostMnozstvi();
            viditelnostTermin();
        }
        protected void lb_nacist_Command(object sender, CommandEventArgs e)
        {
            if (TDD_akce.SelectedItem != null)
            {
                setDataSource();
                //TGV_sestava.DataBind();
                TRadGrid_sestava.Rebind();
            }
        }

        private void setDataSource()
        {
            string columns = "";
            foreach (ListItem item in CBL_show.Items)
            {
                column2(item.Value).Visible = item.Selected;
                if (item.Selected)
                    columns += item.Value + ",";
            }

            TRadGrid_sestava.DataSourceID = ODS_sestava.ID;
            ODS_sestava.SelectParameters["Id_ha"].DefaultValue = TDD_akce.SelectedItem.Value;
            ODS_sestava.SelectParameters["cis_divize"].DefaultValue = TDD_divize.SelectedItem.Value;
            ODS_sestava.SelectParameters["skup_str"].DefaultValue = TDD_skupinaStred.SelectedItem.Value;
            ODS_sestava.SelectParameters["str"].DefaultValue = TDD_stredisko.SelectedItem.Value;
            ODS_sestava.SelectParameters["os_cislo"].DefaultValue = TDD_zamestnanec.SelectedItem.Value;
            ODS_sestava.SelectParameters["druh_cile"].DefaultValue = TRBL_druh_cile.SelectedItem.Value;
            ODS_sestava.SelectParameters["cil"].DefaultValue = TDD_cile.SelectedItem.Value;
            ODS_sestava.SelectParameters["groupZam"].DefaultValue = RBL_group_zam.SelectedItem.Value;
            ODS_sestava.SelectParameters["groupCil"].DefaultValue = RBL_group_cil.SelectedItem.Value;
            ODS_sestava.SelectParameters["zamceno"].DefaultValue = RBL_zamceno.SelectedItem.Value;
            ODS_sestava.SelectParameters["prumer"].DefaultValue = RBL_prumer.SelectedItem.Value;
            ODS_sestava.SelectParameters["columns"].DefaultValue = columns;
        }

        private void viditelnostZam()
        {
            switch (RBL_group_zam.SelectedValue)
            {
                case "0":
                    NastavItem("os_cislo", null, true);
                    NastavItem("cislo_pom", null, true);
                    NastavItem("jmeno", true, false);
                    NastavItem("prac_misto", null, true);
                    NastavItem("divize", null, true);
                    NastavItem("skup_str", null, true);
                    NastavItem("str", null, true);
                    break;
                case "1":
                    NastavItem("os_cislo", false, false);
                    NastavItem("cislo_pom", false, false);
                    NastavItem("jmeno", false, false);
                    NastavItem("prac_misto", false, false);
                    NastavItem("divize", true, false);
                    NastavItem("skup_str", false, false);
                    NastavItem("str", false, false);
                    break;
                case "2":
                    NastavItem("os_cislo", false, false);
                    NastavItem("cislo_pom", false, false);
                    NastavItem("jmeno", false, false);
                    NastavItem("prac_misto", false, false);
                    NastavItem("divize", false, false);
                    NastavItem("skup_str", true, false);
                    NastavItem("str", false, false);
                    break;
                case "3":
                    NastavItem("os_cislo", false, false);
                    NastavItem("cislo_pom", false, false);
                    NastavItem("jmeno", false, false);
                    NastavItem("prac_misto", false, false);
                    NastavItem("divize", null, true);
                    NastavItem("skup_str", null, true);
                    NastavItem("str", true, false);
                    break;
                case "4":
                    NastavItem("os_cislo", false, false);
                    NastavItem("jmeno", false, false);
                    NastavItem("prac_misto", false, false);
                    NastavItem("divize", false, false);
                    NastavItem("skup_str", false, false);
                    NastavItem("str", false, false);
                    break;
            }
        }
        private void viditelnostCil()
        {
            switch (RBL_group_cil.SelectedValue)
            {
                case "0": NastavItem("cil", true, false); break;
                case "1": NastavItem("cil", false, false); break;
            }
        }
        private void viditelnostHodn()
        {
            switch (TRBL_druh_cile.SelectedValue)
            {
                case "1":
                    if (_params["cile_samohodnoceni"] == "0")
                    {
                        NastavItem("hodnoceni", null, true);
                        NastavItem("dokonceno", null, true);
                        NastavItem("sebehodnoceni", false, false);
                        NastavItem("dokonceno_seb", false, false);
                    }
                    else
                    {
                        NastavItem("hodnoceni", null, true);
                        NastavItem("dokonceno", null, true);
                        NastavItem("sebehodnoceni", null, true);
                        NastavItem("dokonceno_seb", null, true);
                    }
                    break;
                case "2":
                    NastavItem("hodnoceni", false, false);
                    NastavItem("dokonceno", false, false);
                    NastavItem("sebehodnoceni", false, false);
                    NastavItem("dokonceno_seb", false, false);
                    break;
            }
        }
        private void viditelnostPrum()
        {
            switch (RBL_prumer.SelectedValue)
            {
                case "0": NastavItem("vaha", false, false); break;
                case "1": NastavItem("vaha", null, true); break;
            }
        }
        private void viditelnostDok()
        {
            if (RBL_group_zam.SelectedValue == "0" && RBL_group_cil.SelectedValue == "0")
            {
                NastavItem("dokonceno", false, false);
                NastavItem("dokonceno_seb", false, false);
            }
            else
            {
                NastavItem("dokonceno", null, true);
                if (_params["cile_samohodnoceni"] == "0")
                    NastavItem("dokonceno_seb", false, false);
                else
                    NastavItem("dokonceno_seb", null, true);
            }
        }
        private void viditelnostTermin()
        {
            if (RBL_group_zam.SelectedValue == "0" && RBL_group_cil.SelectedValue == "0")
                NastavItem("termin", null, true);
            else NastavItem("termin", false, false);
        }
        private void viditelnostMnozstvi()
        {
            if (RBL_group_zam.SelectedValue == "0" && RBL_group_cil.SelectedValue == "0")
                NastavItem("mnozstvi", null, true);
            else NastavItem("mnozstvi", false, false);
        }
        private void NastavItem(string item, bool? selected, bool enabled)
        {
            ListItem Item = listItem(item);
            if (Item.Enabled && !enabled)
                UserSetting.SaveUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value, Item.Selected.ToString());
            if (!Item.Enabled && enabled && selected == null)
            {
                string hodnota = UserSetting.LoadUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value);
                if (!string.IsNullOrEmpty(hodnota))
                    Item.Selected = Convert.ToBoolean(hodnota);
            }
            else
            {
                if (selected != null)
                    Item.Selected = (bool)selected;
            }
            Item.Enabled = enabled;
        }
        //private void NastavItem(string item, bool? selected, bool enabled)
        //{
        //    ListItem Item = listItem(item);
        //    if (Item.Enabled)
        //        UserSetting.SaveUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value, Item.Selected.ToString());
        //    Item.Enabled = enabled;
        //    if (selected != null)
        //        Item.Selected = (bool)selected;
        //    else if (enabled)
        //    {
        //        string hodnota = UserSetting.LoadUserSetting(Page.ToString(), CBL_show.ID + "_" + Item.Value);
        //        if (!string.IsNullOrEmpty(hodnota))
        //            Item.Selected = Convert.ToBoolean(hodnota);
        //    }
        //}
        /*private DataControlField column(string SortExp)
        {
            foreach (DataControlField col in TGV_sestava.Columns)
                if (col.SortExpression == SortExp)
                    return col;
            return null;
        }*/

        private Telerik.Web.UI.GridColumn column2(string SortExp)
        {
            foreach (Telerik.Web.UI.GridColumn col in TRadGrid_sestava.Columns)
                if (col.SortExpression == SortExp)
                    return col;
            return null;
        }
        private ListItem listItem(string SortExp)
        {
            foreach (ListItem item in CBL_show.Items)
                if (item.Value == SortExp)
                    return item;
            return null;
        }
        protected void RBL_group_zam_PreRender(object sender, EventArgs e)
        {
            RadioButtonList RBL = (RadioButtonList)sender;
            if (TRBL_druh_cile.SelectedValue == "2")
            {
                RBL.SelectedIndex = 4;
                RBL.Enabled = false;
            }
            else RBL.Enabled = true;
        }
        protected void RBL_group_cil_PreRender(object sender, EventArgs e)
        {
            RadioButtonList RBL = (RadioButtonList)sender;
            if (TRBL_druh_cile.SelectedValue == "2")
            {
                RBL.SelectedIndex = 1;
                RBL.Enabled = false;
            }
            else RBL.Enabled = true;
        }
        protected void RBL_prumer_PreRender(object sender, EventArgs e)
        {
            TRadioButtonList RBL = (TRadioButtonList)sender;
            if (TRBL_druh_cile.SelectedValue == "2")
            {
                RBL.SelectedIndex = 1;
                RBL.Enabled = false;
            }
            else RBL.Enabled = true;
        }
        /*
        protected void TGV_sestava_PreRender(object sender, EventArgs e)
        {
            TGridView TGV = (TGridView)sender;
            if (TRBL_druh_cile.SelectedValue == "2")
                TGV.TitleText = "[%Následné cíle%]";
            else TGV.TitleText = "[%Hodnocení cílů%]";
        }*/

        protected void TRadGrid_sestava_PreRender(object sender, EventArgs e)
        {
            TRadGrid TGV = (TRadGrid)sender;
            if (TRBL_druh_cile.SelectedValue == "2")
                TGV.MasterTableView.Caption = "[%Následné cíle%]";
            else TGV.MasterTableView.Caption = "[%Hodnocení cílů%]";
        }

        protected void exportbutt_Exporting(object sender, ExportGridButtonArgs e)
        {
            
        }
    }
}