﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="HodnoceniSouhrnKraceniSkupCileBONA.aspx.cs" Inherits="KSPortal.Sestavy.HodnoceniSouhrnKraceniSkupCileBONA" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRCB_ha">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_prehled" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRG_prehled">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_prehled" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <span class="nadpis1">[%Souhrn krácení odměn%]</span>
    <br />
    <asp:ObjectDataSource ID="ODS_akce" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="HodnoticiAkce" TypeName="KSProgram.Hodnoceni.Hodnoceni">
        <SelectParameters>
            <asp:Parameter Name="zamceno" DbType="Int16" />
            <asp:Parameter Name="jen_primi" Type="Boolean" DefaultValue="false" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <kspwc:TRadComboBox ID="TRCB_ha" runat="server" Label="[%Hodnotící akce%]" DataSourceID="ODS_akce"
         DataTextField="nazev" DataValueField="id" DropDownAutoWidth="Enabled" CssClass="pozadiText"
        AutoPostBack="True" Width="500px" OnSelectedIndexChanged="TRCB_ha_SelectedIndexChanged" OnDataBound="TRCB_ha_DataBound">
    </kspwc:TRadComboBox>
    <br /><br />
    <kspwc:TRadGrid ID="TRG_prehled" runat="server" AllowPaging="True" AllowSorting="True" AutoFilterWidth="true" AutoGenerateColumns="False" UseSaveSetting="False"
        OnNeedDataSource="TRG_prehled_NeedDataSource" OnInit="TRG_prehled_Init" AutoFilterControlWidth="false" OnItemCommand="TRG_prehled_ItemCommand">
        <MasterTableView CommandItemDisplay="Top" ShowFooter="true">
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl runat="server" ID="GCIC"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup Name="group_0"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_1"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_2"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_3"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_4"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_5"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_6"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_7"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_8"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="group_9"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="zakl_sazba" HeaderText="[%Základí sazba%]" HeaderStyle-HorizontalAlign="Center"></telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <telerik:GridNumericColumn DataField="os_cislo" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter os_cislo column" HeaderText="[%Os. číslo%]" UniqueName="os_cislo">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column" HeaderText="[%Jméno%]" UniqueName="jmeno" FooterAggregateFormatString="[%Celkem%]" Aggregate="First">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="teritorium" FilterControlAltText="Filter teritorium column" HeaderText="[%Teritorium%]" UniqueName="teritorium">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="hod_zakl_sazba_pr" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter hod_zakl_sazba_pr column" HeaderText="%" UniqueName="hod_zakl_sazba_pr" ColumnGroupName="zakl_sazba" DataFormatString = "{0:###,###,###,##0}">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="hod_zakl_sazba_kc" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter hod_zakl_sazba_kc column" HeaderText="Kč" UniqueName="hod_zakl_sazba_kc" ColumnGroupName="zakl_sazba" DataFormatString = "{0:###,###,###,##0}" Aggregate="Sum">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_0" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_0 column" HeaderText="%" UniqueName="sku_kraceni_body_0" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_0" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_0 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_0" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_1" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_1 column" HeaderText="%" UniqueName="sku_kraceni_body_1" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_1" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_1 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_1" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_2" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_2 column" HeaderText="%" UniqueName="sku_kraceni_body_2" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_2" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_2 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_2" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_3" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_3 column" HeaderText="%" UniqueName="sku_kraceni_body_3" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_3" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_3 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_3" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_4" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_4 column" HeaderText="%" UniqueName="sku_kraceni_body_4" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_4" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_4 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_4" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_5" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_5 column" HeaderText="%" UniqueName="sku_kraceni_body_5" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_5" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_5 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_5" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_6" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_6 column" HeaderText="%" UniqueName="sku_kraceni_body_6" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_6" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_6 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_6" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_7" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_7 column" HeaderText="%" UniqueName="sku_kraceni_body_7" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_7" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_7 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_7" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_8" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_8 column" HeaderText="%" UniqueName="sku_kraceni_body_8" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_8" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_8 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_8" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_body_9" DataType="System.Decimal" DecimalDigits="2" FilterControlAltText="Filter sku_kraceni_body_9 column" HeaderText="%" UniqueName="sku_kraceni_body_9" DataFormatString = "{0:###,###,###,##0.00}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="sku_kraceni_castka_9" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter sku_kraceni_castka_9 column" HeaderText="Kč" UniqueName="sku_kraceni_castka_9" DataFormatString = "{0:###,###,###,##0}" Visible="false">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="hod_zadrzne_kc" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter hod_zadrzne_kc column" HeaderText="[%Zádržné k vyplacení%]" UniqueName="hod_zadrzne_kc" DataFormatString = "{0:###,###,###,##0}" Aggregate="Sum">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="vysl_premie_kc" DataType="System.Decimal" DecimalDigits="0" FilterControlAltText="Filter vysl_premie_kc column" HeaderText="[%Výsledná prémie%]" UniqueName="vysl_premie_kc" DataFormatString = "{0:###,###,###,##0}" Aggregate="Sum">
                </telerik:GridNumericColumn>
            </Columns>
        </MasterTableView>
    </kspwc:TRadGrid>

</asp:Content>
