﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Hodnoceni;
using KSProgram.Data;
using System.Data;
using KSProgram.Vzdelavani;
using KSProgram;
using KSProgram.Mathematics;
using System.Web.UI.DataVisualization.Charting;
using System.Drawing;
using KSProgram.Funkce;
using Telerik.Web.UI;

namespace KSPortal.Sestavy
{
    /// <summary>
    /// 
    /// </summary>
    public partial class Hodnoceni_SKOFIN : TPopUpPage
    {
        private Int32 Id;
        private Int32 Id_ha;
        private Decimal Os_cislo;
        private string NazevSestavy;

        //průměry
        decimal prumer_komp;
        decimal prumer_join;
        //decimal suma_komp_all = 0;
        int rows_komp_all = 0;
        VazenyPrumer komp_prum_obd = new VazenyPrumer();
        VazenyPrumer komp_prum_join = new VazenyPrumer();
        decimal prumer_cile;
        decimal prumer_cile_join;
        long soucet_vah_cilu;
        long soucet_vah_naslcilu;
        decimal prumer_poz;
        Int64 soucet_vah_komp;
        Int64 soucet_vah_komp_obd;
        Int64 soucet_vah_komp_join;

        //parametry
        private ParamsH _params;
        private string sta_edt;

        int alpha = 200; // Průhlednost

        /// <summary>
        /// 
        /// </summary>
        public Hodnoceni_SKOFIN()
        {
        }

        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);

            Id = Convert.ToInt32(Session["hodnoceni_id"]);
            _params = (ParamsH)Session["ParamsH"];
            sta_edt = (string)Session["sta_edt"];
            NazevSestavy = (string)Session["NazevSestavy"];

            if (sta_edt == "1")
            {
                _params["syst_zal_kom_v"] = _params["syst_zal_seb_kom_v"];
                _params["syst_zal_cil_v"] = _params["syst_zal_seb_cil_v"];
                _params["syst_zal_ncil_v"] = _params["syst_zal_seb_ncil_v"];
                _params["syst_zal_slo_v"] = _params["syst_zal_seb_slo_v"];
                _params["syst_zal_mot_v"] = _params["syst_zal_seb_mot_v"];
                _params["syst_zal_roz_v"] = _params["syst_zal_seb_roz_v"];
                _params["syst_zal_sko_v"] = _params["syst_zal_seb_sko_v"];
                _params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] = _params["syst_zal_seb_cel_v", Hodnoceni.GetIdHa(Id)];
            }
            else
            {
                //_params["syst_zal_kom_v"] = _params[ParamsH.GetAlias("zv_kom")];
                //_params["syst_zal_cil_v"] = _params[ParamsH.GetAlias("zv_cil")];
                //_params["syst_zal_ncil_v"] = _params[ParamsH.GetAlias("zv_ncil")];
                //_params["syst_zal_slo_v"] = _params[ParamsH.GetAlias("zv_slo")];
                //_params["syst_zal_mot_v"] = _params[ParamsH.GetAlias("zv_mot")];
                //_params["syst_zal_roz_v"] = _params[ParamsH.GetAlias("zv_roz")];
                //_params["syst_zal_sko_v"] = _params[ParamsH.GetAlias("zv_sko")];
                //_params["syst_zal_cel_v"] = _params[ParamsH.GetAlias("zv_cel")];
            }
            Session.Remove("hodnoceni_id");
            Session.Remove("sta_edt");
            Session.Remove("ParamsH");
            Session.Remove("NazevSestavy");

            if (_params["syst_zal_kom_v"] == "1")
            {
                DIV_kom.Visible = true;
                ODS_typy_kompetenci.SelectParameters["Id"].DefaultValue = Id.ToString();
                //ODS_typy_kompetenci.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
                REP_typy_kompetenci.DataSourceID = "ODS_typy_kompetenci";
            }
            else DIV_kom.Visible = false;
            if (_params["syst_zal_cil_v"] == "1")
            {
                DIV_cil.Visible = true;
                ODS_cile.SelectParameters["Id"].DefaultValue = Id.ToString();
                TGV_cile.DataSourceID = "ODS_cile";
            }
            if (_params["syst_zal_cil_v"] == "1" && _params["syst_shsku"] == "1")
            {
                DIV_rekapcil.Visible = true;
                HodnCile_rekapitulace_skupin_cilu.Id_hla = Id;
                HodnCile_rekapitulace_skupin_cilu.DataNavazana = true;
            }
            else DIV_rekapcil.Visible = false;
            if (_params["syst_zal_ncil_v"] == "1")
            {
                DIV_ncil.Visible = true;
                ODS_naslcile.SelectParameters["Id"].DefaultValue = Id.ToString();
                TGV_naslcile.DataSourceID = "ODS_naslcile";
            }
            else DIV_ncil.Visible = false;
            if (_params["syst_zal_slo_v"] == "1")
            {
                DIV_slo.Visible = true;
                if (SeriesVisible("h"))
                {
                    DIV_slo_hod.Visible = true;
                    ODS_slovni.SelectParameters["Id"].DefaultValue = Id.ToString();
                    REP_slovni.DataSourceID = "ODS_slovni";
                }
                else
                {
                    DIV_slo_hod.Visible = false;
                }
                if (SeriesVisible("s"))
                {
                    DIV_slo_seb.Visible = true;
                    ODS_slovni_s.SelectParameters["Id"].DefaultValue = Id.ToString();
                    REP_slovni_s.DataSourceID = "ODS_slovni_s";
                }
                else
                {
                    DIV_slo_seb.Visible = false;
                }
            }
            else DIV_slo.Visible = false;
            if (_params["syst_zal_mot_v"] == "1")
            {
                DIV_mot.Visible = true;
                ODS_Motivace.SelectParameters["Id"].DefaultValue = Id.ToString();
                TGV_Motivace.DataSourceID = "ODS_Motivace";
            }
            else DIV_mot.Visible = false;
            if (_params["syst_zal_sko_v"] == "1" && sta_edt == "2")
            {
                DIV_sko.Visible = true;
                ODS_Skoleni.SelectParameters["Id"].DefaultValue = Id.ToString();
                TGV_Skoleni.DataSourceID = "ODS_Skoleni";
            }
            else DIV_sko.Visible = false;
            if (_params["syst_zal_roz_v"] == "1" && sta_edt == "2")
            {
                DIV_roz.Visible = true;
                ODS_Vzdelavani.SelectParameters["Id"].DefaultValue = Id.ToString();
                TGV_DopVzde.DataSourceID = "ODS_Vzdelavani";
            }
            else DIV_roz.Visible = false;
            if (_params["syst_zal_cel_v", Hodnoceni.GetIdHa(Id)] == "1")
            {
                DIV_cel.Visible = true;
                ODS_celkove.SelectParameters["Id"].DefaultValue = Id.ToString();
                ODS_celkove.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
                ODS_celkove.SelectParameters["sloucit"].DefaultValue = (_params["cislo_formulare"] == "2" && sta_edt == "2").ToString();
                TGV_celkove.DataSourceID = "ODS_celkove";
            }
            else DIV_cel.Visible = false;

            ODS_cinnosti.SelectParameters["Id"].DefaultValue = Id.ToString();
            TRGV_cinnosti.DataSourceID = "ODS_cinnosti";
        }
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            if (Zakaznik.GetCustomer() == "KU ZLIN" ||
                Zakaznik.GetCustomer() == "MESTO MOST")
            {
                this.ClientScript.RegisterClientScriptBlock(this.GetType(), "print1" + this.Title, "window.print()", true);
                ScriptManager.RegisterStartupScript(this, this.GetType(), "print1" + this.Title, "window.print()", true);
            }

        }


        #region Hlavicka

        protected void FV_hlavicka_DataBinding(object sender, EventArgs e)
        {
            DS_hlavicka.SelectParameters["Id"].DefaultValue = Id.ToString();
        }
        protected void FV_hlavicka_DataBound(object sender, EventArgs e)
        {
            FormView FV_hla = (FormView)sender;
            if (FV_hla.DataItem != null)
            {
                Label LabelNazevAkce = (Label)FV_hla.FindControl("LabelNazevAkce");
                //if (sta_edt == "1")
                //    LabelNazevAkce.Text = "[%Záznamový list sebehodnocení%]";
                //else LabelNazevAkce.Text = "[%Záznamový list hodnocení%]";
                //LabelNazevAkce.Text = NazevSestavy;

                object ob_id_ha = DataBinder.Eval(FV_hla.DataItem, "id_ha");
                if (ob_id_ha != DBNull.Value)
                    Id_ha = (Int32)ob_id_ha;
                object ob_os_cislo = DataBinder.Eval(FV_hla.DataItem, "os_cislo");
                if (ob_os_cislo != DBNull.Value)
                    Os_cislo = Convert.ToDecimal(ob_os_cislo);

                //object ob_obeznamen = DataBinder.Eval(FV_hla.DataItem, "obeznamen");
                //((Label)FV_hla.FindControl("TL_obeznamen")).Text = (short)ob_obeznamen == 0 ? "[%Ne%]" : "[%Ano%]";
                //object ob_souhlasil = DataBinder.Eval(FV_hla.DataItem, "souhlasil");
                //((Label)FV_hla.FindControl("TL_souhlasil")).Text = (short)ob_souhlasil == 0 ? "[%Ne%]" : "[%Ano%]";
                object ob_zamknuto = DataBinder.Eval(FV_hla.DataItem, "zamknuto");
                ((Label)FV_hla.FindControl("TL_zamknuto")).Text = (short)ob_zamknuto == 0 ? "[%Ne%]" : "[%Ano%]";
            }
        }

        #endregion

        #region Kompetence

        protected void REP_typy_kompetenci_DataBinding(object sender, EventArgs e)
        {

        }
        protected void REP_typy_kompetenci_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
            {
                string typ = ((System.Data.DataRowView)e.Item.DataItem).Row["typ_kompetenci"].ToString();
                ObjectDataSource ODS = (ObjectDataSource)e.Item.FindControl("ODS_kompetence");
                ODS.SelectParameters["typ_kompetenci"].DefaultValue = typ;
                ODS.SelectParameters["Id"].DefaultValue = Id.ToString();
                //ODS.SelectParameters["sta_edt"].DefaultValue = sta_edt.ToString();
                TGridView TGV = (TGridView)e.Item.FindControl("TGV_kompetence");
                TGV.TitleText = ((System.Data.DataRowView)e.Item.DataItem).Row["nazev_typu"].ToString();
                TGV.DataSourceID = "ODS_kompetence";
            }
            if (e.Item.ItemType == ListItemType.Footer)
            {
                Control DIV_kom_f = e.Item.FindControl("DIV_kom_footer");
                Control DIV_seb_f = e.Item.FindControl("DIV_seb_footer");
                if (_params["komp_sumy_v"] == "1")
                {
                    DIV_kom_f.Visible = SeriesVisible("h");
                    DIV_seb_f.Visible = SeriesVisible("s");
                }
                else
                {
                    DIV_kom_f.Visible = false;
                    DIV_seb_f.Visible = false;
                }

                //chart
                Control DIV_char_f = e.Item.FindControl("DIV_chart_footer");
                if (_params["syst_sest_graf_v"] != "0")
                {
                    DIV_char_f.Visible = true;

                    RadHtmlChart RadChartKompetence = (RadHtmlChart)e.Item.FindControl("RadChartKompetence");

                    KSProgram.Sestavy.DefSestavy_HodnKompetence sest = new KSProgram.Sestavy.DefSestavy_HodnKompetence();
                    DataTable grafdata = sest.Retrieve(Id_ha.ToString(), null, null, null, Os_cislo.ToString(), null, null, "0", "0", 2, false, "typ_kompetenci,kompetence,body_poz,body_obd_sebe,body_obd,vaha", false, true);

                    List<GrafItem> dataLegTyp = new List<GrafItem>() { };
                    List<GrafItem> dataLegKomp = new List<GrafItem>() { };

                    string[] shorts = { "A", "B", "C", "D", "E", "F", "G", "H", "CH", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20" };
                    grafdata.Columns.Add("short", typeof(string));
                    int i = 0;
                    foreach (DataRow row in grafdata.Rows)
                    {
                        row["short"] = shorts[i];
                        i++;
                    }

                    DataView view = new DataView(grafdata);
                    DataTable distinctValues = view.ToTable(true, "typ_kompetenci");
                    i = 0;
                    foreach (DataRow row in distinctValues.Rows)
                    {
                        dataLegTyp.Add(new GrafItem("", GetNullOrData.GetString(row["typ_kompetenci"], "", true), F_Drawing.ZeSeznamuBarev(i + 3, 0.5f + (0.5f * (200f / 255f)), 1f)));
                        i++;
                    }

                    distinctValues = view.ToTable(true, "typ_kompetenci", "kompetence", "short");
                    foreach (DataRow row in distinctValues.Rows)
                    {
                        Color? c = dataLegTyp.Find(x => x.text == GetNullOrData.GetString(row["typ_kompetenci"], "", true))?.color;
                        dataLegKomp.Add(new GrafItem(GetNullOrData.GetString(row["short"], "", true), GetNullOrData.GetString(row["kompetence"], "", true), (c == null ? new Color() : (Color)c)));
                    }

                    i = 0;
                    int lastIdTyp = -1;
                    decimal start = 0;
                    decimal stop = 1;
                    int index = 0;
                    Prumer delkakomp = new Prumer(0);
                    foreach (DataRow row in grafdata.Rows)
                    {
                        int id_typ = GetNullOrData.GetInt32(row["id_typ_kompetenci"], 0);
                        delkakomp.Add(GetNullOrData.GetString(row["kompetence"], "", true).Length);

                        if (i == 0)
                        {
                            lastIdTyp = id_typ;
                        }
                        if (lastIdTyp != id_typ)
                        {
                            stop = i;
                            RadChartKompetence.PlotArea.XAxis.PlotBands.Add(new PlotBand(start, stop, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f), (byte)alpha));
                            index++;
                            index = index > 4 ? 4 : index;
                            start = stop;
                        }
                        lastIdTyp = id_typ;
                        stop = i + 1;
                        i++;
                    }
                    RadChartKompetence.PlotArea.XAxis.PlotBands.Add(new PlotBand(start, stop, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f), (byte)alpha));

                    if (_params["cislo_formulare"] == "2")
                    {
                        RadChartKompetence.PlotArea.Series[2].Visible = SeriesVisible("h");
                        RadChartKompetence.PlotArea.Series[2].VisibleInLegend = SeriesVisible("h");
                        RadChartKompetence.PlotArea.Series[1].Visible = SeriesVisible("s");
                        RadChartKompetence.PlotArea.Series[1].VisibleInLegend = SeriesVisible("s");
                    }
                    if (_params["komp_poz_v"] == "0")
                    {
                        RadChartKompetence.PlotArea.Series[0].Visible = false;
                        RadChartKompetence.PlotArea.Series[0].VisibleInLegend = false;
                    }
                    Panel P_Legenda = (Panel)e.Item.FindControl("P_Legenda");
                    if (delkakomp.Value > 25)
                    {
                        RadChartKompetence.PlotArea.XAxis.DataLabelsField = "short";
                    }
                    else
                    {
                        RadChartKompetence.PlotArea.XAxis.DataLabelsField = "kompetence";
                        P_Legenda.CssClass = "hidden";
                    }
                    RadChartKompetence.DataSource = grafdata;
                    RadChartKompetence.DataBind();

                    Repeater R_typy = (Repeater)e.Item.FindControl("R_TypyKomp");
                    R_typy.DataSource = dataLegTyp;
                    R_typy.DataBind();

                    Repeater R_Komp = (Repeater)e.Item.FindControl("R_Komp");
                    R_Komp.DataSource = dataLegKomp;
                    R_Komp.DataBind();

                }
                else
                {
                    DIV_char_f.Visible = false;
                }
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public class GrafItem
        {
            public GrafItem(string shortcut, string text, Color color)
            {
                this.shortcut = shortcut;
                this.text = text;
                this.color = color;
            }
            /// <summary>
            /// 
            /// </summary>
            public string shortcut { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string text { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public Color color { get; set; }
        }

        private bool SeriesVisible(string key) // "h" "s"
        {
            if (key != "h" && key != "s")
                return false;
            bool h = true;
            bool s = true;
            if (_params["cislo_formulare"] == "2")
            {
                if (sta_edt == "2")
                {

                }
                else
                {
                    h = false;
                }
            }
            else
            {
                if (sta_edt == "2")
                {
                    s = false;
                }
                else
                {
                    h = false;
                }
            }
            return (key == "h") ? h : s;
        }
        protected void ChartKompetence_DataBound(object sender, EventArgs e)
        {
            Chart chart = (Chart)sender;

            // MaxY grafu
            // ----------
            double maxYvalue = 0;
            double minYvalue = 0;
            List<double> values = new List<double>() { 0 };
            foreach (Series series in chart.Series)
                foreach (DataPoint point in series.Points)
                {
                    if (series.Name == "SeriesBodyPoz" || series.Name == "SeriesBodyObd" || series.Name == "SeriesBodySeb")
                    {
                        if (point.YValues[0] > maxYvalue)
                            maxYvalue = point.YValues[0];
                        if (point.YValues[0] < minYvalue)
                            minYvalue = point.YValues[0];
                        if (!values.Contains(point.YValues[0]))
                            values.Add(point.YValues[0]);
                    }
                }

            // Podbarvení grafu podle 'Typ kompetence'
            // ---------------------------------------
            double yValue = maxYvalue + 1;
            chart.ChartAreas["ChartArea1"].AxisY.Maximum = yValue;

            // Podbarvení grafu + Nastavení legendy
            int index = -1;
            double lastYValue = 0;
            string text = "";
            Color barva;
            foreach (DataPoint point in chart.Series["SeriesIDTypKompetenci"].Points)
            {
                if (index == -1 || lastYValue != point.YValues[0])
                {
                    index++;
                    lastYValue = point.YValues[0];
                    if (index > 3) index = 4;
                    // Doplnění do legendy
                    barva = F_Drawing.ZeSeznamuBarev(index + 3, 0.5f + (0.5f * (200f / 255f)), 1f);
                    text = SqlPrikaz.ExecuteScalarString("SELECT nazev_typu FROM kompetence_typy WHERE typ_kompetenci = " + Convert.ToInt32(lastYValue), "");
                    chart.Legends["LegendTypKompetenci"].CustomItems.Add(barva, text);
                }
                point.YValues[0] = yValue; // Nastavení velikosti podkladu
                point.Color = Color.FromArgb(alpha, F_Drawing.ZeSeznamuBarev(index + 3, 0.5f, 1f)); // Podbarvení grafu
            }

            // Označení kompetence červenou barvou v případě 'váha = 0'
            // --------------------------------------------------------
            index = 0;
            foreach (DataPoint point in chart.Series["SeriesVaha"].Points)
            {
                CustomLabel label = new CustomLabel();
                label.Text = point.AxisLabel;
                chart.ChartAreas[0].AxisX.CustomLabels.Add(label);
                if (point.YValues[0] == 0) label.ForeColor = Color.Red;
                index++;
            }

            //Nastavení kroku na stupnici Y
            //------------------------------
            //values.Sort();
            //List<long> steps = new List<long>() { };

            //bool first = true;
            //double pre_val = 0;
            //foreach (double val in values)
            //{
            //    if (first)
            //    {
            //        first = false;
            //    }
            //    else
            //    {
            //        long step = Convert.ToInt64(((val - pre_val) * 10).MRound(1, 0, MidpointRounding.AwayFromZero));
            //        if (!steps.Contains(step))
            //            steps.Add(step);
            //    }
            //    pre_val = val;
            //}
            //if (steps.Count > 0)
            //{
            //    long D = steps[0];
            //    steps.ForEach(x => D = D.GCF(x));

            //    //if ((D % (double)10) != 0)
            //    //{
            //    //    D = D.LCM(10);
            //    //}

            //    long multiple = D;
            //    while (10 < (maxYvalue - (minYvalue < 0 ? (minYvalue) : (0))) / (D / (double)10))
            //    {
            //        D = D + multiple;
            //    }

            //    chart.ChartAreas[0].AxisY.Interval = D / (double)10;

            //}

            chart.ChartAreas[0].AxisY.IntervalAutoMode = IntervalAutoMode.VariableCount;

            // Zapnutí legendy
            // ---------------
            if (maxYvalue > 0)
            {
                chart.Legends["LegendUroven"].Enabled = true;
                chart.Legends["LegendTypKompetenci"].Enabled = true;
            }
        }
        protected void TGV_kompetence_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            //if (par_popis == "1")
            //    table.Columns[0].Visible = true;
            //else
            //    table.Columns[0].Visible = false;
            //if (par_max_pocet == "1")
            //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = true;
            //else
            //    table.Columns[table.GetColumnDataFieldIndex("max_uroven")].Visible = false;
            if (_params["komp_popis_v"] == "0" || _params["komp_tiskpopis_p"] != "0")
            {
                if (table.Columns[1].Visible != false)
                    table.Columns[1].Visible = false;
            }
            else
            {
                if (table.Columns[1].Visible != true)
                    table.Columns[1].Visible = true;
            }
            if (_params["komp_vaha_v"] == "1")
            {
                if (table.Columns[2].Visible != true)
                {
                    table.Columns[2].Visible = true;
                }
            }
            else
            {
                if (table.Columns[2].Visible != false)
                {
                    table.Columns[2].Visible = false;
                }
            }
            if (_params["komp_poz_v"] == "1")
            {
                if (table.Columns[3].Visible != true)
                {
                    table.Columns[3].Visible = true;
                }
            }
            else
            {
                if (table.Columns[3].Visible != false)
                {
                    table.Columns[3].Visible = false;
                }
            }

            if (_params["komp_sumys_v"] == "0")
            {
                table.ShowFooter = false;
            }
            else
            {
                table.ShowFooter = true;
            }

            if (table.Columns[4].Visible != SeriesVisible("s"))
            {
                table.Columns[4].Visible = SeriesVisible("s");
            }
            if (table.Columns[6].Visible != SeriesVisible("h"))
            {
                table.Columns[6].Visible = SeriesVisible("h");
            }


            if (_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0")
            {
                table.Columns[5].Visible = false;//SeriesVisible("s"); prozatím false
                table.Columns[7].Visible = false;//SeriesVisible("h"); prozatím false 
            }
            else
            {
                table.Columns[5].Visible = false;
                table.Columns[7].Visible = false;
            }

        }
        protected void TGV_kompetence_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                prumer_komp = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                prumer_join = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_join");
                prumer_poz = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_poz");
                soucet_vah_komp = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
                soucet_vah_komp_obd = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah_obd");
                soucet_vah_komp_join = (Int64)DataBinder.Eval(e.Row.DataItem, "soucet_vah_join");
                Label L_hodn = (Label)e.Row.FindControl("LabelDbHodnoceni");
                Label L_poz = (Label)e.Row.FindControl("LabelDbPozadavek");
                Label L_hodn_j = (Label)e.Row.FindControl("LabelDbHodnoceni_s");

                object poz = DataBinder.Eval(e.Row.DataItem, "body_poz");
                if (poz != DBNull.Value)
                    L_poz.Text = Hodnoceni.GetPopisStupneKompetenci((short)poz);

                object obd = DataBinder.Eval(e.Row.DataItem, "body_obd");
                if (obd != DBNull.Value)
                    L_hodn.Text = Hodnoceni.GetPopisStupneKompetenci((short)obd);

                Label L_poznamka = (Label)e.Row.FindControl("L_komp_poznamka");
                Label L_poznamka1 = (Label)e.Row.FindControl("L_komp_poznamka1");
                object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
                if (o_ponamka != DBNull.Value)
                {
                    L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
                    L_poznamka1.Text = F_String.FormatHtml((string)o_ponamka);
                }

                object obd_j = DataBinder.Eval(e.Row.DataItem, "body_join");
                if (obd_j != DBNull.Value)
                    L_hodn_j.Text = Hodnoceni.GetPopisStupneKompetenci((short)obd_j);

                Label L_poznamka_j = (Label)e.Row.FindControl("L_komp_poznamka_s");
                Label L_poznamka1_j = (Label)e.Row.FindControl("L_komp_poznamka1_s");
                object o_ponamka_j = DataBinder.Eval(e.Row.DataItem, "poznamka_join");
                if (o_ponamka_j != DBNull.Value)
                {
                    L_poznamka_j.Text = F_String.FormatHtml((string)o_ponamka_j);
                    L_poznamka1_j.Text = F_String.FormatHtml((string)o_ponamka_j);
                }

                Table TableH = (Table)e.Row.FindControl("Table1");
                if (L_poznamka.Text.Trim().Length == 0 || !(_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0"))
                {
                    TableH.Rows[1].Visible = false;
                    e.Row.Cells[6].VerticalAlign = VerticalAlign.Middle;
                }
                else
                {
                    e.Row.Cells[6].VerticalAlign = VerticalAlign.Top;
                }
                Table TableH_j = (Table)e.Row.FindControl("Table1_s");
                if (L_poznamka_j.Text.Trim().Length == 0 || !(_params["komp_poznamka_v"] != "0" && _params["komp_tiskpoznamka_p"] == "0"))
                {
                    TableH_j.Rows[1].Visible = false;
                    e.Row.Cells[4].VerticalAlign = VerticalAlign.Middle;
                }
                else
                {
                    e.Row.Cells[4].VerticalAlign = VerticalAlign.Top;
                }

            }
            if (e.Row.RowType == DataControlRowType.Footer)
            {//zápis průměrů kompetencí
                decimal prumer_komp_round = Math.Round(prumer_komp, 2);
                decimal prumer_join_round = Math.Round(prumer_join, 2);
                decimal prumer_poz_round = Math.Round(prumer_poz, 2);
                table.Columns[0].FooterText = "[%Průměr%]:";
                table.Columns[4].FooterText = prumer_join_round.ToString() + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_join_round, "[%bod%]", "[%body%]", "[%bodů%]");
                table.Columns[6].FooterText = prumer_komp_round.ToString() + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_komp_round, "[%bod%]", "[%body%]", "[%bodů%]");
                table.Columns[3].FooterText = prumer_poz_round.ToString() + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_poz_round, "[%bod%]", "[%body%]", "[%bodů%]");
                table.Columns[2].FooterText = soucet_vah_komp.ToString();
                //suma_komp_all += prumer_komp * table.Rows.Count;
                rows_komp_all += table.Rows.Count;

                //Do celkového průměru budou průměry zatím vztupovat s vahou 1
                //komp_prum_obd.Add((Double)soucet_vah_komp_obd, (Double)prumer_komp);
                //komp_prum_join.Add((Double)soucet_vah_komp_join, (Double)prumer_join);
                komp_prum_obd.Add(1, (Double)prumer_komp);
                komp_prum_join.Add(1, (Double)prumer_join);
                if (rows_komp_all != 0)
                {
                    Label L_komp_sum = (Label)WebControlHelper.FindControl(REP_typy_kompetenci, "L_komp_sum");
                    Label L_seb_sum = (Label)WebControlHelper.FindControl(REP_typy_kompetenci, "L_seb_sum");
                    if (L_komp_sum != null && _params["komp_sumy_v"] == "1")
                    {
                        Decimal prum = Math.Round(komp_prum_obd.Value == null ? 0 : (decimal)komp_prum_obd.Value, 2);
                        L_komp_sum.Text = "[%Celkový průměr hodnocení kompetencí:%] " + prum + " " +
                        KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prum, "[%bod%]", "[%body%]", "[%bodů%]");
                    }
                    if (L_seb_sum != null && _params["komp_sumy_v"] == "1")
                    {
                        Decimal prum = Math.Round(komp_prum_join.Value == null ? 0 : (decimal)komp_prum_join.Value, 2);
                        L_seb_sum.Text = "[%Celkový průměr sebehodnocení kompetencí:%] " + prum + " " +
                        KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prum, "[%bod%]", "[%body%]", "[%bodů%]");
                    }
                }
            }
        }

        #endregion

        #region Cíle

        protected void TGV_cile_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            //if (_params["cile_poznamka_v"] == "0")
            //    table.Columns[7].Visible = false;
            //else
            //    table.Columns[7].Visible = true;
            if (_params["cile_cil_dddw", Id_ha] == "0")
            {
                table.Columns[1].Visible = false;
                table.Columns[0].Visible = true;
            }
            else
            {
                table.Columns[1].Visible = true;
                table.Columns[0].Visible = false;
            }
            if (_params["cile_kroky_v"] == "0")
                table.Columns[15].Visible = false;
            else
                table.Columns[15].Visible = true;
            if (_params["cile_ocek_vystup_v"] == "0")
                table.Columns[16].Visible = false;
            else
                table.Columns[16].Visible = true;
            if (_params["cile_mnozstvi_v", Id_ha] == "0")
            {
                table.Columns[5].Visible = false;
                table.Columns[11].Visible = false;
            }
            else
            {
                table.Columns[5].Visible = true;
                table.Columns[11].Visible = true;
            }
            if (_params["cile_krivky_v"] == "0")
            {
                table.Columns[12].Visible = false;
                table.Columns[13].Visible = false;
            }
            else
            {
                table.Columns[12].Visible = true;
                table.Columns[13].Visible = true;
            }
            if (_params["cile_vaha_v", Id_ha] == "0")
                table.Columns[3].Visible = false;
            else
                table.Columns[3].Visible = true;
            if (_params["cile_popis_v"] == "0")
                table.Columns[2].Visible = false;
            else
                table.Columns[2].Visible = true;

            if (table.Columns[7].Visible != SeriesVisible("s"))
            {
                table.Columns[7].Visible = SeriesVisible("s");
            }
            if (table.Columns[10].Visible != SeriesVisible("h"))
            {
                table.Columns[10].Visible = SeriesVisible("h");
            }


            if (_params["cile_poznamka_v"] != "0")
            {
                if (table.Columns[9].Visible != SeriesVisible("s"))
                {
                    table.Columns[9].Visible = SeriesVisible("s");
                }
                if (table.Columns[14].Visible != SeriesVisible("h"))
                {
                    table.Columns[14].Visible = SeriesVisible("h");
                }
            }
            else
            {
                if (table.Columns[9].Visible != false)
                {
                    table.Columns[9].Visible = false;
                }
                if (table.Columns[14].Visible != false)
                {
                    table.Columns[14].Visible = false;
                }
            }
        }
        protected void TGV_cile_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            GridViewRow r = e.Row;
            TGridView table = (TGridView)sender;
            if (r.RowType == DataControlRowType.DataRow)
            {
                bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
                if (!empty)
                {
                    Label L_hodn = (Label)r.FindControl("L_hodnoceni_cile");
                    Label L_hodn_t = (Label)r.FindControl("L_hodnoceni_cile_text");
                    if (_params["cile_hod_dddw", Id_ha] == "1")
                    {
                        object h = DataBinder.Eval(e.Row.DataItem, "hodnoceni");
                        int? hodnoceni = h == DBNull.Value ? null : ((int?)h);
                        L_hodn_t.Text = Hodnoceni.GetPopisStupneCilu(hodnoceni);
                        L_hodn.Visible = false;
                    }
                    else L_hodn_t.Visible = false;

                    Label L_hodn_join = (Label)r.FindControl("L_hodnoceni_cile_join");
                    Label L_hodn_t_join = (Label)r.FindControl("L_hodnoceni_cile_text_join");
                    if (_params["cile_hod_dddw", Id_ha] == "1")
                    {
                        object h = DataBinder.Eval(e.Row.DataItem, "hodnoceni_join");
                        int? hodnoceni = h == DBNull.Value ? null : ((int?)h);
                        L_hodn_t_join.Text = Hodnoceni.GetPopisStupneCilu(hodnoceni);
                        L_hodn_join.Visible = false;
                    }
                    else L_hodn_t_join.Visible = false;

                    prumer_cile = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                    prumer_cile_join = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer_join");
                    soucet_vah_cilu = (long)DataBinder.Eval(e.Row.DataItem, "soucet_vah");
                }
                else e.Row.Visible = false;
            }
            if (r.RowType == DataControlRowType.Footer)
            {
                r.Cells[0].Text = "[%Součet vah%], [%Vážený průměr%]:";
                r.Cells[1].Text = "[%Součet vah%], [%Vážený průměr%]:";
                r.Cells[3].Text = soucet_vah_cilu.ToString();
                r.Cells[4].Text = _params["cile_cil_suma_vah"].ToString();
                decimal prumer_cile_round = Math.Round(prumer_cile, 2);
                r.Cells[9].Text = prumer_cile_round.ToString() + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_cile_round, "[%bod%]", "[%body%]", "[%bodů%]");

                decimal prumer_cile_join_round = Math.Round(prumer_cile_join, 2);
                r.Cells[7].Text = prumer_cile_round.ToString() + " " +
                    KSProgram.Funkce.F_String.SkloneniPodleCisla((Double)prumer_cile_join_round, "[%bod%]", "[%body%]", "[%bodů%]");
            }
        }

        #endregion

        #region Následné Cíle

        protected void TGV_naslcile_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (_params["cile_poznamka_v"] == "0")
                table.Columns[6].Visible = false;
            else
                table.Columns[6].Visible = true;
            if (_params["cile_cil_dddw", Id_ha] == "0")
            {
                table.Columns[1].Visible = false;
                table.Columns[0].Visible = true;
            }
            else
            {
                table.Columns[1].Visible = true;
                table.Columns[0].Visible = false;
            }
            if (_params["cile_kroky_v"] == "0")
                table.Columns[7].Visible = false;
            else
                table.Columns[7].Visible = true;
            if (_params["cile_ocek_vystup_v"] == "0")
                table.Columns[8].Visible = false;
            else
                table.Columns[8].Visible = true;
            if (_params["cile_mnozstvi_v", Id_ha] == "0")
                table.Columns[4].Visible = false;
            else
                table.Columns[4].Visible = true;
            if (_params["cile_vaha_v", Id_ha] == "0")
                table.Columns[3].Visible = false;
            else
                table.Columns[3].Visible = true;
            if (_params["cile_popis_v"] == "0")
                table.Columns[2].Visible = false;
            else
                table.Columns[2].Visible = true;
        }
        protected void TGV_naslcile_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            GridViewRow r = e.Row;
            if (r.RowType == DataControlRowType.DataRow)
            {
                bool empty = (bool)DataBinder.Eval(e.Row.DataItem, "empty");
                if (!empty)
                {
                    //prumer_naslcille = (Decimal)DataBinder.Eval(e.Row.DataItem, "prumer");
                    soucet_vah_naslcilu = (long)DataBinder.Eval(r.DataItem, "soucet_vah");
                }
                else r.Visible = false;

            }
            if (r.RowType == DataControlRowType.Footer)
            {

                r.Cells[0].Text = "[%Součet vah%]";
                r.Cells[1].Text = "[%Součet vah%]";
                r.Cells[3].Text = soucet_vah_naslcilu.ToString();

            }
        }

        #endregion

        #region Slovní

        protected void REP_slovni_DataBinding(object sender, EventArgs e)
        {

        }
        protected void REP_slovni_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
            {
                Label TB_poznamka = (Label)e.Item.FindControl("TB_poznamka");
                string text = ((System.Data.DataRowView)e.Item.DataItem).Row["poznamka"].ToString();
                if (!string.IsNullOrEmpty(text))
                {
                    text = text.Replace("\r\n", "<br>");
                    text = text.Replace("\n", "<br>");
                    TB_poznamka.Text = text;
                }
            }
        }

        #endregion

        #region Motivace

        protected void TGV_Motivace_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (_params["mot_termin_v"] == "0")
                table.Columns[3].Visible = false;
            else
                table.Columns[3].Visible = true;
        }
        protected void TGV_Motivace_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            GridViewRow r = e.Row;
            TGridView table = (TGridView)sender;
            if (r.RowType == DataControlRowType.DataRow)
            {
                Int16 stanovisko = (Int16)DataBinder.Eval(r.DataItem, "stanovisko");
                Label L_stanovisko = (Label)r.FindControl("L_stanovisko");
                if (stanovisko == 0)
                    L_stanovisko.Text = "Ne";
                else L_stanovisko.Text = "Ano";

                Label L_poznamka = (Label)e.Row.FindControl("L_mot_poznamka");
                object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
                if (o_ponamka != DBNull.Value)
                    L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
            }
        }

        #endregion

        #region Hodnocení vzdělávání

        protected void TGV_Skoleni_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (_params["rozv_poznamka_v"] == "0")
                table.Columns[5].Visible = false;
            else
                table.Columns[5].Visible = true;
        }
        protected void TGV_Skoleni_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                string skoleni = ((System.Data.DataRowView)e.Row.DataItem).Row["cis_osve"].ToString();
                decimal os_cislo = (decimal)FV_hlavicka.DataKey[0];
                DateTime datum_od = (DateTime)FV_hlavicka.DataKey[1];
                DateTime datum_do = (DateTime)FV_hlavicka.DataKey[2];
                Label L_term = (Label)e.Row.FindControl("LabelDbSplneno");
                object T = ((System.Data.DataRowView)e.Row.DataItem).Row["absolvovano"];
                if (T == null || T == DBNull.Value)
                    L_term.Text = "Ne";
                else L_term.Text = ((DateTime)T).ToShortDateString();
                string stano = ((System.Data.DataRowView)e.Row.DataItem).Row["splneno"].ToString();
                Label L_Stano = (Label)e.Row.FindControl("LabelDbSplnilo");
                if (stano == "a")
                    L_Stano.Text = "Ano";
                else L_Stano.Text = "Ne";

                Label L_poznamka = (Label)e.Row.FindControl("L_sko_poznamka");
                object o_ponamka = DataBinder.Eval(e.Row.DataItem, "doporuceni");
                if (o_ponamka != DBNull.Value)
                    L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
            }
        }

        #endregion

        #region Doporučené vzdělávání

        protected void TGV_DopVzde_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (_params["rozv_poznamka_v"] == "0")
            {
                table.Columns[2].Visible = false;
                table.Columns[3].Visible = false;
            }
            else
            {
                table.Columns[2].Visible = true;
                table.Columns[3].Visible = true;
            }

            if (_params["rozv_termin_v"] == "0")
            {
                table.Columns[1].Visible = false;
            }
            else
            {
                table.Columns[1].Visible = true;
            }
        }
        protected void TGV_DopVzde_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                Label L_zpusob = (Label)e.Row.FindControl("L_rozv_zpusob");
                string zpusob = ((System.Data.DataRowView)e.Row.DataItem).Row["zpusob"].ToString();
                string zpusob_text = SqlPrikaz.ExecuteScalarString("SELECT vyznam FROM univ_cisel WHERE id = 31 AND cislo = '" + zpusob + "'", true);
                L_zpusob.Text = zpusob_text;

                Label L_poznamka = (Label)e.Row.FindControl("L_vzde_poznamka");
                object o_ponamka = DataBinder.Eval(e.Row.DataItem, "poznamka");
                if (o_ponamka != DBNull.Value)
                    L_poznamka.Text = F_String.FormatHtml((string)o_ponamka);
            }
        }
        #endregion

        #region Celkové hodnocení

        protected void TGV_celkove_DataBinding(object sender, EventArgs e)
        {
            TGridView table = (TGridView)sender;
            if (sta_edt == "2")
            {
                if (table.Columns[2].Visible != SeriesVisible("s"))
                {
                    table.Columns[2].Visible = SeriesVisible("s");
                }
                if (table.Columns[3].Visible != SeriesVisible("s"))
                {
                    table.Columns[3].Visible = SeriesVisible("s");
                }

                if (table.Columns[4].Visible != SeriesVisible("h"))
                {
                    table.Columns[4].Visible = SeriesVisible("h");
                }
                if (table.Columns[5].Visible != SeriesVisible("h"))
                {
                    table.Columns[5].Visible = SeriesVisible("h");
                }
            }
            else
            {
                if (table.Columns[2].Visible != SeriesVisible("h"))
                {
                    table.Columns[2].Visible = SeriesVisible("h");
                }
                if (table.Columns[3].Visible != SeriesVisible("h"))
                {
                    table.Columns[3].Visible = SeriesVisible("h");
                }

                if (table.Columns[4].Visible != SeriesVisible("s"))
                {
                    table.Columns[4].Visible = SeriesVisible("s");
                }
                if (table.Columns[5].Visible != SeriesVisible("s"))
                {
                    table.Columns[5].Visible = SeriesVisible("s");
                }
                table.Columns[4].HeaderText = WebControlHelper.ZmenaTextu("[%Sebehodnocení%]");
            }
        }

        protected void TGV_celkove_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            TGridView table = (TGridView)sender;
            GridViewRow row = e.Row;
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                object o_priznak = DataBinder.Eval(e.Row.DataItem, "priznak");
                if (o_priznak != null && o_priznak != DBNull.Value)
                    if ((int)o_priznak == 2)
                        e.Row.Font.Bold = true;
            }
        }

        #endregion

        protected void ODS_chart_ObjectCreated(object sender, ObjectDataSourceEventArgs e)
        {
       
        }
    }
}