﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Manazer_DokumentyVystavene"
    CodeBehind="DokumentyVystavene.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="RW_Dokument" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_SelectAll">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="RW_Dokument" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ExportToTRB_pripona">
                <UpdatedControls>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <telerik:RadPersistenceManagerProxy runat="server" ID="RPMP_man_dok_vyst">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="TRadGrid1" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>

    <%--<asp:Label ID="Label2" runat="server" Text="[%Dokumenty vystavené%]" CssClass="nadpis1"></asp:Label>--%>


    <kspwc:TRadGrid ID="TRadGrid1" runat="server" AutoFilterControlWidth="false" AutoFilterWidth="true" ShowGroupPanel="True" MasterTableView-Caption="[%Dokumenty vystavené%]"
        AllowSorting="True" AutoGenerateColumns="False" OnItemCommand="TRadGrid1_ItemCommand" OnItemDataBound="TRadGrid1_ItemDataBound" OnItemCreated="TRadGrid1_ItemCreated"
        AllowPaging="true" OnNeedDataSource="TRadGrid1_NeedDataSource">
        <GroupingSettings CaseSensitive="False" ShowUnGroupButton="true"></GroupingSettings>
        <ClientSettings AllowDragToGroup="True">
            
        </ClientSettings>
        <MasterTableView CommandItemDisplay="Top" DataKeyNames="id,vazba_blob,externi_cesta" EnableHeaderContextMenu="true">
            <CommandItemTemplate>
                <%--klasický control v radgridu--%>
                <kspwc:GridCommandItemControl runat="server" ID="GCIC1" DateControl="TRadObdobiInterval">
                    <%-- Výběr datumového období --%>
                </kspwc:GridCommandItemControl>
                <%--tlačítko pro výběr všeho--%>
                <kspwc:TRadButton AutoPostBack="true" runat="server" OnClick="TRB_SelectAll_Click" ID="TRB_SelectAll" Text="[%Předat zobrazené k podpisu%]" Style="margin-top: 2px;" 
                    ConfirmTitle="[%Předání k podpisu%]" ConfirmText="[%Touto akcí zahájíte založení požadavků všech dokumentů načtených v agendě po aplkaci filtrování, bez ohledu na stránky. Opravdu chcete pokračovat?%]"/>
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup Name="d" HeaderText="[%Dokument%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="s" HeaderText="[%Šablona%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="p" HeaderText="[%Podpis%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="v" HeaderText="[%Vývěska%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="z" HeaderText="[%Zaměstnanec%]"></telerik:GridColumnGroup>
                <telerik:GridColumnGroup Name="d2" HeaderText="[%Formát%]"></telerik:GridColumnGroup>
            </ColumnGroups>
            <Columns>
                <telerik:GridNumericColumn UniqueName="id" DataField="id" DataType="System.Int32" HeaderText="Id" ColumnGroupName="d"></telerik:GridNumericColumn>
                <telerik:GridNumericColumn UniqueName="id_predlohy" DataField="id_predlohy" DataType="System.Int32" HeaderText="[%Id Předlohy%]" ColumnGroupName="d" Display="false"></telerik:GridNumericColumn>
                <telerik:GridBoundColumn FilterControlAltText="Filter poznamka column" UniqueName="poznamka"
                    DataField="poznamka" HeaderText="[%Název%]" SortExpression="poznamka" ColumnGroupName="d" Display="false">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn FilterControlAltText="Filter dat_vystaveni column" UniqueName="dat_vystaveni"
                    PickerType="DatePicker" HeaderText="[%Datum vystavení%]" DataField="dat_vystaveni"
                    DataFormatString="{0:d.M.yyyy}" EditDataFormatString="d.M.yyyy" ColumnGroupName="d">
                </telerik:GridDateTimeColumn>
                <telerik:GridAttachmentColumn ButtonCssClass="no-block-ui" DataTextField="externi_cesta"
                    FilterControlAltText="Filter document column" HeaderText="[%Dokument%]" UniqueName="document"
                    SortExpression="externi_cesta" ColumnGroupName="d">
                </telerik:GridAttachmentColumn>
                <telerik:GridButtonColumn UniqueName="nahled" ImageUrl="../css/images/go_search.png" ButtonType="ImageButton" Text="[%Náhled%]" CommandName="preview" ColumnGroupName="d"></telerik:GridButtonColumn>
                <telerik:GridNumericColumn UniqueName="id_sab" DataField="id_sab" DataType="System.Int32" HeaderText="Id" ColumnGroupName="s"></telerik:GridNumericColumn>
                <telerik:GridBoundColumn UniqueName="s_nazev" DataField="s_nazev" HeaderText="[%Název šablony%]" SortExpression="s_nazev" ColumnGroupName="s">
                </telerik:GridBoundColumn>
                <telerik:GridButtonColumn UniqueName="sign" ButtonType="LinkButton" Text="[%Předat k podpisu%]" CommandName="sign" ColumnGroupName="p">
                </telerik:GridButtonColumn>
                <telerik:GridNumericColumn UniqueName="id_poz" DataField="id_poz" DataType="System.Int32" HeaderText="[%Id požadavku%]" ColumnGroupName="p" Display="false"></telerik:GridNumericColumn>
                <telerik:GridBoundColumn UniqueName="stav_podpisu" DataField="stav_podpisu" DataType="System.String" HeaderText="[%Stav podpisu%]" ColumnGroupName="p"></telerik:GridBoundColumn>
                <telerik:GridButtonColumn UniqueName="bulletin" ButtonType="LinkButton" Text="[%Vyvěsit%]" CommandName="bulletin" ColumnGroupName="v">
                </telerik:GridButtonColumn>
                <telerik:GridButtonColumn UniqueName="bulletin_d" ButtonType="LinkButton" Text="[%Smazat%]" CommandName="bulletin_d" ColumnGroupName="v" Visible="false">
                </telerik:GridButtonColumn>
                <telerik:GridDateTimeColumn UniqueName="vyveseno" HeaderText="[%Vyvěšeno%]" DataField="vyveseno" DataFormatString="{0:d.M.yyyy}" ColumnGroupName="v">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn UniqueName="zobrazeno" HeaderText="[%Zobrazeno%]" DataField="zobrazeno" DataFormatString="{0:d.M.yyyy}" ColumnGroupName="v">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn UniqueName="precteno" HeaderText="[%Potvrzeno%]" DataField="precteno" DataFormatString="{0:d.M.yyyy}" ColumnGroupName="v">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn UniqueName="os_cislo" DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Os.číslo%]" ColumnGroupName="z"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="jmeno" DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" ColumnGroupName="z"></telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="[%Stažení ve formátu%]" AllowFiltering="false" ColumnGroupName="d2" Display="false">
                    <ItemTemplate>
                        <asp:Repeater OnDataBinding="R_pripony_DataBinding" runat="server" ID="R_pripony">
                            <ItemTemplate>
                                <kspwc:TRadButton runat="server" ID="ExportToTRB_pripona" Text='<%# Eval("pripona") %>' CommandName='<%# Eval("pripona") %>' CommandArgument='<%# Eval("id") %>' OnClick="TRB_pripona_Click">
                                </kspwc:TRadButton>
                            </ItemTemplate>
                        </asp:Repeater>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>

        </MasterTableView>

    </kspwc:TRadGrid>

    <telerik:RadWindow ID="RW_Dokument" runat="server" Behaviors="Close" Modal="true"
        Title="[%Dokument%]" VisibleOnPageLoad="true" AutoSize="true">
        <ContentTemplate>
            <telerik:RadPdfViewer runat="server" ID="RPV_PDFViewer" Scale="1">
                <%--<ClientEvents OnRender="onLoad" />--%>
                <ToolBarSettings Items="pager, spacer, zoom, toggleSelection, spacer, search, download, print" />
            </telerik:RadPdfViewer>
        </ContentTemplate>
    </telerik:RadWindow>

    <telerik:RadScriptBlock runat="server">
        <script type="text/javascript" src="../Scripts/pdf.js"></script>
        <script type="text/javascript">
            window.pdfjsLib.GlobalWorkerOptions.workerSrc = '../Scripts/pdf.worker.js';

            function onLoad(sender, args) {
                resizeViewer(sender);
            }
            function resizeViewer(pdfViewer) {
                pdfViewer.set_height($(pdfViewer.get_element().parentElement).height());
            }

        </script>
    </telerik:RadScriptBlock>
</asp:Content>
