﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="EPodani.aspx.cs" Inherits="KSPortal.Zamestnanec.EPodani" %>


<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="kspwc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .row {
            width: 100%;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
        }

        .row .ksprvek{
            margin: 15px;
        }

        .epodaniUpload {
            padding: 20px;
            padding-top: 25px;
            width: 400px;
        }

        h3 {
            width: fit-content;
            margin: auto;
            margin-top: 15px;
            margin-bottom: 15px;
        }

        tr, td {
            border: 0;
        }

        .rbVerticalButton.rbHovered .rbDecorated {
            cursor: pointer !important;
        }

        .hiddenButton {
            visibility: hidden;
            position: absolute;
        }

        .marginRight {
            margin-right: 20px;
        }

        @media (max-width: 1070px) {
            .row {
                flex-direction: column;
            }

            .epodaniUpload {
                margin-bottom: 20px;
            }
        }
    </style>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="Window_xml" />
                    <telerik:AjaxUpdatedControl ControlID="Xml_text" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Neaktivni">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Neaktivni" />
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_poslat">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Error1" />
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="RadWindow1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Table_eneschopenka">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Table_eneschopenka" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadButton2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Error1" />
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="RadWindow1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadButton3">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadWindow1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadButton1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Window_xml" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Label3">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Label3" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TB_VS">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TB_VS" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="SubEl">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="SubEl" />
                    <telerik:AjaxUpdatedControl ControlID="TRB_neschopenka" />
                    <telerik:AjaxUpdatedControl ControlID="TRB_poslat" />
                    <telerik:AjaxUpdatedControl ControlID="ImportXML" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Testovaci">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Zaslani_cap" />
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="Testovaci" />
                    <telerik:AjaxUpdatedControl ControlID="Table_zaslani" />
                    <telerik:AjaxUpdatedControl ControlID="Table_cert" />
                    <telerik:AjaxUpdatedControl ControlID="Label3" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRB_Zmenit_Click">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRB_Zmenit_Click" />
                    <telerik:AjaxUpdatedControl ControlID="TRB_Nahrat" />
                    <telerik:AjaxUpdatedControl ControlID="TB_cislo" />
                    <telerik:AjaxUpdatedControl ControlID="Label1" />
                    <telerik:AjaxUpdatedControl ControlID="TB_VS" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ImportXML">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Label_etype" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="TRadButton5">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadCodeBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript" id="telerikClientEvents1">
            function doPostBack() {

                var xml = $find("<%=ImportXML.ClientID%>");
                var button = $find("<%=HiddenButtonXML.ClientID%>");
                button.click(true);


            }
        </script>
    </telerik:RadCodeBlock>
    <br />

    <telerik:RadWindow ID="Window_xml" AutoSize="false" Behaviors="Resize,Close,Move" runat="server" VisibleOnPageLoad="true"
        Visible="false" Width="800px" Height="500px" Title="[%Náhled%]" Modal="true">
        <ContentTemplate>
            <asp:Panel ID="Panel_xml" runat="server">
                <asp:Literal ID="Xml_text" runat="server" />
            </asp:Panel>
        </ContentTemplate>
    </telerik:RadWindow>

    <telerik:RadWindow ID="RadWindow1" AutoSize="false" Behaviors="Close" runat="server" VisibleOnPageLoad="true"
        Visible="false" Width="300px" Height="150px" Title="[%Odeslat podání%]" Modal="true">
        <ContentTemplate>
            <asp:Panel ID="Panel1" runat="server">
                <asp:Label runat="server" Text="[%Opravdu si přejete zaslat vybraný soubor na CSSZ%]?"></asp:Label>
                <br />
                <div style="margin: auto; width: fit-content;">
                    <kspwc:TRadButton runat="server" Text="[%Ano%]" ID="TRadButton2" OnClick="Submit_Click" Height="30px" CssClass="myButton"></kspwc:TRadButton>
                    <kspwc:TRadButton runat="server" Text="[%Ne%]" ID="TRadButton3" OnClick="TRadButton3_Click" Height="30px" CssClass="myButton"></kspwc:TRadButton>
                </div>
            </asp:Panel>
        </ContentTemplate>
    </telerik:RadWindow>

    <asp:Label ID="Label4" runat="server" Text="[%ePodání%]" CssClass="nadpis1"></asp:Label>

    <%-- Certifikát je nutno aktualizovat v konstruktoru Cssz.cs třídy --%>
    <asp:Label ID="Label3" Text="" runat="server" ForeColor="Red" CssClass="ErrorStyl" Visible="false" BackColor="White"></asp:Label>
    <div class="row">
        <div class="ksprvek">
            <div id="Div1" runat="server" class="rgCaption">[%Konfigurace%]</div>
            <table id="Table_cert" runat="server" class="epodaniUpload">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="Label2" Text="[%Zadejte SN certifikátu z úložišti certifikátu ve vašem počítači%]." runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>[%Sériové číslo%] (SN):</td>
                    <td>
                        <asp:TextBox runat="server" ID="TB_cislo" Width="97%"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>[%Variabilní symol%] (VS):</td>
                    <td>
                        <asp:TextBox runat="server" ID="TB_VS" Width="97%"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td colspan="6" align="right">
                        <div style="display: flex; flex-direction: row; width: 100%; justify-content: space-between; align-items: center;">
                            <asp:Label ID="Label1" Text="[%Certifikát je nahrán%]" ForeColor="green" runat="server" Visible="false"></asp:Label>
                            <kspwc:TRadButton runat="server" Text="[%Nahrát%]" ID="TRB_Nahrat" OnClick="TRB_Nahrat_Click" Visible="true"></kspwc:TRadButton>
                            <kspwc:TRadButton runat="server" Text="[%Změnit%]" ID="TRB_Zmenit" OnClick="TRB_Zmenit_Click" Visible="false"></kspwc:TRadButton>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <div class="ksprvek">
            <div id="Zaslani_cap" runat="server" class="rgCaption"></div>
            <table id="Table_zaslani" runat="server" class="epodaniUpload">
                <tr>
                    <td><%--[%Typ podání%]:--%></td>
                    <td>
                        <telerik:RadDropDownList ID="SubEl" runat="server" Skin="Metro" Width="100%" OnSelectedIndexChanged="SubEl_SelectedIndexChanged" AutoPostBack="true" Visible="false">
                            <Items>
                                <telerik:DropDownListItem Text="---" Value="" Enabled="false" />
                                <%--<telerik:DropDownListItem Text="CSSZ_RELDP - RELDP" Value="RELDP" />--%>
                                <telerik:DropDownListItem Text="CSSZ_RELDP - ELDP09" Value="ELDP09" />
                                <%--<telerik:DropDownListItem Text="CSSZ_PRIHL - PRIHL" Value="PRIHL" />--%>
                                <telerik:DropDownListItem Text="CSSZ_ONZ - ONZ" Value="ONZ" />
                                <%--<telerik:DropDownListItem Text="CSSZ_OSVC_PRE - OSVC" Value="OSVC" />--%>
                                <%--<telerik:DropDownListItem Text="CSSZ_OSVC_PRE - OSVC08" Value="OSVC08" />--%>
                                <%--<telerik:DropDownListItem Text="CSSZ_OSVC_PRE - OSVC09" Value="OSVC09" />--%>
                                <telerik:DropDownListItem Text="CSSZ_POSTP - POSTP09" Value="POSTP09" />
                                <%--<telerik:DropDownListItem Text="CSSZ_PVPOJ - PVPOJ09" Value="PVPOJ09" />--%>
                                <telerik:DropDownListItem Text="CSSZ_PVPOJ - PVPOJ10" Value="PVPOJ10" />
                                <telerik:DropDownListItem Text="CSSZ_NEM_PRI - NEMPRI10" Value="NEMPRI10" />
                                <%--<telerik:DropDownListItem Text="CSSZ_EXI - EXIDVK10" Value="EXIDVK10" />--%>
                                <telerik:DropDownListItem Text="CSSZ_HPN - HPN10" Value="HPN10" />
                                <%--<telerik:DropDownListItem Text="CSSZ_HPN - HPNDS3" Value="HPNDS3" --%>
                                <%--<telerik:DropDownListItem Text="CSSZ_HPN - HPNDS4" Value="HPNDS4" />--%>

                                <%-- DZDPN nechat jako posledni! --%>
                                <telerik:DropDownListItem Text="eNeschopenky" Value="DZDPN" Visible="false" />
                            </Items>
                        </telerik:RadDropDownList>
                    </td>
                </tr>
                <tr>

                    <td>XML [%soubor%]:</td>
                    <td>
                        <telerik:RadAsyncUpload runat="server" ID="ImportXML" AllowedFileExtensions=".xml" MaxFileInputsCount="1" TemporaryFolder="~/Temp" CssClass="ImportXML"></telerik:RadAsyncUpload>
                    </td>
                </tr>
                <tr>
                    <td colspan="6" align="right">
                        <div style="display: flex; flex-direction: row; width: 100%; justify-content: flex-end; align-items: center;">
                            <asp:Label ID="Label_etype" Text="" runat="server" Visible="false"></asp:Label>
                            <asp:Label ID="Error1" Text="" runat="server" ForeColor="Red" CssClass="ErrorStyl" Visible="false"></asp:Label>
                            <kspwc:TRadButton runat="server" Text="[%Odeslat formulář%]" ID="TRB_poslat" OnClick="Submit_Click"></kspwc:TRadButton>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <div id="Eneshopenka" runat="server" class="ksprvek">
            <div id="Div2" runat="server" class="rgCaption">[%eNeschopenka%]</div>
            <table id="Table_eneschopenka" runat="server" class="epodaniUpload" width="100%">
                <tr>
                    <td rowspan="3" colspan="2" valign="top" style="opacity: 0.75">
                        [%Dotazem na eNeschopenky automaticky získáte v odpovědi data o neschopenkách zaměstnanců. Data jsou poté uložena vámi zvoleným způsobem.%]
                        </td>
                    <td align="right">
                        <asp:Label ID="Label5" Text="[%Od%]" runat="server" Visible="true"></asp:Label>
                        <kspwc:TRadDatePicker ID="TRDP_Od" runat="server" MinDate="2017-01-01"></kspwc:TRadDatePicker>
                    </td>
                </tr>
                <tr>
                    <td align="right" >
                        <asp:Label ID="Label6" Text="[%Do%]" runat="server" Visible="true"></asp:Label>
                        <kspwc:TRadDatePicker ID="TRDP_Do" runat="server" MinDate="2017-01-01"></kspwc:TRadDatePicker>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="min-width: 135px;">
                        <div style="display: flex; flex-direction: row; width: 100%; justify-content: flex-end; align-items: center; margin-top: 10px;">
                            <kspwc:TRadButton runat="server" Text="[%Dotázat se%]" ID="TRadButton5" OnClick="TRB_neschopenka_Click" Visible="true"></kspwc:TRadButton>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <%--<kspwc:TRadButton runat="server" Text="Close transaction" ID="Close" OnClick="Close_Click"></kspwc:TRadButton>--%>
    <telerik:RadButton runat="server" ID="HiddenButtonXML" CssClass="hiddenButton" OnClick="ZobrazEType" />
    <br />
    <div class="row">
        <asp:Label CssClass="pozadiText" runat="server" Text="[%Zpracování ze strany CSSZ může trvat až několik hodin. U podání menšího rozsahu lze stav zjistit již po několika minutách.%]"></asp:Label>
        <div class="row" style="align-content: flex-end; width: fit-content">

            <asp:CheckBox runat="server" ID="Testovaci" Text="[%Testovací režim%]" OnCheckedChanged="Testovaci_CheckedChanged" AutoPostBack="true" Visible="true" CssClass="pozadiText" />
            <asp:CheckBox runat="server" ID="Neaktivni" Text="[%Zobrazit neaktivní podání%]" OnCheckedChanged="Neaktivni_CheckedChanged" AutoPostBack="true" CssClass="pozadiText" />
        </div>
    </div>
    <kspwc:TRadGrid ID="TRadGrid1" runat="server" AllowPaging="True" ShowGroupPanel="true" OnItemCommand="TRadGrid1_ItemCommand"
        AllowSorting="true" AutoGenerateColumns="false" OnNeedDataSource="TRadGrid1_NeedDataSource" OnItemDataBound="TRadGrid1_ItemDataBound"
        AutoFilterControlWidth="false" MasterTableView-ShowFooter="False" AllowMultiRowSelection="false" CssClass="epodaniTabulka ksprvek rgMultiHeader">
        <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups" ShowUnGroupButton="false"></GroupingSettings>
        <MasterTableView CommandItemDisplay="Top" Caption="" PageSize="10" PagerStyle-Visible="true" EnableGroupsExpandAll="false"
            DataKeyNames="id_podani, etype, soubor">

            <CommandItemTemplate>
                <kspwc:TRadButton runat="server" Text="[%Zjistit stav aktivních podání%]" ID="TRadButton1" OnClick="Poll_Click" CssClass="stavButton kstlacitko" Icon-PrimaryIconCssClass="fi fi-cloud-download-alt"></kspwc:TRadButton>
                <kspwc:GridCommandItemControl runat="server" ID="GCIC1" DateControl="TRadObdobiInterval">
                    <%-- Výběr datumového období --%>
                </kspwc:GridCommandItemControl>

            </CommandItemTemplate>
            <Columns>
                <%--<telerik:GridBoundColumn DataField="id_podani" HeaderText="[%Id podání%]" SortExpression="id_podani" />--%>
                <telerik:GridDateTimeColumn DataField="datum" HeaderText="[%Datum podání%]" SortExpression="datum"
                    DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridBoundColumn DataField="typ" HeaderText="[%Typ%]" SortExpression="typ" />
                <telerik:GridBoundColumn DataField="etype" HeaderText="[%eType%]" SortExpression="etype" />

                <%--                <telerik:GridDateTimeColumn DataField="datum_stav" HeaderText="[%Datum zprávy%]" SortExpression="datum_stav"
                    DataFormatString="{0:d.M.yyyy}" />--%>
                <telerik:GridBoundColumn DataField="text" HeaderText="[%Stav%]" SortExpression="text" />
                <telerik:GridButtonColumn HeaderText="[%Odeslaný soubor%]" UniqueName="nahled" ButtonType="LinkButton" Text="XML" CommandName="view_xml" ButtonCssClass="xmlButton" ></telerik:GridButtonColumn>
                <telerik:GridButtonColumn HeaderText="[%Odpověď%]" UniqueName="nahled_zprava" ImageUrl="../css/images/go_search.png" ButtonType="ImageButton" Text="XML" CommandName="view_resp"></telerik:GridButtonColumn>
                <telerik:GridButtonColumn HeaderText="[%Stáhnout%]" UniqueName="stahnout_zprava" ImageUrl="../css/images/download.png" ButtonType="ImageButton" Text="stahnout" CommandName="download"></telerik:GridButtonColumn>
                <telerik:GridBoundColumn DataField="aktivni" HeaderText="[%Aktivní%]" SortExpression="aktivni" />
                <telerik:GridButtonColumn UniqueName="uzavrit" ButtonType="LinkButton" Text="[%Uzavřít%]" CommandName="uzavrit" />
                <telerik:GridBoundColumn DataField="soubor" HeaderText="" SortExpression="soubor" Display="false"/>
            </Columns>
        </MasterTableView>
        <GroupingSettings ShowUnGroupButton="true" />
        <ClientSettings AllowDragToGroup="True">
            <Selecting AllowRowSelect="false" />
            <%--Dovolí vybrat položku z tabulky --%>
        </ClientSettings>
    </kspwc:TRadGrid>


</asp:Content>
