﻿using System;
using System.Collections.Generic;
//using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Text;
using System.Data;
using Telerik.Web.UI;
using KSProgram.Zpravy;


namespace KSPortal.Obecne.NotifikaceList
{
    public partial class NotifikaceList : TPage
    {
        public NotifikaceList()
        {
            IdPrava = -1;
        }

        private Notif _selected_notif;

        private Int16 Typ
        {
            get
            {
                object lses = ViewState["notiflist_typ"];
                return lses == null ? (Int16)0 : (Int16)lses;
            }
            set
            {
                ViewState["notiflist_typ"] = value;
            }
        }
        private Int32 Id
        {
            get
            {
                object lses = ViewState["notiflist_id"];
                return lses == null ? 0 : (Int32)lses;
            }
            set
            {
                ViewState["notiflist_id"] = value;
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            
            VisibleSeznamZam = false;
            EnableVisibleSeznamZam = false;

            if (Id == 0)
            {
                _selected_notif = Notifikace.getNewNotif(Typ);
            }

        }

        protected void RG_sezn_not_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
        {
            ((RadGrid)sender).DataSource = Notifikace.NotifTable(null, null, null, null, null, null, null, null, null, false, false);
        }

        //protected void RG_sezn_not_SelectedIndexChanged(object sender, EventArgs e)
        //{
        //    RadGrid table = (RadGrid)sender;
        //    if (table.SelectedItems.Count > 0)
        //    {
        //        GridDataItem dataitem = (GridDataItem)table.SelectedItems[0];
        //        if (dataitem != null)
        //        {
        //            Id = Convert.ToInt32(dataitem.GetDataKeyValue("id").ToString());
        //            _napln_zpravu();
        //            TFormView1.DataBind();
        //        }
        //    }
        //}
        private void _napln_zpravu()
        {
            if (Id != 0)
            {
                _selected_notif = Notifikace.GetNotif(Id);
            }
        }

        //protected void TFormView1_DataBinding(object sender, EventArgs e)
        //{
        //    DataTable table = new DataTable("nots");
        //    Notifikace.AddSloupce(ref table);
        //    _selected_notif.AddToDataRow(ref table);
        //    TFormView1.DataSource = table;
        //}
        protected void RG_sezn_not_ItemCreated(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridDataItem)
            {
                HyperLink editLink = (HyperLink)e.Item.FindControl("EditLink");
                editLink.Attributes["href"] = "javascript:void(0);";
                editLink.Attributes["onclick"] = String.Format("return ShowEditForm('{0}','{1}');", e.Item.OwnerTableView.DataKeyValues[e.Item.ItemIndex]["id"], e.Item.ItemIndex);
            }
        }

        //protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
        //{
        //    if (e.Argument == "Rebind")
        //    {
        //        RG_sezn_not.MasterTableView.SortExpressions.Clear();
        //        RG_sezn_not.MasterTableView.GroupByExpressions.Clear();
        //        RG_sezn_not.Rebind();
        //    }
        //    else if (e.Argument == "RebindAndNavigate")
        //    {
        //        RG_sezn_not.MasterTableView.SortExpressions.Clear();
        //        RG_sezn_not.MasterTableView.GroupByExpressions.Clear();
        //        RG_sezn_not.MasterTableView.CurrentPageIndex = RG_sezn_not.MasterTableView.PageCount - 1;
        //        RG_sezn_not.Rebind();
        //    }
        //}
    }
}