﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using Telerik.Web.UI;
using KSProgram.WebControls;

public partial class Obecne_Odkazy : TPage
{
    public Obecne_Odkazy()
    {
        // IdPrava = -1;
        //PH 5.11.2020 HID:53382
        IdPrava = 362;
    }

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);

        if (!IsPostBack)
        {
            
        }
        vyberIkony.Visible = false;
    }

    //KM 18.4.2016
    protected void RadGridOdkazy_EditCommand(object sender, GridCommandEventArgs e)
    {
        if ((e.Item is GridEditFormInsertItem) && (e.Item.OwnerTableView.IsItemInserted))
        {
            GridEditFormInsertItem edititem = (GridEditFormInsertItem)e.Item;
            object strName = ((System.Web.UI.Control)(edititem["nazev"])).Controls;
            System.Web.UI.ControlCollection co = (System.Web.UI.ControlCollection)strName;
            string text = ((System.Web.UI.WebControls.TextBox)co[0]).Text;

            if (!(new KSProgram.Odkazy().Dostupny(text)))
            {
                e.Canceled = true;
                MessageBox.Alert(Page, String.Format(WebControlHelper.ZmenaTextu("Odkaz s názvem \"{0}\" již existuje"), text));
            }
        }
        else if (e.Item is GridEditFormItem)
        {
            GridEditFormItem edititem = (GridEditFormItem)e.Item;
            object strName = ((System.Web.UI.Control)(edititem["nazev"])).Controls;
            System.Web.UI.ControlCollection co = (System.Web.UI.ControlCollection)strName;
            string newNazev = ((System.Web.UI.WebControls.TextBox)co[0]).Text;

            string oldNazev = (string)((Telerik.Web.UI.GridEditableItem)(edititem)).SavedOldValues["nazev"];
            //string newVal = ((Telerik.Web.UI.GridEditableItem)(edititem)).KeyValues[0];

            if (oldNazev != newNazev)
            {
                if (!(new KSProgram.Odkazy().Dostupny(newNazev)))
                {
                    e.Canceled = true;
                    MessageBox.Alert(Page, String.Format(WebControlHelper.ZmenaTextu("Odkaz s názvem \"{0}\" již existuje"), newNazev));
                }
            }
        }
        vyberIkony.Visible = false;
    }

    protected void RadGridOdkazy_CreateColumnEditor(object sender, GridCreateColumnEditorEventArgs e)
    {
        //MD 19.8.2016 Nastaví se maximální povolená délka zadávaného URL podle parametru UrlPocZnaku
        if (e.Column.UniqueName == "url")
        {
            string parLength = KSProgram.Parametry.ParametrCti("UrlPocZnaku");
            int intLength;
            if (Int32.TryParse(parLength, out intLength))
            {
                (e.Column as GridBoundColumn).MaxLength = intLength;
            }
            vyberIkony.Visible = true;
        }
    }

}