﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Obecne_Parametry"
    CodeBehind="Parametry.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGridParametry">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGridParametry" 
                        UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <kspwc:TRadGrid ID="RadGridParametry" runat="server" AllowAutomaticUpdates="True"  OnUpdateCommand="RadGridParametry_EditCommand" OnItemCreated="RadGridParametry_ItemCreated" OnItemDataBound="RadGridParametry_ItemDataBound"
        AllowSorting="True" AutoGenerateColumns="False" OnNeedDataSource="RadGridParametry_NeedDataSource" CssClass="rgMultiHeader"
        GroupPanelPosition="Top"  
        ShowGroupPanel="True">
        <GroupingSettings ShowUnGroupButton="True" />
        <ExportSettings>
            <Pdf PageWidth="">
            </Pdf>
        </ExportSettings>
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <MasterTableView  DataKeyNames="nazev,hodnota,type,definice" EditMode="InPlace" 
            GroupLoadMode="Client" Caption="[%Parametry%]">
            <Columns>
                <telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn">
                </telerik:GridEditCommandColumn>
                <telerik:GridBoundColumn DataField="skupina" FilterControlAltText="Filter skupina column"
                    HeaderText="[%Skupina%]" ReadOnly="True" UniqueName="skupina">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="nazev" FilterControlAltText="Filter nazev column"
                    HeaderText="[%Název%]" ReadOnly="True" UniqueName="nazev" 
                    Groupable="False">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn DataField="hodnota" FilterControlAltText="Filter hodnota column"
                    HeaderText="[%Hodnota%]" UniqueName="hodnota" Groupable="False" >
                    <ItemTemplate>
                        <asp:Label ID="L_hodnota" runat="server" Text='<%# Eval("hodnota") %>'></asp:Label> 
                    </ItemTemplate>
                    <EditItemTemplate>
                    </EditItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridBoundColumn DataField="popis" FilterControlAltText="Filter popis column"
                    HeaderText="[%Popis%]" ReadOnly="True" UniqueName="popis" 
                    Groupable="False">
                </telerik:GridBoundColumn>
            </Columns>
            <GroupByExpressions>
                <telerik:GridGroupByExpression>
                    <SelectFields>
                        <telerik:GridGroupByField FieldAlias="skupina" FieldName="skupina" 
                            HeaderText="[%Skupina%]" />
                    </SelectFields>
                    <GroupByFields>
                        <telerik:GridGroupByField FieldAlias="skupina" FieldName="skupina" 
                            FormatString="" HeaderText="[%Skupina%]" />
                    </GroupByFields>
                </telerik:GridGroupByExpression>
            </GroupByExpressions>
            <EditFormSettings>
            <EditColumn ButtonType="ImageButton" />
        </EditFormSettings>     
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
