﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Specialized;
using KSProgram.Security;
using KSProgram.Data;
using System.Text;
using KSProgram.WebControls;
using KSProgram.Obecne;

namespace KSPortal.Obecne
{
    public partial class Prilohy : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            KSProgram.QueryStringCrypto qsc = new KSProgram.QueryStringCrypto();
            NameValueCollection querystr = qsc.DecryptRequestQuery();
            string ls_BlobId = InputChecker.CeleCislo(querystr["blobid"], "blobid");
            //string ls_SouborName = InputChecker.Text(querystr["soubor_name"], "soubor_name");
            //PH 18.3.2020 HID:50690 pokud už soubor uložili tak jim dovolím aby jej stáhli
            string ls_SouborName = querystr["soubor_name"];

            if (ls_BlobId != null && ls_SouborName.Length > 0)
                GetSoubor(Convert.ToInt32(ls_BlobId), ls_SouborName);
           
        }

        protected void GetSoubor(int blob_id, string docName)
        {
            if (blob_id>0)
            {
                //byte[] data = SqlPrikaz.LoadBlobFromInfoBlob(KSProgram.Obecne.Prilohy.Prilohy_id_info_blob, blob_id);
                byte[] data = SqlPrikaz.LoadByteFromInfoBlob(blob_id);//PR 21.01.2020 
                if (data == null)
                {
                    docName = "nenalezeno.txt";
                    data = Encoding.UTF8.GetBytes(WebControlHelper.ZmenaTextu("[%Obsah souboru nenalezen v databázi%]"));
                }
                KSProgram.Attachment.Send(Page, docName, data);
            }
            else if (!string.IsNullOrEmpty(docName))
            {
                //hledám v paměti
                StrPrilohy pp = KSProgram.Obecne.Prilohy.LoadFromMem(docName);
                if (pp!=new StrPrilohy())
                   KSProgram.Attachment.Send(Page, docName, pp.Data);
            }
        }
    }
}