﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.Data;
using KSProgram.WebControls;
using KSProgram.Funkce;

namespace KSPortal.Obecne
{
    /// <summary>
    /// Stránka s Informacemi o systému
    /// </summary>
    public partial class SystemInfo : TPage
    {
        /// <summary>
        /// Ctor
        /// </summary>
        public SystemInfo()
        {
            IdPrava = 176;
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            TGridView v = (TGridView)WebControlHelper.FindControl(this, "TGridView1");
            v.DataBind();

            System.Web.HttpBrowserCapabilities browser = Request.Browser;

            string s = "Type = " + browser.Type + "\n"
                + "Name = " + browser.Browser + "\n"
                + "Version = " + browser.Version + "\n"
                + "Major Version = " + browser.MajorVersion + "\n"
                + "Minor Version = " + browser.MinorVersion + "\n"
                + "Platform = " + browser.Platform + "\n"
                + "Is Beta = " + browser.Beta + "\n"
                + "Is Win16 = " + browser.Win16 + "\n"
                + "Is Win32 = " + browser.Win32 + "\n"
                + "Supports Frames = " + browser.Frames + "\n"
                + "Supports Tables = " + browser.Tables + "\n"
                + "Supports Cookies = " + browser.Cookies + "\n"
                + "Supports EcmaScript Version = " +
                    browser.EcmaScriptVersion.ToString() + "\n"
                + "Supports JavaScript Version = " +
                    browser["JavaScriptVersion"] + "\n";

            Label2.Text = s.Replace("\n", "<br />");
            Label4.Text = Request.UserAgent;
            //MiKo 25.7.2017 Test prohlížeče
            BrowserInfo info = new BrowserInfo();
            if (!info.IsSupported())
            {
                Label5.Text = info.GetErrorMessage();
            }
        }

        protected void TLinkButton1_Command(object sender, CommandEventArgs e)
        {
            CacheInfo.Clear();
            TGridView v = (TGridView)WebControlHelper.FindControl(this, "TGridView1");
            v.DataBind();
        }

        protected void RadTabStrip1_TabClick(object sender, Telerik.Web.UI.RadTabStripEventArgs e)
        {
        }
    }
}