﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using KSProgram;
using Telerik.Web.UI;
using Panel = System.Windows.Forms.Panel;
using KSProgram.Data;

public partial class Obecne_UzivNastaveni : TPage
{
    public Obecne_UzivNastaveni()
    {
        IdPrava = 32;
    }
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        /*
        if (!IsPostBack)
        {
            rbtJenPrimePodrizene.Checked = Globals.JenPrimiPodrizeni;
            rbtVyjmoutMimoevS.Checked = Globals.VyjmoutMimoevStav;
            rbGenerujSlovnik.Checked = Globals.PrekladGenerovaniSlovniku;
        }
        */
        //if (SpravaUziv.ObsluhaDocasneHeslo(Globals.User))
        if (Globals.DocasneHeslo) //PR 01.02.2019 
        {
            //panel1.Visible = false;
            panel2.Visible = true;
            //  Label4.Visible = false;
            //Label5.Visible = false;
            TitledPanel2.Visible = false;
            Label6.Visible = true;
            Label7.Visible = false;
        }
        else
        {
            //  panel1.Visible = true;
            panel2.Visible = false;
            //  Label4.Visible = true;
            //  rbGenerujSlovnik.Visible = (Globals.SuperUser && Globals.PrekladDat);
            TitledPanel2.Visible = true;
            Label6.Visible = false;
            Label7.Visible = false;
        }
        //rbGenerujSlovnik.Visible = (Zakaznik.IsCurrent("BLANKYT")); //PH 14.2.2017 zatím jen pro blankyt, PH 29.3.2017 zapoznámkováno

        //PR 26.08.2020 HID=52586 pokud se neověřují ks účtem, tak změna hesla by se neměla zobrazovat
        //if (SpravaUziv.LoginType != SpravaUziv.LoginTypes.Form || !(SpravaUziv.TypOvereni != string.Empty || SpravaUziv.TypOvereni != "ks"))
        //PR 21.04.2021 já už ani neumím napsat podmínku, to je krize
        //bool ks_overeni = SpravaUziv.LoginType == SpravaUziv.LoginTypes.Form && (SpravaUziv.TypOvereni == string.Empty || SpravaUziv.TypOvereni == "ks");
        //PR 24.10.2022 HID=61819 povolit změnu hesla externímu uživateli
        bool ks_overeni = (SpravaUziv.LoginType == SpravaUziv.LoginTypes.Form && SpravaUziv.TypOvereni == SpravaUziv.TypOvereniEnum.KSPU) || Globals.IsExternalUser;
        
        if (ks_overeni == false)
            TitledPanel.Visible = false;
    }

    protected void LinkButton1_Command(object sender, EventArgs e)
    {
        Label error = ((Label)TitledPanel.FindControl("error"));

        string stare = ((TextBox)TitledPanel.FindControl("tx_stare")).Text;
        string nove = ((TextBox)TitledPanel.FindControl("tx_nove")).Text;
        string noveOverene = ((TextBox)TitledPanel.FindControl("tx_nove_overene")).Text;
        if (string.IsNullOrEmpty(stare) || string.IsNullOrEmpty(nove) || string.IsNullOrEmpty(noveOverene))
        {
            error.Text = "[%Nevyplněný údaj%]";
            return;
        }
        if (nove == noveOverene)
        {
            if (nove?.Trim() == stare?.Trim())
            {
                error.Text = "[%Heslo nemůže být shodné s předchozím%]";
                return;
            }
        }
        bool HesloByloDocasne = Globals.DocasneHeslo;
        string res = SpravaUziv.ZmenaHesla(this.Page, Globals.DBName, Globals.User, stare, nove, noveOverene);       
        //PR 01.02.2019 
        if (HesloByloDocasne && Globals.DocasneHeslo == false)
        {
            // nedaří se mi přenačíst menu, role se přenačtou
            //SpravaUziv.InicializaceUzivatele(Globals.User);
            //CacheInfo.Clear(); //Menu je v kešce
            //FormsAuthentication.RedirectFromLoginPage(Globals.User, false);
        }

        error.Text = res;
        Image Image_status = ((Image)TitledPanel.FindControl("Image_status"));
        if (error.Text == "")
        {
            Image_status.Visible = true;
            Label6.Visible = false;
            Label7.Visible = true;
            KSProgram.WebControls.MessageBox.NotifikaceInfoUlozeni(); //PH 4.12.2019
        }
        else
        {
            Image_status.Visible = false;
        }
    }
    /*
    protected void rbtJenPrimePodrizene_CheckedChanged(object sender, EventArgs e)
    {
        RadButton rb = (RadButton)sender;
        Globals.JenPrimiPodrizeni = rb.Checked;
    }

    protected void rbtVyjmoutMimoevS_CheckedChanged(object sender, EventArgs e)
    {
        RadButton rb = (RadButton)sender;
        Globals.VyjmoutMimoevStav = rb.Checked;
    }

    protected void rbGenerujSlovnik_CheckedChanged(object sender, EventArgs e)
    {
        RadButton rb = (RadButton)sender;
        Globals.PrekladGenerovaniSlovniku = rb.Checked;
    }
    */

    protected void LinkButton2_Command(object sender, EventArgs e)
    {
        Label error2 = ((Label)TitledPanel2.FindControl("error2"));

        string stare = ((TextBox)TitledPanel2.FindControl("tx_stare2")).Text;
        string nove = ((TextBox)TitledPanel2.FindControl("tx_nove2")).Text;
        string noveOverene = ((TextBox)TitledPanel2.FindControl("tx_nove_overene2")).Text;
        //bobf 22.11.2017 hid 39096 if (string.IsNullOrEmpty(stare) || string.IsNullOrEmpty(nove) || string.IsNullOrEmpty(noveOverene))
        if (string.IsNullOrEmpty(nove) || string.IsNullOrEmpty(noveOverene))
        {
            error2.Text = "[%Nevyplněný údaj%]";
            return;
        }
        string res = SpravaUziv.ZmenaHeslaVL(stare, nove, noveOverene);

        error2.Text = res;
        Image Image_status = ((Image)TitledPanel2.FindControl("Image_status2"));
        if (error2.Text == "")
        {
            Image_status.Visible = true;
            KSProgram.WebControls.MessageBox.NotifikaceInfoUlozeni(); //PH 4.12.2019
        }
        else
        {
            Image_status.Visible = false;
        }
    }
}
