﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Pis_SeznamUch" CodeBehind="SeznamUch.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGridSezUch">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGridSezUch" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Seznam uchazečů%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid ID="TRadGridSezUch" runat="server" MasterTableView-Caption="[%Seznam uchazečů%]"
        ShowGroupPanel="True" AllowPaging="True"
        AllowSorting="true" AutoGenerateColumns="false"
        OnNeedDataSource="TRadGridSezUch_NeedDataSource" AutoFilterControlWidth="False">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridImageColumn DataImageUrlFields="image" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="36px">
                </telerik:GridImageColumn>
                <telerik:GridTemplateColumn DataField="ev_cislo" HeaderText="[%Ev. číslo%]" SortExpression="ev_cislo" FilterControlWidth="20px" Groupable="False">
                    <ItemTemplate>
                        <asp:LinkButton ID="BookButton" runat="server" Text='<%# Bind("ev_cislo") %>' OnCommand="BookButton_Command" CssClass="bookNowLink" />
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" HeaderText="[%Příjmení%]" />
                <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" />
                <telerik:GridBoundColumn DataField="titul" SortExpression="titul" HeaderText="[%Titul%]" FilterControlWidth="30px" />
                <telerik:GridBoundColumn DataField="ulice_trv" SortExpression="ulice_trv" HeaderText="[%Ulice%]" />
                <telerik:GridBoundColumn DataField="misto_trv" SortExpression="misto_trv" HeaderText="[%Místo%]" />
                <telerik:GridDateTimeColumn DataField="evid_od" FilterControlAltText="Filter evid_od column"
                    HeaderText="[%V evidenci od%]" UniqueName="evid_od" DataType="System.DateTime" DataFormatString="{0:d.M.yyyy}"
                    FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
                <telerik:GridDateTimeColumn DataField="evid_do" DataType="System.DateTime" FilterControlAltText="Filter evid_do column"
                    HeaderText="[%V evidenci do%]" UniqueName="evid_do" DataFormatString="{0:d.M.yyyy}"
                    FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
                <telerik:GridBoundColumn DataField="telefon" HeaderText="[%Telefon%]"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="email" HeaderText="[%E-mail%]"></telerik:GridBoundColumn>
                <telerik:GridTemplateColumn DataField="odmitnuty" HeaderText="[%Odmítnutý%]" SortExpression="odmitnuty">
                    <ItemTemplate>
                        <telerik:RadButton ID="Odmitnout_cbx" runat="server" Checked='<%# Bind("odmitnuty") %>' OnCommand="Odmitnout_cbx_Command" CommandArgument='<%# Eval("ev_cislo") %>' ToggleType="CheckBox" ButtonType="ToggleButton" />
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
