﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using KSProgram;
using KSProgram.Obecne;
using KSProgram.Funkce;
using System.Security;

public partial class Public_RegistraceExt : TPrePage
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        string registrace = AppConfiguration.GetAppSetting<string>("Registrace", null);
        if (registrace != "user" || SpravaUziv.LoginType != SpravaUziv.LoginTypes.External)
            throw new System.Security.SecurityException("Přístup byl zamítnut");

        base.Page_Load(sender, e);
        L_Login.Text = Session[KSPortal.ToyotaAuthentication.SessionKey.UserName].ToString();
        L_DBName.Text = Server.UrlDecode(Request.QueryString["DBName"]);
    }
    protected void TLB_Registrace_Click(object sender, EventArgs e)
    {
        //string errHodn;
        string dbName = Server.UrlDecode(Request.QueryString["DBName"]);
        string login = Session[KSPortal.ToyotaAuthentication.SessionKey.UserName].ToString();
        decimal osCislo = Convert.ToDecimal(TB_OsCislo.Text);
        string rodneCislo = TB_RodneCislo.Text;
        //string error;

        //bool reg = SpravaUziv.Registrace(dbName, login, "", osCislo, rodneCislo, out error, out errHodn);
        //if (reg)
        //{
        //    L_RegReturn.Text = "[%Registrace proběhla v pořádku%]";
        //    TLB_Registrace.Visible = false;
        //}
        //else
        //{
        //    L_RegReturn.Text = ReadGlobalResource.ZmenaTextu(error, errHodn);
        //}
        //PR 04.09.2019 náhrada obsolete metody za doporučovanou
        try
        {
            SpravaUziv.RegistraceRodCis(dbName, login, "", rodneCislo, osCislo);
            L_RegReturn.Text = "[%Registrace proběhla v pořádku%]";
            TLB_Registrace.Visible = false;
        }
        catch (SecurityException ex)
        {
            L_RegReturn.Text = ex.Message;
        }

    }
}
