﻿using KSProgram.Obecne;
using System;
using System.Drawing;
using System.Drawing.Imaging;

namespace KSPortal.Public
{
    public partial class TCaptchaImg : TPrePage
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            Response.Clear();
            string codePage = Request.QueryString["codePage"];
            if ( !String.IsNullOrWhiteSpace(codePage) )
            { 
                Image image = TCaptcha.GetImageFromCodePage(codePage);
                Response.ContentType = "image/png";
                image.Save(Response.OutputStream, ImageFormat.Jpeg);
            }

        }
    }
}