﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="BenefitniVolno.aspx.cs" Inherits="KSPortal.Sestavy.BenefitniVolno" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRG_Data">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_Data" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <asp:Label ID="Label1" runat="server" Text="[%Benefitní volno%]" CssClass="nadpis1" OnInit="Label1_Init" ></asp:Label>
    <div style="margin-bottom:8px; width: fit-content" class="ksprvek">
        <kspwc:StrSkupDiv runat="server" ID="stred"></kspwc:StrSkupDiv>
    </div>
    <kspwc:TRadGrid ID="TRG_Data" runat="server" AutoGenerateColumns="False" GroupPanelPosition="Top"
        OnNeedDataSource="TRG_Data_NeedDataSource" MasterTableView-Caption="[%Benefitní volno%]"
        AllowPaging="True" AllowSorting="True" Visible="true">
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" FilterControlAltText="Filter os_cislo column"
                    HeaderText="[%Os. číslo%]" SortExpression="os_cislo" UniqueName="os_cislo">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prijmeni" FilterControlAltText="Filter prijmeni column"
                    HeaderText="[%Příjmení%]" SortExpression="prijmeni" UniqueName="prijmeni">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column"
                    HeaderText="[%Jméno%]" SortExpression="jmeno" UniqueName="jmeno">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="titul" FilterControlAltText="Filter titul column"
                    HeaderText="[%Titul%]" SortExpression="titul" UniqueName="titul">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="cislo_pom" FilterControlAltText="Filter cislo_pom column"
                    HeaderText="[%Č.P.%]" SortExpression="cislo_pom" UniqueName="cislo_pom" DataType="System.Int32">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="prac_str" FilterControlAltText="Filter prac_str column"
                    HeaderText="[%Prac. střed.%]" SortExpression="prac_str" UniqueName="prac_str">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kod" FilterControlAltText="Filter kod column"
                    HeaderText="[%Kód%]" SortExpression="kod" UniqueName="kod">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="nazev" FilterControlAltText="Filter nazev column"
                    HeaderText="[%Název%]" SortExpression="nazev" UniqueName="nazev">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jednotka" FilterControlAltText="Filter jednotka column"
                    HeaderText="[%Jednotka%]" SortExpression="jednotka" UniqueName="jednotka">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="zust_minul" FilterControlAltText="Filter zust_minul column"
                    HeaderText="[%Z min. roku%]" SortExpression="zust_minul" UniqueName="zust_minul" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="narok_letos" FilterControlAltText="Filter narok_letos column"
                    HeaderText="[%Nárok letos%]" SortExpression="narok_letos" UniqueName="narok_letos" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="narok_celkem" FilterControlAltText="Filter narok_celkem column"
                    HeaderText="[%Nárok celkem%]" SortExpression="narok_celkem" UniqueName="narok_celkem" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="cerpano" FilterControlAltText="Filter cerpano column"
                    HeaderText="[%Čerpáno%]" SortExpression="cerpano" UniqueName="cerpano" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="zustatek" FilterControlAltText="Filter zustatek column"
                    HeaderText="[%Zůstatek celkem%]" SortExpression="zustatek" UniqueName="zustatek" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="schvaleno" FilterControlAltText="Filter schvaleno column"
                    HeaderText="[%Schváleno%]" SortExpression="schvaleno" UniqueName="schvaleno" DataFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
