﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_IndivPlanVzdelSest" Codebehind="IndivPlanVzdelSest.aspx.cs" %>

<%@ Register assembly="WebControls" namespace="KSProgram.WebControls" tagprefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" Runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Individuální plány vzdělávání%]" CssClass="nadpis1"></asp:Label>--%>
    <div>
        <kspwc:TRadButton ID="TCB_JenAktualni" Text="[%Jen aktuálně platné individiální plány%]" runat="server" ButtonType="ToggleButton" Checked="true" AutoPostBack="true" ToggleType="CheckBox" OnCheckedChanged="TCB_JenAktualni_CheckedChanged" ></kspwc:TRadButton>
    </div>
    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" ShowGroupPanel="True" AllowPaging="True" MasterTableView-Caption="[%Individuální plány vzdělávání%]"
                 AllowSorting="true" AutoGenerateColumns="false" OnItemCommand="TRadGrid_sestava_ItemCommand"
                AutoFilterControlWidth="false" OnNeedDataSource="TRadGrid_sestava_NeedDataSource">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <kspwc:GridButtonColumnWithFilteringSorting DataTextField="os_cislo" DataType="System.Int32"
                    FilterControlAltText="Filter os_cislo column" HeaderText="[%Osobní číslo%]" UniqueName="os_cislo"
                    CommandName="selectZam" DataField="os_cislo" SortExpression="os_cislo" FilterControlWidth="70px">
                    <HeaderStyle Width="20px" />
                </kspwc:GridButtonColumnWithFilteringSorting>
                <telerik:GridBoundColumn DataField="zamestnanec" HeaderText="[%Zaměstnanec%]" SortExpression="zamestnanec" />
                <telerik:GridBoundColumn DataField="cis_planu" HeaderText="[%Číslo plánu%]" SortExpression="cis_planu" />
                <telerik:GridDateTimeColumn DataField="obdobi_od" HeaderText="[%Období od%]" SortExpression="obdobi_od" DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridDateTimeColumn DataField="obdobi_do" HeaderText="[%Období do%]" SortExpression="obdobi_do" DataFormatString="{0:d.M.yyyy}" />
                <telerik:GridBoundColumn DataField="dny_pozad" HeaderText="[%Dny požadované%]" SortExpression="dny_pozad" />
                <telerik:GridBoundColumn DataField="dny_skute" HeaderText="[%Dny trvání%]" SortExpression="dny_skute" />
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                    <ExportButton ID="ExportButton1" runat="server" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
    
</asp:Content>

