﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_OdchodyDoDuchodu" Codebehind="OdchodyDoDuchodu.aspx.cs" %>

<%@ Register assembly="WebControls" namespace="KSProgram.WebControls" tagprefix="wc" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" Runat="Server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGridOdchodyDoDuchodu">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGridOdchodyDoDuchodu" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
 
    <%--<asp:Label ID="Label1" runat="server" Text="[%Odchody do důchodu%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="TRadGridOdchodyDoDuchodu" runat="server" ShowGroupPanel="True" AllowPaging="True"  
                    AllowSorting="true" AutoGenerateColumns="false" MasterTableView-Caption="[%Odchody do důchodu%]"
                    OnNeedDataSource="TRadGridOdchodyDoDuchodu_NeedDataSource" AutoFilterControlWidth="False" >
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="os_cislo" SortExpression="os_cislo" HeaderText="[%Osobní číslo%]" FilterControlWidth="30px"/>
                <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" HeaderText="[%Příjmení%]" />
                <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" HeaderText="[%Jméno%]" />
                <telerik:GridBoundColumn DataField="titul" SortExpression="titul" HeaderText="[%Titul%]" FilterControlWidth="30px" />
                <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" HeaderText="[%Kmen. stř.%]" FilterControlWidth="40px"/>
                <telerik:GridDateTimeColumn DataField="dat_narozeni" FilterControlAltText="Filter dat_narozeni column"
                HeaderText="[%Dat. narození%]" UniqueName="dat_narozeni" DataType="System.DateTime" DataFormatString="{0:d.M.yyyy}"
                FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
                <telerik:GridNumericColumn DataType="System.Int32" DataField="duch_vek_roky" SortExpression="duch_vek_roky" HeaderText="[%Důch. věk roky%]" />
                <telerik:GridNumericColumn DataType="System.Int32" DataField="duch_vek_mes" SortExpression="duch_vek_mes" HeaderText="[%Důch. věk měsíce%]" />
                <telerik:GridDateTimeColumn DataField="dat_duchodu" FilterControlAltText="Filter dat_duchodu column"
                HeaderText="[%Dat. důchodu%]" UniqueName="dat_duchodu" DataType="System.DateTime" DataFormatString="{0:d.M.yyyy}"
                FilterDateFormat="d.M.yyyy" FilterControlWidth="80px" />
                
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="gcic" runat="server"></kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
    <%-- End new --%>
</asp:Content>

