﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    Inherits="Sestavy_PlatnaOsvedceni" CodeBehind="PlatnaOsvedceni.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Platné vzdělávací aktivity zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>

    <div style="margin-bottom:8px; width: fit-content" class="ksprvek">
        <kspwc:StrSkupDiv ID="StrSkupDiv1" runat="server" />
    </div>

    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" OnNeedDataSource="TRadGrid_NeedDataSource"
        ShowGroupPanel="True" AllowPaging="True" MasterTableView-Caption="[%Platné vzdělávací aktivity zaměstnanců%]"
        AllowSorting="true" AutoGenerateColumns="false" AutoFilterControlWidth="false">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="os_cislo" HeaderText="[%Os. číslo%]" SortExpression="os_cislo" />
                <telerik:GridBoundColumn DataField="prijmeni" HeaderText="[%Příjmení%]" SortExpression="prijmeni" />
                <telerik:GridBoundColumn DataField="jmeno" HeaderText="[%Jméno%]" SortExpression="jmeno" />
                <telerik:GridBoundColumn DataField="kmen_str" HeaderText="[%Kmen. stř.%]" SortExpression="kmen_str" />
                <telerik:GridBoundColumn DataField="cislo" HeaderText="[%Číslo%]" SortExpression="cislo" />
                <telerik:GridBoundColumn DataField="nazev" HeaderText="[%Název%]" SortExpression="nazev" />
                <telerik:GridBoundColumn DataField="typ" HeaderText="[%Typ%]" SortExpression="typ" />
                <telerik:GridDateTimeColumn DataField="plati_od" HeaderText="[%Platí od%]" SortExpression="plati_od"
                    DataFormatString="{0:d.M.yyyy}" HtmlEncode="False" />
                <telerik:GridDateTimeColumn DataField="plati_do" HeaderText="[%Platí do%]" SortExpression="plati_do"
                    DataFormatString="{0:d.M.yyyy}" HtmlEncode="False" />
                <telerik:GridNumericColumn DataType="System.Decimal" DataField="naklady" HeaderText="[%Náklady%]"
                    SortExpression="naklady" DataFormatString="{0:N}">
                    <HeaderStyle HorizontalAlign="Right" />
                    <ItemStyle HorizontalAlign="Right" />
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="skoleni" HeaderText="[%Školící akce%]"
                    SortExpression="skoleni" />
                <telerik:GridBoundColumn DataField="poznamka" HeaderText="[%Poznámka%]"
                    SortExpression="poznamka" />
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" DateControl="TRadDatePicker">
                    <ExportButton ID="ExportButton1" runat="server" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
