﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using KSProgram.Hodnoceni;
using KSProgram.Data;
using System.Data;
using KSProgram.Vzdelavani;
using KSProgram;
using KSProgram.Mathematics;
using System.Web.UI.DataVisualization.Charting;
using System.Drawing;
using KSProgram.Funkce;
using KSProgram.Extensions;
using Telerik.Web.UI;
using KSProgram.Obecne;
using KSProgram.Personal;

public partial class Sestavy_Pomucky_Vydejka : TPopUpPage
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!IsPostBack)
        {
            RadClientExportManager1.PdfSettings.Fonts.Add("Arial", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/arial.ttf");
            RadClientExportManager1.PdfSettings.Fonts.Add("Arial Black", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/ariblk.ttf");
            System.Web.UI.WebControls.Image image = (System.Web.UI.WebControls.Image)Hlavicka_sestava.FindControl("I_logo");
            image.ImageUrl = Zakaznik.GetLogoUrl(true);

            RadClientExportManager1.PdfSettings.Fonts.Add("Segoe UI", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/segoeui.ttf");
            RadClientExportManager1.PdfSettings.Fonts.Add("Segoe UI Bold", System.Web.HttpRuntime.AppDomainAppVirtualPath + "/Fonts/segoeuib.ttf");
        }
        //JO 6.5.2021 HID:56593
        /*  if (Zakaznik.IsCurrent("PTACEK"))
          {
              TGV_pomucky.Columns[10].Visible = true;
          }else
          {
              TGV_pomucky.Columns[10].Visible = false;
          }*/
        if (!PracovniPomucky.CenaSchovej())
        {
            TGV_pomucky.Columns[10].Visible = true;
        }
        else
        {
            TGV_pomucky.Columns[10].Visible = false;
        }

        if (Zakaznik.IsCurrent("RPG") || Zakaznik.IsCurrent("BLANKYT") || Zakaznik.IsCurrent("KS-PROGRAM"))
        {
            TGV_pomucky.Columns[11].Visible = true;
            TGV_pomucky.Columns[12].Visible = true;
            TGV_pomucky.Columns[13].Visible = true;
        }
    }

    protected void chckBoxSeznameni_CheckedChanged(object sender, EventArgs e)
    {
        string text = ReadGlobalResource.ZmenaTextu("[%Svým podpisem stvrzuji, že jsem převzal přidělené OOPP a byl jsem seznámen se způsobem jejich používání na pracovišti%].");

        if (chckBoxSeznameni.Checked)
        {
            potvrzeniPodpis.Text = text;
        }
        else
        {
            potvrzeniPodpis.Text = "";
        }
        // Page.Response.Redirect(Page.Request.Url.ToString(), true);
    }

}
