﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="SestJubilea.aspx.cs" Inherits="KSPortal.Sestavy.SestJubilea" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRG_jubilea">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRG_jubilea" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<telerik:RadPersistenceManagerProxy ID="RadPersistenceManagerProxy1" runat="server">
        <PersistenceSettings>
            <telerik:PersistenceSetting ControlID="TRG_jubilea" />
        </PersistenceSettings>
    </telerik:RadPersistenceManagerProxy>--%>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Životní a pracovní jubilea zaměstnanců%]" CssClass="nadpis1"></asp:Label>--%>

    <kspwc:TRadGrid ID="TRG_jubilea" runat="server" AllowPaging="True" AllowSorting="True" UseSaveSetting="true" MasterTableView-AllowMultiColumnSorting="true"
        GroupPanelPosition="Top" OnNeedDataSource="TRG_jubilea_NeedDataSource" MasterTableView-Caption="[%Životní a pracovní jubilea zaměstnanců%]"
        ShowGroupPanel="true" AutoGenerateColumns="False"
        OnItemDataBound="TRG_jubilea_ItemDataBound" AutoFilterControlWidth="False">
        <ClientSettings AllowDragToGroup="true">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true" />
        <MasterTableView CommandItemDisplay="Top">
            <Columns>
                <telerik:GridNumericColumn DataField="os_cislo" DataType="System.Decimal" DecimalDigits="0"
                    FilterControlAltText="Filter os_cislo column" HeaderText="[%Os. číslo%]" UniqueName="os_cislo"
                    FilterControlWidth="70px">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="jmeno" FilterControlAltText="Filter jmeno column"
                    HeaderText="[%Jméno%]" UniqueName="jmeno">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prijmeni" FilterControlAltText="Filter prijmeni column"
                    HeaderText="[%Příjmení%]" UniqueName="prijmeni">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="titul" FilterControlAltText="Filter titul column"
                    HeaderText="[%Titul%]" UniqueName="titul" FilterControlWidth="30px">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="cis_pracmist" FilterControlAltText="Filter cis_pracmist column"
                    HeaderText="[%Prac. míst.%]" UniqueName="cis_pracmist">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="naz_pracmist" FilterControlAltText="Filter naz_pracmist column"
                    HeaderText="[%Název prac. místa%]" UniqueName="naz_pracmist">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="datum_narozeni" DataType="System.DateTime"
                    FilterControlAltText="Filter datum_narozeni column" HeaderText="[%Datum narození%]"
                    UniqueName="datum_narozeni" ColumnGroupName="ziv" DataFormatString="{0:d.M.yyyy}"
                    FilterDateFormat="d.M.yyyy" FilterControlWidth="100px">
                </telerik:GridDateTimeColumn>
                <telerik:GridNumericColumn DataField="den_narozeni" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter den_narozeni column" HeaderText="[%Den%]" UniqueName="den_narozeni"
                    ColumnGroupName="ziv" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="mes_narozeni" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter mes_narozeni column" HeaderText="[%Měsíc%]" UniqueName="mes_narozeni"
                    ColumnGroupName="ziv" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="vek" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter vek column" HeaderText="[%Věk%]" UniqueName="vek"
                    ColumnGroupName="ziv" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridDateTimeColumn DataField="datum_nastupu" DataType="System.DateTime"
                    FilterControlAltText="Filter datum_nastupu column" HeaderText="[%Datum nástupu%]"
                    UniqueName="datum_nastupu" ColumnGroupName="prac" DataFormatString="{0:d.M.yyyy}"
                    FilterDateFormat="d.M.yyyy" FilterControlWidth="100px">
                </telerik:GridDateTimeColumn>
                <telerik:GridNumericColumn DataField="mes_nastupu" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter mes_nastupu column" HeaderText="[%Měsíc%]" UniqueName="mes_nastupu"
                    ColumnGroupName="prac" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="roky_zam" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter roky_zam column" HeaderText="[%Roky%]" UniqueName="roky_zam"
                    ColumnGroupName="prac" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="jub_ziv" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter jub_ziv column" HeaderText="[%Životní%]" UniqueName="jub_ziv"
                    ColumnGroupName="jub" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="jub_prac" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter jub_prac column" HeaderText="[%Pracovní%]" UniqueName="jub_prac"
                    ColumnGroupName="jub" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="jub_celk" DataType="System.Int16" DecimalDigits="0"
                    FilterControlAltText="Filter jub_celk column" HeaderText="[%Celkem%]" UniqueName="jub_celk"
                    ColumnGroupName="jub" FilterControlWidth="30px">
                </telerik:GridNumericColumn>
                <telerik:GridRowIndicatorColumn></telerik:GridRowIndicatorColumn>
            </Columns>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="jub_celk" SortOrder="Descending" />
            </SortExpressions>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="[%Narozeniny%]" Name="ziv">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%Pracovní výročí%]" Name="prac">
                </telerik:GridColumnGroup>
                <telerik:GridColumnGroup HeaderText="[%Jubilea%]" Name="jub">
                </telerik:GridColumnGroup>
            </ColumnGroups>
            <PagerStyle PageSizes="10;20;50;100;150;200" AlwaysVisible="True" />
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" DateControl="TRadObdobiInterval">
                    <PrimiPodrizeniButton runat="server" Visible="true">
                    </PrimiPodrizeniButton>
                    <ExportButton runat="server" ShowExportToExcelBIFFItem="true" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
