﻿using System;
using System.Web.UI.WebControls;
using System.Data;
using KSProgram;

namespace KSPortal.Sestavy
{
    public partial class SouhrnKvalifPozadavku : TPage
    {
        public SouhrnKvalifPozadavku()
        {
            IdPrava = 212;
            EnableVisibleSeznamZam = false;
            this.HelpURL = "Vzd%C4%9Bl%C3%A1v%C3%A1n%C3%AD_%28Zam%C4%9Bstnanci-p%C5%99ehledy%29";
        }
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
        }

        private DataTable _data
        {
            get
            {

                object o = ViewState["PlanVzdelavani.SouhrnKvalifPozadavku"];
                object s = ViewState["PlanVzdelavani.SouhrnKvalifPozadavkuStred"];
                string _stred = stred.GetStred();

                if (o == null || s == null || _stred != s.ToString().Trim())
                {
                    o = KSProgram.Vzdelavani.PlanVzdelavani.SouhrnKvalifPozadavku(TDate.Today, TDate.Today, _stred);

                    s = _stred;
                    ViewState["PlanVzdelavani.SouhrnKvalifPozadavkuStred"] = s;
                    ViewState["PlanVzdelavani.SouhrnKvalifPozadavku"] = o;
                }
                return (DataTable)o;
            }
        }

        protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            if (IsPostBack)
                TRadGrid1.DataSource = _data;
            else
                TRadGrid1.DataSource = new DataTable();
        }

        //protected void RadGrid1_DataBinding(object sender,EventArgs e)
        //{
        //    if (IsPostBack)
        //        TRadGrid1.DataSource = _data;
        //    else
        //        TRadGrid1.DataSource = new DataTable();
        //}

        //protected void ObjectDataSource1_DataBinding(object sender, EventArgs e)
        //{
        //    TRadGrid1.DataSource = _data;
        //}

        //protected void lbNactiCommand(object sender, CommandEventArgs e)
        //{
        //    //ObjectDataSource1.SelectParameters["asDate1"].DefaultValue = DateTime.Today.ToString();
        //    //ObjectDataSource1.SelectParameters["asDate2"].DefaultValue = DateTime.Today.ToString();
        //    //ObjectDataSource1.SelectParameters["asStred"].DefaultValue = stred.GetStred();
        //    //TRadGrid1.Visible = true;
        //    //TRadGrid1.DataSourceID = "ObjectDataSource1";
        //    TRadGrid1.DataBind();
        //    //ObjectDataSource1.DataBind();
        //}

    }
}