﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" Inherits="Sestavy_SouhrnNakladu"
    CodeBehind="SouhrnNakladu.aspx.cs" %>

<%@ Register Assembly="WebControls" Namespace="KSProgram.WebControls" TagPrefix="cc1" %>
<%@ Register Assembly="WebControlsAlone" Namespace="KSProgram.WebControlsAlone" TagPrefix="cc2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>


<asp:Content ID="Content1" ContentPlaceHolderID="HlavniOblast" runat="Server">
    <style type="text/css">        
        .panel_ext_polozka{
            width: 200px !important;
            overflow:hidden !important;
        }
        .panel_ext_polozka .rgCaption
        {
            display:none !important;
        }
        .panel_ext_polozka RadGrid
        {
             width:100% !important;

        }
        panel_ext .gridWidth {
            min-width: 0px !important;
        }
    </style>
   

    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid_sestava">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid_sestava" />
                </UpdatedControls>
            </telerik:AjaxSetting>
             <telerik:AjaxSetting AjaxControlID="lab_soczav_hodnota">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="lab_soczav_hodnota" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="lab_zdrzav_hodnota">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="lab_zdrzav_hodnota" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>

    <%--<asp:Label ID="Label1" runat="server" Text="[%Souhrn nákladů za zaměstnance%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid ID="TRadGrid_sestava" runat="server" ShowStatusBar="false" EnableHeaderContextMenu="true" ShowGroupPanel="True" AutoGenerateColumns="False" ExportSettings-ExportOnlyData="false" UseSaveSetting="true"
        AllowSorting="True" AllowMultiRowSelection="False" AllowPaging="true" ExportSettings-IgnorePaging="true" OnNeedDataSource="TRadGrid_sestava_NeedDataSource" OnLoad="TRadGrid_sestava_Load" MasterTableView-Caption="[%Souhrn nákladů za zaměstnance%]"
        ShowHeader="true" ShowFooter="true" OnItemDataBound="TRadGrid_sestava_ItemDataBound" DataKeyNames="zdrpoj_odv, odvod_zakl">
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <MasterTableView AllowMultiColumnSorting="True" CommandItemDisplay="Top" ShowGroupFooter="true">
            <Columns>
                <telerik:GridNumericColumn DataField="os_cislo" SortExpression="os_cislo" UniqueName="os_cislo" DataType="System.Decimal" HeaderText="[%Os. číslo%]" ItemStyle-Width="70px"></telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="prijmeni" SortExpression="prijmeni" UniqueName="prijmeni" DataType="System.String" HeaderText="[%Příjmení%]" ItemStyle-Width="160px"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="jmeno" SortExpression="jmeno" UniqueName="jmeno" DataType="System.String" HeaderText="[%Jméno%]" ItemStyle-Width="160px"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="kmen_str" SortExpression="kmen_str" UniqueName="kmen_str" DataType="System.String" HeaderText="[%Kmen. stř.%]"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="prac_str" SortExpression="prac_str" UniqueName="prac_str" DataType="System.String" HeaderText="[%Prac. stř.%]"></telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="cislo_pom" SortExpression="cislo_pom" UniqueName="cislo_pom" DataType="System.Int16" HeaderText="[%Č. P.%]"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="druh_pom_j" SortExpression="druh_pom_j" UniqueName="druh_pom_j" DataType="System.String" HeaderText="[%Dr. pom.%]"></telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="hod_uvazek" SortExpression="hod_uvazek" UniqueName="hod_uvazek" DataType="System.Decimal" HeaderText="[%Hod. úvazek%]"></telerik:GridBoundColumn>

                <telerik:GridNumericColumn DataField="hr_prijem" SortExpression="hr_prijem" UniqueName="hr_prijem" DataType="System.Decimal" DataFormatString="{0:N}" HeaderText="[%Zdanitelný příjem%]" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102px" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>

                <telerik:GridNumericColumn DataField="ost_prijem" SortExpression="ost_prijem" UniqueName="ost_prijem" DataType="System.Decimal" DataFormatString="{0:N}" HeaderText="[%Ostatní příjem%]" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>

                <telerik:GridNumericColumn DataField="nahrady" SortExpression="nahrady" UniqueName="nahrady" DataType="System.Decimal" DataFormatString="{0:N}" HeaderText="[%Náhrady%]" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>

                <telerik:GridNumericColumn DataField="odvod_zakl" SortExpression="odvod_zakl" UniqueName="odvod_zakl" DataType="System.Decimal" DataFormatString="{0:N}" HeaderText="[%Odvod soc.%]" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="zdrpoj_odv" SortExpression="zdrpoj_odv" UniqueName="zdrpoj_odv" DataType="System.Decimal" DataFormatString="{0:N}" HeaderText="[%Odvod zdr.%]" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>              
                <telerik:GridNumericColumn DataField="vzdelavani" SortExpression="vzdelavani" UniqueName="vzdelavani" DataType="System.Decimal" HeaderText="[%Vzdělávání%]" DataFormatString="{0:N}" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="soc_prog" SortExpression="soc_prog" UniqueName="soc_prog" DataType="System.Decimal" HeaderText="[%Soc. prog.%]" DataFormatString="{0:N}" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="lekar" SortExpression="lekar" UniqueName="lekar" DataType="System.Decimal" HeaderText="[%Lékař%]" DataFormatString="{0:N}" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
                 <telerik:GridNumericColumn DataField="extra" SortExpression="extra" UniqueName="extra" DataType="System.Decimal" HeaderText="[%Extra pol.%]" DataFormatString="{0:N}" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
                <telerik:GridNumericColumn DataField="celkem" SortExpression="celkem" UniqueName="celkem" DataType="System.Decimal" HeaderText="[%Celkem%]" DataFormatString="{0:N}" Aggregate="Sum" FooterAggregateFormatString="{0:N}">
                    <ItemStyle HorizontalAlign="Right" Width="102" />
                    <FooterStyle HorizontalAlign="Right" VerticalAlign="Top" />
                </telerik:GridNumericColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server" FilterButton-Visible="False" DateControl="TRadObdobiInterval">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToCsvItem="false" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>

   <%-- <div style="margin-top: 20px">
        <asp:Table runat="server" ID="TableItem" SkinID="RamAPozadi">    
             <asp:TableHeaderRow runat="server" ID="TableHeaderRowItem">
                <asp:TableCell runat="server" ColumnSpan="4" ID="TableCellItem14x" >
                    <asp:Label ID="Label7x" runat="server" Text="[%Skutečná výše odvodu za celý podnik%]"></asp:Label>
                </asp:TableCell>
            </asp:TableHeaderRow>

                <asp:TableRow runat="server" ID="TableRow1">
                <asp:TableCell runat="server" ID="TableCell1a" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label8a" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Sociální pojištění%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell ColumnSpan="3" runat="server" SkinID="DataFieldStyle" ID="TableCell2">
                    <asp:Label ID="lab_soczav_hodnota" runat="server" Text="0"></asp:Label>
                </asp:TableCell>
            </asp:TableRow>

              <asp:TableRow runat="server" ID="TableRow2">
                <asp:TableCell runat="server" ID="TableCell1" HorizontalAlign="Right" SkinID="DataFieldHeaderStyle">
                    <asp:Label ID="Label2" runat="server" SkinID="DataFieldHeaderStyle" Text="[%Zdravotní pojištění%]:"></asp:Label>
                </asp:TableCell>
                <asp:TableCell ColumnSpan="3" runat="server" SkinID="DataFieldStyle" ID="TableCell3">
                    <asp:Label ID="lab_zdrzav_hodnota" runat="server" Text="0"></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
</asp:Table>

    </div>--%>

    <asp:Panel CssClass="panel_ext_polozka" runat="server" ID="pan_ext_polozka" style="padding:20px 0px 20px 0;"> 
        <asp:Label ID="Label_ext_polozka" runat="server"  CssClass="nadpis2"></asp:Label>
        <kspwc:TRadGrid ID="TRadGrid1" runat="server" ShowStatusBar="false"  AutoGenerateColumns="False"
        AllowSorting="True" AllowMultiRowSelection="False" AllowPaging="false" ExportSettings-IgnorePaging="true" OnNeedDataSource="TRadGrid1_NeedDataSource"
        ShowHeader="false" ShowFooter="false"  >       
        <MasterTableView AllowMultiColumnSorting="True" CommandItemDisplay="None" ShowGroupFooter="False" >
            <Columns>              
                <telerik:GridBoundColumn DataField="cely_nazev" SortExpression="kod" UniqueName="kod" DataType="System.String" HeaderText="[%Název%]">                 
                </telerik:GridBoundColumn>
            </Columns>
        </MasterTableView>
        </kspwc:TRadGrid>
    </asp:Panel>
</asp:Content>
