﻿using KSProgram.Funkce;
using KSProgram.Pozadavky;
using KSProgram.WebControls;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace KSPortal.ZakSpec
{
    public partial class ProjektyPoznamky : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void rg_poznamky_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            KSProgram.QueryStringCrypto hh = new KSProgram.QueryStringCrypto();
            NameValueCollection queryString = hh.DecryptRequestQuery();
            if (queryString.Count > 0)
            {
                int id_poz = Convert.ToInt32(queryString["idpoz"]);
                string projekt = queryString["projekt"];

                List<Str_workfl_zazn_tab> zazn=workfl_zazn.RetrieveProjekt(id_poz, "schvalproj", projekt);

                DataTable proc_table = workfl_proc.Retrieve(id_poz);

                DataTable table = new DataTable();
                table.Columns.Add("stav", typeof(string));
                table.Columns.Add("poznamka", typeof(string));
                table.Columns.Add("cas", typeof(DateTime));
                table.Columns.Add("uzivatel", typeof(string));

                //string poznamka = string.Empty;
                //string stav = string.Empty;
                //string uzivatel = string.Empty;
               // DateTime cas = new DateTime();
                foreach (Str_workfl_zazn_tab str in zazn)
                {                    
                    int id = (int)str.celcislo1;
                    int id_proc=_getRowIndex(id, proc_table);
                    Str_workfl_proc str_proc=workfl_proc.NaplnStrukturu(id_proc);
                    DataRow row=table.Rows.Add();
                    row["stav"] = str.string1;// str_proc.stavText;
                    row["poznamka"] = str.string11;
                    row["cas"] = F_DateTime.String15ToDateTime(str.string2); //str_proc.datum;
                    if (str_proc.resitel != null)
                        if (str.celcislo2 != null)
                            row["uzivatel"] = Pracovnik.OsCisloPrijmeniJmeno((decimal)str.celcislo2);
                    
                    /*
                    DataRow row = table.Rows.Add();
                    row["stav"] = str.string1;
                    row["poznamka"] = str.string11;
                    row["cas"] = F_DateTime.String15ToDateTime(str.string2);
                    if (str_proc.resitel != null)
                        row["uzivatel"] = Pracovnik.OsCisloPrijmeniJmeno((decimal)str_proc.resitel);
                        */
                }                

                rg_poznamky.DataSource = table;
            }
        }

        protected bool _visibleUziv(object uziv) {
            return (uziv != DBNull.Value);           
        }

        private int _getRowIndex(int id, DataTable table)
        {
            int row = -1;           
            for(int i=0;i<table.Rows.Count;i++)
            {
                if (Convert.ToInt32(table.Rows[i]["id"]) == id)
                {
                    row = i + 1;
                    break;
                }
            }
            if (row > -1)
            {
                if (row > (table.Rows.Count - 1)) row--;
                return Convert.ToInt32(table.Rows[row]["id"]);
            }
            return -1;
        }

        protected void rg_poznamky_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridDataItem)
            {
                GridDataItem dataItem = e.Item as GridDataItem;
                if ((string.IsNullOrEmpty(dataItem["uzivatel"].Text) || (dataItem["uzivatel"].Text=="&nbsp;")))
                    rg_poznamky.Columns[3].Visible = false;
            }
        }
    }
   
}