﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Drawing;
using KSProgram;
using KSProgram.ZakSpec;
using KSProgram.Obecne;

namespace KSPortal.ZakSpec.UkolyOdmeny
{
    public partial class SestavaPrehledPoLidech : TPage
    {
        public SestavaPrehledPoLidech()
        {
            IdPrava = 193;
            EnableVisibleSeznamZam = false;
        }
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);

            if (!IsPostBack)
            {
                //PivotGridSetCondition cond = new PivotGridSetCondition();
                //cond.Items.Add(Globals.AktObdobi.Year.ToString());
                //cond.Comparison = Telerik.Web.UI.PivotGrid.Core.Filtering.SetComparison.Includes;
                //PivotGridReportFilter filter = new PivotGridReportFilter(cond);
                //filter.FieldName = "rok";
                //RPG_main.Filters.Add(filter);

                nastav_sestavu("zam");

                string key = RB_str.Checked ? "str" : "zam";
                string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";" + key;
                DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
                RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
                mng.StorageProvider = dsp;
                mng.LoadState();
            }
        }
        protected void RB_Command(object sender, CommandEventArgs e)
        {
            nastav_sestavu(e.CommandName);

            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";" + e.CommandName;
            DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
            RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
            mng.StorageProvider = dsp;
            mng.LoadState();

            RPG_main.Rebind();
        }
        protected void RDDL_roky_DataBound(object sender, EventArgs e)
        {
            if (RDDL_roky.Items.Count > 0)
            {
                RDDL_roky.Items[RDDL_roky.Items.Count() - 1].Selected = true;
            }
            RPG_main.Rebind();
        }

        protected void RDDL_roky_SelectedIndexChanged(object sender, DropDownListEventArgs e)
        {
            if (string.IsNullOrEmpty(e.Value))
            {
                RPG_main.Fields.GetFieldByUniqueName("rok").IsHidden = false;
            }
            else
            {
                RPG_main.Fields.GetFieldByUniqueName("rok").IsHidden = true;
            }
            RPG_main.Rebind();
        }
        private void nastav_sestavu(string sestava)
        {
            foreach (PivotGridField field in RPG_main.Fields)
            {
                field.IsHidden = true;
            }
            switch (sestava)
            {
                case "zam":
                    UkolyOdmeny2.OsobaInfo info = new UkolyOdmeny2.OsobaInfo();
                    if (info.TypOsoby == UkolyOdmeny2.TypyOsob.Administrator || info.TypOsoby == UkolyOdmeny2.TypyOsob.Reditel)
                    {
                        RPG_main.Fields.GetFieldByUniqueName("odbor").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("oddeleni").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("prac_kateg").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("zamestnanec").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("por_prostredky").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("nasmlouvano").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("vyplaceno").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("navrzeno").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("zbyva").IsHidden = false;
                    }
                    else
                    {
                        //RPG_main.Fields.GetFieldByUniqueName("odbor").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("oddeleni").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("oddeleni_nazev").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("prac_kateg").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("zamestnanec").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("por_prostredky").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("nasmlouvano").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("vyplaceno").IsHidden = false;
                        RPG_main.Fields.GetFieldByUniqueName("navrzeno").IsHidden = false;
                        //RPG_main.Fields.GetFieldByUniqueName("zbyva").IsHidden = false;
                    }
                    break;
                case "stred":
                    RPG_main.Fields.GetFieldByUniqueName("odbor").IsHidden = false;
                    //RPG_main.Fields.GetFieldByUniqueName("oddeleni").IsHidden = false;
                    RPG_main.Fields.GetFieldByUniqueName("oddeleni_nazev").IsHidden = false;
                    RPG_main.Fields.GetFieldByUniqueName("por_prostredky").IsHidden = false;
                    RPG_main.Fields.GetFieldByUniqueName("nasmlouvano").IsHidden = false;
                    RPG_main.Fields.GetFieldByUniqueName("vyplaceno").IsHidden = false;
                    break;
            }
        }

        protected void RPG_main_NeedDataSource(object sender, PivotGridNeedDataSourceEventArgs e)
        {
            if (RDDL_roky.Items.Count() != 0)
            {
                ((RadPivotGrid)sender).DataSource = KSProgram.ZakSpec.UkolyOdmeny.SestPrehledPoLidech(RDDL_roky.SelectedValue);
            }
        }

        protected void TRB_export_Click(object sender, EventArgs e)
        {
            RPG_main.ExportSettings.IgnorePaging = true;
            RPG_main.ExportToExcel();
        }

        protected void TRB_save_set_Click(object sender, EventArgs e)
        {
            string key = RB_str.Checked ? "stred" : "zam";
            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";" + key;
            DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
            RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
            mng.StorageProvider = dsp;
            mng.SaveState();
        }

        protected void TRB_rem_set_Click(object sender, EventArgs e)
        {
            string key = RB_str.Checked ? "stred" : "zam";

            nastav_sestavu(key);
            RPG_main.Rebind();

            string cookieName = Globals.OsCisloAktUser.ToString() + ";" + HttpContext.Current.Request.AppRelativeCurrentExecutionFilePath + ";" + key;
            DatabaseStorageProvider dsp = new DatabaseStorageProvider(cookieName);
            RadPersistenceManager mng = RadPersistenceManager.GetCurrent(Page);
            mng.StorageProvider = dsp;
            mng.SaveState();
        }

        protected void RPG_main_PivotGridCellExporting(object sender, PivotGridCellExportingArgs e)
        {
            PivotGridBaseModelCell modelDataCell = e.PivotGridModelCell as PivotGridBaseModelCell;
            if (modelDataCell != null)
            {
                AddStylesToDataCells(modelDataCell, e);
            }

            if (modelDataCell.TableCellType == PivotGridTableCellType.RowHeaderCell)
            {
                AddStylesToRowHeaderCells(modelDataCell, e);
            }

            if (modelDataCell.TableCellType == PivotGridTableCellType.ColumnHeaderCell)
            {
                AddStylesToColumnHeaderCells(modelDataCell, e);
            }

            if (modelDataCell.IsGrandTotalCell)
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(128, 128, 128);
                e.ExportedCell.Style.Font.Bold = true;
            }

            if (IsTotalDataCell(modelDataCell))
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(150, 150, 150);
                e.ExportedCell.Style.Font.Bold = true;
                AddBorders(e);
            }

            if (IsGrandTotalDataCell(modelDataCell))
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(128, 128, 128);
                e.ExportedCell.Style.Font.Bold = true;
                AddBorders(e);
            }
        }
        private void AddStylesToDataCells(PivotGridBaseModelCell modelDataCell, PivotGridCellExportingArgs e)
        {
            if (modelDataCell.Data != null && modelDataCell.Data.GetType() == typeof(decimal))
            {
                decimal value = Convert.ToDecimal(modelDataCell.Data);
                //if (value > 100000)
                //{
                //    e.ExportedCell.Style.BackColor = Color.FromArgb(51, 204, 204);
                //    AddBorders(e);
                //}

                //e.ExportedCell.Format = "0";
            }
        }

        private void AddStylesToColumnHeaderCells(PivotGridBaseModelCell modelDataCell, PivotGridCellExportingArgs e)
        {
            if (e.ExportedCell.Table.Columns[e.ExportedCell.ColIndex].Width == 0)
            {
                e.ExportedCell.Table.Columns[e.ExportedCell.ColIndex].Width = 20D;
            }

            if (modelDataCell.IsTotalCell)
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(150, 150, 150);
                e.ExportedCell.Style.Font.Bold = true;
            }
            else
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(192, 192, 192);
            }
            AddBorders(e);
        }

        private void AddStylesToRowHeaderCells(PivotGridBaseModelCell modelDataCell, PivotGridCellExportingArgs e)
        {
            if (e.ExportedCell.Table.Columns[e.ExportedCell.ColIndex].Width == 0)
            {
                e.ExportedCell.Table.Columns[e.ExportedCell.ColIndex].Width = 11D;
            }
            if (modelDataCell.IsTotalCell)
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(150, 150, 150);
                e.ExportedCell.Style.Font.Bold = true;
            }
            else
            {
                e.ExportedCell.Style.BackColor = Color.FromArgb(192, 192, 192);
            }

            AddBorders(e);
        }

        private static void AddBorders(PivotGridCellExportingArgs e)
        {
            e.ExportedCell.Style.BorderBottomColor = Color.FromArgb(128, 128, 128);
            e.ExportedCell.Style.BorderBottomWidth = new Unit(1);
            e.ExportedCell.Style.BorderBottomStyle = BorderStyle.Solid;

            e.ExportedCell.Style.BorderRightColor = Color.FromArgb(128, 128, 128);
            e.ExportedCell.Style.BorderRightWidth = new Unit(1);
            e.ExportedCell.Style.BorderRightStyle = BorderStyle.Solid;

            e.ExportedCell.Style.BorderLeftColor = Color.FromArgb(128, 128, 128);
            e.ExportedCell.Style.BorderLeftWidth = new Unit(1);
            e.ExportedCell.Style.BorderLeftStyle = BorderStyle.Solid;

            e.ExportedCell.Style.BorderTopColor = Color.FromArgb(128, 128, 128);
            e.ExportedCell.Style.BorderTopWidth = new Unit(1);
            e.ExportedCell.Style.BorderTopStyle = BorderStyle.Solid;
        }

        private bool IsTotalDataCell(PivotGridBaseModelCell modelDataCell)
        {
            return modelDataCell.TableCellType == PivotGridTableCellType.DataCell &&
               (modelDataCell.CellType == PivotGridDataCellType.ColumnTotalDataCell ||
                 modelDataCell.CellType == PivotGridDataCellType.RowTotalDataCell ||
                 modelDataCell.CellType == PivotGridDataCellType.RowAndColumnTotal);
        }

        private bool IsGrandTotalDataCell(PivotGridBaseModelCell modelDataCell)
        {
            return modelDataCell.TableCellType == PivotGridTableCellType.DataCell &&
                (modelDataCell.CellType == PivotGridDataCellType.ColumnGrandTotalDataCell ||
                    modelDataCell.CellType == PivotGridDataCellType.ColumnGrandTotalRowTotal ||
                    modelDataCell.CellType == PivotGridDataCellType.RowGrandTotalColumnTotal ||
                    modelDataCell.CellType == PivotGridDataCellType.RowGrandTotalDataCell ||
                    modelDataCell.CellType == PivotGridDataCellType.RowAndColumnGrandTotal);
        }


    }
}