﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram;
using System.Collections.Specialized;
using KSProgram.Data;

namespace KSPortal.ZakSpec.UkolyOdmeny
{
    /// <summary>
    /// 
    /// </summary>
    public partial class SestavaZadavaciList : TPopUpPage
    {
        public SestavaZadavaciList()
        {
            IdPrava = 192;
            EnableVisibleSeznamZam = false;
        }
        private Decimal OsCisloFromQuerry
        {
            get
            {
                Decimal ret = 0;
                QueryStringCrypto ht = new QueryStringCrypto();
                NameValueCollection data = ht.DecryptRequestQuery();
                try { ret = Convert.ToDecimal(data["os_cislo"]); }
                catch { }
                return ret;
            }
        }
        private Int16 CisloPomFromQuerry
        {
            get
            {
                Int16 ret = 0;
                QueryStringCrypto ht = new QueryStringCrypto();
                NameValueCollection data = ht.DecryptRequestQuery();
                try { ret = Convert.ToInt16(data["cislo_pom"]); }
                catch { }
                return ret;
            }
        }
        private Decimal os_cislo
        {
            get
            {
                object o = ViewState["os_cislo"];
                return o == null ? 0 : (decimal)o;
            }
            set
            {
                ViewState["os_cislo"] = value;
            }
        }
        private Int16 cislo_pom
        {
            get
            {
                object o = ViewState["cislo_pom"];
                return o == null ? (Int16)0 : (Int16)o;
            }
            set
            {
                ViewState["cislo_pom"] = value;
            }
        }
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);

            if (!IsPostBack)
            {
                os_cislo = OsCisloFromQuerry;
                cislo_pom = CisloPomFromQuerry;
                L_jmeno.Text = KSProgram.Funkce.Pracovnik.CeleJmeno(os_cislo, "{os_cislo} - {titul} {jmeno} {prijmeni}{titul_za}");

                string sql = "SELECT c.skup_nazev FROM prac_pom p, stred s, skup_stred c " +
                    "WHERE s.str = p.prac_str AND c.skup_str = s.skup_str AND p.os_cislo = " + SqlPrikaz.ValueToString(os_cislo) + " AND p.cislo_pom = " + SqlPrikaz.ValueToString(cislo_pom);
                L_odbor.Text = SqlPrikaz.ExecuteScalarString(sql, "", true);

                ObjectDataSource1.SelectParameters["os_cislo"].DefaultValue = os_cislo.ToString();
                ObjectDataSource1.SelectParameters["cislo_pom"].DefaultValue = cislo_pom.ToString();
            }
        }
    }
}