﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KSProgram.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.Collections;
using KSProgram;
using KSProgram.LekarskaEvidence;
using KSProgram.Data;
using KSProgram.Funkce;
using System.Collections.Specialized;
using KSPortal.Controls;
using KSProgram.Security;
using System.Web.Services;

namespace KSPortal.Zamestnanec
{
    public partial class EvidenceUrazu : TPage
    {
        private object _dataItem = null;
        private decimal _aktualnisCislo = 0;

        /// <summary>
        /// 
        /// </summary>
        public int UrazId
        {
            get
            {
                return (ViewState["UrazId"] == null ? 0 : Convert.ToInt32(ViewState["UrazId"]));
            }
            set
            {
                ViewState["UrazId"] = value;
            }
        }


        public EvidenceUrazu()
        {
            IdPrava = 205;
            EnableVisibleSeznamZam = true;
        }


        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            if (!IsPostBack)
            {
                trgUrazyZamestnance.MasterTableView.EditMode = GridEditMode.PopUp;
            }

        }


        public object DataItem
        {
            get
            {
                return this._dataItem;
            }

            set
            {
                this._dataItem = value;
            }

        }


        protected void RadGrid1_PreRender(object sender, System.EventArgs e)
        {

            if (!this.IsPostBack)
            {

                this.trgUrazyZamestnance.MasterTableView.Items[1].Edit = true;

                this.trgUrazyZamestnance.MasterTableView.Rebind();

            }

        }


        protected void trgUrazyZamestnance_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
        {
            //int x = 1, y = 1;
            //int z = x + y;
            if (e.Item.ItemType == GridItemType.CommandItem)
            {
                TRadButton but = (TRadButton)e.Item.FindControl("TRB_ch");
                but.Checked = ((TRadGrid)sender).AllowFilteringByColumn;
            }
        }

        protected void TRB_ch_CheckedChanged(object sender, EventArgs e)
        {
            TRadButton TRB_ch = (TRadButton)sender;
            if (TRB_ch.Checked)
            {
                trgUrazyZamestnance.AllowFilteringByColumn = true;
            }
            else
            {
                trgUrazyZamestnance.AllowFilteringByColumn = false;
            }
            trgUrazyZamestnance.Rebind();
        }


        protected void trgUrazyZamestnance_InsertCommand(object source, GridCommandEventArgs e)
        {

            GridEditFormItem editFormItem = e.Item as GridEditFormItem;
            UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);
            StrukturaUrazu lstrPolozkyUrazu = new StrukturaUrazu();

            lstrPolozkyUrazu.cislo_urazu = (userControl.FindControl("rntbCisloUrazu") as RadNumericTextBox).Text;
            lstrPolozkyUrazu.evid_cis = Convert.ToInt32((userControl.FindControl("rntbEvidencniCislo") as RadNumericTextBox).Text);
            //kmst//lstrPolozkyUrazu.stred = (userControl.FindControl("trddlStredisko") as RadDropDownList).SelectedValue;
            lstrPolozkyUrazu.misto = (userControl.FindControl("rtbMisto") as RadTextBox).Text;
            if ((userControl.FindControl("rbMUPPano") as RadButton).Checked) lstrPolozkyUrazu.pravid_prac = "a";
            else lstrPolozkyUrazu.pravid_prac = "n";
            //RadTextBox tbKvalif = (userControl.FindControl("tbKvalif") as RadTextBox; //od 1.1.2011 se nepoužívá
            lstrPolozkyUrazu.datum = (userControl.FindControl("trdpDatum") as TRadDatePicker).SelectedDate;
            //dasm//lstrPolozkyUrazu.datum_smeny = (userControl.FindControl("trdpDatumSmeny") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.hodina = (userControl.FindControl("rtpHodina") as RadTimePicker).SelectedDate;
            //zasm//lstrPolozkyUrazu.zac_smeny = (userControl.FindControl("rtpZacSmeny") as RadTimePicker).SelectedDate;
            lstrPolozkyUrazu.poc_hodin = Convert.ToDecimal((userControl.FindControl("rntbOdprHodPred") as RadNumericTextBox).Value); //63872// bobf 05.01.2023
            lstrPolozkyUrazu.poc_osob = Convert.ToInt32((userControl.FindControl("trntbPocetOsob") as RadNumericTextBox).Value);
            if ((userControl.FindControl("rbDUs") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "s";
            if ((userControl.FindControl("rbDUh") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "h";
            if ((userControl.FindControl("rbDUo") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "o";
            string lsSestL = (userControl.FindControl("tchblSestL") as TCheckBoxList).SelectedValues;
            string lsSestP = (userControl.FindControl("tchblSestP") as TCheckBoxList).SelectedValues;
            string lsSedmL = (userControl.FindControl("tchblSedmL") as TCheckBoxList).SelectedValues;
            string lsSedmP = (userControl.FindControl("tchblSedmP") as TCheckBoxList).SelectedValues;
            ////////////TRadDatePicker trdpDatumVystaveni = (userControl.FindControl("trdpDatumVystaveni") as TRadDatePicker).Text;
            lstrPolozkyUrazu.cinn = (userControl.FindControl("rtbCinn") as RadTextBox).Text;
            lstrPolozkyUrazu.dr_pr = (userControl.FindControl("rtbDrPr") as RadTextBox).Text;
            lstrPolozkyUrazu.dr_zran = (userControl.FindControl("rtbDrZran") as RadDropDownList).SelectedText;
            lstrPolozkyUrazu.cast_tela = (userControl.FindControl("rtbCastTela") as RadDropDownList).SelectedText;
            lstrPolozkyUrazu.navyk_latky = (userControl.FindControl("rtbNavykLatky") as RadTextBox).Text;
            if ((userControl.FindControl("rbKNLano") as RadButton).Checked) lstrPolozkyUrazu.navyk_latky_k = "a";
            else lstrPolozkyUrazu.navyk_latky_k = "n";
            lstrPolozkyUrazu.popis = (userControl.FindControl("rtbPopis") as RadTextBox).Text;
            lstrPolozkyUrazu.predpis = (userControl.FindControl("rtbPredpis") as RadTextBox).Text;
            lstrPolozkyUrazu.opatreni = (userControl.FindControl("rtbOpatreni") as RadTextBox).Text;
            lstrPolozkyUrazu.vyjadreni = (userControl.FindControl("rtbVyjadreni") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_nazev = (userControl.FindControl("rtbPracovisteNazev") as RadTextBox).Text.Trim();
            lstrPolozkyUrazu.pracoviste_ulice = (userControl.FindControl("rtbPracovisteUlice") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_misto = (userControl.FindControl("rtbPracovisteMisto") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_psc = (userControl.FindControl("rtbPracovistePsc") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_ico = (userControl.FindControl("rtbPracovisteIco") as RadTextBox).Text;
            //lstrPolozkyUrazu.pracoviste_cznace = (userControl.FindControl("tbPracovisteCzNace") as RadTextBox).Text;
            lstrPolozkyUrazu.trvani_dpn_od = (userControl.FindControl("trdpTrvaniDpnOd") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.trvani_dpn_do = (userControl.FindControl("trdpTrvaniDpnOd") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.datum_umrti = (userControl.FindControl("trdpDatumUmrti") as TRadDatePicker).SelectedDate;
            //*//lstrPolozkyUrazu.datum_vystaveni = (userControl.FindControl("trdpDatumVystaveni") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.svedek1 = (userControl.FindControl("rtbSvedek1") as RadTextBox).Text;
            lstrPolozkyUrazu.svedek2 = (userControl.FindControl("rtbSvedek2") as RadTextBox).Text;
            lstrPolozkyUrazu.svedek3 = (userControl.FindControl("rtbSvedek3") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_z = (userControl.FindControl("rtbZastupceZ") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_oo = (userControl.FindControl("rtbZastupceOO") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_org = (userControl.FindControl("rtbZastupceOrg") as RadTextBox).Text;
            lstrPolozkyUrazu.prac_zaraz = (userControl.FindControl("rtbPracZaraz") as RadTextBox).Text;

            InputChecker.Text(lstrPolozkyUrazu.cislo_urazu, 11, "cislo_urazu");
            InputChecker.Text(lstrPolozkyUrazu.misto, 50, "misto");
            //kmst//InputChecker.Stredisko(lstrPolozkyUrazu.stred,"");
            InputChecker.Text(lstrPolozkyUrazu.pracoviste_nazev, 70, "pracoviste_nazev");
            InputChecker.Text(lstrPolozkyUrazu.pracoviste_ulice, 50, "pracoviste_ulice");
            InputChecker.Text(lstrPolozkyUrazu.pracoviste_misto, 50, "pracoviste_misto");
            InputChecker.Text(lstrPolozkyUrazu.pracoviste_psc, 5, "pracoviste_psc");
            InputChecker.Text(lstrPolozkyUrazu.svedek1, 40, "svedek1");
            InputChecker.Text(lstrPolozkyUrazu.svedek2, 40, "svedek2");
            InputChecker.Text(lstrPolozkyUrazu.svedek3, 40, "svedek3");
            InputChecker.Text(lstrPolozkyUrazu.zastupce_z, 40, "zastupce_z");
            InputChecker.Text(lstrPolozkyUrazu.zastupce_oo, 40, "zastupce_oo");
            InputChecker.Text(lstrPolozkyUrazu.zastupce_org, 40, "zastupce_org");
            InputChecker.Text(lstrPolozkyUrazu.prac_zaraz, 30, "prac_zaraz");

            //UrazZdroje lstrPolozkyZdroje = new UrazZdroje();
            //lstrPolozkyZdroje.Sest1 = "1";

            //UrazPriciny lstrPolozkyPriciny = new UrazPriciny();
            //lstrPolozkyPriciny.Sedm1 = "1";

            UrazZdroje lstrPolozkyZdroje = new UrazZdroje();
            lsSestL = "," + lsSestL + ",";
            lsSestP = "," + lsSestP + ",";
            lstrPolozkyZdroje.Sest1 = lsSestL.Contains(",1,") ? "a" : "n";
            lstrPolozkyZdroje.Sest2 = lsSestL.Contains(",2,") ? "a" : "n";
            lstrPolozkyZdroje.Sest3 = lsSestL.Contains(",3,") ? "a" : "n";
            lstrPolozkyZdroje.Sest4 = lsSestL.Contains(",4,") ? "a" : "n";
            lstrPolozkyZdroje.Sest5 = lsSestL.Contains(",5,") ? "a" : "n";

            lstrPolozkyZdroje.Sest6 = lsSestP.Contains(",1,") ? "a" : "n";
            lstrPolozkyZdroje.Sest7 = lsSestP.Contains(",2,") ? "a" : "n";
            lstrPolozkyZdroje.Sest8 = lsSestP.Contains(",3,") ? "a" : "n";
            lstrPolozkyZdroje.Sest9 = lsSestP.Contains(",4,") ? "a" : "n";
            lstrPolozkyZdroje.Sest10 = lsSestP.Contains(",6,") ? "a" : "n";
            lstrPolozkyZdroje.Sest11 = lsSestP.Contains(",5,") ? "a" : "n";

            UrazPriciny lstrPolozkyPriciny = new UrazPriciny();
            lsSedmL = "," + lsSedmL + ",";
            lsSedmP = "," + lsSedmP + ",";
            lstrPolozkyPriciny.Sedm1 = lsSedmL.Contains(",1,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm2 = lsSedmL.Contains(",2,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm3 = lsSedmL.Contains(",3,") ? "a" : "n";

            lstrPolozkyPriciny.Sedm4 = lsSedmP.Contains(",4,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm5 = lsSedmP.Contains(",5,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm6 = lsSedmP.Contains(",6,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm7 = lsSedmP.Contains(",7,") ? "a" : "n";

            try
            {
                string error = "";
                DateTime ldtOd = DateTime.Now;
                DateTime ldtDo = DateTime.Now;

                int? liCinnId = null;
                int? liDrPrId = null;
                int? liDrZranId = null;
                int? liPopisId = null;
                int? liPredpisId = null;
                int? liOpatreniId = null;
                int? liVyjadreniId = null;


                InputChecker.Text((userControl.FindControl("rtbCinn") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbDrPr") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbPopis") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbPredpis") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbOpatreni") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbVyjadreni") as RadTextBox).Text, 0, "blob");

                SqlPrikaz.SaveTextToInfoBlob(ref liCinnId, Globals.OsCislo, null, 1, null, null, (userControl.FindControl("rtbCinn") as RadTextBox).Text, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liDrPrId, Globals.OsCislo, null, 2, null, null, (userControl.FindControl("rtbDrPr") as RadTextBox).Text, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liDrZranId, Globals.OsCislo, null, 3, null, null, (userControl.FindControl("rtbDrZran") as RadDropDownList).SelectedText, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liPopisId, Globals.OsCislo, null, 4, null, null, (userControl.FindControl("rtbPopis") as RadTextBox).Text, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liPredpisId, Globals.OsCislo, null, 5, null, null, (userControl.FindControl("rtbPredpis") as RadTextBox).Text, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liOpatreniId, Globals.OsCislo, null, 6, null, null, (userControl.FindControl("rtbOpatreni") as RadTextBox).Text, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liVyjadreniId, Globals.OsCislo, null, 7, null, null, (userControl.FindControl("rtbVyjadreni") as RadTextBox).Text, true, null, null, null);
                lstrPolozkyUrazu.cinn_id = liCinnId;
                lstrPolozkyUrazu.dr_pr_id = liDrPrId;
                lstrPolozkyUrazu.dr_zran_id = liDrZranId;
                lstrPolozkyUrazu.popis_id = liPopisId;
                lstrPolozkyUrazu.predpis_id = liPredpisId;
                lstrPolozkyUrazu.opatreni_id = liOpatreniId;
                lstrPolozkyUrazu.vyjadreni_id = liVyjadreniId;
                KSProgram.LekarskaEvidence.Uraz.InsertUrazuZamestnance(Globals.OsCislo, lstrPolozkyUrazu, lstrPolozkyZdroje, lstrPolozkyPriciny);

                if (!string.IsNullOrEmpty(error))
                {
                    e.Canceled = true;
                    string title = WebControlHelper.ZmenaTextu("[%Insert se nezdařil%]");
                    MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(error), title);
                }


            }

            catch (Exception ex)
            {
                Label lblError = new Label();
                lblError.Text = "Není možné přidat záznam do Seznamu úrazů. Důvod: " + ex.Message;
                lblError.ForeColor = System.Drawing.Color.Red;
                trgUrazyZamestnance.Controls.Add(lblError);
                e.Canceled = true;
            }
        }


        protected void trgUrazyZamestnance_UpdateCommand(object sender, GridCommandEventArgs e)
        {



            GridEditableItem editedItem = e.Item as GridEditableItem;
            UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);
            StrukturaUrazu lstrPolozkyUrazu = new StrukturaUrazu();

            lstrPolozkyUrazu.cislo_urazu = (userControl.FindControl("rntbCisloUrazu") as RadNumericTextBox).Text;
            lstrPolozkyUrazu.evid_cis = Convert.ToInt32((userControl.FindControl("rntbEvidencniCislo") as RadNumericTextBox).Text);
            //kmst//lstrPolozkyUrazu.stred = (userControl.FindControl("trddlStredisko") as RadDropDownList).SelectedValue;
            lstrPolozkyUrazu.misto = (userControl.FindControl("rtbMisto") as RadTextBox).Text;
            if ((userControl.FindControl("rbMUPPano") as RadButton).Checked) lstrPolozkyUrazu.pravid_prac = "a";
            else lstrPolozkyUrazu.pravid_prac = "n";
            //RadTextBox tbKvalif = (userControl.FindControl("tbKvalif") as RadTextBox; //od 1.1.2011 se nepoužívá
            lstrPolozkyUrazu.datum = (userControl.FindControl("trdpDatum") as TRadDatePicker).SelectedDate;
            //dasm//lstrPolozkyUrazu.datum_smeny = (userControl.FindControl("trdpDatumSmeny") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.hodina = (userControl.FindControl("rtpHodina") as RadTimePicker).SelectedDate;
            lstrPolozkyUrazu.poc_hodin = Convert.ToDecimal((userControl.FindControl("rntbOdprHodPred") as RadNumericTextBox).Value); //63872// bobf 05.01.2023



            //zasm//lstrPolozkyUrazu.zac_smeny = (userControl.FindControl("rtpZacSmeny") as RadTimePicker).SelectedDate;
            lstrPolozkyUrazu.poc_osob = Convert.ToInt32((userControl.FindControl("trntbPocetOsob") as RadNumericTextBox).Text);


            if ((userControl.FindControl("rbDUs") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "s";
            if ((userControl.FindControl("rbDUh") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "h";
            if ((userControl.FindControl("rbDUo") as RadButton).Checked) lstrPolozkyUrazu.druh_uraz = "o";
            //***//lstrPolozkyUrazu.druh_uraz = (userControl.FindControl("trblDruhUraz") as TRadioButtonList).Text;


            string lsSestL = (userControl.FindControl("tchblSestL") as TCheckBoxList).SelectedValues;
            string lsSedmL = (userControl.FindControl("tchblSedmL") as TCheckBoxList).SelectedValues;
            string lsSestP = (userControl.FindControl("tchblSestP") as TCheckBoxList).SelectedValues;
            string lsSedmP = (userControl.FindControl("tchblSedmP") as TCheckBoxList).SelectedValues;
            ////////////TRadDatePicker trdpDatumVystaveni = (userControl.FindControl("trdpDatumVystaveni") as TRadDatePicker).Text;
            lstrPolozkyUrazu.cinn = (userControl.FindControl("rtbCinn") as RadTextBox).Text;
            lstrPolozkyUrazu.dr_pr = (userControl.FindControl("rtbDrPr") as RadTextBox).Text;
            lstrPolozkyUrazu.dr_zran = (userControl.FindControl("rtbDrZran") as RadDropDownList).SelectedValue;
            lstrPolozkyUrazu.cast_tela = (userControl.FindControl("rtbCastTela") as RadDropDownList).SelectedValue;
            lstrPolozkyUrazu.navyk_latky = (userControl.FindControl("rtbNavykLatky") as RadTextBox).Text;
            //***//lstrPolozkyUrazu.navyk_latky_k = (userControl.FindControl("trblNavykLatkyK") as TRadioButtonList).SelectedValue;
            if ((userControl.FindControl("rbKNLano") as RadButton).Checked) lstrPolozkyUrazu.navyk_latky_k = "a";
            else lstrPolozkyUrazu.navyk_latky_k = "n";
            lstrPolozkyUrazu.popis = (userControl.FindControl("rtbPopis") as RadTextBox).Text;
            lstrPolozkyUrazu.predpis = (userControl.FindControl("rtbPredpis") as RadTextBox).Text;
            lstrPolozkyUrazu.opatreni = (userControl.FindControl("rtbOpatreni") as RadTextBox).Text;
            lstrPolozkyUrazu.vyjadreni = (userControl.FindControl("rtbVyjadreni") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_nazev = (userControl.FindControl("rtbPracovisteNazev") as RadTextBox).Text.Trim();
            lstrPolozkyUrazu.pracoviste_ulice = (userControl.FindControl("rtbPracovisteUlice") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_misto = (userControl.FindControl("rtbPracovisteMisto") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_psc = (userControl.FindControl("rtbPracovistePsc") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_ico = (userControl.FindControl("rtbPracovisteIco") as RadTextBox).Text;
            lstrPolozkyUrazu.pracoviste_cz_nace = (userControl.FindControl("rtbPracovisteCzNace") as RadTextBox).Text;
            lstrPolozkyUrazu.trvani_dpn_od = (userControl.FindControl("trdpTrvaniDpnOd") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.trvani_dpn_do = (userControl.FindControl("trdpTrvaniDpnDo") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.datum_umrti = (userControl.FindControl("trdpDatumUmrti") as TRadDatePicker).SelectedDate;
            //*//lstrPolozkyUrazu.datum_vystaveni = (userControl.FindControl("trdpDatumVystaveni") as TRadDatePicker).SelectedDate;
            lstrPolozkyUrazu.svedek1 = (userControl.FindControl("rtbSvedek1") as RadTextBox).Text;
            lstrPolozkyUrazu.svedek2 = (userControl.FindControl("rtbSvedek2") as RadTextBox).Text;
            lstrPolozkyUrazu.svedek3 = (userControl.FindControl("rtbSvedek3") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_z = (userControl.FindControl("rtbZastupceZ") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_oo = (userControl.FindControl("rtbZastupceOO") as RadTextBox).Text;
            lstrPolozkyUrazu.zastupce_org = (userControl.FindControl("rtbZastupceOrg") as RadTextBox).Text;
            lstrPolozkyUrazu.prac_zaraz = (userControl.FindControl("rtbPracZaraz") as RadTextBox).Text;

            try
            {
                InputChecker.Text(lstrPolozkyUrazu.cislo_urazu, 11, "cislo_urazu");
                InputChecker.Text(lstrPolozkyUrazu.misto, 50, "misto");
                //kmst//InputChecker.Stredisko(lstrPolozkyUrazu.stred, "");
                InputChecker.Text(lstrPolozkyUrazu.pracoviste_nazev, 70, "pracoviste_nazev");
                InputChecker.Text(lstrPolozkyUrazu.pracoviste_ulice, 50, "pracoviste_ulice");
                InputChecker.Text(lstrPolozkyUrazu.pracoviste_misto, 50, "pracoviste_misto");
                InputChecker.Text(lstrPolozkyUrazu.pracoviste_psc, 5, "pracoviste_psc");
                InputChecker.Text(lstrPolozkyUrazu.svedek1, 40, "svedek1");
                InputChecker.Text(lstrPolozkyUrazu.svedek2, 40, "svedek2");
                InputChecker.Text(lstrPolozkyUrazu.svedek3, 40, "svedek3");
                InputChecker.Text(lstrPolozkyUrazu.zastupce_z, 40, "zastupce_z");
                InputChecker.Text(lstrPolozkyUrazu.zastupce_oo, 40, "zastupce_oo");
                InputChecker.Text(lstrPolozkyUrazu.zastupce_org, 40, "zastupce_org");
                InputChecker.Text(lstrPolozkyUrazu.prac_zaraz, 30, "prac_zaraz");
            }
            catch (Exception ex)
            {
                Label lblError = new Label();
                // jsem skončil
                lblError.Text = "Není možné přidat záznam do Seznamu úrazů. Důvod: " + ex.Message;
                lblError.ForeColor = System.Drawing.Color.Red;
                trgUrazyZamestnance.Controls.Add(lblError);
                e.Canceled = true;
                MessageBox.Alert(Page, lblError.Text, WebControlHelper.ZmenaTextu("[%Update se nezdařil%]"));
            }

            GridEditableItem gridEditableItem = e.Item as GridEditableItem;
            int? liCinnId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["cinn_id"] != DBNull.Value) liCinnId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["cinn_id"]);
            int? liDrPrId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["dr_pr_id"] != DBNull.Value) liDrPrId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["dr_pr_id"]);
            int? liDrZranId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["dr_zran_id"] != DBNull.Value) liDrZranId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["dr_zran_id"]);
            int? liPopisId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["popis_id"] != DBNull.Value) liPopisId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["popis_id"]);
            int? liPredpisId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["predpis_id"] != DBNull.Value) liPredpisId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["predpis_id"]);
            int? liOpatreniId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["opatreni_id"] != DBNull.Value) liOpatreniId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["opatreni_id"]);
            int? liVyjadreniId = null;
            if (gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["vyjadreni_id"] != DBNull.Value) liVyjadreniId = Convert.ToInt32(gridEditableItem.OwnerTableView.DataKeyValues[gridEditableItem.ItemIndex]["vyjadreni_id"]);

            UrazZdroje lstrPolozkyZdroje = new UrazZdroje();
            lsSestL = "," + lsSestL + ",";
            lsSestP = "," + lsSestP + ",";
            lstrPolozkyZdroje.Sest1 = lsSestL.Contains(",1,") ? "a" : "n";
            lstrPolozkyZdroje.Sest2 = lsSestL.Contains(",2,") ? "a" : "n";
            lstrPolozkyZdroje.Sest3 = lsSestL.Contains(",3,") ? "a" : "n";
            lstrPolozkyZdroje.Sest4 = lsSestL.Contains(",4,") ? "a" : "n";
            lstrPolozkyZdroje.Sest5 = lsSestL.Contains(",5,") ? "a" : "n";

            lstrPolozkyZdroje.Sest6 = lsSestP.Contains(",6,") ? "a" : "n";
            lstrPolozkyZdroje.Sest7 = lsSestP.Contains(",7,") ? "a" : "n";
            lstrPolozkyZdroje.Sest8 = lsSestP.Contains(",8,") ? "a" : "n";
            lstrPolozkyZdroje.Sest9 = lsSestP.Contains(",9,") ? "a" : "n";
            lstrPolozkyZdroje.Sest10 = lsSestP.Contains(",11,") ? "a" : "n";
            lstrPolozkyZdroje.Sest11 = lsSestP.Contains(",10,") ? "a" : "n";

            UrazPriciny lstrPolozkyPriciny = new UrazPriciny();
            lsSedmL = "," + lsSedmL + ",";
            lsSedmP = "," + lsSedmP + ",";
            lstrPolozkyPriciny.Sedm1 = lsSedmL.Contains(",1,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm2 = lsSedmL.Contains(",2,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm3 = lsSedmL.Contains(",3,") ? "a" : "n";

            lstrPolozkyPriciny.Sedm4 = lsSedmP.Contains(",4,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm5 = lsSedmP.Contains(",5,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm6 = lsSedmP.Contains(",6,") ? "a" : "n";
            lstrPolozkyPriciny.Sedm7 = lsSedmP.Contains(",7,") ? "a" : "n";

            try
            {

                DateTime ldtOd = DateTime.Now;
                DateTime ldtDo = DateTime.Now;
                Int32 liIdent = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["ident"]);
                string error = "";
                lstrPolozkyUrazu.ident = liIdent;

                InputChecker.Text((userControl.FindControl("rtbCinn") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbDrPr") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbPopis") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbPredpis") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbOpatreni") as RadTextBox).Text, 0, "blob");
                InputChecker.Text((userControl.FindControl("rtbVyjadreni") as RadTextBox).Text, 0, "blob");

                SqlPrikaz.SaveTextToInfoBlob(ref liCinnId, Globals.OsCislo, null, 1, null, null, lstrPolozkyUrazu.cinn, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liDrPrId, Globals.OsCislo, null, 2, null, null, lstrPolozkyUrazu.dr_pr, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liDrZranId, Globals.OsCislo, null, 3, null, null, lstrPolozkyUrazu.dr_zran, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liPopisId, Globals.OsCislo, null, 4, null, null, lstrPolozkyUrazu.popis, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liPredpisId, Globals.OsCislo, null, 5, null, null, lstrPolozkyUrazu.predpis, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liOpatreniId, Globals.OsCislo, null, 6, null, null, lstrPolozkyUrazu.opatreni, true, null, null, null);
                SqlPrikaz.SaveTextToInfoBlob(ref liVyjadreniId, Globals.OsCislo, null, 7, null, null, lstrPolozkyUrazu.vyjadreni, true, null, null, null);
                lstrPolozkyUrazu.cinn_id = liCinnId;
                lstrPolozkyUrazu.dr_pr_id = liDrPrId;
                lstrPolozkyUrazu.dr_zran_id = liDrZranId;
                lstrPolozkyUrazu.popis_id = liPopisId;
                lstrPolozkyUrazu.predpis_id = liPredpisId;
                lstrPolozkyUrazu.opatreni_id = liOpatreniId;
                lstrPolozkyUrazu.vyjadreni_id = liVyjadreniId;
                KSProgram.LekarskaEvidence.Uraz.UpdateUrazuZamestnance(lstrPolozkyUrazu, lstrPolozkyZdroje, lstrPolozkyPriciny, ref error);

                //L_error.Text = error;
                if (!string.IsNullOrEmpty(error))
                {
                    string title = "";
                    if (error.Contains("***"))
                    {
                        title = WebControlHelper.ZmenaTextu("[%Upozornění%]");
                        error = error.Substring(3);
                        KSProgram.WebControls.MessageBox.NotifikaceInfoUlozeni();
                    }
                    else
                    {
                        e.Canceled = true;
                        title = WebControlHelper.ZmenaTextu("[%Update se nezdařil%]");
                    }
                    MessageBox.Alert(Page, WebControlHelper.ZmenaTextu(error), title);
                }
                else
                {
                    KSProgram.WebControls.MessageBox.NotifikaceInfoUlozeni();
                }

            }
            catch (Exception ex)
            {
                Label lblError = new Label();
                // jsem skončil
                lblError.Text = "Není možné přidat záznam do Seznamu úrazů. Důvod: " + ex.Message;
                lblError.ForeColor = System.Drawing.Color.Red;
                trgUrazyZamestnance.Controls.Add(lblError);
                e.Canceled = true;
                MessageBox.Alert(Page, lblError.Text, WebControlHelper.ZmenaTextu("[%Update se nezdařil%]"));
            }

        }


        protected void trgUrazyZamestnance_DeleteCommand(object sender, GridCommandEventArgs e)
        {
            GridEditableItem editedItem = e.Item as GridEditableItem;
            //UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);
            int? liCinnId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["cinn_id"] != DBNull.Value) liCinnId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["cinn_id"]);
            int? liDrPrId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["dr_pr_id"] != DBNull.Value) liDrPrId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["dr_pr_id"]);
            int? liDrZranId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["dr_zran_id"] != DBNull.Value) liDrZranId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["dr_zran_id"]);
            int? liPopisId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["popis_id"] != DBNull.Value) liPopisId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["popis_id"]);
            int? liPredpisId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["predpis_id"] != DBNull.Value) liPredpisId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["predpis_id"]);
            int? liOpatreniId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["opatreni_id"] != DBNull.Value) liOpatreniId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["opatreni_id"]);
            int? liVyjadreniId = null;
            if (editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["vyjadreni_id"] != DBNull.Value) liVyjadreniId = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["vyjadreni_id"]);

            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liCinnId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=1");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liDrPrId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=2");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liDrZranId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=3");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liPopisId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=4");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liPredpisId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=5");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liOpatreniId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=6");
            SqlPrikaz.ExecuteNonQuery("delete from info_blob where id=" + liVyjadreniId.ToString() + " and os_cislo=" + Globals.OsCislo.ToString() + " and pouziti=7");
            Int32 liIdent = Convert.ToInt32(editedItem.OwnerTableView.DataKeyValues[editedItem.ItemIndex]["ident"]);
            KSProgram.LekarskaEvidence.Uraz.DeleteUrazuZamestnance(liIdent);

        }


        private DataTable dtUrazyZamestnance
        {

            get
            {
                object obj = this.Session["UrazyZamestnance"];
                if ((!(obj == null)))
                {
                    return ((DataTable)(obj));
                }
                DataTable myDataTable = new DataTable();
                myDataTable = KSProgram.LekarskaEvidence.Uraz.UrazyZamestnance();
                this.Session["UrazyZamestnance"] = myDataTable;
                return myDataTable;
            }

        }


        protected void trgUrazyZamestnance_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
        {


            DataTable ltUrazyZamestnance = KSProgram.LekarskaEvidence.Uraz.UrazyZamestnance();
            trgUrazyZamestnance.DataSource = ltUrazyZamestnance;
            //ODS_str.SelectParameters["datumOd"].DefaultValue = DateTime.Today.ToString();
            //ODS_str.SelectParameters["datumDo"].DefaultValue = DateTime.Today.ToString();

            cfPrilohy(null);


        }


        protected void trblPravidPrac_SelectedIndexChanged(object sender, EventArgs e)
        {

            Type senderType = sender.GetType();
            Type eType = e.GetType();

            string senderString = senderType.ToString();
            string eString = eType.ToString();

            TRadioButtonList trblPravidPrac = (TRadioButtonList)sender;

            if (trblPravidPrac.SelectedValue == "a")
            {

                GridItem item = ((Control)(trblPravidPrac.Parent)).BindingContainer as GridItem;
                RadTextBox rtbPracovisteNazev = item.FindControl("rtbPracovisteNazev") as RadTextBox;
                //prpr//RadTextBox tbPracovisteUlice = item.FindControl("rtbPracovisteUlice") as RadTextBox;
                //prpr//RadTextBox tbPracovisteMisto = item.FindControl("rtbPracovisteMisto") as RadTextBox;
                //prpr//RadTextBox tbPracovistePsc = item.FindControl("rtbPracovistePsc") as RadTextBox;
                //prpr//RadTextBox tbPracovisteIco = item.FindControl("rtbPracovisteIco") as RadTextBox;
                //RadTextBox tbPracovisteCzNace = item.FindControl("tbPracovisteCzNace") as RadTextBox;
                rtbPracovisteNazev.Text = ZjistiParMzdy.Get("nazev");
                //prpr//tbPracovisteUlice.Text = ZjistiParMzdy.Get("ulice");
                //prpr//tbPracovisteMisto.Text = ZjistiParMzdy.Get("misto");
                //prpr//tbPracovistePsc.Text = ZjistiParMzdy.Get("psc");
                //prpr//tbPracovisteIco.Text = ZjistiParMzdy.Get("ico");
                //tbPracovisteCzNace.Text = ZjistiParMzdy.Get("CZ_NACE");
            };



        }


        protected void trgUrazyZamestnance_ItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
            {
                GridEditFormItem editFormItem = e.Item as GridEditFormItem;

                UserControl userControl = (UserControl)e.Item.FindControl(GridEditFormItem.EditFormUserControlID);

                RadNumericTextBox rntbEvidencniCislo = userControl.FindControl("rntbEvidencniCislo") as RadNumericTextBox;
                RadNumericTextBox rntbCisloUrazu = userControl.FindControl("rntbCisloUrazu") as RadNumericTextBox;
                //prpr//TRadioButtonList trblPravidPrac = userControl.FindControl("trblPravidPrac") as TRadioButtonList;
                RadTextBox rtbPracovisteNazev = userControl.FindControl("rtbPracovisteNazev") as RadTextBox;
                RadTextBox rtbPracovisteUlice = userControl.FindControl("rtbPracovisteUlice") as RadTextBox;
                RadTextBox rtbPracovisteMisto = userControl.FindControl("rtbPracovisteMisto") as RadTextBox;
                RadTextBox rtbPracovistePsc = userControl.FindControl("rtbPracovistePsc") as RadTextBox;
                RadTextBox rtbPracovisteIco = userControl.FindControl("rtbPracovisteIco") as RadTextBox;
                RadTextBox rtbPracovisteCzNace = userControl.FindControl("rtbPracovisteCzNace") as RadTextBox;
                RadTextBox rtbPostizeny = userControl.FindControl("rtbPostizeny") as RadTextBox;
                RadTextBox rtbJmenoPrijmeni = userControl.FindControl("rtbJmenoPrijmeni") as RadTextBox;
                RadTextBox rtbZastupceZ = userControl.FindControl("rtbZastupceZ") as RadTextBox;
                RadTextBox rtbPracZaraz = userControl.FindControl("rtbPracZaraz") as RadTextBox;
                RadTextBox rtbDrPr = userControl.FindControl("rtbDrPr") as RadTextBox;
                RadTextBox rtbDatumNarozeni = userControl.FindControl("rtbDatumNarozeni") as RadTextBox;
                RadTextBox rtbStPrisl = userControl.FindControl("rtbStPrisl") as RadTextBox;
                RadTextBox rtbDorucovaciAdresa = userControl.FindControl("rtbDorucovaciAdresa") as RadTextBox;
                RadButton rbDruhVztahup = userControl.FindControl("rbDruhVztahup") as RadButton;
                RadButton rbDruhVztahud = userControl.FindControl("rbDruhVztahud") as RadButton;
                RadButton rbDruhVztahus = userControl.FindControl("rbDruhVztahus") as RadButton;
                RadButton rbMUPPano = userControl.FindControl("rbMUPPano") as RadButton;
                RadButton rbMUPPne = userControl.FindControl("rbMUPPne") as RadButton;
                RadButton rbMZm = userControl.FindControl("rbMZm") as RadButton;
                RadButton rbMZz = userControl.FindControl("rbMZz") as RadButton;
                TRadDatePicker trdpTrvaniDpnOd = userControl.FindControl("trdpTrvaniDpnOd") as TRadDatePicker;
                TRadDatePicker trdpTrvaniDpnDo = userControl.FindControl("trdpTrvaniDpnDo") as TRadDatePicker;

                Label lDrZranD1 = userControl.FindControl("lDrZranD1") as Label;
                Label lDrZranD2 = userControl.FindControl("lDrZranD2") as Label;
                Label lDrZranD3 = userControl.FindControl("lDrZranD3") as Label;


                //kmst//RadDropDownList ddlStredisko = userControl.FindControl("trddlStredisko") as RadDropDownList; //bobf 28.04.2020

                GridDataItem parentItem = editFormItem.ParentItem;

                // Nastavím os. číslo do hidden fieldu kontrolky formuláře
                HiddenField hfOsCislo = userControl.FindControl("hfOsCislo") as HiddenField;


                // Pokud se jedná o INSERT ZAZNAMU
                if (parentItem == null)
                {

                    hfOsCislo.Value = Globals.OsCislo.ToString();

                    string lsSQL = "SELECT max(evid_cis) FROM uraz_form";
                    int liMaxEvidCis = SqlPrikaz.ExecuteScalarInt32(lsSQL, 0);
                    //if (liMaxEvidCis == null) liMaxEvidCis = 0;
                    liMaxEvidCis++;

                    rntbEvidencniCislo.Text = liMaxEvidCis.ToString();

                    DateTime ldNovyRok = DateTime.Parse(DateTime.Today.Year.ToString() + ".01.01");
                    DateTime ldSilvestr = DateTime.Parse(DateTime.Today.Year.ToString() + ".12.31");

                    lsSQL = "SELECT count(ident) FROM uraz_form WHERE datum >= " + SqlPrikaz.DateTimeToString(ldNovyRok);
                    lsSQL += " and datum <= " + SqlPrikaz.DateTimeToString(ldSilvestr);
                    int liPocet = SqlPrikaz.ExecuteScalarInt32(lsSQL, 0);
                    //if (liPocet == null) liPocet = 0;
                    liPocet++;

                    rntbCisloUrazu.Text = (DateTime.Today.Year.ToString("0000") + liPocet.ToString("0000000"));

                    rbMUPPano.Checked = true;
                    rbMUPPne.Checked = false;
                    rtbPracovisteNazev.Text = ZjistiParMzdy.Get("nazev");
                    rtbPracovisteUlice.Text = ZjistiParMzdy.Get("ulice");
                    rtbPracovisteMisto.Text = ZjistiParMzdy.Get("misto");
                    rtbPracovistePsc.Text = ZjistiParMzdy.Get("psc");
                    rtbPracovisteIco.Text = ZjistiParMzdy.Get("ico");
                    rtbPracovisteCzNace.Text = Parametr_cti.Get("CZ_NACE", DateTime.Now, 0);

                    // Načtu kmenové středisko zaměstnace bobf 29.04.2020 hid 50200
                    lsSQL = "SELECT kmen_str FROM pracovnici WHERE os_cislo = " + Globals.OsCislo.ToString();
                    //kmst//string lsKmenStr = SqlPrikaz.ExecuteScalarString(lsSQL, "");
                    //kmst//ddlStredisko.SelectedValue = lsKmenStr.Trim();

                    string druhPomeru = "", retErr = "";
                    decimal osCislo = Globals.OsCisloPomer.OsCislo;
                    short cisloPom = Globals.OsCisloPomer.CisloPom;
                    Prac_pom.Platny_Pomer(osCislo, DateTime.Today, out cisloPom, out druhPomeru, out retErr);
                    if (druhPomeru.Trim() == "1") druhPomeru = "p"; else druhPomeru = "d";

                    int idPracMist = 0;
                    int czISCO = 0;
                    string mistoVykonu = "";
                    string czISCE = "";
                    lsSQL = "SELECT id_pracmist,misto_vykonu,kl_po_zam,jkz FROM prac_pom WHERE os_cislo = " + osCislo.ToString() + " AND cislo_pom = " + cisloPom.ToString();
                    using (IDataReader reader = SqlPrikaz.ExecuteReader(lsSQL))
                    {
                        if (reader.Read())
                        {
                            idPracMist = GetNullOrData.GetInt32(reader, "id_pracmist", 0);
                            mistoVykonu = GetNullOrData.GetString(reader, "misto_vykonu", "").Trim();
                            czISCE = GetNullOrData.GetString(reader, "kl_po_zam", "").Trim();
                            czISCO = GetNullOrData.GetInt32(reader, "jkz", 0);
                        }
                    }

                    if (czISCO > 0)
                    {
                        lsSQL = "SELECT nazev FROM cis_kzam WHERE kzam = " + czISCO.ToString();
                        string czISCONazev = SqlPrikaz.ExecuteScalarString(lsSQL, "");
                        rtbDrPr.Text = czISCO.ToString() + "" + czISCONazev;
                    }
                    else
                    {
                        if (czISCE != "")
                        {
                            lsSQL = "SELECT nazev_zkr FROM cis_kl_po_zam WHERE kod = " + czISCE.Trim();
                            string czISCENazev = SqlPrikaz.ExecuteScalarString(lsSQL, "");
                            rtbDrPr.Text = czISCE.Trim() + "" + czISCENazev;
                        }
                    }

                    //56196// Načtu státní příslušnost bobf 04.11.2021 
                    lsSQL = "SELECT st_prisl, cis_st_prisl.cesky FROM pracovnici, cis_st_prisl";
                    lsSQL += " WHERE pracovnici.os_cislo = " + SqlPrikaz.DecimalToDbString(osCislo);
                    lsSQL += " AND cis_st_prisl.kod_ciselny = pracovnici.st_prisl";
                    string stPrisl = "";
                    using (IDataReader reader = SqlPrikaz.ExecuteReader(lsSQL))
                    {
                        if (reader.Read())
                        {
                            stPrisl = GetNullOrData.GetString(reader, "st_prisl", "").Trim();
                            stPrisl += " - " + GetNullOrData.GetString(reader, "cesky", "").Trim();
                        }
                    }
                    string lsKmenStr = SqlPrikaz.ExecuteScalarString(lsSQL, "");
                    string jmenoPracovnika = Pracovnik.TitulJmenoPrijmeni(osCislo);
                    rtbPostizeny.Text = jmenoPracovnika; //Pracovnik.TitulJmenoPrijmeni(osCislo);
                    rtbJmenoPrijmeni.Text = jmenoPracovnika;
                    rtbDatumNarozeni.Text = Pracovnik.DatumNarozeni(osCislo).Date.ToString("dd.MM.yyyy");
                    rtbStPrisl.Text = stPrisl;
                    rtbDorucovaciAdresa.Text = Pracovnik.Bydliste(osCislo, 't', "u, m p");
                    if (F_RodneCislo.Zena(Pracovnik.RodneCislo(osCislo))) rbMZz.Checked = false;
                    else rbMZm.Checked = true;

                    if (druhPomeru == "p") rbDruhVztahup.Checked = true;
                    else
                    {
                        if (druhPomeru == "d") rbDruhVztahud.Checked = true;
                        else rbDruhVztahus.Checked = true;
                    }
                    lDrZranD1.Text = ""; // "&nbsp";
                    lDrZranD2.Text = ""; // "&nbsp";
                    lDrZranD3.Text = ""; // "&nbsp";

                    //56196//

                    //55800/ bobf 3.1.2022
                    short[] kody = new short[1];
                    kody[0] = 508;

                    DateTime trvaniDpnOd = DateTime.MinValue;
                    DateTime trvaniDpnDo = DateTime.MinValue;
                    string errMsg = "";
                    if (Absence.AbsenceOdDo(kody, Globals.OsCisloPomer.OsCislo, Globals.OsCisloPomer.CisloPom, DateTime.Today, ref trvaniDpnOd, ref trvaniDpnDo, ref errMsg))
                    {
                        if (trvaniDpnOd > DateTime.MinValue) trdpTrvaniDpnOd.SelectedDate = trvaniDpnOd;
                        if (trvaniDpnDo > DateTime.MinValue) trdpTrvaniDpnDo.SelectedDate = trvaniDpnDo;
                    }
                    //55800//


                    //      if isnull(lsCZISCOnazev) then lsCZISCOnazev = ""
                    //      lsCZISCOnazev = trim(lsCZISCOnazev)
                    //      if SQLCA.SQLCode = 0 and llCZISCO > 0 then
                    //            dw_detail.Object.druh_prace[ll_row] = string(llCZISCO) + " " + lsCZISCOnazev
                    //      end if




                    //platny_pomer(idc_osobnicislo, ld_datum, li_cislo_pom, ls_druh_pom, ls_err)
                    //select id_pracmist, misto_vykonu, kl_po_zam, jkz into: llIdPracMist,:lsMistoVykonu,:lsCZISCE,:llCZISCO from prac_pom where os_cislo = :idc_osobnicislo and cislo_pom = :li_cislo_pom;
                    //if isnull(lsCZISCE) then lsCZISCE = ""
                    //lsCZISCE = trim(lsCZISCE)
                    //if SQLCA.SQLCode = 0 then
                    //      //			select cis_pracmist,naz_pracmist into :llCisPracMist, :lsNazPracMist
                    //      //				from prac_mist
                    //      //				where id_pracmist = :llIdPracMist;
                    //      //			if SQLCA.SQLCode=0 and llCisPracMist > 0 then	
                    //      //				dw_detail.Object.druh_prace[ll_row] = string(llCisPracMist) + " " + lsNazPracMist
                    //      //			end if		
                    //      SELECT  nazev_zkr INTO :lsCZISCEnazev FROM cis_kl_po_zam WHERE kod = :lsCZISCE;
                    //      if isnull(lsCZISCEnazev) then lsCZISCEnazev = ""
                    //      lsCZISCEnazev = trim(lsCZISCEnazev)
                    //      if SQLCA.SQLCode = 0 and lsCZISCE <> "" then
                    //          dw_detail.Object.druh_prace[ll_row] = lsCZISCE + " " + lsCZISCEnazev
                    //      end if

                    //      SELECT  nazev INTO :lsCZISCOnazev FROM cis_kzam WHERE kzam = :llCZISCO;
                    //      if isnull(lsCZISCOnazev) then lsCZISCOnazev = ""
                    //      lsCZISCOnazev = trim(lsCZISCOnazev)
                    //      if SQLCA.SQLCode = 0 and llCZISCO > 0 then
                    //            dw_detail.Object.druh_prace[ll_row] = string(llCZISCO) + " " + lsCZISCOnazev
                    //      end if
                    //end if



                }
                else
                {
                    hfOsCislo.Value = parentItem.GetDataKeyValue("os_cislo").ToString();
                }

            }
        }


        protected void trgUrazyZamestnance_ItemCommand(object sender, GridCommandEventArgs e)
        {

            if (e.CommandName == "Novy")
            {
                //FormViewModeEventArgs evArgs = new FormViewModeEventArgs(FormViewMode.Insert, false);
                //FV_SlcHlavicka_ModeChanging(sender, evArgs);
                //if (evArgs.Cancel == false)
                //    Novy();


            }
            else if (e.CommandName == "PrintForm")
            {

                int liIdent = 0;
                if (trgUrazyZamestnance.SelectedValue == null) return;
                liIdent = (int)trgUrazyZamestnance.SelectedValue;
                String Title = "Záznamu o úrazu";
                string lsUrl = "~/Zamestnanec/ZaznamUrazuPrint.aspx";
                NameValueCollection data = new NameValueCollection();
                data.Add("ident", liIdent.ToString());

                QueryStringCrypto ht = new QueryStringCrypto();
                lsUrl = ht.AddEncryptQuery(lsUrl, data);

                PopupParam popup = new PopupParam(this.Page, Title, lsUrl);
                popup.Status = true;
                popup.Toolbar = false;
                popup.Location = true;
                popup.Menubar = true;
                popup.Titulek = Title;
                popup.Height = 2048;
                popup.Width = 900;
                popup.Show();

            }
            else if (e.CommandName == "Prilohy")
            {
                cfPrilohy(true);
            }

        }


        protected void trgUrazyZamestnance_SelectedIndexChanged(object sender, EventArgs e)
        {
            //aby tento event byl volán je nutné nastavit <ClientSettings EnablePostBackOnRowClick="true">
            cfPrilohy(null);
        }


        protected void trgUrazyZamestnance_EditCommand(object sender, GridCommandEventArgs e)
        {
            if (e.CommandName == RadGrid.InitInsertCommandName) //"Add new" button clicked
            {
                GridEditCommandColumn editColumn = (GridEditCommandColumn)trgUrazyZamestnance.MasterTableView.GetColumn("EditCommandColumn");
                editColumn.Visible = false;

                //**//lstrPolozkyUrazu.zastupce_org = (userControl.FindControl("rtbZastupceOrg") as RadTextBox).Text;

            }
            else if (e.CommandName == RadGrid.RebindGridCommandName && e.Item.OwnerTableView.IsItemInserted)
            {
                e.Canceled = true;
            }
            else
            {
                GridEditCommandColumn editColumn = (GridEditCommandColumn)trgUrazyZamestnance.MasterTableView.GetColumn("EditCommandColumn");
                if (!editColumn.Visible)
                    editColumn.Visible = true;
            }
        }


        protected void cfPrilohy(bool? povolPrilohy)
        {
            //bool lbPovolPrilohy;
            int urazID = 0;
            urazID = Convert.ToInt32(trgUrazyZamestnance.SelectedValue);
            /* PH 1.12.2021 HID:59290 zrušený if přílohy se musí obnovit i když je uraID=0, protože to se stane při přechodu na nového zaměstnance
            if (urazID > 0)
            {
            */
            /*
            ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).IdVlastnika = urazID;
            if (povolPrilohy == null)
            {
                string lsSQL = "select count(*) from prilohy where vlastnik = 'uraz_form' and vazba_vlastnik = 'ident=" + urazID.ToString() + "'";
                int liPocet = SqlPrikaz.ExecuteScalarInt32(lsSQL, 0);
                if (liPocet > 0) lbPovolPrilohy = true; else lbPovolPrilohy = false;
            }
            else
            {
                lbPovolPrilohy = (bool)povolPrilohy;
            }
            pan_prilohy.Visible = lbPovolPrilohy;

            if (lbPovolPrilohy)
            {
                pan_prilohy.Visible = true;                   
                //((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).IdVlastnika = urazID;
                ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).Vlastnik = "uraz_form";
                ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).DataBind();
            }
            else pan_prilohy.Visible = false;
            */

            //PH 23.5.2019 přílohy půjdou vidět vždy                
            ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).IdVlastnika = urazID;
            ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).Vlastnik = "uraz_form";
            ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).DataBind();
            //PH 1.12.2021 přílohy budou skryty pokud nebude vybrán některý úraz, protože přílohy se vždy vztahují k vybranému úrazu                
            ((PrilohyManager)(WebControlHelper.FindControl(this, "uc_prilohy"))).Visible = (urazID > 0);

            //pan_prilohy.Visible = true;
            // WebControlHelper.FindControl(trgUrazyZamestnance, "TRB_prilohy").Visible = true;

            //}   PH 1.12.2021 HID:59290 zrušený if přílohy se musí obnovit i když je uraID=0, protože to se stane při přechodu na nového zaměstnance

        }


        protected void trgUrazyZamestnance_PreRender(object sender, EventArgs e)
        {
            if (trgUrazyZamestnance.SelectedItems.Count > 0)
                if (WebControlHelper.FindControl(trgUrazyZamestnance, "TRB_prilohy") != null)
                    WebControlHelper.FindControl(trgUrazyZamestnance, "TRB_prilohy").Visible = true;
        }


        #region WEB METHODS

        [WebMethod]
        public static string TrvaniDPNOdDo(DateTime aDatum, decimal aOsCislo)
        {
            //55800/ bobf 3.1.2022
            DataReturn dataReturn = new DataReturn();
            dataReturn.pocetKd = 0;
            DateTime minDate = new DateTime(1971, 1, 1);

            if (aDatum == null) aDatum = DateTime.Today;

            short[] kody = new short[1];
            kody[0] = 508;
            if (aDatum != DateTime.MinValue)
            {
                DateTime trvaniDpnOd = DateTime.MinValue;
                DateTime trvaniDpnDo = DateTime.MinValue;
                string errMsg = "", pomDruh;
                short pomCislo;

                Prac_pom.Platny_Pomer(aOsCislo, aDatum, out pomCislo, out pomDruh, out errMsg);


                if (Absence.AbsenceOdDo(kody, aOsCislo, pomCislo, aDatum, ref trvaniDpnOd, ref trvaniDpnDo, ref errMsg))
                {

                    if (trvaniDpnOd > minDate)
                    {
                        dataReturn.datumOd = new int[3];
                        dataReturn.datumOd[0] = trvaniDpnOd.Year;
                        dataReturn.datumOd[1] = trvaniDpnOd.Month - 1;
                        dataReturn.datumOd[2] = trvaniDpnOd.Day;
                    }
                    if (trvaniDpnDo > minDate)
                    {
                        dataReturn.datumDo = new int[3];
                        dataReturn.datumDo[0] = trvaniDpnDo.Year;
                        dataReturn.datumDo[1] = trvaniDpnDo.Month - 1;
                        dataReturn.datumDo[2] = trvaniDpnDo.Day;
                    }
                    if (trvaniDpnOd > minDate && trvaniDpnDo > trvaniDpnOd)
                    {
                        dataReturn.pocetKd = (trvaniDpnDo - trvaniDpnOd).Days;
                    }
                }
            }

            return Newtonsoft.Json.JsonConvert.SerializeObject(dataReturn, Newtonsoft.Json.Formatting.Indented);
            //55800//
        }

        #endregion

    }
}

public class DataReturn
{
    public int[] datumOd { get; set; }
    public int[] datumDo { get; set; }
    public int pocetKd { get; set; }
}