﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LekFormProLekare.aspx.cs"
    Inherits="KSPortal.Zamestnanec.LekFormProLekare" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <link href="../css/print_ksprtl.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
        <div style="width: 800px">
            <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            </telerik:RadScriptManager>
            <div class="tiskHide" style="padding-bottom: 10px">
                <telerik:RadButton ID="RB_Zpet" runat="server" Text="[%Zpět%]" AutoPostBack="False"
                    ButtonType="LinkButton">
                </telerik:RadButton>
            </div>
            <table width="100%" cellspacing="0" cellpadding="5" style="">
                <tr>
                    <td>
                        <kspwc:TImageButton ID="TIB_logo" runat="server" Width="128px" />
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <asp:Label ID="Label16" runat="server" Text="[%Evidenční číslo%]: ..........................."></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <asp:Label ID="L_Nadpis" runat="server" SkinID="Title1" Text="[%Žádost o posouzení zdravotní způsobilosti k práci%]"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <asp:Label ID="Label3" runat="server" Text="[%Na základě ustanovení zákona č. 373/2011 Sb., o specifických zdravotních službách, ve znění pozdějších předpisů, žádáme o provedení pracovně lékařské prohlídky a posouzení zdravotní způsobilosti k práci.%]"></asp:Label>
                    </td>
                </tr>
            </table>

            <asp:ObjectDataSource ID="odsHlavicka" runat="server" OldValuesParameterFormatString="original_{0}"
                SelectMethod="FormProLekareHlavicka" TypeName="KSProgram.LekarskaEvidence.LekProhlidky">
                <SelectParameters>
                    <asp:Parameter Name="aOsCislo" Type="Decimal" />
                    <asp:Parameter Name="aCisloPom" Type="Int16" />
                    <asp:Parameter Name="aVzdTel" Type="Boolean" />
                    <asp:Parameter Name="aVzdNec" Type="Boolean" />
                    <asp:Parameter Name="aVybLek" Type="string" />
                    <asp:Parameter Name="aFlags" Type="string" />
                     <asp:Parameter Name="aReferencniDatum" Type="DateTime" />
                </SelectParameters>
            </asp:ObjectDataSource>

            <asp:ObjectDataSource ID="odsLekar" runat="server" OldValuesParameterFormatString="original_{0}"
                SelectMethod="CiselnikLekaru" TypeName="KSProgram.LekarskaEvidence.LekProhlidky"></asp:ObjectDataSource>

            <asp:Repeater ID="rHlavicka" runat="server" OnItemDataBound="rHlavicka_ItemDataBound">
                <ItemTemplate>
                    <table width="100%">
                        <tr>
                            <td>
                                <asp:CheckBox ID="cbVstupni" runat="server" Checked='<%# Bind("pn") %>' Text="Vstupní" />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbVstupniZPP" runat="server" Checked='<%# Bind("py") %>' Text="Vstupní z.p.p." />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbPeriodická" runat="server" Checked='<%# Bind("po") %>' Text="Periodická" />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbMimoradna" runat="server" Checked='<%# Bind("pm") %>' Text="Mimořádná" />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbMimoradnPN" runat="server" Checked='<%# Bind("pq") %>' Text="Mimořádná PN" />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbVystupni" runat="server" Checked='<%# Bind("pv") %>' Text="Výstupní" />
                            </td>
                            <td>
                                <asp:CheckBox ID="cbNasledna" runat="server" Checked='<%# Bind("pf") %>' Text="Následná" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <table style="border: thin solid #C0C0C0" width="100%">
                                    <tr>
                                        <td>
                                            <asp:Label ID="lZamestnanecT" runat="server" Font-Bold="true" Text="[%Zaměstnanec%]:"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lTitulT" runat="server" Text="[%Titul%]:"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lTitulD" runat="server" Text='<%# Bind("titul") %>' Font-Bold="true"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lJmenoT" runat="server" Text="[%Jméno%]:"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lJmenoD" runat="server" Text='<%# Eval("jmeno") %>' Font-Bold="true"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lPrijmeniT" runat="server" Text="[%Příjmení%]:"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lPrijmeniD" runat="server" Text='<%# Bind("prijmeni") %>' Font-Bold="true"></asp:Label>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lNarozeniT" runat="server" Text="[%Datum narození%]:"></asp:Label>
                                            <asp:Label ID="lNarozeniD" runat="server" Text='<%# Bind("datum_narozeni") %>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lAdresaT" runat="server" Text="[%Adresa trvalého pobytu%]:"></asp:Label>
                                            <asp:Label ID="lAdresaD" runat="server" Text='<%# Bind("adresa") %>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lPojistovnaT" runat="server" Text="[%Zdravotní pojišťovna%]:"></asp:Label>
                                            <asp:Label ID="lPojistovnaD" runat="server" Text='<%# Bind("zdravotni_pojistovna") %>'></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td colspan="3">
                                <table style="border: thin solid #C0C0C0" width="100%">
                                    <tr>
                                        <td>
                                            <asp:Label ID="lPodnikLabel" runat="server" Font-Bold="true" Text="[%Zaměstnavatel%]:"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lPodnikNazev" runat="server" Text='<%# Bind("nazev_firmy") %>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label8" runat="server" Text='<%# Bind("ulice_firmy") %>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label9" runat="server" Text='<%# Bind("misto_firmy") %>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label24" runat="server" Text="IČ: "></asp:Label>
                                            <asp:Label ID="Label18" runat="server" Text='<%# Bind("ico_firmy") %>'></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lPracovisteT" runat="server" Font-Bold="true" Text="[%Pracoviště%]:"></asp:Label>
                            </td>
                            <td colspan="4" align="left">
                                <asp:Label ID="lPracovisteD" runat="server" Text='<%# Eval("pracoviste") %>'></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="lVyslKategRizikaT" runat="server" Font-Bold="true" Text="[%Výsledná kategorie rizika%]:"></asp:Label>
                            </td>
                            <td align="left">
                                <asp:Label ID="lVyslKategRizikaD" runat="server" Text='<%# Eval("vysl_kateg_rizika") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:Label ID="lPracPozT" runat="server" Font-Bold="true" Text="[%Pracovní pozice%]:"></asp:Label>
                            </td>
                            <td colspan="5" align="left">
                                <asp:Label ID="lPracPozD" runat="server" Text='<%# Bind("prac_pozice") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <table width="100%">
                                <tr>
                                    <td>
                                        <asp:Label ID="lPracRezT" runat="server" Font-Bold="true" Text="[%Pracovní režim%]:"></asp:Label>
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="cbJedno" runat="server" Checked='<%# Eval("prac_rezim").Equals("j") %>' Text="jednosměnný" />
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="cbDvou" runat="server" Checked='<%# Eval("prac_rezim").Equals("d") %>' Text="dvousměnný" />
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="cbTri" runat="server" Checked='<%# Eval("prac_rezim").Equals("t") %>' Text="třísměnný" />
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="cbNepr" runat="server" Checked='<%# Eval("prac_rezim").Equals("n") %>' Text="nepřetržitý" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="cbJiny" runat="server" Checked="false" Text="jiný" />
                                    </td>
                                    <td colspan="3">
                                        <asp:Label ID="lCara1" runat="server" Text='__________________________________________________'></asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:Repeater>

            <kspwc:TRadGrid ID="TRadGrid1" runat="server" AutoGenerateColumns="False" OnNeedDataSource="TRadGrid1_NeedDataSource"
                GroupPanelPosition="Top" IsExporting="False">
                <GroupingSettings CaseSensitive="False" CollapseAllTooltip="Collapse all groups"></GroupingSettings>
                <MasterTableView>
                    <Columns>
                        <telerik:GridBoundColumn DataField="radek" FilterControlAltText="Filter radek column" HeaderStyle-Font-Bold="true" HeaderStyle-ForeColor="Black"
                            HeaderText="[%Zdravotní a bezpečnostní rizika%]" UniqueName="radek">
                            <ItemStyle Width="500px" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="vysl_kateg_rizika" FilterControlAltText="Filter radek column" HeaderStyle-Font-Bold="true" HeaderStyle-ForeColor="Black"
                            HeaderText="" UniqueName="vysl_kateg_rizika" Display="false">
                            <ItemStyle Width="0px" />
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
            </kspwc:TRadGrid>

            <br />

            <asp:Repeater ID="rPaticka" runat="server" OnItemDataBound="rHlavicka_ItemDataBound">
                <ItemTemplate>
                    <table width="100%">
                        <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <asp:Label ID="lVzdTel" runat="server" Text='<%#Bind("vzd_tel_text")%>' Width="100%"></asp:Label>
                            </td>
                        </tr>
                        <tr align="center">
                            <td colspan="1">
                                <asp:Label ID="lDne1" runat="server" Text="[%Dne%]:" Width="100%"></asp:Label>
                            </td>
                            <td colspan="1">
                                <asp:Label ID="lDne2" runat="server" Text='<%#Bind("dne")%>'> </asp:Label>
                            </td>
                            <td colspan="2">
                                <asp:Label ID="lPodpis" runat="server" Text="[%Podpis zaměstnavatele%]: ................................."></asp:Label>
                            </td>
                        </tr>
                    </table>
                    <table width="100%">
                        <tr>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                            <td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <hr width="100%" style="border: 0; border-bottom: 1px dashed #ccc" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8" align="center">
                                <asp:Label ID="Label2" runat="server" SkinID="Title1" Text="[%Lékařský posudek o zdravotní způsobilosti k práci%]"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:Label ID="Label5" runat="server" Text="[%Poskytovatel pracovně lékařských služeb vydávající lékařský posudek o zdravotní způsobilosti k práci:%]"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8" style="border-style: solid; border-width: thin">
                                <asp:Label ID="Label20" runat="server" SkinID="caption" Text='<%# Bind("vybrany_lekar") %>'>></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:Label ID="Label6" runat="server" SkinID="caption" Text="[%Posudkový závěr%]:"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:Label ID="Label7" runat="server" Text="[%Na základě zhodnocení výsledků vyžádané pracovnělékařské prohlídky, zdravotní náročnosti práce a dalších potřebných podkladů posuzujícím lékařem je jmenovaná posuzovaná osoba k výše uvedené práci%]"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:CheckBox ID="cbZZ" runat="server" Checked="false" Text="[%Zdravotně způsobilá pro uvedenou činnost%]*)" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:CheckBox ID="cbZZsP" runat="server" Checked="false" Text="[%Zdravotně způsobilá pro uvedenou činnost s podmínkou%] .......................................*)" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <asp:CheckBox ID="cbZN" runat="server" Checked="false" Text="[%Zdravotně nezpůsobilá%]*)" />
                            </td>
                            <td colspan="4">
                                <asp:Label ID="Label4" runat="server" Font-Size="Smaller" Text="*)  [%Křížkem označte zdravotní způsobilost, nehodící se škrtněte%]" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                <asp:CheckBox ID="cbPZZ" runat="server" Checked="false" Text="[%Pozbyla dlouhodobě zdravotní způsobilost k této práci pro:%]*)" />
                            </td>
                            <td colspan="3">
                                <asp:CheckBox ID="cbPZZa" runat="server" Checked="false" Font-Size="Smaller" Text="[%pracovní úraz%]" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                <asp:CheckBox ID="cbAVP" runat="server" Checked="false" Text="[%Absolvovala výstupní prohlídku dne%]: ..................................." />
                            </td>
                            <td colspan="3">
                                <asp:CheckBox ID="cbPZZb" runat="server" Checked="false" Font-Size="Smaller" Text="[%onemocnění nemocí z povolání nebo pro ohrožení touto nemocí%]" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="5"></td>
                            <td colspan="3">
                                <asp:CheckBox ID="cbPZZc" runat="server" Checked="false" Font-Size="Smaller" Text="[%tzv. obecné onemocnění%]" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:Label ID="Label12" runat="server" Text="[%Datum provedení mimořádné prohlídky%]: ...................................."></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <asp:Label ID="Label13" runat="server" Text="[%Datum vydání posudku%]: ..................."></asp:Label>
                            </td>
                            <td colspan="5">
                                <asp:Label ID="Label14" runat="server" Text="[%Razítko poskytovatele PLS a podpis lékaře%]: ..............................."></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8">
                                <asp:Label ID="Label10" runat="server" Font-Size="Smaller" Text="[%Poučení: Posuzovaná osoba nebo osoba, které uplatněním lékařského posudku vznikají práva nebo povinnosti, může podle ustanovení § 46, odst. 1, zák. č. 373/2011 Sb., o specifických zdravotních službách, do 10 dnů ode dne jeho prokazatelného obdržení podat návrh na jeho přezkoumání poskytovateli, který lékařský posudek vydal. Podle ustanovení § 46, odst. 3 téhož zákona návrh na přezkoumání lékařského posudku nemá odkladný účinek, jestliže z jeho závěru vyplývá, že posuzovaná osoba je pro účel, pro nějž byla posuzována, zdravotně nezpůsobilá, zdravotně způsobilá s podmínkou nebo pozbyla dlouhodobě zdravotní způsobilost.%])"></asp:Label>
                            </td>
                        </tr>
                        <%-- <tr>
                    <td colspan="4">
                        <asp:Label ID="Label11" runat="server" Text="[%Posuzovaná osoba potvrzuje svým podpisem převzetí písemného vyhotovení lékařského posudku:%]"></asp:Label>
                    </td>
                </tr>--%>
                    </table>
                    <table width="100%">
                        <tr align="left">
                            <td>
                                <asp:Label ID="Label15" runat="server" Text="[%Posuzovaná osoba posudek převzala dne%]: ................................."></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="Label17" runat="server" Text="[%Podpis posuzované osoby%]: ..............................................."></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:Label ID="Label19" runat="server" Text="[%Stvrzuji svým podpisem, že se vzdávám práva na přezkoumání lékařského posudku.%]:" Visible='<%# Eval("vzd_nec").Equals(true) %>'></asp:Label>
                            </td>
                        </tr>
                        <tr align="left">
                            <td>
                                <asp:Label ID="Label1" runat="server" Text="[%Datum%]: .................................................................." Visible='<%# Eval("vzd_nec").Equals(true) %>'></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="Label11" runat="server" Text="[%Podpis posuzované osoby%]: ................................................" Visible='<%# Eval("vzd_nec").Equals(true) %>'></asp:Label>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:Repeater>

        </div>
    </form>
</body>
</html>
