﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using KSProgram.Personal;
using KSProgram;
using KSProgram.Prava;

//JO 21.10.2019
//Vytvořeno
public partial class Zamestnanec_VyberUzivProfilu : TPageZam
{

    public Zamestnanec_VyberUzivProfilu()
    { 
        IdPrava = 1; //JO 21.10.2019
        this.HelpURL = "";
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        //Response.Redirect("~/Default.aspx");
        //PH 13.5.2020
        Response.Redirect(FormsAuthentication.DefaultUrl);
        base.Page_Load(sender, e);

    }
    
    //Obsluha stisku tlačítka pro zvolení profilu
    //JO 22.10.2019
    protected void BtnZvolit_Clicked(object sender, EventArgs e)
    {
        int id = 0;
        int[] roleIDs = new int[] { };
        int druh_rad_prav = 0;
        string uzivatel = Globals.User;
        decimal os_cislo = Globals.OsCisloAktUser;
        foreach (GridDataItem item in TRadGrid_uziv_ucty.SelectedItems)
        {
            id = Convert.ToInt32(item["id"].Text.ToString()); // vrátí id vybraného profilu
            //role_id = Convert.ToInt32(item["role_id"].Text.ToString());
            druh_rad_prav = Convert.ToInt32(item["druh_rad_prav"].Text.ToString());

        }
        roleIDs = UzivProfily.UzivRole(id);
        if (roleIDs.Length > 0)
        {
            Globals.CreateRadPrava(os_cislo);
            //nastavení rolí v aplikaci - odemyká záložky
            Session["PravaAkce"] = PravaAkce.AkceProRole(roleIDs);
        }

        UzivProfily.NastavProfil((int)os_cislo,druh_rad_prav, roleIDs, id);
        //provést redirect domů
        //Response.Redirect("~/Default.aspx");
        //PH 13.5.2020
        Response.Redirect(FormsAuthentication.DefaultUrl);

    }
    //Obsluha stisku tlačítka pro nastavení profilu jako výchozího
    //JO 21.10.2019
    protected void BtnVychozi_Clicked(object sender, EventArgs e)
    {
        int id=0;
       // int role_id = 0;
        string uzivatel = Globals.User;

        foreach (GridDataItem item in TRadGrid_uziv_ucty.SelectedItems)
        {
            id = Convert.ToInt32(item["id"].Text.ToString()); // vrátí id vybraného profilu
          //  role_id = Convert.ToInt32(item["role_id"].Text.ToString());
        }
        if (id != 0)
        {
            if (UzivProfily.NastavVychozi(id, uzivatel))
            {
                TRadGrid_uziv_ucty.Rebind();
            }
        }

    }

    //Obsluha stisku tlačítka pro zrušení profilu jako výchozího
    //JO 21.10.2019
    protected void BtnZrus_Clicked(object sender, EventArgs e)
    {
       
        string uzivatel = Globals.User;

        if (UzivProfily.ZrusVychozi(uzivatel))
        {
            TRadGrid_uziv_ucty.Rebind();
        }
        

    }

}
