﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using KSProgram;
using System.Net;
using KSProgram.WebControls;
using Telerik.Web.UI;
using System.Web.Services;
using KSProgram.Obecne;

namespace KSPortal.Zamestnanec
{
    public partial class ZamKalendar : TPage
    {
        protected override void Page_Load(object sender, EventArgs e)
        {
            base.Page_Load(sender, e);
            var param = Request.QueryString["export"];
            if (param == "a")
            {
                KSProgram.Reminder.ZamKalendar.JednorazExportKalednare();
            }
            if (param == "testKS")
            {
                KSProgram.Reminder.ZamKalendar.SynchronizaceUdalosti();
            }
        }
        public ZamKalendar()
        {
            IdPrava = 223;
             
            EnableVisibleSeznamZam = true;
            VisibleVyberSeznamuOsobnichCisel = true;
            UpdateHlavniOblastOnOsCisloChanged = false;
            RebindHlavniOblastOnOsCisloChanged = false;

            ContentCssClass = "zamKalContent";

            this.HelpURL = "Kalend%C3%A1%C5%99_%28KS_port%C3%A1l%29";

            //this.AutomatickyUlozitNastaveni = true;
            //this.VerzeStranky = "1";
        }

        [WebMethod]
        public static void SaveFiltersForExport(string sort, string filter)
        {
            SessionInfo.SetVariable("KalendarZam_Sort", sort);
            SessionInfo.SetVariable("KalendarZam_Filter", filter);
        }
    }
}