﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="ZavazkyZam.aspx.cs" Inherits="KSPortal.Zamestnanec.ZavazkyZam" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HlavniOblast" runat="server">
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="TRadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="TRadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <%--<asp:Label ID="Label1" runat="server" Text="[%Závazky%]" CssClass="nadpis1"></asp:Label>--%>
    <kspwc:TRadGrid ID="TRadGrid1" runat="server" OnNeedDataSource="TRadGrid1_NeedDataSource" MasterTableView-Caption="[%Závazky%]"
        AutoGenerateColumns="False" GroupPanelPosition="Top"  ShowGroupPanel="True" AutoFilterWidth="true"
         onitemcommand="TRadGrid1_ItemCommand" >
        <ClientSettings AllowDragToGroup="True">
        </ClientSettings>
        <GroupingSettings ShowUnGroupButton="true"></GroupingSettings>
        <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
        <ExportSettings HideStructureColumns="true" OpenInNewWindow="true">
        </ExportSettings>
        <MasterTableView DataKeyNames="nazev_soubor,id_blob,sdilene_uloziste" AllowPaging="True" AllowSorting="True" CommandItemDisplay="Top">
            <Columns>
                <telerik:GridBoundColumn DataField="druh" FilterControlAltText="Filter druh column"
                    HeaderText="[%Druh závazku%]" SortExpression="druh" UniqueName="druh">
                </telerik:GridBoundColumn>
                <telerik:GridNumericColumn DataField="os_cislo" DataType="System.Decimal" FilterControlAltText="Filter os_cislo column"
                    HeaderText="[%Os. číslo%]" SortExpression="os_cislo" UniqueName="os_cislo">
                </telerik:GridNumericColumn>
                <telerik:GridBoundColumn DataField="dat_od" DataFormatString="{0:d}" FilterControlAltText="Filter dat_od column"
                    HeaderText="[%Datum od%]" SortExpression="dat_od" UniqueName="dat_od">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="datum_do" DataFormatString="{0:d}" FilterControlAltText="Filter datum_do column"
                    HeaderText="[%Datum do%]" SortExpression="datum_do" UniqueName="datum_do">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="splneno" DataFormatString="{0:d}" FilterControlAltText="Filter splneno column"
                    HeaderText="[%Datum splnění%]" SortExpression="splneno" UniqueName="splneno">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="poznamka" FilterControlAltText="Filter poznamka column"
                    HeaderText="[%Poznámka%]" SortExpression="poznamka" UniqueName="poznamka">
                </telerik:GridBoundColumn>
                <telerik:GridAttachmentColumn
                    FilterControlAltText="Filter nazev_soubor column" HeaderText="[%Příloha%]"
                    SortExpression="nazev_soubor" UniqueName="nazev_soubor" DataTextField="nazev_soubor" FileNameTextField="nazev_soubor" ButtonCssClass="no-block-ui" Groupable="False">
                </telerik:GridAttachmentColumn>
                <telerik:GridBoundColumn DataField="vyrobni_cislo" HeaderText="[%Výrobní číslo%]" UniqueName="vyrobni_cislo" MaxLength="20">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="inventarni_cislo" HeaderText="[%Inventární číslo%]" UniqueName="inventarni_cislo" MaxLength="20">
                </telerik:GridBoundColumn>
            </Columns>
            <CommandItemTemplate>
                <kspwc:GridCommandItemControl ID="GridCommandItemControl1" runat="server">
                    <ExportButton ID="ExportButton1" runat="server" ShowExportToExcelHtmlItem="true"
                        ShowExportToExcelMLItem="false" ShowExportToWordItem="false" ShowExportToWordDocxItem="false" />
                </kspwc:GridCommandItemControl>
            </CommandItemTemplate>
        </MasterTableView>
    </kspwc:TRadGrid>
</asp:Content>
